/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var te=["require","exports","vs/base/common/lifecycle","vs/base/common/event","vs/base/common/platform","vs/base/common/async","vs/platform/instantiation/common/instantiation","vs/base/common/uri","vs/platform/log/common/log","vs/base/common/errors","vs/base/common/path","vs/base/common/types","vs/nls","vs/nls!vs/code/electron-browser/sharedProcess/sharedProcessMain","vs/platform/environment/common/environment","vs/platform/files/common/files","vs/base/common/arrays","vs/base/common/buffer","vs/base/common/network","vs/platform/configuration/common/configuration","vs/base/common/resources","vs/platform/telemetry/common/telemetry","vs/base/node/pfs","vs/platform/storage/common/storage","vs/platform/userDataSync/common/userDataSync","vs/base/common/cancellation","vs/base/common/strings","vs/platform/product/common/productService","vs/base/common/objects","vs/base/common/uuid","vs/platform/extensionManagement/common/extensionManagement","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/uriIdentity/common/uriIdentity","vs/base/common/process","os","vs/base/common/json","vs/base/parts/ipc/common/ipc","vs/base/common/errorMessage","vs/platform/registry/common/platform","vs/base/common/map","vs/base/common/stream","vs/base/common/extpath","vs/platform/configuration/common/configurationRegistry","vs/platform/request/common/request","vs/platform/telemetry/common/telemetryUtils","vs/platform/userDataSync/common/abstractSynchronizer","child_process","vs/platform/externalServices/common/serviceMachineId","vs/base/common/codicons","vs/base/common/jsonFormatter","fs","vs/platform/instantiation/common/descriptors","vs/platform/files/common/watcher","vs/platform/userDataSync/common/content","vs/base/common/decorators","vs/base/common/iterator","net","vs/base/common/date","vs/base/parts/ipc/node/ipc.cp","vs/platform/localizations/common/localizations","vs/platform/native/electron-sandbox/native","vs/platform/extensions/common/extensions","vs/base/common/semver/semver","vs/platform/extensionManagement/common/extensionStorage","vs/platform/tunnel/common/tunnel","vs/platform/userDataSync/common/userDataSyncAccount","vs/platform/userDataSync/common/userDataSyncMachines","vs/base/node/zip","vs/base/common/collections","vs/base/common/functional","vs/base/common/jsonEdit","vs/base/common/hash","vs/base/common/normalization","vs/base/node/powershell","vs/base/parts/ipc/common/ipc.net","electron","vs/base/parts/storage/common/storage","vs/base/node/processes","vs/platform/environment/common/environmentService","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/extensions","vs/platform/diagnostics/common/diagnostics","vs/platform/download/common/download","vs/platform/extensionRecommendations/common/extensionRecommendations","crypto","vs/platform/files/common/io","vs/platform/instantiation/common/serviceCollection","vs/platform/log/common/logIpc","vs/platform/product/common/product","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/sharedProcess/common/sharedProcessWorkerService","vs/platform/sign/common/sign","vs/platform/telemetry/common/telemetryIpc","vs/platform/telemetry/common/telemetryLogAppender","vs/platform/telemetry/common/telemetryService","vs/platform/terminal/common/terminal","vs/platform/theme/common/themeService","vs/platform/userDataSync/common/ignoredExtensions","vs/base/common/assert","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/mime","vs/base/common/processes","vs/base/common/skipList","vs/base/common/stopwatch","vs/base/common/cache","vs/base/common/console","vs/base/common/marshalling","vs/base/common/glob","vs/base/common/uriIpc","vs/base/node/decoder","vs/base/node/macAddress","vs/base/node/id","vs/base/node/extpath","vs/base/node/ports","vs/base/node/ps","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-browser/ipc.mp","vs/base/parts/request/common/request","vs/base/parts/request/browser/request","vs/nls!vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/electron-sandbox/extensionTipsService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensionManagement/node/extensionsScanner","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/terminal/common/terminalPlatformConfiguration","vs/nls!vs/platform/terminal/node/shellEnv","vs/nls!vs/platform/userDataSync/common/abstractSynchronizer","vs/nls!vs/platform/userDataSync/common/keybindingsSync","vs/nls!vs/platform/userDataSync/common/settingsSync","vs/nls!vs/platform/userDataSync/common/userDataAutoSyncService","vs/nls!vs/platform/userDataSync/common/userDataSync","vs/nls!vs/platform/userDataSync/common/userDataSyncMachines","vs/platform/assignment/common/assignment","vs/platform/environment/node/argv","vs/platform/environment/node/argvHelper","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/extensionManagement/common/configRemotes","vs/platform/extensionManagement/common/extensionNls","vs/platform/extensionRecommendations/electron-sandbox/extensionRecommendationsIpc","vs/platform/instantiation/common/graph","vs/platform/checksum/common/checksumService","vs/platform/contextkey/common/contextkey","vs/platform/checksum/node/checksumService","vs/platform/files/common/diskFileSystemProviderClient","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/instantiation/common/instantiationService","vs/platform/ipc/electron-browser/mainProcessService","vs/platform/ipc/electron-sandbox/services","vs/code/electron-browser/sharedProcess/contrib/localizationsUpdater","vs/code/electron-browser/sharedProcess/contrib/logsDataCleaner","vs/code/electron-browser/sharedProcess/contrib/storageDataCleaner","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/common/fileService","vs/base/common/performance","vs/platform/files/node/diskFileSystemProvider","vs/code/electron-browser/sharedProcess/contrib/codeCacheCleaner","vs/code/electron-browser/sharedProcess/contrib/languagePackCachedDataCleaner","vs/platform/profiling/common/profiling","vs/platform/profiling/node/profilingService","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteAgentConnection","vs/platform/remote/common/remoteHosts","vs/platform/extensionManagement/common/extensionManagementIpc","vs/platform/extensionManagement/common/unsupportedExtensionsMigration","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/localizations/node/localizations","vs/platform/remote/common/sharedProcessTunnelService","vs/platform/request/browser/requestService","vs/platform/download/common/downloadService","vs/platform/extensionManagement/common/extensionTipsService","vs/platform/sharedProcess/electron-browser/sharedProcessWorker","vs/platform/sharedProcess/electron-browser/sharedProcessWorkerService","vs/platform/sharedProcess/node/sharedProcessEnvironmentService","vs/platform/sign/node/signService","vs/platform/extensionManagement/common/extensionEnablementService","vs/code/electron-browser/sharedProcess/contrib/extensionsCleaner","vs/platform/storage/common/storageIpc","vs/platform/storage/electron-sandbox/storageService","vs/platform/telemetry/common/commonProperties","vs/platform/diagnostics/node/diagnosticsService","vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/platform/extensionManagement/electron-sandbox/extensionTipsService","vs/platform/assignment/common/assignmentService","vs/platform/externalServices/common/marketplace","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/telemetry/node/appInsightsAppender","vs/platform/telemetry/node/customEndpointTelemetryService","vs/platform/terminal/common/requestStore","vs/platform/terminal/electron-sandbox/terminal","vs/platform/terminal/node/shellEnv","vs/platform/terminal/node/terminalEnvironment","vs/platform/theme/common/theme","vs/platform/terminal/common/terminalProfiles","vs/platform/terminal/common/terminalPlatformConfiguration","vs/platform/terminal/node/terminalProfiles","vs/platform/terminal/node/ptyHostService","vs/platform/tunnel/node/sharedProcessTunnelService","vs/platform/extensionManagement/node/extensionsWatcher","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/userData/common/fileUserDataProvider","vs/platform/userDataSync/common/extensionsMerge","vs/platform/userDataSync/common/keybindingsMerge","vs/platform/userDataSync/common/snippetsMerge","vs/platform/userDataSync/common/extensionsSync","vs/platform/userDataSync/common/globalStateMerge","vs/platform/userDataSync/common/globalStateSync","vs/platform/userDataSync/common/keybindingsSync","vs/platform/userDataSync/common/settingsMerge","vs/platform/userDataSync/common/settingsSync","vs/platform/userDataSync/common/snippetsSync","vs/platform/userDataSync/common/tasksSync","vs/platform/userDataSync/common/userDataSyncBackupStoreService","vs/platform/userDataSync/common/userDataSyncEnablementService","vs/platform/userDataSync/common/userDataSyncIpc","vs/platform/userDataSync/common/userDataSyncLog","vs/platform/userDataSync/common/userDataAutoSyncService","vs/platform/userDataSync/common/userDataSyncService","vs/platform/userDataSync/common/userDataSyncServiceIpc","vs/platform/userDataSync/common/userDataSyncStoreService","vs/platform/userDataSync/electron-sandbox/userDataAutoSyncService","vs/platform/windows/node/windowTracker","vs/platform/extensionManagement/node/extensionManagementUtil","vs/platform/extensionManagement/node/extensionsScanner","vs/platform/extensionManagement/node/extensionManagementService","vs/base/parts/ipc/node/ipc.net","vs/platform/remote/node/nodeSocketFactory","vs/platform/tunnel/node/tunnelService","string_decoder","util","minimist","assert","path","graceful-fs","yauzl","yazl","zlib","vs/code/electron-browser/sharedProcess/sharedProcessMain"],ne=function(J){for(var e=[],k=0,t=J.length;k<t;k++)e[k]=te[J[k]];return e};define(te[99],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function k(t,L){if(!t)throw new Error(L?`Assertion failed (${L})`:"Assertion Failed")}e.ok=k}),define(te[48],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=void 0;function k(A){return A?A.replace(/\$\((.*?)\)/g,(R,b)=>` ${b} `).trim():""}e.getCodiconAriaLabel=k;class t{constructor(R,b,I){this.id=R,this.definition=b,this.description=I,t._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return t._allCodicons}}e.Codicon=t,t._allCodicons=[],t.add=new t("add",{fontCharacter:"\\ea60"}),t.plus=new t("plus",t.add.definition),t.gistNew=new t("gist-new",t.add.definition),t.repoCreate=new t("repo-create",t.add.definition),t.lightbulb=new t("lightbulb",{fontCharacter:"\\ea61"}),t.lightBulb=new t("light-bulb",{fontCharacter:"\\ea61"}),t.repo=new t("repo",{fontCharacter:"\\ea62"}),t.repoDelete=new t("repo-delete",{fontCharacter:"\\ea62"}),t.gistFork=new t("gist-fork",{fontCharacter:"\\ea63"}),t.repoForked=new t("repo-forked",{fontCharacter:"\\ea63"}),t.gitPullRequest=new t("git-pull-request",{fontCharacter:"\\ea64"}),t.gitPullRequestAbandoned=new t("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),t.recordKeys=new t("record-keys",{fontCharacter:"\\ea65"}),t.keyboard=new t("keyboard",{fontCharacter:"\\ea65"}),t.tag=new t("tag",{fontCharacter:"\\ea66"}),t.tagAdd=new t("tag-add",{fontCharacter:"\\ea66"}),t.tagRemove=new t("tag-remove",{fontCharacter:"\\ea66"}),t.person=new t("person",{fontCharacter:"\\ea67"}),t.personFollow=new t("person-follow",{fontCharacter:"\\ea67"}),t.personOutline=new t("person-outline",{fontCharacter:"\\ea67"}),t.personFilled=new t("person-filled",{fontCharacter:"\\ea67"}),t.gitBranch=new t("git-branch",{fontCharacter:"\\ea68"}),t.gitBranchCreate=new t("git-branch-create",{fontCharacter:"\\ea68"}),t.gitBranchDelete=new t("git-branch-delete",{fontCharacter:"\\ea68"}),t.sourceControl=new t("source-control",{fontCharacter:"\\ea68"}),t.mirror=new t("mirror",{fontCharacter:"\\ea69"}),t.mirrorPublic=new t("mirror-public",{fontCharacter:"\\ea69"}),t.star=new t("star",{fontCharacter:"\\ea6a"}),t.starAdd=new t("star-add",{fontCharacter:"\\ea6a"}),t.starDelete=new t("star-delete",{fontCharacter:"\\ea6a"}),t.starEmpty=new t("star-empty",{fontCharacter:"\\ea6a"}),t.comment=new t("comment",{fontCharacter:"\\ea6b"}),t.commentAdd=new t("comment-add",{fontCharacter:"\\ea6b"}),t.alert=new t("alert",{fontCharacter:"\\ea6c"}),t.warning=new t("warning",{fontCharacter:"\\ea6c"}),t.search=new t("search",{fontCharacter:"\\ea6d"}),t.searchSave=new t("search-save",{fontCharacter:"\\ea6d"}),t.logOut=new t("log-out",{fontCharacter:"\\ea6e"}),t.signOut=new t("sign-out",{fontCharacter:"\\ea6e"}),t.logIn=new t("log-in",{fontCharacter:"\\ea6f"}),t.signIn=new t("sign-in",{fontCharacter:"\\ea6f"}),t.eye=new t("eye",{fontCharacter:"\\ea70"}),t.eyeUnwatch=new t("eye-unwatch",{fontCharacter:"\\ea70"}),t.eyeWatch=new t("eye-watch",{fontCharacter:"\\ea70"}),t.circleFilled=new t("circle-filled",{fontCharacter:"\\ea71"}),t.primitiveDot=new t("primitive-dot",{fontCharacter:"\\ea71"}),t.closeDirty=new t("close-dirty",{fontCharacter:"\\ea71"}),t.debugBreakpoint=new t("debug-breakpoint",{fontCharacter:"\\ea71"}),t.debugBreakpointDisabled=new t("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),t.debugHint=new t("debug-hint",{fontCharacter:"\\ea71"}),t.primitiveSquare=new t("primitive-square",{fontCharacter:"\\ea72"}),t.edit=new t("edit",{fontCharacter:"\\ea73"}),t.pencil=new t("pencil",{fontCharacter:"\\ea73"}),t.info=new t("info",{fontCharacter:"\\ea74"}),t.issueOpened=new t("issue-opened",{fontCharacter:"\\ea74"}),t.gistPrivate=new t("gist-private",{fontCharacter:"\\ea75"}),t.gitForkPrivate=new t("git-fork-private",{fontCharacter:"\\ea75"}),t.lock=new t("lock",{fontCharacter:"\\ea75"}),t.mirrorPrivate=new t("mirror-private",{fontCharacter:"\\ea75"}),t.close=new t("close",{fontCharacter:"\\ea76"}),t.removeClose=new t("remove-close",{fontCharacter:"\\ea76"}),t.x=new t("x",{fontCharacter:"\\ea76"}),t.repoSync=new t("repo-sync",{fontCharacter:"\\ea77"}),t.sync=new t("sync",{fontCharacter:"\\ea77"}),t.clone=new t("clone",{fontCharacter:"\\ea78"}),t.desktopDownload=new t("desktop-download",{fontCharacter:"\\ea78"}),t.beaker=new t("beaker",{fontCharacter:"\\ea79"}),t.microscope=new t("microscope",{fontCharacter:"\\ea79"}),t.vm=new t("vm",{fontCharacter:"\\ea7a"}),t.deviceDesktop=new t("device-desktop",{fontCharacter:"\\ea7a"}),t.file=new t("file",{fontCharacter:"\\ea7b"}),t.fileText=new t("file-text",{fontCharacter:"\\ea7b"}),t.more=new t("more",{fontCharacter:"\\ea7c"}),t.ellipsis=new t("ellipsis",{fontCharacter:"\\ea7c"}),t.kebabHorizontal=new t("kebab-horizontal",{fontCharacter:"\\ea7c"}),t.mailReply=new t("mail-reply",{fontCharacter:"\\ea7d"}),t.reply=new t("reply",{fontCharacter:"\\ea7d"}),t.organization=new t("organization",{fontCharacter:"\\ea7e"}),t.organizationFilled=new t("organization-filled",{fontCharacter:"\\ea7e"}),t.organizationOutline=new t("organization-outline",{fontCharacter:"\\ea7e"}),t.newFile=new t("new-file",{fontCharacter:"\\ea7f"}),t.fileAdd=new t("file-add",{fontCharacter:"\\ea7f"}),t.newFolder=new t("new-folder",{fontCharacter:"\\ea80"}),t.fileDirectoryCreate=new t("file-directory-create",{fontCharacter:"\\ea80"}),t.trash=new t("trash",{fontCharacter:"\\ea81"}),t.trashcan=new t("trashcan",{fontCharacter:"\\ea81"}),t.history=new t("history",{fontCharacter:"\\ea82"}),t.clock=new t("clock",{fontCharacter:"\\ea82"}),t.folder=new t("folder",{fontCharacter:"\\ea83"}),t.fileDirectory=new t("file-directory",{fontCharacter:"\\ea83"}),t.symbolFolder=new t("symbol-folder",{fontCharacter:"\\ea83"}),t.logoGithub=new t("logo-github",{fontCharacter:"\\ea84"}),t.markGithub=new t("mark-github",{fontCharacter:"\\ea84"}),t.github=new t("github",{fontCharacter:"\\ea84"}),t.terminal=new t("terminal",{fontCharacter:"\\ea85"}),t.console=new t("console",{fontCharacter:"\\ea85"}),t.repl=new t("repl",{fontCharacter:"\\ea85"}),t.zap=new t("zap",{fontCharacter:"\\ea86"}),t.symbolEvent=new t("symbol-event",{fontCharacter:"\\ea86"}),t.error=new t("error",{fontCharacter:"\\ea87"}),t.stop=new t("stop",{fontCharacter:"\\ea87"}),t.variable=new t("variable",{fontCharacter:"\\ea88"}),t.symbolVariable=new t("symbol-variable",{fontCharacter:"\\ea88"}),t.array=new t("array",{fontCharacter:"\\ea8a"}),t.symbolArray=new t("symbol-array",{fontCharacter:"\\ea8a"}),t.symbolModule=new t("symbol-module",{fontCharacter:"\\ea8b"}),t.symbolPackage=new t("symbol-package",{fontCharacter:"\\ea8b"}),t.symbolNamespace=new t("symbol-namespace",{fontCharacter:"\\ea8b"}),t.symbolObject=new t("symbol-object",{fontCharacter:"\\ea8b"}),t.symbolMethod=new t("symbol-method",{fontCharacter:"\\ea8c"}),t.symbolFunction=new t("symbol-function",{fontCharacter:"\\ea8c"}),t.symbolConstructor=new t("symbol-constructor",{fontCharacter:"\\ea8c"}),t.symbolBoolean=new t("symbol-boolean",{fontCharacter:"\\ea8f"}),t.symbolNull=new t("symbol-null",{fontCharacter:"\\ea8f"}),t.symbolNumeric=new t("symbol-numeric",{fontCharacter:"\\ea90"}),t.symbolNumber=new t("symbol-number",{fontCharacter:"\\ea90"}),t.symbolStructure=new t("symbol-structure",{fontCharacter:"\\ea91"}),t.symbolStruct=new t("symbol-struct",{fontCharacter:"\\ea91"}),t.symbolParameter=new t("symbol-parameter",{fontCharacter:"\\ea92"}),t.symbolTypeParameter=new t("symbol-type-parameter",{fontCharacter:"\\ea92"}),t.symbolKey=new t("symbol-key",{fontCharacter:"\\ea93"}),t.symbolText=new t("symbol-text",{fontCharacter:"\\ea93"}),t.symbolReference=new t("symbol-reference",{fontCharacter:"\\ea94"}),t.goToFile=new t("go-to-file",{fontCharacter:"\\ea94"}),t.symbolEnum=new t("symbol-enum",{fontCharacter:"\\ea95"}),t.symbolValue=new t("symbol-value",{fontCharacter:"\\ea95"}),t.symbolRuler=new t("symbol-ruler",{fontCharacter:"\\ea96"}),t.symbolUnit=new t("symbol-unit",{fontCharacter:"\\ea96"}),t.activateBreakpoints=new t("activate-breakpoints",{fontCharacter:"\\ea97"}),t.archive=new t("archive",{fontCharacter:"\\ea98"}),t.arrowBoth=new t("arrow-both",{fontCharacter:"\\ea99"}),t.arrowDown=new t("arrow-down",{fontCharacter:"\\ea9a"}),t.arrowLeft=new t("arrow-left",{fontCharacter:"\\ea9b"}),t.arrowRight=new t("arrow-right",{fontCharacter:"\\ea9c"}),t.arrowSmallDown=new t("arrow-small-down",{fontCharacter:"\\ea9d"}),t.arrowSmallLeft=new t("arrow-small-left",{fontCharacter:"\\ea9e"}),t.arrowSmallRight=new t("arrow-small-right",{fontCharacter:"\\ea9f"}),t.arrowSmallUp=new t("arrow-small-up",{fontCharacter:"\\eaa0"}),t.arrowUp=new t("arrow-up",{fontCharacter:"\\eaa1"}),t.bell=new t("bell",{fontCharacter:"\\eaa2"}),t.bold=new t("bold",{fontCharacter:"\\eaa3"}),t.book=new t("book",{fontCharacter:"\\eaa4"}),t.bookmark=new t("bookmark",{fontCharacter:"\\eaa5"}),t.debugBreakpointConditionalUnverified=new t("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),t.debugBreakpointConditional=new t("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),t.debugBreakpointConditionalDisabled=new t("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),t.debugBreakpointDataUnverified=new t("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),t.debugBreakpointData=new t("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),t.debugBreakpointDataDisabled=new t("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),t.debugBreakpointLogUnverified=new t("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),t.debugBreakpointLog=new t("debug-breakpoint-log",{fontCharacter:"\\eaab"}),t.debugBreakpointLogDisabled=new t("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),t.briefcase=new t("briefcase",{fontCharacter:"\\eaac"}),t.broadcast=new t("broadcast",{fontCharacter:"\\eaad"}),t.browser=new t("browser",{fontCharacter:"\\eaae"}),t.bug=new t("bug",{fontCharacter:"\\eaaf"}),t.calendar=new t("calendar",{fontCharacter:"\\eab0"}),t.caseSensitive=new t("case-sensitive",{fontCharacter:"\\eab1"}),t.check=new t("check",{fontCharacter:"\\eab2"}),t.checklist=new t("checklist",{fontCharacter:"\\eab3"}),t.chevronDown=new t("chevron-down",{fontCharacter:"\\eab4"}),t.dropDownButton=new t("drop-down-button",t.chevronDown.definition),t.chevronLeft=new t("chevron-left",{fontCharacter:"\\eab5"}),t.chevronRight=new t("chevron-right",{fontCharacter:"\\eab6"}),t.chevronUp=new t("chevron-up",{fontCharacter:"\\eab7"}),t.chromeClose=new t("chrome-close",{fontCharacter:"\\eab8"}),t.chromeMaximize=new t("chrome-maximize",{fontCharacter:"\\eab9"}),t.chromeMinimize=new t("chrome-minimize",{fontCharacter:"\\eaba"}),t.chromeRestore=new t("chrome-restore",{fontCharacter:"\\eabb"}),t.circleOutline=new t("circle-outline",{fontCharacter:"\\eabc"}),t.debugBreakpointUnverified=new t("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),t.circleSlash=new t("circle-slash",{fontCharacter:"\\eabd"}),t.circuitBoard=new t("circuit-board",{fontCharacter:"\\eabe"}),t.clearAll=new t("clear-all",{fontCharacter:"\\eabf"}),t.clippy=new t("clippy",{fontCharacter:"\\eac0"}),t.closeAll=new t("close-all",{fontCharacter:"\\eac1"}),t.cloudDownload=new t("cloud-download",{fontCharacter:"\\eac2"}),t.cloudUpload=new t("cloud-upload",{fontCharacter:"\\eac3"}),t.code=new t("code",{fontCharacter:"\\eac4"}),t.collapseAll=new t("collapse-all",{fontCharacter:"\\eac5"}),t.colorMode=new t("color-mode",{fontCharacter:"\\eac6"}),t.commentDiscussion=new t("comment-discussion",{fontCharacter:"\\eac7"}),t.compareChanges=new t("compare-changes",{fontCharacter:"\\eafd"}),t.creditCard=new t("credit-card",{fontCharacter:"\\eac9"}),t.dash=new t("dash",{fontCharacter:"\\eacc"}),t.dashboard=new t("dashboard",{fontCharacter:"\\eacd"}),t.database=new t("database",{fontCharacter:"\\eace"}),t.debugContinue=new t("debug-continue",{fontCharacter:"\\eacf"}),t.debugDisconnect=new t("debug-disconnect",{fontCharacter:"\\ead0"}),t.debugPause=new t("debug-pause",{fontCharacter:"\\ead1"}),t.debugRestart=new t("debug-restart",{fontCharacter:"\\ead2"}),t.debugStart=new t("debug-start",{fontCharacter:"\\ead3"}),t.debugStepInto=new t("debug-step-into",{fontCharacter:"\\ead4"}),t.debugStepOut=new t("debug-step-out",{fontCharacter:"\\ead5"}),t.debugStepOver=new t("debug-step-over",{fontCharacter:"\\ead6"}),t.debugStop=new t("debug-stop",{fontCharacter:"\\ead7"}),t.debug=new t("debug",{fontCharacter:"\\ead8"}),t.deviceCameraVideo=new t("device-camera-video",{fontCharacter:"\\ead9"}),t.deviceCamera=new t("device-camera",{fontCharacter:"\\eada"}),t.deviceMobile=new t("device-mobile",{fontCharacter:"\\eadb"}),t.diffAdded=new t("diff-added",{fontCharacter:"\\eadc"}),t.diffIgnored=new t("diff-ignored",{fontCharacter:"\\eadd"}),t.diffModified=new t("diff-modified",{fontCharacter:"\\eade"}),t.diffRemoved=new t("diff-removed",{fontCharacter:"\\eadf"}),t.diffRenamed=new t("diff-renamed",{fontCharacter:"\\eae0"}),t.diff=new t("diff",{fontCharacter:"\\eae1"}),t.discard=new t("discard",{fontCharacter:"\\eae2"}),t.editorLayout=new t("editor-layout",{fontCharacter:"\\eae3"}),t.emptyWindow=new t("empty-window",{fontCharacter:"\\eae4"}),t.exclude=new t("exclude",{fontCharacter:"\\eae5"}),t.extensions=new t("extensions",{fontCharacter:"\\eae6"}),t.eyeClosed=new t("eye-closed",{fontCharacter:"\\eae7"}),t.fileBinary=new t("file-binary",{fontCharacter:"\\eae8"}),t.fileCode=new t("file-code",{fontCharacter:"\\eae9"}),t.fileMedia=new t("file-media",{fontCharacter:"\\eaea"}),t.filePdf=new t("file-pdf",{fontCharacter:"\\eaeb"}),t.fileSubmodule=new t("file-submodule",{fontCharacter:"\\eaec"}),t.fileSymlinkDirectory=new t("file-symlink-directory",{fontCharacter:"\\eaed"}),t.fileSymlinkFile=new t("file-symlink-file",{fontCharacter:"\\eaee"}),t.fileZip=new t("file-zip",{fontCharacter:"\\eaef"}),t.files=new t("files",{fontCharacter:"\\eaf0"}),t.filter=new t("filter",{fontCharacter:"\\eaf1"}),t.flame=new t("flame",{fontCharacter:"\\eaf2"}),t.foldDown=new t("fold-down",{fontCharacter:"\\eaf3"}),t.foldUp=new t("fold-up",{fontCharacter:"\\eaf4"}),t.fold=new t("fold",{fontCharacter:"\\eaf5"}),t.folderActive=new t("folder-active",{fontCharacter:"\\eaf6"}),t.folderOpened=new t("folder-opened",{fontCharacter:"\\eaf7"}),t.gear=new t("gear",{fontCharacter:"\\eaf8"}),t.gift=new t("gift",{fontCharacter:"\\eaf9"}),t.gistSecret=new t("gist-secret",{fontCharacter:"\\eafa"}),t.gist=new t("gist",{fontCharacter:"\\eafb"}),t.gitCommit=new t("git-commit",{fontCharacter:"\\eafc"}),t.gitCompare=new t("git-compare",{fontCharacter:"\\eafd"}),t.gitMerge=new t("git-merge",{fontCharacter:"\\eafe"}),t.githubAction=new t("github-action",{fontCharacter:"\\eaff"}),t.githubAlt=new t("github-alt",{fontCharacter:"\\eb00"}),t.globe=new t("globe",{fontCharacter:"\\eb01"}),t.grabber=new t("grabber",{fontCharacter:"\\eb02"}),t.graph=new t("graph",{fontCharacter:"\\eb03"}),t.gripper=new t("gripper",{fontCharacter:"\\eb04"}),t.heart=new t("heart",{fontCharacter:"\\eb05"}),t.home=new t("home",{fontCharacter:"\\eb06"}),t.horizontalRule=new t("horizontal-rule",{fontCharacter:"\\eb07"}),t.hubot=new t("hubot",{fontCharacter:"\\eb08"}),t.inbox=new t("inbox",{fontCharacter:"\\eb09"}),t.issueClosed=new t("issue-closed",{fontCharacter:"\\eba4"}),t.issueReopened=new t("issue-reopened",{fontCharacter:"\\eb0b"}),t.issues=new t("issues",{fontCharacter:"\\eb0c"}),t.italic=new t("italic",{fontCharacter:"\\eb0d"}),t.jersey=new t("jersey",{fontCharacter:"\\eb0e"}),t.json=new t("json",{fontCharacter:"\\eb0f"}),t.kebabVertical=new t("kebab-vertical",{fontCharacter:"\\eb10"}),t.key=new t("key",{fontCharacter:"\\eb11"}),t.law=new t("law",{fontCharacter:"\\eb12"}),t.lightbulbAutofix=new t("lightbulb-autofix",{fontCharacter:"\\eb13"}),t.linkExternal=new t("link-external",{fontCharacter:"\\eb14"}),t.link=new t("link",{fontCharacter:"\\eb15"}),t.listOrdered=new t("list-ordered",{fontCharacter:"\\eb16"}),t.listUnordered=new t("list-unordered",{fontCharacter:"\\eb17"}),t.liveShare=new t("live-share",{fontCharacter:"\\eb18"}),t.loading=new t("loading",{fontCharacter:"\\eb19"}),t.location=new t("location",{fontCharacter:"\\eb1a"}),t.mailRead=new t("mail-read",{fontCharacter:"\\eb1b"}),t.mail=new t("mail",{fontCharacter:"\\eb1c"}),t.markdown=new t("markdown",{fontCharacter:"\\eb1d"}),t.megaphone=new t("megaphone",{fontCharacter:"\\eb1e"}),t.mention=new t("mention",{fontCharacter:"\\eb1f"}),t.milestone=new t("milestone",{fontCharacter:"\\eb20"}),t.mortarBoard=new t("mortar-board",{fontCharacter:"\\eb21"}),t.move=new t("move",{fontCharacter:"\\eb22"}),t.multipleWindows=new t("multiple-windows",{fontCharacter:"\\eb23"}),t.mute=new t("mute",{fontCharacter:"\\eb24"}),t.noNewline=new t("no-newline",{fontCharacter:"\\eb25"}),t.note=new t("note",{fontCharacter:"\\eb26"}),t.octoface=new t("octoface",{fontCharacter:"\\eb27"}),t.openPreview=new t("open-preview",{fontCharacter:"\\eb28"}),t.package_=new t("package",{fontCharacter:"\\eb29"}),t.paintcan=new t("paintcan",{fontCharacter:"\\eb2a"}),t.pin=new t("pin",{fontCharacter:"\\eb2b"}),t.play=new t("play",{fontCharacter:"\\eb2c"}),t.run=new t("run",{fontCharacter:"\\eb2c"}),t.plug=new t("plug",{fontCharacter:"\\eb2d"}),t.preserveCase=new t("preserve-case",{fontCharacter:"\\eb2e"}),t.preview=new t("preview",{fontCharacter:"\\eb2f"}),t.project=new t("project",{fontCharacter:"\\eb30"}),t.pulse=new t("pulse",{fontCharacter:"\\eb31"}),t.question=new t("question",{fontCharacter:"\\eb32"}),t.quote=new t("quote",{fontCharacter:"\\eb33"}),t.radioTower=new t("radio-tower",{fontCharacter:"\\eb34"}),t.reactions=new t("reactions",{fontCharacter:"\\eb35"}),t.references=new t("references",{fontCharacter:"\\eb36"}),t.refresh=new t("refresh",{fontCharacter:"\\eb37"}),t.regex=new t("regex",{fontCharacter:"\\eb38"}),t.remoteExplorer=new t("remote-explorer",{fontCharacter:"\\eb39"}),t.remote=new t("remote",{fontCharacter:"\\eb3a"}),t.remove=new t("remove",{fontCharacter:"\\eb3b"}),t.replaceAll=new t("replace-all",{fontCharacter:"\\eb3c"}),t.replace=new t("replace",{fontCharacter:"\\eb3d"}),t.repoClone=new t("repo-clone",{fontCharacter:"\\eb3e"}),t.repoForcePush=new t("repo-force-push",{fontCharacter:"\\eb3f"}),t.repoPull=new t("repo-pull",{fontCharacter:"\\eb40"}),t.repoPush=new t("repo-push",{fontCharacter:"\\eb41"}),t.report=new t("report",{fontCharacter:"\\eb42"}),t.requestChanges=new t("request-changes",{fontCharacter:"\\eb43"}),t.rocket=new t("rocket",{fontCharacter:"\\eb44"}),t.rootFolderOpened=new t("root-folder-opened",{fontCharacter:"\\eb45"}),t.rootFolder=new t("root-folder",{fontCharacter:"\\eb46"}),t.rss=new t("rss",{fontCharacter:"\\eb47"}),t.ruby=new t("ruby",{fontCharacter:"\\eb48"}),t.saveAll=new t("save-all",{fontCharacter:"\\eb49"}),t.saveAs=new t("save-as",{fontCharacter:"\\eb4a"}),t.save=new t("save",{fontCharacter:"\\eb4b"}),t.screenFull=new t("screen-full",{fontCharacter:"\\eb4c"}),t.screenNormal=new t("screen-normal",{fontCharacter:"\\eb4d"}),t.searchStop=new t("search-stop",{fontCharacter:"\\eb4e"}),t.server=new t("server",{fontCharacter:"\\eb50"}),t.settingsGear=new t("settings-gear",{fontCharacter:"\\eb51"}),t.settings=new t("settings",{fontCharacter:"\\eb52"}),t.shield=new t("shield",{fontCharacter:"\\eb53"}),t.smiley=new t("smiley",{fontCharacter:"\\eb54"}),t.sortPrecedence=new t("sort-precedence",{fontCharacter:"\\eb55"}),t.splitHorizontal=new t("split-horizontal",{fontCharacter:"\\eb56"}),t.splitVertical=new t("split-vertical",{fontCharacter:"\\eb57"}),t.squirrel=new t("squirrel",{fontCharacter:"\\eb58"}),t.starFull=new t("star-full",{fontCharacter:"\\eb59"}),t.starHalf=new t("star-half",{fontCharacter:"\\eb5a"}),t.symbolClass=new t("symbol-class",{fontCharacter:"\\eb5b"}),t.symbolColor=new t("symbol-color",{fontCharacter:"\\eb5c"}),t.symbolCustomColor=new t("symbol-customcolor",{fontCharacter:"\\eb5c"}),t.symbolConstant=new t("symbol-constant",{fontCharacter:"\\eb5d"}),t.symbolEnumMember=new t("symbol-enum-member",{fontCharacter:"\\eb5e"}),t.symbolField=new t("symbol-field",{fontCharacter:"\\eb5f"}),t.symbolFile=new t("symbol-file",{fontCharacter:"\\eb60"}),t.symbolInterface=new t("symbol-interface",{fontCharacter:"\\eb61"}),t.symbolKeyword=new t("symbol-keyword",{fontCharacter:"\\eb62"}),t.symbolMisc=new t("symbol-misc",{fontCharacter:"\\eb63"}),t.symbolOperator=new t("symbol-operator",{fontCharacter:"\\eb64"}),t.symbolProperty=new t("symbol-property",{fontCharacter:"\\eb65"}),t.wrench=new t("wrench",{fontCharacter:"\\eb65"}),t.wrenchSubaction=new t("wrench-subaction",{fontCharacter:"\\eb65"}),t.symbolSnippet=new t("symbol-snippet",{fontCharacter:"\\eb66"}),t.tasklist=new t("tasklist",{fontCharacter:"\\eb67"}),t.telescope=new t("telescope",{fontCharacter:"\\eb68"}),t.textSize=new t("text-size",{fontCharacter:"\\eb69"}),t.threeBars=new t("three-bars",{fontCharacter:"\\eb6a"}),t.thumbsdown=new t("thumbsdown",{fontCharacter:"\\eb6b"}),t.thumbsup=new t("thumbsup",{fontCharacter:"\\eb6c"}),t.tools=new t("tools",{fontCharacter:"\\eb6d"}),t.triangleDown=new t("triangle-down",{fontCharacter:"\\eb6e"}),t.triangleLeft=new t("triangle-left",{fontCharacter:"\\eb6f"}),t.triangleRight=new t("triangle-right",{fontCharacter:"\\eb70"}),t.triangleUp=new t("triangle-up",{fontCharacter:"\\eb71"}),t.twitter=new t("twitter",{fontCharacter:"\\eb72"}),t.unfold=new t("unfold",{fontCharacter:"\\eb73"}),t.unlock=new t("unlock",{fontCharacter:"\\eb74"}),t.unmute=new t("unmute",{fontCharacter:"\\eb75"}),t.unverified=new t("unverified",{fontCharacter:"\\eb76"}),t.verified=new t("verified",{fontCharacter:"\\eb77"}),t.versions=new t("versions",{fontCharacter:"\\eb78"}),t.vmActive=new t("vm-active",{fontCharacter:"\\eb79"}),t.vmOutline=new t("vm-outline",{fontCharacter:"\\eb7a"}),t.vmRunning=new t("vm-running",{fontCharacter:"\\eb7b"}),t.watch=new t("watch",{fontCharacter:"\\eb7c"}),t.whitespace=new t("whitespace",{fontCharacter:"\\eb7d"}),t.wholeWord=new t("whole-word",{fontCharacter:"\\eb7e"}),t.window=new t("window",{fontCharacter:"\\eb7f"}),t.wordWrap=new t("word-wrap",{fontCharacter:"\\eb80"}),t.zoomIn=new t("zoom-in",{fontCharacter:"\\eb81"}),t.zoomOut=new t("zoom-out",{fontCharacter:"\\eb82"}),t.listFilter=new t("list-filter",{fontCharacter:"\\eb83"}),t.listFlat=new t("list-flat",{fontCharacter:"\\eb84"}),t.listSelection=new t("list-selection",{fontCharacter:"\\eb85"}),t.selection=new t("selection",{fontCharacter:"\\eb85"}),t.listTree=new t("list-tree",{fontCharacter:"\\eb86"}),t.debugBreakpointFunctionUnverified=new t("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),t.debugBreakpointFunction=new t("debug-breakpoint-function",{fontCharacter:"\\eb88"}),t.debugBreakpointFunctionDisabled=new t("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),t.debugStackframeActive=new t("debug-stackframe-active",{fontCharacter:"\\eb89"}),t.debugStackframeDot=new t("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),t.debugStackframe=new t("debug-stackframe",{fontCharacter:"\\eb8b"}),t.debugStackframeFocused=new t("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),t.debugBreakpointUnsupported=new t("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),t.symbolString=new t("symbol-string",{fontCharacter:"\\eb8d"}),t.debugReverseContinue=new t("debug-reverse-continue",{fontCharacter:"\\eb8e"}),t.debugStepBack=new t("debug-step-back",{fontCharacter:"\\eb8f"}),t.debugRestartFrame=new t("debug-restart-frame",{fontCharacter:"\\eb90"}),t.callIncoming=new t("call-incoming",{fontCharacter:"\\eb92"}),t.callOutgoing=new t("call-outgoing",{fontCharacter:"\\eb93"}),t.menu=new t("menu",{fontCharacter:"\\eb94"}),t.expandAll=new t("expand-all",{fontCharacter:"\\eb95"}),t.feedback=new t("feedback",{fontCharacter:"\\eb96"}),t.groupByRefType=new t("group-by-ref-type",{fontCharacter:"\\eb97"}),t.ungroupByRefType=new t("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),t.account=new t("account",{fontCharacter:"\\eb99"}),t.bellDot=new t("bell-dot",{fontCharacter:"\\eb9a"}),t.debugConsole=new t("debug-console",{fontCharacter:"\\eb9b"}),t.library=new t("library",{fontCharacter:"\\eb9c"}),t.output=new t("output",{fontCharacter:"\\eb9d"}),t.runAll=new t("run-all",{fontCharacter:"\\eb9e"}),t.syncIgnored=new t("sync-ignored",{fontCharacter:"\\eb9f"}),t.pinned=new t("pinned",{fontCharacter:"\\eba0"}),t.githubInverted=new t("github-inverted",{fontCharacter:"\\eba1"}),t.debugAlt=new t("debug-alt",{fontCharacter:"\\eb91"}),t.serverProcess=new t("server-process",{fontCharacter:"\\eba2"}),t.serverEnvironment=new t("server-environment",{fontCharacter:"\\eba3"}),t.pass=new t("pass",{fontCharacter:"\\eba4"}),t.stopCircle=new t("stop-circle",{fontCharacter:"\\eba5"}),t.playCircle=new t("play-circle",{fontCharacter:"\\eba6"}),t.record=new t("record",{fontCharacter:"\\eba7"}),t.debugAltSmall=new t("debug-alt-small",{fontCharacter:"\\eba8"}),t.vmConnect=new t("vm-connect",{fontCharacter:"\\eba9"}),t.cloud=new t("cloud",{fontCharacter:"\\ebaa"}),t.merge=new t("merge",{fontCharacter:"\\ebab"}),t.exportIcon=new t("export",{fontCharacter:"\\ebac"}),t.graphLeft=new t("graph-left",{fontCharacter:"\\ebad"}),t.magnet=new t("magnet",{fontCharacter:"\\ebae"}),t.notebook=new t("notebook",{fontCharacter:"\\ebaf"}),t.redo=new t("redo",{fontCharacter:"\\ebb0"}),t.checkAll=new t("check-all",{fontCharacter:"\\ebb1"}),t.pinnedDirty=new t("pinned-dirty",{fontCharacter:"\\ebb2"}),t.passFilled=new t("pass-filled",{fontCharacter:"\\ebb3"}),t.circleLargeFilled=new t("circle-large-filled",{fontCharacter:"\\ebb4"}),t.circleLargeOutline=new t("circle-large-outline",{fontCharacter:"\\ebb5"}),t.combine=new t("combine",{fontCharacter:"\\ebb6"}),t.gather=new t("gather",{fontCharacter:"\\ebb6"}),t.table=new t("table",{fontCharacter:"\\ebb7"}),t.variableGroup=new t("variable-group",{fontCharacter:"\\ebb8"}),t.typeHierarchy=new t("type-hierarchy",{fontCharacter:"\\ebb9"}),t.typeHierarchySub=new t("type-hierarchy-sub",{fontCharacter:"\\ebba"}),t.typeHierarchySuper=new t("type-hierarchy-super",{fontCharacter:"\\ebbb"}),t.gitPullRequestCreate=new t("git-pull-request-create",{fontCharacter:"\\ebbc"}),t.runAbove=new t("run-above",{fontCharacter:"\\ebbd"}),t.runBelow=new t("run-below",{fontCharacter:"\\ebbe"}),t.notebookTemplate=new t("notebook-template",{fontCharacter:"\\ebbf"}),t.debugRerun=new t("debug-rerun",{fontCharacter:"\\ebc0"}),t.workspaceTrusted=new t("workspace-trusted",{fontCharacter:"\\ebc1"}),t.workspaceUntrusted=new t("workspace-untrusted",{fontCharacter:"\\ebc2"}),t.workspaceUnspecified=new t("workspace-unspecified",{fontCharacter:"\\ebc3"}),t.terminalCmd=new t("terminal-cmd",{fontCharacter:"\\ebc4"}),t.terminalDebian=new t("terminal-debian",{fontCharacter:"\\ebc5"}),t.terminalLinux=new t("terminal-linux",{fontCharacter:"\\ebc6"}),t.terminalPowershell=new t("terminal-powershell",{fontCharacter:"\\ebc7"}),t.terminalTmux=new t("terminal-tmux",{fontCharacter:"\\ebc8"}),t.terminalUbuntu=new t("terminal-ubuntu",{fontCharacter:"\\ebc9"}),t.terminalBash=new t("terminal-bash",{fontCharacter:"\\ebca"}),t.arrowSwap=new t("arrow-swap",{fontCharacter:"\\ebcb"}),t.copy=new t("copy",{fontCharacter:"\\ebcc"}),t.personAdd=new t("person-add",{fontCharacter:"\\ebcd"}),t.filterFilled=new t("filter-filled",{fontCharacter:"\\ebce"}),t.wand=new t("wand",{fontCharacter:"\\ebcf"}),t.debugLineByLine=new t("debug-line-by-line",{fontCharacter:"\\ebd0"}),t.inspect=new t("inspect",{fontCharacter:"\\ebd1"}),t.layers=new t("layers",{fontCharacter:"\\ebd2"}),t.layersDot=new t("layers-dot",{fontCharacter:"\\ebd3"}),t.layersActive=new t("layers-active",{fontCharacter:"\\ebd4"}),t.compass=new t("compass",{fontCharacter:"\\ebd5"}),t.compassDot=new t("compass-dot",{fontCharacter:"\\ebd6"}),t.compassActive=new t("compass-active",{fontCharacter:"\\ebd7"}),t.azure=new t("azure",{fontCharacter:"\\ebd8"}),t.issueDraft=new t("issue-draft",{fontCharacter:"\\ebd9"}),t.gitPullRequestClosed=new t("git-pull-request-closed",{fontCharacter:"\\ebda"}),t.gitPullRequestDraft=new t("git-pull-request-draft",{fontCharacter:"\\ebdb"}),t.debugAll=new t("debug-all",{fontCharacter:"\\ebdc"}),t.debugCoverage=new t("debug-coverage",{fontCharacter:"\\ebdd"}),t.runErrors=new t("run-errors",{fontCharacter:"\\ebde"}),t.folderLibrary=new t("folder-library",{fontCharacter:"\\ebdf"}),t.debugContinueSmall=new t("debug-continue-small",{fontCharacter:"\\ebe0"}),t.beakerStop=new t("beaker-stop",{fontCharacter:"\\ebe1"}),t.graphLine=new t("graph-line",{fontCharacter:"\\ebe2"}),t.graphScatter=new t("graph-scatter",{fontCharacter:"\\ebe3"}),t.pieChart=new t("pie-chart",{fontCharacter:"\\ebe4"}),t.bracket=new t("bracket",t.json.definition),t.bracketDot=new t("bracket-dot",{fontCharacter:"\\ebe5"}),t.bracketError=new t("bracket-error",{fontCharacter:"\\ebe6"}),t.lockSmall=new t("lock-small",{fontCharacter:"\\ebe7"}),t.azureDevops=new t("azure-devops",{fontCharacter:"\\ebe8"}),t.verifiedFilled=new t("verified-filled",{fontCharacter:"\\ebe9"}),t.newLine=new t("newline",{fontCharacter:"\\ebea"}),t.layout=new t("layout",{fontCharacter:"\\ebeb"}),t.layoutActivitybarLeft=new t("layout-activitybar-left",{fontCharacter:"\\ebec"}),t.layoutActivitybarRight=new t("layout-activitybar-right",{fontCharacter:"\\ebed"}),t.layoutPanelLeft=new t("layout-panel-left",{fontCharacter:"\\ebee"}),t.layoutPanelCenter=new t("layout-panel-center",{fontCharacter:"\\ebef"}),t.layoutPanelJustify=new t("layout-panel-justify",{fontCharacter:"\\ebf0"}),t.layoutPanelRight=new t("layout-panel-right",{fontCharacter:"\\ebf1"}),t.layoutPanel=new t("layout-panel",{fontCharacter:"\\ebf2"}),t.layoutSidebarLeft=new t("layout-sidebar-left",{fontCharacter:"\\ebf3"}),t.layoutSidebarRight=new t("layout-sidebar-right",{fontCharacter:"\\ebf4"}),t.layoutStatusbar=new t("layout-statusbar",{fontCharacter:"\\ebf5"}),t.layoutMenubar=new t("layout-menubar",{fontCharacter:"\\ebf6"}),t.layoutCentered=new t("layout-centered",{fontCharacter:"\\ebf7"}),t.target=new t("target",{fontCharacter:"\\ebf8"}),t.indent=new t("indent",{fontCharacter:"\\ebf9"}),t.recordSmall=new t("record-small",{fontCharacter:"\\ebfa"}),t.errorSmall=new t("error-small",{fontCharacter:"\\ebfb"}),t.arrowCircleDown=new t("arrow-circle-down",{fontCharacter:"\\ebfc"}),t.arrowCircleLeft=new t("arrow-circle-left",{fontCharacter:"\\ebfd"}),t.arrowCircleRight=new t("arrow-circle-right",{fontCharacter:"\\ebfe"}),t.arrowCircleUp=new t("arrow-circle-up",{fontCharacter:"\\ebff"}),t.dialogError=new t("dialog-error",t.error.definition),t.dialogWarning=new t("dialog-warning",t.warning.definition),t.dialogInfo=new t("dialog-info",t.info.definition),t.dialogClose=new t("dialog-close",t.close.definition),t.treeItemExpanded=new t("tree-item-expanded",t.chevronDown.definition),t.treeFilterOnTypeOn=new t("tree-filter-on-type-on",t.listFilter.definition),t.treeFilterOnTypeOff=new t("tree-filter-on-type-off",t.listSelection.definition),t.treeFilterClear=new t("tree-filter-clear",t.close.definition),t.treeItemLoading=new t("tree-item-loading",t.loading.definition),t.menuSelection=new t("menu-selection",t.check.definition),t.menuSubmenu=new t("menu-submenu",t.chevronRight.definition),t.menuBarMore=new t("menubar-more",t.more.definition),t.scrollbarButtonLeft=new t("scrollbar-button-left",t.triangleLeft.definition),t.scrollbarButtonRight=new t("scrollbar-button-right",t.triangleRight.definition),t.scrollbarButtonUp=new t("scrollbar-button-up",t.triangleUp.definition),t.scrollbarButtonDown=new t("scrollbar-button-down",t.triangleDown.definition),t.toolBarMore=new t("toolbar-more",t.more.definition),t.quickInputBack=new t("quick-input-back",t.arrowLeft.definition);function L(A,R){const b=["codicon","codicon-"+A];return R&&b.push("codicon-modifier-"+R),b}e.getClassNamesArray=L;var T;(function(A){A.iconNameSegment="[A-Za-z0-9]+",A.iconNameExpression="[A-Za-z0-9-]+",A.iconModifierExpression="~[A-Za-z]+",A.iconNameCharacter="[A-Za-z0-9~-]";const R=new RegExp(`^(${A.iconNameExpression})(${A.iconModifierExpression})?$`);function b(E){if(E instanceof t)return["codicon","codicon-"+E.id];const f=R.exec(E.id);if(!f)return b(t.error);let[,p,h]=f;const g=["codicon","codicon-"+p];return h&&g.push("codicon-modifier-"+h.substr(1)),g}A.asClassNameArray=b;function I(E){return b(E).join(" ")}A.asClassName=I;function P(E){return"."+b(E).join(".")}A.asCSSSelector=P})(T=e.CSSIcon||(e.CSSIcon={}))}),define(te[68],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const k=Object.prototype.hasOwnProperty;function t(P){const E=[];for(let f in P)k.call(P,f)&&E.push(P[f]);return E}e.values=t;function L(P,E){for(let f in P)if(k.call(P,f)&&E({key:f,value:P[f]},function(){delete P[f]})===!1)return}e.forEach=L;function T(P,E){const f=Object.create(null);for(const p of P){const h=E(p);let g=f[h];g||(g=f[h]=[]),g.push(p)}return f}e.groupBy=T;function A(P){const E=Object.create(null);return P&&P.forEach((f,p)=>{E[p]=f}),E}e.fromMap=A;function R(P,E){const f=[],p=[];for(let h of P)E.has(h)||f.push(h);for(let h of E)P.has(h)||p.push(h);return{removed:f,added:p}}e.diffSets=R;function b(P,E){const f=[],p=[];for(let[h,g]of P)E.has(h)||f.push(g);for(let[h,g]of E)P.has(h)||p.push(g);return{removed:f,added:p}}e.diffMaps=b;class I{constructor(){this.map=new Map}add(E,f){let p=this.map.get(E);p||(p=new Set,this.map.set(E,p)),p.add(f)}delete(E,f){const p=this.map.get(E);!p||(p.delete(f),p.size===0&&this.map.delete(E))}forEach(E,f){const p=this.map.get(E);!p||p.forEach(f)}}e.SetMap=I}),define(te[54],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function k(A){return(R,b,I)=>{let P=null,E=null;if(typeof I.value=="function"?(P="value",E=I.value):typeof I.get=="function"&&(P="get",E=I.get),!E)throw new Error("not supported");I[P]=A(E,b)}}e.createDecorator=k;function t(A,R,b){let I=null,P=null;if(typeof b.value=="function"?(I="value",P=b.value,P.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof b.get=="function"&&(I="get",P=b.get),!P)throw new Error("not supported");const E=`$memoize$${R}`;b[I]=function(...f){return this.hasOwnProperty(E)||Object.defineProperty(this,E,{configurable:!1,enumerable:!1,writable:!1,value:P.apply(this,f)}),this[E]}}e.memoize=t;function L(A,R,b){return k((I,P)=>{const E=`$debounce$${P}`,f=`$debounce$result$${P}`;return function(...p){this[f]||(this[f]=b?b():void 0),clearTimeout(this[E]),R&&(this[f]=R(this[f],...p),p=[this[f]]),this[E]=setTimeout(()=>{I.apply(this,p),this[f]=b?b():void 0},A)}})}e.debounce=L;function T(A,R,b){return k((I,P)=>{const E=`$throttle$timer$${P}`,f=`$throttle$result$${P}`,p=`$throttle$lastRun$${P}`,h=`$throttle$pending$${P}`;return function(...g){if(this[f]||(this[f]=b?b():void 0),(this[p]===null||this[p]===void 0)&&(this[p]=-Number.MAX_VALUE),R&&(this[f]=R(this[f],...g)),this[h])return;const v=this[p]+A;v<=Date.now()?(this[p]=Date.now(),I.apply(this,[this[f]]),this[f]=b?b():void 0):(this[h]=!0,this[E]=setTimeout(()=>{this[h]=!1,this[p]=Date.now(),I.apply(this,[this[f]]),this[f]=b?b():void 0},v-Date.now()))}})}e.throttle=T}),define(te[9],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isCancellationError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class k{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(y){setTimeout(()=>{throw y.stack?new Error(y.message+`

`+y.stack):y},0)}}addListener(y){return this.listeners.push(y),()=>{this._removeListener(y)}}emit(y){this.listeners.forEach(d=>{d(y)})}_removeListener(y){this.listeners.splice(this.listeners.indexOf(y),1)}setUnexpectedErrorHandler(y){this.unexpectedErrorHandler=y}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(y){this.unexpectedErrorHandler(y),this.emit(y)}onUnexpectedExternalError(y){this.unexpectedErrorHandler(y)}}e.ErrorHandler=k,e.errorHandler=new k;function t(S){e.errorHandler.setUnexpectedErrorHandler(S)}e.setUnexpectedErrorHandler=t;function L(S){b(S)||e.errorHandler.onUnexpectedError(S)}e.onUnexpectedError=L;function T(S){b(S)||e.errorHandler.onUnexpectedExternalError(S)}e.onUnexpectedExternalError=T;function A(S){if(S instanceof Error){let{name:y,message:d}=S;const r=S.stacktrace||S.stack;return{$isError:!0,name:y,message:d,stack:r}}return S}e.transformErrorForSerialization=A;const R="Canceled";function b(S){return S instanceof I?!0:S instanceof Error&&S.name===R&&S.message===R}e.isCancellationError=b;class I extends Error{constructor(){super(R);this.name=this.message}}e.CancellationError=I;function P(){const S=new Error(R);return S.name=S.message,S}e.canceled=P;function E(S){return S?new Error(`Illegal argument: ${S}`):new Error("Illegal argument")}e.illegalArgument=E;function f(S){return S?new Error(`Illegal state: ${S}`):new Error("Illegal state")}e.illegalState=f;function p(S){return S?new Error(`readonly property '${S} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=p;function h(S){const y=new Error(`${S} has been disposed`);return y.name="DISPOSED",y}e.disposed=h;function g(S){return S?S.message?S.message:S.stack?S.stack.split(`
`)[0]:String(S):"Error"}e.getErrorMessage=g;class v extends Error{constructor(y){super("NotImplemented");y&&(this.message=y)}}e.NotImplementedError=v;class l extends Error{constructor(y){super("NotSupported");y&&(this.message=y)}}e.NotSupportedError=l;class w extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=w}),define(te[16],ne([0,1,9]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.findMinBy=e.findLastMaxBy=e.findMaxBy=e.numberComparator=e.compareBy=e.splice=e.insertInto=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.findLast=e.uniqueFilter=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function t(j,N=0){return j[j.length-(1+N)]}e.tail=t;function L(j){if(j.length===0)throw new Error("Invalid tail call");return[j.slice(0,j.length-1),j[j.length-1]]}e.tail2=L;function T(j,N,$=(z,G)=>z===G){if(j===N)return!0;if(!j||!N||j.length!==N.length)return!1;for(let z=0,G=j.length;z<G;z++)if(!$(j[z],N[z]))return!1;return!0}e.equals=T;function A(j,N,$){let z=0,G=j.length-1;for(;z<=G;){const ee=(z+G)/2|0,se=$(j[ee],N);if(se<0)z=ee+1;else if(se>0)G=ee-1;else return ee}return-(z+1)}e.binarySearch=A;function R(j,N){let $=0,z=j.length;if(z===0)return 0;for(;$<z;){const G=Math.floor(($+z)/2);N(j[G])?z=G:$=G+1}return $}e.findFirstInSorted=R;function b(j,N,$){if(j=j|0,j>=N.length)throw new TypeError("invalid index");let z=N[Math.floor(N.length*Math.random())],G=[],ee=[],se=[];for(let ae of N){const de=$(ae,z);de<0?G.push(ae):de>0?ee.push(ae):se.push(ae)}return j<G.length?b(j,G,$):j<G.length+se.length?se[0]:b(j-(G.length+se.length),ee,$)}e.quickSelect=b;function I(j,N){const $=[];let z;for(const G of j.slice(0).sort(N))!z||N(z[0],G)!==0?(z=[G],$.push(z)):z.push(G);return $}e.groupBy=I;function P(j,N,$){const z=[];function G(ae,de,ve){if(de===0&&ve.length===0)return;const be=z[z.length-1];be&&be.start+be.deleteCount===ae?(be.deleteCount+=de,be.toInsert.push(...ve)):z.push({start:ae,deleteCount:de,toInsert:ve})}let ee=0,se=0;for(;;){if(ee===j.length){G(ee,0,N.slice(se));break}if(se===N.length){G(ee,j.length-ee,[]);break}const ae=j[ee],de=N[se],ve=$(ae,de);ve===0?(ee+=1,se+=1):ve<0?(G(ee,1,[]),ee+=1):ve>0&&(G(ee,0,[de]),se+=1)}return z}e.sortedDiff=P;function E(j,N,$){const z=P(j,N,$),G=[],ee=[];for(const se of z)G.push(...j.slice(se.start,se.start+se.deleteCount)),ee.push(...se.toInsert);return{removed:G,added:ee}}e.delta=E;function f(j,N,$){if($===0)return[];const z=j.slice(0,$).sort(N);return h(j,N,z,$,j.length),z}e.top=f;function p(j,N,$,z,G){return $===0?Promise.resolve([]):new Promise((ee,se)=>{(async()=>{const ae=j.length,de=j.slice(0,$).sort(N);for(let ve=$,be=Math.min($+z,ae);ve<ae;ve=be,be=Math.min(be+z,ae)){if(ve>$&&await new Promise(Se=>setTimeout(Se)),G&&G.isCancellationRequested)throw(0,k.canceled)();h(j,N,de,ve,be)}return de})().then(ee,se)})}e.topAsync=p;function h(j,N,$,z,G){for(const ee=$.length;z<G;z++){const se=j[z];if(N(se,$[ee-1])<0){$.pop();const ae=R($,de=>N(se,de)<0);$.splice(ae,0,se)}}}function g(j){return j.filter(N=>!!N)}e.coalesce=g;function v(j){let N=0;for(let $=0;$<j.length;$++)j[$]&&(j[N]=j[$],N+=1);j.length=N}e.coalesceInPlace=v;function l(j,N,$){j.splice($,0,j.splice(N,1)[0])}e.move=l;function w(j){return!Array.isArray(j)||j.length===0}e.isFalsyOrEmpty=w;function S(j){return Array.isArray(j)&&j.length>0}e.isNonEmptyArray=S;function y(j,N=$=>$){const $=new Set;return j.filter(z=>{const G=N(z);return $.has(G)?!1:($.add(G),!0)})}e.distinct=y;function d(j){const N=new Set;return $=>{const z=j($);return N.has(z)?!1:(N.add(z),!0)}}e.uniqueFilter=d;function r(j,N){const $=c(j,N);if($!==-1)return j[$]}e.findLast=r;function c(j,N){for(let $=j.length-1;$>=0;$--){const z=j[$];if(N(z))return $}return-1}e.lastIndex=c;function i(j,N){return j.length>0?j[0]:N}e.firstOrDefault=i;function n(j,N,$=(z,G)=>z===G){let z=0;for(let G=0,ee=Math.min(j.length,N.length);G<ee&&$(j[G],N[G]);G++)z++;return z}e.commonPrefixLength=n;function o(j){return[].concat(...j)}e.flatten=o;function s(j,N){let $=typeof N=="number"?j:0;typeof N=="number"?$=j:($=0,N=j);const z=[];if($<=N)for(let G=$;G<N;G++)z.push(G);else for(let G=$;G>N;G--)z.push(G);return z}e.range=s;function a(j,N,$){return j.reduce((z,G)=>(z[N(G)]=$?$(G):G,z),Object.create(null))}e.index=a;function u(j,N){return j.push(N),()=>m(j,N)}e.insert=u;function m(j,N){const $=j.indexOf(N);if($>-1)return j.splice($,1),N}e.remove=m;function C(j,N,$){const z=j.slice(0,N),G=j.slice(N);return z.concat($,G)}e.arrayInsert=C;function _(j,N){let $;if(typeof N=="number"){let z=N;$=()=>{const G=Math.sin(z++)*179426549;return G-Math.floor(G)}}else $=Math.random;for(let z=j.length-1;z>0;z-=1){const G=Math.floor($()*(z+1)),ee=j[z];j[z]=j[G],j[G]=ee}}e.shuffle=_;function O(j,N){const $=j.indexOf(N);$>-1&&(j.splice($,1),j.unshift(N))}e.pushToStart=O;function M(j,N){const $=j.indexOf(N);$>-1&&(j.splice($,1),j.push(N))}e.pushToEnd=M;function D(j,N){return Array.isArray(j)?j.map(N):N(j)}e.mapArrayOrNot=D;function U(j){return Array.isArray(j)?j:[j]}e.asArray=U;function F(j){return j[Math.floor(Math.random()*j.length)]}e.getRandomElement=F;function x(j,N){for(const $ of j){const z=N($);if(z!==void 0)return z}}e.mapFind=x;function q(j,N,$){const z=re(j,N),G=j.length,ee=$.length;j.length=G+ee;for(let se=G-1;se>=z;se--)j[se+ee]=j[se];for(let se=0;se<ee;se++)j[se+z]=$[se]}e.insertInto=q;function H(j,N,$,z){const G=re(j,N),ee=j.splice(G,$);return q(j,G,z),ee}e.splice=H;function re(j,N){return N<0?Math.max(N+j.length,0):Math.min(N,j.length)}function B(j,N){return($,z)=>N(j($),j(z))}e.compareBy=B;const W=(j,N)=>j-N;e.numberComparator=W;function K(j,N){if(j.length===0)return;let $=j[0];for(let z=1;z<j.length;z++){const G=j[z];N(G,$)>0&&($=G)}return $}e.findMaxBy=K;function V(j,N){if(j.length===0)return;let $=j[0];for(let z=1;z<j.length;z++){const G=j[z];N(G,$)>=0&&($=G)}return $}e.findLastMaxBy=V;function X(j,N){return K(j,($,z)=>-N($,z))}e.findMinBy=X;class Z{constructor(N){this.items=N,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(N){let $=this.firstIdx;for(;$<this.items.length&&N(this.items[$]);)$++;const z=$===this.firstIdx?null:this.items.slice(this.firstIdx,$);return this.firstIdx=$,z}takeFromEndWhile(N){let $=this.lastIdx;for(;$>=0&&N(this.items[$]);)$--;const z=$===this.lastIdx?null:this.items.slice($+1,this.lastIdx+1);return this.lastIdx=$,z}peek(){return this.items[this.firstIdx]}dequeue(){const N=this.items[this.firstIdx];return this.firstIdx++,N}takeCount(N){const $=this.items.slice(this.firstIdx,this.firstIdx+N);return this.firstIdx+=N,$}}e.ArrayQueue=Z}),define(te[69],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function k(t){const L=this;let T=!1,A;return function(){return T||(T=!0,A=t.apply(L,arguments)),A}}e.once=k}),define(te[55],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var k;(function(t){function L(d){return d&&typeof d=="object"&&typeof d[Symbol.iterator]=="function"}t.is=L;const T=Object.freeze([]);function A(){return T}t.empty=A;function*R(d){yield d}t.single=R;function b(d){return d||T}t.from=b;function I(d){return!d||d[Symbol.iterator]().next().done===!0}t.isEmpty=I;function P(d){return d[Symbol.iterator]().next().value}t.first=P;function E(d,r){for(const c of d)if(r(c))return!0;return!1}t.some=E;function f(d,r){for(const c of d)if(r(c))return c}t.find=f;function*p(d,r){for(const c of d)r(c)&&(yield c)}t.filter=p;function*h(d,r){let c=0;for(const i of d)yield r(i,c++)}t.map=h;function*g(...d){for(const r of d)for(const c of r)yield c}t.concat=g;function*v(d){for(const r of d)for(const c of r)yield c}t.concatNested=v;function l(d,r,c){let i=c;for(const n of d)i=r(i,n);return i}t.reduce=l;function*w(d,r,c=d.length){for(r<0&&(r+=d.length),c<0?c+=d.length:c>d.length&&(c=d.length);r<c;r++)yield d[r]}t.slice=w;function S(d,r=Number.POSITIVE_INFINITY){const c=[];if(r===0)return[c,d];const i=d[Symbol.iterator]();for(let n=0;n<r;n++){const o=i.next();if(o.done)return[c,t.empty()];c.push(o.value)}return[c,{[Symbol.iterator](){return i}}]}t.consume=S;function y(d,r,c=(i,n)=>i===n){const i=d[Symbol.iterator](),n=r[Symbol.iterator]();for(;;){const o=i.next(),s=n.next();if(o.done!==s.done)return!1;if(o.done)return!0;if(!c(o.value,s.value))return!1}}t.equals=y})(k=e.Iterable||(e.Iterable={}))}),define(te[35],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var k;(function(r){r[r.None=0]="None",r[r.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",r[r.UnexpectedEndOfString=2]="UnexpectedEndOfString",r[r.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",r[r.InvalidUnicode=4]="InvalidUnicode",r[r.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",r[r.InvalidCharacter=6]="InvalidCharacter"})(k=e.ScanError||(e.ScanError={}));var t;(function(r){r[r.OpenBraceToken=1]="OpenBraceToken",r[r.CloseBraceToken=2]="CloseBraceToken",r[r.OpenBracketToken=3]="OpenBracketToken",r[r.CloseBracketToken=4]="CloseBracketToken",r[r.CommaToken=5]="CommaToken",r[r.ColonToken=6]="ColonToken",r[r.NullKeyword=7]="NullKeyword",r[r.TrueKeyword=8]="TrueKeyword",r[r.FalseKeyword=9]="FalseKeyword",r[r.StringLiteral=10]="StringLiteral",r[r.NumericLiteral=11]="NumericLiteral",r[r.LineCommentTrivia=12]="LineCommentTrivia",r[r.BlockCommentTrivia=13]="BlockCommentTrivia",r[r.LineBreakTrivia=14]="LineBreakTrivia",r[r.Trivia=15]="Trivia",r[r.Unknown=16]="Unknown",r[r.EOF=17]="EOF"})(t=e.SyntaxKind||(e.SyntaxKind={}));var L;(function(r){r[r.InvalidSymbol=1]="InvalidSymbol",r[r.InvalidNumberFormat=2]="InvalidNumberFormat",r[r.PropertyNameExpected=3]="PropertyNameExpected",r[r.ValueExpected=4]="ValueExpected",r[r.ColonExpected=5]="ColonExpected",r[r.CommaExpected=6]="CommaExpected",r[r.CloseBraceExpected=7]="CloseBraceExpected",r[r.CloseBracketExpected=8]="CloseBracketExpected",r[r.EndOfFileExpected=9]="EndOfFileExpected",r[r.InvalidCommentToken=10]="InvalidCommentToken",r[r.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",r[r.UnexpectedEndOfString=12]="UnexpectedEndOfString",r[r.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",r[r.InvalidUnicode=14]="InvalidUnicode",r[r.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",r[r.InvalidCharacter=16]="InvalidCharacter"})(L=e.ParseErrorCode||(e.ParseErrorCode={}));var T;(function(r){r.DEFAULT={allowTrailingComma:!0}})(T=e.ParseOptions||(e.ParseOptions={}));function A(r,c=!1){let i=0,n=r.length,o="",s=0,a=16,u=0;function m(F){let x=0,q=0;for(;x<F;){const H=r.charCodeAt(i);if(H>=48&&H<=57)q=q*16+H-48;else if(H>=65&&H<=70)q=q*16+H-65+10;else if(H>=97&&H<=102)q=q*16+H-97+10;else break;i++,x++}return x<F&&(q=-1),q}function C(F){i=F,o="",s=0,a=16,u=0}function _(){const F=i;if(r.charCodeAt(i)===48)i++;else for(i++;i<r.length&&I(r.charCodeAt(i));)i++;if(i<r.length&&r.charCodeAt(i)===46)if(i++,i<r.length&&I(r.charCodeAt(i)))for(i++;i<r.length&&I(r.charCodeAt(i));)i++;else return u=3,r.substring(F,i);let x=i;if(i<r.length&&(r.charCodeAt(i)===69||r.charCodeAt(i)===101))if(i++,(i<r.length&&r.charCodeAt(i)===43||r.charCodeAt(i)===45)&&i++,i<r.length&&I(r.charCodeAt(i))){for(i++;i<r.length&&I(r.charCodeAt(i));)i++;x=i}else u=3;return r.substring(F,x)}function O(){let F="",x=i;for(;;){if(i>=n){F+=r.substring(x,i),u=2;break}const q=r.charCodeAt(i);if(q===34){F+=r.substring(x,i),i++;break}if(q===92){if(F+=r.substring(x,i),i++,i>=n){u=2;break}switch(r.charCodeAt(i++)){case 34:F+='"';break;case 92:F+="\\";break;case 47:F+="/";break;case 98:F+="\b";break;case 102:F+="\f";break;case 110:F+=`
`;break;case 114:F+="\r";break;case 116:F+="	";break;case 117:{const re=m(4);re>=0?F+=String.fromCharCode(re):u=4;break}default:u=5}x=i;continue}if(q>=0&&q<=31)if(b(q)){F+=r.substring(x,i),u=2;break}else u=6;i++}return F}function M(){if(o="",u=0,s=i,i>=n)return s=n,a=17;let F=r.charCodeAt(i);if(R(F)){do i++,o+=String.fromCharCode(F),F=r.charCodeAt(i);while(R(F));return a=15}if(b(F))return i++,o+=String.fromCharCode(F),F===13&&r.charCodeAt(i)===10&&(i++,o+=`
`),a=14;switch(F){case 123:return i++,a=1;case 125:return i++,a=2;case 91:return i++,a=3;case 93:return i++,a=4;case 58:return i++,a=6;case 44:return i++,a=5;case 34:return i++,o=O(),a=10;case 47:{const x=i-1;if(r.charCodeAt(i+1)===47){for(i+=2;i<n&&!b(r.charCodeAt(i));)i++;return o=r.substring(x,i),a=12}if(r.charCodeAt(i+1)===42){i+=2;const q=n-1;let H=!1;for(;i<q;){if(r.charCodeAt(i)===42&&r.charCodeAt(i+1)===47){i+=2,H=!0;break}i++}return H||(i++,u=1),o=r.substring(x,i),a=13}return o+=String.fromCharCode(F),i++,a=16}case 45:if(o+=String.fromCharCode(F),i++,i===n||!I(r.charCodeAt(i)))return a=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return o+=_(),a=11;default:for(;i<n&&D(F);)i++,F=r.charCodeAt(i);if(s!==i){switch(o=r.substring(s,i),o){case"true":return a=8;case"false":return a=9;case"null":return a=7}return a=16}return o+=String.fromCharCode(F),i++,a=16}}function D(F){if(R(F)||b(F))return!1;switch(F){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function U(){let F;do F=M();while(F>=12&&F<=15);return F}return{setPosition:C,getPosition:()=>i,scan:c?U:M,getToken:()=>a,getTokenValue:()=>o,getTokenOffset:()=>s,getTokenLength:()=>i-s,getTokenError:()=>u}}e.createScanner=A;function R(r){return r===32||r===9||r===11||r===12||r===160||r===5760||r>=8192&&r<=8203||r===8239||r===8287||r===12288||r===65279}function b(r){return r===10||r===13||r===8232||r===8233}function I(r){return r>=48&&r<=57}var P;(function(r){r[r.nullCharacter=0]="nullCharacter",r[r.maxAsciiCharacter=127]="maxAsciiCharacter",r[r.lineFeed=10]="lineFeed",r[r.carriageReturn=13]="carriageReturn",r[r.lineSeparator=8232]="lineSeparator",r[r.paragraphSeparator=8233]="paragraphSeparator",r[r.nextLine=133]="nextLine",r[r.space=32]="space",r[r.nonBreakingSpace=160]="nonBreakingSpace",r[r.enQuad=8192]="enQuad",r[r.emQuad=8193]="emQuad",r[r.enSpace=8194]="enSpace",r[r.emSpace=8195]="emSpace",r[r.threePerEmSpace=8196]="threePerEmSpace",r[r.fourPerEmSpace=8197]="fourPerEmSpace",r[r.sixPerEmSpace=8198]="sixPerEmSpace",r[r.figureSpace=8199]="figureSpace",r[r.punctuationSpace=8200]="punctuationSpace",r[r.thinSpace=8201]="thinSpace",r[r.hairSpace=8202]="hairSpace",r[r.zeroWidthSpace=8203]="zeroWidthSpace",r[r.narrowNoBreakSpace=8239]="narrowNoBreakSpace",r[r.ideographicSpace=12288]="ideographicSpace",r[r.mathematicalSpace=8287]="mathematicalSpace",r[r.ogham=5760]="ogham",r[r._=95]="_",r[r.$=36]="$",r[r._0=48]="_0",r[r._1=49]="_1",r[r._2=50]="_2",r[r._3=51]="_3",r[r._4=52]="_4",r[r._5=53]="_5",r[r._6=54]="_6",r[r._7=55]="_7",r[r._8=56]="_8",r[r._9=57]="_9",r[r.a=97]="a",r[r.b=98]="b",r[r.c=99]="c",r[r.d=100]="d",r[r.e=101]="e",r[r.f=102]="f",r[r.g=103]="g",r[r.h=104]="h",r[r.i=105]="i",r[r.j=106]="j",r[r.k=107]="k",r[r.l=108]="l",r[r.m=109]="m",r[r.n=110]="n",r[r.o=111]="o",r[r.p=112]="p",r[r.q=113]="q",r[r.r=114]="r",r[r.s=115]="s",r[r.t=116]="t",r[r.u=117]="u",r[r.v=118]="v",r[r.w=119]="w",r[r.x=120]="x",r[r.y=121]="y",r[r.z=122]="z",r[r.A=65]="A",r[r.B=66]="B",r[r.C=67]="C",r[r.D=68]="D",r[r.E=69]="E",r[r.F=70]="F",r[r.G=71]="G",r[r.H=72]="H",r[r.I=73]="I",r[r.J=74]="J",r[r.K=75]="K",r[r.L=76]="L",r[r.M=77]="M",r[r.N=78]="N",r[r.O=79]="O",r[r.P=80]="P",r[r.Q=81]="Q",r[r.R=82]="R",r[r.S=83]="S",r[r.T=84]="T",r[r.U=85]="U",r[r.V=86]="V",r[r.W=87]="W",r[r.X=88]="X",r[r.Y=89]="Y",r[r.Z=90]="Z",r[r.ampersand=38]="ampersand",r[r.asterisk=42]="asterisk",r[r.at=64]="at",r[r.backslash=92]="backslash",r[r.bar=124]="bar",r[r.caret=94]="caret",r[r.closeBrace=125]="closeBrace",r[r.closeBracket=93]="closeBracket",r[r.closeParen=41]="closeParen",r[r.colon=58]="colon",r[r.comma=44]="comma",r[r.dot=46]="dot",r[r.doubleQuote=34]="doubleQuote",r[r.equals=61]="equals",r[r.exclamation=33]="exclamation",r[r.greaterThan=62]="greaterThan",r[r.lessThan=60]="lessThan",r[r.minus=45]="minus",r[r.openBrace=123]="openBrace",r[r.openBracket=91]="openBracket",r[r.openParen=40]="openParen",r[r.percent=37]="percent",r[r.plus=43]="plus",r[r.question=63]="question",r[r.semicolon=59]="semicolon",r[r.singleQuote=39]="singleQuote",r[r.slash=47]="slash",r[r.tilde=126]="tilde",r[r.backspace=8]="backspace",r[r.formFeed=12]="formFeed",r[r.byteOrderMark=65279]="byteOrderMark",r[r.tab=9]="tab",r[r.verticalTab=11]="verticalTab"})(P||(P={}));function E(r,c){const i=[],n=new Object;let o;const s={value:{},offset:0,length:0,type:"object",parent:void 0};let a=!1;function u(m,C,_,O){s.value=m,s.offset=C,s.length=_,s.type=O,s.colonOffset=void 0,o=s}try{S(r,{onObjectBegin:(m,C)=>{if(c<=m)throw n;o=void 0,a=c>m,i.push("")},onObjectProperty:(m,C,_)=>{if(c<C||(u(m,C,_,"property"),i[i.length-1]=m,c<=C+_))throw n},onObjectEnd:(m,C)=>{if(c<=m)throw n;o=void 0,i.pop()},onArrayBegin:(m,C)=>{if(c<=m)throw n;o=void 0,i.push(0)},onArrayEnd:(m,C)=>{if(c<=m)throw n;o=void 0,i.pop()},onLiteralValue:(m,C,_)=>{if(c<C||(u(m,C,_,d(m)),c<=C+_))throw n},onSeparator:(m,C,_)=>{if(c<=C)throw n;if(m===":"&&o&&o.type==="property")o.colonOffset=C,a=!1,o=void 0;else if(m===","){const O=i[i.length-1];typeof O=="number"?i[i.length-1]=O+1:(a=!0,i[i.length-1]=""),o=void 0}}})}catch(m){if(m!==n)throw m}return{path:i,previousNode:o,isAtPropertyKey:a,matches:m=>{let C=0;for(let _=0;C<m.length&&_<i.length;_++)if(m[C]===i[_]||m[C]==="*")C++;else if(m[C]!=="**")return!1;return C===m.length}}}e.getLocation=E;function f(r,c=[],i=T.DEFAULT){let n=null,o=[];const s=[];function a(m){Array.isArray(o)?o.push(m):n!==null&&(o[n]=m)}return S(r,{onObjectBegin:()=>{const m={};a(m),s.push(o),o=m,n=null},onObjectProperty:m=>{n=m},onObjectEnd:()=>{o=s.pop()},onArrayBegin:()=>{const m=[];a(m),s.push(o),o=m,n=null},onArrayEnd:()=>{o=s.pop()},onLiteralValue:a,onError:(m,C,_)=>{c.push({error:m,offset:C,length:_})}},i),o[0]}e.parse=f;function p(r,c=[],i=T.DEFAULT){let n={type:"array",offset:-1,length:-1,children:[],parent:void 0};function o(m){n.type==="property"&&(n.length=m-n.offset,n=n.parent)}function s(m){return n.children.push(m),m}S(r,{onObjectBegin:m=>{n=s({type:"object",offset:m,length:-1,parent:n,children:[]})},onObjectProperty:(m,C,_)=>{n=s({type:"property",offset:C,length:-1,parent:n,children:[]}),n.children.push({type:"string",value:m,offset:C,length:_,parent:n})},onObjectEnd:(m,C)=>{n.length=m+C-n.offset,n=n.parent,o(m+C)},onArrayBegin:(m,C)=>{n=s({type:"array",offset:m,length:-1,parent:n,children:[]})},onArrayEnd:(m,C)=>{n.length=m+C-n.offset,n=n.parent,o(m+C)},onLiteralValue:(m,C,_)=>{s({type:d(m),offset:C,length:_,parent:n,value:m}),o(C+_)},onSeparator:(m,C,_)=>{n.type==="property"&&(m===":"?n.colonOffset=C:m===","&&o(C))},onError:(m,C,_)=>{c.push({error:m,offset:C,length:_})}},i);const u=n.children[0];return u&&delete u.parent,u}e.parseTree=p;function h(r,c){if(!r)return;let i=r;for(let n of c)if(typeof n=="string"){if(i.type!=="object"||!Array.isArray(i.children))return;let o=!1;for(const s of i.children)if(Array.isArray(s.children)&&s.children[0].value===n){i=s.children[1],o=!0;break}if(!o)return}else{const o=n;if(i.type!=="array"||o<0||!Array.isArray(i.children)||o>=i.children.length)return;i=i.children[o]}return i}e.findNodeAtLocation=h;function g(r){if(!r.parent||!r.parent.children)return[];const c=g(r.parent);if(r.parent.type==="property"){const i=r.parent.children[0].value;c.push(i)}else if(r.parent.type==="array"){const i=r.parent.children.indexOf(r);i!==-1&&c.push(i)}return c}e.getNodePath=g;function v(r){switch(r.type){case"array":return r.children.map(v);case"object":{const c=Object.create(null);for(let i of r.children){const n=i.children[1];n&&(c[i.children[0].value]=v(n))}return c}case"null":case"string":case"number":case"boolean":return r.value;default:return}}e.getNodeValue=v;function l(r,c,i=!1){return c>=r.offset&&c<r.offset+r.length||i&&c===r.offset+r.length}e.contains=l;function w(r,c,i=!1){if(l(r,c,i)){const n=r.children;if(Array.isArray(n))for(let o=0;o<n.length&&n[o].offset<=c;o++){const s=w(n[o],c,i);if(s)return s}return r}}e.findNodeAtOffset=w;function S(r,c,i=T.DEFAULT){const n=A(r,!1);function o(Z){return Z?()=>Z(n.getTokenOffset(),n.getTokenLength()):()=>!0}function s(Z){return Z?j=>Z(j,n.getTokenOffset(),n.getTokenLength()):()=>!0}const a=o(c.onObjectBegin),u=s(c.onObjectProperty),m=o(c.onObjectEnd),C=o(c.onArrayBegin),_=o(c.onArrayEnd),O=s(c.onLiteralValue),M=s(c.onSeparator),D=o(c.onComment),U=s(c.onError),F=i&&i.disallowComments,x=i&&i.allowTrailingComma;function q(){for(;;){const Z=n.scan();switch(n.getTokenError()){case 4:H(14);break;case 5:H(15);break;case 3:H(13);break;case 1:F||H(11);break;case 2:H(12);break;case 6:H(16);break}switch(Z){case 12:case 13:F?H(10):D();break;case 16:H(1);break;case 15:case 14:break;default:return Z}}}function H(Z,j=[],N=[]){if(U(Z),j.length+N.length>0){let $=n.getToken();for(;$!==17;){if(j.indexOf($)!==-1){q();break}else if(N.indexOf($)!==-1)break;$=q()}}}function re(Z){const j=n.getTokenValue();return Z?O(j):u(j),q(),!0}function B(){switch(n.getToken()){case 11:{let Z=0;try{Z=JSON.parse(n.getTokenValue()),typeof Z!="number"&&(H(2),Z=0)}catch{H(2)}O(Z);break}case 7:O(null);break;case 8:O(!0);break;case 9:O(!1);break;default:return!1}return q(),!0}function W(){return n.getToken()!==10?(H(3,[],[2,5]),!1):(re(!1),n.getToken()===6?(M(":"),q(),X()||H(4,[],[2,5])):H(5,[],[2,5]),!0)}function K(){a(),q();let Z=!1;for(;n.getToken()!==2&&n.getToken()!==17;){if(n.getToken()===5){if(Z||H(4,[],[]),M(","),q(),n.getToken()===2&&x)break}else Z&&H(6,[],[]);W()||H(4,[],[2,5]),Z=!0}return m(),n.getToken()!==2?H(7,[2],[]):q(),!0}function V(){C(),q();let Z=!1;for(;n.getToken()!==4&&n.getToken()!==17;){if(n.getToken()===5){if(Z||H(4,[],[]),M(","),q(),n.getToken()===4&&x)break}else Z&&H(6,[],[]);X()||H(4,[],[4,5]),Z=!0}return _(),n.getToken()!==4?H(8,[4],[]):q(),!0}function X(){switch(n.getToken()){case 3:return V();case 1:return K();case 10:return re(!0);default:return B()}}return q(),n.getToken()===17?i.allowEmptyContent?!0:(H(4,[],[]),!1):X()?(n.getToken()!==17&&H(9,[],[]),!0):(H(4,[],[]),!1)}e.visit=S;function y(r,c){let i=A(r),n=[],o,s=0,a;do switch(a=i.getPosition(),o=i.scan(),o){case 12:case 13:case 17:s!==a&&n.push(r.substring(s,a)),c!==void 0&&n.push(i.getTokenValue().replace(/[^\r\n]/g,c)),s=i.getPosition();break}while(o!==17);return n.join("")}e.stripComments=y;function d(r){switch(typeof r){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(r){if(Array.isArray(r))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=d}),define(te[49],ne([0,1,35]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.toFormattedString=e.format=void 0;function t(I,P,E){let f,p,h,g,v;if(P){for(g=P.offset,v=g+P.length,h=g;h>0&&!b(I,h-1);)h--;let a=v;for(;a<I.length&&!b(I,a);)a++;p=I.substring(h,a),f=A(p,E)}else p=I,f=0,h=0,g=0,v=I.length;const l=R(E,I);let w=!1,S=0,y;E.insertSpaces?y=T(" ",E.tabSize||4):y="	";const d=(0,k.createScanner)(p,!1);let r=!1;function c(){return l+T(y,f+S)}function i(){let a=d.scan();for(w=!1;a===15||a===14;)w=w||a===14,a=d.scan();return r=a===16||d.getTokenError()!==0,a}const n=[];function o(a,u,m){!r&&u<v&&m>g&&I.substring(u,m)!==a&&n.push({offset:u,length:m-u,content:a})}let s=i();if(s!==17){const a=d.getTokenOffset()+h,u=T(y,f);o(u,h,a)}for(;s!==17;){let a=d.getTokenOffset()+d.getTokenLength()+h,u=i(),m="";for(;!w&&(u===12||u===13);){const _=d.getTokenOffset()+h;o(" ",a,_),a=d.getTokenOffset()+d.getTokenLength()+h,m=u===12?c():"",u=i()}if(u===2)s!==1&&(S--,m=c());else if(u===4)s!==3&&(S--,m=c());else{switch(s){case 3:case 1:S++,m=c();break;case 5:case 12:m=c();break;case 13:w?m=c():m=" ";break;case 6:m=" ";break;case 10:if(u===6){m="";break}case 7:case 8:case 9:case 11:case 2:case 4:u===12||u===13?m=" ":u!==5&&u!==17&&(r=!0);break;case 16:r=!0;break}w&&(u===12||u===13)&&(m=c())}const C=d.getTokenOffset()+h;o(m,a,C),s=u}return n}e.format=t;function L(I,P){const E=JSON.stringify(I,void 0,P.insertSpaces?P.tabSize||4:"	");return P.eol!==void 0?E.replace(/\r\n|\r|\n/g,P.eol):E}e.toFormattedString=L;function T(I,P){let E="";for(let f=0;f<P;f++)E+=I;return E}function A(I,P){let E=0,f=0;const p=P.tabSize||4;for(;E<I.length;){const h=I.charAt(E);if(h===" ")f++;else if(h==="	")f+=p;else break;E++}return Math.floor(f/p)}function R(I,P){for(let E=0;E<P.length;E++){const f=P.charAt(E);if(f==="\r")return E+1<P.length&&P.charAt(E+1)===`
`?`\r
`:"\r";if(f===`
`)return`
`}return I&&I.eol||`
`}e.getEOL=R;function b(I,P){return`\r
`.indexOf(I.charAt(P))!==-1}e.isEOL=b}),define(te[70],ne([0,1,35,49]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function L(I,P,E){return T(I,P,void 0,E)}e.removeProperty=L;function T(I,P,E,f,p){const h=P.slice(),g=[],v=(0,k.parseTree)(I,g);let l,w;for(;h.length>0&&(w=h.pop(),l=(0,k.findNodeAtLocation)(v,h),l===void 0&&E!==void 0);)typeof w=="string"?E={[w]:E}:E=[E];if(l)if(l.type==="object"&&typeof w=="string"&&Array.isArray(l.children)){const S=(0,k.findNodeAtLocation)(l,[w]);if(S!==void 0)if(E===void 0){if(!S.parent)throw new Error("Malformed AST");const y=l.children.indexOf(S.parent);let d,r=S.parent.offset+S.parent.length;if(y>0){const c=l.children[y-1];d=c.offset+c.length}else d=l.offset+1,l.children.length>1&&(r=l.children[1].offset);return A(I,{offset:d,length:r-d,content:""},f)}else return A(I,{offset:S.offset,length:S.length,content:JSON.stringify(E)},f);else{if(E===void 0)return[];const y=`${JSON.stringify(w)}: ${JSON.stringify(E)}`,d=p?p(l.children.map(c=>c.children[0].value)):l.children.length;let r;if(d>0){const c=l.children[d-1];r={offset:c.offset+c.length,length:0,content:","+y}}else l.children.length===0?r={offset:l.offset+1,length:0,content:y}:r={offset:l.offset+1,length:0,content:y+","};return A(I,r,f)}}else if(l.type==="array"&&typeof w=="number"&&Array.isArray(l.children))if(E!==void 0){const S=`${JSON.stringify(E)}`;let y;if(l.children.length===0||w===0)y={offset:l.offset+1,length:0,content:l.children.length===0?S:S+","};else{const d=w===-1||w>l.children.length?l.children.length:w,r=l.children[d-1];y={offset:r.offset+r.length,length:0,content:","+S}}return A(I,y,f)}else{const S=w,y=l.children[S];let d;if(l.children.length===1)d={offset:l.offset+1,length:l.length-2,content:""};else if(l.children.length-1===S){const r=l.children[S-1],c=r.offset+r.length,i=l.offset+l.length;d={offset:c,length:i-2-c,content:""}}else d={offset:y.offset,length:l.children[S+1].offset-y.offset,content:""};return A(I,d,f)}else throw new Error(`Can not add ${typeof w!="number"?"index":"property"} to parent of type ${l.type}`);else{if(E===void 0)throw new Error("Can not delete in empty document");return A(I,{offset:v?v.offset:0,length:v?v.length:0,content:JSON.stringify(E)},f)}}e.setProperty=T;function A(I,P,E){let f=R(I,P),p=P.offset,h=P.offset+P.content.length;if(P.length===0||P.content.length===0){for(;p>0&&!(0,t.isEOL)(f,p-1);)p--;for(;h<f.length&&!(0,t.isEOL)(f,h);)h++}const g=(0,t.format)(f,{offset:p,length:h-p},E);for(let l=g.length-1;l>=0;l--){const w=g[l];f=R(f,w),p=Math.min(p,w.offset),h=Math.max(h,w.offset+w.length),h+=w.content.length-w.length}const v=I.length-(f.length-h)-p;return[{offset:p,length:v,content:f.substring(p,h)}]}e.withFormatting=A;function R(I,P){return I.substring(0,P.offset)+P.content+I.substring(P.offset+P.length)}e.applyEdit=R;function b(I,P){let E=P.slice(0).sort((p,h)=>{const g=p.offset-h.offset;return g===0?p.length-h.length:g}),f=I.length;for(let p=E.length-1;p>=0;p--){let h=E[p];if(h.offset+h.length<=f)I=R(I,h);else throw new Error("Overlapping edit");f=h.offset}return I}e.applyEdits=b}),define(te[100],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class k{constructor(L){this.executor=L,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(L){this._error=L}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(L){return new k(()=>L(this.getValue()))}}e.Lazy=k}),define(te[2],ne([0,1,69,55]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.disposeOnReturn=e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.SafeDisposable=e.RefCountedDisposable=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.markAsSingleton=e.setDisposableTracker=void 0;const L=!1;let T=null;function A(o){T=o}if(e.setDisposableTracker=A,L){const o="__is_disposable_tracked__";A(new class{trackDisposable(s){const a=new Error("Potentially leaked disposable").stack;setTimeout(()=>{s[o]||console.log(a)},3e3)}setParent(s,a){if(s&&s!==w.None)try{s[o]=!0}catch{}}markAsDisposed(s){if(s&&s!==w.None)try{s[o]=!0}catch{}}markAsSingleton(s){}})}function R(o){return T?.trackDisposable(o),o}function b(o){T?.markAsDisposed(o)}function I(o,s){T?.setParent(o,s)}function P(o,s){if(!!T)for(const a of o)T.setParent(a,s)}function E(o){return T?.markAsSingleton(o),o}e.markAsSingleton=E;class f extends Error{constructor(s){super(`Encountered errors while disposing of store. Errors: [${s.join(", ")}]`);this.errors=s}}e.MultiDisposeError=f;function p(o){return typeof o.dispose=="function"&&o.dispose.length===0}e.isDisposable=p;function h(o){if(t.Iterable.is(o)){let s=[];for(const a of o)if(a)try{a.dispose()}catch(u){s.push(u)}if(s.length===1)throw s[0];if(s.length>1)throw new f(s);return Array.isArray(o)?[]:o}else if(o)return o.dispose(),o}e.dispose=h;function g(...o){const s=v(()=>h(o));return P(o,s),s}e.combinedDisposable=g;function v(o){const s=R({dispose:(0,k.once)(()=>{b(s),o()})});return s}e.toDisposable=v;class l{constructor(){this._toDispose=new Set,this._isDisposed=!1,R(this)}dispose(){this._isDisposed||(b(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{h(this._toDispose.values())}finally{this._toDispose.clear()}}add(s){if(!s)return s;if(s===this)throw new Error("Cannot register a disposable on itself!");return I(s,this),this._isDisposed?l.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(s),s}}e.DisposableStore=l,l.DISABLE_DISPOSED_WARNING=!1;class w{constructor(){this._store=new l,R(this),I(this._store,this)}dispose(){b(this),this._store.dispose()}_register(s){if(s===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(s)}}e.Disposable=w,w.None=Object.freeze({dispose(){}});class S{constructor(){this._isDisposed=!1,R(this)}get value(){return this._isDisposed?void 0:this._value}set value(s){this._isDisposed||s===this._value||(this._value?.dispose(),s&&I(s,this),this._value=s)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,b(this),this._value?.dispose(),this._value=void 0}clearAndLeak(){const s=this._value;return this._value=void 0,s&&I(s,null),s}}e.MutableDisposable=S;class y{constructor(s){this._disposable=s,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}e.RefCountedDisposable=y;class d{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,R(this)}set(s){let a=s;return this.unset=()=>a=void 0,this.isset=()=>a!==void 0,this.dispose=()=>{a&&(a(),a=void 0,b(this))},this}}e.SafeDisposable=d;class r{constructor(){this.references=new Map}acquire(s,...a){let u=this.references.get(s);u||(u={counter:0,object:this.createReferencedObject(s,...a)},this.references.set(s,u));const{object:m}=u,C=(0,k.once)(()=>{--u.counter==0&&(this.destroyReferencedObject(s,u.object),this.references.delete(s))});return u.counter++,{object:m,dispose:C}}}e.ReferenceCollection=r;class c{constructor(s){this.referenceCollection=s}async acquire(s,...a){const u=this.referenceCollection.acquire(s,...a);try{return{object:await u.object,dispose:()=>u.dispose()}}catch(m){throw u.dispose(),m}}}e.AsyncReferenceCollection=c;class i{constructor(s){this.object=s}dispose(){}}e.ImmortalReference=i;function n(o){const s=new l;try{o(s)}finally{s.dispose()}}e.disposeOnReturn=n}),define(te[101],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class k{constructor(T){this.element=T,this.next=k.Undefined,this.prev=k.Undefined}}k.Undefined=new k(void 0);class t{constructor(){this._first=k.Undefined,this._last=k.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===k.Undefined}clear(){let T=this._first;for(;T!==k.Undefined;){const A=T.next;T.prev=k.Undefined,T.next=k.Undefined,T=A}this._first=k.Undefined,this._last=k.Undefined,this._size=0}unshift(T){return this._insert(T,!1)}push(T){return this._insert(T,!0)}_insert(T,A){const R=new k(T);if(this._first===k.Undefined)this._first=R,this._last=R;else if(A){const I=this._last;this._last=R,R.prev=I,I.next=R}else{const I=this._first;this._first=R,R.next=I,I.prev=R}this._size+=1;let b=!1;return()=>{b||(b=!0,this._remove(R))}}shift(){if(this._first!==k.Undefined){const T=this._first.element;return this._remove(this._first),T}}pop(){if(this._last!==k.Undefined){const T=this._last.element;return this._remove(this._last),T}}_remove(T){if(T.prev!==k.Undefined&&T.next!==k.Undefined){const A=T.prev;A.next=T.next,T.next.prev=A}else T.prev===k.Undefined&&T.next===k.Undefined?(this._first=k.Undefined,this._last=k.Undefined):T.next===k.Undefined?(this._last=this._last.prev,this._last.next=k.Undefined):T.prev===k.Undefined&&(this._first=this._first.next,this._first.prev=k.Undefined);this._size-=1}*[Symbol.iterator](){let T=this._first;for(;T!==k.Undefined;)yield T.element,T=T.next}}e.LinkedList=t}),function(){function J(L){const T=[];typeof L=="number"&&T.push("code/timeOrigin",L);function A(b){T.push(b,Date.now())}function R(){const b=[];for(let I=0;I<T.length;I+=2)b.push({name:T[I],startTime:T[I+1]});return b}return{mark:A,getMarks:R}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?J():{mark(L){performance.mark(L)},getMarks(){let L=performance.timeOrigin;typeof L!="number"&&(L=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const T=[{name:"code/timeOrigin",startTime:Math.round(L)}];for(const A of performance.getEntriesByType("mark"))T.push({name:A.name,startTime:Math.round(L+A.startTime)});return T}};if(typeof process=="object"){const L=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return J(L)}else return console.trace("perf-util loaded in UNKNOWN environment"),J()}function k(L){return L.MonacoPerformanceMarks||(L.MonacoPerformanceMarks=e()),L.MonacoPerformanceMarks}var t;typeof global=="object"?t=global:typeof self=="object"?t=self:t={},typeof define=="function"?define("vs/base/common/performance",[],function(){return k(t)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=k(t):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),t.perf=k(t))}(),define(te[4],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isAndroid=e.isEdge=e.isSafari=e.isFirefox=e.isChrome=e.isLittleEndian=e.OS=e.OperatingSystem=e.setTimeout0=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isCI=e.isIOS=e.isWeb=e.isElectron=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isElectronSandboxed=e.globals=void 0;const k="en";let t=!1,L=!1,T=!1,A=!1,R=!1,b=!1,I=!1,P=!1,E=!1,f,p=k,h,g;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let v;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?v=e.globals.vscode.process:typeof process!="undefined"&&(v=process);const l=typeof v?.versions?.electron=="string",w=l&&v?.type==="renderer";if(e.isElectronSandboxed=w&&v?.sandboxed,typeof navigator=="object"&&!w)g=navigator.userAgent,t=g.indexOf("Windows")>=0,L=g.indexOf("Macintosh")>=0,P=(g.indexOf("Macintosh")>=0||g.indexOf("iPad")>=0||g.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,T=g.indexOf("Linux")>=0,b=!0,f=navigator.language,p=f;else if(typeof v=="object"){t=v.platform==="win32",L=v.platform==="darwin",T=v.platform==="linux",A=T&&!!v.env.SNAP&&!!v.env.SNAP_REVISION,I=l,E=!!v.env.CI||!!v.env.BUILD_ARTIFACTSTAGINGDIRECTORY,f=k,p=k;const s=v.env.VSCODE_NLS_CONFIG;if(s)try{const a=JSON.parse(s),u=a.availableLanguages["*"];f=a.locale,p=u||k,h=a._translationsConfigFile}catch{}R=!0}else console.error("Unable to resolve platform.");var S;(function(s){s[s.Web=0]="Web",s[s.Mac=1]="Mac",s[s.Linux=2]="Linux",s[s.Windows=3]="Windows"})(S=e.Platform||(e.Platform={}));function y(s){switch(s){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=y;let d=0;L?d=1:t?d=3:T&&(d=2),e.isWindows=t,e.isMacintosh=L,e.isLinux=T,e.isLinuxSnap=A,e.isNative=R,e.isElectron=I,e.isWeb=b,e.isIOS=P,e.isCI=E,e.platform=d,e.userAgent=g,e.language=p;var r;(function(s){function a(){return e.language}s.value=a;function u(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}s.isDefaultVariant=u;function m(){return e.language==="en"}s.isDefault=m})(r=e.Language||(e.Language={})),e.locale=f,e.translationsConfigFile=h,e.setTimeout0=(()=>{if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let s=[];e.globals.addEventListener("message",u=>{if(u.data&&u.data.vscodeScheduleAsyncWork)for(let m=0,C=s.length;m<C;m++){const _=s[m];if(_.id===u.data.vscodeScheduleAsyncWork){s.splice(m,1),_.callback();return}}});let a=0;return u=>{const m=++a;s.push({id:m,callback:u}),e.globals.postMessage({vscodeScheduleAsyncWork:m},"*")}}return s=>setTimeout(s)})();var c;(function(s){s[s.Windows=1]="Windows",s[s.Macintosh=2]="Macintosh",s[s.Linux=3]="Linux"})(c=e.OperatingSystem||(e.OperatingSystem={})),e.OS=L||P?2:t?1:3;let i=!0,n=!1;function o(){if(!n){n=!0;const s=new Uint8Array(2);s[0]=1,s[1]=2,i=new Uint16Array(s.buffer)[0]===(2<<8)+1}return i}e.isLittleEndian=o,e.isChrome=!!(e.userAgent&&e.userAgent.indexOf("Chrome")>=0),e.isFirefox=!!(e.userAgent&&e.userAgent.indexOf("Firefox")>=0),e.isSafari=!!(!e.isChrome&&e.userAgent&&e.userAgent.indexOf("Safari")>=0),e.isEdge=!!(e.userAgent&&e.userAgent.indexOf("Edg/")>=0),e.isAndroid=!!(e.userAgent&&e.userAgent.indexOf("Android")>=0)}),define(te[33],ne([0,1,4]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.arch=e.platform=e.env=e.cwd=void 0;let t;if(typeof k.globals.vscode!="undefined"&&typeof k.globals.vscode.process!="undefined"){const L=k.globals.vscode.process;t={get platform(){return L.platform},get arch(){return L.arch},get env(){return L.env},cwd(){return L.cwd()}}}else typeof process!="undefined"?t={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:t={get platform(){return k.isWindows?"win32":k.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=t.cwd,e.env=t.env,e.platform=t.platform,e.arch=t.arch}),define(te[10],ne([0,1,33]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const t=65,L=97,T=90,A=122,R=46,b=47,I=92,P=58,E=63;class f extends Error{constructor(y,d,r){let c;typeof d=="string"&&d.indexOf("not ")===0?(c="must not be",d=d.replace(/^not /,"")):c="must be";const i=y.indexOf(".")!==-1?"property":"argument";let n=`The "${y}" ${i} ${c} of type ${d}`;n+=`. Received type ${typeof r}`;super(n);this.code="ERR_INVALID_ARG_TYPE"}}function p(S,y){if(typeof S!="string")throw new f(y,"string",S)}function h(S){return S===b||S===I}function g(S){return S===b}function v(S){return S>=t&&S<=T||S>=L&&S<=A}function l(S,y,d,r){let c="",i=0,n=-1,o=0,s=0;for(let a=0;a<=S.length;++a){if(a<S.length)s=S.charCodeAt(a);else{if(r(s))break;s=b}if(r(s)){if(!(n===a-1||o===1))if(o===2){if(c.length<2||i!==2||c.charCodeAt(c.length-1)!==R||c.charCodeAt(c.length-2)!==R){if(c.length>2){const u=c.lastIndexOf(d);u===-1?(c="",i=0):(c=c.slice(0,u),i=c.length-1-c.lastIndexOf(d)),n=a,o=0;continue}else if(c.length!==0){c="",i=0,n=a,o=0;continue}}y&&(c+=c.length>0?`${d}..`:"..",i=2)}else c.length>0?c+=`${d}${S.slice(n+1,a)}`:c=S.slice(n+1,a),i=a-n-1;n=a,o=0}else s===R&&o!==-1?++o:o=-1}return c}function w(S,y){if(y===null||typeof y!="object")throw new f("pathObject","Object",y);const d=y.dir||y.root,r=y.base||`${y.name||""}${y.ext||""}`;return d?d===y.root?`${d}${r}`:`${d}${S}${r}`:r}e.win32={resolve(...S){let y="",d="",r=!1;for(let c=S.length-1;c>=-1;c--){let i;if(c>=0){if(i=S[c],p(i,"path"),i.length===0)continue}else y.length===0?i=k.cwd():(i=k.env[`=${y}`]||k.cwd(),(i===void 0||i.slice(0,2).toLowerCase()!==y.toLowerCase()&&i.charCodeAt(2)===I)&&(i=`${y}\\`));const n=i.length;let o=0,s="",a=!1;const u=i.charCodeAt(0);if(n===1)h(u)&&(o=1,a=!0);else if(h(u))if(a=!0,h(i.charCodeAt(1))){let m=2,C=m;for(;m<n&&!h(i.charCodeAt(m));)m++;if(m<n&&m!==C){const _=i.slice(C,m);for(C=m;m<n&&h(i.charCodeAt(m));)m++;if(m<n&&m!==C){for(C=m;m<n&&!h(i.charCodeAt(m));)m++;(m===n||m!==C)&&(s=`\\\\${_}\\${i.slice(C,m)}`,o=m)}}}else o=1;else v(u)&&i.charCodeAt(1)===P&&(s=i.slice(0,2),o=2,n>2&&h(i.charCodeAt(2))&&(a=!0,o=3));if(s.length>0)if(y.length>0){if(s.toLowerCase()!==y.toLowerCase())continue}else y=s;if(r){if(y.length>0)break}else if(d=`${i.slice(o)}\\${d}`,r=a,a&&y.length>0)break}return d=l(d,!r,"\\",h),r?`${y}\\${d}`:`${y}${d}`||"."},normalize(S){p(S,"path");const y=S.length;if(y===0)return".";let d=0,r,c=!1;const i=S.charCodeAt(0);if(y===1)return g(i)?"\\":S;if(h(i))if(c=!0,h(S.charCodeAt(1))){let o=2,s=o;for(;o<y&&!h(S.charCodeAt(o));)o++;if(o<y&&o!==s){const a=S.slice(s,o);for(s=o;o<y&&h(S.charCodeAt(o));)o++;if(o<y&&o!==s){for(s=o;o<y&&!h(S.charCodeAt(o));)o++;if(o===y)return`\\\\${a}\\${S.slice(s)}\\`;o!==s&&(r=`\\\\${a}\\${S.slice(s,o)}`,d=o)}}}else d=1;else v(i)&&S.charCodeAt(1)===P&&(r=S.slice(0,2),d=2,y>2&&h(S.charCodeAt(2))&&(c=!0,d=3));let n=d<y?l(S.slice(d),!c,"\\",h):"";return n.length===0&&!c&&(n="."),n.length>0&&h(S.charCodeAt(y-1))&&(n+="\\"),r===void 0?c?`\\${n}`:n:c?`${r}\\${n}`:`${r}${n}`},isAbsolute(S){p(S,"path");const y=S.length;if(y===0)return!1;const d=S.charCodeAt(0);return h(d)||y>2&&v(d)&&S.charCodeAt(1)===P&&h(S.charCodeAt(2))},join(...S){if(S.length===0)return".";let y,d;for(let i=0;i<S.length;++i){const n=S[i];p(n,"path"),n.length>0&&(y===void 0?y=d=n:y+=`\\${n}`)}if(y===void 0)return".";let r=!0,c=0;if(typeof d=="string"&&h(d.charCodeAt(0))){++c;const i=d.length;i>1&&h(d.charCodeAt(1))&&(++c,i>2&&(h(d.charCodeAt(2))?++c:r=!1))}if(r){for(;c<y.length&&h(y.charCodeAt(c));)c++;c>=2&&(y=`\\${y.slice(c)}`)}return e.win32.normalize(y)},relative(S,y){if(p(S,"from"),p(y,"to"),S===y)return"";const d=e.win32.resolve(S),r=e.win32.resolve(y);if(d===r||(S=d.toLowerCase(),y=r.toLowerCase(),S===y))return"";let c=0;for(;c<S.length&&S.charCodeAt(c)===I;)c++;let i=S.length;for(;i-1>c&&S.charCodeAt(i-1)===I;)i--;const n=i-c;let o=0;for(;o<y.length&&y.charCodeAt(o)===I;)o++;let s=y.length;for(;s-1>o&&y.charCodeAt(s-1)===I;)s--;const a=s-o,u=n<a?n:a;let m=-1,C=0;for(;C<u;C++){const O=S.charCodeAt(c+C);if(O!==y.charCodeAt(o+C))break;O===I&&(m=C)}if(C!==u){if(m===-1)return r}else{if(a>u){if(y.charCodeAt(o+C)===I)return r.slice(o+C+1);if(C===2)return r.slice(o+C)}n>u&&(S.charCodeAt(c+C)===I?m=C:C===2&&(m=3)),m===-1&&(m=0)}let _="";for(C=c+m+1;C<=i;++C)(C===i||S.charCodeAt(C)===I)&&(_+=_.length===0?"..":"\\..");return o+=m,_.length>0?`${_}${r.slice(o,s)}`:(r.charCodeAt(o)===I&&++o,r.slice(o,s))},toNamespacedPath(S){if(typeof S!="string")return S;if(S.length===0)return"";const y=e.win32.resolve(S);if(y.length<=2)return S;if(y.charCodeAt(0)===I){if(y.charCodeAt(1)===I){const d=y.charCodeAt(2);if(d!==E&&d!==R)return`\\\\?\\UNC\\${y.slice(2)}`}}else if(v(y.charCodeAt(0))&&y.charCodeAt(1)===P&&y.charCodeAt(2)===I)return`\\\\?\\${y}`;return S},dirname(S){p(S,"path");const y=S.length;if(y===0)return".";let d=-1,r=0;const c=S.charCodeAt(0);if(y===1)return h(c)?S:".";if(h(c)){if(d=r=1,h(S.charCodeAt(1))){let o=2,s=o;for(;o<y&&!h(S.charCodeAt(o));)o++;if(o<y&&o!==s){for(s=o;o<y&&h(S.charCodeAt(o));)o++;if(o<y&&o!==s){for(s=o;o<y&&!h(S.charCodeAt(o));)o++;if(o===y)return S;o!==s&&(d=r=o+1)}}}}else v(c)&&S.charCodeAt(1)===P&&(d=y>2&&h(S.charCodeAt(2))?3:2,r=d);let i=-1,n=!0;for(let o=y-1;o>=r;--o)if(h(S.charCodeAt(o))){if(!n){i=o;break}}else n=!1;if(i===-1){if(d===-1)return".";i=d}return S.slice(0,i)},basename(S,y){y!==void 0&&p(y,"ext"),p(S,"path");let d=0,r=-1,c=!0,i;if(S.length>=2&&v(S.charCodeAt(0))&&S.charCodeAt(1)===P&&(d=2),y!==void 0&&y.length>0&&y.length<=S.length){if(y===S)return"";let n=y.length-1,o=-1;for(i=S.length-1;i>=d;--i){const s=S.charCodeAt(i);if(h(s)){if(!c){d=i+1;break}}else o===-1&&(c=!1,o=i+1),n>=0&&(s===y.charCodeAt(n)?--n==-1&&(r=i):(n=-1,r=o))}return d===r?r=o:r===-1&&(r=S.length),S.slice(d,r)}for(i=S.length-1;i>=d;--i)if(h(S.charCodeAt(i))){if(!c){d=i+1;break}}else r===-1&&(c=!1,r=i+1);return r===-1?"":S.slice(d,r)},extname(S){p(S,"path");let y=0,d=-1,r=0,c=-1,i=!0,n=0;S.length>=2&&S.charCodeAt(1)===P&&v(S.charCodeAt(0))&&(y=r=2);for(let o=S.length-1;o>=y;--o){const s=S.charCodeAt(o);if(h(s)){if(!i){r=o+1;break}continue}c===-1&&(i=!1,c=o+1),s===R?d===-1?d=o:n!==1&&(n=1):d!==-1&&(n=-1)}return d===-1||c===-1||n===0||n===1&&d===c-1&&d===r+1?"":S.slice(d,c)},format:w.bind(null,"\\"),parse(S){p(S,"path");const y={root:"",dir:"",base:"",ext:"",name:""};if(S.length===0)return y;const d=S.length;let r=0,c=S.charCodeAt(0);if(d===1)return h(c)?(y.root=y.dir=S,y):(y.base=y.name=S,y);if(h(c)){if(r=1,h(S.charCodeAt(1))){let m=2,C=m;for(;m<d&&!h(S.charCodeAt(m));)m++;if(m<d&&m!==C){for(C=m;m<d&&h(S.charCodeAt(m));)m++;if(m<d&&m!==C){for(C=m;m<d&&!h(S.charCodeAt(m));)m++;m===d?r=m:m!==C&&(r=m+1)}}}}else if(v(c)&&S.charCodeAt(1)===P){if(d<=2)return y.root=y.dir=S,y;if(r=2,h(S.charCodeAt(2))){if(d===3)return y.root=y.dir=S,y;r=3}}r>0&&(y.root=S.slice(0,r));let i=-1,n=r,o=-1,s=!0,a=S.length-1,u=0;for(;a>=r;--a){if(c=S.charCodeAt(a),h(c)){if(!s){n=a+1;break}continue}o===-1&&(s=!1,o=a+1),c===R?i===-1?i=a:u!==1&&(u=1):i!==-1&&(u=-1)}return o!==-1&&(i===-1||u===0||u===1&&i===o-1&&i===n+1?y.base=y.name=S.slice(n,o):(y.name=S.slice(n,i),y.base=S.slice(n,o),y.ext=S.slice(i,o))),n>0&&n!==r?y.dir=S.slice(0,n-1):y.dir=y.root,y},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...S){let y="",d=!1;for(let r=S.length-1;r>=-1&&!d;r--){const c=r>=0?S[r]:k.cwd();p(c,"path"),c.length!==0&&(y=`${c}/${y}`,d=c.charCodeAt(0)===b)}return y=l(y,!d,"/",g),d?`/${y}`:y.length>0?y:"."},normalize(S){if(p(S,"path"),S.length===0)return".";const y=S.charCodeAt(0)===b,d=S.charCodeAt(S.length-1)===b;return S=l(S,!y,"/",g),S.length===0?y?"/":d?"./":".":(d&&(S+="/"),y?`/${S}`:S)},isAbsolute(S){return p(S,"path"),S.length>0&&S.charCodeAt(0)===b},join(...S){if(S.length===0)return".";let y;for(let d=0;d<S.length;++d){const r=S[d];p(r,"path"),r.length>0&&(y===void 0?y=r:y+=`/${r}`)}return y===void 0?".":e.posix.normalize(y)},relative(S,y){if(p(S,"from"),p(y,"to"),S===y||(S=e.posix.resolve(S),y=e.posix.resolve(y),S===y))return"";const d=1,r=S.length,c=r-d,i=1,n=y.length-i,o=c<n?c:n;let s=-1,a=0;for(;a<o;a++){const m=S.charCodeAt(d+a);if(m!==y.charCodeAt(i+a))break;m===b&&(s=a)}if(a===o)if(n>o){if(y.charCodeAt(i+a)===b)return y.slice(i+a+1);if(a===0)return y.slice(i+a)}else c>o&&(S.charCodeAt(d+a)===b?s=a:a===0&&(s=0));let u="";for(a=d+s+1;a<=r;++a)(a===r||S.charCodeAt(a)===b)&&(u+=u.length===0?"..":"/..");return`${u}${y.slice(i+s)}`},toNamespacedPath(S){return S},dirname(S){if(p(S,"path"),S.length===0)return".";const y=S.charCodeAt(0)===b;let d=-1,r=!0;for(let c=S.length-1;c>=1;--c)if(S.charCodeAt(c)===b){if(!r){d=c;break}}else r=!1;return d===-1?y?"/":".":y&&d===1?"//":S.slice(0,d)},basename(S,y){y!==void 0&&p(y,"ext"),p(S,"path");let d=0,r=-1,c=!0,i;if(y!==void 0&&y.length>0&&y.length<=S.length){if(y===S)return"";let n=y.length-1,o=-1;for(i=S.length-1;i>=0;--i){const s=S.charCodeAt(i);if(s===b){if(!c){d=i+1;break}}else o===-1&&(c=!1,o=i+1),n>=0&&(s===y.charCodeAt(n)?--n==-1&&(r=i):(n=-1,r=o))}return d===r?r=o:r===-1&&(r=S.length),S.slice(d,r)}for(i=S.length-1;i>=0;--i)if(S.charCodeAt(i)===b){if(!c){d=i+1;break}}else r===-1&&(c=!1,r=i+1);return r===-1?"":S.slice(d,r)},extname(S){p(S,"path");let y=-1,d=0,r=-1,c=!0,i=0;for(let n=S.length-1;n>=0;--n){const o=S.charCodeAt(n);if(o===b){if(!c){d=n+1;break}continue}r===-1&&(c=!1,r=n+1),o===R?y===-1?y=n:i!==1&&(i=1):y!==-1&&(i=-1)}return y===-1||r===-1||i===0||i===1&&y===r-1&&y===d+1?"":S.slice(y,r)},format:w.bind(null,"/"),parse(S){p(S,"path");const y={root:"",dir:"",base:"",ext:"",name:""};if(S.length===0)return y;const d=S.charCodeAt(0)===b;let r;d?(y.root="/",r=1):r=0;let c=-1,i=0,n=-1,o=!0,s=S.length-1,a=0;for(;s>=r;--s){const u=S.charCodeAt(s);if(u===b){if(!o){i=s+1;break}continue}n===-1&&(o=!1,n=s+1),u===R?c===-1?c=s:a!==1&&(a=1):c!==-1&&(a=-1)}if(n!==-1){const u=i===0&&d?1:i;c===-1||a===0||a===1&&c===n-1&&c===i+1?y.base=y.name=S.slice(u,n):(y.name=S.slice(u,c),y.base=S.slice(u,n),y.ext=S.slice(c,n))}return i>0?y.dir=S.slice(0,i-1):d&&(y.dir="/"),y},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=k.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=k.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=k.platform==="win32"?e.win32.join:e.posix.join,e.resolve=k.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=k.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=k.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=k.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=k.platform==="win32"?e.win32.extname:e.posix.extname,e.format=k.platform==="win32"?e.win32.format:e.posix.format,e.parse=k.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=k.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=k.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=k.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(te[102],ne([0,1,10]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeMimeType=e.getExtensionForMimeType=e.getMediaMime=e.getMediaOrTextMime=e.Mimes=void 0;var t;(function(E){E.text="text/plain",E.binary="application/octet-stream",E.unknown="application/unknown",E.markdown="text/markdown",E.latex="text/latex",E.uriList="text/uri-list"})(t=e.Mimes||(e.Mimes={}));const L={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},T={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function A(E){const f=(0,k.extname)(E),p=L[f.toLowerCase()];return p!==void 0?p:R(E)}e.getMediaOrTextMime=A;function R(E){const f=(0,k.extname)(E);return T[f.toLowerCase()]}e.getMediaMime=R;function b(E){for(const f in T)if(T[f]===E)return f}e.getExtensionForMimeType=b;const I=/^(.+)\/(.+?)(;.+)?$/;function P(E,f){const p=I.exec(E);return p?`${p[1].toLowerCase()}/${p[2].toLowerCase()}${p[3]??""}`:f?void 0:E}e.normalizeMimeType=P}),define(te[103],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var k;(function(T){T[T.stdout=0]="stdout",T[T.stderr=1]="stderr"})(k=e.Source||(e.Source={}));var t;(function(T){T[T.Success=0]="Success",T[T.Unknown=1]="Unknown",T[T.AccessDenied=2]="AccessDenied",T[T.ProcessNotFound=3]="ProcessNotFound"})(t=e.TerminateResponseCode||(e.TerminateResponseCode={}));function L(T,...A){const R=A.reduce((P,E)=>(P[E]=!0,P),{}),b=[/^ELECTRON_.+$/,/^VSCODE_(?!SHELL_LOGIN).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(T).filter(P=>!R[P]).forEach(P=>{for(let E=0;E<b.length;E++)if(P.search(b[E])!==-1){delete T[P];break}})}e.sanitizeProcessEnvironment=L}),function(J,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var k=e();for(var t in k)(typeof exports=="object"?exports:J)[t]=k[t]}}(typeof self!="undefined"?self:this,function(){return function(J){var e={};function k(t){if(e[t])return e[t].exports;var L=e[t]={i:t,l:!1,exports:{}};return J[t].call(L.exports,L,L.exports,k),L.l=!0,L.exports}return k.m=J,k.c=e,k.d=function(t,L,T){k.o(t,L)||Object.defineProperty(t,L,{enumerable:!0,get:T})},k.r=function(t){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(t,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(t,"__esModule",{value:!0})},k.t=function(t,L){if(1&L&&(t=k(t)),8&L||4&L&&typeof t=="object"&&t&&t.__esModule)return t;var T=Object.create(null);if(k.r(T),Object.defineProperty(T,"default",{enumerable:!0,value:t}),2&L&&typeof t!="string")for(var A in t)k.d(T,A,function(R){return t[R]}.bind(null,A));return T},k.n=function(t){var L=t&&t.__esModule?function(){return t.default}:function(){return t};return k.d(L,"a",L),L},k.o=function(t,L){return Object.prototype.hasOwnProperty.call(t,L)},k.p="",k(k.s=0)}([function(J,e,k){(function(t){var L;e=J.exports=N,L=typeof t=="object"&&t.env&&t.env.NODE_DEBUG&&/\bsemver\b/i.test(t.env.NODE_DEBUG)?function(){var ie=Array.prototype.slice.call(arguments,0);ie.unshift("SEMVER"),console.log.apply(console,ie)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var T=256,A=Number.MAX_SAFE_INTEGER||9007199254740991,R=e.re=[],b=e.src=[],I=0,P=I++;b[P]="0|[1-9]\\d*";var E=I++;b[E]="[0-9]+";var f=I++;b[f]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var p=I++;b[p]="("+b[P]+")\\.("+b[P]+")\\.("+b[P]+")";var h=I++;b[h]="("+b[E]+")\\.("+b[E]+")\\.("+b[E]+")";var g=I++;b[g]="(?:"+b[P]+"|"+b[f]+")";var v=I++;b[v]="(?:"+b[E]+"|"+b[f]+")";var l=I++;b[l]="(?:-("+b[g]+"(?:\\."+b[g]+")*))";var w=I++;b[w]="(?:-?("+b[v]+"(?:\\."+b[v]+")*))";var S=I++;b[S]="[0-9A-Za-z-]+";var y=I++;b[y]="(?:\\+("+b[S]+"(?:\\."+b[S]+")*))";var d=I++,r="v?"+b[p]+b[l]+"?"+b[y]+"?";b[d]="^"+r+"$";var c="[v=\\s]*"+b[h]+b[w]+"?"+b[y]+"?",i=I++;b[i]="^"+c+"$";var n=I++;b[n]="((?:<|>)?=?)";var o=I++;b[o]=b[E]+"|x|X|\\*";var s=I++;b[s]=b[P]+"|x|X|\\*";var a=I++;b[a]="[v=\\s]*("+b[s]+")(?:\\.("+b[s]+")(?:\\.("+b[s]+")(?:"+b[l]+")?"+b[y]+"?)?)?";var u=I++;b[u]="[v=\\s]*("+b[o]+")(?:\\.("+b[o]+")(?:\\.("+b[o]+")(?:"+b[w]+")?"+b[y]+"?)?)?";var m=I++;b[m]="^"+b[n]+"\\s*"+b[a]+"$";var C=I++;b[C]="^"+b[n]+"\\s*"+b[u]+"$";var _=I++;b[_]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var O=I++;b[O]="(?:~>?)";var M=I++;b[M]="(\\s*)"+b[O]+"\\s+",R[M]=new RegExp(b[M],"g");var D=I++;b[D]="^"+b[O]+b[a]+"$";var U=I++;b[U]="^"+b[O]+b[u]+"$";var F=I++;b[F]="(?:\\^)";var x=I++;b[x]="(\\s*)"+b[F]+"\\s+",R[x]=new RegExp(b[x],"g");var q=I++;b[q]="^"+b[F]+b[a]+"$";var H=I++;b[H]="^"+b[F]+b[u]+"$";var re=I++;b[re]="^"+b[n]+"\\s*("+c+")$|^$";var B=I++;b[B]="^"+b[n]+"\\s*("+r+")$|^$";var W=I++;b[W]="(\\s*)"+b[n]+"\\s*("+c+"|"+b[a]+")",R[W]=new RegExp(b[W],"g");var K=I++;b[K]="^\\s*("+b[a]+")\\s+-\\s+("+b[a]+")\\s*$";var V=I++;b[V]="^\\s*("+b[u]+")\\s+-\\s+("+b[u]+")\\s*$";var X=I++;b[X]="(<|>)?=?\\s*\\*";for(var Z=0;Z<35;Z++)L(Z,b[Z]),R[Z]||(R[Z]=new RegExp(b[Z]));function j(ie,ce){if(ie instanceof N)return ie;if(typeof ie!="string"||ie.length>T||!(ce?R[i]:R[d]).test(ie))return null;try{return new N(ie,ce)}catch{return null}}function N(ie,ce){if(ie instanceof N){if(ie.loose===ce)return ie;ie=ie.version}else if(typeof ie!="string")throw new TypeError("Invalid Version: "+ie);if(ie.length>T)throw new TypeError("version is longer than "+T+" characters");if(!(this instanceof N))return new N(ie,ce);L("SemVer",ie,ce),this.loose=ce;var ue=ie.trim().match(ce?R[i]:R[d]);if(!ue)throw new TypeError("Invalid Version: "+ie);if(this.raw=ie,this.major=+ue[1],this.minor=+ue[2],this.patch=+ue[3],this.major>A||this.major<0)throw new TypeError("Invalid major version");if(this.minor>A||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>A||this.patch<0)throw new TypeError("Invalid patch version");ue[4]?this.prerelease=ue[4].split(".").map(function(we){if(/^[0-9]+$/.test(we)){var Ee=+we;if(Ee>=0&&Ee<A)return Ee}return we}):this.prerelease=[],this.build=ue[5]?ue[5].split("."):[],this.format()}e.parse=j,e.valid=function(ie,ce){var ue=j(ie,ce);return ue?ue.version:null},e.clean=function(ie,ce){var ue=j(ie.trim().replace(/^[=v]+/,""),ce);return ue?ue.version:null},e.SemVer=N,N.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},N.prototype.toString=function(){return this.version},N.prototype.compare=function(ie){return L("SemVer.compare",this.version,this.loose,ie),ie instanceof N||(ie=new N(ie,this.loose)),this.compareMain(ie)||this.comparePre(ie)},N.prototype.compareMain=function(ie){return ie instanceof N||(ie=new N(ie,this.loose)),z(this.major,ie.major)||z(this.minor,ie.minor)||z(this.patch,ie.patch)},N.prototype.comparePre=function(ie){if(ie instanceof N||(ie=new N(ie,this.loose)),this.prerelease.length&&!ie.prerelease.length)return-1;if(!this.prerelease.length&&ie.prerelease.length)return 1;if(!this.prerelease.length&&!ie.prerelease.length)return 0;var ce=0;do{var ue=this.prerelease[ce],we=ie.prerelease[ce];if(L("prerelease compare",ce,ue,we),ue===void 0&&we===void 0)return 0;if(we===void 0)return 1;if(ue===void 0)return-1;if(ue!==we)return z(ue,we)}while(++ce)},N.prototype.inc=function(ie,ce){switch(ie){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",ce);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",ce);break;case"prepatch":this.prerelease.length=0,this.inc("patch",ce),this.inc("pre",ce);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",ce),this.inc("pre",ce);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var ue=this.prerelease.length;--ue>=0;)typeof this.prerelease[ue]=="number"&&(this.prerelease[ue]++,ue=-2);ue===-1&&this.prerelease.push(0)}ce&&(this.prerelease[0]===ce?isNaN(this.prerelease[1])&&(this.prerelease=[ce,0]):this.prerelease=[ce,0]);break;default:throw new Error("invalid increment argument: "+ie)}return this.format(),this.raw=this.version,this},e.inc=function(ie,ce,ue,we){typeof ue=="string"&&(we=ue,ue=void 0);try{return new N(ie,ue).inc(ce,we).version}catch{return null}},e.diff=function(ie,ce){if(ae(ie,ce))return null;var ue=j(ie),we=j(ce);if(ue.prerelease.length||we.prerelease.length){for(var Ee in ue)if((Ee==="major"||Ee==="minor"||Ee==="patch")&&ue[Ee]!==we[Ee])return"pre"+Ee;return"prerelease"}for(var Ee in ue)if((Ee==="major"||Ee==="minor"||Ee==="patch")&&ue[Ee]!==we[Ee])return Ee},e.compareIdentifiers=z;var $=/^[0-9]+$/;function z(ie,ce){var ue=$.test(ie),we=$.test(ce);return ue&&we&&(ie=+ie,ce=+ce),ue&&!we?-1:we&&!ue?1:ie<ce?-1:ie>ce?1:0}function G(ie,ce,ue){return new N(ie,ue).compare(new N(ce,ue))}function ee(ie,ce,ue){return G(ie,ce,ue)>0}function se(ie,ce,ue){return G(ie,ce,ue)<0}function ae(ie,ce,ue){return G(ie,ce,ue)===0}function de(ie,ce,ue){return G(ie,ce,ue)!==0}function ve(ie,ce,ue){return G(ie,ce,ue)>=0}function be(ie,ce,ue){return G(ie,ce,ue)<=0}function Se(ie,ce,ue,we){var Ee;switch(ce){case"===":typeof ie=="object"&&(ie=ie.version),typeof ue=="object"&&(ue=ue.version),Ee=ie===ue;break;case"!==":typeof ie=="object"&&(ie=ie.version),typeof ue=="object"&&(ue=ue.version),Ee=ie!==ue;break;case"":case"=":case"==":Ee=ae(ie,ue,we);break;case"!=":Ee=de(ie,ue,we);break;case">":Ee=ee(ie,ue,we);break;case">=":Ee=ve(ie,ue,we);break;case"<":Ee=se(ie,ue,we);break;case"<=":Ee=be(ie,ue,we);break;default:throw new TypeError("Invalid operator: "+ce)}return Ee}function pe(ie,ce){if(ie instanceof pe){if(ie.loose===ce)return ie;ie=ie.value}if(!(this instanceof pe))return new pe(ie,ce);L("comparator",ie,ce),this.loose=ce,this.parse(ie),this.semver===Ie?this.value="":this.value=this.operator+this.semver.version,L("comp",this)}e.rcompareIdentifiers=function(ie,ce){return z(ce,ie)},e.major=function(ie,ce){return new N(ie,ce).major},e.minor=function(ie,ce){return new N(ie,ce).minor},e.patch=function(ie,ce){return new N(ie,ce).patch},e.compare=G,e.compareLoose=function(ie,ce){return G(ie,ce,!0)},e.rcompare=function(ie,ce,ue){return G(ce,ie,ue)},e.sort=function(ie,ce){return ie.sort(function(ue,we){return e.compare(ue,we,ce)})},e.rsort=function(ie,ce){return ie.sort(function(ue,we){return e.rcompare(ue,we,ce)})},e.gt=ee,e.lt=se,e.eq=ae,e.neq=de,e.gte=ve,e.lte=be,e.cmp=Se,e.Comparator=pe;var Ie={};function Ce(ie,ce){if(ie instanceof Ce)return ie.loose===ce?ie:new Ce(ie.raw,ce);if(ie instanceof pe)return new Ce(ie.value,ce);if(!(this instanceof Ce))return new Ce(ie,ce);if(this.loose=ce,this.raw=ie,this.set=ie.split(/\s*\|\|\s*/).map(function(ue){return this.parseRange(ue.trim())},this).filter(function(ue){return ue.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+ie);this.format()}function De(ie){return!ie||ie.toLowerCase()==="x"||ie==="*"}function Ue(ie,ce,ue,we,Ee,Ne,Te,Oe,_e,Q,oe,le,fe){return((ce=De(ue)?"":De(we)?">="+ue+".0.0":De(Ee)?">="+ue+"."+we+".0":">="+ce)+" "+(Oe=De(_e)?"":De(Q)?"<"+(+_e+1)+".0.0":De(oe)?"<"+_e+"."+(+Q+1)+".0":le?"<="+_e+"."+Q+"."+oe+"-"+le:"<="+Oe)).trim()}function je(ie,ce){for(var ue=0;ue<ie.length;ue++)if(!ie[ue].test(ce))return!1;if(ce.prerelease.length){for(ue=0;ue<ie.length;ue++)if(L(ie[ue].semver),ie[ue].semver!==Ie&&ie[ue].semver.prerelease.length>0){var we=ie[ue].semver;if(we.major===ce.major&&we.minor===ce.minor&&we.patch===ce.patch)return!0}return!1}return!0}function Ge(ie,ce,ue){try{ce=new Ce(ce,ue)}catch{return!1}return ce.test(ie)}function Be(ie,ce,ue,we){var Ee,Ne,Te,Oe,_e;switch(ie=new N(ie,we),ce=new Ce(ce,we),ue){case">":Ee=ee,Ne=be,Te=se,Oe=">",_e=">=";break;case"<":Ee=se,Ne=ve,Te=ee,Oe="<",_e="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(Ge(ie,ce,we))return!1;for(var Q=0;Q<ce.set.length;++Q){var oe=ce.set[Q],le=null,fe=null;if(oe.forEach(function(ge){ge.semver===Ie&&(ge=new pe(">=0.0.0")),le=le||ge,fe=fe||ge,Ee(ge.semver,le.semver,we)?le=ge:Te(ge.semver,fe.semver,we)&&(fe=ge)}),le.operator===Oe||le.operator===_e||(!fe.operator||fe.operator===Oe)&&Ne(ie,fe.semver)||fe.operator===_e&&Te(ie,fe.semver))return!1}return!0}pe.prototype.parse=function(ie){var ce=this.loose?R[re]:R[B],ue=ie.match(ce);if(!ue)throw new TypeError("Invalid comparator: "+ie);this.operator=ue[1],this.operator==="="&&(this.operator=""),ue[2]?this.semver=new N(ue[2],this.loose):this.semver=Ie},pe.prototype.toString=function(){return this.value},pe.prototype.test=function(ie){return L("Comparator.test",ie,this.loose),this.semver===Ie||(typeof ie=="string"&&(ie=new N(ie,this.loose)),Se(ie,this.operator,this.semver,this.loose))},pe.prototype.intersects=function(ie,ce){if(!(ie instanceof pe))throw new TypeError("a Comparator is required");var ue;if(this.operator==="")return ue=new Ce(ie.value,ce),Ge(this.value,ue,ce);if(ie.operator==="")return ue=new Ce(this.value,ce),Ge(ie.semver,ue,ce);var we=!(this.operator!==">="&&this.operator!==">"||ie.operator!==">="&&ie.operator!==">"),Ee=!(this.operator!=="<="&&this.operator!=="<"||ie.operator!=="<="&&ie.operator!=="<"),Ne=this.semver.version===ie.semver.version,Te=!(this.operator!==">="&&this.operator!=="<="||ie.operator!==">="&&ie.operator!=="<="),Oe=Se(this.semver,"<",ie.semver,ce)&&(this.operator===">="||this.operator===">")&&(ie.operator==="<="||ie.operator==="<"),_e=Se(this.semver,">",ie.semver,ce)&&(this.operator==="<="||this.operator==="<")&&(ie.operator===">="||ie.operator===">");return we||Ee||Ne&&Te||Oe||_e},e.Range=Ce,Ce.prototype.format=function(){return this.range=this.set.map(function(ie){return ie.join(" ").trim()}).join("||").trim(),this.range},Ce.prototype.toString=function(){return this.range},Ce.prototype.parseRange=function(ie){var ce=this.loose;ie=ie.trim(),L("range",ie,ce);var ue=ce?R[V]:R[K];ie=ie.replace(ue,Ue),L("hyphen replace",ie),ie=ie.replace(R[W],"$1$2$3"),L("comparator trim",ie,R[W]),ie=(ie=(ie=ie.replace(R[M],"$1~")).replace(R[x],"$1^")).split(/\s+/).join(" ");var we=ce?R[re]:R[B],Ee=ie.split(" ").map(function(Ne){return function(Te,Oe){return L("comp",Te),Te=function(_e,Q){return _e.trim().split(/\s+/).map(function(oe){return function(le,fe){L("caret",le,fe);var ge=fe?R[H]:R[q];return le.replace(ge,function(Le,ye,Re,ke,Pe){var Ae;return L("caret",le,Le,ye,Re,ke,Pe),De(ye)?Ae="":De(Re)?Ae=">="+ye+".0.0 <"+(+ye+1)+".0.0":De(ke)?Ae=ye==="0"?">="+ye+"."+Re+".0 <"+ye+"."+(+Re+1)+".0":">="+ye+"."+Re+".0 <"+(+ye+1)+".0.0":Pe?(L("replaceCaret pr",Pe),Pe.charAt(0)!=="-"&&(Pe="-"+Pe),Ae=ye==="0"?Re==="0"?">="+ye+"."+Re+"."+ke+Pe+" <"+ye+"."+Re+"."+(+ke+1):">="+ye+"."+Re+"."+ke+Pe+" <"+ye+"."+(+Re+1)+".0":">="+ye+"."+Re+"."+ke+Pe+" <"+(+ye+1)+".0.0"):(L("no pr"),Ae=ye==="0"?Re==="0"?">="+ye+"."+Re+"."+ke+" <"+ye+"."+Re+"."+(+ke+1):">="+ye+"."+Re+"."+ke+" <"+ye+"."+(+Re+1)+".0":">="+ye+"."+Re+"."+ke+" <"+(+ye+1)+".0.0"),L("caret return",Ae),Ae})}(oe,Q)}).join(" ")}(Te,Oe),L("caret",Te),Te=function(_e,Q){return _e.trim().split(/\s+/).map(function(oe){return function(le,fe){var ge=fe?R[U]:R[D];return le.replace(ge,function(Le,ye,Re,ke,Pe){var Ae;return L("tilde",le,Le,ye,Re,ke,Pe),De(ye)?Ae="":De(Re)?Ae=">="+ye+".0.0 <"+(+ye+1)+".0.0":De(ke)?Ae=">="+ye+"."+Re+".0 <"+ye+"."+(+Re+1)+".0":Pe?(L("replaceTilde pr",Pe),Pe.charAt(0)!=="-"&&(Pe="-"+Pe),Ae=">="+ye+"."+Re+"."+ke+Pe+" <"+ye+"."+(+Re+1)+".0"):Ae=">="+ye+"."+Re+"."+ke+" <"+ye+"."+(+Re+1)+".0",L("tilde return",Ae),Ae})}(oe,Q)}).join(" ")}(Te,Oe),L("tildes",Te),Te=function(_e,Q){return L("replaceXRanges",_e,Q),_e.split(/\s+/).map(function(oe){return function(le,fe){le=le.trim();var ge=fe?R[C]:R[m];return le.replace(ge,function(Le,ye,Re,ke,Pe,Ae){L("xRange",le,Le,ye,Re,ke,Pe,Ae);var Fe=De(Re),We=Fe||De(ke),qe=We||De(Pe);return ye==="="&&qe&&(ye=""),Fe?Le=ye===">"||ye==="<"?"<0.0.0":"*":ye&&qe?(We&&(ke=0),qe&&(Pe=0),ye===">"?(ye=">=",We?(Re=+Re+1,ke=0,Pe=0):qe&&(ke=+ke+1,Pe=0)):ye==="<="&&(ye="<",We?Re=+Re+1:ke=+ke+1),Le=ye+Re+"."+ke+"."+Pe):We?Le=">="+Re+".0.0 <"+(+Re+1)+".0.0":qe&&(Le=">="+Re+"."+ke+".0 <"+Re+"."+(+ke+1)+".0"),L("xRange return",Le),Le})}(oe,Q)}).join(" ")}(Te,Oe),L("xrange",Te),Te=function(_e,Q){return L("replaceStars",_e,Q),_e.trim().replace(R[X],"")}(Te,Oe),L("stars",Te),Te}(Ne,ce)}).join(" ").split(/\s+/);return this.loose&&(Ee=Ee.filter(function(Ne){return!!Ne.match(we)})),Ee=Ee.map(function(Ne){return new pe(Ne,ce)})},Ce.prototype.intersects=function(ie,ce){if(!(ie instanceof Ce))throw new TypeError("a Range is required");return this.set.some(function(ue){return ue.every(function(we){return ie.set.some(function(Ee){return Ee.every(function(Ne){return we.intersects(Ne,ce)})})})})},e.toComparators=function(ie,ce){return new Ce(ie,ce).set.map(function(ue){return ue.map(function(we){return we.value}).join(" ").trim().split(" ")})},Ce.prototype.test=function(ie){if(!ie)return!1;typeof ie=="string"&&(ie=new N(ie,this.loose));for(var ce=0;ce<this.set.length;ce++)if(je(this.set[ce],ie))return!0;return!1},e.satisfies=Ge,e.maxSatisfying=function(ie,ce,ue){var we=null,Ee=null;try{var Ne=new Ce(ce,ue)}catch{return null}return ie.forEach(function(Te){Ne.test(Te)&&(we&&Ee.compare(Te)!==-1||(Ee=new N(we=Te,ue)))}),we},e.minSatisfying=function(ie,ce,ue){var we=null,Ee=null;try{var Ne=new Ce(ce,ue)}catch{return null}return ie.forEach(function(Te){Ne.test(Te)&&(we&&Ee.compare(Te)!==1||(Ee=new N(we=Te,ue)))}),we},e.validRange=function(ie,ce){try{return new Ce(ie,ce).range||"*"}catch{return null}},e.ltr=function(ie,ce,ue){return Be(ie,ce,"<",ue)},e.gtr=function(ie,ce,ue){return Be(ie,ce,">",ue)},e.outside=Be,e.prerelease=function(ie,ce){var ue=j(ie,ce);return ue&&ue.prerelease.length?ue.prerelease:null},e.intersects=function(ie,ce,ue){return ie=new Ce(ie,ue),ce=new Ce(ce,ue),ie.intersects(ce)},e.coerce=function(ie){if(ie instanceof N)return ie;if(typeof ie!="string")return null;var ce=ie.match(R[_]);return ce==null?null:j((ce[1]||"0")+"."+(ce[2]||"0")+"."+(ce[3]||"0"))}}).call(this,k(1))},function(J,e){var k,t,L=J.exports={};function T(){throw new Error("setTimeout has not been defined")}function A(){throw new Error("clearTimeout has not been defined")}function R(v){if(k===setTimeout)return setTimeout(v,0);if((k===T||!k)&&setTimeout)return k=setTimeout,setTimeout(v,0);try{return k(v,0)}catch{try{return k.call(null,v,0)}catch{return k.call(this,v,0)}}}(function(){try{k=typeof setTimeout=="function"?setTimeout:T}catch{k=T}try{t=typeof clearTimeout=="function"?clearTimeout:A}catch{t=A}})();var b,I=[],P=!1,E=-1;function f(){P&&b&&(P=!1,b.length?I=b.concat(I):E=-1,I.length&&p())}function p(){if(!P){var v=R(f);P=!0;for(var l=I.length;l;){for(b=I,I=[];++E<l;)b&&b[E].run();E=-1,l=I.length}b=null,P=!1,function(w){if(t===clearTimeout)return clearTimeout(w);if((t===A||!t)&&clearTimeout)return t=clearTimeout,clearTimeout(w);try{t(w)}catch{try{return t.call(null,w)}catch{return t.call(this,w)}}}(v)}}function h(v,l){this.fun=v,this.array=l}function g(){}L.nextTick=function(v){var l=new Array(arguments.length-1);if(arguments.length>1)for(var w=1;w<arguments.length;w++)l[w-1]=arguments[w];I.push(new h(v,l)),I.length!==1||P||R(p)},h.prototype.run=function(){this.fun.apply(null,this.array)},L.title="browser",L.browser=!0,L.env={},L.argv=[],L.version="",L.versions={},L.on=g,L.addListener=g,L.once=g,L.off=g,L.removeListener=g,L.removeAllListeners=g,L.emit=g,L.prependListener=g,L.prependOnceListener=g,L.listeners=function(v){return[]},L.binding=function(v){throw new Error("process.binding is not supported")},L.cwd=function(){return"/"},L.chdir=function(v){throw new Error("process.chdir is not supported")},L.umask=function(){return 0}}])}),define(te[104],ne([0,1]),function(J,e){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.SkipList=void 0;class t{constructor(R,b,I){this.level=R,this.key=b,this.value=I,this.forward=[]}}const L=void 0;class T{constructor(R,b=2**16){this.comparator=R,this[k]="SkipList",this._level=0,this._size=0,this._maxLevel=Math.max(1,Math.log2(b)|0),this._header=new t(this._maxLevel,L,L)}get size(){return this._size}clear(){this._header=new t(this._maxLevel,L,L)}has(R){return Boolean(T._search(this,R,this.comparator))}get(R){return T._search(this,R,this.comparator)?.value}set(R,b){return T._insert(this,R,b,this.comparator)&&(this._size+=1),this}delete(R){const b=T._delete(this,R,this.comparator);return b&&(this._size-=1),b}forEach(R,b){let I=this._header.forward[0];for(;I;)R.call(b,I.value,I.key,this),I=I.forward[0]}[(k=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let R=this._header.forward[0];for(;R;)yield[R.key,R.value],R=R.forward[0]}*keys(){let R=this._header.forward[0];for(;R;)yield R.key,R=R.forward[0]}*values(){let R=this._header.forward[0];for(;R;)yield R.value,R=R.forward[0]}toString(){let R="[SkipList]:",b=this._header.forward[0];for(;b;)R+=`node(${b.key}, ${b.value}, lvl:${b.level})`,b=b.forward[0];return R}static _search(R,b,I){let P=R._header;for(let E=R._level-1;E>=0;E--)for(;P.forward[E]&&I(P.forward[E].key,b)<0;)P=P.forward[E];if(P=P.forward[0],P&&I(P.key,b)===0)return P}static _insert(R,b,I,P){let E=[],f=R._header;for(let p=R._level-1;p>=0;p--){for(;f.forward[p]&&P(f.forward[p].key,b)<0;)f=f.forward[p];E[p]=f}if(f=f.forward[0],f&&P(f.key,b)===0)return f.value=I,!1;{let p=T._randomLevel(R);if(p>R._level){for(let h=R._level;h<p;h++)E[h]=R._header;R._level=p}f=new t(p,b,I);for(let h=0;h<p;h++)f.forward[h]=E[h].forward[h],E[h].forward[h]=f;return!0}}static _randomLevel(R,b=.5){let I=1;for(;Math.random()<b&&I<R._maxLevel;)I+=1;return I}static _delete(R,b,I){let P=[],E=R._header;for(let f=R._level-1;f>=0;f--){for(;E.forward[f]&&I(E.forward[f].key,b)<0;)E=E.forward[f];P[f]=E}if(E=E.forward[0],!E||I(E.key,b)!==0)return!1;for(let f=0;f<R._level&&P[f].forward[f]===E;f++)P[f].forward[f]=E.forward[f];for(;R._level>0&&R._header.forward[R._level-1]===L;)R._level-=1;return!0}}e.SkipList=T}),define(te[105],ne([0,1,4]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const t=k.globals.performance&&typeof k.globals.performance.now=="function";class L{constructor(A){this._highResolution=t&&A,this._startTime=this._now(),this._stopTime=-1}static create(A=!0){return new L(A)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?k.globals.performance.now():Date.now()}}e.StopWatch=L}),define(te[3],ne([0,1,9,69,2,101,105]),function(J,e,k,t,L,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.MicrotaskEmitter=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;function R(c){if(!1){const{onListenerDidAdd:n}=c,o=p.create();let s=0;c.onListenerDidAdd=()=>{++s==2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),o.print()),n?.()}}}var b;(function(c){c.None=()=>L.Disposable.None;function i(W){return(K,V=null,X)=>{let Z=!1,j;return j=W(N=>{if(!Z)return j?j.dispose():Z=!0,K.call(V,N)},null,X),Z&&j.dispose(),j}}c.once=i;function n(W,K,V){return C((X,Z=null,j)=>W(N=>X.call(Z,K(N)),null,j),V)}c.map=n;function o(W,K,V){return C((X,Z=null,j)=>W(N=>{K(N),X.call(Z,N)},null,j),V)}c.forEach=o;function s(W,K,V){return C((X,Z=null,j)=>W(N=>K(N)&&X.call(Z,N),null,j),V)}c.filter=s;function a(W){return W}c.signal=a;function u(...W){return(K,V=null,X)=>(0,L.combinedDisposable)(...W.map(Z=>Z(j=>K.call(V,j),null,X)))}c.any=u;function m(W,K,V,X){let Z=V;return n(W,j=>(Z=K(Z,j),Z),X)}c.reduce=m;function C(W,K){let V;const X={onFirstListenerAdd(){V=W(Z.fire,Z)},onLastListenerRemove(){V.dispose()}};K||R(X);const Z=new g(X);return K&&K.add(Z),Z.event}function _(W,K,V=100,X=!1,Z,j){let N,$,z,G=0;const ee={leakWarningThreshold:Z,onFirstListenerAdd(){N=W(ae=>{G++,$=K($,ae),X&&!z&&(se.fire($),$=void 0),clearTimeout(z),z=setTimeout(()=>{const de=$;$=void 0,z=void 0,(!X||G>1)&&se.fire(de),G=0},V)})},onLastListenerRemove(){N.dispose()}};j||R(ee);const se=new g(ee);return j&&j.add(se),se.event}c.debounce=_;function O(W,K=(X,Z)=>X===Z,V){let X=!0,Z;return s(W,j=>{const N=X||!K(j,Z);return X=!1,Z=j,N},V)}c.latch=O;function M(W,K,V){return[c.filter(W,K,V),c.filter(W,X=>!K(X),V)]}c.split=M;function D(W,K=!1,V=[]){let X=V.slice(),Z=W($=>{X?X.push($):N.fire($)});const j=()=>{X&&X.forEach($=>N.fire($)),X=null},N=new g({onFirstListenerAdd(){Z||(Z=W($=>N.fire($)))},onFirstListenerDidAdd(){X&&(K?setTimeout(j):j())},onLastListenerRemove(){Z&&Z.dispose(),Z=null}});return N.event}c.buffer=D;class U{constructor(K){this.event=K}map(K){return new U(n(this.event,K))}forEach(K){return new U(o(this.event,K))}filter(K){return new U(s(this.event,K))}reduce(K,V){return new U(m(this.event,K,V))}latch(){return new U(O(this.event))}debounce(K,V=100,X=!1,Z){return new U(_(this.event,K,V,X,Z))}on(K,V,X){return this.event(K,V,X)}once(K,V,X){return i(this.event)(K,V,X)}}function F(W){return new U(W)}c.chain=F;function x(W,K,V=X=>X){const X=(...$)=>N.fire(V(...$)),Z=()=>W.on(K,X),j=()=>W.removeListener(K,X),N=new g({onFirstListenerAdd:Z,onLastListenerRemove:j});return N.event}c.fromNodeEventEmitter=x;function q(W,K,V=X=>X){const X=(...$)=>N.fire(V(...$)),Z=()=>W.addEventListener(K,X),j=()=>W.removeEventListener(K,X),N=new g({onFirstListenerAdd:Z,onLastListenerRemove:j});return N.event}c.fromDOMEventEmitter=q;function H(W){return new Promise(K=>i(W)(K))}c.toPromise=H;function re(W,K){return K(void 0),W(V=>K(V))}c.runAndSubscribe=re;function B(W,K){let V=null;function X(j){V?.dispose(),V=new L.DisposableStore,K(j,V)}X(void 0);const Z=W(j=>X(j));return(0,L.toDisposable)(()=>{Z.dispose(),V?.dispose()})}c.runAndSubscribeWithStore=B})(b=e.Event||(e.Event={}));class I{constructor(i){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${i}_${I._idPool++}`}start(i){this._stopWatch=new A.StopWatch(!0),this._listenerCount=i}stop(){if(this._stopWatch){const i=this._stopWatch.elapsed();this._elapsedOverall+=i,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${i.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}I._idPool=0;let P=-1;function E(c){const i=P;return P=c,{dispose(){P=i}}}e.setGlobalLeakWarningThreshold=E;class f{constructor(i,n=Math.random().toString(18).slice(2,5)){this.customThreshold=i,this.name=n,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(i,n){let o=P;if(typeof this.customThreshold=="number"&&(o=this.customThreshold),o<=0||n<o)return;this._stacks||(this._stacks=new Map);const s=this._stacks.get(i.value)||0;if(this._stacks.set(i.value,s+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=o*.5;let a,u=0;for(const[m,C]of this._stacks)(!a||u<C)&&(a=m,u=C);console.warn(`[${this.name}] potential listener LEAK detected, having ${n} listeners already. MOST frequent listener (${u}):`),console.warn(a)}return()=>{const a=this._stacks.get(i.value)||0;this._stacks.set(i.value,a-1)}}}class p{constructor(i){this._error=i}static create(){return new p(new Error)}get value(){return this._error.stack??""}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class h{constructor(i,n,o){this.callback=i,this.callbackThis=n,this.stack=o,this.subscription=new L.SafeDisposable}invoke(i){this.callback.call(this.callbackThis,i)}}class g{constructor(i){this._disposed=!1,this._options=i,this._leakageMon=P>0?new f(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new I(this._options._profName):void 0}get event(){return this._event||(this._event=(i,n,o)=>{this._listeners||(this._listeners=new T.LinkedList);const s=this._listeners.isEmpty();s&&this._options?.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);let a,u;this._leakageMon&&(u=p.create(),a=this._leakageMon.check(u,this._listeners.size+1));const m=new h(i,n,u),C=this._listeners.push(m);s&&this._options?.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options?.onListenerDidAdd&&this._options.onListenerDidAdd(this,i,n);const _=m.subscription.set(()=>{a&&a(),this._disposed||(C(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return o instanceof L.DisposableStore?o.add(_):Array.isArray(o)&&o.push(_),_}),this._event}fire(i){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new T.LinkedList);for(let n of this._listeners)this._deliveryQueue.push([n,i]);for(this._perfMon?.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[n,o]=this._deliveryQueue.shift();try{n.invoke(o)}catch(s){(0,k.onUnexpectedError)(s)}}this._perfMon?.stop()}}hasListeners(){return this._listeners?!this._listeners.isEmpty():!1}dispose(){if(!this._disposed){if(this._disposed=!0,this._listeners){const i=Array.from(this._listeners);this._listeners.clear(),queueMicrotask(()=>{for(const n of i)n.subscription.isset()&&n.subscription.unset()})}this._deliveryQueue?.clear(),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose()}}}e.Emitter=g;class v extends g{async fireAsync(i,n,o){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new T.LinkedList);for(const s of this._listeners)this._asyncDeliveryQueue.push([s,i]);for(;this._asyncDeliveryQueue.size>0&&!n.isCancellationRequested;){const[s,a]=this._asyncDeliveryQueue.shift(),u=[],m={...a,token:n,waitUntil:C=>{if(Object.isFrozen(u))throw new Error("waitUntil can NOT be called asynchronous");o&&(C=o(C,s.callback)),u.push(C)}};try{s.invoke(m)}catch(C){(0,k.onUnexpectedError)(C);continue}Object.freeze(u),await Promise.allSettled(u).then(C=>{for(const _ of C)_.status==="rejected"&&(0,k.onUnexpectedError)(_.reason)})}}}}e.AsyncEmitter=v;class l extends g{constructor(i){super(i);this._isPaused=0,this._eventQueue=new T.LinkedList,this._mergeFn=i?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const i=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(i))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(i){this._listeners&&(this._isPaused!==0?this._eventQueue.push(i):super.fire(i))}}e.PauseableEmitter=l;class w extends l{constructor(i){super(i);this._delay=i.delay??100}fire(i){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(i)}}e.DebounceEmitter=w;class S extends g{constructor(i){super(i);this._queuedEvents=[],this._mergeFn=i?.merge}fire(i){this._queuedEvents.push(i),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(n=>super.fire(n)),this._queuedEvents=[]})}}e.MicrotaskEmitter=S;class y{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new g({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(i){const n={event:i,listener:null};this.events.push(n),this.hasListeners&&this.hook(n);const o=()=>{this.hasListeners&&this.unhook(n);const s=this.events.indexOf(n);this.events.splice(s,1)};return(0,L.toDisposable)((0,t.once)(o))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(i=>this.hook(i))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(i=>this.unhook(i))}hook(i){i.listener=i.event(n=>this.emitter.fire(n))}unhook(i){i.listener&&i.listener.dispose(),i.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=y;class d{constructor(){this.buffers=[]}wrapEvent(i){return(n,o,s)=>i(a=>{const u=this.buffers[this.buffers.length-1];u?u.push(()=>n.call(o,a)):n.call(o,a)},void 0,s)}bufferEvents(i){const n=[];this.buffers.push(n);const o=i();return this.buffers.pop(),n.forEach(s=>s()),o}}e.EventBufferer=d;class r{constructor(){this.listening=!1,this.inputEvent=b.None,this.inputEventListener=L.Disposable.None,this.emitter=new g({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(i){this.inputEvent=i,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=i(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=r}),define(te[25],ne([0,1,3]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const t=Object.freeze(function(R,b){const I=setTimeout(R.bind(b),0);return{dispose(){clearTimeout(I)}}});var L;(function(R){function b(I){return I===R.None||I===R.Cancelled||I instanceof T?!0:!I||typeof I!="object"?!1:typeof I.isCancellationRequested=="boolean"&&typeof I.onCancellationRequested=="function"}R.isCancellationToken=b,R.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:k.Event.None}),R.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:t})})(L=e.CancellationToken||(e.CancellationToken={}));class T{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?t:(this._emitter||(this._emitter=new k.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class A{constructor(b){this._token=void 0,this._parentListener=void 0,this._parentListener=b&&b.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new T),this._token}cancel(){this._token?this._token instanceof T&&this._token.cancel():this._token=L.Cancelled}dispose(b=!1){b&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof T&&this._token.dispose():this._token=L.None}}e.CancellationTokenSource=A}),define(te[106],ne([0,1,25]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCachedComputed=e.Cache=void 0;class t{constructor(A){this.task=A,this.result=null}get(){if(this.result)return this.result;const A=new k.CancellationTokenSource,R=this.task(A.token);return this.result={promise:R,dispose:()=>{this.result=null,A.cancel(),A.dispose()}},this.result}}e.Cache=t;class L{constructor(A){this.computeFn=A,this.lastCache=void 0,this.lastArgKey=void 0}get(A){const R=JSON.stringify(A);return this.lastArgKey!==R&&(this.lastArgKey=R,this.lastCache=this.computeFn(A)),this.lastCache}}e.LRUCachedComputed=L}),define(te[40],ne([0,1,9,2]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function L(S){const y=S;return y?[y.on,y.pause,y.resume,y.destroy].every(d=>typeof d=="function"):!1}e.isReadableStream=L;function T(S){const y=S;return y?L(y.stream)&&Array.isArray(y.buffer)&&typeof y.ended=="boolean":!1}e.isReadableBufferedStream=T;function A(S,y){return new R(S,y)}e.newWriteableStream=A;class R{constructor(y,d){this.reducer=y,this.options=d,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(y){if(!this.state.destroyed){if(this.state.flowing)this.emitData(y);else if(this.buffer.data.push(y),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(d=>this.pendingWritePromises.push(d))}}error(y){this.state.destroyed||(this.state.flowing?this.emitError(y):this.buffer.error.push(y))}end(y){this.state.destroyed||(typeof y!="undefined"&&this.write(y),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(y){this.listeners.data.slice(0).forEach(d=>d(y))}emitError(y){this.listeners.error.length===0?(0,k.onUnexpectedError)(y):this.listeners.error.slice(0).forEach(d=>d(y))}emitEnd(){this.listeners.end.slice(0).forEach(y=>y())}on(y,d){if(!this.state.destroyed)switch(y){case"data":this.listeners.data.push(d),this.resume();break;case"end":this.listeners.end.push(d),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(d),this.state.flowing&&this.flowErrors();break}}removeListener(y,d){if(this.state.destroyed)return;let r;switch(y){case"data":r=this.listeners.data;break;case"end":r=this.listeners.end;break;case"error":r=this.listeners.error;break}if(r){const c=r.indexOf(d);c>=0&&r.splice(c,1)}}flowData(){if(this.buffer.data.length>0){const y=this.reducer(this.buffer.data);this.emitData(y),this.buffer.data.length=0;const d=[...this.pendingWritePromises];this.pendingWritePromises.length=0,d.forEach(r=>r())}}flowErrors(){if(this.listeners.error.length>0){for(const y of this.buffer.error)this.emitError(y);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function b(S,y){const d=[];let r;for(;(r=S.read())!==null;)d.push(r);return y(d)}e.consumeReadable=b;function I(S,y,d){const r=[];let c;for(;(c=S.read())!==null&&r.length<d;)r.push(c);return c===null&&r.length>0?y(r):{read:()=>{if(r.length>0)return r.shift();if(typeof c!="undefined"){const i=c;return c=void 0,i}return S.read()}}}e.peekReadable=I;function P(S,y){return new Promise((d,r)=>{const c=[];E(S,{onData:i=>{y&&c.push(i)},onError:i=>{y?r(i):d(void 0)},onEnd:()=>{d(y?y(c):void 0)}})})}e.consumeStream=P;function E(S,y){let d=!1;return S.on("error",r=>{d||y.onError(r)}),S.on("end",()=>{d||y.onEnd()}),S.on("data",r=>{d||y.onData(r)}),(0,t.toDisposable)(()=>d=!0)}e.listenStream=E;function f(S,y){return new Promise((d,r)=>{const c=new t.DisposableStore,i=[],n=a=>{if(i.push(a),i.length>y)return c.dispose(),S.pause(),d({stream:S,buffer:i,ended:!1})},o=a=>r(a),s=()=>d({stream:S,buffer:i,ended:!0});c.add((0,t.toDisposable)(()=>S.removeListener("error",o))),S.on("error",o),c.add((0,t.toDisposable)(()=>S.removeListener("end",s))),S.on("end",s),c.add((0,t.toDisposable)(()=>S.removeListener("data",n))),S.on("data",n)})}e.peekStream=f;function p(S,y){const d=A(y);return d.end(S),d}e.toStream=p;function h(){const S=A(()=>{throw new Error("not supported")});return S.end(),S}e.emptyStream=h;function g(S){let y=!1;return{read:()=>y?null:(y=!0,S)}}e.toReadable=g;function v(S,y,d){const r=A(d);return E(S,{onData:c=>r.write(y.data(c)),onError:c=>r.error(y.error?y.error(c):c),onEnd:()=>r.end()}),r}e.transform=v;function l(S,y,d){let r=!1;return{read:()=>{const c=y.read();return r?c:(r=!0,c!==null?d([S,c]):S)}}}e.prefixedReadable=l;function w(S,y,d){let r=!1;const c=A(d);return E(y,{onData:i=>r?c.write(i):(r=!0,c.write(d([S,i]))),onError:i=>c.error(i),onEnd:()=>{r||(r=!0,c.write(S)),c.end()}}),c}e.prefixedStream=w}),define(te[17],ne([0,1,40]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const t=typeof Buffer!="undefined";let L,T;class A{constructor(u){this.buffer=u,this.byteLength=this.buffer.byteLength}static alloc(u){return t?new A(Buffer.allocUnsafe(u)):new A(new Uint8Array(u))}static wrap(u){return t&&!Buffer.isBuffer(u)&&(u=Buffer.from(u.buffer,u.byteOffset,u.byteLength)),new A(u)}static fromString(u,m){return!(m?.dontUseNodeBuffer||!1)&&t?new A(Buffer.from(u)):(L||(L=new TextEncoder),new A(L.encode(u)))}static fromByteArray(u){const m=A.alloc(u.length);for(let C=0,_=u.length;C<_;C++)m.buffer[C]=u[C];return m}static concat(u,m){if(typeof m=="undefined"){m=0;for(let O=0,M=u.length;O<M;O++)m+=u[O].byteLength}const C=A.alloc(m);let _=0;for(let O=0,M=u.length;O<M;O++){const D=u[O];C.set(D,_),_+=D.byteLength}return C}clone(){const u=A.alloc(this.byteLength);return u.set(this),u}toString(){return t?this.buffer.toString():(T||(T=new TextDecoder),T.decode(this.buffer))}slice(u,m){return new A(this.buffer.subarray(u,m))}set(u,m){if(u instanceof A)this.buffer.set(u.buffer,m);else if(u instanceof Uint8Array)this.buffer.set(u,m);else if(u instanceof ArrayBuffer)this.buffer.set(new Uint8Array(u),m);else if(ArrayBuffer.isView(u))this.buffer.set(new Uint8Array(u.buffer,u.byteOffset,u.byteLength),m);else throw new Error("Unknown argument 'array'")}readUInt32BE(u){return I(this.buffer,u)}writeUInt32BE(u,m){P(this.buffer,u,m)}readUInt32LE(u){return E(this.buffer,u)}writeUInt32LE(u,m){f(this.buffer,u,m)}readUInt8(u){return p(this.buffer,u)}writeUInt8(u,m){h(this.buffer,u,m)}}e.VSBuffer=A;function R(a,u){return a[u+0]<<0>>>0|a[u+1]<<8>>>0}e.readUInt16LE=R;function b(a,u,m){a[m+0]=u&255,u=u>>>8,a[m+1]=u&255}e.writeUInt16LE=b;function I(a,u){return a[u]*2**24+a[u+1]*2**16+a[u+2]*2**8+a[u+3]}e.readUInt32BE=I;function P(a,u,m){a[m+3]=u,u=u>>>8,a[m+2]=u,u=u>>>8,a[m+1]=u,u=u>>>8,a[m]=u}e.writeUInt32BE=P;function E(a,u){return a[u+0]<<0>>>0|a[u+1]<<8>>>0|a[u+2]<<16>>>0|a[u+3]<<24>>>0}e.readUInt32LE=E;function f(a,u,m){a[m+0]=u&255,u=u>>>8,a[m+1]=u&255,u=u>>>8,a[m+2]=u&255,u=u>>>8,a[m+3]=u&255}e.writeUInt32LE=f;function p(a,u){return a[u]}e.readUInt8=p;function h(a,u,m){a[m]=u}e.writeUInt8=h;function g(a){return k.consumeReadable(a,u=>A.concat(u))}e.readableToBuffer=g;function v(a){return k.toReadable(a)}e.bufferToReadable=v;function l(a){return k.consumeStream(a,u=>A.concat(u))}e.streamToBuffer=l;async function w(a){return a.ended?A.concat(a.buffer):A.concat([...a.buffer,await l(a.stream)])}e.bufferedStreamToBuffer=w;function S(a){return k.toStream(a,u=>A.concat(u))}e.bufferToStream=S;function y(a){return k.transform(a,{data:u=>typeof u=="string"?A.fromString(u):A.wrap(u)},u=>A.concat(u))}e.streamToBufferReadableStream=y;function d(a){return k.newWriteableStream(u=>A.concat(u),a)}e.newWriteableBufferStream=d;function r(a,u){return k.prefixedReadable(a,u,m=>A.concat(m))}e.prefixedBufferReadable=r;function c(a,u){return k.prefixedStream(a,u,m=>A.concat(m))}e.prefixedBufferStream=c;function i(a){let u=0,m=0,C=0;const _=new Uint8Array(Math.floor(a.length/4*3)),O=D=>{switch(m){case 3:_[C++]=u|D,m=0;break;case 2:_[C++]=u|D>>>2,u=D<<6,m=3;break;case 1:_[C++]=u|D>>>4,u=D<<4,m=2;break;default:u=D<<2,m=1}};for(let D=0;D<a.length;D++){const U=a.charCodeAt(D);if(U>=65&&U<=90)O(U-65);else if(U>=97&&U<=122)O(U-97+26);else if(U>=48&&U<=57)O(U-48+52);else if(U===43||U===45)O(62);else if(U===47||U===95)O(63);else{if(U===61)break;throw new SyntaxError(`Unexpected base64 character ${a[D]}`)}}const M=C;for(;m>0;)O(0);return A.wrap(_).slice(0,M)}e.decodeBase64=i;const n="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",o="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function s({buffer:a},u=!0,m=!1){const C=m?o:n;let _="";const O=a.byteLength%3;let M=0;for(;M<a.byteLength-O;M+=3){const D=a[M+0],U=a[M+1],F=a[M+2];_+=C[D>>>2],_+=C[(D<<4|U>>>4)&63],_+=C[(U<<2|F>>>6)&63],_+=C[F&63]}if(O===1){const D=a[M+0];_+=C[D>>>2],_+=C[D<<4&63],u&&(_+="==")}else if(O===2){const D=a[M+0],U=a[M+1];_+=C[D>>>2],_+=C[(D<<4|U>>>4)&63],_+=C[U<<2&63],u&&(_+="=")}return _}e.encodeBase64=s}),define(te[26],ne([0,1,106,100]),function(J,e,k,t){"use strict";var L;Object.defineProperty(e,"__esModule",{value:!0}),e.InvisibleCharacters=e.AmbiguousCharacters=e.noBreakWhitespace=e.getLeftDeleteOffset=e.GraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsRTL=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.GraphemeIterator=e.CodePointIterator=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function T(Q){return!Q||typeof Q!="string"?!0:Q.trim().length===0}e.isFalsyOrWhitespace=T;const A=/{(\d+)}/g;function R(Q,...oe){return oe.length===0?Q:Q.replace(A,function(le,fe){const ge=parseInt(fe,10);return isNaN(ge)||ge<0||ge>=oe.length?le:oe[ge]})}e.format=R;const b=/{([^}]+)}/g;function I(Q,oe){return Q.replace(b,(le,fe)=>oe[fe]??le)}e.format2=I;function P(Q){return Q.replace(/[<>&]/g,function(oe){switch(oe){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return oe}})}e.escape=P;function E(Q){return Q.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=E;function f(Q,oe){let le=0;const fe=oe.charCodeAt(0);for(let ge=Q.length-1;ge>=0;ge--)Q.charCodeAt(ge)===fe&&le++;return le}e.count=f;function p(Q,oe,le="\u2026"){return Q.length<=oe?Q:`${Q.substr(0,oe)}${le}`}e.truncate=p;function h(Q,oe=" "){const le=g(Q,oe);return v(le,oe)}e.trim=h;function g(Q,oe){if(!Q||!oe)return Q;const le=oe.length;if(le===0||Q.length===0)return Q;let fe=0;for(;Q.indexOf(oe,fe)===fe;)fe=fe+le;return Q.substring(fe)}e.ltrim=g;function v(Q,oe){if(!Q||!oe)return Q;const le=oe.length,fe=Q.length;if(le===0||fe===0)return Q;let ge=fe,Le=-1;for(;Le=Q.lastIndexOf(oe,ge-1),!(Le===-1||Le+le!==ge);){if(Le===0)return"";ge=Le}return Q.substring(0,ge)}e.rtrim=v;function l(Q){return Q.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=l;function w(Q){return Q.replace(/\*/g,"")}e.stripWildcards=w;function S(Q,oe,le={}){if(!Q)throw new Error("Cannot create regex from empty string");oe||(Q=E(Q)),le.wholeWord&&(/\B/.test(Q.charAt(0))||(Q="\\b"+Q),/\B/.test(Q.charAt(Q.length-1))||(Q=Q+"\\b"));let fe="";return le.global&&(fe+="g"),le.matchCase||(fe+="i"),le.multiline&&(fe+="m"),le.unicode&&(fe+="u"),new RegExp(Q,fe)}e.createRegExp=S;function y(Q){return Q.source==="^"||Q.source==="^$"||Q.source==="$"||Q.source==="^\\s*$"?!1:!!(Q.exec("")&&Q.lastIndex===0)}e.regExpLeadsToEndlessLoop=y;function d(Q){return!!Q.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=d;function r(Q){return(Q.global?"g":"")+(Q.ignoreCase?"i":"")+(Q.multiline?"m":"")+(Q.unicode?"u":"")}e.regExpFlags=r;function c(Q){return Q.split(/\r\n|\r|\n/)}e.splitLines=c;function i(Q){for(let oe=0,le=Q.length;oe<le;oe++){const fe=Q.charCodeAt(oe);if(fe!==32&&fe!==9)return oe}return-1}e.firstNonWhitespaceIndex=i;function n(Q,oe=0,le=Q.length){for(let fe=oe;fe<le;fe++){const ge=Q.charCodeAt(fe);if(ge!==32&&ge!==9)return Q.substring(oe,fe)}return Q.substring(oe,le)}e.getLeadingWhitespace=n;function o(Q,oe=Q.length-1){for(let le=oe;le>=0;le--){const fe=Q.charCodeAt(le);if(fe!==32&&fe!==9)return le}return-1}e.lastNonWhitespaceIndex=o;function s(Q,oe){return Q<oe?-1:Q>oe?1:0}e.compare=s;function a(Q,oe,le=0,fe=Q.length,ge=0,Le=oe.length){for(;le<fe&&ge<Le;le++,ge++){let ke=Q.charCodeAt(le),Pe=oe.charCodeAt(ge);if(ke<Pe)return-1;if(ke>Pe)return 1}const ye=fe-le,Re=Le-ge;return ye<Re?-1:ye>Re?1:0}e.compareSubstring=a;function u(Q,oe){return m(Q,oe,0,Q.length,0,oe.length)}e.compareIgnoreCase=u;function m(Q,oe,le=0,fe=Q.length,ge=0,Le=oe.length){for(;le<fe&&ge<Le;le++,ge++){let ke=Q.charCodeAt(le),Pe=oe.charCodeAt(ge);if(ke===Pe)continue;if(ke>=128||Pe>=128)return a(Q.toLowerCase(),oe.toLowerCase(),le,fe,ge,Le);C(ke)&&(ke-=32),C(Pe)&&(Pe-=32);const Ae=ke-Pe;if(Ae!==0)return Ae}const ye=fe-le,Re=Le-ge;return ye<Re?-1:ye>Re?1:0}e.compareSubstringIgnoreCase=m;function C(Q){return Q>=97&&Q<=122}e.isLowerAsciiLetter=C;function _(Q){return Q>=65&&Q<=90}e.isUpperAsciiLetter=_;function O(Q,oe){return Q.length===oe.length&&m(Q,oe)===0}e.equalsIgnoreCase=O;function M(Q,oe){const le=oe.length;return oe.length>Q.length?!1:m(Q,oe,0,le)===0}e.startsWithIgnoreCase=M;function D(Q,oe){let le,fe=Math.min(Q.length,oe.length);for(le=0;le<fe;le++)if(Q.charCodeAt(le)!==oe.charCodeAt(le))return le;return fe}e.commonPrefixLength=D;function U(Q,oe){let le,fe=Math.min(Q.length,oe.length);const ge=Q.length-1,Le=oe.length-1;for(le=0;le<fe;le++)if(Q.charCodeAt(ge-le)!==oe.charCodeAt(Le-le))return le;return fe}e.commonSuffixLength=U;function F(Q){return 55296<=Q&&Q<=56319}e.isHighSurrogate=F;function x(Q){return 56320<=Q&&Q<=57343}e.isLowSurrogate=x;function q(Q,oe){return(Q-55296<<10)+(oe-56320)+65536}e.computeCodePoint=q;function H(Q,oe,le){const fe=Q.charCodeAt(le);if(F(fe)&&le+1<oe){const ge=Q.charCodeAt(le+1);if(x(ge))return q(fe,ge)}return fe}e.getNextCodePoint=H;function re(Q,oe){const le=Q.charCodeAt(oe-1);if(x(le)&&oe>1){const fe=Q.charCodeAt(oe-2);if(F(fe))return q(fe,le)}return le}class B{constructor(oe,le=0){this._str=oe,this._len=oe.length,this._offset=le}get offset(){return this._offset}setOffset(oe){this._offset=oe}prevCodePoint(){const oe=re(this._str,this._offset);return this._offset-=oe>=65536?2:1,oe}nextCodePoint(){const oe=H(this._str,this._len,this._offset);return this._offset+=oe>=65536?2:1,oe}eol(){return this._offset>=this._len}}e.CodePointIterator=B;class W{constructor(oe,le=0){this._iterator=new B(oe,le)}get offset(){return this._iterator.offset}nextGraphemeLength(){const oe=ce.getInstance(),le=this._iterator,fe=le.offset;let ge=oe.getGraphemeBreakType(le.nextCodePoint());for(;!le.eol();){const Le=le.offset,ye=oe.getGraphemeBreakType(le.nextCodePoint());if(Be(ge,ye)){le.setOffset(Le);break}ge=ye}return le.offset-fe}prevGraphemeLength(){const oe=ce.getInstance(),le=this._iterator,fe=le.offset;let ge=oe.getGraphemeBreakType(le.prevCodePoint());for(;le.offset>0;){const Le=le.offset,ye=oe.getGraphemeBreakType(le.prevCodePoint());if(Be(ye,ge)){le.setOffset(Le);break}ge=ye}return fe-le.offset}eol(){return this._iterator.eol()}}e.GraphemeIterator=W;function K(Q,oe){return new W(Q,oe).nextGraphemeLength()}e.nextCharLength=K;function V(Q,oe){return new W(Q,oe).prevGraphemeLength()}e.prevCharLength=V;function X(Q,oe){oe>0&&x(Q.charCodeAt(oe))&&oe--;const le=oe+K(Q,oe);return[le-V(Q,le),le]}e.getCharContainingOffset=X;const Z=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function j(Q){return Z.test(Q)}e.containsRTL=j;const N=/^[\t\n\r\x20-\x7E]*$/;function $(Q){return N.test(Q)}e.isBasicASCII=$,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function z(Q){return e.UNUSUAL_LINE_TERMINATORS.test(Q)}e.containsUnusualLineTerminators=z;function G(Q){return Q>=11904&&Q<=55215||Q>=63744&&Q<=64255||Q>=65281&&Q<=65374}e.isFullWidthCharacter=G;function ee(Q){return Q>=127462&&Q<=127487||Q===8986||Q===8987||Q===9200||Q===9203||Q>=9728&&Q<=10175||Q===11088||Q===11093||Q>=127744&&Q<=128591||Q>=128640&&Q<=128764||Q>=128992&&Q<=129008||Q>=129280&&Q<=129535||Q>=129648&&Q<=129782}e.isEmojiImprecise=ee;function se(Q,oe){if(Q.length<oe)return Q;const le=/\b/g;let fe=0;for(;le.test(Q)&&!(Q.length-le.lastIndex<oe);)fe=le.lastIndex,le.lastIndex+=1;return Q.substring(fe).replace(/^\s/,"")}e.lcut=se;const ae=/\x1B\x5B[12]?K/g,de=/\x1b\[\d+m/g,ve=/\x1b\[0?m/g;function be(Q){return Q&&(Q=Q.replace(ae,""),Q=Q.replace(de,""),Q=Q.replace(ve,"")),Q}e.removeAnsiEscapeCodes=be,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Se(Q){return!!(Q&&Q.length>0&&Q.charCodeAt(0)===65279)}e.startsWithUTF8BOM=Se;function pe(Q){return Se(Q)?Q.substr(1):Q}e.stripUTF8BOM=pe;function Ie(Q,oe){if(!Q||!oe||Q.length<oe.length)return!1;const le=oe.length,fe=Q.toLowerCase();let ge=0,Le=-1;for(;ge<le;){const ye=fe.indexOf(oe[ge],Le+1);if(ye<0)return!1;Le=ye,ge++}return!0}e.fuzzyContains=Ie;function Ce(Q,oe=!1){return Q?(oe&&(Q=Q.replace(/\\./g,"")),Q.toLowerCase()!==Q):!1}e.containsUppercaseCharacter=Ce;function De(Q){return Q.charAt(0).toUpperCase()+Q.slice(1)}e.uppercaseFirstLetter=De;function Ue(Q,oe=1){if(oe===0)return"";let le=-1;do le=Q.indexOf(`
`,le+1),oe--;while(oe>0&&le>=0);return le===-1?Q:(Q[le-1]==="\r"&&le--,Q.substr(0,le))}e.getNLines=Ue;function je(Q){const oe=90-65+1;return Q=Q%(2*oe),Q<oe?String.fromCharCode(97+Q):String.fromCharCode(65+Q-oe)}e.singleLetterHash=je;function Ge(Q){return ce.getInstance().getGraphemeBreakType(Q)}e.getGraphemeBreakType=Ge;function Be(Q,oe){return Q===0?oe!==5&&oe!==7:Q===2&&oe===3?!1:Q===4||Q===2||Q===3||oe===4||oe===2||oe===3?!0:!(Q===8&&(oe===8||oe===9||oe===11||oe===12)||(Q===11||Q===9)&&(oe===9||oe===10)||(Q===12||Q===10)&&oe===10||oe===5||oe===13||oe===7||Q===1||Q===13&&oe===14||Q===6&&oe===6)}var ie;(function(Q){Q[Q.Other=0]="Other",Q[Q.Prepend=1]="Prepend",Q[Q.CR=2]="CR",Q[Q.LF=3]="LF",Q[Q.Control=4]="Control",Q[Q.Extend=5]="Extend",Q[Q.Regional_Indicator=6]="Regional_Indicator",Q[Q.SpacingMark=7]="SpacingMark",Q[Q.L=8]="L",Q[Q.V=9]="V",Q[Q.T=10]="T",Q[Q.LV=11]="LV",Q[Q.LVT=12]="LVT",Q[Q.ZWJ=13]="ZWJ",Q[Q.Extended_Pictographic=14]="Extended_Pictographic"})(ie=e.GraphemeBreakType||(e.GraphemeBreakType={}));class ce{constructor(){this._data=ue()}static getInstance(){return ce._INSTANCE||(ce._INSTANCE=new ce),ce._INSTANCE}getGraphemeBreakType(oe){if(oe<32)return oe===10?3:oe===13?2:4;if(oe<127)return 0;const le=this._data,fe=le.length/3;let ge=1;for(;ge<=fe;)if(oe<le[3*ge])ge=2*ge;else if(oe>le[3*ge+1])ge=2*ge+1;else return le[3*ge+2];return 0}}ce._INSTANCE=null;function ue(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function we(Q,oe){if(Q===0)return 0;const le=Ee(Q,oe);if(le!==void 0)return le;const fe=new B(oe,Q);return fe.prevCodePoint(),fe.offset}e.getLeftDeleteOffset=we;function Ee(Q,oe){const le=new B(oe,Q);let fe=le.prevCodePoint();for(;Ne(fe)||fe===65039||fe===8419;){if(le.offset===0)return;fe=le.prevCodePoint()}if(!ee(fe))return;let ge=le.offset;return ge>0&&le.prevCodePoint()===8205&&(ge=le.offset),ge}function Ne(Q){return 127995<=Q&&Q<=127999}var Te;(function(Q){Q[Q.zwj=8205]="zwj",Q[Q.emojiVariantSelector=65039]="emojiVariantSelector",Q[Q.enclosingKeyCap=8419]="enclosingKeyCap"})(Te||(Te={})),e.noBreakWhitespace="\xA0";class Oe{constructor(oe){this.confusableDictionary=oe}static getInstance(oe){return Oe.cache.get(Array.from(oe))}static getLocales(){return Oe._locales.getValue()}isAmbiguous(oe){return this.confusableDictionary.has(oe)}getPrimaryConfusable(oe){return this.confusableDictionary.get(oe)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}e.AmbiguousCharacters=Oe,L=Oe,Oe.ambiguousCharacterData=new t.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),Oe.cache=new k.LRUCachedComputed(Q=>{function oe(Pe){const Ae=new Map;for(let Fe=0;Fe<Pe.length;Fe+=2)Ae.set(Pe[Fe],Pe[Fe+1]);return Ae}function le(Pe,Ae){const Fe=new Map(Pe);for(const[We,qe]of Ae)Fe.set(We,qe);return Fe}function fe(Pe,Ae){if(!Pe)return Ae;const Fe=new Map;for(const[We,qe]of Pe)Ae.has(We)&&Fe.set(We,qe);return Fe}const ge=L.ambiguousCharacterData.getValue();let Le=Q.filter(Pe=>!Pe.startsWith("_")&&Pe in ge);Le.length===0&&(Le=["_default"]);let ye;for(const Pe of Le){const Ae=oe(ge[Pe]);ye=fe(ye,Ae)}const Re=oe(ge._common),ke=le(Re,ye);return new Oe(ke)}),Oe._locales=new t.Lazy(()=>Object.keys(Oe.ambiguousCharacterData.getValue()).filter(Q=>!Q.startsWith("_")));class _e{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(_e.getRawData())),this._data}static isInvisibleCharacter(oe){return _e.getData().has(oe)}static get codePoints(){return _e.getData()}}e.InvisibleCharacters=_e,_e._data=void 0}),define(te[71],ne([0,1,26]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function t(l){return L(l,0)}e.hash=t;function L(l,w){switch(typeof l){case"object":return l===null?T(349,w):Array.isArray(l)?b(l,w):I(l,w);case"string":return R(l,w);case"boolean":return A(l,w);case"number":return T(l,w);case"undefined":return T(937,w);default:return T(617,w)}}e.doHash=L;function T(l,w){return(w<<5)-w+l|0}e.numberHash=T;function A(l,w){return T(l?433:863,w)}function R(l,w){w=T(149417,w);for(let S=0,y=l.length;S<y;S++)w=T(l.charCodeAt(S),w);return w}e.stringHash=R;function b(l,w){return w=T(104579,w),l.reduce((S,y)=>L(y,S),w)}function I(l,w){return w=T(181387,w),Object.keys(l).sort().reduce((S,y)=>(S=R(y,S),L(l[y],S)),w)}class P{constructor(){this._value=0}get value(){return this._value}hash(w){return this._value=L(w,this._value),this._value}}e.Hasher=P;var E;(function(l){l[l.BLOCK_SIZE=64]="BLOCK_SIZE",l[l.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(E||(E={}));function f(l,w,S=32){const y=S-w,d=~((1<<y)-1);return(l<<w|(d&l)>>>y)>>>0}function p(l,w=0,S=l.byteLength,y=0){for(let d=0;d<S;d++)l[w+d]=y}function h(l,w,S="0"){for(;l.length<w;)l=S+l;return l}function g(l,w=32){return l instanceof ArrayBuffer?Array.from(new Uint8Array(l)).map(S=>S.toString(16).padStart(2,"0")).join(""):h((l>>>0).toString(16),w/4)}e.toHexString=g;class v{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(w){const S=w.length;if(S===0)return;const y=this._buff;let d=this._buffLen,r=this._leftoverHighSurrogate,c,i;for(r!==0?(c=r,i=-1,r=0):(c=w.charCodeAt(0),i=0);;){let n=c;if(k.isHighSurrogate(c))if(i+1<S){const o=w.charCodeAt(i+1);k.isLowSurrogate(o)?(i++,n=k.computeCodePoint(c,o)):n=65533}else{r=c;break}else k.isLowSurrogate(c)&&(n=65533);if(d=this._push(y,d,n),i++,i<S)c=w.charCodeAt(i);else break}this._buffLen=d,this._leftoverHighSurrogate=r}_push(w,S,y){return y<128?w[S++]=y:y<2048?(w[S++]=192|(y&1984)>>>6,w[S++]=128|(y&63)>>>0):y<65536?(w[S++]=224|(y&61440)>>>12,w[S++]=128|(y&4032)>>>6,w[S++]=128|(y&63)>>>0):(w[S++]=240|(y&1835008)>>>18,w[S++]=128|(y&258048)>>>12,w[S++]=128|(y&4032)>>>6,w[S++]=128|(y&63)>>>0),S>=64&&(this._step(),S-=64,this._totalLen+=64,w[0]=w[64+0],w[1]=w[64+1],w[2]=w[64+2]),S}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),g(this._h0)+g(this._h1)+g(this._h2)+g(this._h3)+g(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,p(this._buff,this._buffLen),this._buffLen>56&&(this._step(),p(this._buff));const w=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(w/4294967296),!1),this._buffDV.setUint32(60,w%4294967296,!1),this._step()}_step(){const w=v._bigBlock32,S=this._buffDV;for(let a=0;a<64;a+=4)w.setUint32(a,S.getUint32(a,!1),!1);for(let a=64;a<320;a+=4)w.setUint32(a,f(w.getUint32(a-12,!1)^w.getUint32(a-32,!1)^w.getUint32(a-56,!1)^w.getUint32(a-64,!1),1),!1);let y=this._h0,d=this._h1,r=this._h2,c=this._h3,i=this._h4,n,o,s;for(let a=0;a<80;a++)a<20?(n=d&r|~d&c,o=1518500249):a<40?(n=d^r^c,o=1859775393):a<60?(n=d&r|d&c|r&c,o=2400959708):(n=d^r^c,o=3395469782),s=f(y,5)+n+i+o+w.getUint32(a*4,!1)&4294967295,i=c,c=r,r=f(d,30),d=y,y=s;this._h0=this._h0+y&4294967295,this._h1=this._h1+d&4294967295,this._h2=this._h2+r&4294967295,this._h3=this._h3+c&4294967295,this._h4=this._h4+i&4294967295}}e.StringSHA1=v,v._bigBlock32=new DataView(new ArrayBuffer(320))});var It=this&&this.__classPrivateFieldSet||function(J,e,k,t,L){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!L)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?J!==e||!L:!e.has(J))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?L.call(J,k):L?L.value=k:e.set(J,k),k},He=this&&this.__classPrivateFieldGet||function(J,e,k,t){if(k==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?J!==e||!t:!e.has(J))throw new TypeError("Cannot read private member from an object whose class did not declare it");return k==="m"?t:k==="a"?t.call(J):t?t.value:e.get(J)};define(te[39],ne([0,1,16,26]),function(J,e,k,t){"use strict";var L,T,A;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function R(i,n,o){let s=i.get(n);return s===void 0&&(s=o,i.set(n,s)),s}e.getOrSet=R;function b(i){const n=[];return i.forEach((o,s)=>{n.push(`${s} => ${o}`)}),`Map(${i.size}) {${n.join(", ")}}`}e.mapToString=b;function I(i){const n=[];return i.forEach(o=>{n.push(o)}),`Set(${i.size}) {${n.join(", ")}}`}e.setToString=I;class P{constructor(){this._value="",this._pos=0}reset(n){return this._value=n,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(n){const o=n.charCodeAt(0),s=this._value.charCodeAt(this._pos);return o-s}value(){return this._value[this._pos]}}e.StringIterator=P;class E{constructor(n=!0){this._caseSensitive=n}reset(n){return this._value=n,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let n=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(n)this._from++;else break;else n=!1;return this}cmp(n){return this._caseSensitive?(0,t.compareSubstring)(n,this._value,0,n.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(n,this._value,0,n.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=E;class f{constructor(n=!0,o=!0){this._splitOnBackslash=n,this._caseSensitive=o}reset(n){this._from=0,this._to=0,this._value=n,this._valueLen=n.length;for(let o=n.length-1;o>=0;o--,this._valueLen--){const s=this._value.charCodeAt(o);if(!(s===47||this._splitOnBackslash&&s===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let n=!0;for(;this._to<this._valueLen;this._to++){const o=this._value.charCodeAt(this._to);if(o===47||this._splitOnBackslash&&o===92)if(n)this._from++;else break;else n=!1}return this}cmp(n){return this._caseSensitive?(0,t.compareSubstring)(n,this._value,0,n.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(n,this._value,0,n.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=f;var p;(function(i){i[i.Scheme=1]="Scheme",i[i.Authority=2]="Authority",i[i.Path=3]="Path",i[i.Query=4]="Query",i[i.Fragment=5]="Fragment"})(p||(p={}));class h{constructor(n){this._ignorePathCasing=n,this._states=[],this._stateIdx=0}reset(n){return this._value=n,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new f(!1,!this._ignorePathCasing(n)),this._pathIterator.reset(n.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(n){if(this._states[this._stateIdx]===1)return(0,t.compareIgnoreCase)(n,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,t.compareIgnoreCase)(n,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(n);if(this._states[this._stateIdx]===4)return(0,t.compare)(n,this._value.query);if(this._states[this._stateIdx]===5)return(0,t.compare)(n,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=h;class g{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const n=this.right;return this.right=n.left,n.left=this,this.updateHeight(),n.updateHeight(),n}rotateRight(){const n=this.left;return this.left=n.right,n.right=this,this.updateHeight(),n.updateHeight(),n}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var v;(function(i){i[i.Left=-1]="Left",i[i.Mid=0]="Mid",i[i.Right=1]="Right"})(v||(v={}));class l{constructor(n){this._iter=n}static forUris(n=()=>!1){return new l(new h(n))}static forPaths(n=!1){return new l(new f(void 0,!n))}static forStrings(){return new l(new P)}static forConfigKeys(){return new l(new E)}clear(){this._root=void 0}fill(n,o){if(o){const s=o.slice(0);(0,k.shuffle)(s);for(let a of s)this.set(a,n)}else{const s=n.slice(0);(0,k.shuffle)(s);for(let a of s)this.set(a[0],a[1])}}set(n,o){const s=this._iter.reset(n);let a;this._root||(this._root=new g,this._root.segment=s.value());const u=[];for(a=this._root;;){const C=s.cmp(a.segment);if(C>0)a.left||(a.left=new g,a.left.segment=s.value()),u.push([-1,a]),a=a.left;else if(C<0)a.right||(a.right=new g,a.right.segment=s.value()),u.push([1,a]),a=a.right;else if(s.hasNext())s.next(),a.mid||(a.mid=new g,a.mid.segment=s.value()),u.push([0,a]),a=a.mid;else break}const m=a.value;a.value=o,a.key=n;for(let C=u.length-1;C>=0;C--){const _=u[C][1];_.updateHeight();const O=_.balanceFactor();if(O<-1||O>1){const M=u[C][0],D=u[C+1][0];if(M===1&&D===1)u[C][1]=_.rotateLeft();else if(M===-1&&D===-1)u[C][1]=_.rotateRight();else if(M===1&&D===-1)_.right=u[C+1][1]=u[C+1][1].rotateRight(),u[C][1]=_.rotateLeft();else if(M===-1&&D===1)_.left=u[C+1][1]=u[C+1][1].rotateLeft(),u[C][1]=_.rotateRight();else throw new Error;if(C>0)switch(u[C-1][0]){case-1:u[C-1][1].left=u[C][1];break;case 1:u[C-1][1].right=u[C][1];break;case 0:u[C-1][1].mid=u[C][1];break}else this._root=u[0][1]}}return m}get(n){return this._getNode(n)?.value}_getNode(n){const o=this._iter.reset(n);let s=this._root;for(;s;){const a=o.cmp(s.segment);if(a>0)s=s.left;else if(a<0)s=s.right;else if(o.hasNext())o.next(),s=s.mid;else break}return s}has(n){const o=this._getNode(n);return!(o?.value===void 0&&o?.mid===void 0)}delete(n){return this._delete(n,!1)}deleteSuperstr(n){return this._delete(n,!0)}_delete(n,o){const s=this._iter.reset(n),a=[];let u=this._root;for(;u;){const m=s.cmp(u.segment);if(m>0)a.push([-1,u]),u=u.left;else if(m<0)a.push([1,u]),u=u.right;else if(s.hasNext())s.next(),a.push([0,u]),u=u.mid;else break}if(!!u){if(o?(u.left=void 0,u.mid=void 0,u.right=void 0,u.height=1):(u.key=void 0,u.value=void 0),!u.mid&&!u.value)if(u.left&&u.right){const m=this._min(u.right),{key:C,value:_,segment:O}=m;this._delete(m.key,!1),u.key=C,u.value=_,u.segment=O}else{const m=u.left??u.right;if(a.length>0){const[C,_]=a[a.length-1];switch(C){case-1:_.left=m;break;case 0:_.mid=m;break;case 1:_.right=m;break}}else this._root=m}for(let m=a.length-1;m>=0;m--){const C=a[m][1];C.updateHeight();const _=C.balanceFactor();if(_>1?(C.right.balanceFactor()>=0||(C.right=C.right.rotateRight()),a[m][1]=C.rotateLeft()):_<-1&&(C.left.balanceFactor()<=0||(C.left=C.left.rotateLeft()),a[m][1]=C.rotateRight()),m>0)switch(a[m-1][0]){case-1:a[m-1][1].left=a[m][1];break;case 1:a[m-1][1].right=a[m][1];break;case 0:a[m-1][1].mid=a[m][1];break}else this._root=a[0][1]}}}_min(n){for(;n.left;)n=n.left;return n}findSubstr(n){const o=this._iter.reset(n);let s=this._root,a;for(;s;){const u=o.cmp(s.segment);if(u>0)s=s.left;else if(u<0)s=s.right;else if(o.hasNext())o.next(),a=s.value||a,s=s.mid;else break}return s&&s.value||a}findSuperstr(n){const o=this._iter.reset(n);let s=this._root;for(;s;){const a=o.cmp(s.segment);if(a>0)s=s.left;else if(a<0)s=s.right;else if(o.hasNext())o.next(),s=s.mid;else return s.mid?this._entries(s.mid):void 0}}forEach(n){for(const[o,s]of this)n(s,o)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(n){!n||(n.left&&(yield*this._entries(n.left)),n.value&&(yield[n.key,n.value]),n.mid&&(yield*this._entries(n.mid)),n.right&&(yield*this._entries(n.right)))}_isBalanced(){const n=o=>{if(!o)return!0;const s=o.balanceFactor();return s<-1||s>1?!1:n(o.left)&&n(o.right)};return n(this._root)}}e.TernarySearchTree=l;class w{constructor(n,o){this.uri=n,this.value=o}}class S{constructor(n,o){this[L]="ResourceMap",n instanceof S?(this.map=new Map(n.map),this.toKey=o??S.defaultToKey):(this.map=new Map,this.toKey=n??S.defaultToKey)}set(n,o){return this.map.set(this.toKey(n),new w(n,o)),this}get(n){return this.map.get(this.toKey(n))?.value}has(n){return this.map.has(this.toKey(n))}get size(){return this.map.size}clear(){this.map.clear()}delete(n){return this.map.delete(this.toKey(n))}forEach(n,o){typeof o!="undefined"&&(n=n.bind(o));for(let[s,a]of this.map)n(a.value,a.uri,this)}*values(){for(let n of this.map.values())yield n.value}*keys(){for(let n of this.map.values())yield n.uri}*entries(){for(let n of this.map.values())yield[n.uri,n.value]}*[(L=Symbol.toStringTag,Symbol.iterator)](){for(let[,n]of this.map)yield[n.uri,n.value]}}e.ResourceMap=S,S.defaultToKey=i=>i.toString();var y;(function(i){i[i.None=0]="None",i[i.AsOld=1]="AsOld",i[i.AsNew=2]="AsNew"})(y=e.Touch||(e.Touch={}));class d{constructor(){this[T]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(n){return this._map.has(n)}get(n,o=0){const s=this._map.get(n);if(!!s)return o!==0&&this.touch(s,o),s.value}set(n,o,s=0){let a=this._map.get(n);if(a)a.value=o,s!==0&&this.touch(a,s);else{switch(a={key:n,value:o,next:void 0,previous:void 0},s){case 0:this.addItemLast(a);break;case 1:this.addItemFirst(a);break;case 2:this.addItemLast(a);break;default:this.addItemLast(a);break}this._map.set(n,a),this._size++}return this}delete(n){return!!this.remove(n)}remove(n){const o=this._map.get(n);if(!!o)return this._map.delete(n),this.removeItem(o),this._size--,o.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const n=this._head;return this._map.delete(n.key),this.removeItem(n),this._size--,n.value}forEach(n,o){const s=this._state;let a=this._head;for(;a;){if(o?n.bind(o)(a.value,a.key,this):n(a.value,a.key,this),this._state!==s)throw new Error("LinkedMap got modified during iteration.");a=a.next}}keys(){const n=this,o=this._state;let s=this._head;const a={[Symbol.iterator](){return a},next(){if(n._state!==o)throw new Error("LinkedMap got modified during iteration.");if(s){const u={value:s.key,done:!1};return s=s.next,u}else return{value:void 0,done:!0}}};return a}values(){const n=this,o=this._state;let s=this._head;const a={[Symbol.iterator](){return a},next(){if(n._state!==o)throw new Error("LinkedMap got modified during iteration.");if(s){const u={value:s.value,done:!1};return s=s.next,u}else return{value:void 0,done:!0}}};return a}entries(){const n=this,o=this._state;let s=this._head;const a={[Symbol.iterator](){return a},next(){if(n._state!==o)throw new Error("LinkedMap got modified during iteration.");if(s){const u={value:[s.key,s.value],done:!1};return s=s.next,u}else return{value:void 0,done:!0}}};return a}[(T=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(n){if(n>=this.size)return;if(n===0){this.clear();return}let o=this._head,s=this.size;for(;o&&s>n;)this._map.delete(o.key),o=o.next,s--;this._head=o,this._size=s,o&&(o.previous=void 0),this._state++}addItemFirst(n){if(!this._head&&!this._tail)this._tail=n;else if(this._head)n.next=this._head,this._head.previous=n;else throw new Error("Invalid list");this._head=n,this._state++}addItemLast(n){if(!this._head&&!this._tail)this._head=n;else if(this._tail)n.previous=this._tail,this._tail.next=n;else throw new Error("Invalid list");this._tail=n,this._state++}removeItem(n){if(n===this._head&&n===this._tail)this._head=void 0,this._tail=void 0;else if(n===this._head){if(!n.next)throw new Error("Invalid list");n.next.previous=void 0,this._head=n.next}else if(n===this._tail){if(!n.previous)throw new Error("Invalid list");n.previous.next=void 0,this._tail=n.previous}else{const o=n.next,s=n.previous;if(!o||!s)throw new Error("Invalid list");o.previous=s,s.next=o}n.next=void 0,n.previous=void 0,this._state++}touch(n,o){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(o!==1&&o!==2)){if(o===1){if(n===this._head)return;const s=n.next,a=n.previous;n===this._tail?(a.next=void 0,this._tail=a):(s.previous=a,a.next=s),n.previous=void 0,n.next=this._head,this._head.previous=n,this._head=n,this._state++}else if(o===2){if(n===this._tail)return;const s=n.next,a=n.previous;n===this._head?(s.previous=void 0,this._head=s):(s.previous=a,a.next=s),n.next=void 0,n.previous=this._tail,this._tail.next=n,this._tail=n,this._state++}}}toJSON(){const n=[];return this.forEach((o,s)=>{n.push([s,o])}),n}fromJSON(n){this.clear();for(const[o,s]of n)this.set(o,s)}}e.LinkedMap=d;class r extends d{constructor(n,o=1){super();this._limit=n,this._ratio=Math.min(Math.max(0,o),1)}get limit(){return this._limit}set limit(n){this._limit=n,this.checkTrim()}get ratio(){return this._ratio}set ratio(n){this._ratio=Math.min(Math.max(0,n),1),this.checkTrim()}get(n,o=2){return super.get(n,o)}peek(n){return super.get(n,0)}set(n,o){return super.set(n,o,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=r;class c{constructor(n){A.set(this,void 0),It(this,A,n,"f")}get size(){return He(this,A,"f").size}forEach(n,o){He(this,A,"f").forEach(n,o)}get(n){return He(this,A,"f").get(n)}has(n){return He(this,A,"f").has(n)}entries(){return He(this,A,"f").entries()}keys(){return He(this,A,"f").keys()}values(){return He(this,A,"f").values()}[(A=new WeakMap,Symbol.iterator)](){return He(this,A,"f").entries()}}e.ReadonlyMapView=c}),define(te[72],ne([0,1,39]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=void 0;const t=new k.LRUCache(1e4);function L(I){return b(I,"NFC",t)}e.normalizeNFC=L;const T=new k.LRUCache(1e4);function A(I){return b(I,"NFD",T)}e.normalizeNFD=A;const R=/[^\u0000-\u0080]/;function b(I,P,E){if(!I)return I;const f=E.get(I);if(f)return f;let p;return R.test(I)?p=I.normalize(P):p=I,E.set(I,p),p}e.removeAccents=function(){const I=/[\u0300-\u036f]/g;return function(P){return A(P).replace(I,"")}}()}),define(te[11],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.assertNever=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function k(s){return Array.isArray(s)}e.isArray=k;function t(s){return typeof s=="string"}e.isString=t;function L(s){return Array.isArray(s)&&s.every(a=>t(a))}e.isStringArray=L;function T(s){return typeof s=="object"&&s!==null&&!Array.isArray(s)&&!(s instanceof RegExp)&&!(s instanceof Date)}e.isObject=T;function A(s){return typeof s=="number"&&!isNaN(s)}e.isNumber=A;function R(s){return!!s&&typeof s[Symbol.iterator]=="function"}e.isIterable=R;function b(s){return s===!0||s===!1}e.isBoolean=b;function I(s){return typeof s=="undefined"}e.isUndefined=I;function P(s){return!E(s)}e.isDefined=P;function E(s){return I(s)||s===null}e.isUndefinedOrNull=E;function f(s,a){if(!s)throw new Error(a?`Unexpected type, expected '${a}'`:"Unexpected type")}e.assertType=f;function p(s){if(E(s))throw new Error("Assertion Failed: argument is undefined or null");return s}e.assertIsDefined=p;function h(...s){const a=[];for(let u=0;u<s.length;u++){const m=s[u];if(E(m))throw new Error(`Assertion Failed: argument at index ${u} is undefined or null`);a.push(m)}return a}e.assertAllDefined=h;const g=Object.prototype.hasOwnProperty;function v(s){if(!T(s))return!1;for(let a in s)if(g.call(s,a))return!1;return!0}e.isEmptyObject=v;function l(s){return typeof s=="function"}e.isFunction=l;function w(...s){return s.length>0&&s.every(l)}e.areFunctions=w;function S(s,a){const u=Math.min(s.length,a.length);for(let m=0;m<u;m++)y(s[m],a[m])}e.validateConstraints=S;function y(s,a){if(t(a)){if(typeof s!==a)throw new Error(`argument does not match constraint: typeof ${a}`)}else if(l(a)){try{if(s instanceof a)return}catch{}if(!E(s)&&s.constructor===a||a.length===1&&a.call(void 0,s)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=y;function d(s){let a=[],u=Object.getPrototypeOf(s);for(;Object.prototype!==u;)a=a.concat(Object.getOwnPropertyNames(u)),u=Object.getPrototypeOf(u);return a}e.getAllPropertyNames=d;function r(s){const a=[];for(const u of d(s))typeof s[u]=="function"&&a.push(u);return a}e.getAllMethodNames=r;function c(s,a){const u=C=>function(){const _=Array.prototype.slice.call(arguments,0);return a(C,_)};let m={};for(const C of s)m[C]=u(C);return m}e.createProxyObject=c;function i(s){return s===null?void 0:s}e.withNullAsUndefined=i;function n(s){return typeof s=="undefined"?null:s}e.withUndefinedAsNull=n;function o(s,a="Unreachable"){throw new Error(a)}e.assertNever=o}),define(te[41],ne([0,1,10,4,26,11]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function A(o){return o===47||o===92}e.isPathSeparator=A;function R(o){return o.replace(/[\\/]/g,k.posix.sep)}e.toSlashes=R;function b(o){return o.indexOf("/")===-1&&(o=R(o)),/^[a-zA-Z]:(\/|$)/.test(o)&&(o="/"+o),o}e.toPosixPath=b;function I(o,s=k.posix.sep){if(!o)return"";const a=o.length,u=o.charCodeAt(0);if(A(u)){if(A(o.charCodeAt(1))&&!A(o.charCodeAt(2))){let C=3;const _=C;for(;C<a&&!A(o.charCodeAt(C));C++);if(_!==C&&!A(o.charCodeAt(C+1))){for(C+=1;C<a;C++)if(A(o.charCodeAt(C)))return o.slice(0,C+1).replace(/[\\/]/g,s)}}return s}else if(l(u)&&o.charCodeAt(1)===58)return A(o.charCodeAt(2))?o.slice(0,2)+s:o.slice(0,2);let m=o.indexOf("://");if(m!==-1){for(m+=3;m<a;m++)if(A(o.charCodeAt(m)))return o.slice(0,m+1)}return""}e.getRoot=I;function P(o){if(!t.isWindows||!o||o.length<5)return!1;let s=o.charCodeAt(0);if(s!==92||(s=o.charCodeAt(1),s!==92))return!1;let a=2;const u=a;for(;a<o.length&&(s=o.charCodeAt(a),s!==92);a++);return!(u===a||(s=o.charCodeAt(a+1),isNaN(s)||s===92))}e.isUNC=P;const E=/[\\/:\*\?"<>\|]/g,f=/[\\/]/g,p=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function h(o,s=t.isWindows){const a=s?E:f;return!(!o||o.length===0||/^\s+$/.test(o)||(a.lastIndex=0,a.test(o))||s&&p.test(o)||o==="."||o===".."||s&&o[o.length-1]==="."||s&&o.length!==o.trim().length||o.length>255)}e.isValidBasename=h;function g(o,s,a){const u=o===s;return!a||u?u:!o||!s?!1:(0,L.equalsIgnoreCase)(o,s)}e.isEqual=g;function v(o,s,a,u=k.sep){if(o===s)return!0;if(!o||!s||s.length>o.length)return!1;if(a){if(!(0,L.startsWithIgnoreCase)(o,s))return!1;if(s.length===o.length)return!0;let C=s.length;return s.charAt(s.length-1)===u&&C--,o.charAt(C)===u}return s.charAt(s.length-1)!==u&&(s+=u),o.indexOf(s)===0}e.isEqualOrParent=v;function l(o){return o>=65&&o<=90||o>=97&&o<=122}e.isWindowsDriveLetter=l;function w(o,s){return t.isWindows&&o.endsWith(":")&&(o+=k.sep),(0,k.isAbsolute)(o)||(o=(0,k.join)(s,o)),o=(0,k.normalize)(o),t.isWindows?(o=(0,L.rtrim)(o,k.sep),o.endsWith(":")&&(o+=k.sep)):(o=(0,L.rtrim)(o,k.sep),o||(o=k.sep)),o}e.sanitizeFilePath=w;function S(o){const s=(0,k.normalize)(o);return t.isWindows?o.length>3?!1:y(s)&&(o.length===2||s.charCodeAt(2)===92):s===k.posix.sep}e.isRootOrDriveLetter=S;function y(o,s){return(s!==void 0?s:t.isWindows)?l(o.charCodeAt(0))&&o.charCodeAt(1)===58:!1}e.hasDriveLetter=y;function d(o){return y(o)?o[0]:void 0}e.getDriveLetter=d;function r(o,s,a){return s.length>o.length?-1:o===s?0:(a&&(o=o.toLowerCase(),s=s.toLowerCase()),o.indexOf(s))}e.indexOfPath=r;function c(o){const s=o.split(":");let a,u,m;for(const C of s){const _=Number(C);(0,T.isNumber)(_)?u===void 0?u=_:m===void 0&&(m=_):a=a?[a,C].join(":"):C}if(!a)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:a,line:u!==void 0?u:void 0,column:m!==void 0?m:u!==void 0?1:void 0}}e.parseLineAndColumnAware=c;const i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function n(o,s,a=8){let u="";for(let C=0;C<a;C++)u+=i.charAt(Math.floor(Math.random()*i.length));let m;return s?m=`${s}-${u}`:m=u,o?(0,k.join)(o,m):m}e.randomPath=n}),define(te[28],ne([0,1,11]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function t(g){if(!g||typeof g!="object"||g instanceof RegExp)return g;const v=Array.isArray(g)?[]:{};return Object.keys(g).forEach(l=>{g[l]&&typeof g[l]=="object"?v[l]=t(g[l]):v[l]=g[l]}),v}e.deepClone=t;function L(g){if(!g||typeof g!="object")return g;const v=[g];for(;v.length>0;){const l=v.shift();Object.freeze(l);for(const w in l)if(T.call(l,w)){const S=l[w];typeof S=="object"&&!Object.isFrozen(S)&&v.push(S)}}return g}e.deepFreeze=L;const T=Object.prototype.hasOwnProperty;function A(g,v){return R(g,v,new Set)}e.cloneAndChange=A;function R(g,v,l){if((0,k.isUndefinedOrNull)(g))return g;const w=v(g);if(typeof w!="undefined")return w;if((0,k.isArray)(g)){const S=[];for(const y of g)S.push(R(y,v,l));return S}if((0,k.isObject)(g)){if(l.has(g))throw new Error("Cannot clone recursive data-structure");l.add(g);const S={};for(let y in g)T.call(g,y)&&(S[y]=R(g[y],v,l));return l.delete(g),S}return g}function b(g,v,l=!0){return(0,k.isObject)(g)?((0,k.isObject)(v)&&Object.keys(v).forEach(w=>{w in g?l&&((0,k.isObject)(g[w])&&(0,k.isObject)(v[w])?b(g[w],v[w],l):g[w]=v[w]):g[w]=v[w]}),g):v}e.mixin=b;function I(g,v){if(g===v)return!0;if(g==null||v===null||v===void 0||typeof g!=typeof v||typeof g!="object"||Array.isArray(g)!==Array.isArray(v))return!1;let l,w;if(Array.isArray(g)){if(g.length!==v.length)return!1;for(l=0;l<g.length;l++)if(!I(g[l],v[l]))return!1}else{const S=[];for(w in g)S.push(w);S.sort();const y=[];for(w in v)y.push(w);if(y.sort(),!I(S,y))return!1;for(l=0;l<S.length;l++)if(!I(g[S[l]],v[S[l]]))return!1}return!0}e.equals=I;function P(g){const v=new Set;return JSON.stringify(g,(l,w)=>{if((0,k.isObject)(w)||Array.isArray(w)){if(v.has(w))return"[Circular]";v.add(w)}return w})}e.safeStringify=P;function E(g,v,l){const w=v(g);return typeof w=="undefined"?l:w}e.getOrDefault=E;function f(g,v){const l=Object.create(null);return!g||!v||Object.keys(v).forEach(S=>{const y=g[S],d=v[S];I(y,d)||(l[S]=d)}),l}e.distinct=f;function p(g,v){const l=v.toLowerCase(),w=Object.keys(g).find(S=>S.toLowerCase()===l);return w?g[w]:g[v]}e.getCaseInsensitive=p;function h(g,v){const l=Object.create(null);for(const[w,S]of Object.entries(g))v(w,S)&&(l[w]=S);return l}e.filter=h}),define(te[7],ne([0,1,10,4]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const L=/^\w[\w\d+.-]*$/,T=/^\//,A=/^\/\//;function R(i,n){if(!i.scheme&&n)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${i.authority}", path: "${i.path}", query: "${i.query}", fragment: "${i.fragment}"}`);if(i.scheme&&!L.test(i.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(i.path){if(i.authority){if(!T.test(i.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(A.test(i.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function b(i,n){return!i&&!n?"file":i}function I(i,n){switch(i){case"https":case"http":case"file":n?n[0]!==E&&(n=E+n):n=E;break}return n}const P="",E="/",f=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class p{constructor(n,o,s,a,u,m=!1){typeof n=="object"?(this.scheme=n.scheme||P,this.authority=n.authority||P,this.path=n.path||P,this.query=n.query||P,this.fragment=n.fragment||P):(this.scheme=b(n,m),this.authority=o||P,this.path=I(this.scheme,s||P),this.query=a||P,this.fragment=u||P,R(this,m))}static isUri(n){return n instanceof p?!0:n?typeof n.authority=="string"&&typeof n.fragment=="string"&&typeof n.path=="string"&&typeof n.query=="string"&&typeof n.scheme=="string"&&typeof n.fsPath=="string"&&typeof n.with=="function"&&typeof n.toString=="function":!1}get fsPath(){return S(this,!1)}with(n){if(!n)return this;let{scheme:o,authority:s,path:a,query:u,fragment:m}=n;return o===void 0?o=this.scheme:o===null&&(o=P),s===void 0?s=this.authority:s===null&&(s=P),a===void 0?a=this.path:a===null&&(a=P),u===void 0?u=this.query:u===null&&(u=P),m===void 0?m=this.fragment:m===null&&(m=P),o===this.scheme&&s===this.authority&&a===this.path&&u===this.query&&m===this.fragment?this:new g(o,s,a,u,m)}static parse(n,o=!1){const s=f.exec(n);return s?new g(s[2]||P,c(s[4]||P),c(s[5]||P),c(s[7]||P),c(s[9]||P),o):new g(P,P,P,P,P)}static file(n){let o=P;if(t.isWindows&&(n=n.replace(/\\/g,E)),n[0]===E&&n[1]===E){const s=n.indexOf(E,2);s===-1?(o=n.substring(2),n=E):(o=n.substring(2,s),n=n.substring(s)||E)}return new g("file",o,n,P,P)}static from(n){const o=new g(n.scheme,n.authority,n.path,n.query,n.fragment);return R(o,!0),o}static joinPath(n,...o){if(!n.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let s;return t.isWindows&&n.scheme==="file"?s=p.file(k.win32.join(S(n,!0),...o)).path:s=k.posix.join(n.path,...o),n.with({path:s})}toString(n=!1){return y(this,n)}toJSON(){return this}static revive(n){if(n){if(n instanceof p)return n;{const o=new g(n);return o._formatted=n.external,o._fsPath=n._sep===h?n.fsPath:null,o}}else return n}}e.URI=p;const h=t.isWindows?1:void 0;class g extends p{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=S(this,!1)),this._fsPath}toString(n=!1){return n?y(this,!0):(this._formatted||(this._formatted=y(this,!1)),this._formatted)}toJSON(){const n={$mid:1};return this._fsPath&&(n.fsPath=this._fsPath,n._sep=h),this._formatted&&(n.external=this._formatted),this.path&&(n.path=this.path),this.scheme&&(n.scheme=this.scheme),this.authority&&(n.authority=this.authority),this.query&&(n.query=this.query),this.fragment&&(n.fragment=this.fragment),n}}const v={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function l(i,n){let o,s=-1;for(let a=0;a<i.length;a++){const u=i.charCodeAt(a);if(u>=97&&u<=122||u>=65&&u<=90||u>=48&&u<=57||u===45||u===46||u===95||u===126||n&&u===47)s!==-1&&(o+=encodeURIComponent(i.substring(s,a)),s=-1),o!==void 0&&(o+=i.charAt(a));else{o===void 0&&(o=i.substr(0,a));const m=v[u];m!==void 0?(s!==-1&&(o+=encodeURIComponent(i.substring(s,a)),s=-1),o+=m):s===-1&&(s=a)}}return s!==-1&&(o+=encodeURIComponent(i.substring(s))),o!==void 0?o:i}function w(i){let n;for(let o=0;o<i.length;o++){const s=i.charCodeAt(o);s===35||s===63?(n===void 0&&(n=i.substr(0,o)),n+=v[s]):n!==void 0&&(n+=i[o])}return n!==void 0?n:i}function S(i,n){let o;return i.authority&&i.path.length>1&&i.scheme==="file"?o=`//${i.authority}${i.path}`:i.path.charCodeAt(0)===47&&(i.path.charCodeAt(1)>=65&&i.path.charCodeAt(1)<=90||i.path.charCodeAt(1)>=97&&i.path.charCodeAt(1)<=122)&&i.path.charCodeAt(2)===58?n?o=i.path.substr(1):o=i.path[1].toLowerCase()+i.path.substr(2):o=i.path,t.isWindows&&(o=o.replace(/\//g,"\\")),o}e.uriToFsPath=S;function y(i,n){const o=n?w:l;let s="",{scheme:a,authority:u,path:m,query:C,fragment:_}=i;if(a&&(s+=a,s+=":"),(u||a==="file")&&(s+=E,s+=E),u){let O=u.indexOf("@");if(O!==-1){const M=u.substr(0,O);u=u.substr(O+1),O=M.indexOf(":"),O===-1?s+=o(M,!1):(s+=o(M.substr(0,O),!1),s+=":",s+=o(M.substr(O+1),!1)),s+="@"}u=u.toLowerCase(),O=u.indexOf(":"),O===-1?s+=o(u,!1):(s+=o(u.substr(0,O),!1),s+=u.substr(O))}if(m){if(m.length>=3&&m.charCodeAt(0)===47&&m.charCodeAt(2)===58){const O=m.charCodeAt(1);O>=65&&O<=90&&(m=`/${String.fromCharCode(O+32)}:${m.substr(3)}`)}else if(m.length>=2&&m.charCodeAt(1)===58){const O=m.charCodeAt(0);O>=65&&O<=90&&(m=`${String.fromCharCode(O+32)}:${m.substr(2)}`)}s+=o(m,!0)}return C&&(s+="?",s+=o(C,!1)),_&&(s+="#",s+=n?_:l(_,!1)),s}function d(i){try{return decodeURIComponent(i)}catch{return i.length>3?i.substr(0,3)+d(i.substr(3)):i}}const r=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function c(i){return i.match(r)?i.replace(r,n=>d(n)):i}}),define(te[107],ne([0,1,7]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function t(I){const P=I;return P&&typeof P.type=="string"&&typeof P.severity=="string"}e.isRemoteConsoleLog=t;function L(I){const P=[];let E;try{const f=JSON.parse(I.arguments),p=f[f.length-1];p&&p.__$stack&&(f.pop(),E=p.__$stack),P.push(...f)}catch{P.push("Unable to log remote console arguments",I.arguments)}return{args:P,stack:E}}e.parse=L;function T(I){if(typeof I!="string")return T(L(I).stack);const P=I;if(P){const E=A(P),f=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(E||"");if(f&&f.length===4)return{uri:k.URI.file(f[1]),line:Number(f[2]),column:Number(f[3])}}}e.getFirstFrame=T;function A(I){if(!I)return I;const P=I.indexOf(`
`);return P===-1?I:I.substring(0,P)}function R(I,P){const{args:E,stack:f}=L(I),p=typeof E[0]=="string"&&E.length===1;let h=A(f);h&&(h=`(${h.trim()})`);let g=[];if(typeof E[0]=="string"?h&&p?g=[`%c[${P}] %c${E[0]} %c${h}`,b("blue"),b(""),b("grey")]:g=[`%c[${P}] %c${E[0]}`,b("blue"),b(""),...E.slice(1)]:g=[`%c[${P}]%`,b("blue"),...E],h&&!p&&g.push(h),typeof console[I.severity]!="function")throw new Error("Unknown console method");console[I.severity].apply(console,g)}e.log=R;function b(I){return`color: ${I}`}}),define(te[108],ne([0,1,17,26,7]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.MarshalledId=e.parse=e.stringify=void 0;function T(P){return JSON.stringify(P,b)}e.stringify=T;function A(P){let E=JSON.parse(P);return E=I(E),E}e.parse=A;var R;(function(P){P[P.Uri=1]="Uri",P[P.Regexp=2]="Regexp",P[P.ScmResource=3]="ScmResource",P[P.ScmResourceGroup=4]="ScmResourceGroup",P[P.ScmProvider=5]="ScmProvider",P[P.CommentController=6]="CommentController",P[P.CommentThread=7]="CommentThread",P[P.CommentThreadReply=8]="CommentThreadReply",P[P.CommentNode=9]="CommentNode",P[P.CommentThreadNode=10]="CommentThreadNode",P[P.TimelineActionContext=11]="TimelineActionContext",P[P.NotebookCellActionContext=12]="NotebookCellActionContext",P[P.TestItemContext=13]="TestItemContext",P[P.Date=14]="Date"})(R=e.MarshalledId||(e.MarshalledId={}));function b(P,E){return E instanceof RegExp?{$mid:2,source:E.source,flags:(0,t.regExpFlags)(E)}:E}function I(P,E=0){if(!P||E>200)return P;if(typeof P=="object"){switch(P.$mid){case 1:return L.URI.revive(P);case 2:return new RegExp(P.source,P.flags);case 14:return new Date(P.source)}if(P instanceof k.VSBuffer||P instanceof Uint8Array)return P;if(Array.isArray(P))for(let f=0;f<P.length;++f)P[f]=I(P[f],E+1);else for(const f in P)Object.hasOwnProperty.call(P,f)&&(P[f]=I(P[f],E+1))}return P}e.revive=I}),define(te[18],ne([0,1,4,7]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.connectionTokenQueryName=e.connectionTokenCookieName=e.Schemas=void 0;var L;(function(R){R.inMemory="inmemory",R.vscode="vscode",R.internal="private",R.walkThrough="walkThrough",R.walkThroughSnippet="walkThroughSnippet",R.http="http",R.https="https",R.file="file",R.mailto="mailto",R.untitled="untitled",R.data="data",R.command="command",R.vscodeRemote="vscode-remote",R.vscodeRemoteResource="vscode-remote-resource",R.userData="vscode-userdata",R.vscodeCustomEditor="vscode-custom-editor",R.vscodeNotebook="vscode-notebook",R.vscodeNotebookCell="vscode-notebook-cell",R.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",R.vscodeNotebookCellOutput="vscode-notebook-cell-output",R.vscodeInteractive="vscode-interactive",R.vscodeInteractiveInput="vscode-interactive-input",R.vscodeSettings="vscode-settings",R.vscodeWorkspaceTrust="vscode-workspace-trust",R.vscodeTerminal="vscode-terminal",R.webviewPanel="webview-panel",R.vscodeWebview="vscode-webview",R.extension="extension",R.vscodeFileResource="vscode-file",R.tmp="tmp",R.vsls="vsls"})(L=e.Schemas||(e.Schemas={})),e.connectionTokenCookieName="vscode-tkn",e.connectionTokenQueryName="tkn";class T{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(b){this._preferredWebSchema=b}setDelegate(b){this._delegate=b}set(b,I,P){this._hosts[b]=I,this._ports[b]=P}setConnectionToken(b,I){this._connectionTokens[b]=I}getPreferredWebSchema(){return this._preferredWebSchema}rewrite(b){if(this._delegate)return this._delegate(b);const I=b.authority;let P=this._hosts[I];P&&P.indexOf(":")!==-1&&(P=`[${P}]`);const E=this._ports[I],f=this._connectionTokens[I];let p=`path=${encodeURIComponent(b.path)}`;return typeof f=="string"&&(p+=`&${e.connectionTokenQueryName}=${encodeURIComponent(f)}`),t.URI.from({scheme:k.isWeb?this._preferredWebSchema:L.vscodeRemoteResource,authority:`${P}:${E}`,path:"/vscode-remote-resource",query:p})}}e.RemoteAuthorities=new T;class A{asBrowserUri(b,I){const P=this.toUri(b,I);return P.scheme===L.vscodeRemote?e.RemoteAuthorities.rewrite(P):P.scheme===L.file&&(k.isNative||typeof k.globals.importScripts=="function"&&k.globals.origin===`${L.vscodeFileResource}://${A.FALLBACK_AUTHORITY}`)?P.with({scheme:L.vscodeFileResource,authority:P.authority||A.FALLBACK_AUTHORITY,query:null,fragment:null}):P}asFileUri(b,I){const P=this.toUri(b,I);return P.scheme===L.vscodeFileResource?P.with({scheme:L.file,authority:P.authority!==A.FALLBACK_AUTHORITY?P.authority:null,query:null,fragment:null}):P}toUri(b,I){return t.URI.isUri(b)?b:t.URI.parse(I.toUrl(b))}}A.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new A}),define(te[20],ne([0,1,41,18,10,4,26,7]),function(J,e,k,t,L,T,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function b(p){return(0,R.uriToFsPath)(p,!0)}e.originalFSPath=b;class I{constructor(h){this._ignorePathCasing=h}compare(h,g,v=!1){return h===g?0:(0,A.compare)(this.getComparisonKey(h,v),this.getComparisonKey(g,v))}isEqual(h,g,v=!1){return h===g?!0:!h||!g?!1:this.getComparisonKey(h,v)===this.getComparisonKey(g,v)}getComparisonKey(h,g=!1){return h.with({path:this._ignorePathCasing(h)?h.path.toLowerCase():void 0,fragment:g?null:void 0}).toString()}ignorePathCasing(h){return this._ignorePathCasing(h)}isEqualOrParent(h,g,v=!1){if(h.scheme===g.scheme){if(h.scheme===t.Schemas.file)return k.isEqualOrParent(b(h),b(g),this._ignorePathCasing(h))&&h.query===g.query&&(v||h.fragment===g.fragment);if((0,e.isEqualAuthority)(h.authority,g.authority))return k.isEqualOrParent(h.path,g.path,this._ignorePathCasing(h),"/")&&h.query===g.query&&(v||h.fragment===g.fragment)}return!1}joinPath(h,...g){return R.URI.joinPath(h,...g)}basenameOrAuthority(h){return(0,e.basename)(h)||h.authority}basename(h){return L.posix.basename(h.path)}extname(h){return L.posix.extname(h.path)}dirname(h){if(h.path.length===0)return h;let g;return h.scheme===t.Schemas.file?g=R.URI.file(L.dirname(b(h))).path:(g=L.posix.dirname(h.path),h.authority&&g.length&&g.charCodeAt(0)!==47&&(console.error(`dirname("${h.toString})) resulted in a relative path`),g="/")),h.with({path:g})}normalizePath(h){if(!h.path.length)return h;let g;return h.scheme===t.Schemas.file?g=R.URI.file(L.normalize(b(h))).path:g=L.posix.normalize(h.path),h.with({path:g})}relativePath(h,g){if(h.scheme!==g.scheme||!(0,e.isEqualAuthority)(h.authority,g.authority))return;if(h.scheme===t.Schemas.file){const w=L.relative(b(h),b(g));return T.isWindows?k.toSlashes(w):w}let v=h.path||"/",l=g.path||"/";if(this._ignorePathCasing(h)){let w=0;for(const S=Math.min(v.length,l.length);w<S&&!(v.charCodeAt(w)!==l.charCodeAt(w)&&v.charAt(w).toLowerCase()!==l.charAt(w).toLowerCase());w++);v=l.substr(0,w)+v.substr(w)}return L.posix.relative(v,l)}resolvePath(h,g){if(h.scheme===t.Schemas.file){const v=R.URI.file(L.resolve(b(h),g));return h.with({authority:v.authority,path:v.path})}return g=k.toPosixPath(g),h.with({path:L.posix.resolve(h.path,g)})}isAbsolutePath(h){return!!h.path&&h.path[0]==="/"}isEqualAuthority(h,g){return h===g||h!==void 0&&g!==void 0&&(0,A.equalsIgnoreCase)(h,g)}hasTrailingPathSeparator(h,g=L.sep){if(h.scheme===t.Schemas.file){const v=b(h);return v.length>k.getRoot(v).length&&v[v.length-1]===g}else{const v=h.path;return v.length>1&&v.charCodeAt(v.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(h.fsPath)}}removeTrailingPathSeparator(h,g=L.sep){return(0,e.hasTrailingPathSeparator)(h,g)?h.with({path:h.path.substr(0,h.path.length-1)}):h}addTrailingPathSeparator(h,g=L.sep){let v=!1;if(h.scheme===t.Schemas.file){const l=b(h);v=l!==void 0&&l.length===k.getRoot(l).length&&l[l.length-1]===g}else{g="/";const l=h.path;v=l.length===1&&l.charCodeAt(l.length-1)===47}return!v&&!(0,e.hasTrailingPathSeparator)(h,g)?h.with({path:h.path+"/"}):h}}e.ExtUri=I,e.extUri=new I(()=>!1),e.extUriBiasedIgnorePathCase=new I(p=>p.scheme===t.Schemas.file?!T.isLinux:!0),e.extUriIgnorePathCase=new I(p=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function P(p,h){const g=[];for(let v=0;v<p.length;v++){const l=h(p[v]);p.some((w,S)=>S===v?!1:(0,e.isEqualOrParent)(l,h(w)))||g.push(p[v])}return g}e.distinctParents=P;var E;(function(p){p.META_DATA_LABEL="label",p.META_DATA_DESCRIPTION="description",p.META_DATA_SIZE="size",p.META_DATA_MIME="mime";function h(g){const v=new Map;g.path.substring(g.path.indexOf(";")+1,g.path.lastIndexOf(";")).split(";").forEach(S=>{const[y,d]=S.split(":");y&&d&&v.set(y,d)});const w=g.path.substring(0,g.path.indexOf(";"));return w&&v.set(p.META_DATA_MIME,w),v}p.parseMetaData=h})(E=e.DataUri||(e.DataUri={}));function f(p,h,g){if(h){let v=p.path;return v&&v[0]!==L.posix.sep&&(v=L.posix.sep+v),p.with({scheme:g,authority:h,path:v})}return p.with({scheme:g})}e.toLocalResource=f}),define(te[5],ne([0,1,25,9,3,2,20,4]),function(J,e,k,t,L,T,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellationError=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function b(j){return!!j&&typeof j.then=="function"}e.isThenable=b;function I(j){const N=new k.CancellationTokenSource,$=j(N.token),z=new Promise((G,ee)=>{const se=N.token.onCancellationRequested(()=>{se.dispose(),N.dispose(),ee(new t.CancellationError)});Promise.resolve($).then(ae=>{se.dispose(),N.dispose(),G(ae)},ae=>{se.dispose(),N.dispose(),ee(ae)})});return new class{cancel(){N.cancel()}then(G,ee){return z.then(G,ee)}catch(G){return this.then(void 0,G)}finally(G){return z.finally(G)}}}e.createCancelablePromise=I;function P(j,N,$){return new Promise((z,G)=>{const ee=N.onCancellationRequested(()=>{ee.dispose(),z($)});j.then(z,G).finally(()=>ee.dispose())})}e.raceCancellation=P;function E(j,N){return new Promise(($,z)=>{const G=N.onCancellationRequested(()=>{G.dispose(),z(new t.CancellationError)});j.then($,z).finally(()=>G.dispose())})}e.raceCancellationError=E;async function f(j){let N=-1;const $=j.map((G,ee)=>G.then(se=>(N=ee,se))),z=await Promise.race($);return j.forEach((G,ee)=>{ee!==N&&G.cancel()}),z}e.raceCancellablePromises=f;function p(j,N,$){let z;const G=setTimeout(()=>{z?.(void 0),$?.()},N);return Promise.race([j.finally(()=>clearTimeout(G)),new Promise(ee=>z=ee)])}e.raceTimeout=p;function h(j){return new Promise((N,$)=>{const z=j();b(z)?z.then(N,$):N(z)})}e.asPromise=h;class g{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(N){if(this.activePromise){if(this.queuedPromiseFactory=N,!this.queuedPromise){const $=()=>{this.queuedPromise=null;const z=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,z};this.queuedPromise=new Promise(z=>{this.activePromise.then($,$).then(z)})}return new Promise(($,z)=>{this.queuedPromise.then($,z)})}return this.activePromise=N(),new Promise(($,z)=>{this.activePromise.then(G=>{this.activePromise=null,$(G)},G=>{this.activePromise=null,z(G)})})}}e.Throttler=g;class v{constructor(){this.current=Promise.resolve(null)}queue(N){return this.current=this.current.then(()=>N(),()=>N())}}e.Sequencer=v;class l{constructor(){this.promiseMap=new Map}queue(N,$){const G=(this.promiseMap.get(N)??Promise.resolve()).catch(()=>{}).then($).finally(()=>{this.promiseMap.get(N)===G&&this.promiseMap.delete(N)});return this.promiseMap.set(N,G),G}}e.SequencerByKey=l;const w=(j,N)=>{let $=!0;const z=setTimeout(()=>{$=!1,N()},j);return{isTriggered:()=>$,dispose:()=>{clearTimeout(z),$=!1}}},S=j=>{let N=!0;return queueMicrotask(()=>{N&&(N=!1,j())}),{isTriggered:()=>N,dispose:()=>{N=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class y{constructor(N){this.defaultDelay=N,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(N,$=this.defaultDelay){this.task=N,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((G,ee)=>{this.doResolve=G,this.doReject=ee}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const G=this.task;return this.task=null,G()}}));const z=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=$===e.MicrotaskDelay?S(z):w($,z),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject(new t.CancellationError),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=y;class d{constructor(N){this.delayer=new y(N),this.throttler=new g}trigger(N,$){return this.delayer.trigger(()=>this.throttler.queue(N),$)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=d;class r{constructor(){this._isOpen=!1,this._promise=new Promise((N,$)=>{this._completePromise=N})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=r;class c extends r{constructor(N){super();this._timeout=setTimeout(()=>this.open(),N)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=c;function i(j,N){return N?new Promise(($,z)=>{const G=setTimeout(()=>{ee.dispose(),$()},j),ee=N.onCancellationRequested(()=>{clearTimeout(G),ee.dispose(),z(new t.CancellationError)})}):I($=>i(j,$))}e.timeout=i;function n(j,N=0){const $=setTimeout(j,N);return(0,T.toDisposable)(()=>clearTimeout($))}e.disposableTimeout=n;function o(j){const N=[];let $=0;const z=j.length;function G(){return $<z?j[$++]():null}function ee(se){se!=null&&N.push(se);const ae=G();return ae?ae.then(ee):Promise.resolve(N)}return Promise.resolve(null).then(ee)}e.sequence=o;function s(j,N=z=>!!z,$=null){let z=0;const G=j.length,ee=()=>{if(z>=G)return Promise.resolve($);const se=j[z++];return Promise.resolve(se()).then(de=>N(de)?Promise.resolve(de):ee())};return ee()}e.first=s;function a(j,N=z=>!!z,$=null){if(j.length===0)return Promise.resolve($);let z=j.length;const G=()=>{z=-1;for(const ee of j)ee.cancel?.()};return new Promise((ee,se)=>{for(const ae of j)ae.then(de=>{--z>=0&&N(de)?(G(),ee(de)):z===0&&ee($)}).catch(de=>{--z>=0&&(G(),se(de))})})}e.firstParallel=a;class u{constructor(N){this._size=0,this.maxDegreeOfParalellism=N,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new L.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(N){return this._size++,new Promise(($,z)=>{this.outstandingPromises.push({factory:N,c:$,e:z}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const N=this.outstandingPromises.shift();this.runningPromises++;const $=N.factory();$.then(N.c,N.e),$.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=u;class m extends u{constructor(){super(1)}}e.Queue=m;class C{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const N=new B;return this.drainers.add(N),N.p}isDrained(){for(const[,N]of this.queues)if(N.size>0)return!1;return!0}queueFor(N,$=A.extUri){const z=$.getComparisonKey(N);let G=this.queues.get(z);return G||(G=new m,L.Event.once(G.onFinished)(()=>{G?.dispose(),this.queues.delete(z),this.onDidQueueFinish()}),this.queues.set(z,G)),G}onDidQueueFinish(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const N of this.drainers)N.complete();this.drainers.clear()}dispose(){for(const[,N]of this.queues)N.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=C;class _{constructor(N,$){this._token=-1,typeof N=="function"&&typeof $=="number"&&this.setIfNotSet(N,$)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(N,$){this.cancel(),this._token=setTimeout(()=>{this._token=-1,N()},$)}setIfNotSet(N,$){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,N()},$))}}e.TimeoutTimer=_;class O{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(N,$){this.cancel(),this._token=setInterval(()=>{N()},$)}}e.IntervalTimer=O;class M{constructor(N,$){this.timeoutToken=-1,this.runner=N,this.timeout=$,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(N=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,N)}get delay(){return this.timeout}set delay(N){this.timeout=N}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=M;class D{constructor(N,$){$%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${$}ms is not a multiple of 1000ms.`),this.runner=N,this.timeout=$,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(N=this.timeout){N%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${N}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(N/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner&&this.runner())}}e.ProcessTimeRunOnceScheduler=D;class U extends M{constructor(N,$){super(N,$);this.units=[]}work(N){this.units.push(N),this.isScheduled()||this.schedule()}doRun(){const N=this.units;this.units=[],this.runner&&this.runner(N)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=U;class F extends T.Disposable{constructor(N,$){super();this.options=N,this.handler=$,this.pendingWork=[],this.throttler=this._register(new T.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(N){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+N.length>this.options.maxBufferedWork)return!1}else if(this.pending+N.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...N),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new M(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=F,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=j=>{(0,R.setTimeout0)(()=>{if(N)return;const $=Date.now()+15;j(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,$-Date.now())}}))});let N=!1;return{dispose(){N||(N=!0)}}}:e.runWhenIdle=(j,N)=>{const $=requestIdleCallback(j,typeof N=="number"?{timeout:N}:void 0);let z=!1;return{dispose(){z||(z=!0,cancelIdleCallback($))}}}}();class x{constructor(N){this._didRun=!1,this._executor=()=>{try{this._value=N()}catch($){this._error=$}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=x;async function q(j,N,$){let z;for(let G=0;G<$;G++)try{return await j()}catch(ee){z=ee,await i(N)}throw z}e.retry=q;class H{hasPending(N){return this._pending?typeof N=="number"?this._pending.taskId===N:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(N,$,z){return this._pending={taskId:N,cancel:()=>z?.(),promise:$},$.then(()=>this.donePending(N),()=>this.donePending(N)),$}donePending(N){this._pending&&N===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const N=this._next;this._next=void 0,N.run().then(N.promiseResolve,N.promiseReject)}}setNext(N){if(this._next)this._next.run=N;else{let $,z;const G=new Promise((ee,se)=>{$=ee,z=se});this._next={run:N,promise:G,promiseResolve:$,promiseReject:z}}return this._next.promise}}e.TaskSequentializer=H;class re{constructor(N,$=()=>Date.now()){this.interval=N,this.nowFn=$,this.lastIncrementTime=0,this.value=0}increment(){const N=this.nowFn();return N-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=N,this.value=0),this.value++,this.value}}e.IntervalCounter=re;class B{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((N,$)=>{this.completeCallback=N,this.errorCallback=$})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(N){return new Promise($=>{this.completeCallback(N),this.resolved=!0,$()})}error(N){return new Promise($=>{this.errorCallback(N),this.rejected=!0,$()})}cancel(){new Promise(N=>{this.errorCallback(new t.CancellationError),this.rejected=!0,N()})}}e.DeferredPromise=B;var W;(function(j){async function N(z){let G;const ee=await Promise.all(z.map(se=>se.then(ae=>ae,ae=>{G||(G=ae)})));if(typeof G!="undefined")throw G;return ee}j.settled=N;function $(z){return new Promise(async(G,ee)=>{try{await z(G,ee)}catch(se){ee(se)}})}j.withAsyncBody=$})(W=e.Promises||(e.Promises={}));var K;(function(j){j[j.Initial=0]="Initial",j[j.DoneOK=1]="DoneOK",j[j.DoneError=2]="DoneError"})(K||(K={}));class V{constructor(N){this._state=0,this._results=[],this._error=null,this._onStateChanged=new L.Emitter,queueMicrotask(async()=>{const $={emitOne:z=>this.emitOne(z),emitMany:z=>this.emitMany(z),reject:z=>this.reject(z)};try{await Promise.resolve(N($)),this.resolve()}catch(z){this.reject(z)}finally{$.emitOne=void 0,$.emitMany=void 0,$.reject=void 0}})}static fromArray(N){return new V($=>{$.emitMany(N)})}static fromPromise(N){return new V(async $=>{$.emitMany(await N)})}static fromPromises(N){return new V(async $=>{await Promise.all(N.map(async z=>$.emitOne(await z)))})}static merge(N){return new V(async $=>{await Promise.all(N.map(async z=>{for await(const G of z)$.emitOne(G)}))})}[Symbol.asyncIterator](){let N=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(N<this._results.length)return{done:!1,value:this._results[N++]};if(this._state===1)return{done:!0,value:void 0};await L.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(N,$){return new V(async z=>{for await(const G of N)z.emitOne($(G))})}map(N){return V.map(this,N)}static filter(N,$){return new V(async z=>{for await(const G of N)$(G)&&z.emitOne(G)})}filter(N){return V.filter(this,N)}static coalesce(N){return V.filter(N,$=>!!$)}coalesce(){return V.coalesce(this)}static async toPromise(N){const $=[];for await(const z of N)$.push(z);return $}toPromise(){return V.toPromise(this)}emitOne(N){this._state===0&&(this._results.push(N),this._onStateChanged.fire())}emitMany(N){this._state===0&&(this._results=this._results.concat(N),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(N){this._state===0&&(this._state=2,this._error=N,this._onStateChanged.fire())}}e.AsyncIterableObject=V,V.EMPTY=V.fromArray([]);class X extends V{constructor(N,$){super($);this._source=N}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=X;function Z(j){const N=new k.CancellationTokenSource,$=j(N.token);return new X(N,async z=>{const G=N.token.onCancellationRequested(()=>{G.dispose(),N.dispose(),z.reject(new t.CancellationError)});try{for await(const ee of $){if(N.token.isCancellationRequested)return;z.emitOne(ee)}G.dispose(),N.dispose()}catch(ee){G.dispose(),N.dispose(),z.reject(ee)}})}e.createCancelableAsyncIterable=Z}),define(te[109],ne([0,1,5,41,39,10,4,26]),function(J,e,k,t,L,T,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function b(){return Object.create(null)}e.getEmptyExpression=b,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const I="[/\\\\]",P="[^/\\\\]",E=/\//g;function f(B){switch(B){case 0:return"";case 1:return`${P}*?`;default:return`(?:${I}|${P}+${I}|${I}${P}+)*?`}}function p(B,W){if(!B)return[];const K=[];let V=!1,X=!1,Z="";for(const j of B){switch(j){case W:if(!V&&!X){K.push(Z),Z="";continue}break;case"{":V=!0;break;case"}":V=!1;break;case"[":X=!0;break;case"]":X=!1;break}Z+=j}return Z&&K.push(Z),K}e.splitGlobAware=p;function h(B){if(!B)return"";let W="";const K=p(B,e.GLOB_SPLIT);if(K.every(V=>V===e.GLOBSTAR))W=".*";else{let V=!1;K.forEach((X,Z)=>{if(X===e.GLOBSTAR){V||(W+=f(2),V=!0);return}let j=!1,N="",$=!1,z="";for(const G of X){if(G!=="}"&&j){N+=G;continue}if($&&(G!=="]"||!z)){let ee;G==="-"?ee=G:(G==="^"||G==="!")&&!z?ee="^":G===e.GLOB_SPLIT?ee="":ee=(0,R.escapeRegExpCharacters)(G),z+=ee;continue}switch(G){case"{":j=!0;continue;case"[":$=!0;continue;case"}":{W+=`(?:${p(N,",").map(ae=>h(ae)).join("|")})`,j=!1,N="";break}case"]":W+="["+z+"]",$=!1,z="";break;case"?":W+=P;continue;case"*":W+=f(1);continue;default:W+=(0,R.escapeRegExpCharacters)(G)}}Z<K.length-1&&(K[Z+1]!==e.GLOBSTAR||Z+2<K.length)&&(W+=I),V=!1})}return W}const g=/^\*\*\/\*\.[\w\.-]+$/,v=/^\*\*\/([\w\.-]+)\/?$/,l=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,w=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,S=/^\*\*((\/[\w\.-]+)+)\/?$/,y=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,d=new L.LRUCache(1e4),r=function(){return!1},c=function(){return null};function i(B,W){if(!B)return c;let K;typeof B!="string"?K=B.pattern:K=B,K=K.trim();const V=`${K}_${!!W.trimForExclusions}`;let X=d.get(V);if(X)return n(X,B);let Z;if(g.test(K)){const j=K.substr(4);X=function(N,$){return typeof N=="string"&&N.endsWith(j)?K:null}}else(Z=v.exec(o(K,W)))?X=s(Z[1],K):(W.trimForExclusions?w:l).test(K)?X=a(K,W):(Z=S.exec(o(K,W)))?X=u(Z[1].substr(1),K,!0):(Z=y.exec(o(K,W)))?X=u(Z[1],K,!1):X=m(K);return d.set(V,X),n(X,B)}function n(B,W){return typeof W=="string"?B:function(K,V){return(0,t.isEqualOrParent)(K,W.base,!A.isLinux)?B(K.substr(W.base.length+1),V):null}}function o(B,W){return W.trimForExclusions&&B.endsWith("/**")?B.substr(0,B.length-2):B}function s(B,W){const K=`/${B}`,V=`\\${B}`,X=function(j,N){return typeof j!="string"?null:N?N===B?W:null:j===B||j.endsWith(K)||j.endsWith(V)?W:null},Z=[B];return X.basenames=Z,X.patterns=[W],X.allBasenames=Z,X}function a(B,W){const K=re(B.slice(1,-1).split(",").map(N=>i(N,W)).filter(N=>N!==c),B),V=K.length;if(!V)return c;if(V===1)return K[0];const X=function(N,$){for(let z=0,G=K.length;z<G;z++)if(K[z](N,$))return B;return null},Z=K.find(N=>!!N.allBasenames);Z&&(X.allBasenames=Z.allBasenames);const j=K.reduce((N,$)=>$.allPaths?N.concat($.allPaths):N,[]);return j.length&&(X.allPaths=j),X}function u(B,W,K){const V=T.sep===T.posix.sep,X=V?B:B.replace(E,T.sep),Z=T.sep+X,j=T.posix.sep+B,N=K?function($,z){return typeof $=="string"&&($===X||$.endsWith(Z)||!V&&($===B||$.endsWith(j)))?W:null}:function($,z){return typeof $=="string"&&($===X||!V&&$===B)?W:null};return N.allPaths=[(K?"*/":"./")+B],N}function m(B){try{const W=new RegExp(`^${h(B)}$`);return function(K){return W.lastIndex=0,typeof K=="string"&&W.test(K)?B:null}}catch{return c}}function C(B,W,K){return!B||typeof W!="string"?!1:_(B)(W,void 0,K)}e.match=C;function _(B,W={}){if(!B)return r;if(typeof B=="string"||U(B)){const K=i(B,W);if(K===c)return r;const V=function(X,Z){return!!K(X,Z)};return K.allBasenames&&(V.allBasenames=K.allBasenames),K.allPaths&&(V.allPaths=K.allPaths),V}return q(B,W)}e.parse=_;function O(B){if(!B)return;let W;return K=>(W||(W=(B()||Promise.resolve([])).then(V=>V?D(V):{})),W.then(V=>!!V[K]))}e.hasSiblingPromiseFn=O;function M(B){if(!B)return;let W;return K=>{if(!W){const V=B();W=V?D(V):{}}return!!W[K]}}e.hasSiblingFn=M;function D(B){const W={};for(const K of B)W[K]=!0;return W}function U(B){const W=B;return W?typeof W.base=="string"&&typeof W.pattern=="string":!1}e.isRelativePattern=U;function F(B){return B.allBasenames||[]}e.getBasenameTerms=F;function x(B){return B.allPaths||[]}e.getPathTerms=x;function q(B,W){const K=re(Object.getOwnPropertyNames(B).map(N=>H(N,B[N],W)).filter(N=>N!==c)),V=K.length;if(!V)return c;if(!K.some(N=>!!N.requiresSiblings)){if(V===1)return K[0];const N=function(G,ee){for(let se=0,ae=K.length;se<ae;se++){const de=K[se](G,ee);if(de)return de}return null},$=K.find(G=>!!G.allBasenames);$&&(N.allBasenames=$.allBasenames);const z=K.reduce((G,ee)=>ee.allPaths?G.concat(ee.allPaths):G,[]);return z.length&&(N.allPaths=z),N}const X=function(N,$,z){let G;for(let ee=0,se=K.length;ee<se;ee++){const ae=K[ee];ae.requiresSiblings&&z&&($||($=(0,T.basename)(N)),G||(G=$.substr(0,$.length-(0,T.extname)(N).length)));const de=ae(N,$,G,z);if(de)return de}return null},Z=K.find(N=>!!N.allBasenames);Z&&(X.allBasenames=Z.allBasenames);const j=K.reduce((N,$)=>$.allPaths?N.concat($.allPaths):N,[]);return j.length&&(X.allPaths=j),X}function H(B,W,K){if(W===!1)return c;const V=i(B,K);if(V===c)return c;if(typeof W=="boolean")return V;if(W){const X=W.when;if(typeof X=="string"){const Z=(j,N,$,z)=>{if(!z||!V(j,N))return null;const G=X.replace("$(basename)",$),ee=z(G);return(0,k.isThenable)(ee)?ee.then(se=>se?B:null):ee?B:null};return Z.requiresSiblings=!0,Z}}return V}function re(B,W){const K=B.filter(N=>!!N.basenames);if(K.length<2)return B;const V=K.reduce((N,$)=>{const z=$.basenames;return z?N.concat(z):N},[]);let X;if(W){X=[];for(let N=0,$=V.length;N<$;N++)X.push(W)}else X=K.reduce((N,$)=>{const z=$.patterns;return z?N.concat(z):N},[]);const Z=function(N,$){if(typeof N!="string")return null;if(!$){let G;for(G=N.length;G>0;G--){const ee=N.charCodeAt(G-1);if(ee===47||ee===92)break}$=N.substr(G)}const z=V.indexOf($);return z!==-1?X[z]:null};Z.basenames=V,Z.patterns=X,Z.allBasenames=V;const j=B.filter(N=>!N.basenames);return j.push(Z),j}}),define(te[110],ne([0,1,7]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function t(P){return P.toJSON()}class L{constructor(E){this._uriTransformer=E}transformIncoming(E){const f=this._uriTransformer.transformIncoming(E);return f===E?E:t(k.URI.from(f))}transformOutgoing(E){const f=this._uriTransformer.transformOutgoing(E);return f===E?E:t(k.URI.from(f))}transformOutgoingURI(E){const f=this._uriTransformer.transformOutgoing(E);return f===E?E:k.URI.from(f)}transformOutgoingScheme(E){return this._uriTransformer.transformOutgoingScheme(E)}}e.URITransformer=L,e.DefaultURITransformer=new class{transformIncoming(P){return P}transformOutgoing(P){return P}transformOutgoingURI(P){return P}transformOutgoingScheme(P){return P}};function T(P,E,f){if(!P||f>200)return null;if(typeof P=="object"){if(P instanceof k.URI)return E.transformOutgoing(P);for(let p in P)if(Object.hasOwnProperty.call(P,p)){const h=T(P[p],E,f+1);h!==null&&(P[p]=h)}}return null}function A(P,E){const f=T(P,E,0);return f===null?P:f}e.transformOutgoingURIs=A;function R(P,E,f,p){if(!P||p>200)return null;if(typeof P=="object"){if(P.$mid===1)return f?k.URI.revive(E.transformIncoming(P)):E.transformIncoming(P);for(let h in P)if(Object.hasOwnProperty.call(P,h)){const g=R(P[h],E,f,p+1);g!==null&&(P[h]=g)}}return null}function b(P,E){const f=R(P,E,!1,0);return f===null?P:f}e.transformIncomingURIs=b;function I(P,E){const f=R(P,E,!0,0);return f===null?P:f}e.transformAndReviveIncomingURIs=I}),define(te[29],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const k=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function t(b){return k.test(b)}e.isUUID=t;const L=new Uint8Array(16),T=[];for(let b=0;b<256;b++)T.push(b.toString(16).padStart(2,"0"));let A;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?A=crypto.getRandomValues.bind(crypto):A=function(b){for(let I=0;I<b.length;I++)b[I]=Math.floor(Math.random()*256);return b};function R(){A(L),L[6]=L[6]&15|64,L[8]=L[8]&63|128;let b=0,I="";return I+=T[L[b++]],I+=T[L[b++]],I+=T[L[b++]],I+=T[L[b++]],I+="-",I+=T[L[b++]],I+=T[L[b++]],I+="-",I+=T[L[b++]],I+=T[L[b++]],I+="-",I+=T[L[b++]],I+=T[L[b++]],I+="-",I+=T[L[b++]],I+=T[L[b++]],I+=T[L[b++]],I+=T[L[b++]],I+=T[L[b++]],I+=T[L[b++]],I}e.generateUuid=R}),define(te[111],ne([0,1,252]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class t{constructor(T="utf8"){this.stringDecoder=new k.StringDecoder(T),this.remaining=null}write(T){const A=[],R=this.remaining?this.remaining+this.stringDecoder.write(T):this.stringDecoder.write(T);if(R.length<1)return A;let b=0,I,P=b;for(;P<R.length;)if(I=R.charCodeAt(P),I===13||I===10){if(A.push(R.substring(b,P)),P++,P<R.length){const E=I;I=R.charCodeAt(P),(E===13&&I===10||E===10&&I===13)&&P++}b=P}else P++;return this.remaining=b<R.length?R.substr(b):null,A}end(){return this.remaining}}e.LineDecoder=t}),define(te[112],ne([0,1,34]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const t=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function L(A){const R=A.replace(/\-/g,":").toLowerCase();return!t.has(R)}function T(){const A=(0,k.networkInterfaces)();for(let R in A){const b=A[R];if(b){for(const{mac:I}of b)if(L(I))return I}}throw new Error("Unable to retrieve mac address (unexpected format)")}e.getMac=T}),define(te[113],ne([0,1,34,9,39,29,112]),function(J,e,k,t,L,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAddress(P){return this._virtualMachineOUIs||(this._virtualMachineOUIs=L.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(P)}value(){if(this._value===void 0){let P=0,E=0;const f=(0,k.networkInterfaces)();for(let p in f){const h=f[p];if(h)for(const{mac:g,internal:v}of h)v||(E+=1,this._isVirtualMachineMacAddress(g.toUpperCase())&&(P+=1))}this._value=E>0?P/E:0}return this._value}};let R;async function b(){return R||(R=(async()=>await I()||T.generateUuid())()),R}e.getMachineId=b;async function I(){try{const P=await new Promise((f,p)=>{J(["crypto"],f,p)}),E=(0,A.getMac)();return P.createHash("sha256").update(E,"utf8").digest("hex")}catch(P){t.onUnexpectedError(P);return}}}),define(te[22],ne([0,1,50,34,253,5,41,72,10,4,20,7]),function(J,e,k,t,L,T,A,R,b,I,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var f;(function(F){F[F.UNLINK=0]="UNLINK",F[F.MOVE=1]="MOVE"})(f=e.RimRafMode||(e.RimRafMode={}));async function p(F,x=f.UNLINK){if((0,A.isRootOrDriveLetter)(F))throw new Error("rimraf - will refuse to recursively delete root");return x===f.UNLINK?g(F):h(F)}async function h(F){try{const x=(0,A.randomPath)((0,t.tmpdir)());try{await k.promises.rename(F,x)}catch{return g(F)}g(x).catch(q=>{})}catch(x){if(x.code!=="ENOENT")throw x}}async function g(F){return(0,L.promisify)(k.rm)(F,{recursive:!0,force:!0,maxRetries:3})}function v(F){if((0,A.isRootOrDriveLetter)(F))throw new Error("rimraf - will refuse to recursively delete root");k.rmSync(F,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=v;async function l(F,x){return y(await(x?w(F):(0,L.promisify)(k.readdir)(F)))}async function w(F){try{return await(0,L.promisify)(k.readdir)(F,{withFileTypes:!0})}catch(H){console.warn("[node.js fs] readdir with filetypes failed with error: ",H)}const x=[],q=await l(F);for(const H of q){let re=!1,B=!1,W=!1;try{const K=await e.Promises.lstat((0,b.join)(F,H));re=K.isFile(),B=K.isDirectory(),W=K.isSymbolicLink()}catch(K){console.warn("[node.js fs] unexpected error from lstat after readdir: ",K)}x.push({name:H,isFile:()=>re,isDirectory:()=>B,isSymbolicLink:()=>W})}return x}function S(F){return y(k.readdirSync(F))}e.readdirSync=S;function y(F){return F.map(x=>typeof x=="string"?I.isMacintosh?(0,R.normalizeNFC)(x):x:(x.name=I.isMacintosh?(0,R.normalizeNFC)(x.name):x.name,x))}async function d(F){const x=await l(F),q=[];for(const H of x)await c.existsDirectory((0,b.join)(F,H))&&q.push(H);return q}function r(F,x=1e3){return new Promise(q=>{let H=!1;const re=setInterval(()=>{H||(H=!0,k.access(F,B=>{H=!1,B&&(clearInterval(re),q(void 0))}))},x)})}e.whenDeleted=r;var c;(function(F){async function x(re){let B;try{if(B=await e.Promises.lstat(re),!B.isSymbolicLink())return{stat:B}}catch{}try{return{stat:await e.Promises.stat(re),symbolicLink:B?.isSymbolicLink()?{dangling:!1}:void 0}}catch(W){if(W.code==="ENOENT"&&B)return{stat:B,symbolicLink:{dangling:!0}};if(I.isWindows&&W.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(re)),symbolicLink:{dangling:!1}}}catch(K){if(K.code==="ENOENT"&&B)return{stat:B,symbolicLink:{dangling:!0}};throw K}throw W}}F.stat=x;async function q(re){try{const{stat:B,symbolicLink:W}=await F.stat(re);return B.isFile()&&W?.dangling!==!0}catch{}return!1}F.existsFile=q;async function H(re){try{const{stat:B,symbolicLink:W}=await F.stat(re);return B.isDirectory()&&W?.dangling!==!0}catch{}return!1}F.existsDirectory=H})(c=e.SymlinkSupport||(e.SymlinkSupport={}));const i=new T.ResourceQueue;function n(F,x,q){return i.queueFor(E.URI.file(F),P.extUriBiasedIgnorePathCase).queue(()=>{const H=u(q);return new Promise((re,B)=>s(F,x,H,W=>W?B(W):re()))})}let o=!0;function s(F,x,q,H){if(!o)return k.writeFile(F,x,{mode:q.mode,flag:q.flag},H);k.open(F,q.flag,q.mode,(re,B)=>{if(re)return H(re);k.writeFile(B,x,W=>{if(W)return k.close(B,()=>H(W));k.fdatasync(B,K=>(K&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",K),o=!1),k.close(B,V=>H(V))))})})}function a(F,x,q){const H=u(q);if(!o)return k.writeFileSync(F,x,{mode:H.mode,flag:H.flag});const re=k.openSync(F,H.flag,H.mode);try{k.writeFileSync(re,x);try{k.fdatasyncSync(re)}catch(B){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",B),o=!1}}finally{k.closeSync(re)}}e.writeFileSync=a;function u(F){return F?{mode:typeof F.mode=="number"?F.mode:438,flag:typeof F.flag=="string"?F.flag:"w"}:{mode:438,flag:"w"}}async function m(F,x){if(F!==x)try{await e.Promises.rename(F,x)}catch(q){if(F.toLowerCase()!==x.toLowerCase()&&q.code==="EXDEV"||F.endsWith("."))await C(F,x,{preserveSymlinks:!1}),await p(F,f.MOVE);else throw q}}async function C(F,x,q){return O(F,x,{root:{source:F,target:x},options:q,handledSourcePaths:new Set})}const _=511;async function O(F,x,q){if(q.handledSourcePaths.has(F))return;q.handledSourcePaths.add(F);const{stat:H,symbolicLink:re}=await c.stat(F);if(re){if(q.options.preserveSymlinks)try{return await U(F,x,q)}catch(B){console.warn("[node.js fs] copy of symlink failed: ",B)}if(re.dangling)return}return H.isDirectory()?M(F,x,H.mode&_,q):D(F,x,H.mode&_)}async function M(F,x,q,H){await e.Promises.mkdir(x,{recursive:!0,mode:q});const re=await l(F);for(const B of re)await O((0,b.join)(F,B),(0,b.join)(x,B),H)}async function D(F,x,q){await e.Promises.copyFile(F,x),await e.Promises.chmod(x,q)}async function U(F,x,q){let H=await e.Promises.readlink(F);(0,A.isEqualOrParent)(H,q.root.source,!I.isLinux)&&(H=(0,b.join)(q.root.target,H.substr(q.root.source.length+1))),await e.Promises.symlink(H,x)}e.Promises=new class{get access(){return(0,L.promisify)(k.access)}get stat(){return(0,L.promisify)(k.stat)}get lstat(){return(0,L.promisify)(k.lstat)}get utimes(){return(0,L.promisify)(k.utimes)}get read(){return(F,x,q,H,re)=>new Promise((B,W)=>{k.read(F,x,q,H,re,(K,V,X)=>K?W(K):B({bytesRead:V,buffer:X}))})}get readFile(){return(0,L.promisify)(k.readFile)}get write(){return(F,x,q,H,re)=>new Promise((B,W)=>{k.write(F,x,q,H,re,(K,V,X)=>K?W(K):B({bytesWritten:V,buffer:X}))})}get appendFile(){return(0,L.promisify)(k.appendFile)}get fdatasync(){return(0,L.promisify)(k.fdatasync)}get truncate(){return(0,L.promisify)(k.truncate)}get rename(){return(0,L.promisify)(k.rename)}get copyFile(){return(0,L.promisify)(k.copyFile)}get open(){return(0,L.promisify)(k.open)}get close(){return(0,L.promisify)(k.close)}get symlink(){return(0,L.promisify)(k.symlink)}get readlink(){return(0,L.promisify)(k.readlink)}get chmod(){return(0,L.promisify)(k.chmod)}get mkdir(){return(0,L.promisify)(k.mkdir)}get unlink(){return(0,L.promisify)(k.unlink)}get rmdir(){return(0,L.promisify)(k.rmdir)}get realpath(){return(0,L.promisify)(k.realpath)}async exists(F){try{return await e.Promises.access(F),!0}catch{return!1}}get readdir(){return l}get readDirsInDir(){return d}get writeFile(){return n}get rm(){return p}get move(){return m}get copy(){return C}}}),define(te[114],ne([0,1,50,10,4,26,22]),function(J,e,k,t,L,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcase=e.realcaseSync=void 0;function R(f){if(L.isLinux)return f;const p=(0,t.dirname)(f);if(f===p)return f;const h=((0,t.basename)(f)||f).toLowerCase();try{const v=(0,A.readdirSync)(p).filter(l=>l.toLowerCase()===h);if(v.length===1){const l=R(p);if(l)return(0,t.join)(l,v[0])}else if(v.length>1){const l=v.indexOf(h);if(l>=0){const w=R(p);if(w)return(0,t.join)(w,v[l])}}}catch{}return null}e.realcaseSync=R;async function b(f){if(L.isLinux)return f;const p=(0,t.dirname)(f);if(f===p)return f;const h=((0,t.basename)(f)||f).toLowerCase();try{const v=(await A.Promises.readdir(p)).filter(l=>l.toLowerCase()===h);if(v.length===1){const l=await b(p);if(l)return(0,t.join)(l,v[0])}else if(v.length>1){const l=v.indexOf(h);if(l>=0){const w=await b(p);if(w)return(0,t.join)(w,v[l])}}}catch{}return null}e.realcase=b;async function I(f){try{return await A.Promises.realpath(f)}catch{const h=E(f);return await A.Promises.access(h,k.constants.R_OK),h}}e.realpath=I;function P(f){try{return k.realpathSync(f)}catch{const h=E(f);return k.accessSync(h,k.constants.R_OK),h}}e.realpathSync=P;function E(f){return(0,T.rtrim)((0,t.normalize)(f),t.sep)}}),define(te[115],ne([0,1,56]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findFreePortFaster=e.BROWSER_RESTRICTED_PORTS=e.findFreePort=void 0;function t(R,b,I,P=1){let E=!1;return new Promise(f=>{const p=setTimeout(()=>{if(!E)return E=!0,f(0)},I);L(R,b,P,h=>{if(!E)return E=!0,clearTimeout(p),f(h)})})}e.findFreePort=t;function L(R,b,I,P){if(b===0)return P(0);const E=new k.Socket;E.once("connect",()=>(A(E),L(R+I,b-1,I,P))),E.once("data",()=>{}),E.once("error",f=>(A(E),f.code!=="ECONNREFUSED"?L(R+I,b-1,I,P):P(R))),E.connect(R,"127.0.0.1")}e.BROWSER_RESTRICTED_PORTS={1:!0,7:!0,9:!0,11:!0,13:!0,15:!0,17:!0,19:!0,20:!0,21:!0,22:!0,23:!0,25:!0,37:!0,42:!0,43:!0,53:!0,69:!0,77:!0,79:!0,87:!0,95:!0,101:!0,102:!0,103:!0,104:!0,109:!0,110:!0,111:!0,113:!0,115:!0,117:!0,119:!0,123:!0,135:!0,137:!0,139:!0,143:!0,161:!0,179:!0,389:!0,427:!0,465:!0,512:!0,513:!0,514:!0,515:!0,526:!0,530:!0,531:!0,532:!0,540:!0,548:!0,554:!0,556:!0,563:!0,587:!0,601:!0,636:!0,989:!0,990:!0,993:!0,995:!0,1719:!0,1720:!0,1723:!0,2049:!0,3659:!0,4045:!0,5060:!0,5061:!0,6e3:!0,6566:!0,6665:!0,6666:!0,6667:!0,6668:!0,6669:!0,6697:!0,10080:!0};function T(R,b,I){let P=!1,E,f=1;const p=k.createServer({pauseOnConnect:!0});function h(g,v){P||(P=!0,p.removeAllListeners(),p.close(),E&&clearTimeout(E),v(g))}return new Promise(g=>{E=setTimeout(()=>{h(0,g)},I),p.on("listening",()=>{h(R,g)}),p.on("error",v=>{v&&(v.code==="EADDRINUSE"||v.code==="EACCES")&&f<b?(R++,f++,p.listen(R,"127.0.0.1")):h(0,g)}),p.on("close",()=>{h(0,g)}),p.listen(R,"127.0.0.1")})}e.findFreePortFaster=T;function A(R){try{R.removeAllListeners("connect"),R.removeAllListeners("error"),R.end(),R.destroy(),R.unref()}catch(b){console.error(b)}}}),define(te[73],ne([0,1,34,10,22]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const T=/^\d+$/,A=/^Microsoft.PowerShell_.*/,R=/^Microsoft.PowerShellPreview_.*/;var b;(function(y){y[y.x64=0]="x64",y[y.x86=1]="x86",y[y.ARM=2]="ARM"})(b||(b={}));let I;switch(process.arch){case"ia32":case"x32":I=1;break;case"arm":case"arm64":I=2;break;default:I=0;break}let P;process.env.PROCESSOR_ARCHITEW6432?P=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?P=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?P=1:P=0;class E{constructor(d,r,c){this.exePath=d,this.displayName=r,this.knownToExist=c}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await L.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function f({useAlternateBitness:y=!1}={}){return y?I===0?process.env["ProgramFiles(x86)"]||null:P===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function p({useAlternateBitness:y=!1,findPreview:d=!1}={}){const r=f({useAlternateBitness:y});if(!r)return null;const c=t.join(r,"PowerShell");if(!await L.SymlinkSupport.existsDirectory(c))return null;let i=-1,n=null;for(const a of await L.Promises.readdir(c)){let u=-1;if(d){const C=a.indexOf("-");if(C<0)continue;const _=a.substring(0,C);if(!T.test(_)||a.substring(C+1)!=="preview")continue;u=parseInt(_,10)}else{if(!T.test(a))continue;u=parseInt(a,10)}if(u<=i)continue;const m=t.join(c,a,"pwsh.exe");!await L.SymlinkSupport.existsFile(m)||(n=m,i=u)}if(!n)return null;const o=r.includes("x86")?" (x86)":"",s=d?" Preview":"";return new E(n,`PowerShell${s}${o}`,!0)}async function h({findPreview:y}={}){if(!process.env.LOCALAPPDATA)return null;const d=t.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await L.SymlinkSupport.existsDirectory(d))return null;const{pwshMsixDirRegex:r,pwshMsixName:c}=y?{pwshMsixDirRegex:R,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:A,pwshMsixName:"PowerShell (Store)"};for(const i of await L.Promises.readdir(d))if(r.test(i)){const n=t.join(d,i,"pwsh.exe");return new E(n,c)}return null}function g(){const y=t.join(k.homedir(),".dotnet","tools","pwsh.exe");return new E(y,".NET Core PowerShell Global Tool")}function v(){const y=t.join(process.env.windir,I===1&&P!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new E(y,"Windows PowerShell",!0)}async function*l(){let y=await p();y&&(yield y),y=await p({useAlternateBitness:!0}),y&&(yield y),y=await h(),y&&(yield y),y=g(),y&&(yield y),y=await p({findPreview:!0}),y&&(yield y),y=await h({findPreview:!0}),y&&(yield y),y=await p({useAlternateBitness:!0,findPreview:!0}),y&&(yield y),y=v(),y&&(yield y)}async function*w(){for await(const y of l())await y.exists()&&(yield y)}e.enumeratePowerShellInstallations=w;async function S(){for await(const y of w())return y;return null}e.getFirstAvailablePowerShellInstallation=S}),define(te[116],ne([0,1,46,18]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function L(A){return new Promise((R,b)=>{let I;const P=new Map;function E(p,h,g,v,l){const w=P.get(h);if(p===A||w){const S={name:f(g),cmd:g,pid:p,ppid:h,load:v,mem:l};P.set(p,S),p===A&&(I=S),w&&(w.children||(w.children=[]),w.children.push(S),w.children.length>1&&(w.children=w.children.sort((y,d)=>y.pid-d.pid)))}}function f(p){const h=/--vscode-window-kind=shared-process/,g=/--vscode-window-kind=issue-reporter/,v=/--vscode-window-kind=process-explorer/,l=/--utility-sub-type=network/,w=/--crashes-directory/,S=/\\pipe\\winpty-control/,y=/conhost\.exe/,d=/--type=([a-zA-Z-]+)/;if(w.exec(p))return"electron-crash-reporter";if(S.exec(p))return"winpty-process";if(y.exec(p))return"console-window-host (Windows internal process)";let r=d.exec(p);if(r&&r.length===2)return r[1]==="renderer"?h.exec(p)?"shared-process":g.exec(p)?"issue-reporter":v.exec(p)?"process-explorer":"window":r[1]==="utility"&&l.exec(p)?"utility-network-service":r[1];const c=/[a-zA-Z-]+\.js/g;let i="";do r=c.exec(p),r&&(i+=r+" ");while(r);return i&&p.indexOf("node ")<0&&p.indexOf("node.exe")<0?`electron_node ${i}`:p}if(process.platform==="win32"){const p=h=>h.indexOf("\\\\?\\")===0||h.indexOf("\\??\\")===0?h.substr(4):h.indexOf('"\\\\?\\')===0||h.indexOf('"\\??\\')===0?'"'+h.substr(5):h;new Promise((h,g)=>{J(["windows-process-tree"],h,g)}).then(h=>{h.getProcessList(A,g=>{h.getProcessCpuUsage(g,v=>{const l=new Map;v.forEach(w=>{const S=p(w.commandLine||"");l.set(w.pid,{name:f(S),cmd:S,pid:w.pid,ppid:w.ppid,load:w.cpu||0,mem:w.memory||0})}),I=l.get(A),I?(l.forEach(w=>{const S=l.get(w.ppid);S&&(S.children||(S.children=[]),S.children.push(w))}),l.forEach(w=>{w.children&&(w.children=w.children.sort((S,y)=>S.pid-y.pid))}),R(I)):b(new Error(`Root process ${A} not found`))})},h.ProcessDataFlag.CommandLine|h.ProcessDataFlag.Memory)})}else{let p=function(){let h=[I];const g=[];for(;h.length;){const l=h.shift();l&&(g.push(l.pid),l.children&&(h=h.concat(l.children)))}let v=JSON.stringify(t.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",J).fsPath);v+=" "+g.join(" "),(0,k.exec)(v,{},(l,w,S)=>{if(l||S)b(l||new Error(S.toString()));else{const y=w.toString().split(`
`);for(let d=0;d<g.length;d++){const r=P.get(g[d]);r.load=parseFloat(y[d])}if(!I){b(new Error(`Root process ${A} not found`));return}R(I)}})};(0,k.exec)("which ps",{},(h,g,v)=>{if(h||v)if(process.platform!=="linux")b(h||new Error(v.toString()));else{const l=JSON.stringify(t.FileAccess.asFileUri("vs/base/node/ps.sh",J).fsPath);(0,k.exec)(l,{},(w,S,y)=>{w||y?b(w||new Error(y.toString())):(T(S,E),p())})}else{const l=g.toString().trim(),w="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,k.exec)(`${l} ${w}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(S,y,d)=>{S||d&&!d.includes("screen size is bogus")?b(S||new Error(d.toString())):(T(y,E),process.platform==="linux"?p():I?R(I):b(new Error(`Root process ${A} not found`)))})}})}})}e.listProcesses=L;function T(A,R){const b=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,I=A.toString().split(`
`);for(const P of I){const E=b.exec(P.trim());E&&E.length===6&&R(parseInt(E[1]),parseInt(E[2]),E[5],parseFloat(E[3]),parseFloat(E[4]))}}});var he=this&&this.__decorate||function(J,e,k,t){var L=arguments.length,T=L<3?e:t===null?t=Object.getOwnPropertyDescriptor(e,k):t,A;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")T=Reflect.decorate(J,e,k,t);else for(var R=J.length-1;R>=0;R--)(A=J[R])&&(T=(L<3?A(T):L>3?A(e,k,T):A(e,k))||T);return L>3&&T&&Object.defineProperty(e,k,T),T};define(te[36],ne([0,1,16,5,17,25,54,9,3,2,108,26,11]),function(J,e,k,t,L,T,A,R,b,I,P,E,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var p;(function(B){B[B.Promise=100]="Promise",B[B.PromiseCancel=101]="PromiseCancel",B[B.EventListen=102]="EventListen",B[B.EventDispose=103]="EventDispose"})(p=e.RequestType||(e.RequestType={}));function h(B){switch(B){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var g;(function(B){B[B.Initialize=200]="Initialize",B[B.PromiseSuccess=201]="PromiseSuccess",B[B.PromiseError=202]="PromiseError",B[B.PromiseErrorObj=203]="PromiseErrorObj",B[B.EventFire=204]="EventFire"})(g=e.ResponseType||(e.ResponseType={}));function v(B){switch(B){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var l;(function(B){B[B.Uninitialized=0]="Uninitialized",B[B.Idle=1]="Idle"})(l||(l={}));class w{constructor(W){this.buffer=W,this.pos=0}read(W){const K=this.buffer.slice(this.pos,this.pos+W);return this.pos+=K.byteLength,K}}class S{constructor(){this.buffers=[]}get buffer(){return L.VSBuffer.concat(this.buffers)}write(W){this.buffers.push(W)}}var y;(function(B){B[B.Undefined=0]="Undefined",B[B.String=1]="String",B[B.Buffer=2]="Buffer",B[B.VSBuffer=3]="VSBuffer",B[B.Array=4]="Array",B[B.Object=5]="Object"})(y||(y={}));function d(B){const W=L.VSBuffer.alloc(4);return W.writeUInt32BE(B,0),W}function r(B){return B.read(4).readUInt32BE(0)}function c(B){const W=L.VSBuffer.alloc(1);return W.writeUInt8(B,0),W}const i={Undefined:c(y.Undefined),String:c(y.String),Buffer:c(y.Buffer),VSBuffer:c(y.VSBuffer),Array:c(y.Array),Object:c(y.Object)},n=typeof Buffer!="undefined";function o(B,W){if(typeof W=="undefined")B.write(i.Undefined);else if(typeof W=="string"){const K=L.VSBuffer.fromString(W);B.write(i.String),B.write(d(K.byteLength)),B.write(K)}else if(n&&Buffer.isBuffer(W)){const K=L.VSBuffer.wrap(W);B.write(i.Buffer),B.write(d(K.byteLength)),B.write(K)}else if(W instanceof L.VSBuffer)B.write(i.VSBuffer),B.write(d(W.byteLength)),B.write(W);else if(Array.isArray(W)){B.write(i.Array),B.write(d(W.length));for(const K of W)o(B,K)}else{const K=L.VSBuffer.fromString(JSON.stringify(W));B.write(i.Object),B.write(d(K.byteLength)),B.write(K)}}function s(B){switch(B.read(1).readUInt8(0)){case y.Undefined:return;case y.String:return B.read(r(B)).toString();case y.Buffer:return B.read(r(B)).buffer;case y.VSBuffer:return B.read(r(B));case y.Array:{const K=r(B),V=[];for(let X=0;X<K;X++)V.push(s(B));return V}case y.Object:return JSON.parse(B.read(r(B)).toString())}}class a{constructor(W,K,V=null,X=1e3){this.protocol=W,this.ctx=K,this.logger=V,this.timeoutDelay=X,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(Z=>this.onRawMessage(Z)),this.sendResponse({type:200})}registerChannel(W,K){this.channels.set(W,K),setTimeout(()=>this.flushPendingRequests(W),0)}sendResponse(W){switch(W.type){case 200:{const K=this.send([W.type]);this.logger?.logOutgoing(K,0,1,v(W.type));return}case 201:case 202:case 204:case 203:{const K=this.send([W.type,W.id],W.data);this.logger?.logOutgoing(K,W.id,1,v(W.type),W.data);return}}}send(W,K=void 0){const V=new S;return o(V,W),o(V,K),this.sendBuffer(V.buffer)}sendBuffer(W){try{return this.protocol.send(W),W.byteLength}catch{return 0}}onRawMessage(W){const K=new w(W),V=s(K),X=s(K),Z=V[0];switch(Z){case 100:return this.logger?.logIncoming(W.byteLength,V[1],1,`${h(Z)}: ${V[2]}.${V[3]}`,X),this.onPromise({type:Z,id:V[1],channelName:V[2],name:V[3],arg:X});case 102:return this.logger?.logIncoming(W.byteLength,V[1],1,`${h(Z)}: ${V[2]}.${V[3]}`,X),this.onEventListen({type:Z,id:V[1],channelName:V[2],name:V[3],arg:X});case 101:return this.logger?.logIncoming(W.byteLength,V[1],1,`${h(Z)}`),this.disposeActiveRequest({type:Z,id:V[1]});case 103:return this.logger?.logIncoming(W.byteLength,V[1],1,`${h(Z)}`),this.disposeActiveRequest({type:Z,id:V[1]})}}onPromise(W){const K=this.channels.get(W.channelName);if(!K){this.collectPendingRequest(W);return}const V=new T.CancellationTokenSource;let X;try{X=K.call(this.ctx,W.name,W.arg,V.token)}catch(N){X=Promise.reject(N)}const Z=W.id;X.then(N=>{this.sendResponse({id:Z,data:N,type:201}),this.activeRequests.delete(W.id)},N=>{N instanceof Error?this.sendResponse({id:Z,data:{message:N.message,name:N.name,stack:N.stack?N.stack.split?N.stack.split(`
`):N.stack:void 0},type:202}):this.sendResponse({id:Z,data:N,type:203}),this.activeRequests.delete(W.id)});const j=(0,I.toDisposable)(()=>V.cancel());this.activeRequests.set(W.id,j)}onEventListen(W){const K=this.channels.get(W.channelName);if(!K){this.collectPendingRequest(W);return}const V=W.id,Z=K.listen(this.ctx,W.name,W.arg)(j=>this.sendResponse({id:V,data:j,type:204}));this.activeRequests.set(W.id,Z)}disposeActiveRequest(W){const K=this.activeRequests.get(W.id);K&&(K.dispose(),this.activeRequests.delete(W.id))}collectPendingRequest(W){let K=this.pendingRequests.get(W.channelName);K||(K=[],this.pendingRequests.set(W.channelName,K));const V=setTimeout(()=>{console.error(`Unknown channel: ${W.channelName}`),W.type===100&&this.sendResponse({id:W.id,data:{name:"Unknown channel",message:`Channel name '${W.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);K.push({request:W,timeoutTimer:V})}flushPendingRequests(W){const K=this.pendingRequests.get(W);if(K){for(const V of K)switch(clearTimeout(V.timeoutTimer),V.request.type){case 100:this.onPromise(V.request);break;case 102:this.onEventListen(V.request);break}this.pendingRequests.delete(W)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,I.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}e.ChannelServer=a;var u;(function(B){B[B.LocalSide=0]="LocalSide",B[B.OtherSide=1]="OtherSide"})(u=e.RequestInitiator||(e.RequestInitiator={}));class m{constructor(W,K=null){this.protocol=W,this.isDisposed=!1,this.state=l.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new b.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(V=>this.onBuffer(V)),this.logger=K}getChannel(W){const K=this;return{call(V,X,Z){return K.isDisposed?Promise.reject(R.canceled()):K.requestPromise(W,V,X,Z)},listen(V,X){return K.isDisposed?Promise.reject(R.canceled()):K.requestEvent(W,V,X)}}}requestPromise(W,K,V,X=T.CancellationToken.None){const Z=this.lastRequestId++,N={id:Z,type:100,channelName:W,name:K,arg:V};if(X.isCancellationRequested)return Promise.reject(R.canceled());let $;return new Promise((G,ee)=>{if(X.isCancellationRequested)return ee(R.canceled());const se=()=>{const be=Se=>{switch(Se.type){case 201:this.handlers.delete(Z),G(Se.data);break;case 202:{this.handlers.delete(Z);const pe=new Error(Se.data.message);pe.stack=Se.data.stack,pe.name=Se.data.name,ee(pe);break}case 203:this.handlers.delete(Z),ee(Se.data);break}};this.handlers.set(Z,be),this.sendRequest(N)};let ae=null;this.state===l.Idle?se():(ae=(0,t.createCancelablePromise)(be=>this.whenInitialized()),ae.then(()=>{ae=null,se()}));const de=()=>{ae?(ae.cancel(),ae=null):this.sendRequest({id:Z,type:101}),ee(R.canceled())},ve=X.onCancellationRequested(de);$=(0,I.combinedDisposable)((0,I.toDisposable)(de),ve),this.activeRequests.add($)}).finally(()=>{this.activeRequests.delete($)})}requestEvent(W,K,V){const X=this.lastRequestId++,j={id:X,type:102,channelName:W,name:K,arg:V};let N=null;const $=new b.Emitter({onFirstListenerAdd:()=>{N=(0,t.createCancelablePromise)(G=>this.whenInitialized()),N.then(()=>{N=null,this.activeRequests.add($),this.sendRequest(j)})},onLastListenerRemove:()=>{N?(N.cancel(),N=null):(this.activeRequests.delete($),this.sendRequest({id:X,type:103}))}}),z=G=>$.fire(G.data);return this.handlers.set(X,z),$.event}sendRequest(W){switch(W.type){case 100:case 102:{const K=this.send([W.type,W.id,W.channelName,W.name],W.arg);this.logger&&this.logger.logOutgoing(K,W.id,0,`${h(W.type)}: ${W.channelName}.${W.name}`,W.arg);return}case 101:case 103:{const K=this.send([W.type,W.id]);this.logger&&this.logger.logOutgoing(K,W.id,0,h(W.type));return}}}send(W,K=void 0){const V=new S;return o(V,W),o(V,K),this.sendBuffer(V.buffer)}sendBuffer(W){try{return this.protocol.send(W),W.byteLength}catch{return 0}}onBuffer(W){const K=new w(W),V=s(K),X=s(K),Z=V[0];switch(Z){case 200:return this.logger&&this.logger.logIncoming(W.byteLength,0,0,v(Z)),this.onResponse({type:V[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(W.byteLength,V[1],0,v(Z),X),this.onResponse({type:V[0],id:V[1],data:X})}}onResponse(W){if(W.type===200){this.state=l.Idle,this._onDidInitialize.fire();return}const K=this.handlers.get(W.id);K&&K(W)}get onDidInitializePromise(){return b.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===l.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,I.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}he([A.memoize],m.prototype,"onDidInitializePromise",null),e.ChannelClient=m;class C{constructor(W){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new b.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new b.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,W(({protocol:K,onDidClientDisconnect:V})=>{b.Event.once(K.onMessage)(Z=>{const j=new w(Z),N=s(j),$=new a(K,N),z=new m(K);this.channels.forEach((ee,se)=>$.registerChannel(se,ee));const G={channelServer:$,channelClient:z,ctx:N};this._connections.add(G),this._onDidAddConnection.fire(G),V(()=>{$.dispose(),z.dispose(),this._connections.delete(G),this._onDidRemoveConnection.fire(G)})})})}get connections(){const W=[];return this._connections.forEach(K=>W.push(K)),W}getChannel(W,K){const V=this;return{call(X,Z,j){let N;if((0,f.isFunction)(K)){let z=(0,k.getRandomElement)(V.connections.filter(K));N=z?Promise.resolve(z):b.Event.toPromise(b.Event.filter(V.onDidAddConnection,K))}else N=K.routeCall(V,X,Z);const $=N.then(z=>z.channelClient.getChannel(W));return O($).call(X,Z,j)},listen(X,Z){if((0,f.isFunction)(K))return V.getMulticastEvent(W,K,X,Z);const j=K.routeEvent(V,X,Z).then(N=>N.channelClient.getChannel(W));return O(j).listen(X,Z)}}}getMulticastEvent(W,K,V,X){const Z=this;let j=new I.DisposableStore;const N=new b.Emitter({onFirstListenerAdd:()=>{j=new I.DisposableStore;const $=new b.EventMultiplexer,z=new Map,G=se=>{const de=se.channelClient.getChannel(W).listen(V,X),ve=$.add(de);z.set(se,ve)},ee=se=>{const ae=z.get(se);!ae||(ae.dispose(),z.delete(se))};Z.connections.filter(K).forEach(G),b.Event.filter(Z.onDidAddConnection,K)(G,void 0,j),Z.onDidRemoveConnection(ee,void 0,j),$.event(N.fire,N,j),j.add($)},onLastListenerRemove:()=>{j.dispose()}});return N.event}registerChannel(W,K){this.channels.set(W,K),this._connections.forEach(V=>{V.channelServer.registerChannel(W,K)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=C;class _{constructor(W,K,V=null){const X=new S;o(X,K),W.send(X.buffer),this.channelClient=new m(W,V),this.channelServer=new a(W,K,V)}getChannel(W){return this.channelClient.getChannel(W)}registerChannel(W,K){this.channelServer.registerChannel(W,K)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=_;function O(B){return{call(W,K,V){return B.then(X=>X.call(W,K,V))},listen(W,K){const V=new b.Relay;return B.then(X=>V.input=X.listen(W,K)),V.event}}}e.getDelayedChannel=O;function M(B){let W=!1;return{call(K,V,X){return W?B.call(K,V,X):(0,t.timeout)(0).then(()=>W=!0).then(()=>B.call(K,V,X))},listen(K,V){if(W)return B.listen(K,V);const X=new b.Relay;return(0,t.timeout)(0).then(()=>W=!0).then(()=>X.input=B.listen(K,V)),X.event}}}e.getNextTickChannel=M;class D{constructor(W){this.fn=W}routeCall(W){return this.route(W)}routeEvent(W){return this.route(W)}async route(W){for(const K of W.connections)if(await Promise.resolve(this.fn(K.ctx)))return Promise.resolve(K);return await b.Event.toPromise(W.onDidAddConnection),await this.route(W)}}e.StaticRouter=D;var U;(function(B){function W(Z,j){const N=Z,$=j&&j.disableMarshalling,z=new Map;for(const G in N)V(G)&&z.set(G,b.Event.buffer(N[G],!0));return new class{listen(G,ee,se){const ae=z.get(ee);if(ae)return ae;if(X(ee)){const de=N[ee];if(typeof de=="function")return de.call(N,se)}throw new Error(`Event not found: ${ee}`)}call(G,ee,se){const ae=N[ee];if(typeof ae=="function"){if(!$&&Array.isArray(se))for(let de=0;de<se.length;de++)se[de]=(0,P.revive)(se[de]);return ae.apply(N,se)}throw new Error(`Method not found: ${ee}`)}}}B.fromService=W;function K(Z,j){const N=j&&j.disableMarshalling;return new Proxy({},{get($,z){if(typeof z=="string")return j?.properties?.has(z)?j.properties.get(z):X(z)?function(G){return Z.listen(z,G)}:V(z)?Z.listen(z):async function(...G){let ee;j&&!(0,f.isUndefinedOrNull)(j.context)?ee=[j.context,...G]:ee=G;const se=await Z.call(z,ee);return N?se:(0,P.revive)(se)};throw new Error(`Property not found: ${String(z)}`)}})}B.toService=K;function V(Z){return Z[0]==="o"&&Z[1]==="n"&&E.isUpperAsciiLetter(Z.charCodeAt(2))}function X(Z){return/^onDynamic/.test(Z)&&E.isUpperAsciiLetter(Z.charCodeAt(9))}})(U=e.ProxyChannel||(e.ProxyChannel={}));const F=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function x(B){if(Array.isArray(B))return B;if(B&&typeof B=="object"&&typeof B.toString=="function"){let W=B.toString();if(W!=="[object Object]")return W}return B}function q(B){return Array.isArray(B)?B.map(x):x(B)}function H(B,W,K,V,X,Z,j){j=q(j);const N=F[X],$=N[V%N.length];let z=[`%c[${B}]%c[${String(W).padStart(7," ")}]%c[len: ${String(K).padStart(5," ")}]%c${String(V).padStart(5," ")} - ${Z}`,"color: darkgreen","color: grey","color: grey",`color: ${$}`];/\($/.test(Z)?(z=z.concat(j),z.push(")")):z.push(j),console.log.apply(console,z)}e.logWithColors=H;class re{constructor(W,K){this._outgoingPrefix=W,this._incomingPrefix=K,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(W,K,V,X,Z){this._totalOutgoing+=W,H(this._outgoingPrefix,this._totalOutgoing,W,K,V,X,Z)}logIncoming(W,K,V,X,Z){this._totalIncoming+=W,H(this._incomingPrefix,this._totalIncoming,W,K,V,X,Z)}}e.IPCLogger=re}),define(te[117],ne([0,1,17,3,36]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class T{constructor(b){this.port=b,this.onMessage=t.Event.fromDOMEventEmitter(this.port,"message",I=>k.VSBuffer.wrap(I.data)),b.start()}send(b){this.port.postMessage(b.buffer)}disconnect(){this.port.close()}}e.Protocol=T;class A extends L.IPCClient{constructor(b,I){const P=new T(b);super(P,I);this.protocol=P}dispose(){this.protocol.disconnect()}}e.Client=A}),define(te[74],ne([0,1,17,3,2,36]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var A;(function(n){n.Created="created",n.Read="read",n.Write="write",n.Open="open",n.Error="error",n.Close="close",n.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",n.NodeEndReceived="nodeEndReceived",n.NodeEndSent="nodeEndSent",n.NodeDrainBegin="nodeDrainBegin",n.NodeDrainEnd="nodeDrainEnd",n.zlibInflateError="zlibInflateError",n.zlibInflateData="zlibInflateData",n.zlibInflateInitialWrite="zlibInflateInitialWrite",n.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",n.zlibInflateWrite="zlibInflateWrite",n.zlibInflateFlushFired="zlibInflateFlushFired",n.zlibDeflateError="zlibDeflateError",n.zlibDeflateData="zlibDeflateData",n.zlibDeflateWrite="zlibDeflateWrite",n.zlibDeflateFlushFired="zlibDeflateFlushFired",n.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",n.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",n.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",n.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",n.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",n.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",n.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",n.ProtocolHeaderRead="protocolHeaderRead",n.ProtocolMessageRead="protocolMessageRead",n.ProtocolHeaderWrite="protocolHeaderWrite",n.ProtocolMessageWrite="protocolMessageWrite",n.ProtocolWrite="protocolWrite"})(A=e.SocketDiagnosticsEventType||(e.SocketDiagnosticsEventType={}));var R;(function(n){n.enableDiagnostics=!1,n.records=[];const o=new WeakMap;let s=0;function a(m,C){if(!o.has(m)){const _=String(++s);o.set(m,_)}return o.get(m)}function u(m,C,_,O){if(!n.enableDiagnostics)return;const M=a(m,C);if(O instanceof k.VSBuffer||O instanceof Uint8Array||O instanceof ArrayBuffer||ArrayBuffer.isView(O)){const D=k.VSBuffer.alloc(O.byteLength);D.set(O),n.records.push({timestamp:Date.now(),id:M,label:C,type:_,buff:D})}else n.records.push({timestamp:Date.now(),id:M,label:C,type:_,data:O})}n.traceSocketEvent=u})(R=e.SocketDiagnostics||(e.SocketDiagnostics={}));var b;(function(n){n[n.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",n[n.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(b=e.SocketCloseEventType||(e.SocketCloseEventType={}));let I=null;function P(){return I||(I=k.VSBuffer.alloc(0)),I}class E{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(o){this._chunks.push(o),this._totalLength+=o.byteLength}read(o){return this._read(o,!0)}peek(o){return this._read(o,!1)}_read(o,s){if(o===0)return P();if(o>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===o){const C=this._chunks[0];return s&&(this._chunks.shift(),this._totalLength-=o),C}if(this._chunks[0].byteLength>o){const C=this._chunks[0].slice(0,o);return s&&(this._chunks[0]=this._chunks[0].slice(o),this._totalLength-=o),C}let a=k.VSBuffer.alloc(o),u=0,m=0;for(;o>0;){const C=this._chunks[m];if(C.byteLength>o){const _=C.slice(0,o);a.set(_,u),u+=o,s&&(this._chunks[m]=C.slice(o),this._totalLength-=o),o-=o}else a.set(C,u),u+=C.byteLength,s?(this._chunks.shift(),this._totalLength-=C.byteLength):m++,o-=C.byteLength}return a}}e.ChunkStream=E;var f;(function(n){n[n.None=0]="None",n[n.Regular=1]="Regular",n[n.Control=2]="Control",n[n.Ack=3]="Ack",n[n.Disconnect=5]="Disconnect",n[n.ReplayRequest=6]="ReplayRequest",n[n.Pause=7]="Pause",n[n.Resume=8]="Resume"})(f||(f={}));function p(n){switch(n){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting"}}var h;(function(n){n[n.HeaderLength=13]="HeaderLength",n[n.AcknowledgeTime=2e3]="AcknowledgeTime",n[n.TimeoutTime=2e4]="TimeoutTime",n[n.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",n[n.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(h=e.ProtocolConstants||(e.ProtocolConstants={}));class g{constructor(o,s,a,u){this.type=o,this.id=s,this.ack=a,this.data=u,this.writtenTime=0}get size(){return this.data.byteLength}}class v extends L.Disposable{constructor(o){super();this._onMessage=this._register(new t.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=o,this._isDisposed=!1,this._incomingData=new E,this._register(this._socket.onData(s=>this.acceptChunk(s))),this.lastReadTime=Date.now()}acceptChunk(o){if(!(!o||o.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(o);this._incomingData.byteLength>=this._state.readLen;){const s=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=s.readUInt32BE(9),this._state.messageType=s.readUInt8(0),this._state.id=s.readUInt32BE(1),this._state.ack=s.readUInt32BE(5),this._socket.traceSocketEvent("protocolHeaderRead",{messageType:p(this._state.messageType),id:this._state.id,ack:this._state.ack,messageSize:this._state.readLen});else{const a=this._state.messageType,u=this._state.id,m=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._socket.traceSocketEvent("protocolMessageRead",s),this._onMessage.fire(new g(a,u,m,s)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class l{constructor(o){this._writeNowTimeout=null,this._isDisposed=!1,this._isPaused=!1,this._socket=o,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}pause(){this._isPaused=!0}resume(){this._isPaused=!1,this._scheduleWriting()}write(o){if(this._isDisposed)return;o.writtenTime=Date.now(),this.lastWriteTime=Date.now();const s=k.VSBuffer.alloc(13);s.writeUInt8(o.type,0),s.writeUInt32BE(o.id,1),s.writeUInt32BE(o.ack,5),s.writeUInt32BE(o.data.byteLength,9),this._socket.traceSocketEvent("protocolHeaderWrite",{messageType:p(o.type),id:o.id,ack:o.ack,messageSize:o.data.byteLength}),this._socket.traceSocketEvent("protocolMessageWrite",o.data),this._writeSoon(s,o.data)}_bufferAdd(o,s){const a=this._totalLength===0;return this._data.push(o,s),this._totalLength+=o.byteLength+s.byteLength,a}_bufferTake(){const o=k.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,o}_writeSoon(o,s){this._bufferAdd(o,s)&&this._scheduleWriting()}_scheduleWriting(){this._writeNowTimeout||(this._writeNowTimeout=setTimeout(()=>{this._writeNowTimeout=null,this._writeNow()}))}_writeNow(){if(this._totalLength===0||this._isPaused)return;const o=this._bufferTake();this._socket.traceSocketEvent("protocolWrite",{byteLength:o.byteLength}),this._socket.write(o)}}class w extends L.Disposable{constructor(o){super();this._onMessage=new t.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new t.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=o,this._socketWriter=this._register(new l(this._socket)),this._socketReader=this._register(new v(this._socket)),this._register(this._socketReader.onMessage(s=>{s.type===1&&this._onMessage.fire(s.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(o){this._socketWriter.write(new g(1,0,0,o))}}e.Protocol=w;class S extends T.IPCClient{constructor(o,s,a=null){super(o,s,a);this.protocol=o}static fromSocket(o,s){return new S(new w(o),s)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const o=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),o.end()}}e.Client=S;class y{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new t.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,queueMicrotask(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(o){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(o):this._emitter.fire(o):this._bufferedMessages.push(o)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=y;class d{constructor(o){this.data=o,this.next=null}}class r{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let o=[],s=0,a=this._first;for(;a;)o[s++]=a.data,a=a.next;return o}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(o){const s=new d(o);if(!this._first){this._first=s,this._last=s;return}this._last.next=s,this._last=s}}class c{constructor(){this.lastRuns=[];const o=Date.now();for(let s=0;s<c._HISTORY_LENGTH;s++)this.lastRuns[s]=o-1e3*s;setInterval(()=>{for(let s=c._HISTORY_LENGTH;s>=1;s--)this.lastRuns[s]=this.lastRuns[s-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return c._INSTANCE||(c._INSTANCE=new c),c._INSTANCE}load(){const o=Date.now(),s=(1+c._HISTORY_LENGTH)*1e3;let a=0;for(let u=0;u<c._HISTORY_LENGTH;u++)o-this.lastRuns[u]<=s&&a++;return 1-a/c._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}c._HISTORY_LENGTH=10,c._INSTANCE=null;class i{constructor(o,s=null,a=c.getInstance()){this._onControlMessage=new y,this.onControlMessage=this._onControlMessage.event,this._onMessage=new y,this.onMessage=this._onMessage.event,this._onDidDispose=new y,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new y,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new y,this.onSocketTimeout=this._onSocketTimeout.event,this._loadEstimator=a,this._isReconnecting=!1,this._outgoingUnackMsg=new r,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socketDisposables=[],this._socket=o,this._socketWriter=new l(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new v(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(u=>this._receiveMessage(u))),this._socketDisposables.push(this._socket.onClose(u=>this._onSocketClose.fire(u))),s&&this._socketReader.acceptChunk(s)}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._socketDisposables=(0,L.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const o=new g(5,0,0,P());this._socketWriter.write(o),this._socketWriter.flush()}sendPause(){const o=new g(7,0,0,P());this._socketWriter.write(o)}sendResume(){const o=new g(8,0,0,P());this._socketWriter.write(o)}pauseSocketWriting(){this._socketWriter.pause()}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(o,s){this._isReconnecting=!0,this._socketDisposables=(0,L.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socket=o,this._socketWriter=new l(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new v(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(a=>this._receiveMessage(a))),this._socketDisposables.push(this._socket.onClose(a=>this._onSocketClose.fire(a))),this._socketReader.acceptChunk(s)}endAcceptReconnection(){this._isReconnecting=!1,this._incomingAckId=this._incomingMsgId;const o=new g(3,0,this._incomingAckId,P());this._socketWriter.write(o);const s=this._outgoingUnackMsg.toArray();for(let a=0,u=s.length;a<u;a++)this._socketWriter.write(s[a]);this._recvAckCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(o){if(o.ack>this._outgoingAckId){this._outgoingAckId=o.ack;do{const s=this._outgoingUnackMsg.peek();if(s&&s.id<=o.ack)this._outgoingUnackMsg.pop();else break}while(!0)}switch(o.type){case 0:break;case 1:{if(o.id>this._incomingMsgId)if(o.id!==this._incomingMsgId+1){const s=Date.now();s-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=s,this._socketWriter.write(new g(6,0,0,P())))}else this._incomingMsgId=o.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(o.data);break}case 2:{this._onControlMessage.fire(o.data);break}case 3:break;case 5:{this._onDidDispose.fire();break}case 6:{const s=this._outgoingUnackMsg.toArray();for(let a=0,u=s.length;a<u;a++)this._socketWriter.write(s[a]);this._recvAckCheck();break}case 7:{this._socketWriter.pause();break}case 8:{this._socketWriter.resume();break}}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(o){const s=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const a=new g(1,s,this._incomingAckId,o);this._outgoingUnackMsg.push(a),this._isReconnecting||(this._socketWriter.write(a),this._recvAckCheck())}sendControl(o){const s=new g(2,0,0,o);this._socketWriter.write(s)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const o=Date.now()-this._incomingMsgLastTime;if(o>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-o+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout||this._isReconnecting)return;const o=this._outgoingUnackMsg.peek(),s=Date.now()-o.writtenTime,a=Date.now()-this._socketReader.lastReadTime,u=Date.now()-this._lastSocketTimeoutTime;if(s>=2e4&&a>=2e4&&u>=2e4&&!this._loadEstimator.hasHighLoad()){this._lastSocketTimeoutTime=Date.now(),this._onSocketTimeout.fire(void 0);return}const m=Math.max(2e4-s,2e4-a,2e4-u,500);this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},m)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const o=new g(3,0,this._incomingAckId,P());this._socketWriter.write(o)}}e.PersistentProtocol=i}),define(te[118],ne([0,1,75,3,36,117]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;class A extends L.IPCServer{static getOnDidClientConnect(){const b=t.Event.fromNodeEventEmitter(k.ipcRenderer,"vscode:createMessageChannel",(I,P)=>P);return t.Event.map(b,I=>{const{port1:P,port2:E}=new MessageChannel,p={protocol:new T.Protocol(P),onDidClientDisconnect:t.Event.fromDOMEventEmitter(P,"close")};return k.ipcRenderer.postMessage("vscode:createMessageChannelResult",I,[E]),p})}constructor(){super(A.getOnDidClientConnect())}}e.Server=A}),define(te[119],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OfflineError=e.isOfflineError=void 0;const k="Offline";function t(T){return T instanceof L?!0:T instanceof Error&&T.name===k&&T.message===k}e.isOfflineError=t;class L extends Error{constructor(){super(k);this.name=this.message}}e.OfflineError=L}),define(te[120],ne([0,1,17,9,119]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.request=void 0;function T(b,I){if(!navigator.onLine)throw new L.OfflineError;b.proxyAuthorization&&(b.headers={...b.headers||{},"Proxy-Authorization":b.proxyAuthorization});const P=new XMLHttpRequest;return new Promise((E,f)=>{P.open(b.type||"GET",b.url||"",!0,b.user,b.password),A(P,b),P.responseType="arraybuffer",P.onerror=p=>f(new Error(P.statusText&&"XHR failed: "+P.statusText||"XHR failed")),P.onload=p=>{E({res:{statusCode:P.status,headers:R(P)},stream:(0,k.bufferToStream)(k.VSBuffer.wrap(new Uint8Array(P.response)))})},P.ontimeout=p=>f(new Error(`XHR timeout: ${b.timeout}ms`)),b.timeout&&(P.timeout=b.timeout),P.send(b.data),I.onCancellationRequested(()=>{P.abort(),f((0,t.canceled)())})})}e.request=T;function A(b,I){if(I.headers){e:for(let P in I.headers){switch(P){case"User-Agent":case"Accept-Encoding":case"Content-Length":continue e}b.setRequestHeader(P,I.headers[P])}}}function R(b){const I=Object.create(null);for(const P of b.getAllResponseHeaders().split(/\r\n|\n|\r/g))if(P){const E=P.indexOf(":");I[P.substr(0,E).trim().toLowerCase()]=P.substr(E+1).trim()}return I}}),define(te[76],ne([0,1,5,3,2,11]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.isStorageItemsChangeEvent=e.StorageHint=void 0;var A;(function(E){E[E.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(A=e.StorageHint||(e.StorageHint={}));function R(E){const f=E;return f?.changed instanceof Map||f?.deleted instanceof Set}e.isStorageItemsChangeEvent=R;var b;(function(E){E[E.None=0]="None",E[E.Initialized=1]="Initialized",E[E.Closed=2]="Closed"})(b||(b={}));class I extends L.Disposable{constructor(f,p=Object.create(null)){super();this.database=f,this.options=p,this._onDidChangeStorage=this._register(new t.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=b.None,this.cache=new Map,this.flushDelayer=new k.ThrottledDelayer(I.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(f=>this.onDidChangeItemsExternal(f)))}onDidChangeItemsExternal(f){f.changed?.forEach((p,h)=>this.accept(h,p)),f.deleted?.forEach(p=>this.accept(p,void 0))}accept(f,p){if(this.state===b.Closed)return;let h=!1;(0,T.isUndefinedOrNull)(p)?h=this.cache.delete(f):this.cache.get(f)!==p&&(this.cache.set(f,p),h=!0),h&&this._onDidChangeStorage.fire(f)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===b.None&&(this.state=b.Initialized,this.options.hint!==A.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(f,p){const h=this.cache.get(f);return(0,T.isUndefinedOrNull)(h)?p:h}getBoolean(f,p){const h=this.get(f);return(0,T.isUndefinedOrNull)(h)?p:h==="true"}getNumber(f,p){const h=this.get(f);return(0,T.isUndefinedOrNull)(h)?p:parseInt(h,10)}async set(f,p){if(this.state===b.Closed)return;if((0,T.isUndefinedOrNull)(p))return this.delete(f);const h=String(p);if(this.cache.get(f)!==h)return this.cache.set(f,h),this.pendingInserts.set(f,h),this.pendingDeletes.delete(f),this._onDidChangeStorage.fire(f),this.doFlush()}async delete(f){if(!(this.state===b.Closed||!this.cache.delete(f)))return this.pendingDeletes.has(f)||this.pendingDeletes.add(f),this.pendingInserts.delete(f),this._onDidChangeStorage.fire(f),this.doFlush()}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=b.Closed;try{await this.doFlush(0)}catch{}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const f={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(f).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async flush(f){if(!!this.hasPending)return this.doFlush(f)}async doFlush(f){return this.flushDelayer.trigger(()=>this.flushPending(),f)}async whenFlushed(){if(!!this.hasPending)return new Promise(f=>this.whenFlushedCallbacks.push(f))}dispose(){this.flushDelayer.dispose(),super.dispose()}}e.Storage=I,I.DEFAULT_FLUSH_DELAY=100;class P{constructor(){this.onDidChangeItemsExternal=t.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(f){f.insert&&f.insert.forEach((p,h)=>this.items.set(h,p)),f.delete&&f.delete.forEach(p=>this.items.delete(p))}async close(){}}e.InMemoryStorageDatabase=P}),define(te[121],ne([12,13]),function(J,e){return J.create("vs/base/common/date",e)}),define(te[57],ne([0,1,121]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const t=60,L=t*60,T=L*24,A=T*7,R=T*30,b=T*365;function I(E,f,p){typeof E!="number"&&(E=E.getTime());const h=Math.round((new Date().getTime()-E)/1e3);if(h<-30)return(0,k.localize)(0,null,I(new Date().getTime()+h*1e3,!1));if(h<30)return(0,k.localize)(1,null);let g;return h<t?(g=h,f?g===1?p?(0,k.localize)(2,null,g):(0,k.localize)(3,null,g):p?(0,k.localize)(4,null,g):(0,k.localize)(5,null,g):g===1?p?(0,k.localize)(6,null,g):(0,k.localize)(7,null,g):p?(0,k.localize)(8,null,g):(0,k.localize)(9,null,g)):h<L?(g=Math.floor(h/t),f?g===1?p?(0,k.localize)(10,null,g):(0,k.localize)(11,null,g):p?(0,k.localize)(12,null,g):(0,k.localize)(13,null,g):g===1?p?(0,k.localize)(14,null,g):(0,k.localize)(15,null,g):p?(0,k.localize)(16,null,g):(0,k.localize)(17,null,g)):h<T?(g=Math.floor(h/L),f?g===1?p?(0,k.localize)(18,null,g):(0,k.localize)(19,null,g):p?(0,k.localize)(20,null,g):(0,k.localize)(21,null,g):g===1?p?(0,k.localize)(22,null,g):(0,k.localize)(23,null,g):p?(0,k.localize)(24,null,g):(0,k.localize)(25,null,g)):h<A?(g=Math.floor(h/T),f?g===1?(0,k.localize)(26,null,g):(0,k.localize)(27,null,g):g===1?(0,k.localize)(28,null,g):(0,k.localize)(29,null,g)):h<R?(g=Math.floor(h/A),f?g===1?p?(0,k.localize)(30,null,g):(0,k.localize)(31,null,g):p?(0,k.localize)(32,null,g):(0,k.localize)(33,null,g):g===1?p?(0,k.localize)(34,null,g):(0,k.localize)(35,null,g):p?(0,k.localize)(36,null,g):(0,k.localize)(37,null,g)):h<b?(g=Math.floor(h/R),f?g===1?p?(0,k.localize)(38,null,g):(0,k.localize)(39,null,g):p?(0,k.localize)(40,null,g):(0,k.localize)(41,null,g):g===1?p?(0,k.localize)(42,null,g):(0,k.localize)(43,null,g):p?(0,k.localize)(44,null,g):(0,k.localize)(45,null,g)):(g=Math.floor(h/b),f?g===1?p?(0,k.localize)(46,null,g):(0,k.localize)(47,null,g):p?(0,k.localize)(48,null,g):(0,k.localize)(49,null,g):g===1?p?(0,k.localize)(50,null,g):(0,k.localize)(51,null,g):p?(0,k.localize)(52,null,g):(0,k.localize)(53,null,g))}e.fromNow=I;function P(E){return E.getFullYear()+"-"+String(E.getMonth()+1).padStart(2,"0")+"-"+String(E.getDate()).padStart(2,"0")+"T"+String(E.getHours()).padStart(2,"0")+":"+String(E.getMinutes()).padStart(2,"0")+":"+String(E.getSeconds()).padStart(2,"0")+"."+(E.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=P}),define(te[122],ne([12,13]),function(J,e){return J.create("vs/base/common/errorMessage",e)}),define(te[37],ne([0,1,16,11,122]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.toErrorMessage=void 0;function T(E,f){return f&&(E.stack||E.stacktrace)?L.localize(0,null,R(E),A(E.stack)||A(E.stacktrace)):R(E)}function A(E){return Array.isArray(E)?E.join(`
`):E}function R(E){return typeof E.code=="string"&&typeof E.errno=="number"&&typeof E.syscall=="string"?L.localize(1,null,E.message):E.message||L.localize(2,null)}function b(E=null,f=!1){if(!E)return L.localize(3,null);if(Array.isArray(E)){const p=k.coalesce(E),h=b(p[0],f);return p.length>1?L.localize(4,null,h,p.length):h}if(t.isString(E))return E;if(E.detail){const p=E.detail;if(p.error)return T(p.error,f);if(p.exception)return T(p.exception,f)}return E.stack?T(E,f):E.message?E.message:L.localize(5,null)}e.toErrorMessage=b;function I(E){const f=E;return f instanceof Error&&Array.isArray(f.actions)}e.isErrorWithActions=I;function P(E,f=Object.create(null)){const p=new Error(E);return f.actions&&(p.actions=f.actions),p}e.createErrorWithActions=P}),define(te[123],ne([12,13]),function(J,e){return J.create("vs/base/node/processes",e)}),define(te[77],ne([0,1,46,41,18,28,10,4,33,103,11,111,22,123]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.removeDangerousEnvVariables=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return I.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return I.TerminateResponseCode}});function h(r){switch(r){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function g(r,c){if(R.isWindows)try{const i={stdio:["pipe","pipe","ignore"]};c&&(i.cwd=c);const n=k.execFile("taskkill",["/T","/F","/PID",r.pid.toString()],i);return new Promise(o=>{n.once("error",s=>{o({success:!1,error:s})}),n.once("exit",(s,a)=>{o(s===0?{success:!0}:{success:!1,code:s!==null?s:1})})})}catch(i){return Promise.resolve({success:!1,error:i,code:i.status?h(i.status):1})}else if(R.isLinux||R.isMacintosh)try{const i=L.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",J).fsPath;return new Promise(n=>{k.execFile(i,[r.pid.toString()],{encoding:"utf8",shell:!0},(o,s,a)=>{n(o?{success:!1,error:o}:{success:!0})})})}catch(i){return Promise.resolve({success:!1,error:i})}else r.kill("SIGKILL");return Promise.resolve({success:!0})}function v(r){!r||(delete r.DEBUG,R.isMacintosh&&delete r.DYLD_LIBRARY_PATH,R.isLinux&&delete r.LD_PRELOAD)}e.removeDangerousEnvVariables=v;function l(r=b.env){return r.comspec||"cmd.exe"}e.getWindowsShell=l;class w{constructor(c,i,n,o){if(i!==void 0&&n!==void 0&&o!==void 0)this.cmd=c,this.args=i,this.shell=n,this.options=o;else{const s=c;this.cmd=s.command,this.shell=s.isShellCommand,this.args=s.args.slice(0),this.options=s.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const s=Object.create(null);Object.keys(b.env).forEach(a=>{s[a]=b.env[a]}),Object.keys(this.options.env).forEach(a=>{s[a]=this.options.env[a]}),this.options.env=s}}getSanitizedCommand(){let c=this.cmd.toLowerCase();const i=c.lastIndexOf(A.sep);return i!==-1&&(c=c.substring(i+1)),w.WellKnowCommands[c]?c:"other"}start(c){return R.isWindows&&(this.options&&this.options.cwd&&t.isUNC(this.options.cwd)||!this.options&&t.isUNC(b.cwd()))?Promise.reject(new Error(p.localize(0,null))):this.useExec().then(i=>{let n,o;const s=new Promise((a,u)=>{n=a,o=u});if(i){let a=this.cmd;this.args&&(a=a+" "+this.args.join(" ")),this.childProcess=k.exec(a,this.options,(u,m,C)=>{this.childProcess=null;const _=u;_&&_.killed?o({killed:this.terminateRequested,stdout:m.toString(),stderr:C.toString()}):this.handleExec(n,c,u,m,C)})}else{let a=null;const u=m=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(m,n,c,o);const C={terminated:this.terminateRequested};P.isNumber(m)&&(C.cmdCode=m),n(C)};if(this.shell&&R.isWindows){const m=T.deepClone(this.options);m.windowsVerbatimArguments=!0,m.detached=!1;let C=!1,_=!1;const O=[];let M=this.ensureQuotes(this.cmd);O.push(M.value),C=M.quoted,this.args&&this.args.forEach(U=>{M=this.ensureQuotes(U),O.push(M.value),_=_&&M.quoted});const D=["/s","/c"];C?_?D.push('"'+O.join(" ")+'"'):O.length>1?D.push('"'+O[0]+'" '+O.slice(1).join(" ")):D.push('"'+O[0]+'"'):D.push(O.join(" ")),a=k.spawn(l(),D,m)}else this.cmd&&(a=k.spawn(this.cmd,this.args,this.options));a&&(this.childProcess=a,this.childProcessPromise=Promise.resolve(a),this.pidResolve&&(this.pidResolve(P.isNumber(a.pid)?a.pid:-1),this.pidResolve=void 0),a.on("error",m=>{this.childProcess=null,o({terminated:this.terminateRequested,error:m})}),a.pid&&(this.childProcess.on("close",u),this.handleSpawn(a,n,c,o,!0)))}return s})}handleClose(c,i,n,o){}ensureQuotes(c){return w.regexp.test(c)?{value:'"'+c+'"',quoted:!0}:{value:c,quoted:c.length>0&&c[0]==='"'&&c[c.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(c=>c.pid,c=>-1):new Promise(c=>{this.pidResolve=c})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(c=>(this.terminateRequested=!0,g(c,this.options.cwd).then(i=>(i.success&&(this.childProcess=null),i))),c=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(c=>{if(!this.shell||!R.isWindows)return c(!1);const i=k.spawn(l(),["/s","/c"]);i.on("error",n=>c(!0)),i.on("exit",n=>c(!1))})}}e.AbstractProcess=w,w.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},w.regexp=/^[^"].* .*[^"]/;class S extends w{constructor(c,i,n,o){super(c,i,n,o);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(c,i,n,o,s){[o,s].forEach((a,u)=>{const m=new E.LineDecoder;m.write(a).forEach(O=>{i({line:O,source:u===0?0:1})});const _=m.end();_&&i({line:_,source:u===0?0:1})}),c({terminated:this.terminateRequested,error:n})}handleSpawn(c,i,n,o,s){const a=new E.LineDecoder,u=new E.LineDecoder;c.stdout.on("data",m=>{a.write(m).forEach(_=>n({line:_,source:0}))}),c.stderr.on("data",m=>{u.write(m).forEach(_=>n({line:_,source:1}))}),this.stdoutLineDecoder=a,this.stderrLineDecoder=u}handleClose(c,i,n,o){const s=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;s&&n({line:s,source:0});const a=this.stderrLineDecoder?this.stderrLineDecoder.end():null;a&&n({line:a,source:1})}}e.LineProcess=S;function y(r){let c=[],i=!1;const n=function(o){if(i){c.push(o);return}(!r.send(o,a=>{if(a&&console.error(a),i=!1,c.length>0){const u=c.slice(0);c=[],u.forEach(m=>n(m))}})||R.isWindows)&&(i=!0)};return{send:n}}e.createQueuedSender=y;var d;(function(r){async function c(i,n,o){if(A.isAbsolute(i))return i;if(n===void 0&&(n=b.cwd()),A.dirname(i)!=="."||(o===void 0&&P.isString(b.env.PATH)&&(o=b.env.PATH.split(A.delimiter)),o===void 0||o.length===0))return A.join(n,i);async function a(u){if(await f.Promises.exists(u)){let m;try{m=await f.Promises.stat(u)}catch(C){C.message.startsWith("EACCES")&&(m=await f.Promises.lstat(u))}return m?!m.isDirectory():!1}return!1}for(let u of o){let m;if(A.isAbsolute(u)?m=A.join(u,i):m=A.join(n,u,i),await a(m))return m;let C=m+".com";if(await a(C)||(C=m+".exe",await a(C)))return C}return A.join(n,i)}r.findExecutable=c})(d=e.win32||(e.win32={}))}),define(te[124],ne([0,1,34,4,73,77]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function A(p,h){return p===1?t.isWindows?E():T.getWindowsShell(h):I(p,h)}e.getSystemShell=A;function R(p,h){return p===1?t.isWindows?f(h):T.getWindowsShell(h):I(p,h)}e.getSystemShellSync=R;let b=null;function I(p,h){if(t.isLinux&&p===2||t.isMacintosh&&p===3)return"/bin/bash";if(!b){let g;if(t.isWindows)g="/bin/bash";else{if(g=h.SHELL,!g)try{g=(0,k.userInfo)().shell}catch{}g||(g="sh"),g==="/bin/false"&&(g="/bin/bash")}b=g}return b}let P=null;async function E(){return P||(P=(await(0,L.getFirstAvailablePowerShellInstallation)()).exePath),P}function f(p){if(P)return P;const h=t.isWindows&&parseFloat((0,k.release)())>=10,g=p.hasOwnProperty("PROCESSOR_ARCHITEW6432"),v=`${p.windir}\\${g?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return h?v:T.getWindowsShell(p)}}),define(te[58],ne([0,1,46,5,17,25,107,9,3,2,28,77,36]),function(J,e,k,t,L,T,A,R,b,I,P,E,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class p extends f.ChannelServer{constructor(v){super({send:l=>{try{process.send&&process.send(l.buffer.toString("base64"))}catch{}},onMessage:b.Event.fromNodeEventEmitter(process,"message",l=>L.VSBuffer.wrap(Buffer.from(l,"base64")))},v);process.once("disconnect",()=>this.dispose())}}e.Server=p;class h{constructor(v,l){this.modulePath=v,this.options=l,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new b.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const w=l&&l.timeout?l.timeout:6e4;this.disposeDelayer=new t.Delayer(w),this.child=null,this._client=null}getChannel(v){const l=this;return{call(w,S,y){return l.requestPromise(v,w,S,y)},listen(w,S){return l.requestEvent(v,w,S)}}}requestPromise(v,l,w,S=T.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(S.isCancellationRequested)return Promise.reject(R.canceled());this.disposeDelayer.cancel();const y=this.getCachedChannel(v),d=(0,t.createCancelablePromise)(i=>y.call(l,w,i)),r=S.onCancellationRequested(()=>d.cancel()),c=(0,I.toDisposable)(()=>d.cancel());return this.activeRequests.add(c),d.finally(()=>{r.dispose(),this.activeRequests.delete(c),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),d}requestEvent(v,l,w){if(!this.disposeDelayer)return b.Event.None;this.disposeDelayer.cancel();let S;const y=new b.Emitter({onFirstListenerAdd:()=>{S=this.getCachedChannel(v).listen(l,w)(y.fire,y),this.activeRequests.add(S)},onLastListenerRemove:()=>{this.activeRequests.delete(S),S.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return y.event}get client(){if(!this._client){const v=this.options&&this.options.args?this.options.args:[],l=Object.create(null);l.env={...(0,P.deepClone)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(l.env={...l.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(l.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(l.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(l.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),l.execArgv===void 0&&(l.execArgv=process.execArgv.filter(n=>!/^--inspect(-brk)?=/.test(n))),(0,E.removeDangerousEnvVariables)(l.env),this.child=(0,k.fork)(this.modulePath,v,l);const w=new b.Emitter;b.Event.fromNodeEventEmitter(this.child,"message",n=>n)(n=>{if((0,A.isRemoteConsoleLog)(n)){(0,A.log)(n,`IPC Library: ${this.options.serverName}`);return}w.fire(L.VSBuffer.wrap(Buffer.from(n,"base64")))});const y=this.options.useQueue?(0,E.createQueuedSender)(this.child):this.child,d=n=>this.child&&this.child.connected&&y.send(n.buffer.toString("base64")),r=w.event,c={send:d,onMessage:r};this._client=new f.ChannelClient(c);const i=()=>this.disposeClient();process.once("exit",i),this.child.on("error",n=>console.warn('IPC "'+this.options.serverName+'" errored with '+n)),this.child.on("exit",(n,o)=>{process.removeListener("exit",i),this.activeRequests.forEach(s=>(0,I.dispose)(s)),this.activeRequests.clear(),n!==0&&o!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+n+" and signal "+o),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:n,signal:o})})}return this._client}getCachedChannel(v){let l=this.channels.get(v);return l||(l=this.client.getChannel(v),this.channels.set(v,l)),l}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=h}),define(te[125],ne([12,13]),function(J,e){return J.create("vs/base/node/zip",e)}),define(te[126],ne([12,13]),function(J,e){return J.create("vs/platform/configuration/common/configurationRegistry",e)}),define(te[127],ne([12,13]),function(J,e){return J.create("vs/platform/environment/node/argv",e)}),define(te[128],ne([12,13]),function(J,e){return J.create("vs/platform/environment/node/argvHelper",e)}),define(te[129],ne([12,13]),function(J,e){return J.create("vs/platform/extensionManagement/common/abstractExtensionManagementService",e)}),define(te[130],ne([12,13]),function(J,e){return J.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(te[131],ne([12,13]),function(J,e){return J.create("vs/platform/extensionManagement/electron-sandbox/extensionTipsService",e)}),define(te[132],ne([12,13]),function(J,e){return J.create("vs/platform/extensionManagement/node/extensionManagementService",e)}),define(te[133],ne([12,13]),function(J,e){return J.create("vs/platform/extensionManagement/node/extensionManagementUtil",e)}),define(te[134],ne([12,13]),function(J,e){return J.create("vs/platform/extensionManagement/node/extensionsScanner",e)}),define(te[135],ne([12,13]),function(J,e){return J.create("vs/platform/extensions/common/extensionValidator",e)}),define(te[136],ne([12,13]),function(J,e){return J.create("vs/platform/files/common/fileService",e)}),define(te[137],ne([12,13]),function(J,e){return J.create("vs/platform/files/common/files",e)}),define(te[138],ne([12,13]),function(J,e){return J.create("vs/platform/files/common/io",e)}),define(te[139],ne([12,13]),function(J,e){return J.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(te[140],ne([12,13]),function(J,e){return J.create("vs/platform/request/common/request",e)}),define(te[141],ne([12,13]),function(J,e){return J.create("vs/platform/telemetry/common/telemetryService",e)}),define(te[142],ne([12,13]),function(J,e){return J.create("vs/platform/terminal/common/terminalPlatformConfiguration",e)}),define(te[143],ne([12,13]),function(J,e){return J.create("vs/platform/terminal/node/shellEnv",e)}),define(te[144],ne([12,13]),function(J,e){return J.create("vs/platform/userDataSync/common/abstractSynchronizer",e)}),define(te[145],ne([12,13]),function(J,e){return J.create("vs/platform/userDataSync/common/keybindingsSync",e)}),define(te[146],ne([12,13]),function(J,e){return J.create("vs/platform/userDataSync/common/settingsSync",e)}),define(te[147],ne([12,13]),function(J,e){return J.create("vs/platform/userDataSync/common/userDataAutoSyncService",e)}),define(te[148],ne([12,13]),function(J,e){return J.create("vs/platform/userDataSync/common/userDataSync",e)}),define(te[149],ne([12,13]),function(J,e){return J.create("vs/platform/userDataSync/common/userDataSyncMachines",e)}),define(te[150],ne([0,1,4]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AssignmentFilterProvider=e.Filters=e.TargetPopulation=e.ASSIGNMENT_REFETCH_INTERVAL=e.ASSIGNMENT_STORAGE_KEY=void 0,e.ASSIGNMENT_STORAGE_KEY="VSCode.ABExp.FeatureData",e.ASSIGNMENT_REFETCH_INTERVAL=0;var t;(function(A){A.Team="team",A.Internal="internal",A.Insiders="insider",A.Public="public"})(t=e.TargetPopulation||(e.TargetPopulation={}));var L;(function(A){A.Market="X-MSEdge-Market",A.CorpNet="X-FD-Corpnet",A.ApplicationVersion="X-VSCode-AppVersion",A.Build="X-VSCode-Build",A.ClientId="X-MSEdge-ClientId",A.ExtensionName="X-VSCode-ExtensionName",A.Language="X-VSCode-Language",A.TargetPopulation="X-VSCode-TargetPopulation"})(L=e.Filters||(e.Filters={}));class T{constructor(R,b,I,P){this.version=R,this.appName=b,this.machineId=I,this.targetPopulation=P}getFilterValue(R){switch(R){case L.ApplicationVersion:return this.version;case L.Build:return this.appName;case L.ClientId:return this.machineId;case L.Language:return k.language;case L.ExtensionName:return"vscode-core";case L.TargetPopulation:return this.targetPopulation;default:return""}}getFilters(){let R=new Map,b=Object.values(L);for(let I of b)R.set(I,this.getFilterValue(I));return R}}e.AssignmentFilterProvider=T}),define(te[78],ne([0,1,57,54,18,10,33,20,7]),function(J,e,k,t,L,T,A,R,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parsePtyHostPort=e.parseSearchPort=e.parseExtensionHostPort=e.AbstractNativeEnvironmentService=void 0;class I{constructor(g,v,l){this._args=g,this.paths=v,this.productService=l}get appRoot(){return(0,T.dirname)(L.FileAccess.asFileUri("",J).fsPath)}get userHome(){return b.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return b.URI.file((0,T.join)(this.userDataPath,"User"))}get tmpDir(){return b.URI.file(this.paths.tmpDir)}get cacheHome(){return b.URI.file(this.userDataPath)}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return(0,R.joinPath)(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return(0,R.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const g=(0,k.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,T.join)(this.userDataPath,"logs",g)}return this.args.logsPath}get userDataSyncLogResource(){return b.URI.file((0,T.join)(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,R.joinPath)(b.URI.file((0,T.join)(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return b.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return b.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return(0,R.joinPath)(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return(0,R.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const g=A.env.VSCODE_PORTABLE;return g?b.URI.file((0,T.join)(g,"argv.json")):(0,R.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get snippetsHome(){return(0,R.joinPath)(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return b.URI.file((0,T.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,T.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const g=this.args["builtin-extensions-dir"];return g?(0,T.resolve)(g):(0,T.normalize)((0,T.join)(L.FileAccess.asFileUri("",J).fsPath,"..","extensions"))}get extensionsDownloadPath(){const g=this.args["extensions-download-dir"];return g?(0,T.resolve)(g):(0,T.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const g=this.args["extensions-dir"];if(g)return(0,T.resolve)(g);const v=A.env.VSCODE_EXTENSIONS;if(v)return v;const l=A.env.VSCODE_PORTABLE;return l?(0,T.join)(l,"extensions"):(0,R.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const g=this.args.extensionDevelopmentPath;if(Array.isArray(g))return g.map(v=>/^[^:/?#]+?:\/\//.test(v)?b.URI.parse(v):b.URI.file((0,T.normalize)(v)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(g=>g==="ui"||g==="workspace"||g==="web"?g:"workspace")}get extensionTestsLocationURI(){const g=this.args.extensionTestsPath;if(g)return/^[^:/?#]+?:\/\//.test(g)?b.URI.parse(g):b.URI.file((0,T.normalize)(g))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const g=this.args["disable-extension"];if(g){if(typeof g=="string")return[g];if(Array.isArray(g)&&g.length>0)return g}return!1}get debugExtensionHost(){return P(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!A.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,R.joinPath)(b.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get driverHandle(){return this.args.driver}get telemetryLogResource(){return b.URI.file((0,T.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get args(){return this._args}}he([t.memoize],I.prototype,"appRoot",null),he([t.memoize],I.prototype,"userHome",null),he([t.memoize],I.prototype,"userDataPath",null),he([t.memoize],I.prototype,"appSettingsHome",null),he([t.memoize],I.prototype,"tmpDir",null),he([t.memoize],I.prototype,"cacheHome",null),he([t.memoize],I.prototype,"userRoamingDataHome",null),he([t.memoize],I.prototype,"settingsResource",null),he([t.memoize],I.prototype,"userDataSyncHome",null),he([t.memoize],I.prototype,"userDataSyncLogResource",null),he([t.memoize],I.prototype,"sync",null),he([t.memoize],I.prototype,"machineSettingsResource",null),he([t.memoize],I.prototype,"globalStorageHome",null),he([t.memoize],I.prototype,"workspaceStorageHome",null),he([t.memoize],I.prototype,"keybindingsResource",null),he([t.memoize],I.prototype,"keyboardLayoutResource",null),he([t.memoize],I.prototype,"argvResource",null),he([t.memoize],I.prototype,"snippetsHome",null),he([t.memoize],I.prototype,"isExtensionDevelopment",null),he([t.memoize],I.prototype,"untitledWorkspacesHome",null),he([t.memoize],I.prototype,"installSourcePath",null),he([t.memoize],I.prototype,"builtinExtensionsPath",null),he([t.memoize],I.prototype,"extensionsPath",null),he([t.memoize],I.prototype,"extensionDevelopmentLocationURI",null),he([t.memoize],I.prototype,"extensionDevelopmentKind",null),he([t.memoize],I.prototype,"extensionTestsLocationURI",null),he([t.memoize],I.prototype,"debugExtensionHost",null),he([t.memoize],I.prototype,"serviceMachineIdResource",null),he([t.memoize],I.prototype,"telemetryLogResource",null),he([t.memoize],I.prototype,"disableWorkspaceTrust",null),e.AbstractNativeEnvironmentService=I;function P(h,g){return p(h["inspect-extensions"],h["inspect-brk-extensions"],5870,g,h.debugId,h.extensionEnvironment)}e.parseExtensionHostPort=P;function E(h,g){return p(h["inspect-search"],h["inspect-brk-search"],5876,g,h.extensionEnvironment)}e.parseSearchPort=E;function f(h,g){return p(h["inspect-ptyhost"],h["inspect-brk-ptyhost"],5877,g,h.extensionEnvironment)}e.parsePtyHostPort=f;function p(h,g,v,l,w,S){const d=Number(g||h)||(l?null:v),r=d?Boolean(!!g):!1;let c;if(S)try{c=JSON.parse(S)}catch{}return{port:d,break:r,debugId:w,env:c}}}),define(te[151],ne([0,1,254,4,127]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buildVersionMessage=e.buildHelpMessage=e.formatOptions=e.parseArgs=e.OPTIONS=void 0;const T={o:(0,L.localize)(0,null),e:(0,L.localize)(1,null),t:(0,L.localize)(2,null)};e.OPTIONS={diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:(0,L.localize)(3,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:(0,L.localize)(4,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:(0,L.localize)(5,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:(0,L.localize)(6,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:(0,L.localize)(7,null)},wait:{type:"boolean",cat:"o",alias:"w",description:(0,L.localize)(8,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:(0,L.localize)(9,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:(0,L.localize)(10,null)},help:{type:"boolean",cat:"o",alias:"h",description:(0,L.localize)(11,null)},"extensions-dir":{type:"string",deprecates:["extensionHomePath"],cat:"e",args:"dir",description:(0,L.localize)(12,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:(0,L.localize)(13,null)},"show-versions":{type:"boolean",cat:"e",description:(0,L.localize)(14,null)},category:{type:"string",cat:"e",description:(0,L.localize)(15,null),args:"category"},"install-extension":{type:"string[]",cat:"e",args:"ext-id | path",description:(0,L.localize)(16,null)},"pre-release":{type:"boolean",cat:"e",description:(0,L.localize)(17,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"ext-id",description:(0,L.localize)(18,null)},"enable-proposed-api":{type:"string[]",cat:"e",args:"ext-id",description:(0,L.localize)(19,null)},version:{type:"boolean",cat:"t",alias:"v",description:(0,L.localize)(20,null)},verbose:{type:"boolean",cat:"t",description:(0,L.localize)(21,null)},log:{type:"string",cat:"t",args:"level",description:(0,L.localize)(22,null)},status:{type:"boolean",alias:"s",cat:"t",description:(0,L.localize)(23,null)},"prof-startup":{type:"boolean",cat:"t",description:(0,L.localize)(24,null)},"prof-append-timers":{type:"string"},"no-cached-data":{type:"boolean"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:["disableExtensions"],cat:"t",description:(0,L.localize)(25,null)},"disable-extension":{type:"string[]",cat:"t",args:"ext-id",description:(0,L.localize)(26,null)},sync:{type:"string",cat:"t",description:(0,L.localize)(27,null),args:["on | off"]},"inspect-extensions":{type:"string",deprecates:["debugPluginHost"],args:"port",cat:"t",description:(0,L.localize)(28,null)},"inspect-brk-extensions":{type:"string",deprecates:["debugBrkPluginHost"],args:"port",cat:"t",description:(0,L.localize)(29,null)},"disable-gpu":{type:"boolean",cat:"t",description:(0,L.localize)(30,null)},"ms-enable-electron-run-as-node":{type:"boolean"},"max-memory":{type:"string",cat:"t",description:(0,L.localize)(31,null),args:"memory"},telemetry:{type:"boolean",cat:"t",description:(0,L.localize)(32,null)},remote:{type:"string"},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionDevelopmentKind:{type:"string[]"},extensionTestsPath:{type:"string"},extensionEnvironment:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-ptyhost":{type:"string"},"inspect-brk-ptyhost":{type:"string"},"inspect-search":{type:"string",deprecates:["debugSearch"]},"inspect-brk-search":{type:"string",deprecates:["debugBrkSearch"]},"export-default-configuration":{type:"string"},"install-source":{type:"string"},driver:{type:"string"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"skip-welcome":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"disable-keytar":{type:"boolean"},"disable-workspace-trust":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"driver-verbose":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},__sandbox:{type:"boolean"},logsPath:{type:"string"},"no-proxy-server":{type:"boolean"},"no-sandbox":{type:"boolean",alias:"sandbox"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string"},"inspect-brk":{type:"string"},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},vmodule:{type:"string"},_urls:{type:"string[]"},"disable-dev-shm-usage":{type:"boolean"},_:{type:"string[]"}};const A={onUnknownOption:()=>{},onMultipleValues:()=>{},onDeprecatedOption:()=>{}};function R(h,g,v=A){const l={},w=[],S=[];for(let c in g){const i=g[c];i.alias&&(l[c]=i.alias),i.type==="string"||i.type==="string[]"?(w.push(c),i.deprecates&&w.push(...i.deprecates)):i.type==="boolean"&&(S.push(c),i.deprecates&&S.push(...i.deprecates))}const y=k(h,{string:w,boolean:S,alias:l}),d={},r=y;d._=y._.map(c=>String(c)).filter(c=>c.length>0),delete r._;for(let c in g){const i=g[c];i.alias&&delete r[i.alias];let n=r[c];if(i.deprecates)for(const o of i.deprecates)r.hasOwnProperty(o)&&(n||(n=r[o],n&&v.onDeprecatedOption(o,i.deprecationMessage||(0,L.localize)(33,null))),delete r[o]);typeof n!="undefined"&&(i.type==="string[]"?n&&!Array.isArray(n)&&(n=[n]):i.type==="string"&&Array.isArray(n)&&(n=n.pop(),v.onMultipleValues(c,n)),d[c]=n,i.deprecationMessage&&v.onDeprecatedOption(c,i.deprecationMessage)),delete r[c]}for(let c in r)v.onUnknownOption(c);return d}e.parseArgs=R;function b(h,g){let v="";return g.args&&(Array.isArray(g.args)?v=` <${g.args.join("> <")}>`:v=` <${g.args}>`),g.alias?`-${g.alias} --${h}${v}`:`--${h}${v}`}function I(h,g){let v=0,l=[];for(const d in h){const r=h[d],c=b(d,r);v=Math.max(v,c.length),l.push([c,r.description])}let w=v+2+1;if(g-w<25)return l.reduce((d,r)=>d.concat([`  ${r[0]}`,`      ${r[1]}`]),[]);let S=g-w-1,y=[];for(const d of l){let r=d[0],c=E(d[1],S),i=P(w-r.length-2);y.push("  "+r+i+c[0]);for(let n=1;n<c.length;n++)y.push(P(w)+c[n])}return y}e.formatOptions=I;function P(h){return" ".repeat(h)}function E(h,g){let v=[];for(;h.length;){let l=h.length<g?h.length:h.lastIndexOf(" ",g),w=h.slice(0,l).trim();h=h.slice(l),v.push(w)}return v}function f(h,g,v,l,w){const S=process.stdout.isTTY&&process.stdout.columns||80,y=w?.noInputFiles!==!0?`[${(0,L.localize)(34,null)}...]`:"",d=[`${h} ${v}`];d.push(""),d.push(`${(0,L.localize)(35,null)}: ${g} [${(0,L.localize)(36,null)}]${y}`),d.push(""),w?.noPipe!==!0&&(t.isWindows?d.push((0,L.localize)(37,null,g)):d.push((0,L.localize)(38,null,g)),d.push(""));const r={};for(const c in l){const i=l[c];if(i.description&&i.cat){let n=r[i.cat];n||(r[i.cat]=n={}),n[c]=i}}for(let c in r){const i=c;let n=r[i];n&&(d.push(T[i]),d.push(...I(n,S)),d.push(""))}return d.join(`
`)}e.buildHelpMessage=f;function p(h,g){return`${h||(0,L.localize)(39,null)}
${g||(0,L.localize)(40,null)}
${process.arch}`}e.buildVersionMessage=p}),define(te[152],ne([0,1,255,128,151]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLaunchedFromCli=e.addArg=e.parseCLIProcessArgv=e.parseMainProcessArgv=void 0;const T=2048;function A(f,p){const h={onUnknownOption:v=>{console.warn((0,t.localize)(0,null,v))},onMultipleValues:(v,l)=>{console.warn((0,t.localize)(1,null,v,l))},onDeprecatedOption:(v,l)=>{console.warn((0,t.localize)(2,null,v,l))}},g=(0,L.parseArgs)(f,L.OPTIONS,p?h:void 0);return g.goto&&g._.forEach(v=>k(/^(\w:)?[^:]+(:\d*){0,2}$/.test(v),(0,t.localize)(3,null))),g["max-memory"]&&k(parseInt(g["max-memory"])>=T,`The max-memory argument cannot be specified lower than ${T} MB.`),g}function R(f){const p=f.findIndex(h=>!/^-/.test(h));if(p>-1)return[...f.slice(0,p),...f.slice(p+1)]}function b(f){let[,...p]=f;process.env.VSCODE_DEV&&(p=R(p)||[]);const h=!E(process.env);return A(p,h)}e.parseMainProcessArgv=b;function I(f){const[,,...p]=f;return A(p,!0)}e.parseCLIProcessArgv=I;function P(f,...p){const h=f.indexOf("--");return h===-1?f.push(...p):f.splice(h,0,...p),f}e.addArg=P;function E(f){return f.VSCODE_CLI==="1"}e.isLaunchedFromCli=E}),function(){"use strict";function J(e,k,t,L){function T(R){const b=A(R),I=[b];return e.isAbsolute(b)||I.unshift(L),e.resolve(...I)}function A(R){const b=process.env.VSCODE_PORTABLE;if(b)return e.join(b,"user-data");let I=process.env.VSCODE_APPDATA;if(I)return e.join(I,t);const P=R["user-data-dir"];if(P)return P;switch(process.platform){case"win32":if(I=process.env.APPDATA,!I){const E=process.env.USERPROFILE;if(typeof E!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");I=e.join(E,"AppData","Roaming")}break;case"darwin":I=e.join(k.homedir(),"Library","Application Support");break;case"linux":I=process.env.XDG_CONFIG_HOME||e.join(k.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(I,t)}return{getUserDataPath:T}}if(typeof define=="function")define(te[153],ne([0,256,34,18,20,33]),function(e,k,t,L,T,A){const R=T.dirname(L.FileAccess.asFileUri("",e)),b=e.__$__nodeRequire(T.joinPath(R,"package.json").fsPath);return J(k,t,b.name,A.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../../package.json"),k=require("path"),t=require("os");module.exports=J(k,t,e.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(te[154],ne([0,1,34,78,153]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeEnvironmentService=void 0;class T extends t.AbstractNativeEnvironmentService{constructor(R,b){super(R,{homeDir:(0,k.homedir)(),tmpDir:(0,k.tmpdir)(),userDataDir:(0,L.getUserDataPath)(R)},b)}}e.NativeEnvironmentService=T}),define(te[155],ne([0,1,7]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemotes=e.getDomainsOfRemotes=e.AllowedSecondLevelDomains=void 0;const t=/^([^@:]+@)?([^:]+):/,L=/^([^@:]+@)?([^:]+):(.+)$/,T=/^([^@]+@)?([^:]+)(:\d+)?$/,A=/([^@:.]+\.[^@:.]+)(:\d+)?$/,R=/^\s*url\s*=\s*(.+\S)\s*$/mg,b=/[^.]/g;e.AllowedSecondLevelDomains=["github.com","bitbucket.org","visualstudio.com","gitlab.com","heroku.com","azurewebsites.net","ibm.com","amazon.com","amazonaws.com","cloudapp.net","rhcloud.com","google.com","azure.com"];function I(v){const l=v.match(A);return l?l[1]:null}function P(v){if(v.indexOf("://")===-1){const l=v.match(t);return l?I(l[2]):null}try{const l=k.URI.parse(v);if(l.authority)return I(l.authority)}catch{}return null}function E(v,l){const w=new Set;let S;for(;S=R.exec(v);){const d=P(S[1]);d&&w.add(d)}const y=new Set(l);return Array.from(w).map(d=>y.has(d)?d:d.replace(b,"a"))}e.getDomainsOfRemotes=E;function f(v){const l=v.match(T);return l?l[2]:null}function p(v,l,w){return v&&l?(w&&l.endsWith(".git")&&(l=l.substr(0,l.length-4)),l.indexOf("/")===0?`${v}${l}`:`${v}/${l}`):null}function h(v,l){if(v.indexOf("://")===-1){const w=v.match(L);if(w)return p(w[2],w[3],l)}try{const w=k.URI.parse(v);if(w.authority)return p(f(w.authority),w.path,l)}catch{}return null}function g(v,l=!1){const w=[];let S;for(;S=R.exec(v);){const y=h(S[1],l);y&&w.push(y)}return w}e.getRemotes=g}),define(te[156],ne([0,1,28]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.localizeManifest=void 0;const t=/^%([\w\d.-]+)%$/i;function L(T,A){const R=b=>{if(typeof b!="string")return;const I=t.exec(b);if(!I)return;const P=A[I[1]]??b;return typeof P=="string"?P:typeof P.message=="string"?P.message:b};return(0,k.cloneAndChange)(T,R)}e.localizeManifest=L}),define(te[157],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionRecommendationNotificationServiceChannel=e.ExtensionRecommendationNotificationServiceChannelClient=void 0;class k{constructor(T){this.channel=T}get ignoredRecommendations(){throw new Error("not supported")}promptImportantExtensionsInstallNotification(T,A,R,b){return this.channel.call("promptImportantExtensionsInstallNotification",[T,A,R,b])}promptWorkspaceRecommendations(T){throw new Error("not supported")}hasToIgnoreRecommendationNotifications(){throw new Error("not supported")}}e.ExtensionRecommendationNotificationServiceChannelClient=k;class t{constructor(T){this.service=T}listen(T,A){throw new Error(`Event not found: ${A}`)}call(T,A,R){switch(A){case"promptImportantExtensionsInstallNotification":return this.service.promptImportantExtensionsInstallNotification(R[0],R[1],R[2],R[3])}throw new Error(`Call not found: ${A}`)}}e.ExtensionRecommendationNotificationServiceChannel=t}),define(te[79],ne([0,1,135]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const t=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,L=/^-(\d{4})(\d{2})(\d{2})$/;function T(f){return f=f.trim(),f==="*"||t.test(f)}e.isValidVersionStr=T;function A(f){if(!T(f))return null;if(f=f.trim(),f==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let p=f.match(t);return p?{hasCaret:p[1]==="^",hasGreaterEquals:p[1]===">=",majorBase:p[2]==="x"?0:parseInt(p[2],10),majorMustEqual:p[2]!=="x",minorBase:p[4]==="x"?0:parseInt(p[4],10),minorMustEqual:p[4]!=="x",patchBase:p[6]==="x"?0:parseInt(p[6],10),patchMustEqual:p[6]!=="x",preRelease:p[8]||null}:null}e.parseVersion=A;function R(f){if(!f)return null;let p=f.majorBase,h=f.majorMustEqual,g=f.minorBase,v=f.minorMustEqual,l=f.patchBase,w=f.patchMustEqual;f.hasCaret&&(p===0||(v=!1),w=!1);let S=0;if(f.preRelease){const y=L.exec(f.preRelease);if(y){const[,d,r,c]=y;S=Date.UTC(Number(d),Number(r)-1,Number(c))}}return{majorBase:p,majorMustEqual:h,minorBase:g,minorMustEqual:v,patchBase:l,patchMustEqual:w,isMinimum:f.hasGreaterEquals,notBefore:S}}e.normalizeVersion=R;function b(f,p,h){let g;typeof f=="string"?g=R(A(f)):g=f;let v;p instanceof Date?v=p.getTime():typeof p=="string"&&(v=new Date(p).getTime());let l;if(typeof h=="string"?l=R(A(h)):l=h,!g||!l)return!1;let w=g.majorBase,S=g.minorBase,y=g.patchBase,d=l.majorBase,r=l.minorBase,c=l.patchBase,i=l.notBefore,n=l.majorMustEqual,o=l.minorMustEqual,s=l.patchMustEqual;return l.isMinimum?w>d?!0:w<d?!1:S>r?!0:S<r||v&&v<i?!1:y>=c:(w===1&&d===0&&(!n||!o||!s)&&(d=1,r=0,c=0,n=!0,o=!1,s=!1),w<d?!1:w>d?!n:S<r?!1:S>r?!o:y<c?!1:y>c?!s:!(v&&v<i))}e.isValidVersion=b;function I(f,p,h,g){return h.isBuiltin||typeof h.main=="undefined"?!0:E(f,p,h.engines.vscode,g)}e.isValidExtensionVersion=I;function P(f,p,h){return f==="*"||E(p,h,f)}e.isEngineValid=P;function E(f,p,h,g=[]){let v=R(A(h));if(!v)return g.push(k.localize(0,null,h)),!1;if(v.majorBase===0){if(!v.majorMustEqual||!v.minorMustEqual)return g.push(k.localize(1,null,h)),!1}else if(!v.majorMustEqual)return g.push(k.localize(2,null,h)),!1;return b(f,p,v)?!0:(g.push(k.localize(3,null,f,h)),!1)}}),define(te[47],ne([0,1,17,29]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function L(T,A,R){let b=R&&R.get("storage.serviceMachineId",0)||null;if(b)return b;try{const P=(await A.readFile(T.serviceMachineIdResource)).value.toString();b=(0,t.isUUID)(P)?P:null}catch{b=null}if(!b){b=(0,t.generateUuid)();try{await A.writeFile(T.serviceMachineIdResource,k.VSBuffer.fromString(b))}catch{}}return R&&R.store("storage.serviceMachineId",b,0,1),b}e.getServiceMachineId=L}),define(te[51],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class k{constructor(L,T=[],A=!1){this.ctor=L,this.staticArguments=T,this.supportsDelayedInstantiation=A}}e.SyncDescriptor=k}),define(te[80],ne([0,1,51]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const t=[];function L(A,R,b){R instanceof k.SyncDescriptor||(R=new k.SyncDescriptor(R,[],b)),t.push([A,R])}e.registerSingleton=L;function T(){return t}e.getSingletonServiceDescriptors=T}),define(te[158],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class k{constructor(T){this.incoming=new Map,this.outgoing=new Map,this.data=T}}e.Node=k;class t{constructor(T){this._hashFn=T,this._nodes=new Map}roots(){const T=[];for(let A of this._nodes.values())A.outgoing.size===0&&T.push(A);return T}insertEdge(T,A){const R=this.lookupOrInsertNode(T),b=this.lookupOrInsertNode(A);R.outgoing.set(this._hashFn(A),b),b.incoming.set(this._hashFn(T),R)}removeNode(T){const A=this._hashFn(T);this._nodes.delete(A);for(let R of this._nodes.values())R.outgoing.delete(A),R.incoming.delete(A)}lookupOrInsertNode(T){const A=this._hashFn(T);let R=this._nodes.get(A);return R||(R=new k(T),this._nodes.set(A,R)),R}lookup(T){return this._nodes.get(this._hashFn(T))}isEmpty(){return this._nodes.size===0}toString(){let T=[];for(let[A,R]of this._nodes)T.push(`${A}, (incoming)[${[...R.incoming.keys()].join(", ")}], (outgoing)[${[...R.outgoing.keys()].join(",")}]`);return T.join(`
`)}findCycleSlow(){for(let[T,A]of this._nodes){const R=new Set([T]),b=this._findCycle(A,R);if(b)return b}}_findCycle(T,A){for(let[R,b]of T.outgoing){if(A.has(R))return[...A,R].join(" -> ");A.add(R);const I=this._findCycle(b,A);if(I)return I;A.delete(R)}}}e.Graph=t}),define(te[6],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var k;(function(A){A.serviceIds=new Map,A.DI_TARGET="$di$target",A.DI_DEPENDENCIES="$di$dependencies";function R(b){return b[A.DI_DEPENDENCIES]||[]}A.getServiceDependencies=R})(k=e._util||(e._util={})),e.IInstantiationService=L("instantiationService");function t(A,R,b,I){R[k.DI_TARGET]===R?R[k.DI_DEPENDENCIES].push({id:A,index:b,optional:I}):(R[k.DI_DEPENDENCIES]=[{id:A,index:b,optional:I}],R[k.DI_TARGET]=R)}function L(A){if(k.serviceIds.has(A))return k.serviceIds.get(A);const R=function(b,I,P){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");t(R,b,P,!1)};return R.toString=()=>A,k.serviceIds.set(A,R),R}e.createDecorator=L;function T(A){return A}e.refineServiceDecorator=T}),define(te[159],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IChecksumService=void 0,e.IChecksumService=(0,k.createDecorator)("checksumService")}),define(te[19],ne([0,1,11,7,6]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,L.createDecorator)("configurationService");function T(v){return v&&typeof v=="object"&&(!v.overrideIdentifier||typeof v.overrideIdentifier=="string")&&(!v.resource||v.resource instanceof t.URI)}e.isConfigurationOverrides=T;function A(v){return v&&typeof v=="object"&&(!v.overrideIdentifiers||k.isArray(v.overrideIdentifiers))&&!v.overrideIdentifier&&(!v.resource||v.resource instanceof t.URI)}e.isConfigurationUpdateOverrides=A;var R;(function(v){v[v.USER=1]="USER",v[v.USER_LOCAL=2]="USER_LOCAL",v[v.USER_REMOTE=3]="USER_REMOTE",v[v.WORKSPACE=4]="WORKSPACE",v[v.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",v[v.DEFAULT=6]="DEFAULT",v[v.MEMORY=7]="MEMORY"})(R=e.ConfigurationTarget||(e.ConfigurationTarget={}));function b(v){switch(v){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=b;function I(v,l){const w=Object.create(null);for(let S in v)P(w,S,v[S],l);return w}e.toValuesTree=I;function P(v,l,w,S){const y=l.split("."),d=y.pop();let r=v;for(let c=0;c<y.length;c++){let i=y[c],n=r[i];switch(typeof n){case"undefined":n=r[i]=Object.create(null);break;case"object":break;default:S(`Ignoring ${l} as ${y.slice(0,c+1).join(".")} is ${JSON.stringify(n)}`);return}r=n}if(typeof r=="object"&&r!==null)try{r[d]=w}catch{S(`Ignoring ${l} as ${y.join(".")} is ${JSON.stringify(r)}`)}else S(`Ignoring ${l} as ${y.join(".")} is ${JSON.stringify(r)}`)}e.addToValueTree=P;function E(v,l){const w=l.split(".");f(v,w)}e.removeFromValueTree=E;function f(v,l){const w=l.shift();if(l.length===0){delete v[w];return}if(Object.keys(v).indexOf(w)!==-1){const S=v[w];typeof S=="object"&&!Array.isArray(S)&&(f(S,l),Object.keys(S).length===0&&delete v[w])}}function p(v,l,w){function S(r,c){let i=r;for(const n of c){if(typeof i!="object"||i===null)return;i=i[n]}return i}const y=l.split("."),d=S(v,y);return typeof d=="undefined"?w:d}e.getConfigurationValue=p;function h(v,l,w){Object.keys(l).forEach(S=>{S!=="__proto__"&&(S in v?k.isObject(v[S])&&k.isObject(l[S])?h(v[S],l[S],w):w&&(v[S]=l[S]):v[S]=l[S])})}e.merge=h;function g(v,l,w){const S=v.inspect(l),y=v.inspect(w);return typeof S.userValue!="undefined"||typeof S.workspaceValue!="undefined"||typeof S.workspaceFolderValue!="undefined"?S.value:typeof y.userValue!="undefined"||typeof y.workspaceValue!="undefined"||typeof y.workspaceFolderValue!="undefined"?y.value:S.defaultValue}e.getMigratedSettingValue=g}),define(te[160],ne([0,1,4,26,6]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.implies=e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.expressionsAreEqualWithConstantSubstitution=e.ContextKeyExpr=e.ContextKeyExprType=void 0;const T=new Map;T.set("false",!1),T.set("true",!0),T.set("isMac",k.isMacintosh),T.set("isLinux",k.isLinux),T.set("isWindows",k.isWindows),T.set("isWeb",k.isWeb),T.set("isMacNative",k.isMacintosh&&!k.isWeb),T.set("isEdge",k.isEdge),T.set("isFirefox",k.isFirefox),T.set("isChrome",k.isChrome),T.set("isSafari",k.isSafari);const A=Object.prototype.hasOwnProperty;var R;(function(M){M[M.False=0]="False",M[M.True=1]="True",M[M.Defined=2]="Defined",M[M.Not=3]="Not",M[M.Equals=4]="Equals",M[M.NotEquals=5]="NotEquals",M[M.And=6]="And",M[M.Regex=7]="Regex",M[M.NotRegex=8]="NotRegex",M[M.Or=9]="Or",M[M.In=10]="In",M[M.NotIn=11]="NotIn",M[M.Greater=12]="Greater",M[M.GreaterEquals=13]="GreaterEquals",M[M.Smaller=14]="Smaller",M[M.SmallerEquals=15]="SmallerEquals"})(R=e.ContextKeyExprType||(e.ContextKeyExprType={}));class b{static false(){return E.INSTANCE}static true(){return f.INSTANCE}static has(D){return p.create(D)}static equals(D,U){return h.create(D,U)}static notEquals(D,U){return l.create(D,U)}static regex(D,U){return i.create(D,U)}static in(D,U){return g.create(D,U)}static not(D){return w.create(D)}static and(...D){return s.create(D,null)}static or(...D){return a.create(D,null,!0)}static greater(D,U){return y.create(D,U)}static greaterEquals(D,U){return d.create(D,U)}static smaller(D,U){return r.create(D,U)}static smallerEquals(D,U){return c.create(D,U)}static deserialize(D,U=!1){if(!!D)return this._deserializeOrExpression(D,U)}static _deserializeOrExpression(D,U){let F=D.split("||");return a.create(F.map(x=>this._deserializeAndExpression(x,U)),null,!0)}static _deserializeAndExpression(D,U){let F=D.split("&&");return s.create(F.map(x=>this._deserializeOne(x,U)),null)}static _deserializeOne(D,U){if(D=D.trim(),D.indexOf("!=")>=0){let F=D.split("!=");return l.create(F[0].trim(),this._deserializeValue(F[1],U))}if(D.indexOf("==")>=0){let F=D.split("==");return h.create(F[0].trim(),this._deserializeValue(F[1],U))}if(D.indexOf("=~")>=0){let F=D.split("=~");return i.create(F[0].trim(),this._deserializeRegexValue(F[1],U))}if(D.indexOf(" in ")>=0){let F=D.split(" in ");return g.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(D)){const F=D.split(">=");return d.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(D)){const F=D.split(">");return y.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(D)){const F=D.split("<=");return c.create(F[0].trim(),F[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(D)){const F=D.split("<");return r.create(F[0].trim(),F[1].trim())}return/^\!\s*/.test(D)?w.create(D.substr(1).trim()):p.create(D)}static _deserializeValue(D,U){if(D=D.trim(),D==="true")return!0;if(D==="false")return!1;let F=/^'([^']*)'$/.exec(D);return F?F[1].trim():D}static _deserializeRegexValue(D,U){if((0,t.isFalsyOrWhitespace)(D)){if(U)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let F=D.indexOf("/"),x=D.lastIndexOf("/");if(F===x||F<0){if(U)throw new Error(`bad regexp-value '${D}', missing /-enclosure`);return console.warn(`bad regexp-value '${D}', missing /-enclosure`),null}let q=D.slice(F+1,x),H=D[x+1]==="i"?"i":"";try{return new RegExp(q,H)}catch(re){if(U)throw new Error(`bad regexp-value '${D}', parse error: ${re}`);return console.warn(`bad regexp-value '${D}', parse error: ${re}`),null}}}e.ContextKeyExpr=b;function I(M,D){const U=M?M.substituteConstants():void 0,F=D?D.substituteConstants():void 0;return!U&&!F?!0:!U||!F?!1:U.equals(F)}e.expressionsAreEqualWithConstantSubstitution=I;function P(M,D){return M.cmp(D)}class E{constructor(){this.type=0}cmp(D){return this.type-D.type}equals(D){return D.type===this.type}substituteConstants(){return this}evaluate(D){return!1}serialize(){return"false"}keys(){return[]}map(D){return this}negate(){return f.INSTANCE}}e.ContextKeyFalseExpr=E,E.INSTANCE=new E;class f{constructor(){this.type=1}cmp(D){return this.type-D.type}equals(D){return D.type===this.type}substituteConstants(){return this}evaluate(D){return!0}serialize(){return"true"}keys(){return[]}map(D){return this}negate(){return E.INSTANCE}}e.ContextKeyTrueExpr=f,f.INSTANCE=new f;class p{constructor(D,U){this.key=D,this.negated=U,this.type=2}static create(D,U=null){const F=T.get(D);return typeof F=="boolean"?F?f.INSTANCE:E.INSTANCE:new p(D,U)}cmp(D){return D.type!==this.type?this.type-D.type:m(this.key,D.key)}equals(D){return D.type===this.type?this.key===D.key:!1}substituteConstants(){const D=T.get(this.key);return typeof D=="boolean"?D?f.INSTANCE:E.INSTANCE:this}evaluate(D){return!!D.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(D){return D.mapDefined(this.key)}negate(){return this.negated||(this.negated=w.create(this.key,this)),this.negated}}e.ContextKeyDefinedExpr=p;class h{constructor(D,U,F){this.key=D,this.value=U,this.negated=F,this.type=4}static create(D,U,F=null){if(typeof U=="boolean")return U?p.create(D,F):w.create(D,F);const x=T.get(D);return typeof x=="boolean"?U===(x?"true":"false")?f.INSTANCE:E.INSTANCE:new h(D,U,F)}cmp(D){return D.type!==this.type?this.type-D.type:C(this.key,this.value,D.key,D.value)}equals(D){return D.type===this.type?this.key===D.key&&this.value===D.value:!1}substituteConstants(){const D=T.get(this.key);if(typeof D=="boolean"){const U=D?"true":"false";return this.value===U?f.INSTANCE:E.INSTANCE}return this}evaluate(D){return D.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(D){return D.mapEquals(this.key,this.value)}negate(){return this.negated||(this.negated=l.create(this.key,this.value,this)),this.negated}}e.ContextKeyEqualsExpr=h;class g{constructor(D,U){this.key=D,this.valueKey=U,this.type=10,this.negated=null}static create(D,U){return new g(D,U)}cmp(D){return D.type!==this.type?this.type-D.type:C(this.key,this.valueKey,D.key,D.valueKey)}equals(D){return D.type===this.type?this.key===D.key&&this.valueKey===D.valueKey:!1}substituteConstants(){return this}evaluate(D){const U=D.getValue(this.valueKey),F=D.getValue(this.key);return Array.isArray(U)?U.indexOf(F)>=0:typeof F=="string"&&typeof U=="object"&&U!==null?A.call(U,F):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(D){return D.mapIn(this.key,this.valueKey)}negate(){return this.negated||(this.negated=v.create(this)),this.negated}}e.ContextKeyInExpr=g;class v{constructor(D){this._actual=D,this.type=11}static create(D){return new v(D)}cmp(D){return D.type!==this.type?this.type-D.type:this._actual.cmp(D._actual)}equals(D){return D.type===this.type?this._actual.equals(D._actual):!1}substituteConstants(){return this}evaluate(D){return!this._actual.evaluate(D)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(D){return new v(this._actual.map(D))}negate(){return this._actual}}e.ContextKeyNotInExpr=v;class l{constructor(D,U,F){this.key=D,this.value=U,this.negated=F,this.type=5}static create(D,U,F=null){if(typeof U=="boolean")return U?w.create(D,F):p.create(D,F);const x=T.get(D);return typeof x=="boolean"?U===(x?"true":"false")?E.INSTANCE:f.INSTANCE:new l(D,U,F)}cmp(D){return D.type!==this.type?this.type-D.type:C(this.key,this.value,D.key,D.value)}equals(D){return D.type===this.type?this.key===D.key&&this.value===D.value:!1}substituteConstants(){const D=T.get(this.key);if(typeof D=="boolean"){const U=D?"true":"false";return this.value===U?E.INSTANCE:f.INSTANCE}return this}evaluate(D){return D.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(D){return D.mapNotEquals(this.key,this.value)}negate(){return this.negated||(this.negated=h.create(this.key,this.value,this)),this.negated}}e.ContextKeyNotEqualsExpr=l;class w{constructor(D,U){this.key=D,this.negated=U,this.type=3}static create(D,U=null){const F=T.get(D);return typeof F=="boolean"?F?E.INSTANCE:f.INSTANCE:new w(D,U)}cmp(D){return D.type!==this.type?this.type-D.type:m(this.key,D.key)}equals(D){return D.type===this.type?this.key===D.key:!1}substituteConstants(){const D=T.get(this.key);return typeof D=="boolean"?D?E.INSTANCE:f.INSTANCE:this}evaluate(D){return!D.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(D){return D.mapNot(this.key)}negate(){return this.negated||(this.negated=p.create(this.key,this)),this.negated}}e.ContextKeyNotExpr=w;function S(M,D){if(typeof M=="string"){const U=parseFloat(M);isNaN(U)||(M=U)}return typeof M=="string"||typeof M=="number"?D(M):E.INSTANCE}class y{constructor(D,U,F){this.key=D,this.value=U,this.negated=F,this.type=12}static create(D,U,F=null){return S(U,x=>new y(D,x,F))}cmp(D){return D.type!==this.type?this.type-D.type:C(this.key,this.value,D.key,D.value)}equals(D){return D.type===this.type?this.key===D.key&&this.value===D.value:!1}substituteConstants(){return this}evaluate(D){return typeof this.value=="string"?!1:parseFloat(D.getValue(this.key))>this.value}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(D){return D.mapGreater(this.key,this.value)}negate(){return this.negated||(this.negated=c.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterExpr=y;class d{constructor(D,U,F){this.key=D,this.value=U,this.negated=F,this.type=13}static create(D,U,F=null){return S(U,x=>new d(D,x,F))}cmp(D){return D.type!==this.type?this.type-D.type:C(this.key,this.value,D.key,D.value)}equals(D){return D.type===this.type?this.key===D.key&&this.value===D.value:!1}substituteConstants(){return this}evaluate(D){return typeof this.value=="string"?!1:parseFloat(D.getValue(this.key))>=this.value}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(D){return D.mapGreaterEquals(this.key,this.value)}negate(){return this.negated||(this.negated=r.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterEqualsExpr=d;class r{constructor(D,U,F){this.key=D,this.value=U,this.negated=F,this.type=14}static create(D,U,F=null){return S(U,x=>new r(D,x,F))}cmp(D){return D.type!==this.type?this.type-D.type:C(this.key,this.value,D.key,D.value)}equals(D){return D.type===this.type?this.key===D.key&&this.value===D.value:!1}substituteConstants(){return this}evaluate(D){return typeof this.value=="string"?!1:parseFloat(D.getValue(this.key))<this.value}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(D){return D.mapSmaller(this.key,this.value)}negate(){return this.negated||(this.negated=d.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerExpr=r;class c{constructor(D,U,F){this.key=D,this.value=U,this.negated=F,this.type=15}static create(D,U,F=null){return S(U,x=>new c(D,x,F))}cmp(D){return D.type!==this.type?this.type-D.type:C(this.key,this.value,D.key,D.value)}equals(D){return D.type===this.type?this.key===D.key&&this.value===D.value:!1}substituteConstants(){return this}evaluate(D){return typeof this.value=="string"?!1:parseFloat(D.getValue(this.key))<=this.value}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(D){return D.mapSmallerEquals(this.key,this.value)}negate(){return this.negated||(this.negated=y.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerEqualsExpr=c;class i{constructor(D,U){this.key=D,this.regexp=U,this.type=7,this.negated=null}static create(D,U){return new i(D,U)}cmp(D){if(D.type!==this.type)return this.type-D.type;if(this.key<D.key)return-1;if(this.key>D.key)return 1;const U=this.regexp?this.regexp.source:"",F=D.regexp?D.regexp.source:"";return U<F?-1:U>F?1:0}equals(D){if(D.type===this.type){const U=this.regexp?this.regexp.source:"",F=D.regexp?D.regexp.source:"";return this.key===D.key&&U===F}return!1}substituteConstants(){return this}evaluate(D){let U=D.getValue(this.key);return this.regexp?this.regexp.test(U):!1}serialize(){const D=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${D}`}keys(){return[this.key]}map(D){return D.mapRegex(this.key,this.regexp)}negate(){return this.negated||(this.negated=n.create(this)),this.negated}}e.ContextKeyRegexExpr=i;class n{constructor(D){this._actual=D,this.type=8}static create(D){return new n(D)}cmp(D){return D.type!==this.type?this.type-D.type:this._actual.cmp(D._actual)}equals(D){return D.type===this.type?this._actual.equals(D._actual):!1}substituteConstants(){return this}evaluate(D){return!this._actual.evaluate(D)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(D){return new n(this._actual.map(D))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=n;function o(M){let D=null;for(let U=0,F=M.length;U<F;U++){const x=M[U].substituteConstants();if(M[U]!==x&&D===null){D=[];for(let q=0;q<U;q++)D[q]=M[q]}D!==null&&(D[U]=x)}return D===null?M:D}class s{constructor(D,U){this.expr=D,this.negated=U,this.type=6}static create(D,U){return s._normalizeArr(D,U)}cmp(D){if(D.type!==this.type)return this.type-D.type;if(this.expr.length<D.expr.length)return-1;if(this.expr.length>D.expr.length)return 1;for(let U=0,F=this.expr.length;U<F;U++){const x=P(this.expr[U],D.expr[U]);if(x!==0)return x}return 0}equals(D){if(D.type===this.type){if(this.expr.length!==D.expr.length)return!1;for(let U=0,F=this.expr.length;U<F;U++)if(!this.expr[U].equals(D.expr[U]))return!1;return!0}return!1}substituteConstants(){const D=o(this.expr);return D===this.expr?this:s.create(D,this.negated)}evaluate(D){for(let U=0,F=this.expr.length;U<F;U++)if(!this.expr[U].evaluate(D))return!1;return!0}static _normalizeArr(D,U){const F=[];let x=!1;for(const q of D)if(!!q){if(q.type===1){x=!0;continue}if(q.type===0)return E.INSTANCE;if(q.type===6){F.push(...q.expr);continue}F.push(q)}if(F.length===0&&x)return f.INSTANCE;if(F.length!==0){if(F.length===1)return F[0];F.sort(P);for(let q=1;q<F.length;q++)F[q-1].equals(F[q])&&(F.splice(q,1),q--);if(F.length===1)return F[0];for(;F.length>1;){const q=F[F.length-1];if(q.type!==9)break;F.pop();const H=F.pop(),re=F.length===0,B=a.create(q.expr.map(W=>s.create([W,H],null)),null,re);B&&(F.push(B),F.sort(P))}return F.length===1?F[0]:new s(F,U)}}serialize(){return this.expr.map(D=>D.serialize()).join(" && ")}keys(){const D=[];for(let U of this.expr)D.push(...U.keys());return D}map(D){return new s(this.expr.map(U=>U.map(D)),null)}negate(){if(!this.negated){const D=[];for(let U of this.expr)D.push(U.negate());this.negated=a.create(D,this,!0)}return this.negated}}class a{constructor(D,U){this.expr=D,this.negated=U,this.type=9}static create(D,U,F){return a._normalizeArr(D,U,F)}cmp(D){if(D.type!==this.type)return this.type-D.type;if(this.expr.length<D.expr.length)return-1;if(this.expr.length>D.expr.length)return 1;for(let U=0,F=this.expr.length;U<F;U++){const x=P(this.expr[U],D.expr[U]);if(x!==0)return x}return 0}equals(D){if(D.type===this.type){if(this.expr.length!==D.expr.length)return!1;for(let U=0,F=this.expr.length;U<F;U++)if(!this.expr[U].equals(D.expr[U]))return!1;return!0}return!1}substituteConstants(){const D=o(this.expr);return D===this.expr?this:a.create(D,this.negated,!1)}evaluate(D){for(let U=0,F=this.expr.length;U<F;U++)if(this.expr[U].evaluate(D))return!0;return!1}static _normalizeArr(D,U,F){let x=[],q=!1;if(D){for(let H=0,re=D.length;H<re;H++){const B=D[H];if(!!B){if(B.type===0){q=!0;continue}if(B.type===1)return f.INSTANCE;if(B.type===9){x=x.concat(B.expr);continue}x.push(B)}}if(x.length===0&&q)return E.INSTANCE;x.sort(P)}if(x.length!==0){if(x.length===1)return x[0];for(let H=1;H<x.length;H++)x[H-1].equals(x[H])&&(x.splice(H,1),H--);if(x.length===1)return x[0];if(F){for(let H=0;H<x.length;H++)for(let re=H+1;re<x.length;re++)_(x[H],x[re])&&(x.splice(re,1),re--);if(x.length===1)return x[0]}return new a(x,U)}}serialize(){return this.expr.map(D=>D.serialize()).join(" || ")}keys(){const D=[];for(let U of this.expr)D.push(...U.keys());return D}map(D){return new a(this.expr.map(U=>U.map(D)),null)}negate(){if(!this.negated){let D=[];for(let U of this.expr)D.push(U.negate());for(;D.length>1;){const U=D.shift(),F=D.shift(),x=[];for(const H of O(U))for(const re of O(F))x.push(s.create([H,re],null));const q=D.length===0;D.unshift(a.create(x,null,q))}this.negated=D[0]}return this.negated}}class u extends p{constructor(D,U,F){super(D,null);this._defaultValue=U,typeof F=="object"?u._info.push({...F,key:D}):F!==!0&&u._info.push({key:D,description:F,type:U!=null?typeof U:void 0})}static all(){return u._info.values()}bindTo(D){return D.createKey(this.key,this._defaultValue)}getValue(D){return D.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(D){return h.create(this.key,D)}notEqualsTo(D){return l.create(this.key,D)}}e.RawContextKey=u,u._info=[],e.IContextKeyService=(0,L.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function m(M,D){return M<D?-1:M>D?1:0}function C(M,D,U,F){return M<U?-1:M>U?1:D<F?-1:D>F?1:0}function _(M,D){if(D.type===6&&M.type!==9&&M.type!==6){for(const x of D.expr)if(M.equals(x))return!0}const U=M.negate(),F=O(U).concat(O(D));F.sort(P);for(let x=0;x<F.length;x++){const H=F[x].negate();for(let re=x+1;re<F.length;re++){const B=F[re];if(H.equals(B))return!0}}return!1}e.implies=_;function O(M){return M.type===9?M.expr:[M]}}),define(te[81],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=(0,k.createDecorator)(e.ID);function t(L){return!!L.hostName&&!!L.errorMessage}e.isRemoteDiagnosticError=t}),define(te[82],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDownloadService=void 0,e.IDownloadService=(0,k.createDecorator)("downloadService")}),define(te[14],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,k.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,k.refineServiceDecorator)(e.IEnvironmentService)}),define(te[83],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionRecommendationNotificationService=e.RecommendationsNotificationResult=e.RecommendationSourceToString=e.RecommendationSource=void 0;var t;(function(A){A[A.FILE=1]="FILE",A[A.WORKSPACE=2]="WORKSPACE",A[A.EXE=3]="EXE"})(t=e.RecommendationSource||(e.RecommendationSource={}));function L(A){switch(A){case 1:return"file";case 2:return"workspace";case 3:return"exe"}}e.RecommendationSourceToString=L;var T;(function(A){A.Ignored="ignored",A.Cancelled="cancelled",A.TooMany="toomany",A.IncompatibleWindow="incompatibleWindow",A.Accepted="reacted"})(T=e.RecommendationsNotificationResult||(e.RecommendationsNotificationResult={})),e.IExtensionRecommendationNotificationService=(0,k.createDecorator)("IExtensionRecommendationNotificationService")}),define(te[15],ne([0,1,39,10,26,11,7,137,6]),function(J,e,k,t,L,T,A,R,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,b.createDecorator)("fileService");function I(q){return q.create===!0}e.isFileOpenForWriteOptions=I;var P;(function(q){q[q.Unknown=0]="Unknown",q[q.File=1]="File",q[q.Directory=2]="Directory",q[q.SymbolicLink=64]="SymbolicLink"})(P=e.FileType||(e.FileType={}));var E;(function(q){q[q.Readonly=1]="Readonly"})(E=e.FilePermission||(e.FilePermission={}));var f;(function(q){q[q.FileReadWrite=2]="FileReadWrite",q[q.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",q[q.FileReadStream=16]="FileReadStream",q[q.FileFolderCopy=8]="FileFolderCopy",q[q.PathCaseSensitive=1024]="PathCaseSensitive",q[q.Readonly=2048]="Readonly",q[q.Trash=4096]="Trash",q[q.FileWriteUnlock=8192]="FileWriteUnlock",q[q.FileAtomicRead=16384]="FileAtomicRead"})(f=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function p(q){return!!(q.capabilities&2)}e.hasReadWriteCapability=p;function h(q){return!!(q.capabilities&8)}e.hasFileFolderCopyCapability=h;function g(q){return!!(q.capabilities&4)}e.hasOpenReadWriteCloseCapability=g;function v(q){return!!(q.capabilities&16)}e.hasFileReadStreamCapability=v;function l(q){return p(q)?!!(q.capabilities&16384):!1}e.hasFileAtomicReadCapability=l;var w;(function(q){q.FileExists="EntryExists",q.FileNotFound="EntryNotFound",q.FileNotADirectory="EntryNotADirectory",q.FileIsADirectory="EntryIsADirectory",q.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",q.FileTooLarge="EntryTooLarge",q.FileWriteLocked="EntryWriteLocked",q.NoPermissions="NoPermissions",q.Unavailable="Unavailable",q.Unknown="Unknown"})(w=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class S extends Error{constructor(H,re){super(H);this.code=re}}e.FileSystemProviderError=S;function y(q,H){const re=new S(q.toString(),H);return r(re,H),re}e.createFileSystemProviderError=y;function d(q){return q||y((0,R.localize)(0,null),w.Unknown)}e.ensureFileSystemProviderError=d;function r(q,H){return q.name=H?`${H} (FileSystemError)`:"FileSystemError",q}e.markAsFileSystemProviderError=r;function c(q){if(!q)return w.Unknown;if(q instanceof S)return q.code;const H=/^(.+) \(FileSystemError\)$/.exec(q.name);if(!H)return w.Unknown;switch(H[1]){case w.FileExists:return w.FileExists;case w.FileIsADirectory:return w.FileIsADirectory;case w.FileNotADirectory:return w.FileNotADirectory;case w.FileNotFound:return w.FileNotFound;case w.FileExceedsMemoryLimit:return w.FileExceedsMemoryLimit;case w.FileTooLarge:return w.FileTooLarge;case w.FileWriteLocked:return w.FileWriteLocked;case w.NoPermissions:return w.NoPermissions;case w.Unavailable:return w.Unavailable}return w.Unknown}e.toFileSystemProviderErrorCode=c;function i(q){if(q instanceof m)return q.fileOperationResult;switch(c(q)){case w.FileNotFound:return 1;case w.FileIsADirectory:return 0;case w.FileNotADirectory:return 10;case w.FileWriteLocked:return 5;case w.NoPermissions:return 6;case w.FileExists:return 4;case w.FileExceedsMemoryLimit:return 9;case w.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=i;var n;(function(q){q[q.CREATE=0]="CREATE",q[q.DELETE=1]="DELETE",q[q.MOVE=2]="MOVE",q[q.COPY=3]="COPY",q[q.WRITE=4]="WRITE"})(n=e.FileOperation||(e.FileOperation={}));class o{constructor(H,re,B){this.resource=H,this.operation=re,this.target=B}isOperation(H){return this.operation===H}}e.FileOperationEvent=o;var s;(function(q){q[q.UPDATED=0]="UPDATED",q[q.ADDED=1]="ADDED",q[q.DELETED=2]="DELETED"})(s=e.FileChangeType||(e.FileChangeType={}));class a{constructor(H,re){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=H;const B=new Map;for(const W of H){const K=B.get(W.type);switch(K?K.push([W.resource,W]):B.set(W.type,[[W.resource,W]]),W.type){case 1:this.rawAdded.push(W.resource);break;case 0:this.rawUpdated.push(W.resource);break;case 2:this.rawDeleted.push(W.resource);break}}for(const[W,K]of B)switch(W){case 1:this.added=k.TernarySearchTree.forUris(()=>re),this.added.fill(K);break;case 0:this.updated=k.TernarySearchTree.forUris(()=>re),this.updated.fill(K);break;case 2:this.deleted=k.TernarySearchTree.forUris(()=>re),this.deleted.fill(K);break}}contains(H,...re){return this.doContains(H,{includeChildren:!1},...re)}affects(H,...re){return this.doContains(H,{includeChildren:!0},...re)}doContains(H,re,...B){if(!H)return!1;const W=B.length>0;return!!((!W||B.includes(1))&&(this.added?.get(H)||re.includeChildren&&this.added?.findSuperstr(H))||(!W||B.includes(0))&&(this.updated?.get(H)||re.includeChildren&&this.updated?.findSuperstr(H))||(!W||B.includes(2))&&(this.deleted?.findSubstr(H)||re.includeChildren&&this.deleted?.findSuperstr(H)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=a;function u(q,H,re){return!q||!H||q===H||H.length>q.length?!1:(H.charAt(H.length-1)!==t.sep&&(H+=t.sep),re?(0,L.startsWithIgnoreCase)(q,H):q.indexOf(H)===0)}e.isParent=u;class m extends Error{constructor(H,re,B){super(H);this.fileOperationResult=re,this.options=B}}e.FileOperationError=m;class C extends m{constructor(H,re,B){super(H,2,B);this.stat=re}}e.NotModifiedSinceFileOperationError=C;var _;(function(q){q[q.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",q[q.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",q[q.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",q[q.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",q[q.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",q[q.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",q[q.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",q[q.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",q[q.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",q[q.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",q[q.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",q[q.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(_=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var O;(function(q){q[q.FILE=0]="FILE",q[q.FOLDER=1]="FOLDER",q[q.ROOT_FOLDER=2]="ROOT_FOLDER"})(O=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function M(q){if(!(typeof q.size!="number"||typeof q.mtime!="number"))return q.mtime.toString(29)+q.size.toString(31)}e.etag=M;async function D(q,H){if(!H.hasProvider(A.URI.from({scheme:q.scheme})))return new Promise(re=>{const B=H.onDidChangeFileSystemProviderRegistrations(W=>{W.scheme===q.scheme&&W.added&&(B.dispose(),re())})})}e.whenProviderRegistered=D,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class U{static formatSize(H){return(0,T.isNumber)(H)||(H=0),H<U.KB?(0,R.localize)(1,null,H.toFixed(0)):H<U.MB?(0,R.localize)(2,null,(H/U.KB).toFixed(2)):H<U.GB?(0,R.localize)(3,null,(H/U.MB).toFixed(2)):H<U.TB?(0,R.localize)(4,null,(H/U.GB).toFixed(2)):(0,R.localize)(5,null,(H/U.TB).toFixed(2))}}e.ByteSize=U,U.KB=1024,U.MB=U.KB*U.KB,U.GB=U.MB*U.KB,U.TB=U.GB*U.KB;var F;(function(q){q[q.IA32=0]="IA32",q[q.OTHER=1]="OTHER"})(F=e.Arch||(e.Arch={}));function x(q){return{maxFileSize:q===0?300*U.MB:16*U.GB,maxHeapSize:q===0?700*U.MB:2*700*U.MB}}e.getPlatformLimits=x});var Y=this&&this.__param||function(J,e){return function(k,t){e(k,t,J)}};define(te[161],ne([0,1,84,40,15]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ChecksumService=void 0;let T=class{constructor(R){this.fileService=R}async checksum(R){const b=(await this.fileService.readFileStream(R)).value;return new Promise((I,P)=>{const E=(0,k.createHash)("md5");(0,t.listenStream)(b,{onData:f=>E.update(f.buffer),onError:f=>P(f),onEnd:()=>I(E.digest("base64").replace(/=+$/,""))})})}};T=he([Y(0,L.IFileService)],T),e.ChecksumService=T}),define(te[162],ne([0,1,17,37,9,3,2,40,7,29,15]),function(J,e,k,t,L,T,A,R,b,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderClient=e.LOCAL_FILE_SYSTEM_CHANNEL_NAME=void 0,e.LOCAL_FILE_SYSTEM_CHANNEL_NAME="localFilesystem";class E extends A.Disposable{constructor(p,h){super();this.channel=p,this.extraCapabilities=h,this.onDidChangeCapabilities=T.Event.None,this._onDidChange=this._register(new T.Emitter),this.onDidChangeFile=this._onDidChange.event,this._onDidWatchError=this._register(new T.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.sessionId=(0,I.generateUuid)(),this.registerFileChangeListeners()}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384,this.extraCapabilities.pathCaseSensitive&&(this._capabilities|=1024),this.extraCapabilities.trash&&(this._capabilities|=4096)),this._capabilities}stat(p){return this.channel.call("stat",[p])}readdir(p){return this.channel.call("readdir",[p])}async readFile(p,h){const{buffer:g}=await this.channel.call("readFile",[p,h]);return g}readFileStream(p,h,g){const v=(0,R.newWriteableStream)(w=>k.VSBuffer.concat(w.map(S=>k.VSBuffer.wrap(S))).buffer),l=this.channel.listen("readFileStream",[p,h])(w=>{if(w instanceof k.VSBuffer)v.write(w.buffer);else{if(w==="end")v.end();else{let S=w;S instanceof Error||(S=(0,P.createFileSystemProviderError)((0,t.toErrorMessage)(S),P.FileSystemProviderErrorCode.Unknown)),v.error(S),v.end()}l.dispose()}});return g.onCancellationRequested(()=>{v.error((0,L.canceled)()),v.end(),l.dispose()}),v}writeFile(p,h,g){return this.channel.call("writeFile",[p,k.VSBuffer.wrap(h),g])}open(p,h){return this.channel.call("open",[p,h])}close(p){return this.channel.call("close",[p])}async read(p,h,g,v,l){const[w,S]=await this.channel.call("read",[p,h,l]);return g.set(w.buffer.slice(0,S),v),S}write(p,h,g,v,l){return this.channel.call("write",[p,h,k.VSBuffer.wrap(g),v,l])}mkdir(p){return this.channel.call("mkdir",[p])}delete(p,h){return this.channel.call("delete",[p,h])}rename(p,h,g){return this.channel.call("rename",[p,h,g])}copy(p,h,g){return this.channel.call("copy",[p,h,g])}registerFileChangeListeners(){this._register(this.channel.listen("fileChange",[this.sessionId])(p=>{if(Array.isArray(p)){const h=p;this._onDidChange.fire(h.map(g=>({resource:b.URI.revive(g.resource),type:g.type})))}else{const h=p;this._onDidWatchError.fire(h)}}))}watch(p,h){const g=(0,I.generateUuid)();return this.channel.call("watch",[this.sessionId,g,p,h]),(0,A.toDisposable)(()=>this.channel.call("unwatch",[this.sessionId,g]))}}e.DiskFileSystemProviderClient=E}),define(te[85],ne([0,1,17,9,138,15]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function A(P,E,f,p,h,g){let v;try{await R(P,E,f,p,h,g)}catch(l){v=l}finally{v&&h.errorTransformer&&(v=h.errorTransformer(v)),typeof v!="undefined"&&f.error(v),f.end()}}e.readFileIntoStream=A;async function R(P,E,f,p,h,g){b(g);const v=await P.open(E,{create:!1});try{b(g);let l=0,w=0,S=h&&typeof h.length=="number"?h.length:void 0,y=k.VSBuffer.alloc(Math.min(h.bufferSize,typeof S=="number"?S:h.bufferSize)),d=h&&typeof h.position=="number"?h.position:0,r=0;do w=await P.read(v,d,y.buffer,r,y.byteLength-r),d+=w,r+=w,l+=w,typeof S=="number"&&(S-=w),r===y.byteLength&&(await f.write(p(y)),y=k.VSBuffer.alloc(Math.min(h.bufferSize,typeof S=="number"?S:h.bufferSize)),r=0);while(w>0&&(typeof S!="number"||S>0)&&b(g)&&I(l,h));if(r>0){let c=r;typeof S=="number"&&(c=Math.min(r,S)),f.write(p(y.slice(0,c)))}}catch(l){throw(0,T.ensureFileSystemProviderError)(l)}finally{await P.close(v)}}function b(P){if(P.isCancellationRequested)throw(0,t.canceled)();return!0}function I(P,E){if(E?.limits){if(typeof E.limits.memory=="number"&&P>E.limits.memory)throw(0,T.createFileSystemProviderError)((0,L.localize)(0,null),T.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof E.limits.size=="number"&&P>E.limits.size)throw(0,T.createFileSystemProviderError)((0,L.localize)(1,null),T.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(te[52],ne([0,1,2,4,7,15]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.coalesceEvents=e.toFileChanges=e.AbstractUniversalWatcherClient=e.AbstractNonRecursiveWatcherClient=e.AbstractWatcherClient=e.isRecursiveWatchRequest=void 0;function A(p){return p.recursive===!0}e.isRecursiveWatchRequest=A;class R extends k.Disposable{constructor(h,g,v,l){super();this.onFileChanges=h,this.onLogMessage=g,this.verboseLogging=v,this.options=l,this.watcherDisposables=this._register(new k.MutableDisposable),this.requests=void 0,this.restartCounter=0}init(){const h=new k.DisposableStore;this.watcherDisposables.value=h,this.watcher=this.createWatcher(h),this.watcher.setVerboseLogging(this.verboseLogging),h.add(this.watcher.onDidChangeFile(g=>this.onFileChanges(g))),h.add(this.watcher.onDidLogMessage(g=>this.onLogMessage(g))),h.add(this.watcher.onDidError(g=>this.onError(g)))}onError(h){this.options.restartOnError?this.restartCounter<R.MAX_RESTARTS&&this.requests?(this.error(`restarting watcher after error: ${h}`),this.restart(this.requests)):this.error(`gave up attempting to restart watcher after error: ${h}`):this.error(h)}restart(h){this.restartCounter++,this.init(),this.watch(h)}async watch(h){this.requests=h,await this.watcher?.watch(h)}async setVerboseLogging(h){this.verboseLogging=h,await this.watcher?.setVerboseLogging(h)}error(h){this.onLogMessage({type:"error",message:`[File Watcher (${this.options.type})] ${h}`})}dispose(){return this.watcher=void 0,super.dispose()}}e.AbstractWatcherClient=R,R.MAX_RESTARTS=5;class b extends R{constructor(h,g,v){super(h,g,v,{type:"node.js",restartOnError:!1})}}e.AbstractNonRecursiveWatcherClient=b;class I extends R{constructor(h,g,v){super(h,g,v,{type:"universal",restartOnError:!0})}}e.AbstractUniversalWatcherClient=I;function P(p){return p.map(h=>({type:h.type,resource:L.URI.file(h.path)}))}e.toFileChanges=P;function E(p){const h=new f;for(const g of p)h.processEvent(g);return h.coalesce()}e.coalesceEvents=E;class f{constructor(){this.coalesced=new Set,this.mapPathToChange=new Map}toKey(h){return t.isLinux?h.path:h.path.toLowerCase()}processEvent(h){const g=this.mapPathToChange.get(this.toKey(h));let v=!1;if(g){const l=g.type,w=h.type;g.path!==h.path&&(h.type===2||h.type===1)?v=!0:l===1&&w===2?(this.mapPathToChange.delete(this.toKey(h)),this.coalesced.delete(g)):l===2&&w===1?g.type=0:l===1&&w===0||(g.type=w)}else v=!0;v&&(this.coalesced.add(h),this.mapPathToChange.set(this.toKey(h),h))}coalesce(){const h=[],g=[];return Array.from(this.coalesced).filter(v=>v.type!==2?(h.push(v),!1):!0).sort((v,l)=>v.path.length-l.path.length).filter(v=>g.some(l=>(0,T.isParent)(v.path,l,!t.isLinux))?!1:(g.push(v.path),!0)).concat(h)}}}),define(te[163],ne([0,1,50,5,25,41,109,2,72,10,4,114,22,52]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.watchFileContents=e.NodeJSFileWatcherLibrary=void 0;class h extends R.Disposable{constructor(l,w,S,y){super();this.request=l,this.onDidFilesChange=w,this.onLogMessage=S,this.verboseLogging=y,this.throttledFileChangesWorker=new t.ThrottledWorker({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},d=>this.onDidFilesChange(d)),this.fileChangesDelayer=this._register(new t.ThrottledDelayer(h.FILE_CHANGES_HANDLER_DELAY)),this.fileChangesBuffer=[],this.excludes=this.request.excludes.map(d=>(0,A.parse)(d)),this.cts=new L.CancellationTokenSource,this.ready=this.watch()}async watch(){try{const l=await this.normalizePath(this.request);if(this.cts.token.isCancellationRequested)return;const w=await f.Promises.stat(l);this._register(await this.doWatch(l,w.isDirectory()))}catch(l){l.code!=="ENOENT"?this.error(l):this.trace(l)}}async normalizePath(l){let w=l.path;try{w=await f.Promises.realpath(l.path),l.path===w&&(w=await(0,E.realcase)(l.path)??l.path),l.path!==w&&this.warn(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${l.path}, real: ${w})`)}catch{}return w}async doWatch(l,w){if(P.isMacintosh&&(0,T.isEqualOrParent)(l,"/Volumes/",!0))return this.error(`Refusing to watch ${l} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),R.Disposable.None;const S=new L.CancellationTokenSource(this.cts.token);let y=new R.DisposableStore;try{const d=(0,I.basename)(l),r=(0,k.watch)(l);y.add((0,R.toDisposable)(()=>{r.removeAllListeners(),r.close()})),this.trace(`Started watching: '${l}'`);const c=new Set;if(w)try{for(const n of await f.Promises.readdir(l))c.add(n)}catch(n){this.error(n)}const i=new Map;y.add((0,R.toDisposable)(()=>{for(const[,n]of i)n.dispose();i.clear()})),r.on("error",(n,o)=>{this.error(`Failed to watch ${l} for changes using fs.watch() (${n}, ${o})`),this.dispose()}),r.on("change",(n,o)=>{if(S.token.isCancellationRequested)return;this.trace(`[raw] ["${n}"] ${o}`);let s="";if(o&&(s=o.toString(),P.isMacintosh&&(s=(0,b.normalizeNFC)(s))),!(!s||n!=="change"&&n!=="rename"))if(w)if(n==="rename"){i.get(s)?.dispose();const a=setTimeout(async()=>{if(i.delete(s),s===d&&!await f.Promises.exists(l)){this.warn("Watcher shutdown because watched path got deleted"),this.dispose();return}const u=await this.existsChildStrictCase((0,I.join)(l,s));if(S.token.isCancellationRequested)return;let m;u?c.has(s)?m=0:(m=1,c.add(s)):(c.delete(s),m=2),this.onFileChange({path:(0,I.join)(this.request.path,s),type:m})},h.FILE_DELETE_HANDLER_DELAY);i.set(s,(0,R.toDisposable)(()=>clearTimeout(a)))}else{let a;c.has(s)?a=0:(a=1,c.add(s)),this.onFileChange({path:(0,I.join)(this.request.path,s),type:a})}else if(n==="rename"||s!==d){const a=setTimeout(async()=>{const u=await f.Promises.exists(l);S.token.isCancellationRequested||(u?(this.onFileChange({path:this.request.path,type:0},!0),y.add(await this.doWatch(l,!1))):(await this.onFileChange({path:this.request.path,type:2},!0),this.dispose()))},h.FILE_DELETE_HANDLER_DELAY);y.clear(),y.add((0,R.toDisposable)(()=>clearTimeout(a)))}else this.onFileChange({path:this.request.path,type:0},!0)})}catch(d){await f.Promises.exists(l)&&!S.token.isCancellationRequested&&this.error(`Failed to watch ${l} for changes using fs.watch() (${d.toString()})`)}return(0,R.toDisposable)(()=>{S.dispose(!0),y.dispose()})}async onFileChange(l,w=!1){if(!this.cts.token.isCancellationRequested){this.verboseLogging&&this.trace(`${l.type===1?"[ADDED]":l.type===2?"[DELETED]":"[CHANGED]"} ${l.path}`),!w&&this.excludes.some(S=>S(l.path))?this.verboseLogging&&this.trace(` >> ignored ${l.path}`):this.fileChangesBuffer.push(l);try{await this.fileChangesDelayer.trigger(async()=>{const S=this.fileChangesBuffer;this.fileChangesBuffer=[];const y=(0,p.coalesceEvents)(S);if(y.length>0){if(this.verboseLogging)for(const r of y)this.trace(`>> normalized ${r.type===1?"[ADDED]":r.type===2?"[DELETED]":"[CHANGED]"} ${r.path}`);this.throttledFileChangesWorker.work(y)?this.throttledFileChangesWorker.pending>0&&this.trace(`started throttling events due to large amount of file change events at once (pending: ${this.throttledFileChangesWorker.pending}, most recent change: ${y[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.warn(`started ignoring events due to too many file change events at once (incoming: ${y.length}, most recent change: ${y[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}})}catch{}}}async existsChildStrictCase(l){if(P.isLinux)return f.Promises.exists(l);try{const w=(0,I.basename)(l);return(await f.Promises.readdir((0,I.dirname)(l))).some(y=>y===w)}catch(w){return this.trace(w),!1}}setVerboseLogging(l){this.verboseLogging=l}error(l){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"error",message:`[File Watcher (node.js)] ${l}`})}warn(l){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"warn",message:`[File Watcher (node.js)] ${l}`})}trace(l){!this.cts.token.isCancellationRequested&&this.verboseLogging&&this.onLogMessage?.({type:"trace",message:`[File Watcher (node.js)] ${l}`})}dispose(){this.trace(`stopping file watcher on ${this.request.path}`),this.cts.dispose(!0),super.dispose()}}e.NodeJSFileWatcherLibrary=h,h.FILE_DELETE_HANDLER_DELAY=100,h.FILE_CHANGES_HANDLER_DELAY=50;async function g(v,l,w,S,y=512){const d=await f.Promises.open(v,"r"),r=Buffer.allocUnsafe(y),c=new L.CancellationTokenSource(S);let i,n=!1;const o={path:v,excludes:[],recursive:!1},s=new h(o,a=>{(async()=>{for(const{type:u}of a)if(u===0){if(n)return;n=!0;try{for(;!c.token.isCancellationRequested;){const{bytesRead:m}=await f.Promises.read(d,r,0,y,null);if(!m||c.token.isCancellationRequested)break;l(r.slice(0,m))}}catch(m){i=new Error(m),c.dispose(!0)}finally{n=!1}}})()});return await s.ready,w(),new Promise((a,u)=>{c.token.onCancellationRequested(async()=>{s.dispose();try{await f.Promises.close(d)}catch(m){i=new Error(m)}i?u(i):a()})})}e.watchFileContents=g}),define(te[164],ne([0,1,16,3,2,4,163]),function(J,e,k,t,L,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcher=void 0;class R extends L.Disposable{constructor(){super(...arguments);this._onDidChangeFile=this._register(new t.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidLogMessage=this._register(new t.Emitter),this.onDidLogMessage=this._onDidLogMessage.event,this.onDidError=t.Event.None,this.watchers=new Map,this.verboseLogging=!1}async watch(I){const P=this.normalizeRequests(I),E=P.filter(p=>{const h=this.watchers.get(p.path);return h?!(0,k.equals)(h.request.excludes,p.excludes):!0}),f=Array.from(this.watchers.values()).filter(({request:p})=>!P.find(h=>h.path===p.path&&(0,k.equals)(h.excludes,p.excludes))).map(({request:p})=>p.path);E.length&&this.trace(`Request to start watching: ${E.map(p=>`${p.path} (excludes: ${p.excludes.length>0?p.excludes:"<none>"})`).join(",")}`),f.length&&this.trace(`Request to stop watching: ${f.join(",")}`);for(const p of f)this.stopWatching(p);for(const p of E)this.startWatching(p)}startWatching(I){const P=new A.NodeJSFileWatcherLibrary(I,f=>this._onDidChangeFile.fire(f),f=>this._onDidLogMessage.fire(f),this.verboseLogging),E={request:I,instance:P};this.watchers.set(I.path,E)}async stop(){for(const[I]of this.watchers)this.stopWatching(I);this.watchers.clear()}stopWatching(I){const P=this.watchers.get(I);P&&(this.watchers.delete(I),P.instance.dispose())}normalizeRequests(I){const P=new Map;for(const E of I){const f=T.isLinux?E.path:E.path.toLowerCase();P.set(f,E)}return Array.from(P.values())}async setVerboseLogging(I){this.verboseLogging=I;for(const[,P]of this.watchers)P.instance.setVerboseLogging(I)}trace(I){this.verboseLogging&&this._onDidLogMessage.fire({type:"trace",message:this.toMessage(I)})}toMessage(I,P){return P?`[File Watcher (node.js)] ${I} (path: ${P.request.path})`:`[File Watcher (node.js)] ${I}`}}e.NodeJSWatcher=R}),define(te[165],ne([0,1,52,164]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcherClient=void 0;class L extends k.AbstractNonRecursiveWatcherClient{constructor(A,R,b){super(A,R,b);this.init()}createWatcher(){return new t.NodeJSWatcher}}e.NodeJSWatcherClient=L}),define(te[166],ne([0,1,18,36,58,52]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UniversalWatcherClient=void 0;class A extends T.AbstractUniversalWatcherClient{constructor(b,I,P){super(b,I,P);this.init()}createWatcher(b){const I=b.add(new L.Client(k.FileAccess.asFileUri("bootstrap-fork",J).fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return b.add(I.onDidProcessExit(({code:P,signal:E})=>this.onError(`terminated by itself with code ${P}, signal: ${E}`))),t.ProxyChannel.toService((0,t.getNextTickChannel)(I.getChannel("watcher")))}}e.UniversalWatcherClient=A}),define(te[86],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class k{constructor(...L){this._entries=new Map;for(let[T,A]of L)this.set(T,A)}set(L,T){const A=this._entries.get(L);return this._entries.set(L,T),A}has(L){return this._entries.has(L)}get(L){return this._entries.get(L)}}e.ServiceCollection=k}),define(te[167],ne([0,1,5,9,51,158,6,86]),function(J,e,k,t,L,T,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Trace=e.InstantiationService=void 0;const b=!1;class I extends Error{constructor(h){super("cyclic dependency between services");this.message=h.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${h.toString()}`}}class P{constructor(h=new R.ServiceCollection,g=!1,v){this._activeInstantiations=new Set,this._services=h,this._strict=g,this._parent=v,this._services.set(A.IInstantiationService,this)}createChild(h){return new P(h,this._strict,this)}invokeFunction(h,...g){let v=f.traceInvocation(h),l=!1;try{return h({get:S=>{if(l)throw(0,t.illegalState)("service accessor is only valid during the invocation of its target method");const y=this._getOrCreateServiceInstance(S,v);if(!y)throw new Error(`[invokeFunction] unknown service '${S}'`);return y}},...g)}finally{l=!0,v.stop()}}createInstance(h,...g){let v,l;return h instanceof L.SyncDescriptor?(v=f.traceCreation(h.ctor),l=this._createInstance(h.ctor,h.staticArguments.concat(g),v)):(v=f.traceCreation(h),l=this._createInstance(h,g,v)),v.stop(),l}_createInstance(h,g=[],v){let l=A._util.getServiceDependencies(h).sort((y,d)=>y.index-d.index),w=[];for(const y of l){let d=this._getOrCreateServiceInstance(y.id,v);if(!d&&this._strict&&!y.optional)throw new Error(`[createInstance] ${h.name} depends on UNKNOWN service ${y.id}.`);w.push(d)}let S=l.length>0?l[0].index:g.length;if(g.length!==S){console.warn(`[createInstance] First service dependency of ${h.name} at position ${S+1} conflicts with ${g.length} static arguments`);let y=S-g.length;y>0?g=g.concat(new Array(y)):g=g.slice(0,S)}return new h(...[...g,...w])}_setServiceInstance(h,g){if(this._services.get(h)instanceof L.SyncDescriptor)this._services.set(h,g);else if(this._parent)this._parent._setServiceInstance(h,g);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(h){let g=this._services.get(h);return!g&&this._parent?this._parent._getServiceInstanceOrDescriptor(h):g}_getOrCreateServiceInstance(h,g){let v=this._getServiceInstanceOrDescriptor(h);return v instanceof L.SyncDescriptor?this._safeCreateAndCacheServiceInstance(h,v,g.branch(h,!0)):(g.branch(h,!1),v)}_safeCreateAndCacheServiceInstance(h,g,v){if(this._activeInstantiations.has(h))throw new Error(`illegal state - RECURSIVELY instantiating service '${h}'`);this._activeInstantiations.add(h);try{return this._createAndCacheServiceInstance(h,g,v)}finally{this._activeInstantiations.delete(h)}}_createAndCacheServiceInstance(h,g,v){const l=new T.Graph(y=>y.id.toString());let w=0;const S=[{id:h,desc:g,_trace:v}];for(;S.length;){const y=S.pop();if(l.lookupOrInsertNode(y),w++>1e3)throw new I(l);for(let d of A._util.getServiceDependencies(y.desc.ctor)){let r=this._getServiceInstanceOrDescriptor(d.id);if(!r&&!d.optional&&console.warn(`[createInstance] ${h} depends on ${d.id} which is NOT registered.`),r instanceof L.SyncDescriptor){const c={id:d.id,desc:r,_trace:y._trace.branch(d.id,!0)};l.insertEdge(y,c),S.push(c)}}}for(;;){const y=l.roots();if(y.length===0){if(!l.isEmpty())throw new I(l);break}for(const{data:d}of y){if(this._getServiceInstanceOrDescriptor(d.id)instanceof L.SyncDescriptor){const c=this._createServiceInstanceWithOwner(d.id,d.desc.ctor,d.desc.staticArguments,d.desc.supportsDelayedInstantiation,d._trace);this._setServiceInstance(d.id,c)}l.removeNode(d)}}return this._getServiceInstanceOrDescriptor(h)}_createServiceInstanceWithOwner(h,g,v=[],l,w){if(this._services.get(h)instanceof L.SyncDescriptor)return this._createServiceInstance(g,v,l,w);if(this._parent)return this._parent._createServiceInstanceWithOwner(h,g,v,l,w);throw new Error(`illegalState - creating UNKNOWN service instance ${g.name}`)}_createServiceInstance(h,g=[],v,l){if(v){const w=new k.IdleValue(()=>this._createInstance(h,g,l));return new Proxy(Object.create(null),{get(S,y){if(y in S)return S[y];let d=w.value,r=d[y];return typeof r!="function"||(r=r.bind(d),S[y]=r),r},set(S,y,d){return w.value[y]=d,!0}})}else return this._createInstance(h,g,l)}}e.InstantiationService=P;var E;(function(p){p[p.Creation=0]="Creation",p[p.Invocation=1]="Invocation",p[p.Branch=2]="Branch"})(E||(E={}));class f{constructor(h,g){this.type=h,this.name=g,this._start=Date.now(),this._dep=[]}static traceInvocation(h){return b?new f(1,h.name||h.toString().substring(0,42).replace(/\n/g,"")):f._None}static traceCreation(h){return b?new f(0,h.name):f._None}branch(h,g){let v=new f(2,h.toString());return this._dep.push([h,g,v]),v}stop(){let h=Date.now()-this._start;f._totals+=h;let g=!1;function v(w,S){let y=[],d=new Array(w+1).join("	");for(const[r,c,i]of S._dep)if(c&&i){g=!0,y.push(`${d}CREATES -> ${r}`);let n=v(w+1,i);n&&y.push(n)}else y.push(`${d}uses -> ${r}`);return y.join(`
`)}let l=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${v(1,this)}`,`DONE, took ${h.toFixed(2)}ms (grand total ${f._totals.toFixed(2)}ms)`];(h>2||g)&&console.log(l.join(`
`))}}e.Trace=f,f._None=new class extends f{constructor(){super(-1,null)}stop(){}branch(){return this}},f._totals=0}),define(te[168],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MessagePortMainProcessService=void 0;class k{constructor(L,T){this.server=L,this.router=T}getChannel(L){return this.server.getChannel(L,this.router)}registerChannel(L,T){this.server.registerChannel(L,T)}}e.MessagePortMainProcessService=k}),define(te[169],ne([0,1,36,51,80,6]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerSharedProcessRemoteService=e.ISharedProcessService=e.registerMainProcessRemoteService=e.IMainProcessService=void 0;class A{constructor(p,h,g){const v=g.getChannel(p);return R(h)?new h.channelClientCtor(v):k.ProxyChannel.toService(v,h?.proxyOptions)}}function R(f){return!!f?.channelClientCtor}e.IMainProcessService=(0,T.createDecorator)("mainProcessService");let b=class extends A{constructor(p,h,g){super(p,h,g)}};b=he([Y(2,e.IMainProcessService)],b);function I(f,p,h){(0,L.registerSingleton)(f,new t.SyncDescriptor(b,[p,h],h?.supportsDelayedInstantiation))}e.registerMainProcessRemoteService=I,e.ISharedProcessService=(0,T.createDecorator)("sharedProcessService");let P=class extends A{constructor(p,h,g){super(p,h,g)}};P=he([Y(2,e.ISharedProcessService)],P);function E(f,p,h){(0,L.registerSingleton)(f,new t.SyncDescriptor(P,[p,h],h?.supportsDelayedInstantiation))}e.registerSharedProcessRemoteService=E}),define(te[59],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isValidLocalization=e.ILocalizationsService=void 0,e.ILocalizationsService=(0,k.createDecorator)("localizationsService");function t(L){if(typeof L.languageId!="string"||!Array.isArray(L.translations)||L.translations.length===0)return!1;for(const T of L.translations)if(typeof T.id!="string"||typeof T.path!="string")return!1;return!(L.languageName&&typeof L.languageName!="string"||L.localizedLanguageName&&typeof L.localizedLanguageName!="string")}e.isValidLocalization=t}),define(te[170],ne([0,1,2,59]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LocalizationsUpdater=void 0;let L=class extends k.Disposable{constructor(A){super();this.localizationsService=A,this.updateLocalizations()}updateLocalizations(){this.localizationsService.update()}};L=he([Y(0,t.ILocalizationsService)],L),e.LocalizationsUpdater=L}),define(te[8],ne([0,1,37,3,2,4,6]),function(J,e,k,t,L,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,A.createDecorator)("logService"),e.ILoggerService=(0,A.createDecorator)("loggerService");function R(){return new Date().toISOString()}var b;(function(c){c[c.Trace=0]="Trace",c[c.Debug=1]="Debug",c[c.Info=2]="Info",c[c.Warning=3]="Warning",c[c.Error=4]="Error",c[c.Critical=5]="Critical",c[c.Off=6]="Off"})(b=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=b.Info;function I(c,i,n){switch(i){case b.Trace:c.trace(n);break;case b.Debug:c.debug(n);break;case b.Info:c.info(n);break;case b.Warning:c.warn(n);break;case b.Error:c.error(n);break;case b.Critical:c.critical(n);break;default:throw new Error("Invalid log level")}}e.log=I;function P(c){let i="";for(let n=0;n<c.length;n++){let o=c[n];if(typeof o=="object")try{o=JSON.stringify(o)}catch{}i+=(n>0?" ":"")+o}return i}e.format=P;class E extends L.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new t.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(i){this.level!==i&&(this.level=i,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=E;class f extends E{constructor(i){super();this.logAlways=i}checkLogLevel(i){return this.logAlways||this.getLevel()<=i}trace(i,...n){this.checkLogLevel(b.Trace)&&this.log(b.Trace,P([i,...n]))}debug(i,...n){this.checkLogLevel(b.Debug)&&this.log(b.Debug,P([i,...n]))}info(i,...n){this.checkLogLevel(b.Info)&&this.log(b.Info,P([i,...n]))}warn(i,...n){this.checkLogLevel(b.Warning)&&this.log(b.Warning,P([i,...n]))}error(i,...n){if(this.checkLogLevel(b.Error))if(i instanceof Error){const o=Array.prototype.slice.call(arguments);o[0]=i.stack,this.log(b.Error,P(o))}else this.log(b.Error,P([i,...n]))}critical(i,...n){this.checkLogLevel(b.Critical)&&this.log(b.Critical,P([i,...n]))}flush(){}}e.AbstractMessageLogger=f;class p extends E{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i),this.useColors=!T.isWindows}trace(i,...n){this.getLevel()<=b.Trace&&(this.useColors?console.log(`[90m[main ${R()}][0m`,i,...n):console.log(`[main ${R()}]`,i,...n))}debug(i,...n){this.getLevel()<=b.Debug&&(this.useColors?console.log(`[90m[main ${R()}][0m`,i,...n):console.log(`[main ${R()}]`,i,...n))}info(i,...n){this.getLevel()<=b.Info&&(this.useColors?console.log(`[90m[main ${R()}][0m`,i,...n):console.log(`[main ${R()}]`,i,...n))}warn(i,...n){this.getLevel()<=b.Warning&&(this.useColors?console.warn(`[93m[main ${R()}][0m`,i,...n):console.warn(`[main ${R()}]`,i,...n))}error(i,...n){this.getLevel()<=b.Error&&(this.useColors?console.error(`[91m[main ${R()}][0m`,i,...n):console.error(`[main ${R()}]`,i,...n))}critical(i,...n){this.getLevel()<=b.Critical&&(this.useColors?console.error(`[90m[main ${R()}][0m`,i,...n):console.error(`[main ${R()}]`,i,...n))}dispose(){}flush(){}}e.ConsoleMainLogger=p;class h extends E{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i)}trace(i,...n){this.getLevel()<=b.Trace&&console.log("%cTRACE","color: #888",i,...n)}debug(i,...n){this.getLevel()<=b.Debug&&console.log("%cDEBUG","background: #eee; color: #888",i,...n)}info(i,...n){this.getLevel()<=b.Info&&console.log("%c INFO","color: #33f",i,...n)}warn(i,...n){this.getLevel()<=b.Warning&&console.log("%c WARN","color: #993",i,...n)}error(i,...n){this.getLevel()<=b.Error&&console.log("%c  ERR","color: #f33",i,...n)}critical(i,...n){this.getLevel()<=b.Critical&&console.log("%cCRITI","background: #f33; color: white",i,...n)}dispose(){}flush(){}}e.ConsoleLogger=h;class g extends E{constructor(i,n=e.DEFAULT_LOG_LEVEL){super();this.adapter=i,this.setLevel(n)}trace(i,...n){this.getLevel()<=b.Trace&&this.adapter.log(b.Trace,[this.extractMessage(i),...n])}debug(i,...n){this.getLevel()<=b.Debug&&this.adapter.log(b.Debug,[this.extractMessage(i),...n])}info(i,...n){this.getLevel()<=b.Info&&this.adapter.log(b.Info,[this.extractMessage(i),...n])}warn(i,...n){this.getLevel()<=b.Warning&&this.adapter.log(b.Warning,[this.extractMessage(i),...n])}error(i,...n){this.getLevel()<=b.Error&&this.adapter.log(b.Error,[this.extractMessage(i),...n])}critical(i,...n){this.getLevel()<=b.Critical&&this.adapter.log(b.Critical,[this.extractMessage(i),...n])}extractMessage(i){return typeof i=="string"?i:(0,k.toErrorMessage)(i,this.getLevel()<=b.Trace)}dispose(){}flush(){}}e.AdapterLogger=g;class v extends E{constructor(i){super();this.logServices=i,i.length&&this.setLevel(i[0].getLevel())}setLevel(i){for(const n of this.logServices)n.setLevel(i);super.setLevel(i)}trace(i,...n){for(const o of this.logServices)o.trace(i,...n)}debug(i,...n){for(const o of this.logServices)o.debug(i,...n)}info(i,...n){for(const o of this.logServices)o.info(i,...n)}warn(i,...n){for(const o of this.logServices)o.warn(i,...n)}error(i,...n){for(const o of this.logServices)o.error(i,...n)}critical(i,...n){for(const o of this.logServices)o.critical(i,...n)}flush(){for(const i of this.logServices)i.flush()}dispose(){for(const i of this.logServices)i.dispose()}}e.MultiplexLogService=v;class l extends L.Disposable{constructor(i){super();this.logger=i,this._register(i)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(i){this.logger.setLevel(i)}getLevel(){return this.logger.getLevel()}trace(i,...n){this.logger.trace(i,...n)}debug(i,...n){this.logger.debug(i,...n)}info(i,...n){this.logger.info(i,...n)}warn(i,...n){this.logger.warn(i,...n)}error(i,...n){this.logger.error(i,...n)}critical(i,...n){this.logger.critical(i,...n)}flush(){this.logger.flush()}}e.LogService=l;class w extends L.Disposable{constructor(i,n){super();this.logLevel=i,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(n(o=>{this.logLevel=o,this.logLevelChangeableLoggers.forEach(s=>s.setLevel(o))}))}getLogger(i){return this.loggers.get(i.toString())}createLogger(i,n){let o=this.loggers.get(i.toString());return o||(o=this.doCreateLogger(i,n?.always?b.Trace:this.logLevel,n),this.loggers.set(i.toString(),o),n?.always||this.logLevelChangeableLoggers.push(o)),o}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(i=>i.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=w;class S{constructor(){this.onDidChangeLogLevel=new t.Emitter().event}setLevel(i){}getLevel(){return b.Info}trace(i,...n){}debug(i,...n){}info(i,...n){}warn(i,...n){}error(i,...n){}critical(i,...n){}dispose(){}flush(){}}e.NullLogService=S;function y(c){if(c.verbose)return b.Trace;if(typeof c.logLevel=="string"){const i=d(c.logLevel.toLowerCase());if(i!==void 0)return i}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=y;function d(c){switch(c){case"trace":return b.Trace;case"debug":return b.Debug;case"info":return b.Info;case"warn":return b.Warning;case"error":return b.Error;case"critical":return b.Critical;case"off":return b.Off}}e.parseLogLevel=d;function r(c){switch(c){case b.Trace:return"trace";case b.Debug:return"debug";case b.Info:return"info";case b.Warning:return"warn";case b.Error:return"error";case b.Critical:return"critical";case b.Off:return"off"}}e.LogLevelToString=r}),define(te[171],ne([0,1,5,9,2,10,22,14,8]),function(J,e,k,t,L,T,A,R,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogsDataCleaner=void 0;let I=class extends L.Disposable{constructor(E,f){super();this.environmentService=E,this.logService=f,this._register(new k.RunOnceScheduler(()=>{this.cleanUpOldLogs()},10*1e3)).schedule()}async cleanUpOldLogs(){this.logService.trace("[logs cleanup]: Starting to clean up old logs.");try{const E=(0,T.basename)(this.environmentService.logsPath),f=(0,T.dirname)(this.environmentService.logsPath),g=(await A.Promises.readdir(f)).filter(l=>/^\d{8}T\d{6}$/.test(l)).sort().filter(l=>l!==E),v=g.slice(0,Math.max(0,g.length-9));v.length>0&&(this.logService.trace(`[logs cleanup]: Removing log folders '${v.join(", ")}'`),await Promise.all(v.map(l=>A.Promises.rm((0,T.join)(f,l)))))}catch(E){(0,t.onUnexpectedError)(E)}}};I=he([Y(0,R.IEnvironmentService),Y(1,b.ILogService)],I),e.LogsDataCleaner=I}),define(te[172],ne([0,1,5,9,2,10,22,14,8]),function(J,e,k,t,L,T,A,R,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDataCleaner=void 0;let I=class gt extends L.Disposable{constructor(E,f,p){super();this.backupWorkspacesPath=E,this.environmentService=f,this.logService=p,this._register(new k.RunOnceScheduler(()=>{this.cleanUpStorage()},30*1e3)).schedule()}async cleanUpStorage(){this.logService.trace("[storage cleanup]: Starting to clean up storage folders.");try{const E=await A.Promises.readFile(this.backupWorkspacesPath,"utf8"),p=JSON.parse(E).emptyWorkspaceInfos.map(g=>g.backupFolder),h=await A.Promises.readdir(this.environmentService.workspaceStorageHome.fsPath);await Promise.all(h.map(async g=>{g.length===gt.NON_EMPTY_WORKSPACE_ID_LENGTH||g===gt.EXTENSION_DEV_EMPTY_WINDOW_ID||p.indexOf(g)>=0||(this.logService.trace(`[storage cleanup]: Deleting workspace storage folder ${g}.`),await A.Promises.rm((0,T.join)(this.environmentService.workspaceStorageHome.fsPath,g)))}))}catch(E){(0,t.onUnexpectedError)(E)}}};I.NON_EMPTY_WORKSPACE_ID_LENGTH=128/4,I.EXTENSION_DEV_EMPTY_WINDOW_ID="ext-dev",I=he([Y(1,R.INativeEnvironmentService),Y(2,b.ILogService)],I),e.StorageDataCleaner=I}),define(te[173],ne([0,1,46,5,37,3,2,18,10,22,14,8]),function(J,e,k,t,L,T,A,R,b,I,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsLifecycle=void 0;let f=class extends A.Disposable{constructor(h,g){super();this.environmentService=h,this.logService=g,this.processesLimiter=new t.Limiter(5)}async postUninstall(h){const g=this.parseScript(h,"uninstall");return g&&(this.logService.info(h.identifier.id,h.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(g.script,"uninstall",g.args,!0,h).then(()=>this.logService.info(h.identifier.id,h.manifest.version,"Finished running post uninstall script"),v=>this.logService.error(h.identifier.id,h.manifest.version,`Failed to run post uninstall script: ${v}`)))),I.Promises.rm(this.getExtensionStoragePath(h)).then(void 0,v=>this.logService.error("Error while removing extension storage path",v))}parseScript(h,g){const v=`vscode:${g}`;if(h.location.scheme===R.Schemas.file&&h.manifest&&h.manifest.scripts&&typeof h.manifest.scripts[v]=="string"){const l=h.manifest.scripts[v].split(" ");return l.length<2||l[0]!=="node"||!l[1]?(this.logService.warn(h.identifier.id,h.manifest.version,`${v} should be a node script`),null):{script:(0,b.join)(h.location.fsPath,l[1]),args:l.slice(2)||[]}}return null}runLifecycleHook(h,g,v,l,w){return new Promise((S,y)=>{const d=this.start(h,g,v,w);let r;const c=i=>{r&&(clearTimeout(r),r=null),i?y(i):S(void 0)};d.on("error",i=>{c((0,L.toErrorMessage)(i)||"Unknown")}),d.on("exit",(i,n)=>{c(i?`post-${g} process exited with code ${i}`:void 0)}),l&&(r=setTimeout(()=>{r=null,d.kill(),y("timed out")},5e3))})}start(h,g,v,l){const w={silent:!0,execArgv:void 0},S=(0,k.fork)(h,[`--type=extension-post-${g}`,...v],w);S.stdout.setEncoding("utf8"),S.stderr.setEncoding("utf8");const y=T.Event.fromNodeEventEmitter(S.stdout,"data"),d=T.Event.fromNodeEventEmitter(S.stderr,"data");y(i=>this.logService.info(l.identifier.id,l.manifest.version,`post-${g}`,i)),d(i=>this.logService.error(l.identifier.id,l.manifest.version,`post-${g}`,i));const r=T.Event.any(T.Event.map(y,i=>({data:`%c${i}`,format:[""]})),T.Event.map(d,i=>({data:`%c${i}`,format:["color: red"]})));return T.Event.debounce(r,(i,n)=>i?{data:i.data+n.data,format:[...i.format,...n.format]}:{data:n.data,format:n.format},100)(i=>{console.group(l.identifier.id),console.log(i.data,...i.format),console.groupEnd()}),S}getExtensionStoragePath(h){return(0,b.join)(this.environmentService.globalStorageHome.fsPath,h.identifier.id.toLowerCase())}};f=he([Y(0,P.IEnvironmentService),Y(1,E.ILogService)],f),e.ExtensionsLifecycle=f}),define(te[174],ne([0,1,16,5,9,3,2,10,52,8]),function(J,e,k,t,L,T,A,R,b,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDiskFileSystemProvider=void 0;class P extends A.Disposable{constructor(f,p){super();this.logService=f,this.options=p,this._onDidChangeFile=this._register(new T.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidWatchError=this._register(new T.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.universalPathsToWatch=[],this.universalWatchRequestDelayer=this._register(new t.ThrottledDelayer(0)),this.nonRecursivePathsToWatch=[],this.nonRecursiveWatchRequestDelayer=this._register(new t.ThrottledDelayer(0))}watch(f,p){return p.recursive||this.options?.watcher?.forceUniversal?this.watchUniversal(f,p):this.watchNonRecursive(f,p)}watchUniversal(f,p){const h={path:this.toFilePath(f),excludes:p.excludes,recursive:p.recursive},g=(0,k.insert)(this.universalPathsToWatch,h);return this.refreshUniversalWatchers(),(0,A.toDisposable)(()=>{g(),this.refreshUniversalWatchers()})}refreshUniversalWatchers(){this.universalWatchRequestDelayer.trigger(()=>this.doRefreshUniversalWatchers()).catch(f=>(0,L.onUnexpectedError)(f))}doRefreshUniversalWatchers(){this.universalWatcher||(this.universalWatcher=this._register(this.createUniversalWatcher(p=>this._onDidChangeFile.fire((0,b.toFileChanges)(p)),p=>this.onWatcherLogMessage(p),this.logService.getLevel()===I.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.universalWatcher?.setVerboseLogging(this.logService.getLevel()===I.LogLevel.Trace)})));const f=this.options?.watcher?.recursive?.usePolling;if(f===!0)for(const p of this.universalPathsToWatch)(0,b.isRecursiveWatchRequest)(p)&&(p.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(f))for(const p of this.universalPathsToWatch)(0,b.isRecursiveWatchRequest)(p)&&f.includes(p.path)&&(p.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);return this.universalWatcher.watch(this.universalPathsToWatch)}watchNonRecursive(f,p){const h={path:this.toFilePath(f),excludes:p.excludes,recursive:!1},g=(0,k.insert)(this.nonRecursivePathsToWatch,h);return this.refreshNonRecursiveWatchers(),(0,A.toDisposable)(()=>{g(),this.refreshNonRecursiveWatchers()})}refreshNonRecursiveWatchers(){this.nonRecursiveWatchRequestDelayer.trigger(()=>this.doRefreshNonRecursiveWatchers()).catch(f=>(0,L.onUnexpectedError)(f))}doRefreshNonRecursiveWatchers(){return this.nonRecursiveWatcher||(this.nonRecursiveWatcher=this._register(this.createNonRecursiveWatcher(f=>this._onDidChangeFile.fire((0,b.toFileChanges)(f)),f=>this.onWatcherLogMessage(f),this.logService.getLevel()===I.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.nonRecursiveWatcher?.setVerboseLogging(this.logService.getLevel()===I.LogLevel.Trace)}))),this.nonRecursiveWatcher.watch(this.nonRecursivePathsToWatch)}onWatcherLogMessage(f){f.type==="error"&&this._onDidWatchError.fire(f.message),this.logService[f.type](f.message)}toFilePath(f){return(0,R.normalize)(f.fsPath)}}e.AbstractDiskFileSystemProvider=P}),define(te[175],ne([0,1,16,5,17,25,3,71,55,2,39,18,176,20,40,136,15,85,8]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let S=class extends I.Disposable{constructor(d){super();this.logService=d,this.BUFFER_SIZE=256*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new A.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new A.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new A.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new A.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onDidFilesChange=this._register(new A.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidWatchError=this._register(new A.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.activeWatchers=new Map,this.writeQueue=this._register(new t.ResourceQueue)}registerProvider(d,r){if(this.provider.has(d))throw new Error(`A filesystem provider for the scheme '${d}' is already registered.`);(0,f.mark)(`code/registerFilesystem/${d}`);const c=new I.DisposableStore;return this.provider.set(d,r),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:d,provider:r}),c.add(r.onDidChangeFile(i=>this._onDidFilesChange.fire(new v.FileChangesEvent(i,!this.isPathCaseSensitive(r))))),typeof r.onDidWatchError=="function"&&c.add(r.onDidWatchError(i=>this._onDidWatchError.fire(new Error(i)))),c.add(r.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:r,scheme:d}))),(0,I.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:d,provider:r}),this.provider.delete(d),(0,I.dispose)(c)})}getProvider(d){return this.provider.get(d)}async activateProvider(d){const r=[];this._onWillActivateFileSystemProvider.fire({scheme:d,join(c){r.push(c)}}),!this.provider.has(d)&&await t.Promises.settled(r)}async canHandleResource(d){return await this.activateProvider(d.scheme),this.hasProvider(d)}hasProvider(d){return this.provider.has(d.scheme)}hasCapability(d,r){const c=this.provider.get(d.scheme);return!!(c&&c.capabilities&r)}listCapabilities(){return b.Iterable.map(this.provider,([d,r])=>({scheme:d,capabilities:r.capabilities}))}async withProvider(d){if(!(0,p.isAbsolutePath)(d))throw new v.FileOperationError((0,g.localize)(0,null,this.resourceForError(d)),8);await this.activateProvider(d.scheme);const r=this.provider.get(d.scheme);if(!r){const c=new Error;throw c.name="ENOPRO",c.message=(0,g.localize)(1,null,d.toString()),c}return r}async withReadProvider(d){const r=await this.withProvider(d);if((0,v.hasOpenReadWriteCloseCapability)(r)||(0,v.hasReadWriteCapability)(r)||(0,v.hasFileReadStreamCapability)(r))return r;throw new Error(`Filesystem provider for scheme '${d.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(d){const r=await this.withProvider(d);if((0,v.hasOpenReadWriteCloseCapability)(r)||(0,v.hasReadWriteCapability)(r))return r;throw new Error(`Filesystem provider for scheme '${d.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(d,r){try{return await this.doResolveFile(d,r)}catch(c){throw(0,v.toFileSystemProviderErrorCode)(c)===v.FileSystemProviderErrorCode.FileNotFound?new v.FileOperationError((0,g.localize)(2,null,this.resourceForError(d)),1):(0,v.ensureFileSystemProviderError)(c)}}async doResolveFile(d,r){const c=await this.withProvider(d),i=this.isPathCaseSensitive(c),n=r?.resolveTo,o=r?.resolveSingleChildDescendants,s=r?.resolveMetadata,a=await c.stat(d);let u;return this.toFileStat(c,d,a,void 0,!!s,(m,C)=>(u||(u=P.TernarySearchTree.forUris(()=>!i),u.set(d,!0),n&&u.fill(!0,n)),u.get(m.resource)||u.findSuperstr(m.resource.with({query:null,fragment:null}))?!0:m.isDirectory&&o?C===1:!1))}async toFileStat(d,r,c,i,n,o){const{providerExtUri:s}=this.getExtUri(d),a={resource:r,name:s.basename(r),isFile:(c.type&v.FileType.File)!=0,isDirectory:(c.type&v.FileType.Directory)!=0,isSymbolicLink:(c.type&v.FileType.SymbolicLink)!=0,mtime:c.mtime,ctime:c.ctime,size:c.size,readonly:Boolean((c.permissions??0)&v.FilePermission.Readonly)||Boolean(d.capabilities&2048),etag:(0,v.etag)({mtime:c.mtime,size:c.size})};if(a.isDirectory&&o(a,i)){try{const u=await d.readdir(r),m=await t.Promises.settled(u.map(async([C,_])=>{try{const O=s.joinPath(r,C),M=n?await d.stat(O):{type:_};return await this.toFileStat(d,O,M,u.length,n,o)}catch(O){return this.logService.trace(O),null}}));a.children=(0,k.coalesce)(m)}catch(u){this.logService.trace(u),a.children=[]}return a}return a}async resolveAll(d){return t.Promises.settled(d.map(async r=>{try{return{stat:await this.doResolveFile(r.resource,r.options),success:!0}}catch(c){return this.logService.trace(c),{stat:void 0,success:!1}}}))}async exists(d){const r=await this.withProvider(d);try{return!!await r.stat(d)}catch{return!1}}async canCreateFile(d,r){try{await this.doValidateCreateFile(d,r)}catch(c){return c}return!0}async doValidateCreateFile(d,r){if(!r?.overwrite&&await this.exists(d))throw new v.FileOperationError((0,g.localize)(3,null,this.resourceForError(d)),3,r)}async createFile(d,r=L.VSBuffer.fromString(""),c){await this.doValidateCreateFile(d,c);const i=await this.writeFile(d,r);return this._onDidRunOperation.fire(new v.FileOperationEvent(d,0,i)),i}async writeFile(d,r,c){const i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(d),d),{providerExtUri:n}=this.getExtUri(i);try{await this.validateWriteFile(i,d,c)||await this.mkdirp(i,n.dirname(d));let s;if((0,v.hasReadWriteCapability)(i)&&!(r instanceof L.VSBuffer))if((0,h.isReadableStream)(r)){const a=await(0,h.peekStream)(r,3);a.ended?s=L.VSBuffer.concat(a.buffer):s=a}else s=(0,h.peekReadable)(r,a=>L.VSBuffer.concat(a),3);else s=r;!(0,v.hasOpenReadWriteCloseCapability)(i)||(0,v.hasReadWriteCapability)(i)&&s instanceof L.VSBuffer?await this.doWriteUnbuffered(i,d,c,s):await this.doWriteBuffered(i,d,c,s instanceof L.VSBuffer?(0,L.bufferToReadable)(s):s),this._onDidRunOperation.fire(new v.FileOperationEvent(d,4))}catch(o){throw new v.FileOperationError((0,g.localize)(4,null,this.resourceForError(d),(0,v.ensureFileSystemProviderError)(o).toString()),(0,v.toFileOperationResult)(o),c)}return this.resolve(d,{resolveMetadata:!0})}async validateWriteFile(d,r,c){if(!!c?.unlock&&!(d.capabilities&8192))throw new Error((0,g.localize)(5,null,this.resourceForError(r)));let n;try{n=await d.stat(r)}catch{return}if((n.type&v.FileType.Directory)!=0)throw new v.FileOperationError((0,g.localize)(6,null,this.resourceForError(r)),0,c);if(this.throwIfFileIsReadonly(r,n),typeof c?.mtime=="number"&&typeof c.etag=="string"&&c.etag!==v.ETAG_DISABLED&&typeof n.mtime=="number"&&typeof n.size=="number"&&c.mtime<n.mtime&&c.etag!==(0,v.etag)({mtime:c.mtime,size:n.size}))throw new v.FileOperationError((0,g.localize)(7,null),3,c);return n}async readFile(d,r,c){const i=await this.withReadProvider(d);return r?.atomic?this.doReadFileAtomic(i,d,r,c):this.doReadFile(i,d,r,c)}async doReadFileAtomic(d,r,c,i){return new Promise((n,o)=>{this.writeQueue.queueFor(r,this.getExtUri(d).providerExtUri).queue(async()=>{try{const s=await this.doReadFile(d,r,c,i);n(s)}catch(s){o(s)}})})}async doReadFile(d,r,c,i){const n=await this.doReadFileStream(d,r,{...c,preferUnbuffered:!0},i);return{...n,value:await(0,L.streamToBuffer)(n.value)}}async readFileStream(d,r,c){const i=await this.withReadProvider(d);return this.doReadFileStream(i,d,r,c)}async doReadFileStream(d,r,c,i){const n=new T.CancellationTokenSource(i),o=this.validateReadFile(r,c).then(a=>a,a=>{throw n.cancel(),a});let s;try{return typeof c?.etag=="string"&&c.etag!==v.ETAG_DISABLED&&await o,c?.atomic&&(0,v.hasFileAtomicReadCapability)(d)||!((0,v.hasOpenReadWriteCloseCapability)(d)||(0,v.hasFileReadStreamCapability)(d))||(0,v.hasReadWriteCapability)(d)&&c?.preferUnbuffered?s=this.readFileUnbuffered(d,r,c):(0,v.hasFileReadStreamCapability)(d)?s=this.readFileStreamed(d,r,n.token,c):s=this.readFileBuffered(d,r,n.token,c),{...await o,value:s}}catch(a){s&&await(0,h.consumeStream)(s);const u=(0,g.localize)(8,null,this.resourceForError(r),(0,v.ensureFileSystemProviderError)(a).toString());throw a instanceof v.NotModifiedSinceFileOperationError?new v.NotModifiedSinceFileOperationError(u,a.stat,c):new v.FileOperationError(u,(0,v.toFileOperationResult)(a),c)}}readFileStreamed(d,r,c,i=Object.create(null)){const n=d.readFileStream(r,i,c);return(0,h.transform)(n,{data:o=>o instanceof L.VSBuffer?o:L.VSBuffer.wrap(o),error:o=>new v.FileOperationError((0,g.localize)(9,null,this.resourceForError(r),(0,v.ensureFileSystemProviderError)(o).toString()),(0,v.toFileOperationResult)(o),i)},o=>L.VSBuffer.concat(o))}readFileBuffered(d,r,c,i=Object.create(null)){const n=(0,L.newWriteableBufferStream)();return(0,l.readFileIntoStream)(d,r,n,o=>o,{...i,bufferSize:this.BUFFER_SIZE,errorTransformer:o=>new v.FileOperationError((0,g.localize)(10,null,this.resourceForError(r),(0,v.ensureFileSystemProviderError)(o).toString()),(0,v.toFileOperationResult)(o),i)},c),n}readFileUnbuffered(d,r,c){const i=(0,h.newWriteableStream)(n=>L.VSBuffer.concat(n));return(async()=>{try{let n;c?.atomic&&(0,v.hasFileAtomicReadCapability)(d)?n=await d.readFile(r,{atomic:!0}):n=await d.readFile(r),typeof c?.position=="number"&&(n=n.slice(c.position)),typeof c?.length=="number"&&(n=n.slice(0,c.length)),this.validateReadFileLimits(r,n.byteLength,c),i.end(L.VSBuffer.wrap(n))}catch(n){i.error(n),i.end()}})(),i}async validateReadFile(d,r){const c=await this.resolve(d,{resolveMetadata:!0});if(c.isDirectory)throw new v.FileOperationError((0,g.localize)(11,null,this.resourceForError(d)),0,r);if(typeof r?.etag=="string"&&r.etag!==v.ETAG_DISABLED&&r.etag===c.etag)throw new v.NotModifiedSinceFileOperationError((0,g.localize)(12,null),c,r);return this.validateReadFileLimits(d,c.size,r),c}validateReadFileLimits(d,r,c){if(c?.limits){let i;if(typeof c.limits.memory=="number"&&r>c.limits.memory&&(i=9),typeof c.limits.size=="number"&&r>c.limits.size&&(i=7),typeof i=="number")throw new v.FileOperationError((0,g.localize)(13,null,this.resourceForError(d)),i)}}async canMove(d,r,c){return this.doCanMoveCopy(d,r,"move",c)}async canCopy(d,r,c){return this.doCanMoveCopy(d,r,"copy",c)}async doCanMoveCopy(d,r,c,i){if(d.toString()!==r.toString())try{const n=c==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(d),d):await this.withReadProvider(d),o=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(r),r);await this.doValidateMoveCopy(n,d,o,r,c,i)}catch(n){return n}return!0}async move(d,r,c){const i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(d),d),n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(r),r),o=await this.doMoveCopy(i,d,n,r,"move",!!c),s=await this.resolve(r,{resolveMetadata:!0});return this._onDidRunOperation.fire(new v.FileOperationEvent(d,o==="move"?2:3,s)),s}async copy(d,r,c){const i=await this.withReadProvider(d),n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(r),r),o=await this.doMoveCopy(i,d,n,r,"copy",!!c),s=await this.resolve(r,{resolveMetadata:!0});return this._onDidRunOperation.fire(new v.FileOperationEvent(d,o==="copy"?3:2,s)),s}async doMoveCopy(d,r,c,i,n,o){if(r.toString()===i.toString())return n;const{exists:s,isSameResourceWithDifferentPathCase:a}=await this.doValidateMoveCopy(d,r,c,i,n,o);if(s&&!a&&o&&await this.del(i,{recursive:!0}),await this.mkdirp(c,this.getExtUri(c).providerExtUri.dirname(i)),n==="copy"){if(d===c&&(0,v.hasFileFolderCopyCapability)(d))await d.copy(r,i,{overwrite:o});else{const u=await this.resolve(r);u.isDirectory?await this.doCopyFolder(d,u,c,i):await this.doCopyFile(d,r,c,i)}return n}else return d===c?(await d.rename(r,i,{overwrite:o}),n):(await this.doMoveCopy(d,r,c,i,"copy",o),await this.del(r,{recursive:!0}),"copy")}async doCopyFile(d,r,c,i){if((0,v.hasOpenReadWriteCloseCapability)(d)&&(0,v.hasOpenReadWriteCloseCapability)(c))return this.doPipeBuffered(d,r,c,i);if((0,v.hasOpenReadWriteCloseCapability)(d)&&(0,v.hasReadWriteCapability)(c))return this.doPipeBufferedToUnbuffered(d,r,c,i);if((0,v.hasReadWriteCapability)(d)&&(0,v.hasOpenReadWriteCloseCapability)(c))return this.doPipeUnbufferedToBuffered(d,r,c,i);if((0,v.hasReadWriteCapability)(d)&&(0,v.hasReadWriteCapability)(c))return this.doPipeUnbuffered(d,r,c,i)}async doCopyFolder(d,r,c,i){await c.mkdir(i),Array.isArray(r.children)&&await t.Promises.settled(r.children.map(async n=>{const o=this.getExtUri(c).providerExtUri.joinPath(i,n.name);return n.isDirectory?this.doCopyFolder(d,await this.resolve(n.resource),c,o):this.doCopyFile(d,n.resource,c,o)}))}async doValidateMoveCopy(d,r,c,i,n,o){let s=!1;if(d===c){const{providerExtUri:u,isPathCaseSensitive:m}=this.getExtUri(d);if(m||(s=u.isEqual(r,i)),s&&n==="copy")throw new Error((0,g.localize)(14,null,this.resourceForError(r),this.resourceForError(i)));if(!s&&u.isEqualOrParent(i,r))throw new Error((0,g.localize)(15,null,this.resourceForError(r),this.resourceForError(i)))}const a=await this.exists(i);if(a&&!s){if(!o)throw new v.FileOperationError((0,g.localize)(16,null,this.resourceForError(r),this.resourceForError(i)),4);if(d===c){const{providerExtUri:u}=this.getExtUri(d);if(u.isEqualOrParent(r,i))throw new Error((0,g.localize)(17,null,this.resourceForError(r),this.resourceForError(i)))}}return{exists:a,isSameResourceWithDifferentPathCase:s}}getExtUri(d){const r=this.isPathCaseSensitive(d);return{providerExtUri:r?p.extUri:p.extUriIgnorePathCase,isPathCaseSensitive:r}}isPathCaseSensitive(d){return!!(d.capabilities&1024)}async createFolder(d){const r=this.throwIfFileSystemIsReadonly(await this.withProvider(d),d);await this.mkdirp(r,d);const c=await this.resolve(d,{resolveMetadata:!0});return this._onDidRunOperation.fire(new v.FileOperationEvent(d,0,c)),c}async mkdirp(d,r){const c=[],{providerExtUri:i}=this.getExtUri(d);for(;!i.isEqual(r,i.dirname(r));)try{if(((await d.stat(r)).type&v.FileType.Directory)==0)throw new Error((0,g.localize)(18,null,this.resourceForError(r)));break}catch(n){if((0,v.toFileSystemProviderErrorCode)(n)!==v.FileSystemProviderErrorCode.FileNotFound)throw n;c.push(i.basename(r)),r=i.dirname(r)}for(let n=c.length-1;n>=0;n--){r=i.joinPath(r,c[n]);try{await d.mkdir(r)}catch(o){if((0,v.toFileSystemProviderErrorCode)(o)!==v.FileSystemProviderErrorCode.FileExists)throw o}}}async canDelete(d,r){try{await this.doValidateDelete(d,r)}catch(c){return c}return!0}async doValidateDelete(d,r){const c=this.throwIfFileSystemIsReadonly(await this.withProvider(d),d);if(!!r?.useTrash&&!(c.capabilities&4096))throw new Error((0,g.localize)(19,null,this.resourceForError(d)));let n;try{n=await c.stat(d)}catch{}if(n)this.throwIfFileIsReadonly(d,n);else throw new v.FileOperationError((0,g.localize)(20,null,this.resourceForError(d)),1);if(!!!r?.recursive){const s=await this.resolve(d);if(s.isDirectory&&Array.isArray(s.children)&&s.children.length>0)throw new Error((0,g.localize)(21,null,this.resourceForError(d)))}return c}async del(d,r){const c=await this.doValidateDelete(d,r),i=!!r?.useTrash,n=!!r?.recursive;await c.delete(d,{recursive:n,useTrash:i}),this._onDidRunOperation.fire(new v.FileOperationEvent(d,1))}watch(d,r={recursive:!1,excludes:[]}){const c=new I.DisposableStore;let i=!1,n=()=>{i=!0};return c.add((0,I.toDisposable)(()=>n())),(async()=>{try{const o=await this.doWatch(d,r);i?(0,I.dispose)(o):n=()=>(0,I.dispose)(o)}catch(o){this.logService.error(o)}})(),c}async doWatch(d,r){const c=await this.withProvider(d),i=(0,R.hash)([this.getExtUri(c).providerExtUri.getComparisonKey(d),r]);let n=this.activeWatchers.get(i);return n||(n={count:0,disposable:c.watch(d,r)},this.activeWatchers.set(i,n)),n.count+=1,(0,I.toDisposable)(()=>{n&&(n.count--,n.count===0&&((0,I.dispose)(n.disposable),this.activeWatchers.delete(i)))})}dispose(){super.dispose();for(const[,d]of this.activeWatchers)(0,I.dispose)(d.disposable);this.activeWatchers.clear()}async doWriteBuffered(d,r,c,i){return this.writeQueue.queueFor(r,this.getExtUri(d).providerExtUri).queue(async()=>{const n=await d.open(r,{create:!0,unlock:c?.unlock??!1});try{(0,h.isReadableStream)(i)||(0,h.isReadableBufferedStream)(i)?await this.doWriteStreamBufferedQueued(d,n,i):await this.doWriteReadableBufferedQueued(d,n,i)}catch(o){throw(0,v.ensureFileSystemProviderError)(o)}finally{await d.close(n)}})}async doWriteStreamBufferedQueued(d,r,c){let i=0,n;if((0,h.isReadableBufferedStream)(c)){if(c.buffer.length>0){const o=L.VSBuffer.concat(c.buffer);await this.doWriteBuffer(d,r,o,o.byteLength,i,0),i+=o.byteLength}if(c.ended)return;n=c.stream}else n=c;return new Promise((o,s)=>{(0,h.listenStream)(n,{onData:async a=>{n.pause();try{await this.doWriteBuffer(d,r,a,a.byteLength,i,0)}catch(u){return s(u)}i+=a.byteLength,setTimeout(()=>n.resume())},onError:a=>s(a),onEnd:()=>o()})})}async doWriteReadableBufferedQueued(d,r,c){let i=0,n;for(;(n=c.read())!==null;)await this.doWriteBuffer(d,r,n,n.byteLength,i,0),i+=n.byteLength}async doWriteBuffer(d,r,c,i,n,o){let s=0;for(;s<i;)s+=await d.write(r,n+s,c.buffer,o+s,i-s)}async doWriteUnbuffered(d,r,c,i){return this.writeQueue.queueFor(r,this.getExtUri(d).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(d,r,c,i))}async doWriteUnbufferedQueued(d,r,c,i){let n;i instanceof L.VSBuffer?n=i:(0,h.isReadableStream)(i)?n=await(0,L.streamToBuffer)(i):(0,h.isReadableBufferedStream)(i)?n=await(0,L.bufferedStreamToBuffer)(i):n=(0,L.readableToBuffer)(i),await d.writeFile(r,n.buffer,{create:!0,overwrite:!0,unlock:c?.unlock??!1})}async doPipeBuffered(d,r,c,i){return this.writeQueue.queueFor(i,this.getExtUri(c).providerExtUri).queue(()=>this.doPipeBufferedQueued(d,r,c,i))}async doPipeBufferedQueued(d,r,c,i){let n,o;try{n=await d.open(r,{create:!1}),o=await c.open(i,{create:!0,unlock:!1});const s=L.VSBuffer.alloc(this.BUFFER_SIZE);let a=0,u=0,m=0;do m=await d.read(n,a,s.buffer,u,s.byteLength-u),await this.doWriteBuffer(c,o,s,m,a,u),a+=m,u+=m,u===s.byteLength&&(u=0);while(m>0)}catch(s){throw(0,v.ensureFileSystemProviderError)(s)}finally{await t.Promises.settled([typeof n=="number"?d.close(n):Promise.resolve(),typeof o=="number"?c.close(o):Promise.resolve()])}}async doPipeUnbuffered(d,r,c,i){return this.writeQueue.queueFor(i,this.getExtUri(c).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(d,r,c,i))}async doPipeUnbufferedQueued(d,r,c,i){return c.writeFile(i,await d.readFile(r),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(d,r,c,i){return this.writeQueue.queueFor(i,this.getExtUri(c).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(d,r,c,i))}async doPipeUnbufferedToBufferedQueued(d,r,c,i){const n=await c.open(i,{create:!0,unlock:!1});try{const o=await d.readFile(r);await this.doWriteBuffer(c,n,L.VSBuffer.wrap(o),o.byteLength,0,0)}catch(o){throw(0,v.ensureFileSystemProviderError)(o)}finally{await c.close(n)}}async doPipeBufferedToUnbuffered(d,r,c,i){const n=await(0,L.streamToBuffer)(this.readFileBuffered(d,r,T.CancellationToken.None));await this.doWriteUnbuffered(c,i,void 0,n)}throwIfFileSystemIsReadonly(d,r){if(d.capabilities&2048)throw new v.FileOperationError((0,g.localize)(22,null,this.resourceForError(r)),6);return d}throwIfFileIsReadonly(d,r){if((r.permissions??0)&v.FilePermission.Readonly)throw new v.FileOperationError((0,g.localize)(23,null,this.resourceForError(d)),6)}resourceForError(d){return d.scheme===E.Schemas.file?d.fsPath:d.toString(!0)}};S=he([Y(0,w.ILogService)],S),e.FileService=S}),define(te[177],ne([0,1,50,257,5,39,17,3,41,2,10,4,20,40,22,139,15,85,174,37,166,165]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l,w,S,y,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0,(()=>{try{(0,t.gracefulify)(k)}catch(c){console.error(`Error enabling graceful-fs: ${(0,S.toErrorMessage)(c)}`)}})();class r extends w.AbstractDiskFileSystemProvider{constructor(i,n){super(i,n);this.onDidChangeCapabilities=R.Event.None,this.resourceLocks=new T.ResourceMap(o=>f.extUriBiasedIgnorePathCase.getComparisonKey(o)),this.mapHandleToPos=new Map,this.mapHandleToLock=new Map,this.writeHandles=new Map,this.canFlush=!0}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384,E.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(i){try{const{stat:n,symbolicLink:o}=await h.SymlinkSupport.stat(this.toFilePath(i));return{type:this.toType(n,o),ctime:n.birthtime.getTime(),mtime:n.mtime.getTime(),size:n.size}}catch(n){throw this.toFileSystemProviderError(n)}}async readdir(i){try{const n=await h.Promises.readdir(this.toFilePath(i),{withFileTypes:!0}),o=[];return await Promise.all(n.map(async s=>{try{let a;s.isSymbolicLink()?a=(await this.stat((0,f.joinPath)(i,s.name))).type:a=this.toType(s),o.push([s.name,a])}catch(a){this.logService.trace(a)}})),o}catch(n){throw this.toFileSystemProviderError(n)}}toType(i,n){let o;return n?.dangling?o=v.FileType.Unknown:i.isFile()?o=v.FileType.File:i.isDirectory()?o=v.FileType.Directory:o=v.FileType.Unknown,n&&(o|=v.FileType.SymbolicLink),o}async createResourceLock(i){this.logService.trace(`[Disk FileSystemProvider]: request to acquire resource lock (${this.toFilePath(i)})`);let n;for(;n=this.resourceLocks.get(i);)this.logService.trace(`[Disk FileSystemProvider]: waiting for resource lock to be released (${this.toFilePath(i)})`),await n.wait();const o=new L.Barrier;return this.resourceLocks.set(i,o),this.logService.trace(`[Disk FileSystemProvider]: new resource lock created (${this.toFilePath(i)})`),(0,I.toDisposable)(()=>{this.logService.trace(`[Disk FileSystemProvider]: resource lock disposed (${this.toFilePath(i)})`),this.resourceLocks.delete(i),o.open()})}async readFile(i,n){let o;try{n?.atomic&&(this.logService.trace(`[Disk FileSystemProvider]: atomic read operation started (${this.toFilePath(i)})`),o=await this.createResourceLock(i));const s=this.toFilePath(i);return await h.Promises.readFile(s)}catch(s){throw this.toFileSystemProviderError(s)}finally{o?.dispose()}}readFileStream(i,n,o){const s=(0,p.newWriteableStream)(a=>A.VSBuffer.concat(a.map(u=>A.VSBuffer.wrap(u))).buffer);return(0,l.readFileIntoStream)(this,i,s,a=>a.buffer,{...n,bufferSize:256*1024},o),s}async writeFile(i,n,o){let s;try{const a=this.toFilePath(i);if(!o.create||!o.overwrite){if(await h.Promises.exists(a)){if(!o.overwrite)throw(0,v.createFileSystemProviderError)((0,g.localize)(0,null),v.FileSystemProviderErrorCode.FileExists)}else if(!o.create)throw(0,v.createFileSystemProviderError)((0,g.localize)(1,null),v.FileSystemProviderErrorCode.FileNotFound)}s=await this.open(i,{create:!0,unlock:o.unlock}),await this.write(s,0,n,0,n.byteLength)}catch(a){throw await this.toFileSystemProviderWriteError(i,a)}finally{typeof s=="number"&&await this.close(s)}}async open(i,n){let o;(0,v.isFileOpenForWriteOptions)(n)&&(o=await this.createResourceLock(i));let s;try{const a=this.toFilePath(i);if((0,v.isFileOpenForWriteOptions)(n)&&n.unlock)try{const{stat:m}=await h.SymlinkSupport.stat(a);m.mode&128||await h.Promises.chmod(a,m.mode|128)}catch(m){this.logService.trace(m)}let u;if((0,v.isFileOpenForWriteOptions)(n)){if(E.isWindows)try{await h.Promises.truncate(a,0),u="r+"}catch(m){m.code!=="ENOENT"&&this.logService.trace(m)}u||(u="w")}else u="r";s=await h.Promises.open(a,u)}catch(a){throw o?.dispose(),(0,v.isFileOpenForWriteOptions)(n)?await this.toFileSystemProviderWriteError(i,a):this.toFileSystemProviderError(a)}return this.mapHandleToPos.set(s,0),(0,v.isFileOpenForWriteOptions)(n)&&this.writeHandles.set(s,i),o&&this.mapHandleToLock.set(s,o),s}async close(i){try{if(this.mapHandleToPos.delete(i),this.writeHandles.delete(i)&&this.canFlush)try{await h.Promises.fdatasync(i)}catch(n){this.canFlush=!1,this.logService.error(n)}return await h.Promises.close(i)}catch(n){throw this.toFileSystemProviderError(n)}finally{const n=this.mapHandleToLock.get(i);n&&(this.mapHandleToLock.delete(i),n.dispose())}}async read(i,n,o,s,a){const u=this.normalizePos(i,n);let m=null;try{m=(await h.Promises.read(i,o,s,a,u)).bytesRead}catch(C){throw this.toFileSystemProviderError(C)}finally{this.updatePos(i,u,m)}return m}normalizePos(i,n){return n===this.mapHandleToPos.get(i)?null:n}updatePos(i,n,o){const s=this.mapHandleToPos.get(i);typeof s=="number"&&(typeof n=="number"||(typeof o=="number"?this.mapHandleToPos.set(i,s+o):this.mapHandleToPos.delete(i)))}async write(i,n,o,s,a){return(0,L.retry)(()=>this.doWrite(i,n,o,s,a),100,3)}async doWrite(i,n,o,s,a){const u=this.normalizePos(i,n);let m=null;try{m=(await h.Promises.write(i,o,s,a,u)).bytesWritten}catch(C){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(i),C)}finally{this.updatePos(i,u,m)}return m}async mkdir(i){try{await h.Promises.mkdir(this.toFilePath(i))}catch(n){throw this.toFileSystemProviderError(n)}}async delete(i,n){try{const o=this.toFilePath(i);n.recursive?await h.Promises.rm(o,h.RimRafMode.MOVE):await h.Promises.unlink(o)}catch(o){throw this.toFileSystemProviderError(o)}}async rename(i,n,o){const s=this.toFilePath(i),a=this.toFilePath(n);if(s!==a)try{await this.validateTargetDeleted(i,n,"move",o.overwrite),await h.Promises.move(s,a)}catch(u){throw(u.code==="EINVAL"||u.code==="EBUSY"||u.code==="ENAMETOOLONG")&&(u=new Error((0,g.localize)(2,null,(0,P.basename)(s),(0,P.basename)((0,P.dirname)(a)),u.toString()))),this.toFileSystemProviderError(u)}}async copy(i,n,o){const s=this.toFilePath(i),a=this.toFilePath(n);if(s!==a)try{await this.validateTargetDeleted(i,n,"copy",o.overwrite),await h.Promises.copy(s,a,{preserveSymlinks:!0})}catch(u){throw(u.code==="EINVAL"||u.code==="EBUSY"||u.code==="ENAMETOOLONG")&&(u=new Error((0,g.localize)(3,null,(0,P.basename)(s),(0,P.basename)((0,P.dirname)(a)),u.toString()))),this.toFileSystemProviderError(u)}}async validateTargetDeleted(i,n,o,s){const a=this.toFilePath(i),u=this.toFilePath(n);let m=!1;if(!!(this.capabilities&1024)||(m=(0,b.isEqual)(a,u,!0)),m&&o==="copy")throw(0,v.createFileSystemProviderError)((0,g.localize)(4,null),v.FileSystemProviderErrorCode.FileExists);if(!m&&await h.Promises.exists(u)){if(!s)throw(0,v.createFileSystemProviderError)((0,g.localize)(5,null),v.FileSystemProviderErrorCode.FileExists);await this.delete(n,{recursive:!0,useTrash:!1})}}createUniversalWatcher(i,n,o){return new y.UniversalWatcherClient(s=>i(s),s=>n(s),o)}createNonRecursiveWatcher(i,n,o){return new d.NodeJSWatcherClient(s=>i(s),s=>n(s),o)}toFileSystemProviderError(i){if(i instanceof v.FileSystemProviderError)return i;let n;switch(i.code){case"ENOENT":n=v.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":n=v.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":n=v.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":n=v.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":n=v.FileSystemProviderErrorCode.NoPermissions;break;default:n=v.FileSystemProviderErrorCode.Unknown}return(0,v.createFileSystemProviderError)(i,n)}async toFileSystemProviderWriteError(i,n){let o=this.toFileSystemProviderError(n);if(i&&o.code===v.FileSystemProviderErrorCode.NoPermissions)try{const{stat:s}=await h.SymlinkSupport.stat(this.toFilePath(i));s.mode&128||(o=(0,v.createFileSystemProviderError)(n,v.FileSystemProviderErrorCode.FileWriteLocked))}catch(s){this.logService.trace(s)}return o}}e.DiskFileSystemProvider=r}),define(te[87],ne([0,1,3,7,8]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class T{constructor(f){this.service=f,this.onDidChangeLogLevel=k.Event.buffer(f.onDidChangeLogLevel,!0)}listen(f,p){switch(p){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${p}`)}async call(f,p,h){switch(p){case"setLevel":return this.service.setLevel(h)}throw new Error(`Call not found: ${p}`)}}e.LogLevelChannel=T;class A{constructor(f){this.channel=f}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(f){A.setLevel(this.channel,f)}static setLevel(f,p){return f.call("setLevel",p)}}e.LogLevelChannelClient=A;class R{constructor(f){this.loggerService=f,this.loggers=new Map}listen(f,p){throw new Error(`Event not found: ${p}`)}async call(f,p,h){switch(p){case"createLogger":this.createLogger(t.URI.revive(h[0]),h[1]);return;case"log":return this.log(t.URI.revive(h[0]),h[1]);case"consoleLog":return this.consoleLog(h[0],h[1])}throw new Error(`Call not found: ${p}`)}createLogger(f,p){this.loggers.set(f.toString(),this.loggerService.createLogger(f,p))}consoleLog(f,p){let h=console.log;switch(f){case L.LogLevel.Error:h=console.error;break;case L.LogLevel.Warning:h=console.warn;break;case L.LogLevel.Info:h=console.info;break}h.call(console,...p)}log(f,p){const h=this.loggers.get(f.toString());if(!h)throw new Error("Create the logger before logging");for(const[g,v]of p)(0,L.log)(h,g,v)}}e.LoggerChannel=R;class b extends L.AbstractLoggerService{constructor(f,p,h){super(f,p);this.channel=h}createConsoleMainLogger(){return new L.AdapterLogger({log:(f,p)=>{this.channel.call("consoleLog",[f,p])}})}doCreateLogger(f,p,h){return new I(this.channel,f,p,h)}}e.LoggerChannelClient=b;class I extends L.AbstractMessageLogger{constructor(f,p,h,g){super(g?.always);this.channel=f,this.file=p,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(h),this.channel.call("createLogger",[p,g]).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(f,p){const h=[[f,p]];this.isLoggerCreated?this.doLog(h):this.buffer.push(...h)}doLog(f){this.channel.call("log",[this.file,f])}}class P extends L.LogService{constructor(f,p){super(p);this.parent=f,this._register(f.onDidChangeLogLevel(h=>p.setLevel(h)))}setLevel(f){super.setLevel(f),this.parent.setLevel(f)}}e.FollowerLogService=P}),define(te[60],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeHostService=void 0,e.INativeHostService=(0,k.createDecorator)("nativeHostService")}),define(te[88],ne([0,1,18,4,33,20]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let A;if(typeof t.globals.vscode!="undefined"&&typeof t.globals.vscode.context!="undefined"){const R=t.globals.vscode.context.configuration();if(R)A=R.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof J?.__$__nodeRequire=="function"){const R=(0,T.dirname)(k.FileAccess.asFileUri("",J));A=J.__$__nodeRequire((0,T.joinPath)(R,"product.json").fsPath);const b=J.__$__nodeRequire((0,T.joinPath)(R,"package.json").fsPath);L.env.VSCODE_DEV&&Object.assign(A,{nameShort:`${A.nameShort} Dev`,nameLong:`${A.nameLong} Dev`,dataFolderName:`${A.dataFolderName}-dev`,serverDataFolderName:A.serverDataFolderName?`${A.serverDataFolderName}-dev`:void 0}),Object.assign(A,{version:b.version})}else A={},Object.keys(A).length===0&&Object.assign(A,{version:"1.65.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","GitHub.remotehub","GitHub.remotehub-insiders"]});e.default=A}),define(te[27],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.productSchemaId=e.IProductService=void 0,e.IProductService=(0,k.createDecorator)("productService"),e.productSchemaId="vscode://schemas/vscode-product"}),define(te[178],ne([0,1,5,9,2,10,22,8,27]),function(J,e,k,t,L,T,A,R,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeCacheCleaner=void 0;let I=class extends L.Disposable{constructor(E,f,p){super();this.productService=f,this.logService=p,this._DataMaxAge=this.productService.quality!=="stable"?1e3*60*60*24*7:1e3*60*60*24*30*3,E&&this._register(new k.RunOnceScheduler(()=>{this.cleanUpCodeCaches(E)},30*1e3)).schedule()}async cleanUpCodeCaches(E){this.logService.trace("[code cache cleanup]: Starting to clean up old code cache folders.");try{const f=Date.now(),p=(0,T.dirname)(E),h=(0,T.basename)(E),g=await A.Promises.readdir(p);await Promise.all(g.map(async v=>{if(v===h)return;const l=(0,T.join)(p,v),w=await A.Promises.stat(l);if(w.isDirectory()&&f-w.mtime.getTime()>this._DataMaxAge)return this.logService.trace(`[code cache cleanup]: Removing code cache folder ${v}.`),A.Promises.rm(l)}))}catch(f){(0,t.onUnexpectedError)(f)}}};I=he([Y(1,b.IProductService),Y(2,R.ILogService)],I),e.CodeCacheCleaner=I}),define(te[179],ne([0,1,5,9,2,10,22,14,8,27]),function(J,e,k,t,L,T,A,R,b,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguagePackCachedDataCleaner=void 0;let P=class extends L.Disposable{constructor(f,p,h){super();this.environmentService=f,this.logService=p,this.productService=h,this._DataMaxAge=this.productService.quality!=="stable"?1e3*60*60*24*7:1e3*60*60*24*30*3,this.environmentService.isBuilt&&this._register(new k.RunOnceScheduler(()=>{this.cleanUpLanguagePackCache()},40*1e3)).schedule()}async cleanUpLanguagePackCache(){this.logService.trace("[language pack cache cleanup]: Starting to clean up unused language packs.");try{const f=Object.create(null),p=JSON.parse(await A.Promises.readFile((0,T.join)(this.environmentService.userDataPath,"languagepacks.json"),"utf8"));for(let w of Object.keys(p)){const S=p[w];f[`${S.hash}.${w}`]=!0}const h=(0,T.join)(this.environmentService.userDataPath,"clp");if(!await A.Promises.exists(h))return;const v=await A.Promises.readdir(h);for(const w of v){if(f[w]){this.logService.trace(`[language pack cache cleanup]: Skipping folder ${w}. Language pack still in use.`);continue}this.logService.trace(`[language pack cache cleanup]: Removing unused language pack: ${w}`),await A.Promises.rm((0,T.join)(h,w))}const l=Date.now();for(const w of Object.keys(f)){const S=(0,T.join)(h,w),y=await A.Promises.readdir(S);for(const d of y){if(d==="tcf.json")continue;const r=(0,T.join)(S,d),c=await A.Promises.stat(r);c.isDirectory()&&l-c.mtime.getTime()>this._DataMaxAge&&(this.logService.trace(`[language pack cache cleanup]: Removing language pack cache folder: ${(0,T.join)(w,d)}`),await A.Promises.rm(r))}}}catch(f){(0,t.onUnexpectedError)(f)}}};P=he([Y(0,R.INativeEnvironmentService),Y(1,b.ILogService),Y(2,I.IProductService)],P),e.LanguagePackCachedDataCleaner=P}),define(te[180],ne([0,1,10,6]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Utils=e.IV8InspectProfilingService=void 0,e.IV8InspectProfilingService=(0,t.createDecorator)("IV8InspectProfilingService");var L;(function(T){function A(R,b="noAbsolutePaths"){for(const I of R.nodes)I.callFrame&&I.callFrame.url&&((0,k.isAbsolute)(I.callFrame.url)||/^\w[\w\d+.-]*:\/\/\//.test(I.callFrame.url))&&(I.callFrame.url=(0,k.join)(b,(0,k.basename)(I.callFrame.url)));return R}T.rewriteAbsolutePaths=A})(L=e.Utils||(e.Utils={}))}),define(te[181],ne([0,1,29]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InspectProfilingService=void 0;class t{constructor(){this._sessions=new Map}async startProfiling(T){const R=await(await new Promise((I,P)=>{J(["v8-inspect-profiler"],I,P)})).startProfiling({port:T.port,checkForPaused:!0}),b=(0,k.generateUuid)();return this._sessions.set(b,R),b}async stopProfiling(T){const A=this._sessions.get(T);if(!A)throw new Error(`UNKNOWN session '${T}'`);const R=await A.stop();return this._sessions.delete(T),R.profile}}e.InspectProfilingService=t}),define(te[38],ne([0,1,99,11]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class L{constructor(){this.data=new Map}add(A,R){k.ok(t.isString(A)),k.ok(t.isObject(R)),k.ok(!this.data.has(A),"There is already an extension with this id"),this.data.set(A,R)}knows(A){return this.data.has(A)}as(A){return this.data.get(A)||null}}e.Registry=new L}),define(te[89],ne([0,1,3,38]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function L(R){return R.length>0&&R.charAt(R.length-1)==="#"?R.substring(0,R.length-1):R}class T{constructor(){this._onDidChangeSchema=new k.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(b,I){this.schemasById[L(b)]=I,this._onDidChangeSchema.fire(b)}notifySchemaChanged(b){this._onDidChangeSchema.fire(b)}getSchemaContributions(){return{schemas:this.schemasById}}}const A=new T;t.Registry.add(e.Extensions.JSONContribution,A)}),define(te[42],ne([0,1,16,3,11,126,89,38]),function(J,e,k,t,L,T,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var b;(function(y){y.Multiline="multilineText",y.Singleline="singlelineText"})(b=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var I;(function(y){y[y.APPLICATION=1]="APPLICATION",y[y.MACHINE=2]="MACHINE",y[y.WINDOW=3]="WINDOW",y[y.RESOURCE=4]="RESOURCE",y[y.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",y[y.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(I=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const P=R.Registry.as(A.Extensions.JSONContribution);class E{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new t.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new t.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:T.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},P.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(d,r=!0){this.registerConfigurations([d],r)}registerConfigurations(d,r=!0){const c=this.doRegisterConfigurations(d,r);P.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:c})}deregisterConfigurations(d){const r=this.doDeregisterConfigurations(d);P.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r})}updateConfigurations({add:d,remove:r}){const c=[];c.push(...this.doDeregisterConfigurations(r)),c.push(...this.doRegisterConfigurations(d,!1)),P.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,k.distinct)(c)})}registerDefaultConfigurations(d){const r=[],c=[];for(const{overrides:i,source:n}of d)for(const o in i)if(r.push(o),e.OVERRIDE_PROPERTY_REGEX.test(o)){const s={...this.configurationDefaultsOverrides.get(o)?.value||{},...i[o]};this.configurationDefaultsOverrides.set(o,{source:n,value:s});const a={type:"object",default:s,description:T.localize(1,null,o),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:s,source:L.isString(n)?void 0:n};c.push(...h(o)),this.configurationProperties[o]=a,this.defaultLanguageConfigurationOverridesNode.properties[o]=a}else{this.configurationDefaultsOverrides.set(o,{value:i[o],source:n});const s=this.configurationProperties[o];s&&(this.updatePropertyDefaultValue(o,s),this.updateSchema(o,s))}this.registerOverrideIdentifiers(c),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r,defaultsOverrides:!0})}deregisterDefaultConfigurations(d){const r=[];for(const{overrides:c,source:i}of d)for(const n in c){const o=this.configurationDefaultsOverrides.get(n),s=L.isString(i)?i:i?.id,a=L.isString(o?.source)?o?.source:o?.source?.id;if(s===a)if(r.push(n),this.configurationDefaultsOverrides.delete(n),e.OVERRIDE_PROPERTY_REGEX.test(n))delete this.configurationProperties[n],delete this.defaultLanguageConfigurationOverridesNode.properties[n];else{const u=this.configurationProperties[n];u&&(this.updatePropertyDefaultValue(n,u),this.updateSchema(n,u))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...d){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(d){for(const r of d)this.overrideIdentifiers.add(r);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(d,r){const c=[];return d.forEach(i=>{c.push(...this.validateAndRegisterProperties(i,r,i.extensionInfo,i.restrictedProperties)),this.configurationContributors.push(i),this.registerJSONConfiguration(i)}),c}doDeregisterConfigurations(d){const r=[],c=i=>{if(i.properties)for(const n in i.properties)r.push(n),delete this.configurationProperties[n],this.removeFromSchema(n,i.properties[n]);i.allOf&&i.allOf.forEach(n=>c(n))};for(const i of d){c(i);const n=this.configurationContributors.indexOf(i);n!==-1&&this.configurationContributors.splice(n,1)}return r}validateAndRegisterProperties(d,r=!0,c,i,n=3){n=L.isUndefinedOrNull(d.scope)?n:d.scope;let o=[],s=d.properties;if(s)for(let u in s){if(r&&w(u)){delete s[u];continue}const m=s[u];if(m.source=c,m.defaultDefaultValue=s[u].default,this.updatePropertyDefaultValue(u,m),e.OVERRIDE_PROPERTY_REGEX.test(u)?m.scope=void 0:(m.scope=L.isUndefinedOrNull(m.scope)?n:m.scope,m.restricted=L.isUndefinedOrNull(m.restricted)?!!i?.includes(u):m.restricted),s[u].hasOwnProperty("included")&&!s[u].included){this.excludedConfigurationProperties[u]=s[u],delete s[u];continue}else this.configurationProperties[u]=s[u];!s[u].deprecationMessage&&s[u].markdownDeprecationMessage&&(s[u].deprecationMessage=s[u].markdownDeprecationMessage),o.push(u)}let a=d.allOf;if(a)for(let u of a)o.push(...this.validateAndRegisterProperties(u,r,c,i,n));return o}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(d){const r=c=>{let i=c.properties;if(i)for(const o in i)this.updateSchema(o,i[o]);let n=c.allOf;n&&n.forEach(r)};r(d)}updateSchema(d,r){switch(e.allSettings.properties[d]=r,r.scope){case 1:e.applicationSettings.properties[d]=r;break;case 2:e.machineSettings.properties[d]=r;break;case 6:e.machineOverridableSettings.properties[d]=r;break;case 3:e.windowSettings.properties[d]=r;break;case 4:e.resourceSettings.properties[d]=r;break;case 5:e.resourceSettings.properties[d]=r,this.resourceLanguageSettingsSchema.properties[d]=r;break}}removeFromSchema(d,r){switch(delete e.allSettings.properties[d],r.scope){case 1:delete e.applicationSettings.properties[d];break;case 2:delete e.machineSettings.properties[d];break;case 6:delete e.machineOverridableSettings.properties[d];break;case 3:delete e.windowSettings.properties[d];break;case 4:case 5:delete e.resourceSettings.properties[d],delete this.resourceLanguageSettingsSchema.properties[d];break}}updateOverridePropertyPatternKey(){for(const d of this.overrideIdentifiers.values()){const r=`[${d}]`,c={type:"object",description:T.localize(2,null),errorMessage:T.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(r,c),e.allSettings.properties[r]=c,e.applicationSettings.properties[r]=c,e.machineSettings.properties[r]=c,e.machineOverridableSettings.properties[r]=c,e.windowSettings.properties[r]=c,e.resourceSettings.properties[r]=c}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const d={type:"object",description:T.localize(4,null),errorMessage:T.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=d,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=d,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=d,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=d,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=d,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=d,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(d,r){const c=this.configurationDefaultsOverrides.get(d);let i=c?.value,n=c?.source;L.isUndefined(i)&&(i=r.defaultDefaultValue,n=void 0),L.isUndefined(i)&&(i=v(r.type)),r.default=i,r.defaultValueSource=n}}const f="\\[([^\\]]+)\\]",p=new RegExp(f,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${f})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function h(y){const d=[];if(e.OVERRIDE_PROPERTY_REGEX.test(y)){let r=p.exec(y);for(;r?.length;){const c=r[1].trim();c&&d.push(c),r=p.exec(y)}}return(0,k.distinct)(d)}e.overrideIdentifiersFromKey=h;function g(y){return y.reduce((d,r)=>`${d}[${r}]`,"")}e.keyFromOverrideIdentifiers=g;function v(y){switch(Array.isArray(y)?y[0]:y){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=v;const l=new E;R.Registry.add(e.Extensions.Configuration,l);function w(y){return y.trim()?e.OVERRIDE_PROPERTY_REGEX.test(y)?T.localize(7,null,y):l.getConfigurationProperties()[y]!==void 0?T.localize(8,null,y):null:T.localize(6,null)}e.validateProperty=w;function S(){const y=[],d=l.getConfigurationProperties();for(const r of Object.keys(d))y.push([r,d[r].scope]);return y.push(["launch",4]),y.push(["task",4]),y}e.getScopes=S}),define(te[90],ne([0,1,16,3,35,2,39,28,11,7,19,42,38]),function(J,e,k,t,L,T,A,R,b,I,P,E,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class p{constructor(i={},n=[],o=[]){this._contents=i,this._keys=n,this._overrides=o,this.isFrozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(i){return i?(0,P.getConfigurationValue)(this.contents,i):this.contents}getOverrideValue(i,n){const o=this.getContentsForOverrideIdentifer(n);return o?i?(0,P.getConfigurationValue)(o,i):o:void 0}getKeysForOverrideIdentifier(i){const n=[];for(const o of this.overrides)o.identifiers.includes(i)&&n.push(...o.keys);return k.distinct(n)}getAllOverrideIdentifiers(){const i=[];for(const n of this.overrides)i.push(...n.identifiers);return k.distinct(i)}override(i){let n=this.overrideConfigurations.get(i);return n||(n=this.createOverrideConfigurationModel(i),this.overrideConfigurations.set(i,n)),n}merge(...i){const n=R.deepClone(this.contents),o=R.deepClone(this.overrides),s=[...this.keys];for(const a of i){this.mergeContents(n,a.contents);for(const u of a.overrides){const[m]=o.filter(C=>k.equals(C.identifiers,u.identifiers));m?(this.mergeContents(m.contents,u.contents),m.keys.push(...u.keys),m.keys=k.distinct(m.keys)):o.push(R.deepClone(u))}for(const u of a.keys)s.indexOf(u)===-1&&s.push(u)}return new p(n,s,o)}freeze(){return this.isFrozen=!0,this}createOverrideConfigurationModel(i){const n=this.getContentsForOverrideIdentifer(i);if(!n||typeof n!="object"||!Object.keys(n).length)return this;let o={};for(const s of k.distinct([...Object.keys(this.contents),...Object.keys(n)])){let a=this.contents[s],u=n[s];u&&(typeof a=="object"&&typeof u=="object"?(a=R.deepClone(a),this.mergeContents(a,u)):a=u),o[s]=a}return new p(o,this.keys,this.overrides)}mergeContents(i,n){for(const o of Object.keys(n)){if(o in i&&b.isObject(i[o])&&b.isObject(n[o])){this.mergeContents(i[o],n[o]);continue}i[o]=R.deepClone(n[o])}}checkAndFreeze(i){return this.isFrozen&&!Object.isFrozen(i)?R.deepFreeze(i):i}getContentsForOverrideIdentifer(i){let n=null,o=null;const s=a=>{a&&(o?this.mergeContents(o,a):o=R.deepClone(a))};for(const a of this.overrides)k.equals(a.identifiers,[i])?n=a.contents:a.identifiers.includes(i)&&s(a.contents);return s(n),o}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(i,n){this.addKey(i),(0,P.addToValueTree)(this.contents,i,n,o=>{throw new Error(o)})}removeValue(i){this.removeKey(i)&&(0,P.removeFromValueTree)(this.contents,i)}addKey(i){let n=this.keys.length;for(let o=0;o<n;o++)i.indexOf(this.keys[o])===0&&(n=o);this.keys.splice(n,1,i)}removeKey(i){let n=this.keys.indexOf(i);return n!==-1?(this.keys.splice(n,1),!0):!1}}e.ConfigurationModel=p;class h extends p{constructor(i={}){const n=f.Registry.as(E.Extensions.Configuration).getConfigurationProperties(),o=Object.keys(n),s=Object.create(null),a=[];for(const u in n){const m=i[u],C=m!==void 0?m:n[u].default;(0,P.addToValueTree)(s,u,C,_=>console.error(`Conflict in default settings: ${_}`))}for(const u of Object.keys(s))E.OVERRIDE_PROPERTY_REGEX.test(u)&&a.push({identifiers:(0,E.overrideIdentifiersFromKey)(u),keys:Object.keys(s[u]),contents:(0,P.toValuesTree)(s[u],m=>console.error(`Conflict in default settings file: ${m}`))});super(s,o,a)}}e.DefaultConfigurationModel=h;class g{constructor(i){this._name=i,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new p}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(i,n){if(!b.isUndefinedOrNull(i)){const o=this.doParseContent(i);this.parseRaw(o,n)}}reparse(i){this._raw&&this.parseRaw(this._raw,i)}parseRaw(i,n){this._raw=i;const{contents:o,keys:s,overrides:a,restricted:u}=this.doParseRaw(i,n);this._configurationModel=new p(o,s,a),this._restrictedConfigurations=u||[]}doParseContent(i){let n={},o=null,s=[],a=[],u=[];function m(_){Array.isArray(s)?s.push(_):o!==null&&(s[o]=_)}let C={onObjectBegin:()=>{let _={};m(_),a.push(s),s=_,o=null},onObjectProperty:_=>{o=_},onObjectEnd:()=>{s=a.pop()},onArrayBegin:()=>{let _=[];m(_),a.push(s),s=_,o=null},onArrayEnd:()=>{s=a.pop()},onLiteralValue:m,onError:(_,O,M)=>{u.push({error:_,offset:O,length:M})}};if(i)try{L.visit(i,C),n=s[0]||{}}catch(_){console.error(`Error while parsing settings file ${this._name}: ${_}`),this._parseErrors=[_]}return n}doParseRaw(i,n){const o=f.Registry.as(E.Extensions.Configuration).getConfigurationProperties(),s=this.filter(i,o,!0,n);i=s.raw;const a=(0,P.toValuesTree)(i,C=>console.error(`Conflict in settings file ${this._name}: ${C}`)),u=Object.keys(i),m=this.toOverrides(i,C=>console.error(`Conflict in settings file ${this._name}: ${C}`));return{contents:a,keys:u,overrides:m,restricted:s.restricted}}filter(i,n,o,s){if(!s?.scopes&&!s?.skipRestricted)return{raw:i,restricted:[]};const a={},u=[];for(let m in i)if(E.OVERRIDE_PROPERTY_REGEX.test(m)&&o){const C=this.filter(i[m],n,!1,s);a[m]=C.raw,u.push(...C.restricted)}else{const C=n[m],_=C?typeof C.scope!="undefined"?C.scope:3:void 0;C?.restricted&&u.push(m),(_===void 0||s.scopes===void 0||s.scopes.includes(_))&&(s.skipRestricted&&C?.restricted||(a[m]=i[m]))}return{raw:a,restricted:u}}toOverrides(i,n){const o=[];for(const s of Object.keys(i))if(E.OVERRIDE_PROPERTY_REGEX.test(s)){const a={};for(const u in i[s])a[u]=i[s][u];o.push({identifiers:(0,E.overrideIdentifiersFromKey)(s),keys:Object.keys(a),contents:(0,P.toValuesTree)(a,n)})}return o}}e.ConfigurationModelParser=g;class v extends T.Disposable{constructor(i,n,o,s){super();this.userSettingsResource=i,this.scopes=n,this.fileService=s,this._onDidChange=this._register(new t.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new g(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(o.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(t.Event.any(t.Event.filter(this.fileService.onDidFilesChange,a=>a.contains(this.userSettingsResource)),t.Event.filter(this.fileService.onDidRunOperation,a=>(a.isOperation(0)||a.isOperation(1)||a.isOperation(4))&&o.isEqual(a.resource,i)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const i=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(i.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new p}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=v;class l{constructor(i,n,o=new p,s=new p,a=new A.ResourceMap,u=new p,m=new A.ResourceMap,C=!0){this._defaultConfiguration=i,this._localUserConfiguration=n,this._remoteUserConfiguration=o,this._workspaceConfiguration=s,this._folderConfigurations=a,this._memoryConfiguration=u,this._memoryConfigurationByResource=m,this._freeze=C,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new A.ResourceMap,this._userConfiguration=null}getValue(i,n,o){return this.getConsolidateConfigurationModel(n,o).getValue(i)}updateValue(i,n,o={}){let s;o.resource?(s=this._memoryConfigurationByResource.get(o.resource),s||(s=new p,this._memoryConfigurationByResource.set(o.resource,s))):s=this._memoryConfiguration,n===void 0?s.removeValue(i):s.setValue(i,n),o.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(i,n,o){const s=this.getConsolidateConfigurationModel(n,o),a=this.getFolderConfigurationModelForResource(n.resource,o),u=n.resource?this._memoryConfigurationByResource.get(n.resource)||this._memoryConfiguration:this._memoryConfiguration,m=n.overrideIdentifier?this._defaultConfiguration.freeze().override(n.overrideIdentifier).getValue(i):this._defaultConfiguration.freeze().getValue(i),C=n.overrideIdentifier?this.userConfiguration.freeze().override(n.overrideIdentifier).getValue(i):this.userConfiguration.freeze().getValue(i),_=n.overrideIdentifier?this.localUserConfiguration.freeze().override(n.overrideIdentifier).getValue(i):this.localUserConfiguration.freeze().getValue(i),O=n.overrideIdentifier?this.remoteUserConfiguration.freeze().override(n.overrideIdentifier).getValue(i):this.remoteUserConfiguration.freeze().getValue(i),M=o?n.overrideIdentifier?this._workspaceConfiguration.freeze().override(n.overrideIdentifier).getValue(i):this._workspaceConfiguration.freeze().getValue(i):void 0,D=a?n.overrideIdentifier?a.freeze().override(n.overrideIdentifier).getValue(i):a.freeze().getValue(i):void 0,U=n.overrideIdentifier?u.override(n.overrideIdentifier).getValue(i):u.getValue(i),F=s.getValue(i),x=k.distinct(k.flatten(s.overrides.map(q=>q.identifiers))).filter(q=>s.getOverrideValue(i,q)!==void 0);return{defaultValue:m,userValue:C,userLocalValue:_,userRemoteValue:O,workspaceValue:M,workspaceFolderValue:D,memoryValue:U,value:F,default:m!==void 0?{value:this._defaultConfiguration.freeze().getValue(i),override:n.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(i,n.overrideIdentifier):void 0}:void 0,user:C!==void 0?{value:this.userConfiguration.freeze().getValue(i),override:n.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(i,n.overrideIdentifier):void 0}:void 0,userLocal:_!==void 0?{value:this.localUserConfiguration.freeze().getValue(i),override:n.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(i,n.overrideIdentifier):void 0}:void 0,userRemote:O!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(i),override:n.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(i,n.overrideIdentifier):void 0}:void 0,workspace:M!==void 0?{value:this._workspaceConfiguration.freeze().getValue(i),override:n.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(i,n.overrideIdentifier):void 0}:void 0,workspaceFolder:D!==void 0?{value:a?.freeze().getValue(i),override:n.overrideIdentifier?a?.freeze().getOverrideValue(i,n.overrideIdentifier):void 0}:void 0,memory:U!==void 0?{value:u.getValue(i),override:n.overrideIdentifier?u.getOverrideValue(i,n.overrideIdentifier):void 0}:void 0,overrideIdentifiers:x.length?x:void 0}}keys(i){const n=this.getFolderConfigurationModelForResource(void 0,i);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:n?n.freeze().keys:[]}}updateDefaultConfiguration(i){this._defaultConfiguration=i,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(i){this._localUserConfiguration=i,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(i){this._remoteUserConfiguration=i,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(i){this._workspaceConfiguration=i,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(i,n){this._folderConfigurations.set(i,n),this._foldersConsolidatedConfigurations.delete(i)}deleteFolderConfiguration(i){this.folderConfigurations.delete(i),this._foldersConsolidatedConfigurations.delete(i)}compareAndUpdateDefaultConfiguration(i,n){const o=[];if(!n){const{added:s,updated:a,removed:u}=d(this._defaultConfiguration,i);n=[...s,...a,...u]}for(const s of n)for(const a of(0,E.overrideIdentifiersFromKey)(s)){const u=this._defaultConfiguration.getKeysForOverrideIdentifier(a),m=i.getKeysForOverrideIdentifier(a),C=[...m.filter(_=>u.indexOf(_)===-1),...u.filter(_=>m.indexOf(_)===-1),...u.filter(_=>!R.equals(this._defaultConfiguration.override(a).getValue(_),i.override(a).getValue(_)))];o.push([a,C])}return this.updateDefaultConfiguration(i),{keys:n,overrides:o}}compareAndUpdateLocalUserConfiguration(i){const{added:n,updated:o,removed:s,overrides:a}=d(this.localUserConfiguration,i),u=[...n,...o,...s];return u.length&&this.updateLocalUserConfiguration(i),{keys:u,overrides:a}}compareAndUpdateRemoteUserConfiguration(i){const{added:n,updated:o,removed:s,overrides:a}=d(this.remoteUserConfiguration,i);let u=[...n,...o,...s];return u.length&&this.updateRemoteUserConfiguration(i),{keys:u,overrides:a}}compareAndUpdateWorkspaceConfiguration(i){const{added:n,updated:o,removed:s,overrides:a}=d(this.workspaceConfiguration,i);let u=[...n,...o,...s];return u.length&&this.updateWorkspaceConfiguration(i),{keys:u,overrides:a}}compareAndUpdateFolderConfiguration(i,n){const o=this.folderConfigurations.get(i),{added:s,updated:a,removed:u,overrides:m}=d(o,n);let C=[...s,...a,...u];return(C.length||!o)&&this.updateFolderConfiguration(i,n),{keys:C,overrides:m}}compareAndDeleteFolderConfiguration(i){const n=this.folderConfigurations.get(i);if(!n)throw new Error("Unknown folder");this.deleteFolderConfiguration(i);const{added:o,updated:s,removed:a,overrides:u}=d(n,void 0);return{keys:[...o,...s,...a],overrides:u}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(i,n){let o=this.getConsolidatedConfigurationModelForResource(i,n);return i.overrideIdentifier?o.override(i.overrideIdentifier):o}getConsolidatedConfigurationModelForResource({resource:i},n){let o=this.getWorkspaceConsolidatedConfiguration();if(n&&i){const s=n.getFolder(i);s&&(o=this.getFolderConsolidatedConfiguration(s.uri)||o);const a=this._memoryConfigurationByResource.get(i);a&&(o=o.merge(a))}return o}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(i){let n=this._foldersConsolidatedConfigurations.get(i);if(!n){const o=this.getWorkspaceConsolidatedConfiguration(),s=this._folderConfigurations.get(i);s?(n=o.merge(s),this._freeze&&(n=n.freeze()),this._foldersConsolidatedConfigurations.set(i,n)):n=o}return n}getFolderConfigurationModelForResource(i,n){if(n&&i){const o=n.getFolder(i);if(o)return this._folderConfigurations.get(o.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((i,n)=>{const{contents:o,overrides:s,keys:a}=this._folderConfigurations.get(n);return i.push([n,{contents:o,overrides:s,keys:a}]),i},[])}}allKeys(){const i=new Set;return this._defaultConfiguration.freeze().keys.forEach(n=>i.add(n)),this.userConfiguration.freeze().keys.forEach(n=>i.add(n)),this._workspaceConfiguration.freeze().keys.forEach(n=>i.add(n)),this._folderConfigurations.forEach(n=>n.freeze().keys.forEach(o=>i.add(o))),[...i.values()]}allOverrideIdentifiers(){const i=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>i.add(n)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>i.add(n)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>i.add(n)),this._folderConfigurations.forEach(n=>n.freeze().getAllOverrideIdentifiers().forEach(o=>i.add(o))),[...i.values()]}getAllKeysForOverrideIdentifier(i){const n=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(i).forEach(o=>n.add(o)),this.userConfiguration.getKeysForOverrideIdentifier(i).forEach(o=>n.add(o)),this._workspaceConfiguration.getKeysForOverrideIdentifier(i).forEach(o=>n.add(o)),this._folderConfigurations.forEach(o=>o.getKeysForOverrideIdentifier(i).forEach(s=>n.add(s))),[...n.values()]}static parse(i){const n=this.parseConfigurationModel(i.defaults),o=this.parseConfigurationModel(i.user),s=this.parseConfigurationModel(i.workspace),a=i.folders.reduce((u,m)=>(u.set(I.URI.revive(m[0]),this.parseConfigurationModel(m[1])),u),new A.ResourceMap);return new l(n,o,new p,s,a,new p,new A.ResourceMap,!1)}static parseConfigurationModel(i){return new p(i.contents,i.keys,i.overrides).freeze()}}e.Configuration=l;function w(...c){if(c.length===0)return{keys:[],overrides:[]};if(c.length===1)return c[0];const i=new Set,n=new Map;for(const s of c)s.keys.forEach(a=>i.add(a)),s.overrides.forEach(([a,u])=>{const m=(0,A.getOrSet)(n,a,new Set);u.forEach(C=>m.add(C))});const o=[];return n.forEach((s,a)=>o.push([a,[...s.values()]])),{keys:[...i.values()],overrides:o}}e.mergeChanges=w;class S{constructor(i,n,o,s){this.change=i,this.previous=n,this.currentConfiguraiton=o,this.currentWorkspace=s,this._previousConfiguration=void 0;const a=new Set;i.keys.forEach(m=>a.add(m)),i.overrides.forEach(([,m])=>m.forEach(C=>a.add(C))),this.affectedKeys=[...a.values()];const u=new p;this.affectedKeys.forEach(m=>u.setValue(m,{})),this.affectedKeysTree=u.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=l.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(i,n){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,i)){if(n){const o=this.previousConfiguration?this.previousConfiguration.getValue(i,n,this.previous?.workspace):void 0,s=this.currentConfiguraiton.getValue(i,n,this.currentWorkspace);return!R.equals(o,s)}return!0}return!1}doesAffectedKeysTreeContains(i,n){let o=(0,P.toValuesTree)({[n]:!0},()=>{}),s;for(;typeof o=="object"&&(s=Object.keys(o)[0]);){if(i=i[s],!i)return!1;o=o[s]}return!0}}e.ConfigurationChangeEvent=S;class y extends S{constructor(i,n,o,s){super({keys:i.allKeys(),overrides:[]},void 0,i,n);this.source=o,this.sourceConfig=s}}e.AllKeysConfigurationChangeEvent=y;function d(c,i){const{added:n,removed:o,updated:s}=r(i,c),a=[],u=c?.getAllOverrideIdentifiers()||[],m=i?.getAllOverrideIdentifiers()||[];if(i){const C=m.filter(_=>!u.includes(_));for(const _ of C)a.push([_,i.getKeysForOverrideIdentifier(_)])}if(c){const C=u.filter(_=>!m.includes(_));for(const _ of C)a.push([_,c.getKeysForOverrideIdentifier(_)])}if(i&&c){for(const C of u)if(m.includes(C)){const _=r({contents:c.getOverrideValue(void 0,C)||{},keys:c.getKeysForOverrideIdentifier(C)},{contents:i.getOverrideValue(void 0,C)||{},keys:i.getKeysForOverrideIdentifier(C)});a.push([C,[..._.added,..._.removed,..._.updated]])}}return{added:n,removed:o,updated:s,overrides:a}}function r(c,i){const n=c?i?c.keys.filter(a=>i.keys.indexOf(a)===-1):[...c.keys]:[],o=i?c?i.keys.filter(a=>c.keys.indexOf(a)===-1):[...i.keys]:[],s=[];if(c&&i){for(const a of i.keys)if(c.keys.indexOf(a)!==-1){const u=(0,P.getConfigurationValue)(i.contents,a),m=(0,P.getConfigurationValue)(c.contents,a);R.equals(u,m)||s.push(a)}}return{added:n,removed:o,updated:s}}}),define(te[182],ne([0,1,5,3,2,20,19,90,42,38]),function(J,e,k,t,L,T,A,R,b,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class P extends L.Disposable{constructor(f,p){super();this.settingsResource=f,this._onDidChangeConfiguration=this._register(new t.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new R.UserSettings(this.settingsResource,void 0,T.extUriBiasedIgnorePathCase,p)),this.configuration=new R.Configuration(new R.DefaultConfigurationModel,new R.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new k.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(I.Registry.as(b.Extensions.Configuration).onDidUpdateConfiguration(({properties:h})=>this.onDidDefaultConfigurationChange(h))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const f=await this.userConfiguration.loadConfiguration();this.configuration=new R.Configuration(new R.DefaultConfigurationModel,f)}getConfigurationData(){return this.configuration.toData()}getValue(f,p){const h=typeof f=="string"?f:void 0,g=(0,A.isConfigurationOverrides)(f)?f:(0,A.isConfigurationOverrides)(p)?p:{};return this.configuration.getValue(h,g,void 0)}updateValue(f,p,h,g){return Promise.reject(new Error("not supported"))}inspect(f){return this.configuration.inspect(f,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const f=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(f)}onDidChangeUserConfiguration(f){const p=this.configuration.toData(),h=this.configuration.compareAndUpdateLocalUserConfiguration(f);this.trigger(h,p,1)}onDidDefaultConfigurationChange(f){const p=this.configuration.toData(),h=this.configuration.compareAndUpdateDefaultConfiguration(new R.DefaultConfigurationModel,f);this.trigger(h,p,6)}trigger(f,p,h){const g=new R.ConfigurationChangeEvent(f,{data:p},this.configuration);g.source=h,g.sourceConfig=this.getTargetConfiguration(h),this._onDidChangeConfiguration.fire(g)}getTargetConfiguration(f){switch(f){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=P}),define(te[183],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,k.createDecorator)("remoteAuthorityResolverService");var t;(function(T){T.Unknown="Unknown",T.NotAvailable="NotAvailable",T.TemporarilyNotAvailable="TemporarilyNotAvailable",T.NoResolverFound="NoResolverFound"})(t=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class L extends Error{constructor(A,R=t.Unknown,b){super(A);this._message=A,this._code=R,this._detail=b,this.isHandled=R===t.NotAvailable&&b===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,L.prototype)}static isTemporarilyNotAvailable(A){return A instanceof L&&A._code===t.TemporarilyNotAvailable}static isNoResolverFound(A){return A instanceof L&&A._code===t.NoResolverFound}static isHandled(A){return A instanceof L&&A.isHandled}}e.RemoteAuthorityResolverError=L}),define(te[184],ne([0,1,5,17,25,9,3,2,29,74,183]),function(J,e,k,t,L,T,A,R,b,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostPersistentConnection=e.ManagementPersistentConnection=e.PersistentConnection=e.ReconnectionPermanentFailureEvent=e.ConnectionGainEvent=e.ReconnectionRunningEvent=e.ReconnectionWaitEvent=e.ConnectionLostEvent=e.PersistentConnectionEventType=e.connectRemoteAgentTunnel=e.connectRemoteAgentExtensionHost=e.connectRemoteAgentManagement=e.ConnectionType=void 0;const E=30*1e3;var f;(function(V){V[V.Management=1]="Management",V[V.ExtensionHost=2]="ExtensionHost",V[V.Tunnel=3]="Tunnel"})(f=e.ConnectionType||(e.ConnectionType={}));function p(V){switch(V){case 1:return"Management";case 2:return"ExtensionHost";case 3:return"Tunnel"}}function h(V){const X=new L.CancellationTokenSource;return setTimeout(()=>X.cancel(),V),X.token}function g(V,X){if(V.isCancellationRequested||X.isCancellationRequested)return L.CancellationToken.Cancelled;const Z=new L.CancellationTokenSource;return V.onCancellationRequested(()=>Z.cancel()),X.onCancellationRequested(()=>Z.cancel()),Z.token}class v{constructor(X){this._state="pending",this._disposables=new R.DisposableStore,this.promise=new Promise((Z,j)=>{this._resolvePromise=Z,this._rejectPromise=j}),X.isCancellationRequested?this._timeout():this._disposables.add(X.onCancellationRequested(()=>this._timeout()))}get didTimeout(){return this._state==="timedout"}registerDisposable(X){this._state==="pending"?this._disposables.add(X):X.dispose()}_timeout(){this._state==="pending"&&(this._disposables.dispose(),this._state="timedout",this._rejectPromise(this._createTimeoutError()))}_createTimeoutError(){const X=new Error("Time limit reached");return X.code="ETIMEDOUT",X.syscall="connect",X}resolve(X){this._state==="pending"&&(this._disposables.dispose(),this._state="resolved",this._resolvePromise(X))}reject(X){this._state==="pending"&&(this._disposables.dispose(),this._state="rejected",this._rejectPromise(X))}}function l(V,X){const Z=new v(X);return Z.registerDisposable(V.onControlMessage(j=>{const N=JSON.parse(j.toString()),$=H(N);$?Z.reject($):Z.resolve(N)})),Z.promise}function w(V,X,Z,j,N,$,z){const G=new v(z);return X.connect(Z,j,N,$,(ee,se)=>{G.didTimeout?(ee&&V.error(ee),se?.dispose()):ee||!se?G.reject(ee):G.resolve(se)}),G.promise}function S(V,X){const Z=new v(X);return V.then(j=>{Z.didTimeout||Z.resolve(j)},j=>{Z.didTimeout||Z.reject(j)}),Z.promise}async function y(V,X,Z,j){const N=W(V,X);V.logService.trace(`${N} 1/6. invoking socketFactory.connect().`);let $;try{$=await w(V.logService,V.socketFactory,V.host,V.port,`reconnectionToken=${V.reconnectionToken}&reconnection=${V.reconnectionProtocol?"true":"false"}`,`renderer-${p(X)}-${V.reconnectionToken}`,j)}catch(ae){throw V.logService.error(`${N} socketFactory.connect() failed or timed out. Error:`),V.logService.error(ae),ae}V.logService.trace(`${N} 2/6. socketFactory.connect() was successful.`);let z,G;V.reconnectionProtocol?(V.reconnectionProtocol.beginAcceptReconnection($,null),z=V.reconnectionProtocol,G=!1):(z=new I.PersistentProtocol($,null),G=!0),V.logService.trace(`${N} 3/6. sending AuthRequest control message.`);const ee=await S(V.signService.createNewMessage((0,b.generateUuid)()),j),se={type:"auth",auth:V.connectionToken||"00000000000000000000",data:ee.data};z.sendControl(t.VSBuffer.fromString(JSON.stringify(se)));try{const ae=await l(z,g(j,h(1e4)));if(ae.type!=="sign"||typeof ae.data!="string"){const Se=new Error("Unexpected handshake message");throw Se.code="VSCODE_CONNECTION_ERROR",Se}if(V.logService.trace(`${N} 4/6. received SignRequest control message.`),!await S(V.signService.validate(ee,ae.signedData),j)){const Se=new Error("Refused to connect to unsupported server");throw Se.code="VSCODE_CONNECTION_ERROR",Se}const ve=await S(V.signService.sign(ae.data),j),be={type:"connectionType",commit:V.commit,signedData:ve,desiredConnectionType:X};return Z&&(be.args=Z),V.logService.trace(`${N} 5/6. sending ConnectionTypeRequest control message.`),z.sendControl(t.VSBuffer.fromString(JSON.stringify(be))),{protocol:z,ownsProtocol:G}}catch(ae){throw ae&&ae.code==="ETIMEDOUT"&&(V.logService.error(`${N} the handshake timed out. Error:`),V.logService.error(ae)),ae&&ae.code==="VSCODE_CONNECTION_ERROR"&&(V.logService.error(`${N} received error control message when negotiating connection. Error:`),V.logService.error(ae)),G&&q(z),ae}}async function d(V,X,Z,j){const N=Date.now(),$=W(V,X),{protocol:z,ownsProtocol:G}=await y(V,X,Z,j),ee=new v(j);return ee.registerDisposable(z.onControlMessage(se=>{const ae=JSON.parse(se.toString()),de=H(ae);de?(V.logService.error(`${$} received error control message when negotiating connection. Error:`),V.logService.error(de),G&&q(z),ee.reject(de)):(V.reconnectionProtocol&&V.reconnectionProtocol.endAcceptReconnection(),V.logService.trace(`${$} 6/6. handshake finished, connection is up and running after ${K(N)}!`),ee.resolve({protocol:z,firstMessage:ae}))})),ee.promise}async function r(V,X){const{protocol:Z}=await d(V,1,void 0,X);return{protocol:Z}}async function c(V,X,Z){const{protocol:j,firstMessage:N}=await d(V,2,X,Z),$=N&&N.debugPort;return{protocol:j,debugPort:$}}async function i(V,X,Z){const j=Date.now(),N=W(V,3),{protocol:$}=await y(V,3,X,Z);return V.logService.trace(`${N} 6/6. handshake finished, connection is up and running after ${K(j)}!`),$}async function n(V,X,Z){const{host:j,port:N,connectionToken:$}=await V.addressProvider.getAddress();return{commit:V.commit,host:j,port:N,connectionToken:$,reconnectionToken:X,reconnectionProtocol:Z,socketFactory:V.socketFactory,signService:V.signService,logService:V.logService}}async function o(V,X,Z){try{const j=(0,b.generateUuid)(),N=await n(V,j,null),{protocol:$}=await r(N,L.CancellationToken.None);return new F(V,X,Z,j,$)}catch(j){throw V.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),V.logService.error(j),U.triggerPermanentFailure(0,0,P.RemoteAuthorityResolverError.isHandled(j)),j}}e.connectRemoteAgentManagement=o;async function s(V,X){try{const Z=(0,b.generateUuid)(),j=await n(V,Z,null),{protocol:N,debugPort:$}=await c(j,X,L.CancellationToken.None);return new x(V,X,Z,N,$)}catch(Z){throw V.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),V.logService.error(Z),U.triggerPermanentFailure(0,0,P.RemoteAuthorityResolverError.isHandled(Z)),Z}}e.connectRemoteAgentExtensionHost=s;async function a(V,X,Z){const j=await n(V,(0,b.generateUuid)(),null);return await i(j,{host:X,port:Z},L.CancellationToken.None)}e.connectRemoteAgentTunnel=a;function u(V){return(0,k.createCancelablePromise)(X=>new Promise((Z,j)=>{const N=setTimeout(Z,V*1e3);X.onCancellationRequested(()=>{clearTimeout(N),Z()})}))}var m;(function(V){V[V.ConnectionLost=0]="ConnectionLost",V[V.ReconnectionWait=1]="ReconnectionWait",V[V.ReconnectionRunning=2]="ReconnectionRunning",V[V.ReconnectionPermanentFailure=3]="ReconnectionPermanentFailure",V[V.ConnectionGain=4]="ConnectionGain"})(m=e.PersistentConnectionEventType||(e.PersistentConnectionEventType={}));class C{constructor(X,Z){this.reconnectionToken=X,this.millisSinceLastIncomingData=Z,this.type=0}}e.ConnectionLostEvent=C;class _{constructor(X,Z,j,N){this.reconnectionToken=X,this.millisSinceLastIncomingData=Z,this.durationSeconds=j,this.cancellableTimer=N,this.type=1}skipWait(){this.cancellableTimer.cancel()}}e.ReconnectionWaitEvent=_;class O{constructor(X,Z,j){this.reconnectionToken=X,this.millisSinceLastIncomingData=Z,this.attempt=j,this.type=2}}e.ReconnectionRunningEvent=O;class M{constructor(X,Z,j){this.reconnectionToken=X,this.millisSinceLastIncomingData=Z,this.attempt=j,this.type=4}}e.ConnectionGainEvent=M;class D{constructor(X,Z,j,N){this.reconnectionToken=X,this.millisSinceLastIncomingData=Z,this.attempt=j,this.handled=N,this.type=3}}e.ReconnectionPermanentFailureEvent=D;class U extends R.Disposable{constructor(X,Z,j,N){super();this._connectionType=X,this._onDidStateChange=this._register(new A.Emitter),this.onDidStateChange=this._onDidStateChange.event,this._options=Z,this.reconnectionToken=j,this.protocol=N,this._isReconnecting=!1,this._onDidStateChange.fire(new M(this.reconnectionToken,0,0)),this._register(N.onSocketClose($=>{const z=B(this._connectionType,this.reconnectionToken,!0);$?$.type===0?(this._options.logService.info(`${z} received socket close event (hadError: ${$.hadError}).`),$.error&&this._options.logService.error($.error)):(this._options.logService.info(`${z} received socket close event (wasClean: ${$.wasClean}, code: ${$.code}, reason: ${$.reason}).`),$.event&&this._options.logService.error($.event)):this._options.logService.info(`${z} received socket close event.`),this._beginReconnecting()})),this._register(N.onSocketTimeout(()=>{const $=B(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${$} received socket timeout event.`),this._beginReconnecting()})),U._instances.push(this),U._permanentFailure&&this._gotoPermanentFailure(U._permanentFailureMillisSinceLastIncomingData,U._permanentFailureAttempt,U._permanentFailureHandled)}static triggerPermanentFailure(X,Z,j){this._permanentFailure=!0,this._permanentFailureMillisSinceLastIncomingData=X,this._permanentFailureAttempt=Z,this._permanentFailureHandled=j,this._instances.forEach(N=>N._gotoPermanentFailure(this._permanentFailureMillisSinceLastIncomingData,this._permanentFailureAttempt,this._permanentFailureHandled))}static debugTriggerReconnection(){this._instances.forEach(X=>X._beginReconnecting())}static debugPauseSocketWriting(){this._instances.forEach(X=>X._pauseSocketWriting())}async _beginReconnecting(){if(!this._isReconnecting)try{this._isReconnecting=!0,await this._runReconnectingLoop()}finally{this._isReconnecting=!1}}async _runReconnectingLoop(){if(U._permanentFailure)return;const X=B(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${X} starting reconnecting loop. You can get more information with the trace log level.`),this._onDidStateChange.fire(new C(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData()));const Z=[0,5,5,10,10,10,10,10,30];let j=-1;do{j++;const N=j<Z.length?Z[j]:Z[Z.length-1];try{if(N>0){const z=u(N);this._onDidStateChange.fire(new _(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),N,z)),this._options.logService.info(`${X} waiting for ${N} seconds before reconnecting...`);try{await z}catch{}}if(U._permanentFailure){this._options.logService.error(`${X} permanent failure occurred while running the reconnecting loop.`);break}this._onDidStateChange.fire(new O(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),j+1)),this._options.logService.info(`${X} resolving connection...`);const $=await n(this._options,this.reconnectionToken,this.protocol);this._options.logService.info(`${X} connecting to ${$.host}:${$.port}...`),await this._reconnect($,h(E)),this._options.logService.info(`${X} reconnected!`),this._onDidStateChange.fire(new M(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),j+1));break}catch($){if($.code==="VSCODE_CONNECTION_ERROR"){this._options.logService.error(`${X} A permanent error occurred in the reconnecting loop! Will give up now! Error:`),this._options.logService.error($),U.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),j+1,!1);break}if(j>360){this._options.logService.error(`${X} An error occurred while reconnecting, but it will be treated as a permanent error because the reconnection grace time has expired! Will give up now! Error:`),this._options.logService.error($),U.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),j+1,!1);break}if(P.RemoteAuthorityResolverError.isTemporarilyNotAvailable($)){this._options.logService.info(`${X} A temporarily not available error occurred while trying to reconnect, will try again...`),this._options.logService.trace($);continue}if(($.code==="ETIMEDOUT"||$.code==="ENETUNREACH"||$.code==="ECONNREFUSED"||$.code==="ECONNRESET")&&$.syscall==="connect"){this._options.logService.info(`${X} A network error occurred while trying to reconnect, will try again...`),this._options.logService.trace($);continue}if((0,T.isCancellationError)($)){this._options.logService.info(`${X} A promise cancelation error occurred while trying to reconnect, will try again...`),this._options.logService.trace($);continue}if($ instanceof P.RemoteAuthorityResolverError){this._options.logService.error(`${X} A RemoteAuthorityResolverError occurred while trying to reconnect. Will give up now! Error:`),this._options.logService.error($),U.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),j+1,P.RemoteAuthorityResolverError.isHandled($));break}this._options.logService.error(`${X} An unknown error occurred while trying to reconnect, since this is an unknown case, it will be treated as a permanent error! Will give up now! Error:`),this._options.logService.error($),U.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),j+1,!1);break}}while(!U._permanentFailure)}_gotoPermanentFailure(X,Z,j){this._onDidStateChange.fire(new D(this.reconnectionToken,X,Z,j)),q(this.protocol)}_pauseSocketWriting(){this.protocol.pauseSocketWriting()}}e.PersistentConnection=U,U._permanentFailure=!1,U._permanentFailureMillisSinceLastIncomingData=0,U._permanentFailureAttempt=0,U._permanentFailureHandled=!1,U._instances=[];class F extends U{constructor(X,Z,j,N,$){super(1,X,N,$);this.client=this._register(new I.Client($,{remoteAuthority:Z,clientId:j},X.ipcLogger))}async _reconnect(X,Z){await r(X,Z)}}e.ManagementPersistentConnection=F;class x extends U{constructor(X,Z,j,N,$){super(2,X,j,N);this._startArguments=Z,this.debugPort=$}async _reconnect(X,Z){await c(X,this._startArguments,Z)}}e.ExtensionHostPersistentConnection=x;function q(V){try{V.acceptDisconnect();const X=V.getSocket();V.dispose(),X.dispose()}catch(X){(0,T.onUnexpectedError)(X)}}function H(V){if(V&&V.type==="error"){const X=new Error(`Connection error: ${V.reason}`);return X.code="VSCODE_CONNECTION_ERROR",X}return null}function re(V,X){for(;V.length<X;)V+=" ";return V}function B(V,X,Z){return`[remote-connection][${re(p(V),13)}][${X.substr(0,5)}\u2026][${Z?"reconnect":"initial"}]`}function W(V,X){return`${B(X,V.reconnectionToken,!!V.reconnectionProtocol)}[${V.host}:${V.port}]`}function K(V){return`${Date.now()-V} ms`}}),define(te[185],ne([0,1,18]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemoteName=e.getRemoteAuthority=void 0;function t(T){return T.scheme===k.Schemas.vscodeRemote?T.authority:void 0}e.getRemoteAuthority=t;function L(T){if(!T)return;const A=T.indexOf("+");return A<0?T:T.substr(0,A)}e.getRemoteName=L}),define(te[61],ne([0,1,26,6,185]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.UNDEFINED_PUBLISHER=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.UNDEFINED_PUBLISHER="undefined_publisher",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function T(f){if(typeof f=="object"&&f!==null&&f.supported!==!0)return f.description}e.getWorkspaceSupportTypeMessage=T;function A(f){return f&&typeof f=="object"&&typeof f.id=="string"&&(!f.uuid||typeof f.uuid=="string")}e.isIExtensionIdentifier=A,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var R;(function(f){f[f.System=0]="System",f[f.User=1]="User"})(R=e.ExtensionType||(e.ExtensionType={}));class b{constructor(p){this.value=p,this._lower=p.toLowerCase()}static equals(p,h){if(typeof p=="undefined"||p===null)return typeof h=="undefined"||h===null;if(typeof h=="undefined"||h===null)return!1;if(typeof p=="string"||typeof h=="string"){let g=typeof p=="string"?p:p.value,v=typeof h=="string"?h:h.value;return k.equalsIgnoreCase(g,v)}return p._lower===h._lower}static toKey(p){return typeof p=="string"?p.toLowerCase():p._lower}}e.ExtensionIdentifier=b;function I(f){return f.contributes&&f.contributes.localizations?f.contributes.localizations.length>0:!1}e.isLanguagePackExtension=I;function P(f){return f.contributes&&f.contributes.authentication?f.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=P;function E(f,p){if(p){const h=`onResolveRemoteAuthority:${(0,L.getRemoteName)(p)}`;return f.activationEvents?.indexOf(h)!==-1}return!1}e.isResolverExtension=E,e.IBuiltinExtensionsScannerService=(0,t.createDecorator)("IBuiltinExtensionsScannerService")}),define(te[31],ne([0,1,26,61]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function L(h,g){return h.uuid&&g.uuid?h.uuid===g.uuid:h.id===g.id?!0:(0,k.compareIgnoreCase)(h.id,g.id)===0}e.areSameExtensions=L;class T{constructor(g,v){this.version=v,this.id=g.id,this.uuid=g.uuid}key(){return`${this.id}-${this.version}`}equals(g){return g instanceof T?L(this,g)&&this.version===g.version:!1}}e.ExtensionIdentifierWithVersion=T;function A(h,g){return`${h}.${g}`}e.getExtensionId=A;function R(h){return h.toLocaleLowerCase()}e.adoptToGalleryExtensionId=R;function b(h,g){return R(A(h,g))}e.getGalleryExtensionId=b;function I(h,g){const v=[],l=w=>{for(const S of v)if(S.some(y=>L(g(y),g(w))))return S;return null};for(const w of h){const S=l(w);S?S.push(w):v.push([w])}return v}e.groupByExtension=I;function P(h){return{id:h.identifier.id,name:h.manifest.name,galleryId:null,publisherId:h.publisherId,publisherName:h.manifest.publisher,publisherDisplayName:h.publisherDisplayName,dependencies:h.manifest.extensionDependencies&&h.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=P;function E(h){return{id:h.identifier.id,name:h.name,galleryId:h.identifier.uuid,publisherId:h.publisherId,publisherName:h.publisher,publisherDisplayName:h.publisherDisplayName,isPreReleaseVersion:h.properties.isPreReleaseVersion,dependencies:!!(h.properties.dependencies&&h.properties.dependencies.length>0),...h.telemetryData}}e.getGalleryExtensionTelemetryData=E,e.BetterMergeId=new t.ExtensionIdentifier("pprice.better-merge");function f(h){const g=new Set;if(h.malicious)for(const v of h.malicious)g.add(v.id);return g}e.getMaliciousExtensionsSet=f;function p(h,g){const v=[],l=g.manifest.extensionDependencies?.slice(0)??[];for(;l.length;){const w=l.shift();if(w&&v.every(S=>!L(S.identifier,{id:w}))){const S=h.filter(y=>L(y.identifier,{id:w}));S.length===1&&(v.push(S[0]),l.push(...S[0].manifest.extensionDependencies?.slice(0)??[]))}}return v}e.getExtensionDependencies=p}),define(te[30],ne([0,1,18,130,31,6]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.TargetPlatform=e.getIdAndVersion=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";const A=/^([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;function R(r){const c=A.exec(r);return c&&c[1]?[(0,L.adoptToGalleryExtensionId)(c[1]),c[2]]:[(0,L.adoptToGalleryExtensionId)(r),void 0]}e.getIdAndVersion=R;var b;(function(r){r.WIN32_X64="win32-x64",r.WIN32_IA32="win32-ia32",r.WIN32_ARM64="win32-arm64",r.LINUX_X64="linux-x64",r.LINUX_ARM64="linux-arm64",r.LINUX_ARMHF="linux-armhf",r.ALPINE_X64="alpine-x64",r.ALPINE_ARM64="alpine-arm64",r.DARWIN_X64="darwin-x64",r.DARWIN_ARM64="darwin-arm64",r.WEB="web",r.UNIVERSAL="universal",r.UNKNOWN="unknown",r.UNDEFINED="undefined"})(b=e.TargetPlatform||(e.TargetPlatform={}));function I(r){switch(r){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=I;function P(r){switch(r){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=P;function E(r,c){switch(r){case 3:return c==="x64"?"win32-x64":c==="ia32"?"win32-ia32":c==="arm64"?"win32-arm64":"unknown";case 2:return c==="x64"?"linux-x64":c==="arm64"?"linux-arm64":c==="arm"?"linux-armhf":"unknown";case"alpine":return c==="x64"?"alpine-x64":c==="arm64"?"alpine-arm64":"unknown";case 1:return c==="x64"?"darwin-x64":c==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=E;function f(r,c){return c==="web"&&!r.includes("web")}e.isNotWebExtensionInWebTargetPlatform=f;function p(r,c,i){return f(c,i)?!1:r==="undefined"||r==="universal"?!0:r==="unknown"?!1:r===i?!0:h(i).includes(r)}e.isTargetPlatformCompatible=p;function h(r){switch(r){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=h;function g(r){return r&&typeof r=="object"&&typeof r.id=="string"&&(!r.uuid||typeof r.uuid=="string")}e.isIExtensionIdentifier=g;var v;(function(r){r[r.NoneOrRelevance=0]="NoneOrRelevance",r[r.LastUpdatedDate=1]="LastUpdatedDate",r[r.Title=2]="Title",r[r.PublisherName=3]="PublisherName",r[r.InstallCount=4]="InstallCount",r[r.PublishedDate=10]="PublishedDate",r[r.AverageRating=6]="AverageRating",r[r.WeightedRating=12]="WeightedRating"})(v=e.SortBy||(e.SortBy={}));var l;(function(r){r[r.Default=0]="Default",r[r.Ascending=1]="Ascending",r[r.Descending=2]="Descending"})(l=e.SortOrder||(e.SortOrder={}));var w;(function(r){r.Install="install",r.Uninstall="uninstall"})(w=e.StatisticType||(e.StatisticType={}));var S;(function(r){r[r.None=1]="None",r[r.Install=2]="Install",r[r.Update=3]="Update",r[r.Migrate=4]="Migrate"})(S=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,T.createDecorator)("extensionGalleryService");var y;(function(r){r.Unsupported="Unsupported",r.UnsupportedPreRelease="UnsupportedPreRelease",r.Malicious="Malicious",r.Incompatible="Incompatible",r.IncompatiblePreRelease="IncompatiblePreRelease",r.IncompatibleTargetPlatform="IncompatibleTargetPlatform",r.ReleaseVersionNotFound="ReleaseVersionNotFound",r.Invalid="Invalid",r.Download="Download",r.Extract="Extract",r.Delete="Delete",r.Rename="Rename",r.CorruptZip="CorruptZip",r.IncompleteZip="IncompleteZip",r.Internal="Internal"})(y=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class d extends Error{constructor(c,i){super(c);this.code=i,this.name=i}}e.ExtensionManagementError=d,e.IExtensionManagementService=(0,T.createDecorator)("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,T.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,T.createDecorator)("IExtensionTipsService"),e.DefaultIconPath=k.FileAccess.asBrowserUri("./media/defaultIcon.png",J).toString(!0),e.ExtensionsLabel=(0,t.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,t.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,T.createDecorator)("IExtensionManagementCLIService")}),define(te[186],ne([0,1,3,2,28,7,110,30]),function(J,e,k,t,L,T,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsChannel=e.ExtensionManagementChannelClient=e.ExtensionManagementChannel=void 0;function b(g,v){return T.URI.revive(v?v.transformIncoming(g):g)}function I(g,v){return v?v.transformOutgoingURI(g):g}function P(g,v){v=v||A.DefaultURITransformer;const l=g.manifest;return{...(0,A.transformAndReviveIncomingURIs)({...g,manifest:void 0},v),manifest:l}}function E(g,v){return v?(0,L.cloneAndChange)(g,l=>l instanceof T.URI?v.transformOutgoingURI(l):void 0):g}class f{constructor(v,l){this.service=v,this.getUriTransformer=l,this.onInstallExtension=k.Event.buffer(v.onInstallExtension,!0),this.onDidInstallExtensions=k.Event.buffer(v.onDidInstallExtensions,!0),this.onUninstallExtension=k.Event.buffer(v.onUninstallExtension,!0),this.onDidUninstallExtension=k.Event.buffer(v.onDidUninstallExtension,!0)}listen(v,l){const w=this.getUriTransformer(v);switch(l){case"onInstallExtension":return this.onInstallExtension;case"onDidInstallExtensions":return k.Event.map(this.onDidInstallExtensions,S=>S.map(y=>({...y,local:y.local?E(y.local,w):y.local})));case"onUninstallExtension":return this.onUninstallExtension;case"onDidUninstallExtension":return this.onDidUninstallExtension}throw new Error("Invalid listen")}call(v,l,w){const S=this.getUriTransformer(v);switch(l){case"zip":return this.service.zip(P(w[0],S)).then(y=>I(y,S));case"unzip":return this.service.unzip(b(w[0],S));case"install":return this.service.install(b(w[0],S),w[1]);case"getManifest":return this.service.getManifest(b(w[0],S));case"getTargetPlatform":return this.service.getTargetPlatform();case"canInstall":return this.service.canInstall(w[0]);case"installFromGallery":return this.service.installFromGallery(w[0],w[1]);case"uninstall":return this.service.uninstall(P(w[0],S),w[1]);case"reinstallFromGallery":return this.service.reinstallFromGallery(P(w[0],S));case"getInstalled":return this.service.getInstalled(w[0]).then(y=>y.map(d=>E(d,S)));case"updateMetadata":return this.service.updateMetadata(P(w[0],S),w[1]).then(y=>E(y,S));case"updateExtensionScope":return this.service.updateExtensionScope(P(w[0],S),w[1]).then(y=>E(y,S));case"getExtensionsControlManifest":return this.service.getExtensionsControlManifest()}throw new Error("Invalid call")}}e.ExtensionManagementChannel=f;class p extends t.Disposable{constructor(v){super();this.channel=v,this._onInstallExtension=this._register(new k.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtensions=this._register(new k.Emitter),this.onDidInstallExtensions=this._onDidInstallExtensions.event,this._onUninstallExtension=this._register(new k.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new k.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this._register(this.channel.listen("onInstallExtension")(l=>this._onInstallExtension.fire({identifier:l.identifier,source:this.isUriComponents(l.source)?T.URI.revive(l.source):l.source}))),this._register(this.channel.listen("onDidInstallExtensions")(l=>this._onDidInstallExtensions.fire(l.map(w=>({...w,local:w.local?P(w.local,null):w.local,source:this.isUriComponents(w.source)?T.URI.revive(w.source):w.source}))))),this._register(this.channel.listen("onUninstallExtension")(l=>this._onUninstallExtension.fire(l))),this._register(this.channel.listen("onDidUninstallExtension")(l=>this._onDidUninstallExtension.fire(l)))}isUriComponents(v){return v?typeof v.path=="string"&&typeof v.scheme=="string":!1}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=this.channel.call("getTargetPlatform")),this._targetPlatformPromise}async canInstall(v){const l=await this.getTargetPlatform();return v.allTargetPlatforms.some(w=>(0,R.isTargetPlatformCompatible)(w,v.allTargetPlatforms,l))}zip(v){return Promise.resolve(this.channel.call("zip",[v]).then(l=>T.URI.revive(l)))}unzip(v){return Promise.resolve(this.channel.call("unzip",[v]))}install(v,l){return Promise.resolve(this.channel.call("install",[v,l])).then(w=>P(w,null))}getManifest(v){return Promise.resolve(this.channel.call("getManifest",[v]))}installFromGallery(v,l){return Promise.resolve(this.channel.call("installFromGallery",[v,l])).then(w=>P(w,null))}uninstall(v,l){return Promise.resolve(this.channel.call("uninstall",[v,l]))}reinstallFromGallery(v){return Promise.resolve(this.channel.call("reinstallFromGallery",[v]))}getInstalled(v=null){return Promise.resolve(this.channel.call("getInstalled",[v])).then(l=>l.map(w=>P(w,null)))}updateMetadata(v,l){return Promise.resolve(this.channel.call("updateMetadata",[v,l])).then(w=>P(w,null))}updateExtensionScope(v,l){return Promise.resolve(this.channel.call("updateExtensionScope",[v,l])).then(w=>P(w,null))}getExtensionsControlManifest(){return Promise.resolve(this.channel.call("getExtensionsControlManifest"))}registerParticipant(){throw new Error("Not Supported")}}e.ExtensionManagementChannelClient=p;class h{constructor(v){this.service=v}listen(v,l){throw new Error("Invalid listen")}call(v,l,w){switch(l){case"getConfigBasedTips":return this.service.getConfigBasedTips(T.URI.revive(w[0]));case"getImportantExecutableBasedTips":return this.service.getImportantExecutableBasedTips();case"getOtherExecutableBasedTips":return this.service.getOtherExecutableBasedTips();case"getAllWorkspacesTips":return this.service.getAllWorkspacesTips()}throw new Error("Invalid call")}}e.ExtensionTipsChannel=h}),define(te[187],ne([0,1,25,31]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.migrateUnsupportedExtensions=void 0;async function L(T,A,R,b,I){try{const P=await T.getExtensionsControlManifest();if(!P.unsupportedPreReleaseExtensions)return;const E=await T.getInstalled(1);for(const[f,{id:p,migrateStorage:h}]of Object.entries(P.unsupportedPreReleaseExtensions)){const g=E.find(l=>(0,t.areSameExtensions)(l.identifier,{id:f}));if(!g)continue;const v=(await A.getExtensions([{id:p,preRelease:!0}],{targetPlatform:await T.getTargetPlatform(),compatible:!0},k.CancellationToken.None))[0];if(!v){I.info(`Skipping migrating '${g.identifier.id}' extension because, the comaptible target '${p}' extension is not found`);continue}try{I.info(`Migrating '${g.identifier.id}' extension to '${p}' extension...`);const l=!b.getDisabledExtensions().some(S=>(0,t.areSameExtensions)(S,g.identifier));await T.uninstall(g),I.info(`Uninstalled the unsupported extension '${g.identifier.id}'`);let w=E.find(S=>(0,t.areSameExtensions)(S.identifier,{id:p}));(!w||!w.isPreReleaseVersion&&l)&&(w=await T.installFromGallery(v,{installPreReleaseVersion:!0,isMachineScoped:g.isMachineScoped,operation:4}),I.info(`Installed the pre-release extension '${w.identifier.id}'`),l||(await b.disableExtension(w.identifier),I.info(`Disabled the pre-release extension '${w.identifier.id}' because the unsupported extension '${g.identifier.id}' is disabled`)),h&&(R.addToMigrationList((0,t.getExtensionId)(g.manifest.publisher,g.manifest.name),(0,t.getExtensionId)(w.manifest.publisher,w.manifest.name)),I.info("Added pre-release extension to the storage migration list"))),I.info(`Migrated '${g.identifier.id}' extension to '${p}' extension.`)}catch(l){I.error(l)}}}catch(P){I.error(P)}}e.migrateUnsupportedExtensions=L}),define(te[188],ne([0,1,5,9,2,4,20,62,7,29,22,14,30,31,15,8]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsDownloader=void 0;const v=/^([^.]+\..+)-(\d+\.\d+\.\d+)$/;let l=class extends L.Disposable{constructor(S,y,d,r){super();this.fileService=y,this.extensionGalleryService=d,this.logService=r,this.extensionsDownloadDir=b.URI.file(S.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(S,y){await this.cleanUpPromise;const d=this.getName(S),r=(0,A.joinPath)(this.extensionsDownloadDir,d);if(!await this.fileService.exists(r)){const c=(0,A.joinPath)(this.extensionsDownloadDir,`.${(0,I.generateUuid)()}`);await this.fileService.exists(c)||await this.extensionGalleryService.download(S,c,y);try{await this.rename(c,r,Date.now()+2*60*1e3)}catch(i){try{await this.fileService.del(c)}catch{}if(i.code==="ENOTEMPTY")this.logService.info("Rename failed because vsix was downloaded by another source. So ignoring renaming.",S.identifier.id);else throw this.logService.info(`Rename failed because of ${(0,t.getErrorMessage)(i)}. Deleted the vsix from downloaded location`,c.path),i}}return r}async delete(S){await this.cleanUpPromise,await this.fileService.del(S)}async rename(S,y,d){try{await P.Promises.rename(S.fsPath,y.fsPath)}catch(r){if(T.isWindows&&r&&r.code==="EPERM"&&Date.now()<d)return this.logService.info(`Failed renaming ${S} to ${y} with 'EPERM' error. Trying again...`),this.rename(S,y,d);throw r}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const S=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(S.children){const y=[],d=[];for(const i of S.children){const n=this.parse(i.name);n&&d.push([n,i])}const r=(0,p.groupByExtension)(d,([i])=>i),c=[];for(const i of r)i.sort((n,o)=>R.rcompare(n[0].version,o[0].version)),y.push(...i.slice(1).map(n=>n[1].resource)),c.push(i[0][1]);c.sort((i,n)=>i.mtime-n.mtime),y.push(...c.slice(0,Math.max(0,c.length-this.cache)).map(i=>i.resource)),await k.Promises.settled(y.map(i=>(this.logService.trace("Deleting vsix from cache",i.path),this.fileService.del(i))))}}catch(S){this.logService.error(S)}}getName(S){return this.cache?`${new p.ExtensionIdentifierWithVersion(S.identifier,S.version).key().toLowerCase()}${S.properties.targetPlatform!=="undefined"?`-${S.properties.targetPlatform}`:""}`:(0,I.generateUuid)()}parse(S){const y=v.exec(S);return y&&y[1]&&y[2]?new p.ExtensionIdentifierWithVersion({id:y[1]},y[2]):null}};l=he([Y(0,E.INativeEnvironmentService),Y(1,h.IFileService),Y(2,f.IExtensionGalleryService),Y(3,g.ILogService)],l),e.ExtensionsDownloader=l}),define(te[189],ne([0,1,2,10,22,61]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsManifestCache=void 0;class A extends k.Disposable{constructor(b,I){super();this.environmentService=b,this.extensionsManifestCache=(0,t.join)(this.environmentService.userDataPath,T.MANIFEST_CACHE_FOLDER,T.USER_MANIFEST_CACHE_FILE),this._register(I.onDidInstallExtensions(P=>this.onDidInstallExtensions(P))),this._register(I.onDidUninstallExtension(P=>this.onDidUnInstallExtension(P)))}onDidInstallExtensions(b){b.some(I=>!!I.local)&&this.invalidate()}onDidUnInstallExtension(b){b.error||this.invalidate()}invalidate(){L.Promises.rm(this.extensionsManifestCache,L.RimRafMode.MOVE).then(()=>{},()=>{})}}e.ExtensionsManifestCache=A}),define(te[190],ne([0,1,84,16,5,2,18,10,22,14,30,31,59,8]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LocalizationsService=void 0;let h=class extends T.Disposable{constructor(l,w,S){super();this.extensionManagementService=l,this.logService=S,this.cache=this._register(new g(w,S)),this.extensionManagementService.registerParticipant({postInstall:async y=>this.postInstallExtension(y),postUninstall:async y=>this.postUninstallExtension(y)})}async getLanguageIds(){const l=await this.cache.getLanguagePacks(),w=["en",...Object.keys(l)];return(0,t.distinct)(w)}async postInstallExtension(l){l&&l.manifest&&l.manifest.contributes&&l.manifest.contributes.localizations&&l.manifest.contributes.localizations.length&&(this.logService.info("Adding language packs from the extension",l.identifier.id),await this.update())}async postUninstallExtension(l){const w=await this.cache.getLanguagePacks();Object.keys(w).some(S=>w[S]&&w[S].extensions.some(y=>(0,E.areSameExtensions)(y.extensionIdentifier,l.identifier)))&&(this.logService.info("Removing language packs from the extension",l.identifier.id),await this.update())}async update(){const[l,w]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),S=await this.cache.update(w);return!(0,t.equals)(Object.keys(l),Object.keys(S))}};h=he([Y(0,P.IExtensionManagementService),Y(1,I.INativeEnvironmentService),Y(2,p.ILogService)],h),e.LocalizationsService=h;let g=class extends T.Disposable{constructor(l,w){super();this.logService=w,this.languagePacks={},this.languagePacksFilePath=(0,R.join)(l.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new L.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(l){return this.withLanguagePacks(w=>{Object.keys(w).forEach(S=>delete w[S]),this.createLanguagePacksFromExtensions(w,...l)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(l,...w){for(const S of w)S&&S.manifest&&S.manifest.contributes&&S.manifest.contributes.localizations&&S.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(l,S);Object.keys(l).forEach(S=>this.updateHash(l[S]))}createLanguagePacksFromExtension(l,w){const S=w.identifier,y=w.manifest.contributes&&w.manifest.contributes.localizations?w.manifest.contributes.localizations:[];for(const d of y)if(w.location.scheme===A.Schemas.file&&(0,f.isValidLocalization)(d)){let r=l[d.languageId];r||(r={hash:"",extensions:[],translations:{}},l[d.languageId]=r);let c=r.extensions.filter(i=>(0,E.areSameExtensions)(i.extensionIdentifier,S))[0];c?c.version=w.manifest.version:r.extensions.push({extensionIdentifier:S,version:w.manifest.version});for(const i of d.translations)r.translations[i.id]=(0,R.join)(w.location.fsPath,i.path)}}updateHash(l){if(l){const w=(0,k.createHash)("md5");for(const S of l.extensions)w.update(S.extensionIdentifier.uuid||S.extensionIdentifier.id).update(S.version);l.hash=w.digest("hex")}}withLanguagePacks(l=()=>null){return this.languagePacksFileLimiter.queue(()=>{let w=null;return b.Promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,S=>S.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(S)).then(S=>{try{return JSON.parse(S)}catch{return{}}}).then(S=>(w=l(S),S)).then(S=>{for(const d of Object.keys(S))S[d]||delete S[d];this.languagePacks=S,this.initializedCache=!0;const y=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",y),b.Promises.writeFile(this.languagePacksFilePath,y)}).then(()=>w,S=>this.logService.error(S))})}};g=he([Y(0,I.INativeEnvironmentService),Y(1,p.ILogService)],g)}),define(te[191],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ipcSharedProcessTunnelChannelName=e.ISharedProcessTunnelService=void 0,e.ISharedProcessTunnelService=(0,k.createDecorator)("sharedProcessTunnelService"),e.ipcSharedProcessTunnelChannelName="sharedProcessTunnel"}),define(te[192],ne([0,1,120,19,8]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let T=class{constructor(R,b){this.configurationService=R,this.logService=b}request(R,b){return this.logService.trace("RequestService#request",R.url),R.proxyAuthorization||(R.proxyAuthorization=this.configurationService.getValue("http.proxyAuthorization")),(0,k.request)(R,b)}async resolveProxy(R){}};T=he([Y(0,t.IConfigurationService),Y(1,L.ILogService)],T),e.RequestService=T}),define(te[43],ne([0,1,17,140,42,6,38]),function(J,e,k,t,L,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.updateProxyConfigurationsScope=e.asJson=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=(0,T.createDecorator)("requestService");function R(h){return h.res.statusCode&&h.res.statusCode>=200&&h.res.statusCode<300||h.res.statusCode===1223}e.isSuccess=R;function b(h){return h.res.statusCode===204}async function I(h){if(!R(h))throw new Error("Server returned "+h.res.statusCode);return b(h)?null:(await(0,k.streamToBuffer)(h.stream)).toString()}e.asText=I;async function P(h){if(!R(h))throw new Error("Server returned "+h.res.statusCode);if(b(h))return null;const v=(await(0,k.streamToBuffer)(h.stream)).toString();try{return JSON.parse(v)}catch(l){throw l.message+=`:
`+v,l}}e.asJson=P;function E(h){p(h)}e.updateProxyConfigurationsScope=E;let f;function p(h){const g=A.Registry.as(L.Extensions.Configuration),v=f;f={id:"http",order:15,title:(0,t.localize)(0,null),type:"object",scope:h,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,t.localize)(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,t.localize)(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,t.localize)(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,t.localize)(4,null),(0,t.localize)(5,null),(0,t.localize)(6,null),(0,t.localize)(7,null)],default:"override",description:(0,t.localize)(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,t.localize)(9,null),restricted:!0}}},g.updateConfigurations({add:[f],remove:v?[v]:[]})}p(2)}),define(te[193],ne([0,1,25,18,15,43]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DownloadService=void 0;let A=class{constructor(b,I){this.requestService=b,this.fileService=I}async download(b,I,P=k.CancellationToken.None){if(b.scheme===t.Schemas.file||b.scheme===t.Schemas.vscodeRemote){await this.fileService.copy(b,I);return}const E={type:"GET",url:b.toString()},f=await this.requestService.request(E,P);if(f.res.statusCode===200)await this.fileService.writeFile(I,f.stream);else{const p=await(0,T.asText)(f);throw new Error(`Expected 200, got back ${f.res.statusCode} instead.

${p}`)}}};A=he([Y(0,T.IRequestService),Y(1,L.IFileService)],A),e.DownloadService=A}),define(te[194],ne([0,1,16,25,68,2,20,155,15,8,27,43]),function(J,e,k,t,L,T,A,R,b,I,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsService=void 0;let f=class extends T.Disposable{constructor(h,g,v,l){super();this.fileService=h,this.productService=g,this.requestService=v,this.logService=l,this.allConfigBasedTips=new Map,this.productService.configBasedExtensionTips&&(0,L.forEach)(this.productService.configBasedExtensionTips,({value:w})=>this.allConfigBasedTips.set(w.configPath,w))}getConfigBasedTips(h){return this.getValidConfigBasedTips(h)}getAllWorkspacesTips(){return this.fetchWorkspacesTips()}async getImportantExecutableBasedTips(){return[]}async getOtherExecutableBasedTips(){return[]}async getValidConfigBasedTips(h){const g=[];for(const[v,l]of this.allConfigBasedTips)if(!(l.configScheme&&l.configScheme!==h.scheme))try{const w=await this.fileService.readFile((0,A.joinPath)(h,v)),S=new Map;(0,L.forEach)(l.recommendations,({key:d,value:r})=>{if((0,k.isNonEmptyArray)(r.remotes))for(const c of r.remotes)S.set(c,{extensionId:d,extensionName:r.name,configName:l.configName,important:!!r.important,isExtensionPack:!!r.isExtensionPack,whenNotInstalled:r.whenNotInstalled});else g.push({extensionId:d,extensionName:r.name,configName:l.configName,important:!!r.important,isExtensionPack:!!r.isExtensionPack,whenNotInstalled:r.whenNotInstalled})});const y=(0,R.getDomainsOfRemotes)(w.value.toString(),[...S.keys()]);for(const d of y){const r=S.get(d);r&&g.push(r)}}catch{}return g}async fetchWorkspacesTips(){if(!this.productService.extensionsGallery?.recommendationsUrl)return[];try{const h=await this.requestService.request({type:"GET",url:this.productService.extensionsGallery?.recommendationsUrl},t.CancellationToken.None);if(h.res.statusCode!==200)return[];const g=await(0,E.asJson)(h);return g?g.workspaceRecommendations||[]:[]}catch(h){return this.logService.error(h),[]}}};f=he([Y(0,b.IFileService),Y(1,P.IProductService),Y(2,E.IRequestService),Y(3,I.ILogService)],f),e.ExtensionTipsService=f}),define(te[91],ne([0,1,71,6]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ipcSharedProcessWorkerChannelName=e.ISharedProcessWorkerService=e.hash=void 0;function L(T){return(0,k.hash)({moduleId:T.process.moduleId,windowId:T.reply.windowId})}e.hash=L,e.ISharedProcessWorkerService=(0,t.createDecorator)("sharedProcessWorkerService"),e.ipcSharedProcessWorkerChannelName="sharedProcessWorker"}),define(te[195],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessWorkerMessages=void 0;var k;(function(t){t.Spawn="vscode:shared-process->shared-process-worker=spawn",t.Terminate="vscode:shared-process->shared-process-worker=terminate",t.SelfTerminated="vscode:shared-process-worker->shared-process=selfTerminated",t.Ready="vscode:shared-process-worker->shared-process=ready",t.Ack="vscode:shared-process-worker->shared-process=ack",t.Trace="vscode:shared-process-worker->shared-process=trace",t.Info="vscode:shared-process-worker->shared-process=info",t.Warn="vscode:shared-process-worker->shared-process=warn",t.Error="vscode:shared-process-worker->shared-process=error"})(k=e.SharedProcessWorkerMessages||(e.SharedProcessWorkerMessages={}))}),define(te[196],ne([0,1,75,5,25,3,2,18,29,8,91,195]),function(J,e,k,t,L,T,A,R,b,I,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessWorkerService=void 0;let f=class{constructor(g){this.logService=g,this.workers=new Map,this.processeDisposables=new Map,this.processResolvers=new Map}async createWorker(g){const v=`window: ${g.reply.windowId}, moduleId: ${g.process.moduleId}`;this.logService.trace(`SharedProcess: createWorker (${v})`);const l=(0,P.hash)(g);this.processeDisposables.has(l)&&(this.logService.warn(`SharedProcess: createWorker found an existing worker that will be terminated (${v})`),this.doDisposeWorker(g));const w=new L.CancellationTokenSource;let S,y,d;this.processeDisposables.set(l,n=>{w.dispose(!0),S?.terminate(g,L.CancellationToken.None),y?.close(),d?.close(),this.processeDisposables.delete(l);const o=this.processResolvers.get(l);o&&(this.processResolvers.delete(l),o({reason:n}))}),S=await this.getOrCreateWebWorker(g);const r=new Promise(n=>{this.processResolvers.set(l,n)});if(w.token.isCancellationRequested)return r;const{port1:c,port2:i}=new MessageChannel;return y=c,d=i,await S.spawn(g,d,w.token),w.token.isCancellationRequested||(this.logService.trace(`SharedProcess: createWorker sending message port back to window (${v})`),k.ipcRenderer.postMessage("vscode:relaySharedProcessWorkerMessageChannel",g,[y])),r}getOrCreateWebWorker(g){let v=this.workers.get(g.process.moduleId);if(!v){this.logService.trace(`SharedProcess: creating new web worker (${g.process.moduleId})`);const l=new p(g.process.type,this.logService);v=l.init(),l.onDidProcessSelfTerminate(({configuration:w,reason:S})=>{this.doDisposeWorker(w,S)}),this.workers.set(g.process.moduleId,v)}return v}async disposeWorker(g){return this.doDisposeWorker(g)}doDisposeWorker(g,v){const l=this.processeDisposables.get((0,P.hash)(g));l&&(this.logService.trace(`SharedProcess: disposeWorker (window: ${g.reply.windowId}, moduleId: ${g.process.moduleId})`),l(v))}};f=he([Y(0,I.ILogService)],f),e.SharedProcessWorkerService=f;class p extends A.Disposable{constructor(g,v){super();this.type=g,this.logService=v,this._onDidProcessSelfTerminate=this._register(new T.Emitter),this.onDidProcessSelfTerminate=this._onDidProcessSelfTerminate.event,this.workerReady=this.doInit(),this.mapMessageNonceToPendingMessageResolve=new Map}async init(){return await this.workerReady,this}doInit(){const g=new t.DeferredPromise,v=new Worker("../../../base/worker/workerMain.js",{name:`Shared Process Worker (${this.type})`});return v.onerror=l=>{this.logService.error(`SharedProcess: worker error (${this.type})`,l.message)},v.onmessageerror=l=>{this.logService.error(`SharedProcess: worker message error (${this.type})`,l)},v.onmessage=l=>{const{id:w,message:S,configuration:y,nonce:d}=l.data;switch(w){case E.SharedProcessWorkerMessages.Ready:g.complete(v);break;case E.SharedProcessWorkerMessages.Ack:if(d){const r=this.mapMessageNonceToPendingMessageResolve.get(d);r&&(this.mapMessageNonceToPendingMessageResolve.delete(d),r())}break;case E.SharedProcessWorkerMessages.SelfTerminated:y&&S&&this._onDidProcessSelfTerminate.fire({configuration:y,reason:JSON.parse(S)});break;case E.SharedProcessWorkerMessages.Trace:this.logService.trace(`SharedProcess (worker, ${this.type}):`,S);break;case E.SharedProcessWorkerMessages.Info:S&&this.logService.info(S);break;case E.SharedProcessWorkerMessages.Warn:this.logService.warn(`SharedProcess (worker, ${this.type}):`,S);break;case E.SharedProcessWorkerMessages.Error:this.logService.error(`SharedProcess (worker, ${this.type}):`,S);break;default:this.logService.warn(`SharedProcess: unexpected worker message (${this.type})`,l)}},v.postMessage("vs/platform/sharedProcess/electron-browser/sharedProcessWorkerMain"),g.p}async send(g,v,l){const w=await this.workerReady;if(!v.isCancellationRequested)return new Promise(S=>{const y=(0,b.generateUuid)();this.mapMessageNonceToPendingMessageResolve.set(y,S);const d={...g,nonce:y};l?w.postMessage(d,[l]):w.postMessage(d),v.onCancellationRequested(()=>{this.mapMessageNonceToPendingMessageResolve.delete(y)&&S()})})}spawn(g,v,l){const w={id:E.SharedProcessWorkerMessages.Spawn,configuration:g,environment:{bootstrapPath:R.FileAccess.asFileUri("bootstrap-fork",J).fsPath}};return this.send(w,l,v)}terminate(g,v){const l={id:E.SharedProcessWorkerMessages.Terminate,configuration:g};return this.send(l,v)}}}),define(te[197],ne([0,1,54,18,154]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessEnvironmentService=void 0;class T extends L.NativeEnvironmentService{get userRoamingDataHome(){return this.appSettingsHome.with({scheme:t.Schemas.userData})}}he([k.memoize],T.prototype,"userRoamingDataHome",null),e.SharedProcessEnvironmentService=T}),define(te[92],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ISignService=e.SIGN_SERVICE_ID=void 0,e.SIGN_SERVICE_ID="signService",e.ISignService=(0,k.createDecorator)(e.SIGN_SERVICE_ID)}),define(te[198],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class k{constructor(){this.validators=new Map}vsda(){return new Promise((L,T)=>J(["vsda"],L,T))}async createNewMessage(L){try{const T=await this.vsda(),A=new T.validator;if(A){const R=String(k._nextId++);return this.validators.set(R,A),{id:R,data:A.createNewMessage(L)}}}catch{}return{id:"",data:L}}async validate(L,T){if(!L.id)return!0;const A=this.validators.get(L.id);if(!A)return!1;this.validators.delete(L.id);try{return A.validate(T)==="ok"}catch{return!1}}async sign(L){try{const T=await this.vsda(),A=new T.signer;if(A)return A.sign(L)}catch{}return L}}e.SignService=k,k._nextId=1}),define(te[23],ne([0,1,5,3,2,176,11,76,6]),function(J,e,k,t,L,T,A,R,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const I="__$__targetStorageMarker";e.IStorageService=(0,b.createDecorator)("storageService");var P;(function(v){v[v.NONE=0]="NONE",v[v.SHUTDOWN=1]="SHUTDOWN"})(P=e.WillSaveStateReason||(e.WillSaveStateReason={}));var E;(function(v){v[v.GLOBAL=0]="GLOBAL",v[v.WORKSPACE=1]="WORKSPACE"})(E=e.StorageScope||(e.StorageScope={}));var f;(function(v){v[v.USER=0]="USER",v[v.MACHINE=1]="MACHINE"})(f=e.StorageTarget||(e.StorageTarget={}));class p extends L.Disposable{constructor(l={flushInterval:p.DEFAULT_FLUSH_INTERVAL}){super();this.options=l,this._onDidChangeValue=this._register(new t.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new t.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new t.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new k.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new L.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,k.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,L.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{(0,T.mark)("code/willInitStorage");try{await this.doInitialize()}finally{(0,T.mark)("code/didInitStorage")}this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(l,w){w===I?(l===0?this._globalKeyTargets=void 0:l===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:l})):this._onDidChangeValue.fire({scope:l,key:w,target:this.getKeyTargets(l)[w]})}emitWillSaveState(l){this._onWillSaveState.fire({reason:l})}get(l,w,S){return this.getStorage(w)?.get(l,S)}getBoolean(l,w,S){return this.getStorage(w)?.getBoolean(l,S)}getNumber(l,w,S){return this.getStorage(w)?.getNumber(l,S)}store(l,w,S,y){if((0,A.isUndefinedOrNull)(w)){this.remove(l,S);return}this.withPausedEmitters(()=>{this.updateKeyTarget(l,S,y),this.getStorage(S)?.set(l,w)})}remove(l,w){this.withPausedEmitters(()=>{this.updateKeyTarget(l,w,void 0),this.getStorage(w)?.delete(l)})}withPausedEmitters(l){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{l()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(l,w){const S=[],y=this.getKeyTargets(l);for(const d of Object.keys(y))y[d]===w&&S.push(d);return S}updateKeyTarget(l,w,S){const y=this.getKeyTargets(w);typeof S=="number"?y[l]!==S&&(y[l]=S,this.getStorage(w)?.set(I,JSON.stringify(y))):typeof y[l]=="number"&&(delete y[l],this.getStorage(w)?.set(I,JSON.stringify(y)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(l){return l===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(l){const w=this.get(I,l);if(w)try{return JSON.parse(w)}catch{}return Object.create(null)}isNew(l){return this.getBoolean(e.IS_NEW_KEY,l)===!0}async flush(l=P.NONE){this._onWillSaveState.fire({reason:l});const w=this.getStorage(0),S=this.getStorage(1);switch(l){case P.NONE:await k.Promises.settled([w?.whenFlushed()??Promise.resolve(),S?.whenFlushed()??Promise.resolve()]);break;case P.SHUTDOWN:await k.Promises.settled([w?.flush(0)??Promise.resolve(),S?.flush(0)??Promise.resolve()]);break}}async logStorage(){const l=this.getStorage(0)?.items??new Map,w=this.getStorage(1)?.items??new Map;return g(l,w,this.getLogDetails(0)??"",this.getLogDetails(1)??"")}}e.AbstractStorageService=p,p.DEFAULT_FLUSH_INTERVAL=60*1e3;class h extends p{constructor(){super();this.globalStorage=this._register(new R.Storage(new R.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new R.Storage(new R.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(l=>this.emitDidChangeValue(1,l))),this._register(this.globalStorage.onDidChangeStorage(l=>this.emitDidChangeValue(0,l)))}getStorage(l){return l===0?this.globalStorage:this.workspaceStorage}getLogDetails(l){return l===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(l){}}e.InMemoryStorageService=h;async function g(v,l,w,S){const y=s=>{try{return JSON.parse(s)}catch{return s}},d=new Map,r=new Map;v.forEach((s,a)=>{d.set(a,s),r.set(a,y(s))});const c=new Map,i=new Map;l.forEach((s,a)=>{c.set(a,s),i.set(a,y(s))}),console.group(`Storage: Global (path: ${w})`);let n=[];d.forEach((s,a)=>{n.push({key:a,value:s})}),console.table(n),console.groupEnd(),console.log(r),console.group(`Storage: Workspace (path: ${S})`);let o=[];c.forEach((s,a)=>{o.push({key:a,value:s})}),console.table(o),console.groupEnd(),console.log(i)}e.logStorage=g}),define(te[199],ne([0,1,3,2,11,30,31,23]),function(J,e,k,t,L,T,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageManager=e.GlobalExtensionEnablementService=void 0;let b=class extends t.Disposable{constructor(E,f){super();this._onDidChangeEnablement=new k.Emitter,this.onDidChangeEnablement=this._onDidChangeEnablement.event,this.storageManger=this._register(new I(E)),this._register(this.storageManger.onDidChange(p=>this._onDidChangeEnablement.fire({extensions:p,source:"storage"}))),this._register(f.onDidInstallExtensions(p=>p.forEach(({local:h,operation:g})=>{h&&g===4&&this._removeFromDisabledExtensions(h.identifier)})))}async enableExtension(E,f){return this._removeFromDisabledExtensions(E)?(this._onDidChangeEnablement.fire({extensions:[E],source:f}),!0):!1}async disableExtension(E,f){return this._addToDisabledExtensions(E)?(this._onDidChangeEnablement.fire({extensions:[E],source:f}),!0):!1}getDisabledExtensions(){return this._getExtensions(T.DISABLED_EXTENSIONS_STORAGE_PATH)}async getDisabledExtensionsAsync(){return this.getDisabledExtensions()}_addToDisabledExtensions(E){let f=this.getDisabledExtensions();return f.every(p=>!(0,A.areSameExtensions)(p,E))?(f.push(E),this._setDisabledExtensions(f),!0):!1}_removeFromDisabledExtensions(E){let f=this.getDisabledExtensions();for(let p=0;p<f.length;p++){const h=f[p];if((0,A.areSameExtensions)(h,E))return f.splice(p,1),this._setDisabledExtensions(f),!0}return!1}_setDisabledExtensions(E){this._setExtensions(T.DISABLED_EXTENSIONS_STORAGE_PATH,E)}_getExtensions(E){return this.storageManger.get(E,0)}_setExtensions(E,f){this.storageManger.set(E,f,0)}};b=he([Y(0,R.IStorageService),Y(1,T.IExtensionManagementService)],b),e.GlobalExtensionEnablementService=b;class I extends t.Disposable{constructor(E){super();this.storageService=E,this.storage=Object.create(null),this._onDidChange=this._register(new k.Emitter),this.onDidChange=this._onDidChange.event,this._register(E.onDidChangeValue(f=>this.onDidStorageChange(f)))}get(E,f){let p;return f===0?((0,L.isUndefinedOrNull)(this.storage[E])&&(this.storage[E]=this._get(E,f)),p=this.storage[E]):p=this._get(E,f),JSON.parse(p)}set(E,f,p){let h=JSON.stringify(f.map(({id:v,uuid:l})=>({id:v,uuid:l})));this._get(E,p)!==h&&(p===0&&(f.length?this.storage[E]=h:delete this.storage[E]),this._set(E,f.length?h:void 0,p))}onDidStorageChange(E){if(E.scope===0&&!(0,L.isUndefinedOrNull)(this.storage[E.key])&&this._get(E.key,E.scope)!==this.storage[E.key]){const p=this.get(E.key,E.scope);delete this.storage[E.key];const h=this.get(E.key,E.scope),g=p.filter(l=>!h.some(w=>(0,A.areSameExtensions)(l,w))),v=h.filter(l=>!p.some(w=>(0,A.areSameExtensions)(w,l)));(g.length||v.length)&&this._onDidChange.fire([...g,...v])}}_get(E,f){return this.storageService.get(E,f,"[]")}_set(E,f,p){f?this.storageService.store(E,f,p,1):this.storageService.remove(E,p)}}e.StorageManager=I}),define(te[63],ne([0,1,6,3,2,23,31,27,16,8,11]),function(J,e,k,t,L,T,A,R,b,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStorageService=e.IExtensionStorageService=void 0,e.IExtensionStorageService=(0,k.createDecorator)("IExtensionStorageService");const E=/^extensionKeys\/([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;let f=class tt extends L.Disposable{constructor(h,g,v){super();this.storageService=h,this.productService=g,this.logService=v,this._onDidChangeExtensionStorageToSync=this._register(new t.Emitter),this.onDidChangeExtensionStorageToSync=this._onDidChangeExtensionStorageToSync.event,this.extensionsWithKeysForSync=new Set,this.initialize(),this._register(this.storageService.onDidChangeValue(l=>this.onDidChangeStorageValue(l)))}static toKey(h){return`extensionKeys/${(0,A.adoptToGalleryExtensionId)(h.id)}@${h.version}`}static fromKey(h){const g=E.exec(h);if(g&&g[1])return{id:g[1],version:g[2]}}initialize(){const h=this.storageService.keys(0,1);for(const g of h){const v=tt.fromKey(g);v&&this.extensionsWithKeysForSync.add(v.id.toLowerCase())}}onDidChangeStorageValue(h){if(h.scope!==0)return;if(this.extensionsWithKeysForSync.has(h.key.toLowerCase())){this._onDidChangeExtensionStorageToSync.fire();return}const g=tt.fromKey(h.key);if(g){this.extensionsWithKeysForSync.add(g.id.toLowerCase()),this._onDidChangeExtensionStorageToSync.fire();return}}getExtensionId(h){if((0,P.isString)(h))return h;const g=h.manifest?h.manifest.publisher:h.publisher,v=h.manifest?h.manifest.name:h.name;return(0,A.getExtensionId)(g,v)}getExtensionState(h,g){const v=this.getExtensionId(h),l=this.storageService.get(v,g?0:1);if(l)try{return JSON.parse(l)}catch(w){this.logService.error(`[mainThreadStorage] unexpected error parsing storage contents (extensionId: ${v}, global: ${g}): ${w}`)}}setExtensionState(h,g,v){const l=this.getExtensionId(h);g===void 0?this.storageService.remove(l,v?0:1):this.storageService.store(l,JSON.stringify(g),v?0:1,1)}setKeysForSync(h,g){this.storageService.store(tt.toKey(h),JSON.stringify(g),0,1)}getKeysForSync(h){const g=this.productService.extensionSyncedKeys?.[h.id.toLowerCase()],v=this.storageService.get(tt.toKey(h),0),l=v?JSON.parse(v):void 0;return l&&g?(0,b.distinct)([...l,...g]):l||g}addToMigrationList(h,g){if(h!==g){const v=this.migrationList.filter(l=>!l.includes(h)&&!l.includes(g));v.push([h,g]),this.migrationList=v}}getSourceExtensionToMigrate(h){const g=this.migrationList.find(([,v])=>h===v);return g?g[0]:void 0}get migrationList(){const h=this.storageService.get("extensionStorage.migrationList",0,"[]");try{const g=JSON.parse(h);if((0,P.isArray)(g))return g}catch{}return[]}set migrationList(h){h.length?this.storageService.store("extensionStorage.migrationList",JSON.stringify(h),0,1):this.storageService.remove("extensionStorage.migrationList",0)}};f=he([Y(0,T.IStorageService),Y(1,R.IProductService),Y(2,I.ILogService)],f),e.ExtensionStorageService=f}),define(te[200],ne([0,1,2,30,63,187,8]),function(J,e,k,t,L,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsCleaner=void 0;let R=class extends k.Disposable{constructor(I,P,E,f,p){super();I.removeDeprecatedExtensions(),(0,T.migrateUnsupportedExtensions)(I,P,E,f,p)}};R=he([Y(0,t.IExtensionManagementService),Y(1,t.IExtensionGalleryService),Y(2,L.IExtensionStorageService),Y(3,t.IGlobalExtensionEnablementService),Y(4,A.ILogService)],R),e.ExtensionsCleaner=R}),define(te[201],ne([0,1,3,2]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDatabaseChannelClient=void 0;class L extends t.Disposable{constructor(I,P){super();this.channel=I,this.workspace=P}async getItems(){const I={workspace:this.workspace},P=await this.channel.call("getItems",I);return new Map(P)}updateItems(I){const P={workspace:this.workspace};return I.insert&&(P.insert=Array.from(I.insert.entries())),I.delete&&(P.delete=Array.from(I.delete.values())),this.channel.call("updateItems",P)}}class T extends L{constructor(I){super(I,void 0);this._onDidChangeItemsExternal=this._register(new k.Emitter),this.onDidChangeItemsExternal=this._onDidChangeItemsExternal.event,this.registerListeners()}registerListeners(){this._register(this.channel.listen("onDidChangeGlobalStorage")(I=>this.onDidChangeGlobalStorage(I)))}onDidChangeGlobalStorage(I){(Array.isArray(I.changed)||Array.isArray(I.deleted))&&this._onDidChangeItemsExternal.fire({changed:I.changed?new Map(I.changed):void 0,deleted:I.deleted?new Set(I.deleted):void 0})}async close(){this.dispose()}}class A extends L{constructor(I,P){super(I,P);this.onDidChangeItemsExternal=k.Event.None}async close(){const I={workspace:this.workspace};return this.channel.call("close",I)}}class R extends t.Disposable{constructor(I,P){super();this.channel=I,this.workspace=P,this._globalStorage=void 0,this._workspaceStorage=void 0}get globalStorage(){return this._globalStorage||(this._globalStorage=new T(this.channel)),this._globalStorage}get workspaceStorage(){return!this._workspaceStorage&&this.workspace&&(this._workspaceStorage=new A(this.channel,this.workspace)),this._workspaceStorage}}e.StorageDatabaseChannelClient=R}),define(te[202],ne([0,1,5,2,20,76,23,201]),function(J,e,k,t,L,T,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeStorageService=void 0;class b extends A.AbstractStorageService{constructor(P,E,f){super();this.mainProcessService=E,this.environmentService=f,this.workspaceStorage=void 0,this.workspaceStorageId=void 0,this.workspaceStorageDisposable=this._register(new t.MutableDisposable),this.globalStorage=this.createGlobalStorage(),this.workspaceStorage=this.createWorkspaceStorage(P)}createGlobalStorage(){const P=new R.StorageDatabaseChannelClient(this.mainProcessService.getChannel("storage"),void 0),E=new T.Storage(P.globalStorage);return this._register(E.onDidChangeStorage(f=>this.emitDidChangeValue(0,f))),E}createWorkspaceStorage(P){const E=new R.StorageDatabaseChannelClient(this.mainProcessService.getChannel("storage"),P);if(E.workspaceStorage){const f=new T.Storage(E.workspaceStorage);return this.workspaceStorageDisposable.value=f.onDidChangeStorage(p=>this.emitDidChangeValue(1,p)),this.workspaceStorageId=P?.id,f}else{this.workspaceStorageDisposable.clear(),this.workspaceStorageId=void 0;return}}async doInitialize(){await k.Promises.settled([this.globalStorage.init(),this.workspaceStorage?.init()??Promise.resolve()])}getStorage(P){return P===0?this.globalStorage:this.workspaceStorage}getLogDetails(P){return P===0?this.environmentService.globalStorageHome.fsPath:this.workspaceStorageId?`${(0,L.joinPath)(this.environmentService.workspaceStorageHome,this.workspaceStorageId,"state.vscdb").fsPath}`:void 0}async close(){this.stopFlushWhenIdle(),this.emitWillSaveState(A.WillSaveStateReason.SHUTDOWN),await k.Promises.settled([this.globalStorage.close(),this.workspaceStorage?.close()??Promise.resolve()])}async migrate(P){const E=this.workspaceStorage,f=E?.items??new Map;E&&(await E.close(),E.dispose()),this.workspaceStorage=this.createWorkspaceStorage(P),await this.workspaceStorage.init();for(const[p,h]of f)this.workspaceStorage.set(p,h)}}e.NativeStorageService=b}),define(te[203],ne([0,1,4,33,7,29]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.verifyMicrosoftInternalDomain=e.resolveCommonProperties=void 0;function A(I){if(k.platform===2&&/^penguin(\.|$)/i.test(I))return"chromebook"}async function R(I,P,E,f,p,h,g,v,l,w){const S=Object.create(null);S["common.machineId"]=g,S.sessionID=(0,T.generateUuid)()+Date.now(),S.commitHash=p,S.version=h,S["common.platformVersion"]=(P||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),S["common.platform"]=(0,k.PlatformToString)(k.platform),S["common.nodePlatform"]=t.platform,S["common.nodeArch"]=f,S["common.product"]=w||"desktop";const y=b(v||[]);y&&(S["common.msftInternal"]=y);let d=0;const r=Date.now();Object.defineProperties(S,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-r,enumerable:!0},"common.sequence":{get:()=>d++,enumerable:!0}}),k.isLinuxSnap&&(S["common.snap"]="true");const c=A(E);c&&(S["common.platformDetail"]=c);try{const i=await I.readFile(L.URI.file(l));S["common.source"]=i.value.toString().slice(0,30)}catch{}return S}e.resolveCommonProperties=R;function b(I){const P=t.env.USERDNSDOMAIN;if(!P)return!1;const E=P.toLowerCase();return I.some(f=>E===f)}e.verifyMicrosoftInternalDomain=b}),define(te[21],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.TELEMETRY_OLD_SETTING_ID=e.TELEMETRY_SETTING_ID=e.TELEMETRY_SECTION_ID=e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=(0,k.createDecorator)("telemetryService"),e.ICustomEndpointTelemetryService=(0,k.createDecorator)("customEndpointTelemetryService"),e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId",e.TELEMETRY_SECTION_ID="telemetry",e.TELEMETRY_SETTING_ID="telemetry.telemetryLevel",e.TELEMETRY_OLD_SETTING_ID="telemetry.enableTelemetry";var t;(function(T){T[T.NONE=0]="NONE",T[T.CRASH=1]="CRASH",T[T.ERROR=2]="ERROR",T[T.USAGE=3]="USAGE"})(t=e.TelemetryLevel||(e.TelemetryLevel={}));var L;(function(T){T.OFF="off",T.CRASH="crash",T.ERROR="error",T.ON="all"})(L=e.TelemetryConfiguration||(e.TelemetryConfiguration={}))}),define(te[204],ne([0,1,34,55,5,35,18,10,4,7,113,22,116,81,15,27,21]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;async function l(r,c){const i=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.ya?ml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i},{tag:"devcontainer.json",filePattern:/^devcontainer\.json$/i},{tag:"dockerfile",filePattern:/^(dockerfile|docker\-compose\.ya?ml)$/i}],n=new Map,o=new Map,s=2e4;function a(C,_,O,M){const D=_.substring(C.length+1);return L.Promises.withAsyncBody(async U=>{let F;try{F=await E.Promises.readdir(_,{withFileTypes:!0})}catch{U();return}if(M.count>=s){M.count+=F.length,M.maxReached=!0,U();return}let x=F.length;if(x===0){U();return}let q=F;M.count+F.length>s&&(M.maxReached=!0,x=s-M.count,q=F.slice(0,x)),M.count+=F.length;for(const H of q)if(H.isDirectory()){if(O.includes(H.name)||await a(C,(0,R.join)(_,H.name),O,M),--x==0){U();return}}else{const re=H.name.lastIndexOf(".");if(re>=0){const B=H.name.substring(re+1);B&&n.set(B,(n.get(B)??0)+1)}for(const B of i)B.relativePathPattern?.test(D)!==!1&&B.filePattern.test(H.name)&&o.set(B.tag,(o.get(B.tag)??0)+1);if(--x==0){U();return}}})}const u={count:0,maxReached:!1};await a(r,r,c,u);const m=await y(r);return{configFiles:w(o),fileTypes:w(n),fileCount:u.count,maxFilesReached:u.maxReached,launchConfigFiles:m}}e.collectWorkspaceStats=l;function w(r){return[...t.Iterable.map(r.entries(),([c,i])=>({name:c,count:i}))].sort((c,i)=>i.count-c.count)}function S(){const r={os:`${k.type()} ${k.arch()} ${k.release()}`,memory:`${(k.totalmem()/h.ByteSize.GB).toFixed(2)}GB (${(k.freemem()/h.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(P.virtualMachineHint.value()*100)}%`},c=k.cpus();return c&&c.length>0&&(r.cpus=`${c[0].model} (${c.length} x ${c[0].speed})`),r}e.getMachineInfo=S;async function y(r){try{const c=new Map,i=(0,R.join)(r,".vscode","launch.json"),n=await E.Promises.readFile(i),o=[],s=(0,T.parse)(n.toString(),o);if(o.length)return console.log(`Unable to parse ${i}`),[];if((0,T.getNodeType)(s)==="object"&&s.configurations)for(const a of s.configurations){const u=a.type;u&&(c.has(u)?c.set(u,c.get(u)+1):c.set(u,1))}return w(c)}catch{return[]}}e.collectLaunchConfigs=y;let d=class{constructor(c,i){this.telemetryService=c,this.productService=i}formatMachineInfo(c){const i=[];return i.push(`OS Version:       ${c.os}`),i.push(`CPUs:             ${c.cpus}`),i.push(`Memory (System):  ${c.memory}`),i.push(`VM:               ${c.vmHint}`),i.join(`
`)}formatEnvironment(c){const i=[];i.push(`Version:          ${this.productService.nameShort} ${this.productService.version} (${this.productService.commit||"Commit unknown"}, ${this.productService.date||"Date unknown"})`),i.push(`OS Version:       ${k.type()} ${k.arch()} ${k.release()}`);const n=k.cpus();return n&&n.length>0&&i.push(`CPUs:             ${n[0].model} (${n.length} x ${n[0].speed})`),i.push(`Memory (System):  ${(k.totalmem()/h.ByteSize.GB).toFixed(2)}GB (${(k.freemem()/h.ByteSize.GB).toFixed(2)}GB free)`),b.isWindows||i.push(`Load (avg):       ${k.loadavg().map(o=>Math.round(o)).join(", ")}`),i.push(`VM:               ${Math.round(P.virtualMachineHint.value()*100)}%`),i.push(`Screen Reader:    ${c.screenReader?"yes":"no"}`),i.push(`Process Argv:     ${c.mainArguments.join(" ")}`),i.push(`GPU Status:       ${this.expandGPUFeatures(c.gpuFeatureStatus)}`),i.join(`
`)}async getPerformanceInfo(c,i){return Promise.all([(0,f.listProcesses)(c.mainPID),this.formatWorkspaceMetadata(c)]).then(async n=>{let[o,s]=n,a=this.formatProcessList(c,o);return i.forEach(u=>{if((0,p.isRemoteDiagnosticError)(u))a+=`
${u.errorMessage}`,s+=`
${u.errorMessage}`;else if(a+=`

Remote: ${u.hostName}`,u.processes&&(a+=`
${this.formatProcessList(c,u.processes)}`),u.workspaceMetadata){s+=`
|  Remote: ${u.hostName}`;for(const m of Object.keys(u.workspaceMetadata)){const C=u.workspaceMetadata[m];let _=`${C.fileCount} files`;C.maxFilesReached&&(_=`more than ${_}`),s+=`|    Folder (${m}): ${_}`,s+=this.formatWorkspaceStats(C)}}}),{processInfo:a,workspaceInfo:s}})}async getSystemInfo(c,i){const{memory:n,vmHint:o,os:s,cpus:a}=S(),u={os:s,memory:n,cpus:a,vmHint:o,processArgs:`${c.mainArguments.join(" ")}`,gpuStatus:c.gpuFeatureStatus,screenReader:`${c.screenReader?"yes":"no"}`,remoteData:i};return b.isWindows||(u.load=`${k.loadavg().map(m=>Math.round(m)).join(", ")}`),b.isLinux&&(u.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(u)}async getDiagnostics(c,i){const n=[];return(0,f.listProcesses)(c.mainPID).then(async o=>(n.push(""),n.push(this.formatEnvironment(c)),n.push(""),n.push(this.formatProcessList(c,o)),c.windows.some(s=>s.folderURIs&&s.folderURIs.length>0&&!s.remoteAuthority)&&(n.push(""),n.push("Workspace Stats: "),n.push(await this.formatWorkspaceMetadata(c))),i.forEach(s=>{if((0,p.isRemoteDiagnosticError)(s))n.push(`
${s.errorMessage}`);else if(n.push(`

`),n.push(`Remote:           ${s.hostName}`),n.push(this.formatMachineInfo(s.machineInfo)),s.processes&&n.push(this.formatProcessList(c,s.processes)),s.workspaceMetadata)for(const a of Object.keys(s.workspaceMetadata)){const u=s.workspaceMetadata[a];let m=`${u.fileCount} files`;u.maxFilesReached&&(m=`more than ${m}`),n.push(`Folder (${a}): ${m}`),n.push(this.formatWorkspaceStats(u))}}),n.push(""),n.push(""),n.join(`
`)))}formatWorkspaceStats(c){const i=[],n=60;let o=0;const s=(C,_)=>{const O=` ${C}(${_})`;o+O.length>n?(i.push(a),a="|                 ",o=a.length):o+=O.length,a+=O};let a="|      File types:";const u=10;let m=c.fileTypes.length>u?u:c.fileTypes.length;for(let C=0;C<m;C++){const _=c.fileTypes[C];s(_.name,_.count)}if(i.push(a),c.configFiles.length>=0&&(a="|      Conf files:",o=0,c.configFiles.forEach(C=>{s(C.name,C.count)}),i.push(a)),c.launchConfigFiles.length>0){let C="|      Launch Configs:";c.launchConfigFiles.forEach(_=>{C+=_.count>1?` ${_.name}(${_.count})`:` ${_.name}`}),i.push(C)}return i.join(`
`)}expandGPUFeatures(c){const i=Math.max(...Object.keys(c).map(n=>n.length));return Object.keys(c).map(n=>`${n}:  ${" ".repeat(i-n.length)}  ${c[n]}`).join(`
                  `)}formatWorkspaceMetadata(c){const i=[],n=[];return c.windows.forEach(o=>{o.folderURIs.length===0||!!o.remoteAuthority||(i.push(`|  Window (${o.title})`),o.folderURIs.forEach(s=>{const a=I.URI.revive(s);if(a.scheme===A.Schemas.file){const u=a.fsPath;n.push(l(u,["node_modules",".git"]).then(m=>{let C=`${m.fileCount} files`;m.maxFilesReached&&(C=`more than ${C}`),i.push(`|    Folder (${(0,R.basename)(u)}): ${C}`),i.push(this.formatWorkspaceStats(m))}).catch(m=>{i.push(`|      Error: Unable to collect workspace stats for folder ${u} (${m.toString()})`)}))}else i.push(`|    Folder (${a.toString()}): Workspace stats not available.`)}))}),Promise.all(n).then(o=>i.join(`
`)).catch(o=>`Unable to collect workspace stats: ${o}`)}formatProcessList(c,i){const n=new Map;c.windows.forEach(s=>n.set(s.pid,s.title));const o=[];return o.push("CPU %	Mem MB	   PID	Process"),i&&this.formatProcessItem(c.mainPID,n,o,i,0),o.join(`
`)}formatProcessItem(c,i,n,o,s){const a=s===0;let u;a?u=o.pid===c?`${this.productService.applicationName} main`:"remote agent":(u=`${"  ".repeat(s)} ${o.name}`,o.name==="window"&&(u=`${u} (${i.get(o.pid)})`));const m=process.platform==="win32"?o.mem:k.totalmem()*(o.mem/100);n.push(`${o.load.toFixed(0).padStart(5," ")}	${(m/h.ByteSize.MB).toFixed(0).padStart(6," ")}	${o.pid.toFixed(0).padStart(6," ")}	${u}`),Array.isArray(o.children)&&o.children.forEach(C=>this.formatProcessItem(c,i,n,C,s+1))}async reportWorkspaceStats(c){for(const{uri:i}of c.folders){const n=I.URI.revive(i);if(n.scheme!==A.Schemas.file)continue;const o=n.fsPath;try{const s=await l(o,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":c.telemetryId,rendererSessionId:c.rendererSessionId}),s.fileTypes.forEach(a=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:c.rendererSessionId,type:a.name,count:a.count})}),s.launchConfigFiles.forEach(a=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:c.rendererSessionId,type:a.name,count:a.count})}),s.configFiles.forEach(a=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:c.rendererSessionId,type:a.name,count:a.count})})}catch{}}}};d=he([Y(0,v.ITelemetryService),Y(1,g.IProductService)],d),e.DiagnosticsService=d}),define(te[205],ne([0,1,16,5,25,9,3,2,4,11,7,129,30,31,8,27,21]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractExtensionTask=e.reportTelemetry=e.joinErrors=e.AbstractExtensionManagementService=void 0;let l=class extends R.Disposable{constructor(c,i,n,o){super();this.galleryService=c,this.telemetryService=i,this.logService=n,this.productService=o,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new A.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtensions=this._register(new A.Emitter),this.onDidInstallExtensions=this._onDidInstallExtensions.event,this._onUninstallExtension=this._register(new A.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new A.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this.participants=[],this._register((0,R.toDisposable)(()=>{this.installingExtensions.forEach(s=>s.cancel()),this.uninstallingExtensions.forEach(s=>s.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async canInstall(c){const i=await this.getTargetPlatform();return c.allTargetPlatforms.some(n=>(0,f.isTargetPlatformCompatible)(n,c.allTargetPlatforms,i))}async installFromGallery(c,i={}){try{if(!this.galleryService.isEnabled())throw new f.ExtensionManagementError(E.localize(0,null),f.ExtensionManagementErrorCode.Internal);const n=await this.checkAndGetCompatibleVersion(c,!i.installGivenVersion,!!i.installPreReleaseVersion);return await this.installExtension(n.manifest,n.extension,i)}catch(n){throw y(this.telemetryService,"extensionGallery:install",(0,p.getGalleryExtensionTelemetryData)(c),void 0,n),this.logService.error("Failed to install extension.",c.identifier.id),this.logService.error(n),S(n)}}async uninstall(c,i={}){return this.logService.trace("ExtensionManagementService#uninstall",c.identifier.id),this.unininstallExtension(c,i)}async reinstallFromGallery(c){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",c.identifier.id),!this.galleryService.isEnabled())throw new Error(E.localize(1,null));const i=await this.getTargetPlatform(),[n]=await this.galleryService.getExtensions([{...c.identifier,preRelease:c.preRelease}],{targetPlatform:i,compatible:!0},L.CancellationToken.None);if(!n)throw new Error(E.localize(2,null));await this.createUninstallExtensionTask(c,{remove:!0,versionOnly:!0}).run(),await this.installFromGallery(n)}getExtensionsControlManifest(){const c=new Date().getTime();return(!this.extensionsControlManifest||c-this.lastReportTimestamp>1e3*60*5)&&(this.extensionsControlManifest=this.updateControlCache(),this.lastReportTimestamp=c),this.extensionsControlManifest}registerParticipant(c){this.participants.push(c)}async installExtension(c,i,n){if(!P.URI.isUri(i)){let m=this.installingExtensions.get(new p.ExtensionIdentifierWithVersion(i.identifier,i.version).key());if(m)return this.logService.info("Extensions is already requested to install",i.identifier.id),m.waitUntilTaskIsFinished();n={...n,installOnlyNewlyAddedFromExtensionPack:!0}}const o=[],s=[],a=this.createInstallExtensionTask(c,i,n);P.URI.isUri(i)||this.installingExtensions.set(new p.ExtensionIdentifierWithVersion(a.identifier,c.version).key(),a),this._onInstallExtension.fire({identifier:a.identifier,source:i}),this.logService.info("Installing extension:",a.identifier.id),o.push({task:a,manifest:c});let u=!1;try{if(n.donotIncludePackAndDependencies)this.logService.info("Installing the extension without checking dependencies and pack",a.identifier.id);else try{const C=await this.getAllDepsAndPackExtensionsToInstall(a.identifier,c,!!n.installOnlyNewlyAddedFromExtensionPack,!!n.installPreReleaseVersion);for(const{gallery:_,manifest:O}of C)if(u=u||!!O.extensionDependencies?.some(M=>(0,p.areSameExtensions)({id:M},a.identifier)),this.installingExtensions.has(new p.ExtensionIdentifierWithVersion(_.identifier,_.version).key()))this.logService.info("Extension is already requested to install",_.identifier.id);else{const M=this.createInstallExtensionTask(O,_,{...n,donotIncludePackAndDependencies:!0});this.installingExtensions.set(new p.ExtensionIdentifierWithVersion(M.identifier,O.version).key(),M),this._onInstallExtension.fire({identifier:M.identifier,source:_}),this.logService.info("Installing extension:",M.identifier.id),o.push({task:M,manifest:O})}}catch(C){if(P.URI.isUri(a.source))(0,k.isNonEmptyArray)(c.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",a.identifier.id,C.message),(0,k.isNonEmptyArray)(c.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",a.identifier.id,C.message);else throw this.logService.error("Error while preparing to install dependencies and extension packs of the extension:",a.identifier.id),C}const m=o.reduce((C,{task:_,manifest:O})=>(C.set(_.identifier.id.toLowerCase(),{task:_,manifest:O}),C),new Map);for(;m.size;){let C;const _=[...m.values()].filter(({manifest:O})=>!O.extensionDependencies?.some(M=>m.has(M.toLowerCase())));_.length?C=m.size===1?_:_.filter(({task:O})=>!(O===a&&!u)):(this.logService.info("Found extensions with circular dependencies",_.map(({task:O})=>O.identifier.id)),C=[...m.values()]),await this.joinAllSettled(C.map(async({task:O})=>{const M=new Date().getTime(),D=(0,I.isUndefined)(n.operation)?O.operation:n.operation;try{const U=await O.run();if(await this.joinAllSettled(this.participants.map(F=>F.postInstall(U,O.source,n,L.CancellationToken.None))),!P.URI.isUri(O.source)&&(y(this.telemetryService,D===3?"extensionGallery:update":"extensionGallery:install",(0,p.getGalleryExtensionTelemetryData)(O.source),new Date().getTime()-M,void 0),b.isWeb&&D!==3))try{await this.galleryService.reportStatistic(U.manifest.publisher,U.manifest.name,U.manifest.version,"install")}catch{}s.push({local:U,identifier:O.identifier,operation:D,source:O.source})}catch(U){throw P.URI.isUri(O.source)||y(this.telemetryService,D===3?"extensionGallery:update":"extensionGallery:install",(0,p.getGalleryExtensionTelemetryData)(O.source),new Date().getTime()-M,U),this.logService.error("Error while installing the extension:",O.identifier.id),U}finally{m.delete(O.identifier.id.toLowerCase())}}))}return s.forEach(({identifier:C})=>this.logService.info("Extension installed successfully:",C.id)),this._onDidInstallExtensions.fire(s),s.filter(({identifier:C})=>(0,p.areSameExtensions)(C,a.identifier))[0].local}catch(m){if(o.forEach(({task:C})=>C.cancel()),s.length)try{const C=await Promise.allSettled(s.map(({local:_})=>this.createUninstallExtensionTask(_,{versionOnly:!0}).run()));for(let _=0;_<C.length;_++){const O=C[_],{identifier:M}=s[_];O.status==="fulfilled"?this.logService.info("Rollback: Uninstalled extension",M.id):this.logService.warn("Rollback: Error while uninstalling extension",M.id,(0,T.getErrorMessage)(O.reason))}}catch(C){this.logService.warn("Error while rolling back extensions",(0,T.getErrorMessage)(C),s.map(({identifier:_})=>_.id))}throw this._onDidInstallExtensions.fire(o.map(({task:C})=>({identifier:C.identifier,operation:2,source:C.source}))),m}finally{for(const{task:m,manifest:C}of o)if(!P.URI.isUri(m.source)){const _=new p.ExtensionIdentifierWithVersion(m.identifier,C.version).key();this.installingExtensions.delete(_)||this.logService.warn("Installation task is not found in the cache",_)}}}async joinAllSettled(c){const i=[],n=[],o=await Promise.allSettled(c);for(const s of o)s.status==="fulfilled"?i.push(s.value):n.push(s.reason);if(n.length)throw w(n);return i}async getAllDepsAndPackExtensionsToInstall(c,i,n,o){if(!this.galleryService.isEnabled())return[];let s=await this.getInstalled();const a=[c,...s.map(C=>C.identifier)],u=[],m=async(C,_)=>{const O=_.extensionDependencies||[],M=[...O];if(_.extensionPack){const D=n?s.find(U=>(0,p.areSameExtensions)(U.identifier,C)):void 0;for(const U of _.extensionPack)D&&D.manifest.extensionPack&&D.manifest.extensionPack.some(F=>(0,p.areSameExtensions)({id:F},{id:U}))||M.every(F=>!(0,p.areSameExtensions)({id:F},{id:U}))&&M.push(U)}if(M.length){const D=[...a,...u.map(F=>F.gallery.identifier)],U=M.filter(F=>D.every(x=>!(0,p.areSameExtensions)(x,{id:F})));if(U.length){const F=await this.galleryService.getExtensions(U.map(x=>({id:x,preRelease:o})),L.CancellationToken.None);for(const x of F){if(D.find(re=>(0,p.areSameExtensions)(re,x.identifier)))continue;const q=O.some(re=>(0,p.areSameExtensions)({id:re},x.identifier));let H;try{H=await this.checkAndGetCompatibleVersion(x,!0,o)}catch(re){if(re instanceof f.ExtensionManagementError&&re.code===f.ExtensionManagementErrorCode.IncompatibleTargetPlatform&&!q){this.logService.info("Skipping the packed extension as it cannot be installed",x.identifier.id);continue}else throw re}u.push({gallery:H.extension,manifest:H.manifest}),await m(H.extension.identifier,H.manifest)}}}};return await m(c,i),s=await this.getInstalled(),u.filter(C=>!s.some(_=>(0,p.areSameExtensions)(_.identifier,C.gallery.identifier)))}async checkAndGetCompatibleVersion(c,i,n){const o=await this.getExtensionsControlManifest();if((0,p.getMaliciousExtensionsSet)(o).has(c.identifier.id))throw new f.ExtensionManagementError(E.localize(3,null,c.identifier.id),f.ExtensionManagementErrorCode.Malicious);if(!!o.unsupportedPreReleaseExtensions&&!!o.unsupportedPreReleaseExtensions[c.identifier.id])throw new f.ExtensionManagementError(E.localize(4,null,c.identifier.id,o.unsupportedPreReleaseExtensions[c.identifier.id].displayName),f.ExtensionManagementErrorCode.UnsupportedPreRelease);if(!await this.canInstall(c)){const u=await this.getTargetPlatform();throw new f.ExtensionManagementError(E.localize(5,null,c.identifier.id,this.productService.nameLong,(0,f.TargetPlatformToString)(u)),f.ExtensionManagementErrorCode.IncompatibleTargetPlatform)}const s=await this.getCompatibleVersion(c,i,n);if(s){if(n&&i&&c.hasPreReleaseVersion&&!s.properties.isPreReleaseVersion)throw new f.ExtensionManagementError(E.localize(6,null,c.identifier.id,this.productService.nameLong,this.productService.version),f.ExtensionManagementErrorCode.IncompatiblePreRelease)}else throw!n&&c.properties.isPreReleaseVersion&&(await this.galleryService.getExtensions([c.identifier],L.CancellationToken.None))[0]?new f.ExtensionManagementError(E.localize(7,null,c.identifier.id),f.ExtensionManagementErrorCode.ReleaseVersionNotFound):new f.ExtensionManagementError(E.localize(8,null,c.identifier.id,this.productService.nameLong,this.productService.version),f.ExtensionManagementErrorCode.Incompatible);this.logService.info("Getting Manifest...",s.identifier.id);const a=await this.galleryService.getManifest(s,L.CancellationToken.None);if(a===null)throw new f.ExtensionManagementError(`Missing manifest for extension ${c.identifier.id}`,f.ExtensionManagementErrorCode.Invalid);if(a.version!==s.version)throw new f.ExtensionManagementError(`Cannot install '${c.identifier.id}' extension because of version mismatch in Marketplace`,f.ExtensionManagementErrorCode.Invalid);return{extension:s,manifest:a}}async getCompatibleVersion(c,i,n){const o=await this.getTargetPlatform();let s=null;return i&&c.hasPreReleaseVersion&&c.properties.isPreReleaseVersion!==n&&(s=(await this.galleryService.getExtensions([{...c.identifier,preRelease:n}],{targetPlatform:o,compatible:!0},L.CancellationToken.None))[0]||null),!s&&await this.galleryService.isExtensionCompatible(c,n,o)&&(s=c),!s&&i&&(s=await this.galleryService.getCompatibleExtension(c,n,o)),s}async unininstallExtension(c,i){const n=this.uninstallingExtensions.get(c.identifier.id.toLowerCase());if(n)return this.logService.info("Extensions is already requested to uninstall",c.identifier.id),n.waitUntilTaskIsFinished();const o=(m,C)=>{const _=this.createUninstallExtensionTask(m,C);return this.uninstallingExtensions.set(_.extension.identifier.id.toLowerCase(),_),this.logService.info("Uninstalling extension:",m.identifier.id),this._onUninstallExtension.fire(m.identifier),_},s=(m,C)=>{C?this.logService.error("Failed to uninstall extension:",m.identifier.id,C.message):this.logService.info("Successfully uninstalled extension:",m.identifier.id),y(this.telemetryService,"extensionGallery:uninstall",(0,p.getLocalExtensionTelemetryData)(m),void 0,C),this._onDidUninstallExtension.fire({identifier:m.identifier,error:C?.code})},a=[],u=[];try{a.push(o(c,{}));const m=await this.getInstalled(1);if(i.donotIncludePack)this.logService.info("Uninstalling the extension without including packed extension",c.identifier.id);else{const C=this.getAllPackExtensionsToUninstall(c,m);for(const _ of C)this.uninstallingExtensions.has(_.identifier.id.toLowerCase())?this.logService.info("Extensions is already requested to uninstall",_.identifier.id):a.push(o(_,{}))}i.donotCheckDependents?this.logService.info("Uninstalling the extension without checking dependents",c.identifier.id):this.checkForDependents(a.map(C=>C.extension),m,c),await this.joinAllSettled(a.map(async C=>{try{if(await C.run(),await this.joinAllSettled(this.participants.map(_=>_.postUninstall(C.extension,i,L.CancellationToken.None))),C.extension.identifier.uuid)try{await this.galleryService.reportStatistic(C.extension.manifest.publisher,C.extension.manifest.name,C.extension.manifest.version,"uninstall")}catch{}s(C.extension)}catch(_){const O=_ instanceof f.ExtensionManagementError?_:new f.ExtensionManagementError((0,T.getErrorMessage)(_),f.ExtensionManagementErrorCode.Internal);throw s(C.extension,O),O}finally{u.push(C)}}))}catch(m){const C=m instanceof f.ExtensionManagementError?m:new f.ExtensionManagementError((0,T.getErrorMessage)(m),f.ExtensionManagementErrorCode.Internal);for(const _ of a){try{_.cancel()}catch{}u.includes(_)||s(_.extension,C)}throw C}finally{for(const m of a)this.uninstallingExtensions.delete(m.extension.identifier.id.toLowerCase())||this.logService.warn("Uninstallation task is not found in the cache",m.extension.identifier.id)}}checkForDependents(c,i,n){for(const o of c){const s=this.getDependents(o,i);if(s.length){const a=s.filter(u=>!c.some(m=>(0,p.areSameExtensions)(m.identifier,u.identifier)));if(a.length)throw new Error(this.getDependentsErrorMessage(o,a,n))}}}getDependentsErrorMessage(c,i,n){return n===c?i.length===1?E.localize(9,null,n.manifest.displayName||n.manifest.name,i[0].manifest.displayName||i[0].manifest.name):i.length===2?E.localize(10,null,n.manifest.displayName||n.manifest.name,i[0].manifest.displayName||i[0].manifest.name,i[1].manifest.displayName||i[1].manifest.name):E.localize(11,null,n.manifest.displayName||n.manifest.name,i[0].manifest.displayName||i[0].manifest.name,i[1].manifest.displayName||i[1].manifest.name):i.length===1?E.localize(12,null,n.manifest.displayName||n.manifest.name,c.manifest.displayName||c.manifest.name,i[0].manifest.displayName||i[0].manifest.name):i.length===2?E.localize(13,null,n.manifest.displayName||n.manifest.name,c.manifest.displayName||c.manifest.name,i[0].manifest.displayName||i[0].manifest.name,i[1].manifest.displayName||i[1].manifest.name):E.localize(14,null,n.manifest.displayName||n.manifest.name,c.manifest.displayName||c.manifest.name,i[0].manifest.displayName||i[0].manifest.name,i[1].manifest.displayName||i[1].manifest.name)}getAllPackExtensionsToUninstall(c,i,n=[]){if(n.indexOf(c)!==-1)return[];n.push(c);const o=c.manifest.extensionPack?c.manifest.extensionPack:[];if(o.length){const s=i.filter(u=>!u.isBuiltin&&o.some(m=>(0,p.areSameExtensions)({id:m},u.identifier))),a=[];for(const u of s)a.push(...this.getAllPackExtensionsToUninstall(u,i,n));return[...s,...a]}return[]}getDependents(c,i){return i.filter(n=>n.manifest.extensionDependencies&&n.manifest.extensionDependencies.some(o=>(0,p.areSameExtensions)({id:o},c.identifier)))}async updateControlCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const c=await this.galleryService.getExtensionsControlManifest();return this.logService.trace("ExtensionManagementService.refreshControlCache",c),c}catch{return this.logService.trace("ExtensionManagementService.refreshControlCache - failed to get extension control manifest"),{malicious:[]}}}};l=he([Y(0,f.IExtensionGalleryService),Y(1,v.ITelemetryService),Y(2,h.ILogService),Y(3,g.IProductService)],l),e.AbstractExtensionManagementService=l;function w(r){const c=Array.isArray(r)?r:[r];return c.length===1?c[0]instanceof Error?c[0]:new Error(c[0]):c.reduce((i,n)=>new Error(`${i.message}${i.message?",":""}${n instanceof Error?n.message:n}`),new Error(""))}e.joinErrors=w;function S(r){if(r instanceof f.ExtensionManagementError)return r;const c=new f.ExtensionManagementError(r.message,f.ExtensionManagementErrorCode.Internal);return c.stack=r.stack,c}function y(r,c,i,n,o){const s=o?o instanceof f.ExtensionManagementError?o.code:f.ExtensionManagementErrorCode.Internal:void 0;r.publicLogError(c,{...i,success:!o,duration:n,errorcode:s})}e.reportTelemetry=y;class d{constructor(){this.barrier=new t.Barrier}async waitUntilTaskIsFinished(){return await this.barrier.wait(),this.cancellablePromise}async run(){return this.cancellablePromise||(this.cancellablePromise=(0,t.createCancelablePromise)(c=>this.doRun(c))),this.barrier.open(),this.cancellablePromise}cancel(){this.cancellablePromise||(this.cancellablePromise=(0,t.createCancelablePromise)(c=>new Promise((i,n)=>{const o=c.onCancellationRequested(()=>{o.dispose(),n((0,T.canceled)())})})),this.barrier.open()),this.cancellablePromise.cancel()}}e.AbstractExtensionTask=d}),define(te[206],ne([0,1,16,5,68,3,10,4,33,7,131,14,30,31,194,83,15,8,60,27,43,23,21]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l,w,S,y,d,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsService=void 0;const c="extensionTips/promptedExecutableTips",i="extensionTips/lastPromptedMediumImpExeTime";let n=class extends h.ExtensionTipsService{constructor(s,a,u,m,C,_,O,M,D,U){super(O,M,D,U);this.environmentService=s,this.telemetryService=a,this.extensionManagementService=u,this.storageService=m,this.nativeHostService=C,this.extensionRecommendationNotificationService=_,this.highImportanceExecutableTips=new Map,this.mediumImportanceExecutableTips=new Map,this.allOtherExecutableTips=new Map,this.highImportanceTipsByExe=new Map,this.mediumImportanceTipsByExe=new Map,M.exeBasedExtensionTips&&(0,L.forEach)(M.exeBasedExtensionTips,({key:F,value:x})=>{const q=[],H=[],re=[];(0,L.forEach)(x.recommendations,({key:B,value:W})=>{W.important?x.important?q.push({extensionId:B,extensionName:W.name,isExtensionPack:!!W.isExtensionPack}):H.push({extensionId:B,extensionName:W.name,isExtensionPack:!!W.isExtensionPack}):re.push({extensionId:B,extensionName:W.name,isExtensionPack:!!W.isExtensionPack})}),q.length&&this.highImportanceExecutableTips.set(F,{exeFriendlyName:x.friendlyName,windowsPath:x.windowsPath,recommendations:q}),H.length&&this.mediumImportanceExecutableTips.set(F,{exeFriendlyName:x.friendlyName,windowsPath:x.windowsPath,recommendations:H}),re.length&&this.allOtherExecutableTips.set(F,{exeFriendlyName:x.friendlyName,windowsPath:x.windowsPath,recommendations:re})}),(0,t.timeout)(3e3).then(async()=>{await this.collectTips(),this.promptHighImportanceExeBasedTip(),this.promptMediumImportanceExeBasedTip()})}async getImportantExecutableBasedTips(){const s=await this.getValidExecutableBasedExtensionTips(this.highImportanceExecutableTips),a=await this.getValidExecutableBasedExtensionTips(this.mediumImportanceExecutableTips);return[...s,...a]}getOtherExecutableBasedTips(){return this.getValidExecutableBasedExtensionTips(this.allOtherExecutableTips)}async collectTips(){const s=await this.getValidExecutableBasedExtensionTips(this.highImportanceExecutableTips),a=await this.getValidExecutableBasedExtensionTips(this.mediumImportanceExecutableTips),u=await this.extensionManagementService.getInstalled();this.highImportanceTipsByExe=this.groupImportantTipsByExe(s,u),this.mediumImportanceTipsByExe=this.groupImportantTipsByExe(a,u)}groupImportantTipsByExe(s,a){const u=new Map;s.forEach(M=>u.set(M.extensionId.toLowerCase(),M));const{installed:m,uninstalled:C}=this.groupByInstalled([...u.keys()],a);for(const M of m){const D=u.get(M);D&&this.telemetryService.publicLog2("exeExtensionRecommendations:alreadyInstalled",{extensionId:M,exeName:D.exeName})}for(const M of C){const D=u.get(M);D&&this.telemetryService.publicLog2("exeExtensionRecommendations:notInstalled",{extensionId:M,exeName:D.exeName})}const _=this.getPromptedExecutableTips(),O=new Map;for(const M of C){const D=u.get(M);if(D&&(!_[D.exeName]||!_[D.exeName].includes(D.extensionId))){let U=O.get(D.exeName);U||(U=[],O.set(D.exeName,U)),U.push(D)}}return O}promptHighImportanceExeBasedTip(){if(this.highImportanceTipsByExe.size===0)return;const[s,a]=[...this.highImportanceTipsByExe.entries()][0];this.promptExeRecommendations(a).then(u=>{switch(u){case"reacted":this.addToRecommendedExecutables(a[0].exeName,a);break;case"ignored":this.highImportanceTipsByExe.delete(s);break;case"incompatibleWindow":{const m=T.Event.once(T.Event.latch(T.Event.any(this.nativeHostService.onDidOpenWindow,this.nativeHostService.onDidFocusWindow)));this._register(m(()=>this.promptHighImportanceExeBasedTip()));break}case"toomany":{const m=this._register((0,t.disposableTimeout)(()=>{m.dispose(),this.promptHighImportanceExeBasedTip()},60*60*1e3));break}}})}promptMediumImportanceExeBasedTip(){if(this.mediumImportanceTipsByExe.size===0)return;const s=this.getLastPromptedMediumExeTime(),a=Date.now()-s,u=7*24*60*60*1e3;if(a<u){const _=this._register((0,t.disposableTimeout)(()=>{_.dispose(),this.promptMediumImportanceExeBasedTip()},u-a));return}const[m,C]=[...this.mediumImportanceTipsByExe.entries()][0];this.promptExeRecommendations(C).then(_=>{switch(_){case"reacted":{this.updateLastPromptedMediumExeTime(Date.now()),this.mediumImportanceTipsByExe.delete(m),this.addToRecommendedExecutables(C[0].exeName,C);const O=this._register((0,t.disposableTimeout)(()=>{O.dispose(),this.promptMediumImportanceExeBasedTip()},u));break}case"ignored":this.mediumImportanceTipsByExe.delete(m),this.promptMediumImportanceExeBasedTip();break;case"incompatibleWindow":{const O=T.Event.once(T.Event.latch(T.Event.any(this.nativeHostService.onDidOpenWindow,this.nativeHostService.onDidFocusWindow)));this._register(O(()=>this.promptMediumImportanceExeBasedTip()));break}case"toomany":{const O=this._register((0,t.disposableTimeout)(()=>{O.dispose(),this.promptMediumImportanceExeBasedTip()},60*60*1e3));break}}})}async promptExeRecommendations(s){const a=await this.extensionManagementService.getInstalled(1),u=s.filter(C=>!C.whenNotInstalled||C.whenNotInstalled.every(_=>a.every(O=>!(0,p.areSameExtensions)(O.identifier,{id:_})))).map(({extensionId:C})=>C.toLowerCase()),m=(0,P.localize)(0,null,s[0].exeFriendlyName);return this.extensionRecommendationNotificationService.promptImportantExtensionsInstallNotification(u,m,`@exe:"${s[0].exeName}"`,3)}getLastPromptedMediumExeTime(){let s=this.storageService.getNumber(i,0);return s||(s=Date.now(),this.updateLastPromptedMediumExeTime(s)),s}updateLastPromptedMediumExeTime(s){this.storageService.store(i,s,0,1)}getPromptedExecutableTips(){return JSON.parse(this.storageService.get(c,0,"{}"))}addToRecommendedExecutables(s,a){const u=this.getPromptedExecutableTips();u[s]=a.map(({extensionId:m})=>m.toLowerCase()),this.storageService.store(c,JSON.stringify(u),0,0)}groupByInstalled(s,a){const u=[],m=[],C=a.reduce((_,O)=>(_.add(O.identifier.id.toLowerCase()),_),new Set);return s.forEach(_=>{C.has(_.toLowerCase())?u.push(_):m.push(_)}),{installed:u,uninstalled:m}}async getValidExecutableBasedExtensionTips(s){const a=[],u=new Map;for(const m of s.keys()){const C=s.get(m);if(!C||!(0,k.isNonEmptyArray)(C.recommendations))continue;const _=[];R.isWindows?C.windowsPath&&_.push(C.windowsPath.replace("%USERPROFILE%",b.env.USERPROFILE).replace("%ProgramFiles(x86)%",b.env["ProgramFiles(x86)"]).replace("%ProgramFiles%",b.env.ProgramFiles).replace("%APPDATA%",b.env.APPDATA).replace("%WINDIR%",b.env.WINDIR)):(_.push((0,A.join)("/usr/local/bin",m)),_.push((0,A.join)("/usr/bin",m)),_.push((0,A.join)(this.environmentService.userHome.fsPath,m)));for(const O of _){let M=u.get(O);if(M===void 0&&(M=await this.fileService.exists(I.URI.file(O)),u.set(O,M)),M)for(const{extensionId:D,extensionName:U,isExtensionPack:F,whenNotInstalled:x}of C.recommendations)a.push({extensionId:D,extensionName:U,isExtensionPack:F,exeName:m,exeFriendlyName:C.exeFriendlyName,windowsPath:C.windowsPath,whenNotInstalled:x})}}return a}};n=he([Y(0,E.INativeEnvironmentService),Y(1,r.ITelemetryService),Y(2,f.IExtensionManagementService),Y(3,d.IStorageService),Y(4,w.INativeHostService),Y(5,g.IExtensionRecommendationNotificationService),Y(6,v.IFileService),Y(7,S.IProductService),Y(8,y.IRequestService),Y(9,l.ILogService)],n),e.ExtensionTipsService=n}),define(te[93],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class k{constructor(T){this.appenders=T}listen(T,A){throw new Error(`Event not found: ${A}`)}call(T,A,{eventName:R,data:b}){return this.appenders.forEach(I=>I.log(R,b)),Promise.resolve(null)}}e.TelemetryAppenderChannel=k;class t{constructor(T){this.channel=T}log(T,A){return this.channel.call("log",{eventName:T,data:A}).then(void 0,R=>`Failed to log telemetry: ${console.warn(R)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=t}),define(te[44],ne([0,1,28,11,19,21]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cleanRemoteAuthority=e.validateTelemetryData=e.getTelemetryLevel=e.supportsTelemetry=e.configurationTelemetry=e.NullAppender=e.NullEndpointTelemetryService=e.NullTelemetryService=e.NullTelemetryServiceShape=void 0;class A{constructor(){this.sendErrorTelemetry=!1,this.telemetryLevel=0}publicLog(l,w){return Promise.resolve(void 0)}publicLog2(l,w){return this.publicLog(l,w)}publicLogError(l,w){return Promise.resolve(void 0)}publicLogError2(l,w){return this.publicLogError(l,w)}setExperimentProperty(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}}e.NullTelemetryServiceShape=A,e.NullTelemetryService=new A;class R{async publicLog(l,w,S){}async publicLogError(l,w,S){}}e.NullEndpointTelemetryService=R,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function b(v,l){return l.onDidChangeConfiguration(w=>{w.source!==6&&v.publicLog2("updateConfiguration",{configurationSource:(0,L.ConfigurationTargetToString)(w.source),configurationKeys:h(w.sourceConfig)})})}e.configurationTelemetry=b;function I(v,l){return!(l.disableTelemetry||!v.enableTelemetry||l.extensionTestsLocationURI)}e.supportsTelemetry=I;function P(v){const l=v.getValue(T.TELEMETRY_SETTING_ID),w=v.getValue("telemetry.enableCrashReporter");if(v.getValue(T.TELEMETRY_OLD_SETTING_ID)===!1||w===!1)return 0;switch(l??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.getTelemetryLevel=P;function E(v){const l=Object.create(null),w=Object.create(null),S=Object.create(null);p(v,S);for(let y in S){y=y.length>150?y.substr(y.length-149):y;const d=S[y];typeof d=="number"?w[y]=d:typeof d=="boolean"?w[y]=d?1:0:typeof d=="string"?(d.length>8192&&console.warn(`Telemetry property: ${y} has been trimmed to 8192, the original length is ${d.length}`),l[y]=d.substring(0,8191)):typeof d!="undefined"&&d!==null&&(l[y]=d)}return{properties:l,measurements:w}}e.validateTelemetryData=E;function f(v){if(!v)return"none";let l="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(S=>{v.indexOf(`${S}+`)===0&&(l=S)}),l}e.cleanRemoteAuthority=f;function p(v,l,w=0,S){if(!!v)for(let y of Object.getOwnPropertyNames(v)){const d=v[y],r=S?S+y:y;Array.isArray(d)?l[r]=(0,k.safeStringify)(d):d instanceof Date?l[r]=d.toISOString():(0,t.isObject)(d)?w<2?p(d,l,w+1,r+"."):l[r]=(0,k.safeStringify)(d):l[r]=d}}function h(v){if(!v)return[];const l=[];return g(l,"",v),l}function g(v,l,w){w&&typeof w=="object"&&!Array.isArray(w)?Object.keys(w).forEach(S=>g(v,l?`${l}.${S}`:S,w[S])):v.push(l)}}),define(te[207],ne([0,1,44,150]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AssignmentService=e.BaseAssignmentService=void 0;class L{constructor(){}setSharedProperty(b,I){}postEvent(b,I){}}class T{constructor(b,I,P,E,f){this.getMachineId=b,this.configurationService=I,this.productService=P,this.telemetry=E,this.keyValueStorage=f,this.networkInitialized=!1,P.tasConfig&&this.experimentsEnabled&&(0,k.getTelemetryLevel)(this.configurationService)===3&&(this.tasClient=this.setupTASClient());const p=this.configurationService.getValue("experiments.overrideDelay"),h=typeof p=="number"?p:0;this.overrideInitDelay=new Promise(g=>setTimeout(g,h))}get experimentsEnabled(){return!0}async getTreatment(b){await this.overrideInitDelay;const I=this.configurationService.getValue("experiments.override."+b);if(I!==void 0)return I;if(!this.tasClient||!this.experimentsEnabled)return;let P;const E=await this.tasClient;return this.networkInitialized?P=E.getTreatmentVariable("vscode",b):P=await E.getTreatmentVariableAsync("vscode",b,!0),P=E.getTreatmentVariable("vscode",b),P}async setupTASClient(){const b=this.productService.quality==="stable"?t.TargetPopulation.Public:t.TargetPopulation.Insiders,I=await this.getMachineId(),P=new t.AssignmentFilterProvider(this.productService.version,this.productService.nameLong,I,b),E=this.productService.tasConfig,f=new(await new Promise((p,h)=>{J(["tas-client-umd"],p,h)})).ExperimentationService({filterProviders:[P],telemetry:this.telemetry,storageKey:t.ASSIGNMENT_STORAGE_KEY,keyValueStorage:this.keyValueStorage,featuresTelemetryPropertyName:E.featuresTelemetryPropertyName,assignmentContextTelemetryPropertyName:E.assignmentContextTelemetryPropertyName,telemetryEventName:E.telemetryEventName,endpoint:E.endpoint,refetchInterval:t.ASSIGNMENT_REFETCH_INTERVAL});return await f.initializePromise,f.initialFetch.then(()=>this.networkInitialized=!0),f}}e.BaseAssignmentService=T;class A extends T{constructor(b,I,P){super(()=>Promise.resolve(b),I,P,new L)}}e.AssignmentService=A}),define(te[208],ne([0,1,47,44]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=void 0;async function L(T,A,R,b,I,P){const E={"X-Market-Client-Id":`VSCode ${T}`,"User-Agent":`VSCode ${T} (${A.nameShort})`},f=await(0,k.getServiceMachineId)(R,I,P);return(0,t.supportsTelemetry)(A,R)&&(0,t.getTelemetryLevel)(b)===3&&(E["X-Market-User-Id"]=f),E}e.resolveMarketplaceHeaders=L}),define(te[209],ne([0,1,16,25,9,28,4,33,11,7,19,14,30,31,79,15,8,27,43,208,23,21]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l,w,S,y,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGalleryServiceWithNoStorageService=e.ExtensionGalleryService=e.sortExtensionVersions=void 0;const r=A.isWeb?"web":(0,f.getTargetPlatform)(A.platform,R.arch);var c;(function($){$[$.None=0]="None",$[$.IncludeVersions=1]="IncludeVersions",$[$.IncludeFiles=2]="IncludeFiles",$[$.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",$[$.IncludeSharedAccounts=8]="IncludeSharedAccounts",$[$.IncludeVersionProperties=16]="IncludeVersionProperties",$[$.ExcludeNonValidated=32]="ExcludeNonValidated",$[$.IncludeInstallationTargets=64]="IncludeInstallationTargets",$[$.IncludeAssetUri=128]="IncludeAssetUri",$[$.IncludeStatistics=256]="IncludeStatistics",$[$.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",$[$.Unpublished=4096]="Unpublished",$[$.IncludeNameConflictInfo=32768]="IncludeNameConflictInfo"})(c||(c={}));function i(...$){return String($.reduce((z,G)=>z|G,0))}var n;(function($){$[$.Tag=1]="Tag",$[$.ExtensionId=4]="ExtensionId",$[$.Category=5]="Category",$[$.ExtensionName=7]="ExtensionName",$[$.Target=8]="Target",$[$.Featured=9]="Featured",$[$.SearchText=10]="SearchText",$[$.ExcludeWithFlags=12]="ExcludeWithFlags"})(n||(n={}));const o={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},s={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",PreRelease:"Microsoft.VisualStudio.Code.PreRelease",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},u={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:c.None,criteria:[],assetTypes:[]};class m{constructor(z=u){this.state=z}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(z,G=this.state.pageSize){return new m({...this.state,pageNumber:z,pageSize:G})}withFilter(z,...G){const ee=[...this.state.criteria,...G.length?G.map(se=>({filterType:z,value:se})):[{filterType:z}]];return new m({...this.state,criteria:ee})}withSortBy(z){return new m({...this.state,sortBy:z})}withSortOrder(z){return new m({...this.state,sortOrder:z})}withFlags(...z){return new m({...this.state,flags:z.reduce((G,ee)=>G|ee,0)})}withAssetTypes(...z){return new m({...this.state,assetTypes:z})}get raw(){const{criteria:z,pageNumber:G,pageSize:ee,sortBy:se,sortOrder:ae,flags:de,assetTypes:ve}=this.state;return{filters:[{criteria:z,pageNumber:G,pageSize:ee,sortBy:se,sortOrder:ae}],assetTypes:ve,flags:de}}get searchText(){const z=this.state.criteria.filter(G=>G.filterType===n.SearchText)[0];return z&&z.value?z.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(z=>String(z.filterType)),flags:this.state.flags,sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function C($,z){const G=($||[]).filter(ee=>ee.statisticName===z)[0];return G?G.value:0}function _($){const z="Microsoft.VisualStudio.Code.Translation.";return $.files.filter(ee=>ee.assetType.indexOf(z)===0).reduce((ee,se)=>{const ae=U($,se.assetType);return ae&&ee.push([se.assetType.substring(z.length),ae]),ee},[])}function O($){if($.properties){const z=$.properties.filter(se=>se.key===o.Repository),G=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),ee=z.filter(se=>G.test(se.value))[0];return ee?{uri:ee.value,fallbackUri:ee.value}:null}return U($,o.Repository)}function M($){return{uri:`${$.fallbackAssetUri}/${o.VSIX}?redirect=true${$.targetPlatform?`&targetPlatform=${$.targetPlatform}`:""}`,fallbackUri:`${$.fallbackAssetUri}/${o.VSIX}${$.targetPlatform?`?targetPlatform=${$.targetPlatform}`:""}`}}function D($){const z=U($,o.Icon);if(z)return z;const G=f.DefaultIconPath;return{uri:G,fallbackUri:G}}function U($,z){return $.files.filter(ee=>ee.assetType===z)[0]?{uri:`${$.assetUri}/${z}${$.targetPlatform?`?targetPlatform=${$.targetPlatform}`:""}`,fallbackUri:`${$.fallbackAssetUri}/${z}${$.targetPlatform?`?targetPlatform=${$.targetPlatform}`:""}`}:null}function F($,z){const G=$.properties?$.properties.filter(se=>se.key===z):[],ee=G.length>0&&G[0].value;return ee?ee.split(",").map(se=>(0,p.adoptToGalleryExtensionId)(se)):[]}function x($){const z=$.properties?$.properties.filter(G=>G.key===s.Engine):[];return z.length>0&&z[0].value||""}function q($){const z=$.properties?$.properties.filter(G=>G.key===s.PreRelease):[];return z.length>0&&z[0].value==="true"}function H($){const z=$.properties?$.properties.filter(ee=>ee.key===s.LocalizedLanguages):[],G=z.length>0&&z[0].value||"";return G?G.split(","):[]}function re($){return $.indexOf("preview")!==-1}function B($){return $.targetPlatform?(0,f.toTargetPlatform)($.targetPlatform):"undefined"}function W($){const z=(0,k.distinct)($.versions.map(B)),G=!!$.tags?.includes(f.WEB_EXTENSION_TAG),ee=z.indexOf("web");return G?ee===-1&&z.push("web"):ee!==-1&&z.splice(ee,1),z}function K($,z){const G=(0,f.getFallbackTargetPlarforms)(z);for(let ee=0;ee<$.length;ee++){const se=$[ee];if(se.version===$[ee-1]?.version){let ae=ee;const de=B(se);if(de===z)for(;ae>0&&$[ae-1].version===se.version;)ae--;else if(G.includes(de))for(;ae>0&&$[ae-1].version===se.version&&B($[ae-1])!==z;)ae--;ae!==ee&&($.splice(ee,1),$.splice(ae,0,se))}}return $}e.sortExtensionVersions=K;function V($,z,G){$.telemetryData={index:z,querySource:G}}function X($,z,G){const ee=$.versions[0],se={manifest:U(z,o.Manifest),readme:U(z,o.Details),changelog:U(z,o.Changelog),license:U(z,o.License),repository:O(z),download:M(z),icon:D(z),coreTranslations:_(z)};return{identifier:{id:(0,p.getGalleryExtensionId)($.publisher.publisherName,$.extensionName),uuid:$.extensionId},name:$.extensionName,version:z.version,displayName:$.displayName,publisherId:$.publisher.publisherId,publisher:$.publisher.publisherName,publisherDisplayName:$.publisher.displayName,publisherDomain:$.publisher.domain?{link:$.publisher.domain,verified:!!$.publisher.isDomainVerified}:void 0,description:$.shortDescription||"",installCount:C($.statistics,"install"),rating:C($.statistics,"averagerating"),ratingCount:C($.statistics,"ratingcount"),categories:$.categories||[],tags:$.tags||[],releaseDate:Date.parse($.releaseDate),lastUpdated:Date.parse($.lastUpdated),allTargetPlatforms:G,assets:se,properties:{dependencies:F(z,s.Dependency),extensionPack:F(z,s.ExtensionPack),engine:x(z),localizedLanguages:H(z),targetPlatform:B(z),isPreReleaseVersion:q(z)},hasPreReleaseVersion:q(ee),hasReleaseVersion:!0,preview:re($.flags)}}let Z=class{constructor(z,G,ee,se,ae,de,ve,be){this.requestService=G,this.logService=ee,this.environmentService=se,this.telemetryService=ae,this.fileService=de,this.productService=ve,this.configurationService=be;const Se=ve.extensionsGallery;this.extensionsGalleryUrl=Se&&Se.serviceUrl,this.extensionsControlUrl=Se&&Se.controlUrl,this.commonHeadersPromise=(0,S.resolveMarketplaceHeaders)(ve.version,ve,this.environmentService,this.configurationService,this.fileService,z)}api(z=""){return`${this.extensionsGalleryUrl}${z}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(z,G,ee){const se=t.CancellationToken.isCancellationToken(G)?{}:G,ae=t.CancellationToken.isCancellationToken(G)?G:ee,de=[],ve=[],be=[],Se=[];let pe=!0;for(const De of z){De.uuid?ve.push(De.uuid):de.push(De.id);const Ue=!!(De.version||De.preRelease);be.push({id:De.id,uuid:De.uuid,includePreRelease:Ue}),De.version&&Se.push({id:De.id,uuid:De.uuid,version:De.version}),pe=pe&&!!De.hasPreRelease&&!Ue}if(!ve.length&&!de.length)return[];let Ie=new m().withPage(1,z.length);ve.length&&(Ie=Ie.withFilter(n.ExtensionId,...ve)),de.length&&(Ie=Ie.withFilter(n.ExtensionName,...de)),(se.queryAllVersions||pe)&&(Ie=Ie.withFlags(Ie.flags,c.IncludeVersions));const{extensions:Ce}=await this.queryGalleryExtensions(Ie,{targetPlatform:se.targetPlatform??r,includePreRelease:be,versions:Se,compatible:!!se.compatible},ae);return se.source&&Ce.forEach((De,Ue)=>V(De,Ue,se.source)),Ce}async getCompatibleExtension(z,G,ee){if((0,f.isNotWebExtensionInWebTargetPlatform)(z.allTargetPlatforms,ee))return null;if(await this.isExtensionCompatible(z,G,ee))return z;const se=new m().withFlags(c.IncludeVersions).withPage(1,1).withFilter(n.ExtensionId,z.identifier.uuid),{extensions:ae}=await this.queryGalleryExtensions(se,{targetPlatform:ee,compatible:!0,includePreRelease:G},t.CancellationToken.None);return ae[0]||null}async isExtensionCompatible(z,G,ee){if(!(0,f.isTargetPlatformCompatible)(z.properties.targetPlatform,z.allTargetPlatforms,ee)||!G&&z.properties.isPreReleaseVersion)return!1;let se=z.properties.engine;if(!se){const ae=await this.getManifest(z,t.CancellationToken.None);if(!ae)throw new Error("Manifest was not found");se=ae.engines.vscode}return(0,h.isEngineValid)(se,this.productService.version,this.productService.date)}async isValidVersion(z,G,ee,se,ae){if(!(0,f.isTargetPlatformCompatible)(B(z),se,ae)||G!=="any"&&q(z)!==(G==="prerelease"))return!1;if(ee){const de=await this.getEngine(z);if(!(0,h.isEngineValid)(de,this.productService.version,this.productService.date))return!1}return!0}async query(z,G){if(!this.isEnabled())throw new Error("No extension gallery service configured.");let ee=z.text||"";const se=(0,T.getOrDefault)(z,pe=>pe.pageSize,50);let ae=new m().withPage(1,se);ee?(ee=ee.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(pe,Ie,Ce)=>(ae=ae.withFilter(n.Category,Ce||Ie),"")),ee=ee.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(pe,Ie,Ce)=>(ae=ae.withFilter(n.Tag,Ce||Ie),"")),ee=ee.replace(/\bfeatured(\s+|\b|$)/g,()=>(ae=ae.withFilter(n.Featured),"")),ee=ee.trim(),ee&&(ee=ee.length<200?ee:ee.substring(0,200),ae=ae.withFilter(n.SearchText,ee)),ae=ae.withSortBy(0)):z.ids?ae=ae.withFilter(n.ExtensionId,...z.ids):z.names?ae=ae.withFilter(n.ExtensionName,...z.names):ae=ae.withSortBy(4),typeof z.sortBy=="number"&&(ae=ae.withSortBy(z.sortBy)),typeof z.sortOrder=="number"&&(ae=ae.withSortOrder(z.sortOrder));const de=async(pe,Ie)=>{const{extensions:Ce,total:De}=await this.queryGalleryExtensions(pe,{targetPlatform:r,compatible:!1,includePreRelease:!!z.includePreRelease},Ie);return Ce.forEach((Ue,je)=>V(Ue,(pe.pageNumber-1)*pe.pageSize+je,z.source)),{extensions:Ce,total:De}},{extensions:ve,total:be}=await de(ae,G),Se=async(pe,Ie)=>{if(Ie.isCancellationRequested)throw new L.CancellationError;const{extensions:Ce}=await de(ae.withPage(pe+1),Ie);return Ce};return{firstPage:ve,total:be,pageSize:ae.pageSize,getPage:Se}}async queryGalleryExtensions(z,G,ee){const se=z.flags;!!(z.flags&c.IncludeLatestVersionOnly)&&!!(z.flags&c.IncludeVersions)&&(z=z.withFlags(z.flags&~c.IncludeVersions,c.IncludeLatestVersionOnly)),!(z.flags&c.IncludeLatestVersionOnly)&&!(z.flags&c.IncludeVersions)&&(z=z.withFlags(z.flags,c.IncludeLatestVersionOnly)),G.versions?.length&&(z=z.withFlags(z.flags&~c.IncludeLatestVersionOnly,c.IncludeVersions)),z=z.withFlags(z.flags,c.IncludeAssetUri,c.IncludeCategoryAndTags,c.IncludeFiles,c.IncludeStatistics,c.IncludeVersionProperties);const{galleryExtensions:ae,total:de}=await this.queryRawGalleryExtensions(z,ee);if(!(z.flags&c.IncludeLatestVersionOnly)){const pe=[];for(const Ie of ae){const Ce=await this.toGalleryExtensionWithCriteria(Ie,G,!0);Ce&&pe.push(Ce)}return{extensions:pe,total:de}}const be=[],Se=new Map;for(let pe=0;pe<ae.length;pe++){const Ie=ae[pe],Ce={id:(0,p.getGalleryExtensionId)(Ie.publisher.publisherName,Ie.extensionName),uuid:Ie.extensionId},De=(0,b.isBoolean)(G.includePreRelease)?G.includePreRelease:!!G.includePreRelease.find(je=>(0,p.areSameExtensions)(je,Ce))?.includePreRelease;let Ue=await this.toGalleryExtensionWithCriteria(Ie,G,!1);!Ue||Ue.properties.isPreReleaseVersion&&(!De||!Ue.hasReleaseVersion)||!Ue.properties.isPreReleaseVersion&&Ue.properties.targetPlatform!==G.targetPlatform&&Ue.hasPreReleaseVersion?Se.set(Ie.extensionId,pe):be.push([pe,Ue])}if(Se.size){const pe=new Date().getTime(),Ie=new m().withFlags(se&~c.IncludeLatestVersionOnly,c.IncludeVersions).withPage(1,Se.size).withFilter(n.ExtensionId,...Se.keys()),{extensions:Ce}=await this.queryGalleryExtensions(Ie,G,ee);this.telemetryService.publicLog2("galleryService:additionalQuery",{duration:new Date().getTime()-pe,count:Se.size});for(const De of Ce){const Ue=Se.get(De.identifier.uuid);be.push([Ue,De])}}return{extensions:be.sort((pe,Ie)=>pe[0]-Ie[0]).map(([,pe])=>pe),total:de}}async toGalleryExtensionWithCriteria(z,G,ee){const se={id:(0,p.getGalleryExtensionId)(z.publisher.publisherName,z.extensionName),uuid:z.extensionId},ae=G.versions?.find(Se=>(0,p.areSameExtensions)(Se,se))?.version,de=(0,b.isBoolean)(G.includePreRelease)?G.includePreRelease:!!G.includePreRelease.find(Se=>(0,p.areSameExtensions)(Se,se))?.includePreRelease,ve=W(z),be=K(z.versions,G.targetPlatform);if(G.compatible&&ee&&(0,f.isNotWebExtensionInWebTargetPlatform)(ve,G.targetPlatform))return null;for(let Se=0;Se<be.length;Se++){const pe=be[Se];if(!(ae&&pe.version!==ae)){if(await this.isValidVersion(pe,de?"any":"release",G.compatible,ve,G.targetPlatform))return X(z,pe,ve);if(ae&&pe.version===ae)return null}}return ae||G.compatible?null:X(z,z.versions[0],ve)}async queryRawGalleryExtensions(z,G){if(!this.isEnabled())throw new Error("No extension gallery service configured.");z=z.withFlags(z.flags,c.ExcludeNonValidated).withFilter(n.Target,"Microsoft.VisualStudio.Code").withFilter(n.ExcludeWithFlags,i(c.Unpublished));const ee=await this.commonHeadersPromise,se=JSON.stringify(z.raw),ae={...ee,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(se.length)},de=new Date().getTime();let ve,be,Se=0;try{if(ve=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:se,headers:ae},G),ve.res.statusCode&&ve.res.statusCode>=400&&ve.res.statusCode<500)return{galleryExtensions:[],total:Se};const pe=await(0,w.asJson)(ve);if(pe){const Ie=pe.results[0],Ce=Ie.extensions,De=Ie.resultMetadata&&Ie.resultMetadata.filter(Ue=>Ue.metadataType==="ResultCount")[0];return Se=De&&De.metadataItems.filter(Ue=>Ue.name==="TotalCount")[0].count||0,{galleryExtensions:Ce,total:Se}}return{galleryExtensions:[],total:Se}}catch(pe){throw be=pe,pe}finally{this.telemetryService.publicLog2("galleryService:query",{...z.telemetryData,requestBodySize:String(se.length),duration:new Date().getTime()-de,success:!!ve&&(0,w.isSuccess)(ve),responseBodySize:ve?.res.headers["Content-Length"],statusCode:ve?String(ve.res.statusCode):void 0,errorCode:be?(0,L.isCancellationError)(be)?"canceled":(0,L.getErrorMessage)(be).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(Se)})}}async reportStatistic(z,G,ee,se){if(!this.isEnabled())return;const ae=A.isWeb?this.api(`/itemName/${z}.${G}/version/${ee}/statType/${se==="install"?"1":"3"}/vscodewebextension`):this.api(`/publishers/${z}/extensions/${G}/${ee}/stats?statType=${se}`),de=A.isWeb?"api-version=6.1-preview.1":"*/*;api-version=4.0-preview.1",be={...await this.commonHeadersPromise,Accept:de};try{await this.requestService.request({type:"POST",url:ae,headers:be},t.CancellationToken.None)}catch{}}async download(z,G,ee){this.logService.trace("ExtensionGalleryService#download",z.identifier.id);const se=(0,p.getGalleryExtensionTelemetryData)(z),ae=new Date().getTime(),de=pe=>this.telemetryService.publicLog("galleryService:downloadVSIX",{...se,duration:pe}),ve=ee===2?"install":ee===3?"update":"",be=ve?{uri:`${z.assets.download.uri}${I.URI.parse(z.assets.download.uri).query?"&":"?"}${ve}=true`,fallbackUri:`${z.assets.download.fallbackUri}${I.URI.parse(z.assets.download.fallbackUri).query?"&":"?"}${ve}=true`}:z.assets.download,Se=await this.getAsset(be);await this.fileService.writeFile(G,Se.stream),de(new Date().getTime()-ae)}async getReadme(z,G){if(z.assets.readme){const ee=await this.getAsset(z.assets.readme,{},G);return await(0,w.asText)(ee)||""}return""}async getManifest(z,G){if(z.assets.manifest){const ee=await this.getAsset(z.assets.manifest,{},G),se=await(0,w.asText)(ee);return se?JSON.parse(se):null}return null}async getManifestFromRawExtensionVersion(z,G){const ee=U(z,o.Manifest);if(!ee)throw new Error("Manifest was not found");const se={"Accept-Encoding":"gzip"},ae=await this.getAsset(ee,{headers:se});return await(0,w.asJson)(ae)}async getCoreTranslation(z,G){const ee=z.assets.coreTranslations.filter(se=>se[0]===G.toUpperCase())[0];if(ee){const se=await this.getAsset(ee[1]),ae=await(0,w.asText)(se);return ae?JSON.parse(ae):null}return null}async getChangelog(z,G){if(z.assets.changelog){const ee=await this.getAsset(z.assets.changelog,{},G);return await(0,w.asText)(ee)||""}return""}async getAllCompatibleVersions(z,G,ee){let se=new m().withFlags(c.IncludeVersions,c.IncludeCategoryAndTags,c.IncludeFiles,c.IncludeVersionProperties).withPage(1,1);z.identifier.uuid?se=se.withFilter(n.ExtensionId,z.identifier.uuid):se=se.withFilter(n.ExtensionName,z.identifier.id);const{galleryExtensions:ae}=await this.queryRawGalleryExtensions(se,t.CancellationToken.None);if(!ae.length)return[];const de=W(ae[0]);if((0,f.isNotWebExtensionInWebTargetPlatform)(de,ee))return[];const ve=[],be=new Set;return await Promise.all(ae[0].versions.map(async Se=>{try{if(be.has(Se.version))return;await this.isValidVersion(Se,G?"any":"release",!0,de,ee)&&(ve.push({version:Se.version,date:Se.lastUpdated,isPreReleaseVersion:q(Se)}),be.add(Se.version))}catch{}})),ve}async getAsset(z,G={},ee=t.CancellationToken.None){const se=await this.commonHeadersPromise,ae={type:"GET"},de={...se,...G.headers||{}};G={...G,...ae,headers:de};const ve=z.uri,be=z.fallbackUri,Se={...G,url:ve};try{const pe=await this.requestService.request(Se,ee);if(pe.res.statusCode===200)return pe;const Ie=await(0,w.asText)(pe);throw new Error(`Expected 200, got back ${pe.res.statusCode} instead.

${Ie}`)}catch(pe){if((0,L.isCancellationError)(pe))throw pe;const Ie=(0,L.getErrorMessage)(pe);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:ve,message:Ie});const Ce={...G,url:be};return this.requestService.request(Ce,ee)}}async getEngine(z){let G=x(z);if(!G){const ee=await this.getManifestFromRawExtensionVersion(z,t.CancellationToken.None);if(!ee)throw new Error("Manifest was not found");G=ee.engines.vscode}return G}async getExtensionsControlManifest(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return{malicious:[]};const z=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},t.CancellationToken.None);if(z.res.statusCode!==200)throw new Error("Could not get extensions report.");const G=await(0,w.asJson)(z),ee=[],se={};if(G){for(const ae of G.malicious)ee.push({id:ae});if(G.unsupported)for(const ae of Object.keys(G.unsupported)){const de=G.unsupported[ae];(0,b.isBoolean)(de)||(se[ae.toLowerCase()]=de.preReleaseExtension)}if(G.migrateToPreRelease)for(const[ae,de]of Object.entries(G.migrateToPreRelease))(!de.engine||(0,h.isEngineValid)(de.engine,this.productService.version,this.productService.date))&&(se[ae.toLowerCase()]=de)}return{malicious:ee,unsupportedPreReleaseExtensions:se}}};Z=he([Y(1,w.IRequestService),Y(2,v.ILogService),Y(3,E.IEnvironmentService),Y(4,d.ITelemetryService),Y(5,g.IFileService),Y(6,l.IProductService),Y(7,P.IConfigurationService)],Z);let j=class extends Z{constructor(z,G,ee,se,ae,de,ve,be){super(z,G,ee,se,ae,de,ve,be)}};j=he([Y(0,y.IStorageService),Y(1,w.IRequestService),Y(2,v.ILogService),Y(3,E.IEnvironmentService),Y(4,d.ITelemetryService),Y(5,g.IFileService),Y(6,l.IProductService),Y(7,P.IConfigurationService)],j),e.ExtensionGalleryService=j;let N=class extends Z{constructor(z,G,ee,se,ae,de,ve){super(void 0,z,G,ee,se,ae,de,ve)}};N=he([Y(0,w.IRequestService),Y(1,v.ILogService),Y(2,E.IEnvironmentService),Y(3,d.ITelemetryService),Y(4,g.IFileService),Y(5,l.IProductService),Y(6,P.IConfigurationService)],N),e.ExtensionGalleryServiceWithNoStorageService=N}),define(te[94],ne([0,1,2,14,8,44]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryLogAppender=void 0;let A=class extends k.Disposable{constructor(b,I,P=""){super();this.prefix=P;const E=b.getLogger(I.telemetryLogResource);E?this.logger=this._register(E):(this.logger=this._register(b.createLogger(I.telemetryLogResource)),this.logger.info("The below are logs for every telemetry event sent from VS Code once the log level is set to trace."),this.logger.info("==========================================================="))}flush(){return Promise.resolve(void 0)}log(b,I){this.logger.trace(`${this.prefix}telemetry/${b}`,(0,T.validateTelemetryData)(I))}};A=he([Y(0,L.ILoggerService),Y(1,t.IEnvironmentService)],A),e.TelemetryLogAppender=A}),define(te[95],ne([0,1,2,28,4,26,141,19,42,88,38,21,44]),function(J,e,k,t,L,T,A,R,b,I,P,E,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let p=class{constructor(v,l){this._configurationService=l,this._experimentProperties={},this._disposables=new k.DisposableStore,this._cleanupPatterns=[],this._appenders=v.appenders,this._commonProperties=v.commonProperties||Promise.resolve({}),this._piiPaths=v.piiPaths||[],this._telemetryLevel=3,this.sendErrorTelemetry=!!v.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let w of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,T.escapeRegExpCharacters)(w),"gi"));this._updateTelemetryLevel(),this._configurationService.onDidChangeConfiguration(this._updateTelemetryLevel,this,this._disposables)}setExperimentProperty(v,l){this._experimentProperties[v]=l}_updateTelemetryLevel(){this._telemetryLevel=(0,f.getTelemetryLevel)(this._configurationService)}get telemetryLevel(){return this._telemetryLevel}async getTelemetryInfo(){const v=await this._commonProperties;let l=v.sessionID,w=v["common.machineId"],S=v["common.firstSessionDate"],y=v["common.msftInternal"];return{sessionId:l,machineId:w,firstSessionDate:S,msftInternal:y}}dispose(){this._disposables.dispose()}_log(v,l,w,S){return this.telemetryLevel<l?Promise.resolve(void 0):this._commonProperties.then(y=>{w=(0,t.mixin)(w,y),w=(0,t.mixin)(w,this._experimentProperties),w=(0,t.cloneAndChange)(w,d=>{if(typeof d=="string")return this._cleanupInfo(d,S)}),this._appenders.forEach(d=>d.log(v,w))},y=>{console.error(y)})}publicLog(v,l,w){return this._log(v,3,l,w)}publicLog2(v,l,w){return this.publicLog(v,l,w)}publicLogError(v,l){return this.sendErrorTelemetry?this._log(v,2,l,!0):Promise.resolve(void 0)}publicLogError2(v,l){return this.publicLogError(v,l)}_anonymizeFilePaths(v){let l=v;const w=[];for(let r of this._cleanupPatterns)for(;;){const c=r.exec(v);if(!c)break;w.push([c.index,r.lastIndex])}const S=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,y=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let d=0;for(l="";;){const r=y.exec(v);if(!r)break;!S.test(r[0])&&w.every(([c,i])=>r.index<c||r.index>=i)&&(l+=v.substring(d,r.index)+"<REDACTED: user-file-path>",d=y.lastIndex)}return d<v.length&&(l+=v.substr(d)),l}_removePropertiesWithPossibleUserInfo(v){if(!v)return v;const l=v.toLowerCase(),w=/@[a-zA-Z0-9-.]+/,S=/(key|token|sig|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/,y=/xox[pbaors]\-[a-zA-Z0-9]+\-[a-zA-Z0-9\-]+?/;return S.test(l)?"<REDACTED: secret>":w.test(l)?"<REDACTED: email>":y.test(l)?"<REDACTED: token>":v}_cleanupInfo(v,l){let w=v;l&&(w=this._anonymizeFilePaths(w));for(let S of this._cleanupPatterns)w=w.replace(S,"");return w=this._removePropertiesWithPossibleUserInfo(w),w}};p.IDLE_START_EVENT_NAME="UserIdleStart",p.IDLE_STOP_EVENT_NAME="UserIdleStop",p=he([Y(1,R.IConfigurationService)],p),e.TelemetryService=p;function h(){const g=(0,A.localize)(0,null,I.default.nameLong),v=I.default.privacyStatementUrl?(0,A.localize)(2,null,"https://aka.ms/vscode-telemetry",I.default.privacyStatementUrl):(0,A.localize)(1,null,"https://aka.ms/vscode-telemetry"),l=L.isWeb?"":(0,A.localize)(3,null),w=(0,A.localize)(4,null),S=(0,A.localize)(5,null),y=(0,A.localize)(6,null),d=(0,A.localize)(7,null),r=`
|       | ${w} | ${S} | ${y} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,c=(0,A.localize)(8,null);return`
${g} ${v} ${l}

&nbsp;

${d}
${r}

&nbsp;

${c}
`}P.Registry.as(b.Extensions.Configuration).registerConfiguration({id:E.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,A.localize)(9,null),properties:{[E.TELEMETRY_SETTING_ID]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,A.localize)(10,null),(0,A.localize)(11,null),(0,A.localize)(12,null),(0,A.localize)(13,null)],markdownDescription:h(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),P.Registry.as(b.Extensions.Configuration).registerConfiguration({id:E.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,A.localize)(14,null),properties:{[E.TELEMETRY_OLD_SETTING_ID]:{type:"boolean",markdownDescription:I.default.privacyStatementUrl?(0,A.localize)(16,null,I.default.nameLong,I.default.privacyStatementUrl):(0,A.localize)(15,null,I.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,A.localize)(17,null,`\`#${E.TELEMETRY_SETTING_ID}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(te[210],ne([0,1,9,28,44]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AppInsightsAppender=void 0;async function T(R,b){const I=await new Promise((E,f)=>{J(["applicationinsights"],E,f)});let P;return I.defaultClient?(P=new I.TelemetryClient(R),P.channel.setUseDiskRetryCaching(!0)):(I.setup(R).setAutoCollectRequests(!1).setAutoCollectPerformance(!1).setAutoCollectExceptions(!1).setAutoCollectDependencies(!1).setAutoDependencyCorrelation(!1).setAutoCollectConsole(!1).setInternalLogging(!1,!1).setUseDiskRetryCaching(!0).start(),P=I.defaultClient),R.indexOf("AIF-")===0&&(P.config.endpointUrl=b?"https://mobile.events.data.microsoft.com/collect/v1":"https://vortex.data.microsoft.com/collect/v1"),P}class A{constructor(b,I,P,E,f){this._eventPrefix=b,this._defaultData=I,this.testCollector=E,this.mirrored=f,this._defaultData||(this._defaultData=Object.create(null)),typeof P=="function"?this._aiClient=P():this._aiClient=P,this._asyncAIClient=null}_withAIClient(b){if(!!this._aiClient){if(typeof this._aiClient!="string"){b(this._aiClient);return}this._asyncAIClient||(this._asyncAIClient=T(this._aiClient,this.testCollector??!1)),this._asyncAIClient.then(I=>{b(I)},I=>{(0,k.onUnexpectedError)(I),console.error(I)})}}log(b,I){if(!!this._aiClient){I=(0,t.mixin)(I,this._defaultData),I=(0,L.validateTelemetryData)(I),this.testCollector&&(I.properties["common.useragent"]=this.mirrored?"mirror-collector++":"collector++");try{this._withAIClient(P=>P.trackEvent({name:this._eventPrefix+"/"+b,properties:I.properties,measurements:I.measurements}))}catch{}}}flush(){return this._aiClient?new Promise(b=>{this._withAIClient(I=>{try{I.flush({callback:()=>{this._aiClient=void 0,b(void 0)}})}catch{}})}):Promise.resolve(void 0)}}e.AppInsightsAppender=A}),define(te[211],ne([0,1,18,58,19,14,8,21,93,94,95]),function(J,e,k,t,L,T,A,R,b,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CustomEndpointTelemetryService=void 0;let E=class{constructor(p,h,g,v){this.configurationService=p,this.telemetryService=h,this.loggerService=g,this.environmentService=v,this.customTelemetryServices=new Map}async getCustomTelemetryService(p){if(!this.customTelemetryServices.has(p.id)){const{machineId:h,sessionId:g}=await this.telemetryService.getTelemetryInfo(),v=Object.create(null);v["common.vscodemachineid"]=h,v["common.vscodesessionid"]=g;const l=[p.id,JSON.stringify(v),p.aiKey],S=new t.Client(k.FileAccess.asFileUri("bootstrap-fork",J).fsPath,{serverName:"Debug Telemetry",timeout:1e3*60*5,args:l,env:{ELECTRON_RUN_AS_NODE:1,VSCODE_PIPE_LOGGING:"true",VSCODE_AMD_ENTRYPOINT:"vs/workbench/contrib/debug/node/telemetryApp"}}).getChannel("telemetryAppender"),y=[new b.TelemetryAppenderClient(S),new I.TelemetryLogAppender(this.loggerService,this.environmentService,`[${p.id}] `)];this.customTelemetryServices.set(p.id,new P.TelemetryService({appenders:y,sendErrorTelemetry:p.sendErrorTelemetry},this.configurationService))}return this.customTelemetryServices.get(p.id)}async publicLog(p,h,g){await(await this.getCustomTelemetryService(p)).publicLog(h,g)}async publicLogError(p,h,g){await(await this.getCustomTelemetryService(p)).publicLogError(h,g)}};E=he([Y(0,L.IConfigurationService),Y(1,R.ITelemetryService),Y(2,A.ILoggerService),Y(3,T.IEnvironmentService)],E),e.CustomEndpointTelemetryService=E}),define(te[212],ne([0,1,5,25,3,2,8]),function(J,e,k,t,L,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestStore=void 0;let R=class extends T.Disposable{constructor(I,P){super();this._logService=P,this._lastRequestId=0,this._pendingRequests=new Map,this._pendingRequestDisposables=new Map,this._onCreateRequest=this._register(new L.Emitter),this.onCreateRequest=this._onCreateRequest.event,this._timeout=I===void 0?15e3:I}createRequest(I){return new Promise((P,E)=>{const f=++this._lastRequestId;this._pendingRequests.set(f,P),this._onCreateRequest.fire({requestId:f,...I});const p=new t.CancellationTokenSource;(0,k.timeout)(this._timeout,p.token).then(()=>E(`Request ${f} timed out (${this._timeout}ms)`)),this._pendingRequestDisposables.set(f,[(0,T.toDisposable)(()=>p.cancel())])})}acceptReply(I,P){const E=this._pendingRequests.get(I);E?(this._pendingRequests.delete(I),(0,T.dispose)(this._pendingRequestDisposables.get(I)||[]),this._pendingRequestDisposables.delete(I),E(P)):this._logService.warn(`RequestStore#acceptReply was called without receiving a matching request ${I}`)}};R=he([Y(1,A.ILogService)],R),e.RequestStore=R}),define(te[96],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProfileSource=e.FlowControlConstants=e.LocalReconnectConstants=e.TerminalCommandIconError=e.TerminalCommandIcon=e.TerminalLocationString=e.TerminalLocation=e.HeartbeatConstants=e.ProcessPropertyType=e.IPtyService=e.TerminalIpcChannels=e.TitleEventSource=e.WindowsShellType=e.TerminalSettingId=e.TerminalSettingPrefix=void 0;var t;(function(l){l.Shell="terminal.integrated.shell.",l.ShellArgs="terminal.integrated.shellArgs.",l.DefaultProfile="terminal.integrated.defaultProfile.",l.Profiles="terminal.integrated.profiles."})(t=e.TerminalSettingPrefix||(e.TerminalSettingPrefix={}));var L;(function(l){l.ShellLinux="terminal.integrated.shell.linux",l.ShellMacOs="terminal.integrated.shell.osx",l.ShellWindows="terminal.integrated.shell.windows",l.SendKeybindingsToShell="terminal.integrated.sendKeybindingsToShell",l.AutomationShellLinux="terminal.integrated.automationShell.linux",l.AutomationShellMacOs="terminal.integrated.automationShell.osx",l.AutomationShellWindows="terminal.integrated.automationShell.windows",l.AutomationProfileLinux="terminal.integrated.automationProfile.linux",l.AutomationProfileMacOs="terminal.integrated.automationProfile.osx",l.AutomationProfileWindows="terminal.integrated.automationProfile.windows",l.ShellArgsLinux="terminal.integrated.shellArgs.linux",l.ShellArgsMacOs="terminal.integrated.shellArgs.osx",l.ShellArgsWindows="terminal.integrated.shellArgs.windows",l.ProfilesWindows="terminal.integrated.profiles.windows",l.ProfilesMacOs="terminal.integrated.profiles.osx",l.ProfilesLinux="terminal.integrated.profiles.linux",l.DefaultProfileLinux="terminal.integrated.defaultProfile.linux",l.DefaultProfileMacOs="terminal.integrated.defaultProfile.osx",l.DefaultProfileWindows="terminal.integrated.defaultProfile.windows",l.UseWslProfiles="terminal.integrated.useWslProfiles",l.TabsEnabled="terminal.integrated.tabs.enabled",l.TabsEnableAnimation="terminal.integrated.tabs.enableAnimation",l.TabsHideCondition="terminal.integrated.tabs.hideCondition",l.TabsShowActiveTerminal="terminal.integrated.tabs.showActiveTerminal",l.TabsShowActions="terminal.integrated.tabs.showActions",l.TabsLocation="terminal.integrated.tabs.location",l.TabsFocusMode="terminal.integrated.tabs.focusMode",l.MacOptionIsMeta="terminal.integrated.macOptionIsMeta",l.MacOptionClickForcesSelection="terminal.integrated.macOptionClickForcesSelection",l.AltClickMovesCursor="terminal.integrated.altClickMovesCursor",l.CopyOnSelection="terminal.integrated.copyOnSelection",l.EnableMultiLinePasteWarning="terminal.integrated.enableMultiLinePasteWarning",l.DrawBoldTextInBrightColors="terminal.integrated.drawBoldTextInBrightColors",l.FontFamily="terminal.integrated.fontFamily",l.FontSize="terminal.integrated.fontSize",l.LetterSpacing="terminal.integrated.letterSpacing",l.LineHeight="terminal.integrated.lineHeight",l.MinimumContrastRatio="terminal.integrated.minimumContrastRatio",l.FastScrollSensitivity="terminal.integrated.fastScrollSensitivity",l.MouseWheelScrollSensitivity="terminal.integrated.mouseWheelScrollSensitivity",l.BellDuration="terminal.integrated.bellDuration",l.FontWeight="terminal.integrated.fontWeight",l.FontWeightBold="terminal.integrated.fontWeightBold",l.CursorBlinking="terminal.integrated.cursorBlinking",l.CursorStyle="terminal.integrated.cursorStyle",l.CursorWidth="terminal.integrated.cursorWidth",l.Scrollback="terminal.integrated.scrollback",l.DetectLocale="terminal.integrated.detectLocale",l.DefaultLocation="terminal.integrated.defaultLocation",l.GpuAcceleration="terminal.integrated.gpuAcceleration",l.TerminalTitleSeparator="terminal.integrated.tabs.separator",l.TerminalTitle="terminal.integrated.tabs.title",l.TerminalDescription="terminal.integrated.tabs.description",l.RightClickBehavior="terminal.integrated.rightClickBehavior",l.Cwd="terminal.integrated.cwd",l.ConfirmOnExit="terminal.integrated.confirmOnExit",l.ConfirmOnKill="terminal.integrated.confirmOnKill",l.EnableBell="terminal.integrated.enableBell",l.CommandsToSkipShell="terminal.integrated.commandsToSkipShell",l.AllowChords="terminal.integrated.allowChords",l.AllowMnemonics="terminal.integrated.allowMnemonics",l.EnvMacOs="terminal.integrated.env.osx",l.EnvLinux="terminal.integrated.env.linux",l.EnvWindows="terminal.integrated.env.windows",l.EnvironmentChangesIndicator="terminal.integrated.environmentChangesIndicator",l.EnvironmentChangesRelaunch="terminal.integrated.environmentChangesRelaunch",l.ShowExitAlert="terminal.integrated.showExitAlert",l.SplitCwd="terminal.integrated.splitCwd",l.WindowsEnableConpty="terminal.integrated.windowsEnableConpty",l.WordSeparators="terminal.integrated.wordSeparators",l.EnableFileLinks="terminal.integrated.enableFileLinks",l.UnicodeVersion="terminal.integrated.unicodeVersion",l.LocalEchoLatencyThreshold="terminal.integrated.localEchoLatencyThreshold",l.LocalEchoEnabled="terminal.integrated.localEchoEnabled",l.LocalEchoExcludePrograms="terminal.integrated.localEchoExcludePrograms",l.LocalEchoStyle="terminal.integrated.localEchoStyle",l.EnablePersistentSessions="terminal.integrated.enablePersistentSessions",l.PersistentSessionReviveProcess="terminal.integrated.persistentSessionReviveProcess",l.CustomGlyphs="terminal.integrated.customGlyphs",l.PersistentSessionScrollback="terminal.integrated.persistentSessionScrollback",l.InheritEnv="terminal.integrated.inheritEnv",l.ShowLinkHover="terminal.integrated.showLinkHover",l.IgnoreProcessNames="terminal.integrated.ignoreProcessNames",l.AutoReplies="terminal.integrated.autoReplies",l.EnableShellIntegration="terminal.integrated.enableShellIntegration",l.ShowShellIntegrationWelcome="terminal.integrated.showShellIntegrationWelcome",l.CommandIcon="terminal.integrated.commandIcon",l.CommandIconError="terminal.integrated.commandIconError"})(L=e.TerminalSettingId||(e.TerminalSettingId={}));var T;(function(l){l.CommandPrompt="cmd",l.PowerShell="pwsh",l.Wsl="wsl",l.GitBash="gitbash"})(T=e.WindowsShellType||(e.WindowsShellType={}));var A;(function(l){l[l.Api=0]="Api",l[l.Process=1]="Process",l[l.Sequence=2]="Sequence",l[l.Config=3]="Config"})(A=e.TitleEventSource||(e.TitleEventSource={}));var R;(function(l){l.LocalPty="localPty",l.PtyHost="ptyHost",l.Log="log",l.Heartbeat="heartbeat"})(R=e.TerminalIpcChannels||(e.TerminalIpcChannels={})),e.IPtyService=(0,k.createDecorator)("ptyService");var b;(function(l){l.Cwd="cwd",l.InitialCwd="initialCwd",l.FixedDimensions="fixedDimensions",l.Title="title",l.ShellType="shellType",l.HasChildProcesses="hasChildProcesses",l.ResolvedShellLaunchConfig="resolvedShellLaunchConfig",l.OverrideDimensions="overrideDimensions"})(b=e.ProcessPropertyType||(e.ProcessPropertyType={}));var I;(function(l){l[l.BeatInterval=5e3]="BeatInterval",l[l.FirstWaitMultiplier=1.2]="FirstWaitMultiplier",l[l.SecondWaitMultiplier=1]="SecondWaitMultiplier",l[l.CreateProcessTimeout=5e3]="CreateProcessTimeout"})(I=e.HeartbeatConstants||(e.HeartbeatConstants={}));var P;(function(l){l[l.Panel=1]="Panel",l[l.Editor=2]="Editor"})(P=e.TerminalLocation||(e.TerminalLocation={}));var E;(function(l){l.TerminalView="view",l.Editor="editor"})(E=e.TerminalLocationString||(e.TerminalLocationString={}));var f;(function(l){l.TriangleRight="triangle-right",l.ChevronRight="chevron-right"})(f=e.TerminalCommandIcon||(e.TerminalCommandIcon={}));var p;(function(l){l.TriangleRight="triangle-right",l.ChevronRight="chevron-right",l.X="x"})(p=e.TerminalCommandIconError||(e.TerminalCommandIconError={}));var h;(function(l){l[l.GraceTime=6e4]="GraceTime",l[l.ShortGraceTime=6e3]="ShortGraceTime"})(h=e.LocalReconnectConstants||(e.LocalReconnectConstants={}));var g;(function(l){l[l.HighWatermarkChars=1e5]="HighWatermarkChars",l[l.LowWatermarkChars=5e3]="LowWatermarkChars",l[l.CharCountAckSize=5e3]="CharCountAckSize"})(g=e.FlowControlConstants||(e.FlowControlConstants={}));var v;(function(l){l.GitBash="Git Bash",l.Pwsh="PowerShell"})(v=e.ProfileSource||(e.ProfileSource={}))}),define(te[213],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ILocalPtyService=void 0,e.ILocalPtyService=(0,k.createDecorator)("localPtyService")}),define(te[214],ne([0,1,46,10,143,25,37,9,4,29,124,152,5]),function(J,e,k,t,L,T,A,R,b,I,P,E,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getResolvedShellEnv=void 0;const p=1e4;let h;async function g(l,w,S){return w["force-disable-user-env"]?(l.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):b.isWindows?(l.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,E.isLaunchedFromCli)(S)&&!w["force-user-env"]?(l.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,E.isLaunchedFromCli)(S)?l.trace("resolveShellEnv(): running (--force-user-env)"):l.trace("resolveShellEnv(): running (macOS/Linux)"),h||(h=f.Promises.withAsyncBody(async(y,d)=>{const r=new T.CancellationTokenSource,c=setTimeout(()=>{r.dispose(!0),d(new Error((0,L.localize)(0,null)))},p);try{y(await v(l,r.token))}catch(i){!(0,R.isCancellationError)(i)&&!r.token.isCancellationRequested?d(new Error((0,L.localize)(1,null,(0,A.toErrorMessage)(i)))):y({})}finally{clearTimeout(c),r.dispose()}})),h)}e.getResolvedShellEnv=g;async function v(l,w){const S=process.env.ELECTRON_RUN_AS_NODE;l.trace("getUnixShellEnvironment#runAsNode",S);const y=process.env.ELECTRON_NO_ATTACH_CONSOLE;l.trace("getUnixShellEnvironment#noAttach",y);const d=(0,I.generateUuid)().replace(/-/g,"").substr(0,12),r=new RegExp(d+"(.*)"+d),c={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};l.trace("getUnixShellEnvironment#env",c);const i=await(0,P.getSystemShell)(b.OS,c);return l.trace("getUnixShellEnvironment#shell",i),new Promise((n,o)=>{if(w.isCancellationRequested)return o((0,R.canceled)());const s=(0,t.basename)(i);let a,u;const m=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(s)?(a=`& '${process.execPath}' ${m} -p '''${d}'' + JSON.stringify(process.env) + ''${d}'''`,u=["-Login","-Command"]):(a=`'${process.execPath}' ${m} -p '"${d}" + JSON.stringify(process.env) + "${d}"'`,s==="tcsh"?u=["-ic"]:u=["-ilc"]),l.trace("getUnixShellEnvironment#spawn",JSON.stringify(u),a);const C=(0,k.spawn)(i,[...u,a],{detached:!0,stdio:["ignore","pipe","pipe"],env:c});w.onCancellationRequested(()=>(C.kill(),o((0,R.canceled)()))),C.on("error",M=>{l.error("getUnixShellEnvironment#errorChildProcess",(0,A.toErrorMessage)(M)),o(M)});const _=[];C.stdout.on("data",M=>_.push(M));const O=[];C.stderr.on("data",M=>O.push(M)),C.on("close",(M,D)=>{const U=Buffer.concat(_).toString("utf8");l.trace("getUnixShellEnvironment#raw",U);const F=Buffer.concat(O).toString("utf8");if(F.trim()&&l.trace("getUnixShellEnvironment#stderr",F),M||D)return o(new Error((0,L.localize)(2,null,M,D)));const x=r.exec(U),q=x?x[1]:"{}";try{const H=JSON.parse(q);S?H.ELECTRON_RUN_AS_NODE=S:delete H.ELECTRON_RUN_AS_NODE,y?H.ELECTRON_NO_ATTACH_CONSOLE=y:delete H.ELECTRON_NO_ATTACH_CONSOLE,delete H.XDG_RUNTIME_DIR,l.trace("getUnixShellEnvironment#result",H),n(H)}catch(H){l.error("getUnixShellEnvironment#errorCaught",(0,A.toErrorMessage)(H)),o(H)}})})}}),define(te[215],ne([0,1,34,28,10,4,33,11,22]),function(J,e,k,t,L,T,A,R,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findExecutable=e.getWindowsBuildNumber=void 0;function I(){const E=/(\d+)\.(\d+)\.(\d+)/g.exec(k.release());let f=0;return E&&E.length===4&&(f=parseInt(E[3])),f}e.getWindowsBuildNumber=I;async function P(E,f,p,h=A.env,g=b.Promises.exists){if(L.isAbsolute(E))return await g(E)?E:void 0;if(f===void 0&&(f=A.cwd()),L.dirname(E)!=="."){const S=L.join(f,E);return await g(S)?S:void 0}const l=(0,t.getCaseInsensitive)(h,"PATH");if(p===void 0&&(0,R.isString)(l)&&(p=l.split(L.delimiter)),p===void 0||p.length===0){const S=L.join(f,E);return await g(S)?S:void 0}for(let S of p){let y;if(L.isAbsolute(S)?y=L.join(S,E):y=L.join(f,S,E),await g(y))return y;if(T.isWindows){let d=y+".com";if(await g(d)||(d=y+".exe",await g(d)))return d}}const w=L.join(f,E);return await g(w)?w:void 0}e.findExecutable=P}),define(te[216],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var k;(function(t){t.DARK="dark",t.LIGHT="light",t.HIGH_CONTRAST="hc"})(k=e.ColorScheme||(e.ColorScheme={}))}),define(te[97],ne([0,1,48,3,2,6,38,216]),function(J,e,k,t,L,T,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,T.createDecorator)("themeService");var b;(function(v){function l(w){return w&&typeof w=="object"&&typeof w.id=="string"}v.isThemeColor=l})(b=e.ThemeColor||(e.ThemeColor={}));function I(v){return{id:v}}e.themeColorFromId=I;var P;(function(v){function l(n){return n&&typeof n=="object"&&typeof n.id=="string"&&(typeof n.color=="undefined"||b.isThemeColor(n.color))}v.isThemeIcon=l;const w=new RegExp(`^\\$\\((${k.CSSIcon.iconNameExpression}(?:${k.CSSIcon.iconModifierExpression})?)\\)$`);function S(n){const o=w.exec(n);if(!o)return;let[,s]=o;return{id:s}}v.fromString=S;function y(n){return{id:n}}v.fromId=y;function d(n,o){let s=n.id;const a=s.lastIndexOf("~");return a!==-1&&(s=s.substring(0,a)),o&&(s=`${s}~${o}`),{id:s}}v.modify=d;function r(n){const o=n.id.lastIndexOf("~");if(o!==-1)return n.id.substring(o+1)}v.getModifier=r;function c(n,o){return n.id===o.id&&n.color?.id===o.color?.id}v.isEqual=c;function i(n,o){return{id:n.id,color:o?I(o):void 0}}v.asThemeIcon=i,v.asClassNameArray=k.CSSIcon.asClassNameArray,v.asClassName=k.CSSIcon.asClassName,v.asCSSSelector=k.CSSIcon.asCSSSelector})(P=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=k.Codicon.file,e.FolderThemeIcon=k.Codicon.folder;function E(v){switch(v){case R.ColorScheme.DARK:return"vs-dark";case R.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=E,e.Extensions={ThemingContribution:"base.contributions.theming"};class f{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new t.Emitter}onColorThemeChange(l){return this.themingParticipants.push(l),this.onThemingParticipantAddedEmitter.fire(l),(0,L.toDisposable)(()=>{const w=this.themingParticipants.indexOf(l);this.themingParticipants.splice(w,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let p=new f;A.Registry.add(e.Extensions.ThemingContribution,p);function h(v){return p.onColorThemeChange(v)}e.registerThemingParticipant=h;class g extends L.Disposable{constructor(l){super();this.themeService=l,this.theme=l.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(w=>this.onThemeChange(w)))}onThemeChange(l){this.theme=l,this.updateStyles()}updateStyles(){}getColor(l,w){let S=this.theme.getColor(l);return S&&w&&(S=w(S,this.theme)),S?S.toString():null}}e.Themable=g}),define(te[217],ne([0,1,48,7,97]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isUriComponents=e.terminalIconsEqual=e.terminalProfileArgsMatch=e.createProfileSchemaEnums=void 0;function T(E,f){const p=E.map(h=>({name:h.profileName,description:A(h)}));return f&&p.push(...f.map(h=>({name:h.title,description:R(h)}))),{values:p.map(h=>h.name),markdownDescriptions:p.map(h=>h.description)}}e.createProfileSchemaEnums=T;function A(E){let f=`$(${L.ThemeIcon.isThemeIcon(E.icon)?E.icon.id:E.icon?E.icon:k.Codicon.terminal.id}) ${E.profileName}
- path: ${E.path}`;return E.args&&(typeof E.args=="string"?f+=`
- args: "${E.args}"`:f+=`
- args: [${E.args.length===0?"":`'${E.args.join("','")}'`}]`),E.overrideName!==void 0&&(f+=`
- overrideName: ${E.overrideName}`),E.color&&(f+=`
- color: ${E.color}`),E.env&&(f+=`
- env: ${JSON.stringify(E.env)}`),f}function R(E){return`$(${L.ThemeIcon.isThemeIcon(E.icon)?E.icon.id:E.icon?E.icon:k.Codicon.terminal.id}) ${E.title}
- extensionIdenfifier: ${E.extensionIdentifier}`}function b(E,f){if(!E&&!f)return!0;if(typeof E=="string"&&typeof f=="string")return E===f;if(Array.isArray(E)&&Array.isArray(f)){if(E.length!==f.length)return!1;for(let p=0;p<E.length;p++)if(E[p]!==f[p])return!1;return!0}return!1}e.terminalProfileArgsMatch=b;function I(E,f){if(!E&&!f)return!0;if(!E||!f)return!1;if(L.ThemeIcon.isThemeIcon(E)&&L.ThemeIcon.isThemeIcon(f))return E.id===f.id&&E.color===f.color;if(typeof E=="object"&&E&&"light"in E&&"dark"in E&&typeof f=="object"&&f&&"light"in f&&"dark"in f){const p=E,h=f;if((t.URI.isUri(p.light)||P(p.light))&&(t.URI.isUri(p.dark)||P(p.dark))&&(t.URI.isUri(h.light)||P(h.light))&&(t.URI.isUri(h.dark)||P(h.dark)))return p.light.path===h.light.path&&p.dark.path===h.dark.path}if(t.URI.isUri(E)&&t.URI.isUri(f)||P(E)||P(f)){const p=E,h=f;return p.path===h.path&&p.scheme===h.scheme}return!1}e.terminalIconsEqual=I;function P(E){return E?typeof E.path=="string"&&typeof E.scheme=="string":!1}e.isUriComponents=P}),define(te[218],ne([0,1,48,142,42,38,217]),function(J,e,k,t,L,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerTerminalDefaultProfileConfiguration=e.registerTerminalPlatformConfiguration=void 0;const R={args:{description:(0,t.localize)(0,null),type:"array",items:{type:"string"}},overrideName:{description:(0,t.localize)(1,null),type:"boolean"},icon:{description:(0,t.localize)(2,null),type:"string",enum:Array.from(k.Codicon.getAll(),y=>y.id),markdownEnumDescriptions:Array.from(k.Codicon.getAll(),y=>`$(${y.id})`)},color:{description:(0,t.localize)(3,null),type:["string","null"],enum:["terminal.ansiBlack","terminal.ansiRed","terminal.ansiGreen","terminal.ansiYellow","terminal.ansiBlue","terminal.ansiMagenta","terminal.ansiCyan","terminal.ansiWhite"],default:null},env:{markdownDescription:(0,t.localize)(4,null),type:"object",additionalProperties:{type:["string","null"]},default:{}}},b={type:"object",required:["path"],properties:{path:{description:(0,t.localize)(5,null),type:["string","array"],items:{type:"string"}},...R}},I={type:"object",required:["path"],properties:{path:{description:(0,t.localize)(6,null),type:["string"],items:{type:"string"}},...R}},P=(0,t.localize)(7,null,"`#terminal.integrated.profiles.linux#`","`#terminal.integrated.defaultProfile.linux#`"),E=(0,t.localize)(8,null,"`#terminal.integrated.profiles.osx#`","`#terminal.integrated.defaultProfile.osx#`"),f=(0,t.localize)(9,null,"`#terminal.integrated.profiles.windows#`","`#terminal.integrated.defaultProfile.windows#`"),p=(0,t.localize)(10,null,"`#terminal.integrated.automationProfile.linux#`"),h=(0,t.localize)(11,null,"`#terminal.integrated.automationProfile.osx#`"),g=(0,t.localize)(12,null,"`#terminal.integrated.automationProfile.windows#`"),v={id:"terminal",order:100,title:(0,t.localize)(13,null),type:"object",properties:{["terminal.integrated.automationShell.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(14,null,"`terminal.integrated.shell.linux`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:p},["terminal.integrated.automationShell.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(15,null,"`terminal.integrated.shell.osx`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:h},["terminal.integrated.automationShell.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(16,null,"`terminal.integrated.shell.windows`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:g},["terminal.integrated.automationProfile.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(17,null,"#terminal.integrated.automationShell.linux#"),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.automationProfile.osx"]:{restricted:!0,description:(0,t.localize)(18,null,"#terminal.integrated.automationShell.osx#"),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.automationProfile.windows"]:{restricted:!0,description:(0,t.localize)(19,null,"#terminal.integrated.automationShell.windows#"),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.shell.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(20,null),type:["string","null"],default:null,markdownDeprecationMessage:P},["terminal.integrated.shell.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(21,null),type:["string","null"],default:null,markdownDeprecationMessage:E},["terminal.integrated.shell.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(22,null),type:["string","null"],default:null,markdownDeprecationMessage:f},["terminal.integrated.shellArgs.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(23,null),type:"array",items:{type:"string"},default:[],markdownDeprecationMessage:P},["terminal.integrated.shellArgs.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(24,null),type:"array",items:{type:"string"},default:["-l"],markdownDeprecationMessage:E},["terminal.integrated.shellArgs.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(25,null),anyOf:[{type:"array",items:{type:"string",markdownDescription:(0,t.localize)(26,null)}},{type:"string",markdownDescription:(0,t.localize)(27,null)}],default:[],markdownDeprecationMessage:f},["terminal.integrated.profiles.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(28,null,"`source`","`path`","`args`","`null`",'`"Ubuntu-20.04 (WSL)": null`'),type:"object",default:{PowerShell:{source:"PowerShell",icon:"terminal-powershell"},"Command Prompt":{path:["${env:windir}\\Sysnative\\cmd.exe","${env:windir}\\System32\\cmd.exe"],args:[],icon:"terminal-cmd"},"Git Bash":{source:"Git Bash"}},additionalProperties:{anyOf:[{type:"object",required:["source"],properties:{source:{description:(0,t.localize)(29,null),enum:["PowerShell","Git Bash"]},...R}},{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,t.localize)(30,null),type:"string"},id:{description:(0,t.localize)(31,null),type:"string"},title:{description:(0,t.localize)(32,null),type:"string"},...R}},{type:"null"},b]}},["terminal.integrated.profiles.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(33,null,"`path`","`args`","`null`",'`"bash": null`'),type:"object",default:{bash:{path:"bash",args:["-l"],icon:"terminal-bash"},zsh:{path:"zsh",args:["-l"]},fish:{path:"fish",args:["-l"]},tmux:{path:"tmux",icon:"terminal-tmux"},pwsh:{path:"pwsh",icon:"terminal-powershell"}},additionalProperties:{anyOf:[{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,t.localize)(34,null),type:"string"},id:{description:(0,t.localize)(35,null),type:"string"},title:{description:(0,t.localize)(36,null),type:"string"},...R}},{type:"null"},b]}},["terminal.integrated.profiles.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(37,null,"`path`","`args`","`null`",'`"bash": null`'),type:"object",default:{bash:{path:"bash",icon:"terminal-bash"},zsh:{path:"zsh"},fish:{path:"fish"},tmux:{path:"tmux",icon:"terminal-tmux"},pwsh:{path:"pwsh",icon:"terminal-powershell"}},additionalProperties:{anyOf:[{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,t.localize)(38,null),type:"string"},id:{description:(0,t.localize)(39,null),type:"string"},title:{description:(0,t.localize)(40,null),type:"string"},...R}},{type:"null"},b]}},["terminal.integrated.useWslProfiles"]:{description:(0,t.localize)(41,null),type:"boolean",default:!0},["terminal.integrated.inheritEnv"]:{scope:1,description:(0,t.localize)(42,null),type:"boolean",default:!0},["terminal.integrated.persistentSessionScrollback"]:{scope:1,markdownDescription:(0,t.localize)(43,null),type:"number",default:100},["terminal.integrated.showLinkHover"]:{scope:1,description:(0,t.localize)(44,null),type:"boolean",default:!0},["terminal.integrated.ignoreProcessNames"]:{description:(0,t.localize)(45,null,"`terminal.integrated.confirmOnKill`"),type:"array",items:{type:"string",uniqueItems:!0},default:["starship","oh-my-posh","bash","zsh"]}}};function l(){T.Registry.as(L.Extensions.Configuration).registerConfiguration(v),S()}e.registerTerminalPlatformConfiguration=l;let w;function S(y,d){const r=T.Registry.as(L.Extensions.Configuration);let c;y&&(c=(0,A.createProfileSchemaEnums)(y?.profiles,d));const i=w;w={id:"terminal",order:100,title:(0,t.localize)(46,null),type:"object",properties:{["terminal.integrated.defaultProfile.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(47,null,"`terminal.integrated.shell.linux`","`terminal.integrated.shellArgs.linux`"),type:["string","null"],default:null,enum:y?.os===3?c?.values:void 0,markdownEnumDescriptions:y?.os===3?c?.markdownDescriptions:void 0},["terminal.integrated.defaultProfile.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(48,null,"`terminal.integrated.shell.osx`","`terminal.integrated.shellArgs.osx`"),type:["string","null"],default:null,enum:y?.os===2?c?.values:void 0,markdownEnumDescriptions:y?.os===2?c?.markdownDescriptions:void 0},["terminal.integrated.defaultProfile.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(49,null,"`terminal.integrated.shell.windows`","`terminal.integrated.shellArgs.windows`"),type:["string","null"],default:null,enum:y?.os===1?c?.values:void 0,markdownEnumDescriptions:y?.os===1?c?.markdownDescriptions:void 0}}},r.updateConfigurations({add:[w],remove:i?[i]:[]})}e.registerTerminalDefaultProfileConfiguration=S}),define(te[219],ne([0,1,46,48,10,4,22,73,215,97]),function(J,e,k,t,L,T,A,R,b,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.detectAvailableProfiles=void 0;let P,E=!0;function f(c,i,n,o,s=process.env,a,u,m,C){return a=a||{existsFile:A.SymlinkSupport.existsFile,readFile:A.Promises.readFile},T.isWindows?p(n,a,s,u,o.getValue("terminal.integrated.useWslProfiles")!==!1,c&&typeof c=="object"?{...c}:o.getValue("terminal.integrated.profiles.windows"),typeof i=="string"?i:o.getValue("terminal.integrated.defaultProfile.windows"),C,m):y(a,u,n,c&&typeof c=="object"?{...c}:o.getValue(T.isLinux?"terminal.integrated.profiles.linux":"terminal.integrated.profiles.osx"),typeof i=="string"?i:o.getValue(T.isLinux?"terminal.integrated.defaultProfile.linux":"terminal.integrated.defaultProfile.osx"),C,m,s)}e.detectAvailableProfiles=f;async function p(c,i,n,o,s,a,u,m,C){const _=process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),O=`${process.env.windir}\\${_?"Sysnative":"System32"}`;let M=!1;(0,b.getWindowsBuildNumber)()>=16299&&(M=!0),await v(m);const D=new Map;c&&(D.set("PowerShell",{source:"PowerShell",icon:t.Codicon.terminalPowershell,isAutoDetected:!0}),D.set("Windows PowerShell",{path:`${O}\\WindowsPowerShell\\v1.0\\powershell.exe`,icon:t.Codicon.terminalPowershell,isAutoDetected:!0}),D.set("Git Bash",{source:"Git Bash",isAutoDetected:!0}),D.set("Cygwin",{path:[`${process.env.HOMEDRIVE}\\cygwin64\\bin\\bash.exe`,`${process.env.HOMEDRIVE}\\cygwin\\bin\\bash.exe`],args:["--login"],isAutoDetected:!0}),D.set("Command Prompt",{path:`${O}\\cmd.exe`,icon:t.Codicon.terminalCmd,isAutoDetected:!0})),d(a,D);const U=await h(D.entries(),u,i,n,o,C);if(c||!c&&s)try{const F=await w(`${O}\\${M?"wsl":"bash"}.exe`,u);for(const x of F)(!a||!(x.profileName in a))&&U.push(x)}catch{E&&(o?.info("WSL is not installed, so could not detect WSL profiles"),E=!1)}return U}async function h(c,i,n,o=process.env,s,a){const u=[];for(const[m,C]of c){if(C===null)continue;let _,O,M;if("source"in C){const F=P?.get(C.source);if(!F)continue;_=F.paths,O=C.args||F.args,C.icon?M=g(C.icon):F.icon&&(M=F.icon)}else _=Array.isArray(C.path)?C.path:[C.path],O=T.isWindows||Array.isArray(C.args)?C.args:void 0,M=g(C.icon);const D=await a?.(_)||_.slice(),U=await r(m,i,D,n,o,O,C.env,C.overrideName,C.isAutoDetected,s);U?(U.isAutoDetected=C.isAutoDetected,U.icon=M,U.color=C.color,u.push(U)):s?.trace("profile not validated",m,_)}return u}function g(c){return typeof c=="string"?{id:c}:c}async function v(c){P&&!c||(P=new Map,P.set("Git Bash",{profileName:"Git Bash",paths:[`${process.env.ProgramW6432}\\Git\\bin\\bash.exe`,`${process.env.ProgramW6432}\\Git\\usr\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\usr\\bin\\bash.exe`,`${process.env.LocalAppData}\\Programs\\Git\\bin\\bash.exe`,`${process.env.UserProfile}\\scoop\\apps\\git-with-openssh\\current\\bin\\bash.exe`,`${process.env.AllUsersProfile}\\scoop\\apps\\git-with-openssh\\current\\bin\\bash.exe`],args:["--login"]}),P.set("PowerShell",{profileName:"PowerShell",paths:c||await l(),icon:I.ThemeIcon.asThemeIcon(t.Codicon.terminalPowershell)}))}async function l(){const c=[];for await(const i of(0,R.enumeratePowerShellInstallations)())c.push(i.exePath);return c}async function w(c,i){const n=[],o=await new Promise((u,m)=>{k.exec("wsl.exe -l -q",{encoding:"utf16le",timeout:1e3},(C,_)=>{if(C)return m("Problem occurred when getting wsl distros");u(_)})});if(!o)return[];const s=new RegExp(/[\r?\n]/),a=o.split(s).filter(u=>u.trim().length>0&&u!=="");for(const u of a){if(u===""||u.startsWith("docker-desktop"))continue;const m=`${u} (WSL)`,C={profileName:m,path:c,args:["-d",`${u}`],isDefault:m===i,icon:S(u),isAutoDetected:!1};n.push(C)}return n}function S(c){return c.includes("Ubuntu")?I.ThemeIcon.asThemeIcon(t.Codicon.terminalUbuntu):c.includes("Debian")?I.ThemeIcon.asThemeIcon(t.Codicon.terminalDebian):I.ThemeIcon.asThemeIcon(t.Codicon.terminalLinux)}async function y(c,i,n,o,s,a,u,m){const C=new Map;if(n){const _=(await c.readFile("/etc/shells")).toString(),O=a||_.split(`
`).filter(D=>D.trim().indexOf("#")!==0&&D.trim().length>0),M=new Map;for(const D of O){let U=(0,L.basename)(D),F=M.get(U)||0;F++,F>1&&(U=`${U} (${F})`),M.set(U,F),C.set(U,{path:D,isAutoDetected:!0})}}return d(o,C),await h(C.entries(),s,c,m,i,u)}function d(c,i){if(!!c)for(const[n,o]of Object.entries(c))o===null||!("path"in o)&&!("source"in o)?i.delete(n):(o.icon=o.icon||i.get(n)?.icon,i.set(n,o))}async function r(c,i,n,o,s,a,u,m,C,_){if(n.length===0)return Promise.resolve(void 0);const O=n.shift();if(O==="")return r(c,i,n,o,s,a,u,m,C);const M={profileName:c,path:O,args:a,env:u,overrideName:m,isAutoDetected:C,isDefault:c===i};if((0,L.basename)(O)===O){const U=s.PATH?s.PATH.split(L.delimiter):void 0,F=await(0,b.findExecutable)(O,void 0,U,void 0,o.existsFile);return F?(M.path=F,M.isFromPath=!0,M):r(c,i,n,o,s,a)}return await o.existsFile((0,L.normalize)(O))?M:r(c,i,n,o,s,a,u,m,C)}}),define(te[220],ne([0,1,3,2,18,4,36,58,19,14,78,214,8,87,212,96,218,219]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PtyHostService=void 0;var w;(function(d){d[d.MaxRestarts=5]="MaxRestarts"})(w||(w={}));let S=0,y=class extends t.Disposable{constructor(r,c,i,n){super();this._reconnectConstants=r,this._configurationService=c,this._environmentService=i,this._logService=n,this._restartCount=0,this._isResponsive=!0,this._isDisposed=!1,this._onPtyHostExit=this._register(new k.Emitter),this.onPtyHostExit=this._onPtyHostExit.event,this._onPtyHostStart=this._register(new k.Emitter),this.onPtyHostStart=this._onPtyHostStart.event,this._onPtyHostUnresponsive=this._register(new k.Emitter),this.onPtyHostUnresponsive=this._onPtyHostUnresponsive.event,this._onPtyHostResponsive=this._register(new k.Emitter),this.onPtyHostResponsive=this._onPtyHostResponsive.event,this._onPtyHostRequestResolveVariables=this._register(new k.Emitter),this.onPtyHostRequestResolveVariables=this._onPtyHostRequestResolveVariables.event,this._onProcessData=this._register(new k.Emitter),this.onProcessData=this._onProcessData.event,this._onProcessReady=this._register(new k.Emitter),this.onProcessReady=this._onProcessReady.event,this._onProcessReplay=this._register(new k.Emitter),this.onProcessReplay=this._onProcessReplay.event,this._onProcessOrphanQuestion=this._register(new k.Emitter),this.onProcessOrphanQuestion=this._onProcessOrphanQuestion.event,this._onDidRequestDetach=this._register(new k.Emitter),this.onDidRequestDetach=this._onDidRequestDetach.event,this._onDidChangeProperty=this._register(new k.Emitter),this.onDidChangeProperty=this._onDidChangeProperty.event,this._onProcessExit=this._register(new k.Emitter),this.onProcessExit=this._onProcessExit.event,(0,v.registerTerminalPlatformConfiguration)(),this._shellEnv=this._resolveShellEnv(),this._register((0,t.toDisposable)(()=>this._disposePtyHost())),this._resolveVariablesRequestStore=this._register(new h.RequestStore(void 0,this._logService)),this._resolveVariablesRequestStore.onCreateRequest(this._onPtyHostRequestResolveVariables.fire,this._onPtyHostRequestResolveVariables),[this._client,this._proxy]=this._startPtyHost(),this._register(this._configurationService.onDidChangeConfiguration(async o=>{o.affectsConfiguration("terminal.integrated.ignoreProcessNames")&&await this._refreshIgnoreProcessNames()}))}async initialize(){await this._refreshIgnoreProcessNames()}get _ignoreProcessNames(){return this._configurationService.getValue("terminal.integrated.ignoreProcessNames")}async _refreshIgnoreProcessNames(){return this._proxy.refreshIgnoreProcessNames?.(this._ignoreProcessNames)}async _resolveShellEnv(){if(T.isWindows)return process.env;try{return await(0,E.getResolvedShellEnv)(this._logService,{_:[]},process.env)}catch(r){return this._logService.error("ptyHost was unable to resolve shell environment",r),{}}}_startPtyHost(){const r={serverName:"Pty Host",args:["--type=ptyHost"],env:{VSCODE_LAST_PTY_ID:S,VSCODE_AMD_ENTRYPOINT:"vs/platform/terminal/node/ptyHostMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true",VSCODE_RECONNECT_GRACE_TIME:this._reconnectConstants.graceTime,VSCODE_RECONNECT_SHORT_GRACE_TIME:this._reconnectConstants.shortGraceTime,VSCODE_RECONNECT_SCROLLBACK:this._reconnectConstants.scrollback}},c=(0,P.parsePtyHostPort)(this._environmentService.args,this._environmentService.isBuilt);c&&(c.break&&c.port?r.debugBrk=c.port:!c.break&&c.port&&(r.debug=c.port));const i=new R.Client(L.FileAccess.asFileUri("bootstrap-fork",J).fsPath,r);this._onPtyHostStart.fire(),A.ProxyChannel.toService(i.getChannel(g.TerminalIpcChannels.Heartbeat)).onBeat(()=>this._handleHeartbeat()),this._handleHeartbeat(),this._register(i.onDidProcessExit(a=>{this._onPtyHostExit.fire(a.code),this._isDisposed||(this._restartCount<=w.MaxRestarts?(this._logService.error(`ptyHost terminated unexpectedly with code ${a.code}`),this._restartCount++,this.restartPtyHost()):this._logService.error(`ptyHost terminated unexpectedly with code ${a.code}, giving up`))}));const o=i.getChannel(g.TerminalIpcChannels.Log);p.LogLevelChannelClient.setLevel(o,this._logService.getLevel()),this._register(this._logService.onDidChangeLogLevel(()=>{p.LogLevelChannelClient.setLevel(o,this._logService.getLevel())}));const s=A.ProxyChannel.toService(i.getChannel(g.TerminalIpcChannels.PtyHost));return this._register(s.onProcessData(a=>this._onProcessData.fire(a))),this._register(s.onProcessReady(a=>this._onProcessReady.fire(a))),this._register(s.onProcessExit(a=>this._onProcessExit.fire(a))),this._register(s.onDidChangeProperty(a=>this._onDidChangeProperty.fire(a))),this._register(s.onProcessReplay(a=>this._onProcessReplay.fire(a))),this._register(s.onProcessOrphanQuestion(a=>this._onProcessOrphanQuestion.fire(a))),this._register(s.onDidRequestDetach(a=>this._onDidRequestDetach.fire(a))),[i,s]}dispose(){this._isDisposed=!0,super.dispose()}async createProcess(r,c,i,n,o,s,a,u,m,C,_){const O=setTimeout(()=>this._handleUnresponsiveCreateProcess(),g.HeartbeatConstants.CreateProcessTimeout),M=await this._proxy.createProcess(r,c,i,n,o,s,a,u,m,C,_);return clearTimeout(O),S=Math.max(S,M),M}updateTitle(r,c,i){return this._proxy.updateTitle(r,c,i)}updateIcon(r,c,i){return this._proxy.updateIcon(r,c,i)}attachToProcess(r){return this._proxy.attachToProcess(r)}detachFromProcess(r){return this._proxy.detachFromProcess(r)}listProcesses(){return this._proxy.listProcesses()}reduceConnectionGraceTime(){return this._proxy.reduceConnectionGraceTime()}start(r){return this._proxy.start(r)}shutdown(r,c){return this._proxy.shutdown(r,c)}input(r,c){return this._proxy.input(r,c)}processBinary(r,c){return this._proxy.processBinary(r,c)}resize(r,c,i){return this._proxy.resize(r,c,i)}acknowledgeDataEvent(r,c){return this._proxy.acknowledgeDataEvent(r,c)}setUnicodeVersion(r,c){return this._proxy.setUnicodeVersion(r,c)}getInitialCwd(r){return this._proxy.getInitialCwd(r)}getCwd(r){return this._proxy.getCwd(r)}getLatency(r){return this._proxy.getLatency(r)}orphanQuestionReply(r){return this._proxy.orphanQuestionReply(r)}installAutoReply(r,c){return this._proxy.installAutoReply(r,c)}uninstallAllAutoReplies(){return this._proxy.uninstallAllAutoReplies()}uninstallAutoReply(r){return this._proxy.uninstallAutoReply(r)}getDefaultSystemShell(r){return this._proxy.getDefaultSystemShell(r)}async getProfiles(r,c,i,n=!1){const o=await this._shellEnv;return(0,l.detectAvailableProfiles)(c,i,n,this._configurationService,o,void 0,this._logService,this._resolveVariables.bind(this,r))}getEnvironment(){return this._proxy.getEnvironment()}getWslPath(r){return this._proxy.getWslPath(r)}setTerminalLayoutInfo(r){return this._proxy.setTerminalLayoutInfo(r)}async getTerminalLayoutInfo(r){return await this._proxy.getTerminalLayoutInfo(r)}async requestDetachInstance(r,c){return this._proxy.requestDetachInstance(r,c)}async acceptDetachInstanceReply(r,c){return this._proxy.acceptDetachInstanceReply(r,c)}async serializeTerminalState(r){return this._proxy.serializeTerminalState(r)}async reviveTerminalProcesses(r,c){return this._proxy.reviveTerminalProcesses(r,c)}async refreshProperty(r,c){return this._proxy.refreshProperty(r,c)}async updateProperty(r,c,i){return this._proxy.updateProperty(r,c,i)}async restartPtyHost(){this._isResponsive=!0,this._disposePtyHost(),[this._client,this._proxy]=this._startPtyHost()}_disposePtyHost(){this._proxy.shutdownAll?.(),this._client.dispose()}_handleHeartbeat(){this._clearHeartbeatTimeouts(),this._heartbeatFirstTimeout=setTimeout(()=>this._handleHeartbeatFirstTimeout(),g.HeartbeatConstants.BeatInterval*g.HeartbeatConstants.FirstWaitMultiplier),this._isResponsive||(this._isResponsive=!0),this._onPtyHostResponsive.fire()}_handleHeartbeatFirstTimeout(){this._logService.warn(`No ptyHost heartbeat after ${g.HeartbeatConstants.BeatInterval*g.HeartbeatConstants.FirstWaitMultiplier/1e3} seconds`),this._heartbeatFirstTimeout=void 0,this._heartbeatSecondTimeout=setTimeout(()=>this._handleHeartbeatSecondTimeout(),g.HeartbeatConstants.BeatInterval*g.HeartbeatConstants.SecondWaitMultiplier)}_handleHeartbeatSecondTimeout(){this._logService.error(`No ptyHost heartbeat after ${(g.HeartbeatConstants.BeatInterval*g.HeartbeatConstants.FirstWaitMultiplier+g.HeartbeatConstants.BeatInterval*g.HeartbeatConstants.FirstWaitMultiplier)/1e3} seconds`),this._heartbeatSecondTimeout=void 0,this._isResponsive&&(this._isResponsive=!1),this._onPtyHostUnresponsive.fire()}_handleUnresponsiveCreateProcess(){this._clearHeartbeatTimeouts(),this._logService.error(`No ptyHost response to createProcess after ${g.HeartbeatConstants.CreateProcessTimeout/1e3} seconds`),this._onPtyHostUnresponsive.fire()}_clearHeartbeatTimeouts(){this._heartbeatFirstTimeout&&(clearTimeout(this._heartbeatFirstTimeout),this._heartbeatFirstTimeout=void 0),this._heartbeatSecondTimeout&&(clearTimeout(this._heartbeatSecondTimeout),this._heartbeatSecondTimeout=void 0)}_resolveVariables(r,c){return this._resolveVariablesRequestStore.createRequest({workspaceId:r,originalText:c})}async acceptPtyHostResolvedVariables(r,c){this._resolveVariablesRequestStore.acceptReply(r,c)}};y=he([Y(1,b.IConfigurationService),Y(2,I.IEnvironmentService),Y(3,f.ILogService)],y),e.PtyHostService=y}),define(te[64],ne([0,1,3,4,6,8]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,L.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,L.createDecorator)("sharedTunnelsService");var A;(function(h){h.Http="http",h.Https="https"})(A=e.TunnelProtocol||(e.TunnelProtocol={}));var R;(function(h){h.ConstantPrivate="constantPrivate",h.Private="private",h.Public="public"})(R=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var b;(function(h){h[h.Notify=1]="Notify",h[h.OpenBrowser=2]="OpenBrowser",h[h.OpenPreview=3]="OpenPreview",h[h.Silent=4]="Silent",h[h.Ignore=5]="Ignore",h[h.OpenBrowserOnce=6]="OpenBrowserOnce"})(b=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function I(h){if(h.scheme!=="http"&&h.scheme!=="https")return;const g=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(h.authority);if(!!g)return{address:g[1],port:+g[2]}}e.extractLocalHostUriMetaDataForPortMapping=I,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function P(h){return e.LOCALHOST_ADDRESSES.indexOf(h)>=0}e.isLocalhost=P,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function E(h){return e.ALL_INTERFACES_ADDRESSES.indexOf(h)>=0}e.isAllInterfaces=E;function f(h,g){return g?g!==1&&h<1024:!t.isWindows&&h<1024}e.isPortPrivileged=f;let p=class{constructor(g){this.logService=g,this._onTunnelOpened=new k.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new k.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new k.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[]}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(g){return this._tunnelProvider=g,g?(this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}setTunnelFeatures(g){this._canElevate=g.elevation,this._privacyOptions=g.privacyOptions}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const g=[],v=Array.from(this._tunnels.values());for(let l of v){const w=Array.from(l.values());for(let S of w){const y=await S.value;y&&g.push(y)}}return g}async dispose(){for(const g of this._tunnels.values()){for(const{value:v}of g.values())await v.then(l=>l?.dispose());g.clear()}this._tunnels.clear()}openTunnel(g,v,l,w,S=!1,y=R.Private,d){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${v}:${l} on local port ${w}.`),!g)return;v||(v="localhost");const r=this.retainOrCreateTunnel(g,v,l,w,S,y,d);return r?r.then(c=>{if(!c){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(v,l);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const i=this.makeTunnel(c);return(c.tunnelRemoteHost!==v||c.tunnelRemotePort!==l)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(i),i}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),r)}makeTunnel(g){return{tunnelRemotePort:g.tunnelRemotePort,tunnelRemoteHost:g.tunnelRemoteHost,tunnelLocalPort:g.tunnelLocalPort,localAddress:g.localAddress,privacy:g.privacy,protocol:g.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${g.tunnelRemoteHost}:${g.tunnelRemotePort} `);const v=this._tunnels.get(g.tunnelRemoteHost);if(v){const l=v.get(g.tunnelRemotePort);l&&(l.refcount--,await this.tryDisposeTunnel(g.tunnelRemoteHost,g.tunnelRemotePort,l))}}}}async tryDisposeTunnel(g,v,l){if(l.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${g}:${v}.`);const w=l.value.then(async S=>{S&&(await S.dispose(!0),this._onTunnelClosed.fire({host:S.tunnelRemoteHost,port:S.tunnelRemotePort}))});return this._tunnels.has(g)&&this._tunnels.get(g).delete(v),w}}async closeTunnel(g,v){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${g}:${v} `);const l=this._tunnels.get(g);if(l&&l.has(v)){const w=l.get(v);w.refcount=0,await this.tryDisposeTunnel(g,v,w)}}addTunnelToMap(g,v,l){this._tunnels.has(g)||this._tunnels.set(g,new Map),this._tunnels.get(g).set(v,{refcount:1,value:l})}async removeEmptyTunnelFromMap(g,v){const l=this._tunnels.get(g);l&&(await l.get(v)||l.delete(v),l.size===0&&this._tunnels.delete(g))}getTunnelFromMap(g,v){let l=[g];P(g)?(l.push(...e.LOCALHOST_ADDRESSES),l.push(...e.ALL_INTERFACES_ADDRESSES)):E(g)&&l.push(...e.ALL_INTERFACES_ADDRESSES);const w=l.map(S=>this._tunnels.get(S));for(const S of w){const y=S?.get(v);if(y)return y}}canTunnel(g){return!!I(g)}createWithProvider(g,v,l,w,S,y,d){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${v}:${l} on local port ${w}.`);const c={elevationRequired:S?f(w===void 0?l:w):!1},i={remoteAddress:{host:v,port:l},localAddressPort:w,privacy:y,public:y!==R.Private,protocol:d},n=g.forwardPort(i,c);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),n&&this.addTunnelToMap(v,l,n),n}};p=he([Y(0,T.ILogService)],p),e.AbstractTunnelService=p}),define(te[221],ne([0,1,8,64,2,9,5]),function(J,e,k,t,L,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessTunnelService=void 0;class R extends L.Disposable{constructor(){super();this._address=null,this._addressPromise=null}async getAddress(){return this._address?this._address:(this._addressPromise||(this._addressPromise=new A.DeferredPromise),this._addressPromise.p)}setAddress(P){this._address=P,this._addressPromise&&(this._addressPromise.complete(P),this._addressPromise=null)}setTunnel(P){this._register(P)}}let b=class Ct extends L.Disposable{constructor(P,E){super();this._tunnelService=P,this._logService=E,this._tunnels=new Map,this._disposedTunnels=new Set}dispose(){super.dispose(),this._tunnels.forEach(P=>P.dispose())}async createTunnel(){return{id:String(++Ct._lastId)}}async startTunnel(P,E,f,p,h,g){const v=new R,l=await Promise.resolve(this._tunnelService.openTunnel(P,v,f,p,h,g));if(!l)throw this._logService.info(`[SharedProcessTunnelService] Could not create a tunnel to ${f}:${p} (remote).`),v.dispose(),new Error("Could not create tunnel");if(this._disposedTunnels.has(E))throw this._disposedTunnels.delete(E),v.dispose(),await l.dispose(),(0,T.canceled)();return v.setTunnel(l),this._tunnels.set(E,v),this._logService.info(`[SharedProcessTunnelService] Created tunnel ${E}: ${l.localAddress} (local) to ${f}:${p} (remote).`),{tunnelLocalPort:l.tunnelLocalPort,localAddress:l.localAddress}}async setAddress(P,E){const f=this._tunnels.get(P);!f||f.setAddress(E)}async destroyTunnel(P){const E=this._tunnels.get(P);if(E){this._logService.info(`[SharedProcessTunnelService] Disposing tunnel ${P}.`),this._tunnels.delete(P),await E.dispose();return}this._disposedTunnels.add(P)}};b._lastId=0,b=he([Y(0,t.ISharedTunnelsService),Y(1,k.ILogService)],b),e.SharedProcessTunnelService=b}),define(te[32],ne([0,1,6]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUriIdentityService=void 0,e.IUriIdentityService=(0,k.createDecorator)("IUriIdentityService")}),define(te[222],ne([0,1,3,2,7,14,31,15,8,32]),function(J,e,k,t,L,T,A,R,b,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsWatcher=void 0;let P=class extends t.Disposable{constructor(f,p,h,g,v){super();this.extensionsManagementService=f,this.logService=g,this.uriIdentityService=v,this._onDidChangeExtensionsByAnotherSource=this._register(new k.Emitter),this.onDidChangeExtensionsByAnotherSource=this._onDidChangeExtensionsByAnotherSource.event,this.startTimestamp=0,this.installingExtensions=[],this.extensionsManagementService.getInstalled(1).then(w=>{this.installedExtensions=w.map(S=>S.identifier),this.startTimestamp=Date.now()}),this._register(f.onInstallExtension(w=>this.onInstallExtension(w))),this._register(f.onDidInstallExtensions(w=>this.onDidInstallExtensions(w))),this._register(f.onDidUninstallExtension(w=>this.onDidUninstallExtension(w)));const l=L.URI.file(h.extensionsPath);this._register(p.watch(l)),this._register(k.Event.filter(p.onDidFilesChange,w=>w.rawChanges.some(S=>this.doesChangeAffects(S,l)))(()=>this.onDidChange()))}doesChangeAffects(f,p){return this.uriIdentityService.extUri.isEqual(this.uriIdentityService.extUri.dirname(f.resource),p)?this.uriIdentityService.extUri.isEqual(f.resource,this.uriIdentityService.extUri.joinPath(p,".obsolete"))?!0:!(f.type!==1&&f.type!==2||this.uriIdentityService.extUri.basename(f.resource).startsWith(".")):!1}onInstallExtension(f){this.addInstallingExtension(f.identifier)}onDidInstallExtensions(f){for(const p of f)this.removeInstallingExtension(p.identifier),p.local&&this.addInstalledExtension(p.identifier)}onDidUninstallExtension(f){f.error||this.removeInstalledExtension(f.identifier)}addInstallingExtension(f){this.removeInstallingExtension(f),this.installingExtensions.push(f)}removeInstallingExtension(f){this.installingExtensions=this.installingExtensions.filter(p=>!(0,A.areSameExtensions)(p,f))}addInstalledExtension(f){this.installedExtensions&&(this.removeInstalledExtension(f),this.installedExtensions.push(f))}removeInstalledExtension(f){this.installedExtensions&&(this.installedExtensions=this.installedExtensions.filter(p=>!(0,A.areSameExtensions)(p,f)))}async onDidChange(){if(this.installedExtensions){const f=await this.extensionsManagementService.getInstalled(1),p=f.filter(g=>[...this.installingExtensions,...this.installedExtensions].some(v=>(0,A.areSameExtensions)(v,g.identifier))?!1:g.installedTimestamp&&g.installedTimestamp>this.startTimestamp?(this.logService.info("Detected extension installed from another source",g.identifier.id),!0):(this.logService.info("Ignored extension installed by another source because of invalid timestamp",g.identifier.id),!1)),h=this.installedExtensions.filter(g=>this.installingExtensions.some(v=>(0,A.areSameExtensions)(v,g))?!1:f.every(v=>!(0,A.areSameExtensions)(v.identifier,g))?(this.logService.info("Detected extension removed from another source",g.id),!0):!1);this.installedExtensions=f.map(g=>g.identifier),(p.length||h.length)&&this._onDidChangeExtensionsByAnotherSource.fire({added:p,removed:h})}}};P=he([Y(1,R.IFileService),Y(2,T.INativeEnvironmentService),Y(3,b.ILogService),Y(4,I.IUriIdentityService)],P),e.ExtensionsWatcher=P}),define(te[223],ne([0,1,32,80,15,20,104,3,2]),function(J,e,k,t,L,T,A,R,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UriIdentityService=void 0;class I{constructor(f){this.uri=f,this.time=I._clock++}touch(){return this.time=I._clock++,this}}I._clock=0;let P=class{constructor(f){this._fileService=f,this._dispooables=new b.DisposableStore,this._limit=2**16;const p=new Map,h=g=>{let v=p.get(g.scheme);return v===void 0&&(v=f.hasProvider(g)&&!this._fileService.hasCapability(g,1024),p.set(g.scheme,v)),v};this._dispooables.add(R.Event.any(f.onDidChangeFileSystemProviderRegistrations,f.onDidChangeFileSystemProviderCapabilities)(g=>{p.delete(g.scheme)})),this.extUri=new T.ExtUri(h),this._canonicalUris=new A.SkipList((g,v)=>this.extUri.compare(g,v,!0),this._limit)}dispose(){this._dispooables.dispose(),this._canonicalUris.clear()}asCanonicalUri(f){this._fileService.hasProvider(f)&&(f=(0,T.normalizePath)(f));let p=this._canonicalUris.get(f);return p?p.touch().uri.with({fragment:f.fragment}):(this._canonicalUris.set(f,new I(f)),this._checkTrim(),f)}_checkTrim(){if(this._canonicalUris.size<this._limit)return;const f=[...this._canonicalUris.entries()].sort((h,g)=>h[1].touch<g[1].touch?1:h[1].touch>g[1].touch?-1:0);I._clock=0,this._canonicalUris.clear();const p=this._limit*.5;for(let h=0;h<p;h++)this._canonicalUris.set(f[h][0],f[h][1].touch())}};P=he([Y(0,L.IFileService)],P),e.UriIdentityService=P,(0,t.registerSingleton)(k.IUriIdentityService,P,!0)}),define(te[224],ne([0,1,3,2,40,39,17]),function(J,e,k,t,L,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileUserDataProvider=void 0;class R extends t.Disposable{constructor(I,P,E,f){super();this.fileSystemScheme=I,this.fileSystemProvider=P,this.userDataScheme=E,this.logService=f,this.onDidChangeCapabilities=this.fileSystemProvider.onDidChangeCapabilities,this._onDidChangeFile=this._register(new k.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this.watchResources=T.TernarySearchTree.forUris(()=>!(this.capabilities&1024)),this._register(this.fileSystemProvider.onDidChangeFile(p=>this.handleFileChanges(p)))}get capabilities(){return this.fileSystemProvider.capabilities&~4}watch(I,P){this.watchResources.set(I,I);const E=this.fileSystemProvider.watch(this.toFileSystemResource(I),P);return(0,t.toDisposable)(()=>{this.watchResources.delete(I),E.dispose()})}stat(I){return this.fileSystemProvider.stat(this.toFileSystemResource(I))}mkdir(I){return this.fileSystemProvider.mkdir(this.toFileSystemResource(I))}rename(I,P,E){return this.fileSystemProvider.rename(this.toFileSystemResource(I),this.toFileSystemResource(P),E)}readFile(I){return this.fileSystemProvider.readFile(this.toFileSystemResource(I),{atomic:!0})}readFileStream(I,P,E){const f=(0,L.newWriteableStream)(p=>A.VSBuffer.concat(p.map(h=>A.VSBuffer.wrap(h))).buffer);return(async()=>{try{const p=await this.readFile(I);f.end(p)}catch(p){f.error(p),f.end()}})(),f}readdir(I){return this.fileSystemProvider.readdir(this.toFileSystemResource(I))}writeFile(I,P,E){return this.fileSystemProvider.writeFile(this.toFileSystemResource(I),P,E)}delete(I,P){return this.fileSystemProvider.delete(this.toFileSystemResource(I),P)}handleFileChanges(I){const P=[];for(const E of I){if(E.resource.scheme!==this.fileSystemScheme)continue;const f=this.toUserDataResource(E.resource);this.watchResources.findSubstr(f)&&P.push({resource:f,type:E.type})}P.length&&(this.logService.debug("User data changed"),this._onDidChangeFile.fire(P))}toFileSystemResource(I){return I.with({scheme:this.fileSystemScheme})}toUserDataResource(I){return I.with({scheme:this.userDataScheme})}}e.FileUserDataProvider=R}),define(te[53],ne([0,1,70]),function(J,e,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLineEndOffset=e.getLineStartOffset=e.edit=void 0;function t(A,R,b,I){const P=(0,k.setProperty)(A,R,b,I)[0];return P&&(A=A.substring(0,P.offset)+P.content+A.substring(P.offset+P.length)),A}e.edit=t;function L(A,R,b){let I=b;for(;I>=0;){if(A.charAt(I)===R.charAt(R.length-1)&&R.length===1)return I+1;if(I--,R.length===2&&I>=0&&A.charAt(I)===R.charAt(0))return I+2}return 0}e.getLineStartOffset=L;function T(A,R,b){let I=b;for(;I>=0;)if(A.charAt(I)===R.charAt(R.length-1)&&R.length===1||(I++,R.length===2&&I>=0&&A.charAt(I)===R.charAt(1)))return I;return A.length-1}e.getLineEndOffset=T}),define(te[225],ne([0,1,28,62,11]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=void 0;function T(f,p,h,g,v){const l=[],w=[],S=[];if(!p){const O=f.filter(({identifier:M})=>v.every(D=>D.toLowerCase()!==M.id.toLowerCase()));return{local:{added:l,removed:w,updated:S},remote:O.length>0?{added:O,updated:[],removed:[],all:O}:null}}f=f.map(P),p=p.map(P),h=h?h.map(P):null;const y=new Map,d=O=>{O.uuid&&y.set(O.id.toLowerCase(),O.uuid)};f.forEach(({identifier:O})=>d(O)),p.forEach(({identifier:O})=>d(O)),h&&h.forEach(({identifier:O})=>d(O));const r=O=>{const M=O.identifier.uuid||y.get(O.identifier.id.toLowerCase());return M?`uuid:${M}`:`id:${O.identifier.id.toLowerCase()}`},c=(O,M)=>(O.set(r(M),M),O),i=f.reduce(c,new Map),n=p.reduce(c,new Map),o=p.reduce((O,M)=>{const D=r(M);M=(0,k.deepClone)(M);const U=i.get(D);return U&&(U.installed&&(M.installed=!0),M.version||(M.version=U.version)),c(O,M)},new Map),s=h?h.reduce(c,new Map):null,a=g.reduce(c,new Map),u=v.reduce((O,M)=>{const D=y.get(M.toLowerCase());return O.add(D?`uuid:${D}`:`id:${M.toLowerCase()}`)},new Set),m=A(i,n,u);if(m.added.size>0||m.removed.size>0||m.updated.size>0){const O=A(s,i,u),M=A(s,n,u),D=(U,F)=>{const x=i.get(U);if(x){const q=n.get(U),H=F?q:x;return{...H,version:q.version&&(!x.installed||t.gt(q.version,x.version))?q.version:x.version,state:R(x,q,s?.get(U)),preRelease:(0,L.isUndefined)(H.preRelease)?x.preRelease:x.installed?H.preRelease:q.preRelease}}};for(const U of M.removed.values()){const F=i.get(U);F&&w.push(F.identifier)}for(const U of M.added.values())if(O.added.has(U)){if(m.updated.has(U)){const F=D(U,!0);F&&(S.push(E(F,U)),o.set(U,F))}}else{const F=n.get(U);F.installed&&l.push(E(F,U))}for(const U of M.updated.values()){const F=D(U,!0);F&&(S.push(E(F,U)),o.set(U,F))}for(const U of O.added.values())M.added.has(U)||o.set(U,i.get(U));for(const U of O.updated.values())if(!M.removed.has(U)&&!M.updated.has(U)){const F=D(U,!1);F&&(o.get(U)?.installed&&(F.installed=!0),o.set(U,F))}for(const U of O.removed.values())!a.has(U)&&!M.updated.has(U)&&s?.get(U)?.installed&&o.delete(U)}const C=[],_=A(n,o,new Set,{checkInstalledProperty:!0,checkVersionProperty:!0});return(_.added.size>0||_.updated.size>0||_.removed.size>0)&&o.forEach((O,M)=>C.push(E(O,M))),{local:{added:l,removed:w,updated:S},remote:C.length?{added:[..._.added].map(O=>o.get(O)),updated:[..._.updated].map(O=>o.get(O)),removed:[..._.removed].map(O=>n.get(O)),all:C}:null}}e.merge=T;function A(f,p,h,{checkInstalledProperty:g,checkVersionProperty:v}={checkInstalledProperty:!1,checkVersionProperty:!1}){const l=f?[...f.keys()].filter(r=>!h.has(r)):[],w=[...p.keys()].filter(r=>!h.has(r)),S=w.filter(r=>l.indexOf(r)===-1).reduce((r,c)=>(r.add(c),r),new Set),y=l.filter(r=>w.indexOf(r)===-1).reduce((r,c)=>(r.add(c),r),new Set),d=new Set;for(const r of l){if(y.has(r))continue;const c=f.get(r),i=p.get(r);(!i||c.disabled!==i.disabled||c.installed&&i.installed&&c.preRelease!==i.preRelease||!I(c.state,i.state)||v&&c.version!==i.version||g&&c.installed!==i.installed)&&d.add(r)}return{added:S,removed:y,updated:d}}function R(f,p,h){const g=f.state,v=p.state,l=h?.state;if(!p.version||g&&t.gt(f.version,p.version))return g;if(v&&t.gt(p.version,f.version)||!g)return v;if(!v)return g;const w=(0,k.deepClone)(g),S=l?b(l,v):{added:Object.keys(v).reduce((d,r)=>(d.add(r),d),new Set),removed:new Set,updated:new Set},y=l?b(l,g):{added:Object.keys(g).reduce((d,r)=>(d.add(r),d),new Set),removed:new Set,updated:new Set};for(const d of[...S.added.values(),...S.updated.values()])w[d]=v[d];for(const d of S.removed.values())y.updated.has(d)||delete w[d];return w}function b(f,p){const h=Object.keys(f),g=Object.keys(p),v=g.filter(S=>h.indexOf(S)===-1).reduce((S,y)=>(S.add(y),S),new Set),l=h.filter(S=>g.indexOf(S)===-1).reduce((S,y)=>(S.add(y),S),new Set),w=new Set;for(const S of h){if(l.has(S))continue;const y=f[S],d=p[S];(0,k.equals)(y,d)||w.add(S)}return{added:v,removed:l,updated:w}}function I(f={},p={}){const{added:h,removed:g,updated:v}=b(f,p);return h.size===0&&g.size===0&&v.size===0}function P(f){return{...f,disabled:!!f.disabled,installed:!!f.installed}}function E(f,p){const h={identifier:{id:f.identifier.id,uuid:p.startsWith("uuid:")?p.substring("uuid:".length):void 0},preRelease:!!f.preRelease};return f.version&&(h.version=f.version),f.disabled&&(h.disabled=!0),f.installed&&(h.installed=!0),f.state&&(h.state=f.state),h}}),define(te[98],ne([0,1,16,19,6]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IgnoredExtensionsManagementService=e.IIgnoredExtensionsManagementService=void 0,e.IIgnoredExtensionsManagementService=(0,L.createDecorator)("IIgnoredExtensionsManagementService");let T=class{constructor(R){this.configurationService=R}hasToNeverSyncExtension(R){return this.getConfiguredIgnoredExtensions().includes(R.toLowerCase())}hasToAlwaysSyncExtension(R){return this.getConfiguredIgnoredExtensions().includes(`-${R.toLowerCase()}`)}updateIgnoredExtensions(R,b){let I=[...this.configurationService.getValue("settingsSync.ignoredExtensions")].map(P=>P.toLowerCase());return I=I.filter(P=>P!==R&&P!==`-${R}`),b&&I.push(R.toLowerCase()),this.configurationService.updateValue("settingsSync.ignoredExtensions",I.length?I:void 0,1)}updateSynchronizedExtensions(R,b){let I=[...this.configurationService.getValue("settingsSync.ignoredExtensions")].map(P=>P.toLowerCase());return I=I.filter(P=>P!==R&&P!==`-${R}`),b&&I.push(`-${R.toLowerCase()}`),this.configurationService.updateValue("settingsSync.ignoredExtensions",I.length?I:void 0,1)}getIgnoredExtensions(R){const b=R.filter(f=>f.isMachineScoped).map(f=>f.identifier.id.toLowerCase()),I=this.getConfiguredIgnoredExtensions().map(f=>f.toLowerCase()),P=[],E=[];if(Array.isArray(I))for(const f of I)f.startsWith("-")?E.push(f.substring(1)):P.push(f);return(0,k.distinct)([...b,...P].filter(f=>E.indexOf(f)===-1))}getConfiguredIgnoredExtensions(){let R=this.configurationService.inspect("settingsSync.ignoredExtensions").userValue;return R!==void 0||(R=this.configurationService.inspect("sync.ignoredExtensions").userValue,R!==void 0)?R:(this.configurationService.getValue("settingsSync.ignoredExtensions")||[]).map(b=>b.toLowerCase())}};T=he([Y(0,t.IConfigurationService)],T),e.IgnoredExtensionsManagementService=T}),define(te[226],ne([0,1,16,35,28,160,53]),function(J,e,k,t,L,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=e.parseKeybindings=void 0;function R(y){return(0,t.parse)(y)||[]}e.parseKeybindings=R;async function b(y,d,r,c,i){const n=R(y),o=R(d),s=r?R(r):null,a=[...n,...o,...s||[]].map(q=>q.key),u=await i.resolveUserBindings(a);let m=P(n,o,s,u);if(!m.hasLocalForwarded&&!m.hasRemoteForwarded)return{mergeContent:y,hasChanges:!1,hasConflicts:!1};if(!m.hasLocalForwarded&&m.hasRemoteForwarded)return{mergeContent:d,hasChanges:!0,hasConflicts:!1};if(m.hasLocalForwarded&&!m.hasRemoteForwarded)return{mergeContent:y,hasChanges:!0,hasConflicts:!1};const C=f(n),_=f(o),O=s?f(s):null,M=h(C,_,u),D=O?h(O,C,u):{added:[...C.keys()].reduce((q,H)=>(q.add(H),q),new Set),removed:new Set,updated:new Set},U=O?h(O,_,u):{added:[..._.keys()].reduce((q,H)=>(q.add(H),q),new Set),removed:new Set,updated:new Set},F=I(M,D,U);let x=y;for(const q of F.removed.values())F.conflicts.has(q)||(x=w(x,q,c));for(const q of F.added.values()){if(F.conflicts.has(q))continue;const H=_.get(q);if(H.some(re=>re.command!==`-${q}`&&m.conflicts.has(u[re.key]))){F.conflicts.add(q);continue}x=l(x,H,c)}for(const q of F.updated.values()){if(F.conflicts.has(q))continue;const H=_.get(q);if(H.some(re=>re.command!==`-${q}`&&m.conflicts.has(u[re.key]))){F.conflicts.add(q);continue}x=S(x,q,H,c)}return{mergeContent:x,hasChanges:!0,hasConflicts:F.conflicts.size>0}}e.merge=b;function I(y,d,r){const c=new Set,i=new Set,n=new Set,o=new Set;for(const s of d.removed.values())r.updated.has(s)&&o.add(s);for(const s of r.removed.values())o.has(s)||(d.updated.has(s)?o.add(s):i.add(s));for(const s of d.added.values())o.has(s)||r.added.has(s)&&y.updated.has(s)&&o.add(s);for(const s of r.added.values())o.has(s)||(d.added.has(s)?y.updated.has(s)&&o.add(s):c.add(s));for(const s of d.updated.values())o.has(s)||r.updated.has(s)&&y.updated.has(s)&&o.add(s);for(const s of r.updated.values())o.has(s)||(d.updated.has(s)?y.updated.has(s)&&o.add(s):n.add(s));return{added:c,removed:i,updated:n,conflicts:o}}function P(y,d,r,c){const i=new Set,n=E(y,c),o=E(d,c),s=r?E(r,c):null,a=p(n,o);if(a.added.size===0&&a.removed.size===0&&a.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!1,added:i,removed:i,updated:i,conflicts:i};const u=s?p(s,n):{added:[...n.keys()].reduce((D,U)=>(D.add(U),D),new Set),removed:new Set,updated:new Set};if(u.added.size===0&&u.removed.size===0&&u.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!0,added:i,removed:i,updated:i,conflicts:i};const m=s?p(s,o):{added:[...o.keys()].reduce((D,U)=>(D.add(U),D),new Set),removed:new Set,updated:new Set};if(m.added.size===0&&m.removed.size===0&&m.updated.size===0)return{hasLocalForwarded:!0,hasRemoteForwarded:!1,added:i,removed:i,updated:i,conflicts:i};const{added:C,removed:_,updated:O,conflicts:M}=I(a,u,m);return{hasLocalForwarded:!0,hasRemoteForwarded:!0,added:C,removed:_,updated:O,conflicts:M}}function E(y,d){const r=new Map;for(const c of y){const i=d[c.key];let n=r.get(i);n||(n=[],r.set(i,n)),n.push(c)}return r}function f(y){const d=new Map;for(const r of y){const c=r.command[0]==="-"?r.command.substring(1):r.command;let i=d.get(c);i||(i=[],d.set(c,i)),i.push(r)}return d}function p(y,d){const r=[...y.keys()],c=[...d.keys()],i=c.filter(s=>r.indexOf(s)===-1).reduce((s,a)=>(s.add(a),s),new Set),n=r.filter(s=>c.indexOf(s)===-1).reduce((s,a)=>(s.add(a),s),new Set),o=new Set;for(const s of r){if(n.has(s))continue;const a=y.get(s).map(m=>({...m,key:s})),u=d.get(s).map(m=>({...m,key:s}));(0,k.equals)(a,u,(m,C)=>v(m,C))||o.add(s)}return{added:i,removed:n,updated:o}}function h(y,d,r){const c=[...y.keys()],i=[...d.keys()],n=i.filter(a=>c.indexOf(a)===-1).reduce((a,u)=>(a.add(u),a),new Set),o=c.filter(a=>i.indexOf(a)===-1).reduce((a,u)=>(a.add(u),a),new Set),s=new Set;for(const a of c){if(o.has(a))continue;const u=y.get(a).map(C=>({...C,key:r[C.key]})),m=d.get(a).map(C=>({...C,key:r[C.key]}));g(u,m)||s.add(a)}return{added:n,removed:o,updated:s}}function g(y,d){return!(!(0,k.equals)(y.filter(({command:r})=>r[0]!=="-"),d.filter(({command:r})=>r[0]!=="-"),(r,c)=>v(r,c))||!(0,k.equals)(y.filter(({command:r})=>r[0]==="-"),d.filter(({command:r})=>r[0]==="-"),(r,c)=>v(r,c)))}function v(y,d){if(y.command!==d.command||y.key!==d.key)return!1;const r=T.ContextKeyExpr.deserialize(y.when),c=T.ContextKeyExpr.deserialize(d.when);return!(r&&!c||!r&&c||r&&c&&!r.equals(c)||!L.equals(y.args,d.args))}function l(y,d,r){for(const c of d)y=A.edit(y,[-1],c,r);return y}function w(y,d,r){const c=R(y);for(let i=c.length-1;i>=0;i--)(c[i].command===d||c[i].command===`-${d}`)&&(y=A.edit(y,[i],void 0,r));return y}function S(y,d,r,c){const i=R(y),n=i.findIndex(o=>o.command===d||o.command===`-${d}`);for(let o=i.length-1;o>=0;o--)(i[o].command===d||i[o].command===`-${d}`)&&(y=A.edit(y,[o],void 0,c));for(let o=r.length-1;o>=0;o--)y=A.edit(y,[n],r[o],c);return y}}),define(te[227],ne([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.areSame=e.merge=void 0;function k(T,A,R){const b={},I={},P=new Set;if(!A)return{local:{added:b,updated:I,removed:[...P.values()]},remote:{added:T,updated:{},removed:[]},conflicts:[]};const E=t(T,A);if(E.added.size===0&&E.removed.size===0&&E.updated.size===0)return{local:{added:b,updated:I,removed:[...P.values()]},remote:{added:{},updated:{},removed:[]},conflicts:[]};const f=t(R,T),p=t(R,A),h={},g={},v=new Set,l=new Set;for(const w of f.removed.values())p.updated.has(w)?b[w]=A[w]:v.add(w);for(const w of p.removed.values())l.has(w)||(f.updated.has(w)?l.add(w):P.add(w));for(const w of f.updated.values())l.has(w)||(p.updated.has(w)?E.updated.has(w)&&l.add(w):g[w]=T[w]);for(const w of p.updated.values())l.has(w)||(f.updated.has(w)?E.updated.has(w)&&l.add(w):T[w]!==void 0&&(I[w]=A[w]));for(const w of f.added.values())l.has(w)||(p.added.has(w)?E.updated.has(w)&&l.add(w):h[w]=T[w]);for(const w of p.added.values())l.has(w)||(f.added.has(w)?E.updated.has(w)&&l.add(w):b[w]=A[w]);return{local:{added:b,removed:[...P.values()],updated:I},remote:{added:h,removed:[...v.values()],updated:g},conflicts:[...l.values()]}}e.merge=k;function t(T,A){const R=T?Object.keys(T):[],b=A?Object.keys(A):[],I=b.filter(f=>R.indexOf(f)===-1).reduce((f,p)=>(f.add(p),f),new Set),P=R.filter(f=>b.indexOf(f)===-1).reduce((f,p)=>(f.add(p),f),new Set),E=new Set;for(const f of R){if(P.has(f))continue;const p=T[f],h=A[f];p!==h&&E.add(f)}return{added:I,removed:P,updated:E}}function L(T,A){const{added:R,removed:b,updated:I}=t(T,A);return R.size===0&&b.size===0&&I.size===0}e.areSame=L}),define(te[24],ne([0,1,16,20,11,148,42,30,6,89,38]),function(J,e,k,t,L,T,A,R,b,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSyncResourceFromLocalPreview=e.PREVIEW_DIR_NAME=e.USER_DATA_SYNC_SCHEME=e.IUserDataSyncLogService=e.IUserDataSyncUtilService=e.IUserDataAutoSyncService=e.IUserDataSyncService=e.IUserDataSyncEnablementService=e.getEnablementKey=e.SYNC_SERVICE_URL_TYPE=e.MergeState=e.Change=e.SyncStatus=e.UserDataAutoSyncError=e.UserDataSyncStoreError=e.UserDataSyncError=e.UserDataSyncErrorCode=e.createSyncHeaders=e.HEADER_EXECUTION_ID=e.HEADER_OPERATION_ID=e.IUserDataSyncBackupStoreService=e.IUserDataSyncStoreService=e.IUserDataSyncStoreManagementService=e.getLastSyncResourceUri=e.ALL_SYNC_RESOURCES=e.SyncResource=e.isAuthenticationProvider=e.registerConfiguration=e.USER_DATA_SYNC_CONFIGURATION_SCOPE=e.getDefaultIgnoredSettings=e.getDisallowedIgnoredSettings=e.CONFIGURATION_SYNC_STORE_KEY=void 0,e.CONFIGURATION_SYNC_STORE_KEY="configurationSync.store";function E(){const s=P.Registry.as(A.Extensions.Configuration).getConfigurationProperties();return Object.keys(s).filter(a=>!!s[a].disallowSyncIgnore)}e.getDisallowedIgnoredSettings=E;function f(){const s=P.Registry.as(A.Extensions.Configuration).getConfigurationProperties(),a=Object.keys(s).filter(C=>!!s[C].ignoreSync),u=Object.keys(s).filter(C=>s[C].scope===2||s[C].scope===6),m=E();return(0,k.distinct)([e.CONFIGURATION_SYNC_STORE_KEY,...a,...u,...m])}e.getDefaultIgnoredSettings=f,e.USER_DATA_SYNC_CONFIGURATION_SCOPE="settingsSync";function p(){const s="vscode://schemas/ignoredSettings",a=P.Registry.as(A.Extensions.Configuration);a.registerConfiguration({id:"settingsSync",order:30,title:(0,T.localize)(0,null),type:"object",properties:{"settingsSync.keybindingsPerPlatform":{type:"boolean",description:(0,T.localize)(1,null),default:!0,scope:1,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredExtensions":{type:"array",markdownDescription:(0,T.localize)(2,null),items:[{type:"string",pattern:R.EXTENSION_IDENTIFIER_PATTERN,errorMessage:(0,T.localize)(3,null)}],default:[],scope:1,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredSettings":{type:"array",description:(0,T.localize)(4,null),default:[],scope:1,$ref:s,additionalProperties:!0,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]}}});const u=P.Registry.as(I.Extensions.JSONContribution),m=()=>{const C=E(),_=f().filter(U=>U!==e.CONFIGURATION_SYNC_STORE_KEY),O=Object.keys(A.allSettings.properties).filter(U=>_.indexOf(U)===-1),M=_.filter(U=>C.indexOf(U)===-1),D={items:{type:"string",enum:[...O,...M.map(U=>`-${U}`)]}};u.registerSchema(s,D)};return a.onDidUpdateConfiguration(()=>m())}e.registerConfiguration=p;function h(s){return s&&(0,L.isObject)(s)&&(0,L.isString)(s.id)&&(0,L.isArray)(s.scopes)}e.isAuthenticationProvider=h;var g;(function(s){s.Settings="settings",s.Keybindings="keybindings",s.Snippets="snippets",s.Tasks="tasks",s.Extensions="extensions",s.GlobalState="globalState"})(g=e.SyncResource||(e.SyncResource={})),e.ALL_SYNC_RESOURCES=["settings","keybindings","snippets","tasks","extensions","globalState"];function v(s,a,u){return u.joinPath(a.userDataSyncHome,s,`lastSync${s}.json`)}e.getLastSyncResourceUri=v,e.IUserDataSyncStoreManagementService=(0,b.createDecorator)("IUserDataSyncStoreManagementService"),e.IUserDataSyncStoreService=(0,b.createDecorator)("IUserDataSyncStoreService"),e.IUserDataSyncBackupStoreService=(0,b.createDecorator)("IUserDataSyncBackupStoreService"),e.HEADER_OPERATION_ID="x-operation-id",e.HEADER_EXECUTION_ID="X-Execution-Id";function l(s){const a={};return a[e.HEADER_EXECUTION_ID]=s,a}e.createSyncHeaders=l;var w;(function(s){s.Unauthorized="Unauthorized",s.Conflict="Conflict",s.Gone="Gone",s.PreconditionFailed="PreconditionFailed",s.TooLarge="TooLarge",s.UpgradeRequired="UpgradeRequired",s.PreconditionRequired="PreconditionRequired",s.TooManyRequests="RemoteTooManyRequests",s.TooManyRequestsAndRetryAfter="TooManyRequestsAndRetryAfter",s.RequestFailed="RequestFailed",s.RequestCanceled="RequestCanceled",s.RequestTimeout="RequestTimeout",s.RequestProtocolNotSupported="RequestProtocolNotSupported",s.RequestPathNotEscaped="RequestPathNotEscaped",s.RequestHeadersNotObject="RequestHeadersNotObject",s.NoRef="NoRef",s.EmptyResponse="EmptyResponse",s.TurnedOff="TurnedOff",s.SessionExpired="SessionExpired",s.ServiceChanged="ServiceChanged",s.DefaultServiceChanged="DefaultServiceChanged",s.LocalTooManyRequests="LocalTooManyRequests",s.LocalPreconditionFailed="LocalPreconditionFailed",s.LocalInvalidContent="LocalInvalidContent",s.LocalError="LocalError",s.IncompatibleLocalContent="IncompatibleLocalContent",s.IncompatibleRemoteContent="IncompatibleRemoteContent",s.UnresolvedConflicts="UnresolvedConflicts",s.Unknown="Unknown"})(w=e.UserDataSyncErrorCode||(e.UserDataSyncErrorCode={}));class S extends Error{constructor(a,u,m,C){super(a);this.code=u,this.resource=m,this.operationId=C,this.name=`${this.code} (UserDataSyncError) syncResource:${this.resource||"unknown"} operationId:${this.operationId||"unknown"}`}}e.UserDataSyncError=S;class y extends S{constructor(a,u,m,C,_){super(a,m,void 0,_);this.url=u,this.serverCode=C}}e.UserDataSyncStoreError=y;class d extends S{constructor(a,u){super(a,u)}}e.UserDataAutoSyncError=d,function(s){function a(u){if(u instanceof s)return u;const m=/^(.+) \(UserDataSyncError\) syncResource:(.+) operationId:(.+)$/.exec(u.name);if(m&&m[1]){const C=m[2]==="unknown"?void 0:m[2],_=m[3]==="unknown"?void 0:m[3];return new s(u.message,m[1],C,_)}return new s(u.message,"Unknown")}s.toUserDataSyncError=a}(S=e.UserDataSyncError||(e.UserDataSyncError={}));var r;(function(s){s.Uninitialized="uninitialized",s.Idle="idle",s.Syncing="syncing",s.HasConflicts="hasConflicts"})(r=e.SyncStatus||(e.SyncStatus={}));var c;(function(s){s[s.None=0]="None",s[s.Added=1]="Added",s[s.Modified=2]="Modified",s[s.Deleted=3]="Deleted"})(c=e.Change||(e.Change={}));var i;(function(s){s.Preview="preview",s.Conflict="conflict",s.Accepted="accepted"})(i=e.MergeState||(e.MergeState={})),e.SYNC_SERVICE_URL_TYPE="sync.store.url.type";function n(s){return`sync.enable.${s}`}e.getEnablementKey=n,e.IUserDataSyncEnablementService=(0,b.createDecorator)("IUserDataSyncEnablementService"),e.IUserDataSyncService=(0,b.createDecorator)("IUserDataSyncService"),e.IUserDataAutoSyncService=(0,b.createDecorator)("IUserDataAutoSyncService"),e.IUserDataSyncUtilService=(0,b.createDecorator)("IUserDataSyncUtilService"),e.IUserDataSyncLogService=(0,b.createDecorator)("IUserDataSyncLogService"),e.USER_DATA_SYNC_SCHEME="vscode-userdata-sync",e.PREVIEW_DIR_NAME="preview";function o(s,a){if(s.scheme!==e.USER_DATA_SYNC_SCHEME)return s=s.with({scheme:a.userDataSyncHome.scheme}),e.ALL_SYNC_RESOURCES.filter(u=>(0,t.isEqualOrParent)(s,(0,t.joinPath)(a.userDataSyncHome,u,e.PREVIEW_DIR_NAME)))[0]}e.getSyncResourceFromLocalPreview=o}),define(te[45],ne([0,1,16,5,17,25,3,35,2,26,11,7,144,19,14,15,8,47,23,21,32,24]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l,w,S,y,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractInitializer=e.AbstractJsonFileSynchroniser=e.AbstractFileSynchroniser=e.AbstractSynchroniser=e.isSyncData=void 0;function r(s){return!!(s&&s.version!==void 0&&typeof s.version=="number"&&s.content!==void 0&&typeof s.content=="string"&&(Object.keys(s).length===2||Object.keys(s).length===3&&s.machineId!==void 0&&typeof s.machineId=="string"))}e.isSyncData=r;let c=class extends b.Disposable{constructor(a,u,m,C,_,O,M,D,U,F,x){super();this.resource=a,this.fileService=u,this.environmentService=m,this.userDataSyncStoreService=_,this.userDataSyncBackupStoreService=O,this.userDataSyncEnablementService=M,this.telemetryService=D,this.logService=U,this.configurationService=F,this.syncPreviewPromise=null,this._status="idle",this._onDidChangStatus=this._register(new A.Emitter),this.onDidChangeStatus=this._onDidChangStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new A.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this.localChangeTriggerThrottler=new t.ThrottledDelayer(50),this._onDidChangeLocal=this._register(new A.Emitter),this.onDidChangeLocal=this._onDidChangeLocal.event,this.hasSyncResourceStateVersionChanged=!1,this.syncHeaders={},this.syncResourceLogLabel=(0,I.uppercaseFirstLetter)(this.resource),this.extUri=x.extUri,this.syncFolder=this.extUri.joinPath(m.userDataSyncHome,a),this.syncPreviewFolder=this.extUri.joinPath(this.syncFolder,d.PREVIEW_DIR_NAME),this.lastSyncResource=(0,d.getLastSyncResourceUri)(a,m,this.extUri),this.currentMachineIdPromise=(0,l.getServiceMachineId)(m,u,C)}get status(){return this._status}get conflicts(){return this._conflicts}triggerLocalChange(){this.localChangeTriggerThrottler.trigger(()=>this.doTriggerLocalChange())}async doTriggerLocalChange(){if(this.status==="hasConflicts"){this.logService.info(`${this.syncResourceLogLabel}: In conflicts state and local change detected. Syncing again...`);const a=await this.syncPreviewPromise;this.syncPreviewPromise=null;const u=await this.performSync(a.remoteUserData,a.lastSyncUserData,!0,this.getUserDataSyncConfiguration());this.setStatus(u)}else{this.logService.trace(`${this.syncResourceLogLabel}: Checking for local changes...`);const a=await this.getLastSyncUserData();(a?await this.hasRemoteChanged(a):!0)&&this._onDidChangeLocal.fire()}}setStatus(a){if(this._status!==a){const u=this._status;a==="hasConflicts"&&this.telemetryService.publicLog2("sync/conflictsDetected",{source:this.resource}),u==="hasConflicts"&&a==="idle"&&this.telemetryService.publicLog2("sync/conflictsResolved",{source:this.resource}),this._status=a,this._onDidChangStatus.fire(a)}}async sync(a,u={}){await this._sync(a,!0,this.getUserDataSyncConfiguration(),u)}async preview(a,u,m={}){return this._sync(a,!1,u,m)}async apply(a,u={}){try{this.syncHeaders={...u};const m=await this.doApply(a);return this.setStatus(m),this.syncPreviewPromise}finally{this.syncHeaders={}}}async _sync(a,u,m,C){try{if(this.syncHeaders={...C},this.status==="hasConflicts")return this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as there are conflicts.`),this.syncPreviewPromise;if(this.status==="syncing")return this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as it is running already.`),this.syncPreviewPromise;this.logService.trace(`${this.syncResourceLogLabel}: Started synchronizing ${this.resource.toLowerCase()}...`),this.setStatus("syncing");let _="idle";try{const O=await this.getLastSyncUserData(),M=await this.getLatestRemoteUserData(a,O);return _=await this.performSync(M,O,u,m),_==="hasConflicts"?this.logService.info(`${this.syncResourceLogLabel}: Detected conflicts while synchronizing ${this.resource.toLowerCase()}.`):_==="idle"&&this.logService.trace(`${this.syncResourceLogLabel}: Finished synchronizing ${this.resource.toLowerCase()}.`),this.syncPreviewPromise||null}finally{this.setStatus(_)}}finally{this.syncHeaders={}}}async replace(a){const u=await this.resolveContent(a);if(!u)return!1;const m=this.parseSyncData(u);if(!m)return!1;await this.stop();try{this.logService.trace(`${this.syncResourceLogLabel}: Started resetting ${this.resource.toLowerCase()}...`),this.setStatus("syncing");const C=await this.getLastSyncUserData(),_=await this.getLatestRemoteUserData(null,C),O=await this.isRemoteDataFromCurrentMachine(_),M=await this.generateSyncPreview({ref:_.ref,syncData:m},C,O,this.getUserDataSyncConfiguration(),T.CancellationToken.None),D=[];for(const U of M){const F=await this.getAcceptResult(U,U.remoteResource,void 0,T.CancellationToken.None),{remoteChange:x}=await this.getAcceptResult(U,U.previewResource,U.remoteContent,T.CancellationToken.None);D.push([U,{...F,remoteChange:x!==0?x:2}])}await this.applyResult(_,C,D,!1),this.logService.info(`${this.syncResourceLogLabel}: Finished resetting ${this.resource.toLowerCase()}.`)}finally{this.setStatus("idle")}return!0}async isRemoteDataFromCurrentMachine(a){const u=await this.currentMachineIdPromise;return!!a.syncData?.machineId&&a.syncData.machineId===u}async getLatestRemoteUserData(a,u){if(u){const m=a&&a.latest?a.latest[this.resource]:void 0;if(u.ref===m||m===void 0&&u.syncData===null)return u}return this.getRemoteUserData(u)}async performSync(a,u,m,C){if(a.syncData&&a.syncData.version>this.version)throw this.telemetryService.publicLog2("sync/incompatible",{source:this.resource}),new d.UserDataSyncError((0,f.localize)(0,null,this.resource,this.version,a.syncData.version),"IncompatibleLocalContent",this.resource);try{return await this.doSync(a,u,m,C)}catch(_){if(_ instanceof d.UserDataSyncError)switch(_.code){case"LocalPreconditionFailed":return this.logService.info(`${this.syncResourceLogLabel}: Failed to synchronize ${this.syncResourceLogLabel} as there is a new local version available. Synchronizing again...`),this.performSync(a,u,m,C);case"Conflict":case"PreconditionFailed":return this.logService.info(`${this.syncResourceLogLabel}: Failed to synchronize as there is a new remote version available. Synchronizing again...`),a=await this.getRemoteUserData(null),u=await this.getLastSyncUserData(),this.performSync(a,u,m,C)}throw _}}async doSync(a,u,m,C){try{this.syncPreviewPromise||(this.syncPreviewPromise=(0,t.createCancelablePromise)(O=>this.doGenerateSyncResourcePreview(a,u,m,C,O)));const _=await this.syncPreviewPromise;return this.updateConflicts(_.resourcePreviews),_.resourcePreviews.some(({mergeState:O})=>O==="conflict")?"hasConflicts":m?await this.doApply(!1):"syncing"}catch(_){throw this.syncPreviewPromise=null,_}}async merge(a){return await this.updateSyncResourcePreview(a,async u=>{const m=await this.getMergeResult(u,T.CancellationToken.None);await this.fileService.writeFile(u.previewResource,L.VSBuffer.fromString(m?.content||""));const C=m&&!m.hasConflicts?await this.getAcceptResult(u,u.previewResource,void 0,T.CancellationToken.None):void 0;return u.acceptResult=C,u.mergeState=m.hasConflicts?"conflict":C?"accepted":"preview",u.localChange=C?C.localChange:m.localChange,u.remoteChange=C?C.remoteChange:m.remoteChange,u}),this.syncPreviewPromise}async accept(a,u){return await this.updateSyncResourcePreview(a,async m=>{const C=await this.getAcceptResult(m,a,u,T.CancellationToken.None);return m.acceptResult=C,m.mergeState="accepted",m.localChange=C.localChange,m.remoteChange=C.remoteChange,m}),this.syncPreviewPromise}async discard(a){return await this.updateSyncResourcePreview(a,async u=>{const m=await this.getMergeResult(u,T.CancellationToken.None);return await this.fileService.writeFile(u.previewResource,L.VSBuffer.fromString(m.content||"")),u.acceptResult=void 0,u.mergeState="preview",u.localChange=m.localChange,u.remoteChange=m.remoteChange,u}),this.syncPreviewPromise}async updateSyncResourcePreview(a,u){if(!this.syncPreviewPromise)return;let m=await this.syncPreviewPromise;const C=m.resourcePreviews.findIndex(({localResource:_,remoteResource:O,previewResource:M})=>this.extUri.isEqual(_,a)||this.extUri.isEqual(O,a)||this.extUri.isEqual(M,a));C!==-1&&(this.syncPreviewPromise=(0,t.createCancelablePromise)(async _=>{const O=[...m.resourcePreviews];return O[C]=await u(O[C]),{...m,resourcePreviews:O}}),m=await this.syncPreviewPromise,this.updateConflicts(m.resourcePreviews),m.resourcePreviews.some(({mergeState:_})=>_==="conflict")?this.setStatus("hasConflicts"):this.setStatus("syncing"))}async doApply(a){if(!this.syncPreviewPromise)return"idle";const u=await this.syncPreviewPromise;return u.resourcePreviews.some(({mergeState:m})=>m==="conflict")?"hasConflicts":u.resourcePreviews.some(({mergeState:m})=>m!=="accepted")?"syncing":(await this.applyResult(u.remoteUserData,u.lastSyncUserData,u.resourcePreviews.map(m=>[m,m.acceptResult]),a),this.syncPreviewPromise=null,await this.clearPreviewFolder(),"idle")}async clearPreviewFolder(){try{await this.fileService.del(this.syncPreviewFolder,{recursive:!0})}catch{}}updateConflicts(a){const u=a.filter(({mergeState:m})=>m==="conflict");(0,k.equals)(this._conflicts,u,(m,C)=>this.extUri.isEqual(m.previewResource,C.previewResource))||(this._conflicts=u,this._onDidChangeConflicts.fire(u))}async hasPreviouslySynced(){return!!await this.getLastSyncUserData()}async getRemoteSyncResourceHandles(){return(await this.userDataSyncStoreService.getAllRefs(this.resource)).map(({created:u,ref:m})=>({created:u,uri:this.toRemoteBackupResource(m)}))}async getLocalSyncResourceHandles(){return(await this.userDataSyncBackupStoreService.getAllRefs(this.resource)).map(({created:u,ref:m})=>({created:u,uri:this.toLocalBackupResource(m)}))}toRemoteBackupResource(a){return E.URI.from({scheme:d.USER_DATA_SYNC_SCHEME,authority:"remote-backup",path:`/${this.resource}/${a}`})}toLocalBackupResource(a){return E.URI.from({scheme:d.USER_DATA_SYNC_SCHEME,authority:"local-backup",path:`/${this.resource}/${a}`})}async getMachineId({uri:a}){const u=this.extUri.basename(a);if(this.extUri.isEqual(a,this.toRemoteBackupResource(u))){const{content:m}=await this.getUserData(u);if(m)return this.parseSyncData(m)?.machineId}}async resolveContent(a){const u=this.extUri.basename(a);if(this.extUri.isEqual(a,this.toRemoteBackupResource(u))){const{content:m}=await this.getUserData(u);return m}return this.extUri.isEqual(a,this.toLocalBackupResource(u))?this.userDataSyncBackupStoreService.resolveContent(this.resource,u):null}async resolvePreviewContent(a){const u=this.syncPreviewPromise?await this.syncPreviewPromise:null;if(u)for(const m of u.resourcePreviews){if(this.extUri.isEqual(m.acceptedResource,a))return m.acceptResult?m.acceptResult.content:null;if(this.extUri.isEqual(m.remoteResource,a))return m.remoteContent;if(this.extUri.isEqual(m.localResource,a))return m.localContent}return null}async resetLocal(){try{await this.fileService.del(this.lastSyncResource)}catch{}}async doGenerateSyncResourcePreview(a,u,m,C,_){const O=await this.isRemoteDataFromCurrentMachine(a),M=await this.generateSyncPreview(a,u,O,C,_),D=[];for(const U of M){const F=U.previewResource.with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"accepted"});if(U.localChange===0&&U.remoteChange===0)D.push({...U,acceptedResource:F,acceptResult:{content:null,localChange:0,remoteChange:0},mergeState:"accepted"});else{const x=m?await this.getMergeResult(U,_):void 0;if(_.isCancellationRequested)break;await this.fileService.writeFile(U.previewResource,L.VSBuffer.fromString(x?.content||""));const q=x&&!x.hasConflicts?await this.getAcceptResult(U,U.previewResource,void 0,_):void 0;D.push({...U,acceptResult:q,mergeState:x?.hasConflicts?"conflict":q?"accepted":"preview",localChange:q?q.localChange:x?x.localChange:U.localChange,remoteChange:q?q.remoteChange:x?x.remoteChange:U.remoteChange})}}return{remoteUserData:a,lastSyncUserData:u,resourcePreviews:D,isLastSyncFromCurrentMachine:O}}async getLastSyncUserData(){try{const a=await this.fileService.readFile(this.lastSyncResource),u=JSON.parse(a.value.toString()),m=this.userDataSyncEnablementService.getResourceSyncStateVersion(this.resource);if(this.hasSyncResourceStateVersionChanged=u.version&&m&&u.version!==m,this.hasSyncResourceStateVersionChanged)return this.logService.info(`${this.syncResourceLogLabel}: Reset last sync state because last sync state version ${u.version} is not compatible with current sync state version ${m}.`),await this.resetLocal(),null;const C=u;if(C.content===null)return{ref:u.ref,syncData:null};const _=JSON.parse(C.content);if(r(_))return{...u,syncData:_,content:void 0}}catch(a){a instanceof g.FileOperationError&&a.fileOperationResult===1||this.logService.error(a)}return null}async updateLastSyncUserData(a,u={}){if(u.ref||u.content||u.version)throw new Error("Cannot have core properties as additional");const m=this.userDataSyncEnablementService.getResourceSyncStateVersion(this.resource),C={ref:a.ref,content:a.syncData?JSON.stringify(a.syncData):null,version:m,...u};await this.fileService.writeFile(this.lastSyncResource,L.VSBuffer.fromString(JSON.stringify(C)))}async getRemoteUserData(a){const{ref:u,content:m}=await this.getUserData(a);let C=null;return m!==null&&(C=this.parseSyncData(m)),{ref:u,syncData:C}}parseSyncData(a){try{const u=JSON.parse(a);if(r(u))return u}catch(u){this.logService.error(u)}throw new d.UserDataSyncError((0,f.localize)(1,null),"IncompatibleRemoteContent",this.resource)}async getUserData(a){if((0,P.isString)(a)){const u=await this.userDataSyncStoreService.resolveContent(this.resource,a);return{ref:a,content:u}}else{const u=a?{ref:a.ref,content:a.syncData?JSON.stringify(a.syncData):null}:null;return this.userDataSyncStoreService.read(this.resource,u,this.syncHeaders)}}async updateRemoteUserData(a,u){const m=await this.currentMachineIdPromise,C={version:this.version,machineId:m,content:a};return u=await this.userDataSyncStoreService.write(this.resource,JSON.stringify(C),u,this.syncHeaders),{ref:u,syncData:C}}async backupLocal(a){const u={version:this.version,content:a};return this.userDataSyncBackupStoreService.backup(this.resource,JSON.stringify(u))}async stop(){this.status!=="idle"&&(this.logService.trace(`${this.syncResourceLogLabel}: Stopping synchronizing ${this.resource.toLowerCase()}.`),this.syncPreviewPromise&&(this.syncPreviewPromise.cancel(),this.syncPreviewPromise=null),this.updateConflicts([]),await this.clearPreviewFolder(),this.setStatus("idle"),this.logService.info(`${this.syncResourceLogLabel}: Stopped synchronizing ${this.resource.toLowerCase()}.`))}getUserDataSyncConfiguration(){return this.configurationService.getValue(d.USER_DATA_SYNC_CONFIGURATION_SCOPE)}};c=he([Y(1,g.IFileService),Y(2,h.IEnvironmentService),Y(3,w.IStorageService),Y(4,d.IUserDataSyncStoreService),Y(5,d.IUserDataSyncBackupStoreService),Y(6,d.IUserDataSyncEnablementService),Y(7,S.ITelemetryService),Y(8,d.IUserDataSyncLogService),Y(9,p.IConfigurationService),Y(10,y.IUriIdentityService)],c),e.AbstractSynchroniser=c;let i=class extends c{constructor(a,u,m,C,_,O,M,D,U,F,x,q){super(u,m,C,_,O,M,D,U,F,x,q);this.file=a,this._register(this.fileService.watch(this.extUri.dirname(a))),this._register(this.fileService.onDidFilesChange(H=>this.onFileChanges(H)))}async getLocalFileContent(){try{return await this.fileService.readFile(this.file)}catch{return null}}async updateLocalFileContent(a,u,m){try{u?await this.fileService.writeFile(this.file,L.VSBuffer.fromString(a),m?void 0:u):await this.fileService.createFile(this.file,L.VSBuffer.fromString(a),{overwrite:m})}catch(C){throw C instanceof g.FileOperationError&&C.fileOperationResult===1||C instanceof g.FileOperationError&&C.fileOperationResult===3?new d.UserDataSyncError(C.message,"LocalPreconditionFailed"):C}}onFileChanges(a){!a.contains(this.file)||this.triggerLocalChange()}};i=he([Y(2,g.IFileService),Y(3,h.IEnvironmentService),Y(4,w.IStorageService),Y(5,d.IUserDataSyncStoreService),Y(6,d.IUserDataSyncBackupStoreService),Y(7,d.IUserDataSyncEnablementService),Y(8,S.ITelemetryService),Y(9,d.IUserDataSyncLogService),Y(10,p.IConfigurationService),Y(11,y.IUriIdentityService)],i),e.AbstractFileSynchroniser=i;let n=class extends i{constructor(a,u,m,C,_,O,M,D,U,F,x,q,H){super(a,u,m,C,_,O,M,D,U,F,q,H);this.userDataSyncUtilService=x,this._formattingOptions=void 0}hasErrors(a){const u=[];return(0,R.parse)(a,u,{allowEmptyContent:!0,allowTrailingComma:!0}),u.length>0}getFormattingOptions(){return this._formattingOptions||(this._formattingOptions=this.userDataSyncUtilService.resolveFormattingOptions(this.file)),this._formattingOptions}};n=he([Y(2,g.IFileService),Y(3,h.IEnvironmentService),Y(4,w.IStorageService),Y(5,d.IUserDataSyncStoreService),Y(6,d.IUserDataSyncBackupStoreService),Y(7,d.IUserDataSyncEnablementService),Y(8,S.ITelemetryService),Y(9,d.IUserDataSyncLogService),Y(10,d.IUserDataSyncUtilService),Y(11,p.IConfigurationService),Y(12,y.IUriIdentityService)],n),e.AbstractJsonFileSynchroniser=n;let o=class{constructor(a,u,m,C,_){this.resource=a,this.environmentService=u,this.logService=m,this.fileService=C,this.extUri=_.extUri,this.lastSyncResource=(0,d.getLastSyncResourceUri)(this.resource,u,this.extUri)}async initialize({ref:a,content:u}){if(!u){this.logService.info("Remote content does not exist.",this.resource);return}const m=this.parseSyncData(u);if(!!m)try{await this.doInitialize({ref:a,syncData:m})}catch(C){this.logService.error(C)}}parseSyncData(a){try{const u=JSON.parse(a);if(r(u))return u}catch(u){this.logService.error(u)}this.logService.info("Cannot parse sync data as it is not compatible with the current version.",this.resource)}async updateLastSyncUserData(a,u={}){const m={ref:a.ref,content:a.syncData?JSON.stringify(a.syncData):null,...u};await this.fileService.writeFile(this.lastSyncResource,L.VSBuffer.fromString(JSON.stringify(m)))}};o=he([Y(1,h.IEnvironmentService),Y(2,v.ILogService),Y(3,g.IFileService),Y(4,y.IUriIdentityService)],o),e.AbstractInitializer=o}),define(te[228],ne([0,1,5,25,9,3,49,26,7,19,14,30,31,63,15,8,23,21,32,45,225,98,24]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l,w,S,y,d,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractExtensionsInitializer=e.ExtensionsSynchroniser=void 0;async function c(o,s){const a=JSON.parse(o.content);if(o.version===1||o.version===2){const u=(await s.getInstalled(0)).filter(m=>m.isBuiltin);for(const m of a)o.version===1&&(m.enabled===!1&&(m.disabled=!0),delete m.enabled),o.version===2&&u.every(C=>!(0,f.areSameExtensions)(C.identifier,m.identifier))&&(m.installed=!0)}return a}let i=class mt extends S.AbstractSynchroniser{constructor(s,a,u,m,C,_,O,M,D,U,F,x,q,H,re){super("extensions",a,s,u,m,C,x,q,D,F,re);this.extensionManagementService=_,this.extensionEnablementService=O,this.ignoredExtensionsManagementService=M,this.extensionGalleryService=U,this.extensionStorageService=H,this.version=5,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"extensions.json"),this.localResource=this.previewResource.with({scheme:r.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:r.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:r.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(T.Event.any(T.Event.filter(this.extensionManagementService.onDidInstallExtensions,B=>B.some(({local:W})=>!!W)),T.Event.filter(this.extensionManagementService.onDidUninstallExtension,B=>!B.error),this.extensionEnablementService.onDidChangeEnablement,this.extensionStorageService.onDidChangeExtensionStorageToSync)(()=>this.triggerLocalChange()))}async generateSyncPreview(s,a){const u=s.syncData?await c(s.syncData,this.extensionManagementService):null,m=a?.skippedExtensions||[],C=a?.syncData?await c(a.syncData,this.extensionManagementService):null,_=await this.extensionManagementService.getInstalled(void 0,!0),O=this.getLocalExtensions(_),M=this.ignoredExtensionsManagementService.getIgnoredExtensions(_);u?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote extensions with local extensions...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote extensions does not exist. Synchronizing extensions for the first time.`);const{local:D,remote:U}=(0,y.merge)(O,u,C,m,M),F={local:D,remote:U,content:this.getPreviewContent(O,D.added,D.updated,D.removed),localChange:D.added.length>0||D.removed.length>0||D.updated.length>0?2:0,remoteChange:U!==null?2:0};return[{skippedExtensions:m,localResource:this.localResource,localContent:this.stringify(O,!1),localExtensions:O,remoteResource:this.remoteResource,remoteContent:u?this.stringify(u,!1):null,previewResource:this.previewResource,previewResult:F,localChange:F.localChange,remoteChange:F.remoteChange,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(s){const a=s.syncData?await c(s.syncData,this.extensionManagementService):null,u=await this.extensionManagementService.getInstalled(void 0,!0),m=this.getLocalExtensions(u),C=this.ignoredExtensionsManagementService.getIgnoredExtensions(u),{remote:_}=(0,y.merge)(m,a,a,s.skippedExtensions||[],C);return _!==null}getPreviewContent(s,a,u,m){const C=[...a,...u],_=new Set,O=M=>{_.add(M.id.toLowerCase()),M.uuid&&_.add(M.uuid)};C.forEach(({identifier:M})=>O(M)),m.forEach(O);for(const M of s)_.has(M.identifier.id.toLowerCase())||M.identifier.uuid&&_.has(M.identifier.uuid)||C.push(M);return this.stringify(C,!1)}async getMergeResult(s,a){return{...s.previewResult,hasConflicts:!1}}async getAcceptResult(s,a,u,m){if(this.extUri.isEqual(a,this.localResource))return this.acceptLocal(s);if(this.extUri.isEqual(a,this.remoteResource))return this.acceptRemote(s);if(this.extUri.isEqual(a,this.previewResource))return s.previewResult;throw new Error(`Invalid Resource: ${a.toString()}`)}async acceptLocal(s){const a=await this.extensionManagementService.getInstalled(),u=this.ignoredExtensionsManagementService.getIgnoredExtensions(a),m=(0,y.merge)(s.localExtensions,null,null,s.skippedExtensions,u),{local:C,remote:_}=m;return{content:s.localContent,local:C,remote:_,localChange:C.added.length>0||C.removed.length>0||C.updated.length>0?2:0,remoteChange:_!==null?2:0}}async acceptRemote(s){const a=await this.extensionManagementService.getInstalled(),u=this.ignoredExtensionsManagementService.getIgnoredExtensions(a),m=s.remoteContent?JSON.parse(s.remoteContent):null;if(m!==null){const C=(0,y.merge)(s.localExtensions,m,s.localExtensions,[],u),{local:_,remote:O}=C;return{content:s.remoteContent,local:_,remote:O,localChange:_.added.length>0||_.removed.length>0||_.updated.length>0?2:0,remoteChange:O!==null?2:0}}else return{content:s.remoteContent,local:{added:[],removed:[],updated:[]},remote:null,localChange:0,remoteChange:0}}async applyResult(s,a,u,m){let{skippedExtensions:C,localExtensions:_}=u[0][0],{local:O,remote:M,localChange:D,remoteChange:U}=u[0][1];if(D===0&&U===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing extensions.`),D!==0&&(await this.backupLocal(JSON.stringify(_)),C=await this.updateLocalExtensions(O.added,O.removed,O.updated,C)),M){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote extensions...`);const F=JSON.stringify(M.all);s=await this.updateRemoteUserData(F,m?null:s.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote extensions.${M.added.length?` Added: ${JSON.stringify(M.added.map(x=>x.identifier.id))}.`:""}${M.updated.length?` Updated: ${JSON.stringify(M.updated.map(x=>x.identifier.id))}.`:""}${M.removed.length?` Removed: ${JSON.stringify(M.removed.map(x=>x.identifier.id))}.`:""}`)}a?.ref!==s.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized extensions...`),await this.updateLastSyncUserData(s,{skippedExtensions:C}),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized extensions.${C.length?` Skipped: ${JSON.stringify(C.map(F=>F.identifier.id))}.`:""}`))}async getAssociatedResources({uri:s}){return[{resource:this.extUri.joinPath(s,"extensions.json"),comparableResource:mt.EXTENSIONS_DATA_URI}]}async resolveContent(s){if(this.extUri.isEqual(s,mt.EXTENSIONS_DATA_URI)){const u=await this.extensionManagementService.getInstalled(),m=this.ignoredExtensionsManagementService.getIgnoredExtensions(u),C=this.getLocalExtensions(u).filter(_=>!m.some(O=>(0,f.areSameExtensions)({id:O},_.identifier)));return this.stringify(C,!0)}if(this.extUri.isEqual(this.remoteResource,s)||this.extUri.isEqual(this.localResource,s)||this.extUri.isEqual(this.acceptedResource,s)){const u=await this.resolvePreviewContent(s);return u&&this.stringify(JSON.parse(u),!0)}let a=await super.resolveContent(s);if(a)return a;if(a=await super.resolveContent(this.extUri.dirname(s)),a){const u=this.parseSyncData(a);if(u)switch(this.extUri.basename(s)){case"extensions.json":return this.stringify(this.parseExtensions(u),!0)}}return null}stringify(s,a){return s.sort((u,m)=>!u.identifier.uuid&&m.identifier.uuid?-1:u.identifier.uuid&&!m.identifier.uuid?1:(0,R.compare)(u.identifier.id,m.identifier.id)),a?(0,A.toFormattedString)(s,{}):JSON.stringify(s)}async hasLocalData(){try{const s=await this.extensionManagementService.getInstalled();if(this.getLocalExtensions(s).some(u=>u.installed||u.disabled))return!0}catch{}return!1}async updateLocalExtensions(s,a,u,m){const C=[],_=[],O=await this.extensionManagementService.getInstalled();if(a.length){const D=O.filter(({identifier:U,isBuiltin:F})=>!F&&a.some(x=>(0,f.areSameExtensions)(U,x)));await k.Promises.settled(D.map(async U=>{this.logService.trace(`${this.syncResourceLogLabel}: Uninstalling local extension...`,U.identifier.id),await this.extensionManagementService.uninstall(U,{donotIncludePack:!0,donotCheckDependents:!0}),this.logService.info(`${this.syncResourceLogLabel}: Uninstalled local extension.`,U.identifier.id),C.push(U.identifier)}))}(s.length||u.length)&&await k.Promises.settled([...s,...u].map(async D=>{const U=O.find(x=>(0,f.areSameExtensions)(x.identifier,D.identifier));if(U&&U.isBuiltin){D.state&&U.manifest.version===D.version&&this.updateExtensionState(D.state,U,U.manifest.version),this.extensionEnablementService.getDisabledExtensions().some(q=>(0,f.areSameExtensions)(q,D.identifier))!==!!D.disabled&&(D.disabled?(this.logService.trace(`${this.syncResourceLogLabel}: Disabling extension...`,D.identifier.id),await this.extensionEnablementService.disableExtension(D.identifier),this.logService.info(`${this.syncResourceLogLabel}: Disabled extension`,D.identifier.id)):(this.logService.trace(`${this.syncResourceLogLabel}: Enabling extension...`,D.identifier.id),await this.extensionEnablementService.enableExtension(D.identifier),this.logService.info(`${this.syncResourceLogLabel}: Enabled extension`,D.identifier.id))),C.push(D.identifier);return}const F=(await this.extensionGalleryService.getExtensions([{...D.identifier,preRelease:D.preRelease}],t.CancellationToken.None))[0];if(D.state&&(U?U.manifest.version===D.version:!!F)&&this.updateExtensionState(D.state,U||F,U?.manifest.version),F)try{this.extensionEnablementService.getDisabledExtensions().some(q=>(0,f.areSameExtensions)(q,D.identifier))!==!!D.disabled&&(D.disabled?(this.logService.trace(`${this.syncResourceLogLabel}: Disabling extension...`,D.identifier.id,F.version),await this.extensionEnablementService.disableExtension(F.identifier),this.logService.info(`${this.syncResourceLogLabel}: Disabled extension`,D.identifier.id,F.version)):(this.logService.trace(`${this.syncResourceLogLabel}: Enabling extension...`,D.identifier.id,F.version),await this.extensionEnablementService.enableExtension(F.identifier),this.logService.info(`${this.syncResourceLogLabel}: Enabled extension`,D.identifier.id,F.version))),(!U||U.preRelease!==D.preRelease)&&(await this.extensionManagementService.canInstall(F)?(this.logService.trace(`${this.syncResourceLogLabel}: Installing extension...`,D.identifier.id,F.version),await this.extensionManagementService.installFromGallery(F,{isMachineScoped:!1,donotIncludePackAndDependencies:!0,installPreReleaseVersion:D.preRelease}),this.logService.info(`${this.syncResourceLogLabel}: Installed extension.`,D.identifier.id,F.version),C.push(F.identifier)):(this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension because it cannot be installed.`,F.displayName||F.identifier.id),_.push(D)))}catch(x){_.push(D),x instanceof E.ExtensionManagementError&&[E.ExtensionManagementErrorCode.Incompatible,E.ExtensionManagementErrorCode.IncompatiblePreRelease,E.ExtensionManagementErrorCode.IncompatibleTargetPlatform].includes(x.code)?this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension because the compatible extension is not found.`,F.displayName||F.identifier.id):(this.logService.error(x),this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension`,F.displayName||F.identifier.id))}else _.push(D),this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension because the extension is not found.`,D.identifier.id)}));const M=[];for(const D of m)C.some(U=>(0,f.areSameExtensions)(U,D.identifier))||M.push(D);for(const D of _)M.some(U=>(0,f.areSameExtensions)(U.identifier,D.identifier))||M.push(D);return M}updateExtensionState(s,a,u){const m=this.extensionStorageService.getExtensionState(a,!0)||{},C=u?this.extensionStorageService.getKeysForSync({id:a.identifier.id,version:u}):void 0;C?C.forEach(_=>{m[_]=s[_]}):Object.keys(s).forEach(_=>m[_]=s[_]),this.extensionStorageService.setExtensionState(a,m,!0)}parseExtensions(s){return JSON.parse(s.content)}getLocalExtensions(s){const a=this.extensionEnablementService.getDisabledExtensions();return s.map(u=>{const{identifier:m,isBuiltin:C,manifest:_,preRelease:O}=u,M={identifier:m,preRelease:O,version:_.version};a.some(D=>(0,f.areSameExtensions)(D,m))&&(M.disabled=!0),C||(M.installed=!0);try{const D=this.extensionStorageService.getKeysForSync({id:m.id,version:_.version});if(D){const U=this.extensionStorageService.getExtensionState(u,!0)||{};M.state=Object.keys(U).reduce((F,x)=>(D.includes(x)&&(F[x]=U[x]),F),{})}}catch(D){this.logService.info(`${this.syncResourceLogLabel}: Error while parsing extension state`,(0,L.getErrorMessage)(D))}return M})}};i.EXTENSIONS_DATA_URI=b.URI.from({scheme:r.USER_DATA_SYNC_SCHEME,authority:"extensions",path:"/extensions.json"}),i=he([Y(0,P.IEnvironmentService),Y(1,h.IFileService),Y(2,v.IStorageService),Y(3,r.IUserDataSyncStoreService),Y(4,r.IUserDataSyncBackupStoreService),Y(5,E.IExtensionManagementService),Y(6,E.IGlobalExtensionEnablementService),Y(7,d.IIgnoredExtensionsManagementService),Y(8,r.IUserDataSyncLogService),Y(9,E.IExtensionGalleryService),Y(10,I.IConfigurationService),Y(11,r.IUserDataSyncEnablementService),Y(12,l.ITelemetryService),Y(13,p.IExtensionStorageService),Y(14,w.IUriIdentityService)],i),e.ExtensionsSynchroniser=i;let n=class extends S.AbstractInitializer{constructor(s,a,u,m,C,_){super("extensions",m,C,u,_);this.extensionManagementService=s,this.ignoredExtensionsManagementService=a}async parseExtensions(s){return s.syncData?await c(s.syncData,this.extensionManagementService):null}generatePreview(s,a){const u=[],m=[],C=[];for(const _ of s){if(this.ignoredExtensionsManagementService.hasToNeverSyncExtension(_.identifier.id))continue;const O=a.find(M=>(0,f.areSameExtensions)(M.identifier,_.identifier));O?(u.push(O),_.disabled&&C.push(_.identifier)):_.installed&&(m.push({..._.identifier,preRelease:!!_.preRelease}),_.disabled&&C.push(_.identifier))}return{installedExtensions:u,newExtensions:m,disabledExtensions:C,remoteExtensions:s}}};n=he([Y(0,E.IExtensionManagementService),Y(1,d.IIgnoredExtensionsManagementService),Y(2,h.IFileService),Y(3,P.IEnvironmentService),Y(4,g.ILogService),Y(5,w.IUriIdentityService)],n),e.AbstractExtensionsInitializer=n}),define(te[229],ne([0,1,28,24]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=void 0;function L(R,b,I,P,E){if(!b)return{remote:Object.keys(R).length>0?R:null,local:{added:{},removed:[],updated:{}}};const f=T(R,b);if(f.added.size===0&&f.removed.size===0&&f.updated.size===0)return{remote:null,local:{added:{},removed:[],updated:{}}};const p=I?T(I,b):{added:Object.keys(b).reduce((w,S)=>(w.add(S),w),new Set),removed:new Set,updated:new Set},h=I?T(I,R):{added:Object.keys(R).reduce((w,S)=>(w.add(S),w),new Set),removed:new Set,updated:new Set},g={added:{},removed:[],updated:{}},v=k.deepClone(b),l=!I;for(const w of h.added.values())w!==t.SYNC_SERVICE_URL_TYPE&&l&&p.added.has(w)||(v[w]=R[w]);for(const w of h.updated.values())v[w]=R[w];for(const w of h.removed.values())P.unregistered.includes(w)||delete v[w];for(const w of p.added.values()){const S=b[w];if(P.machine.includes(w)){E.info(`GlobalState: Skipped adding ${w} in local storage because it is declared as machine scoped.`);continue}if(I&&h.added.has(w))continue;const y=R[w];y&&y.value===S.value||w===t.SYNC_SERVICE_URL_TYPE&&l&&h.added.has(w)||(y?g.updated[w]=S:g.added[w]=S)}for(const w of p.updated.values()){const S=b[w];if(P.machine.includes(w)){E.info(`GlobalState: Skipped updating ${w} in local storage because it is declared as machine scoped.`);continue}if(h.updated.has(w)||h.removed.has(w))continue;const y=R[w];y&&y.value===S.value||(g.updated[w]=S)}for(const w of p.removed.values()){if(P.machine.includes(w)){E.trace(`GlobalState: Skipped removing ${w} in local storage because it is declared as machine scoped.`);continue}h.updated.has(w)||h.removed.has(w)||g.removed.push(w)}return{local:g,remote:A(v,b)?null:v}}e.merge=L;function T(R,b){const I=Object.keys(R),P=Object.keys(b),E=P.filter(h=>I.indexOf(h)===-1).reduce((h,g)=>(h.add(g),h),new Set),f=I.filter(h=>P.indexOf(h)===-1).reduce((h,g)=>(h.add(g),h),new Set),p=new Set;for(const h of I){if(f.has(h))continue;const g=R[h],v=b[h];k.equals(g,v)||p.add(h)}return{added:E,removed:f,updated:p}}function A(R,b){const{added:I,removed:P,updated:E}=T(R,b);return I.size===0&&P.size===0&&E.size===0}}),define(te[230],ne([0,1,17,9,3,35,49,4,7,29,19,14,15,8,47,23,21,32,45,53,229,24]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l,w,S,y,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncStoreTypeSynchronizer=e.GlobalStateInitializer=e.GlobalStateSynchroniser=void 0;const r="globalState.argv.",c=["locale"];function i(u,m){const C=u.storage?Object.keys(u.storage).sort():[],_={};return C.forEach(O=>_[O]=u.storage[O]),u.storage=_,m?(0,A.toFormattedString)(u,{}):JSON.stringify(u)}const n=1;let o=class vt extends w.AbstractSynchroniser{constructor(m,C,_,O,M,D,U,F,x,q){super("globalState",m,M,x,C,_,D,U,O,F,q);this.storageService=x,this.version=n,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"globalState.json"),this.localResource=this.previewResource.with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(m.watch(this.extUri.dirname(this.environmentService.argvResource))),this._register(L.Event.any(L.Event.filter(m.onDidFilesChange,H=>H.contains(this.environmentService.argvResource)),L.Event.filter(x.onDidChangeValue,H=>H.scope===0&&H.target!==void 0?H.target===0:x.keys(0,0).includes(H.key)),this.storageService.onDidChangeTarget)(()=>this.triggerLocalChange()))}async generateSyncPreview(m,C,_){const O=m.syncData?JSON.parse(m.syncData.content):null;C=C===null&&_?m:C;const M=C&&C.syncData?JSON.parse(C.syncData.content):null,D=await this.getLocalGlobalState();O?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote ui state with local ui state...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote ui state does not exist. Synchronizing ui state for the first time.`);const U=this.getStorageKeys(M),{local:F,remote:x}=(0,y.merge)(D.storage,O?O.storage:null,M?M.storage:null,U,this.logService),q={content:null,local:F,remote:x,localChange:Object.keys(F.added).length>0||Object.keys(F.updated).length>0||F.removed.length>0?2:0,remoteChange:x!==null?2:0};return[{localResource:this.localResource,localContent:i(D,!1),localUserData:D,remoteResource:this.remoteResource,remoteContent:O?i(O,!1):null,previewResource:this.previewResource,previewResult:q,localChange:q.localChange,remoteChange:q.remoteChange,acceptedResource:this.acceptedResource,storageKeys:U}]}async hasRemoteChanged(m){const C=m.syncData?JSON.parse(m.syncData.content):null;if(C===null)return!0;const _=await this.getLocalGlobalState(),O=this.getStorageKeys(C),{remote:M}=(0,y.merge)(_.storage,C.storage,C.storage,O,this.logService);return M!==null}async getMergeResult(m,C){return{...m.previewResult,hasConflicts:!1}}async getAcceptResult(m,C,_,O){if(this.extUri.isEqual(C,this.localResource))return this.acceptLocal(m);if(this.extUri.isEqual(C,this.remoteResource))return this.acceptRemote(m);if(this.extUri.isEqual(C,this.previewResource))return m.previewResult;throw new Error(`Invalid Resource: ${C.toString()}`)}async acceptLocal(m){return{content:m.localContent,local:{added:{},removed:[],updated:{}},remote:m.localUserData.storage,localChange:0,remoteChange:2}}async acceptRemote(m){if(m.remoteContent!==null){const C=JSON.parse(m.remoteContent),{local:_,remote:O}=(0,y.merge)(m.localUserData.storage,C.storage,null,m.storageKeys,this.logService);return{content:m.remoteContent,local:_,remote:O,localChange:Object.keys(_.added).length>0||Object.keys(_.updated).length>0||_.removed.length>0?2:0,remoteChange:O!==null?2:0}}else return{content:m.remoteContent,local:{added:{},removed:[],updated:{}},remote:null,localChange:0,remoteChange:0}}async applyResult(m,C,_,O){let{localUserData:M}=_[0][0],{local:D,remote:U,localChange:F,remoteChange:x}=_[0][1];if(F===0&&x===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing ui state.`),F!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local ui state...`),await this.backupLocal(JSON.stringify(M)),await this.writeLocalGlobalState(D),this.logService.info(`${this.syncResourceLogLabel}: Updated local ui state`)),x!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote ui state...`);const q=JSON.stringify({storage:U});m=await this.updateRemoteUserData(q,O?null:m.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote ui state`)}C?.ref!==m.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized ui state...`),await this.updateLastSyncUserData(m),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized ui state`))}async getAssociatedResources({uri:m}){return[{resource:this.extUri.joinPath(m,"globalState.json"),comparableResource:vt.GLOBAL_STATE_DATA_URI}]}async resolveContent(m){if(this.extUri.isEqual(m,vt.GLOBAL_STATE_DATA_URI)){const _=await this.getLocalGlobalState();return i(_,!0)}if(this.extUri.isEqual(this.remoteResource,m)||this.extUri.isEqual(this.localResource,m)||this.extUri.isEqual(this.acceptedResource,m)){const _=await this.resolvePreviewContent(m);return _&&i(JSON.parse(_),!0)}let C=await super.resolveContent(m);if(C)return C;if(C=await super.resolveContent(this.extUri.dirname(m)),C){const _=this.parseSyncData(C);if(_)switch(this.extUri.basename(m)){case"globalState.json":return i(JSON.parse(_.content),!0)}}return null}async hasLocalData(){try{const{storage:m}=await this.getLocalGlobalState();if(Object.keys(m).length>1||m[`${r}.locale`]?.value!=="en")return!0}catch{}return!1}async getLocalGlobalState(){const m={},C=await this.getLocalArgvContent(),_=(0,T.parse)(C);for(const O of c)_[O]!==void 0&&(m[`${r}${O}`]={version:1,value:_[O]});for(const O of this.storageService.keys(0,0)){const M=this.storageService.get(O,0);M&&(m[O]={version:1,value:M})}return{storage:m}}async getLocalArgvContent(){try{this.logService.debug("GlobalStateSync#getLocalArgvContent",this.environmentService.argvResource);const m=await this.fileService.readFile(this.environmentService.argvResource);return this.logService.debug("GlobalStateSync#getLocalArgvContent - Resolved",this.environmentService.argvResource),m.value.toString()}catch(m){this.logService.debug((0,t.getErrorMessage)(m))}return"{}"}async writeLocalGlobalState({added:m,removed:C,updated:_}){const O={},M={},D=(F,x)=>{for(const q of F){if(q.startsWith(r)){O[q.substring(r.length)]=x?x[q].value:void 0;continue}if(x){const H=x[q];H.value!==String(this.storageService.get(q,0))&&(M[q]=H.value)}else this.storageService.get(q,0)!==void 0&&(M[q]=void 0)}};if(D(Object.keys(m),m),D(Object.keys(_),_),D(C),Object.keys(O).length&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating locale...`),await this.updateArgv(O),this.logService.info(`${this.syncResourceLogLabel}: Updated locale`)),Object.keys(M).length){this.logService.trace(`${this.syncResourceLogLabel}: Updating global state...`);for(const F of Object.keys(M))this.storageService.store(F,M[F],0,0);this.logService.info(`${this.syncResourceLogLabel}: Updated global state`,Object.keys(M))}}async updateArgv(m){const C=await this.getLocalArgvContent();let _=C;for(const O of Object.keys(m))_=(0,S.edit)(_,[O],m[O],{});C!==_&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating locale...`),await this.fileService.writeFile(this.environmentService.argvResource,k.VSBuffer.fromString(_)),this.logService.info(`${this.syncResourceLogLabel}: Updated locale.`))}getStorageKeys(m){const C=this.storageService.keys(0,0),_=this.storageService.keys(0,1),O=[...C,..._],M=m?.storage?Object.keys(m.storage).filter(D=>!D.startsWith(r)&&!O.includes(D)&&this.storageService.get(D,0)!==void 0):[];if(!R.isWeb){const D=[...d.ALL_SYNC_RESOURCES.map(U=>(0,d.getEnablementKey)(U)),d.SYNC_SERVICE_URL_TYPE];M.push(...D),_.push(...D)}return{user:C,machine:_,unregistered:M}}};o.GLOBAL_STATE_DATA_URI=b.URI.from({scheme:d.USER_DATA_SYNC_SCHEME,authority:"globalState",path:"/globalState.json"}),o=he([Y(0,f.IFileService),Y(1,d.IUserDataSyncStoreService),Y(2,d.IUserDataSyncBackupStoreService),Y(3,d.IUserDataSyncLogService),Y(4,E.IEnvironmentService),Y(5,d.IUserDataSyncEnablementService),Y(6,v.ITelemetryService),Y(7,P.IConfigurationService),Y(8,g.IStorageService),Y(9,l.IUriIdentityService)],o),e.GlobalStateSynchroniser=o;let s=class extends w.AbstractInitializer{constructor(m,C,_,O,M){super("globalState",_,O,C,M);this.storageService=m}async doInitialize(m){const C=m.syncData?JSON.parse(m.syncData.content):null;if(!C){this.logService.info("Skipping initializing global state because remote global state does not exist.");return}const _={},O={};for(const M of Object.keys(C.storage))M.startsWith(r)?_[M.substring(r.length)]=C.storage[M].value:this.storageService.get(M,0)===void 0&&(O[M]=C.storage[M].value);if(Object.keys(_).length){let M="{}";try{M=(await this.fileService.readFile(this.environmentService.argvResource)).value.toString()}catch{}for(const D of Object.keys(_))M=(0,S.edit)(M,[D],_[D],{});await this.fileService.writeFile(this.environmentService.argvResource,k.VSBuffer.fromString(M))}if(Object.keys(O).length)for(const M of Object.keys(O))this.storageService.store(M,O[M],0,0)}};s=he([Y(0,g.IStorageService),Y(1,f.IFileService),Y(2,E.IEnvironmentService),Y(3,d.IUserDataSyncLogService),Y(4,l.IUriIdentityService)],s),e.GlobalStateInitializer=s;let a=class{constructor(m,C,_,O,M){this.userDataSyncStoreClient=m,this.storageService=C,this.environmentService=_,this.fileService=O,this.logService=M}getSyncStoreType(m){return this.parseGlobalState(m)?.storage[d.SYNC_SERVICE_URL_TYPE]?.value}async sync(m){const C=(0,d.createSyncHeaders)((0,I.generateUuid)());try{return await this.doSync(m,C)}catch(_){if(_ instanceof d.UserDataSyncError)switch(_.code){case"PreconditionFailed":return this.logService.info("Failed to synchronize UserDataSyncStoreType as there is a new remote version available. Synchronizing again..."),this.doSync(m,C)}throw _}}async doSync(m,C){const _=await this.userDataSyncStoreClient.read("globalState",null,C),O=this.parseGlobalState(_)||{storage:{}};O.storage[d.SYNC_SERVICE_URL_TYPE]={value:m,version:n};const M=await(0,h.getServiceMachineId)(this.environmentService,this.fileService,this.storageService),D={version:n,machineId:M,content:i(O,!1)};await this.userDataSyncStoreClient.write("globalState",JSON.stringify(D),_.ref,C)}parseGlobalState({content:m}){if(!m)return null;const C=JSON.parse(m);if((0,w.isSyncData)(C))return C?JSON.parse(C.content):null;throw new Error("Invalid remote data")}};a=he([Y(1,g.IStorageService),Y(2,E.IEnvironmentService),Y(3,f.IFileService),Y(4,p.ILogService)],a),e.UserDataSyncStoreTypeSynchronizer=a}),define(te[231],ne([0,1,16,17,3,35,4,11,145,19,14,15,23,21,32,45,226,24]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeybindingsInitializer=e.KeybindingsSynchroniser=e.getKeybindingsContentFromSyncContent=void 0;function w(d,r,c){try{const i=JSON.parse(d);if(!r)return(0,R.isUndefined)(i.all)?null:i.all;switch(A.OS){case 2:return(0,R.isUndefined)(i.mac)?null:i.mac;case 3:return(0,R.isUndefined)(i.linux)?null:i.linux;case 1:return(0,R.isUndefined)(i.windows)?null:i.windows}}catch(i){return c.error(i),null}}e.getKeybindingsContentFromSyncContent=w;let S=class extends g.AbstractJsonFileSynchroniser{constructor(r,c,i,n,o,s,a,u,m,C,_){super(a.keybindingsResource,"keybindings",s,a,u,r,c,o,C,i,m,n,_);this.version=2,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"keybindings.json"),this.localResource=this.previewResource.with({scheme:l.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:l.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:l.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(L.Event.filter(n.onDidChangeConfiguration,O=>O.affectsConfiguration("settingsSync.keybindingsPerPlatform"))(()=>this.triggerLocalChange()))}async generateSyncPreview(r,c,i,n){const o=r.syncData?w(r.syncData.content,n.keybindingsPerPlatform??this.syncKeybindingsPerPlatform(),this.logService):null;c=c===null&&i?r:c;const s=c?this.getKeybindingsContentFromLastSyncUserData(c):null,a=await this.getLocalFileContent(),u=await this.getFormattingOptions();let m=null,C=!1,_=!1,O=!1;if(o){let D=a?a.value.toString():"[]";if(D=D||"[]",this.hasErrors(D))throw new l.UserDataSyncError((0,b.localize)(0,null),"LocalInvalidContent",this.resource);if(!s||s!==D||s!==o){this.logService.trace(`${this.syncResourceLogLabel}: Merging remote keybindings with local keybindings...`);const U=await(0,v.merge)(D,o,s,u,this.userDataSyncUtilService);U.hasChanges&&(m=U.mergeContent,O=U.hasConflicts,C=O||U.mergeContent!==D,_=O||U.mergeContent!==o)}}else a&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote keybindings does not exist. Synchronizing keybindings for the first time.`),m=a.value.toString(),_=!0);const M={content:m,localChange:C?a?2:1:0,remoteChange:_?2:0,hasConflicts:O};return[{fileContent:a,localResource:this.localResource,localContent:a?a.value.toString():null,localChange:M.localChange,remoteResource:this.remoteResource,remoteContent:o,remoteChange:M.remoteChange,previewResource:this.previewResource,previewResult:M,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(r){const c=this.getKeybindingsContentFromLastSyncUserData(r);if(c===null)return!0;const i=await this.getLocalFileContent(),n=i?i.value.toString():"",o=await this.getFormattingOptions(),s=await(0,v.merge)(n||"[]",c,c,o,this.userDataSyncUtilService);return s.hasConflicts||s.mergeContent!==c}async getMergeResult(r,c){return r.previewResult}async getAcceptResult(r,c,i,n){if(this.extUri.isEqual(c,this.localResource))return{content:r.fileContent?r.fileContent.value.toString():null,localChange:0,remoteChange:2};if(this.extUri.isEqual(c,this.remoteResource))return{content:r.remoteContent,localChange:2,remoteChange:0};if(this.extUri.isEqual(c,this.previewResource))return i===void 0?{content:r.previewResult.content,localChange:r.previewResult.localChange,remoteChange:r.previewResult.remoteChange}:{content:i,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${c.toString()}`)}async applyResult(r,c,i,n){const{fileContent:o}=i[0][0];let{content:s,localChange:a,remoteChange:u}=i[0][1];if(a===0&&u===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing keybindings.`),s!==null&&(s=s.trim(),s=s||"[]",this.hasErrors(s)))throw new l.UserDataSyncError((0,b.localize)(1,null),"LocalInvalidContent",this.resource);if(a!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local keybindings...`),o&&await this.backupLocal(this.toSyncContent(o.value.toString())),await this.updateLocalFileContent(s||"[]",o,n),this.logService.info(`${this.syncResourceLogLabel}: Updated local keybindings`)),u!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote keybindings...`);const m=this.toSyncContent(s||"[]",r.syncData?.content);r=await this.updateRemoteUserData(m,n?null:r.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote keybindings`)}try{await this.fileService.del(this.previewResource)}catch{}c?.ref!==r.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized keybindings...`),await this.updateLastSyncUserData(r,{platformSpecific:this.syncKeybindingsPerPlatform()}),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized keybindings`))}async hasLocalData(){try{const r=await this.getLocalFileContent();if(r){const c=(0,T.parse)(r.value.toString());if((0,k.isNonEmptyArray)(c))return!0}}catch(r){if(r.fileOperationResult!==1)return!0}return!1}async getAssociatedResources({uri:r}){const c=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(r,"keybindings.json"),comparableResource:c}]}async resolveContent(r){if(this.extUri.isEqual(this.remoteResource,r)||this.extUri.isEqual(this.localResource,r)||this.extUri.isEqual(this.acceptedResource,r))return this.resolvePreviewContent(r);let c=await super.resolveContent(r);if(c)return c;if(c=await super.resolveContent(this.extUri.dirname(r)),c){const i=this.parseSyncData(c);if(i)switch(this.extUri.basename(r)){case"keybindings.json":return w(i.content,this.syncKeybindingsPerPlatform(),this.logService)}}return null}getKeybindingsContentFromLastSyncUserData(r){return!r.syncData||r.platformSpecific!==void 0&&r.platformSpecific!==this.syncKeybindingsPerPlatform()?null:w(r.syncData.content,this.syncKeybindingsPerPlatform(),this.logService)}toSyncContent(r,c){let i={};try{i=JSON.parse(c||"{}")}catch(n){this.logService.error(n)}switch(this.syncKeybindingsPerPlatform()?delete i.all:i.all=r,A.OS){case 2:i.mac=r;break;case 3:i.linux=r;break;case 1:i.windows=r;break}return JSON.stringify(i)}syncKeybindingsPerPlatform(){return!!this.configurationService.getValue("settingsSync.keybindingsPerPlatform")}};S=he([Y(0,l.IUserDataSyncStoreService),Y(1,l.IUserDataSyncBackupStoreService),Y(2,l.IUserDataSyncLogService),Y(3,I.IConfigurationService),Y(4,l.IUserDataSyncEnablementService),Y(5,E.IFileService),Y(6,P.IEnvironmentService),Y(7,f.IStorageService),Y(8,l.IUserDataSyncUtilService),Y(9,p.ITelemetryService),Y(10,h.IUriIdentityService)],S),e.KeybindingsSynchroniser=S;let y=class extends g.AbstractInitializer{constructor(r,c,i,n){super("keybindings",c,i,r,n)}async doInitialize(r){const c=r.syncData?this.getKeybindingsContentFromSyncContent(r.syncData.content):null;if(!c){this.logService.info("Skipping initializing keybindings because remote keybindings does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing keybindings because local keybindings exist.");return}await this.fileService.writeFile(this.environmentService.keybindingsResource,t.VSBuffer.fromString(c)),await this.updateLastSyncUserData(r)}async isEmpty(){try{const r=await this.fileService.readFile(this.environmentService.settingsResource),c=(0,T.parse)(r.value.toString());return!(0,k.isNonEmptyArray)(c)}catch(r){return r.fileOperationResult===1}}getKeybindingsContentFromSyncContent(r){try{return w(r,!0,this.logService)}catch(c){return this.logService.error(c),null}}};y=he([Y(0,E.IFileService),Y(1,P.IEnvironmentService),Y(2,l.IUserDataSyncLogService),Y(3,h.IUriIdentityService)],y),e.KeybindingsInitializer=y}),define(te[232],ne([0,1,16,35,70,49,28,53,24]),function(J,e,k,t,L,T,A,R,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.addSetting=e.isEmpty=e.areSame=e.merge=e.updateIgnoredSettings=e.getIgnoredSettings=void 0;function I(s,a,u){let m=[];u?m=E(u):m=P(a);const C=[],_=[...(0,b.getDisallowedIgnoredSettings)()];if(Array.isArray(m))for(const O of m)O.startsWith("-")?_.push(O.substring(1)):C.push(O);return(0,k.distinct)([...s,...C].filter(O=>_.indexOf(O)===-1))}e.getIgnoredSettings=I;function P(s){let a=s.inspect("settingsSync.ignoredSettings").userValue;return a!==void 0||(a=s.inspect("sync.ignoredSettings").userValue,a!==void 0)?a:s.getValue("settingsSync.ignoredSettings")||[]}function E(s){const a=(0,t.parse)(s);return a?a["settingsSync.ignoredSettings"]||a["sync.ignoredSettings"]||[]:[]}function f(s,a,u,m){if(u.length){const C=o(a),_=(0,t.parse)(a),O=(0,t.parse)(s),M=[];for(const D of u){const U=_[D],F=O[D];U===void 0?s=R.edit(s,[D],void 0,m):F!==void 0?s=R.edit(s,[D],U,m):M.push(d(D,C))}M.sort((D,U)=>D.startOffset-U.startOffset),M.forEach(D=>s=l(D.setting.key,a,s,m))}return s}e.updateIgnoredSettings=f;function p(s,a,u,m,C,_){const O=f(s,a,m,_),M=u!==O,D=u!==a;if(!M&&!D)return{conflictsSettings:[],localContent:null,remoteContent:null,hasConflicts:!1};if(M&&!D)return{conflictsSettings:[],localContent:null,remoteContent:O,hasConflicts:!1};if(D&&!M)return{conflictsSettings:[],localContent:f(a,s,m,_),remoteContent:null,hasConflicts:!1};if(u===null&&g(s)){const z=h(s,a,m)?null:f(a,s,m,_);return{conflictsSettings:[],localContent:z,remoteContent:null,hasConflicts:!1}}let U=s,F=a;const x=(0,t.parse)(s),q=(0,t.parse)(a),H=u?(0,t.parse)(u):null,re=m.reduce((z,G)=>(z.add(G),z),new Set),B=v(x,q,re),W=v(H,x,re),K=v(H,q,re),V=new Map,X=new Set,Z=z=>{X.add(z);const G=C.filter(({key:ee})=>ee===z)[0];G?(U=R.edit(U,[z],G.value,_),F=R.edit(F,[z],G.value,_)):V.set(z,{key:z,localValue:x[z],remoteValue:q[z]})};for(const z of W.removed.values())K.updated.has(z)?Z(z):F=R.edit(F,[z],void 0,_);for(const z of K.removed.values())X.has(z)||(W.updated.has(z)?Z(z):U=R.edit(U,[z],void 0,_));for(const z of W.updated.values())X.has(z)||(K.updated.has(z)?B.updated.has(z)&&Z(z):F=R.edit(F,[z],x[z],_));for(const z of K.updated.values())X.has(z)||(W.updated.has(z)?B.updated.has(z)&&Z(z):U=R.edit(U,[z],q[z],_));for(const z of W.added.values())X.has(z)||(K.added.has(z)?B.updated.has(z)&&Z(z):F=l(z,U,F,_));for(const z of K.added.values())X.has(z)||(W.added.has(z)?B.updated.has(z)&&Z(z):U=l(z,F,U,_));const j=V.size>0||!h(U,F,m),N=j||!h(U,s,[]),$=j||!h(F,a,[]);return{localContent:N?U:null,remoteContent:$?F:null,conflictsSettings:[...V.values()],hasConflicts:j}}e.merge=p;function h(s,a,u){if(s===a)return!0;const m=(0,t.parse)(s),C=(0,t.parse)(a),_=u.reduce((D,U)=>(D.add(U),D),new Set),O=o(s).filter(D=>!(D.setting&&_.has(D.setting.key))),M=o(a).filter(D=>!(D.setting&&_.has(D.setting.key)));if(O.length!==M.length)return!1;for(let D=0;D<O.length;D++){const U=O[D],F=M[D];if(U.setting&&F.setting){if(U.setting.key!==F.setting.key||!A.equals(m[U.setting.key],C[U.setting.key]))return!1}else if(!U.setting&&!F.setting){if(U.value!==F.value)return!1}else return!1}return!0}e.areSame=h;function g(s){return s?o(s).length===0:!0}e.isEmpty=g;function v(s,a,u){const m=s?Object.keys(s).filter(D=>!u.has(D)):[],C=Object.keys(a).filter(D=>!u.has(D)),_=C.filter(D=>m.indexOf(D)===-1).reduce((D,U)=>(D.add(U),D),new Set),O=m.filter(D=>C.indexOf(D)===-1).reduce((D,U)=>(D.add(U),D),new Set),M=new Set;if(s)for(const D of m){if(O.has(D))continue;const U=s[D],F=a[D];A.equals(U,F)||M.add(D)}return{added:_,removed:O,updated:M}}function l(s,a,u,m){const C=(0,t.parse)(a),_=o(a),O=o(u),M=w(s,_,O);return S(u,s,C[s],M,O,m)}e.addSetting=l;function w(s,a,u){const m=a.findIndex(_=>_.setting?.key===s),C=a[m-1];if(C){if(C.setting){const O=d(C.setting.key,u);if(O)return{index:u.indexOf(O),insertAfter:!0}}else{const O=r(m,a);if(O){const M=d(O.setting.key,u);if(M){const D=c(u.indexOf(M),u),U=i(a,O,a[m]);if(D){const F=i(u,M,D),x=n(U,F);return x?{index:u.indexOf(x),insertAfter:!0}:{index:u.indexOf(D),insertAfter:!1}}else{const F=i(u,M,u[u.length-1]),x=n(U,F);return x?{index:u.indexOf(x),insertAfter:!0}:{index:u.length-1,insertAfter:!0}}}}}const _=a[m+1];if(_)if(_.setting){const O=d(_.setting.key,u);if(O)return{index:u.indexOf(O),insertAfter:!1}}else{const O=c(m,a);if(O){const M=d(O.setting.key,u);if(M){const D=r(u.indexOf(M),u),U=i(a,a[m],O);if(D){const F=i(u,D,M),x=n(U.reverse(),F.reverse());return x?{index:u.indexOf(x),insertAfter:!1}:{index:u.indexOf(D),insertAfter:!0}}else{const F=i(u,u[0],M),x=n(U.reverse(),F.reverse());return x?{index:u.indexOf(x),insertAfter:!1}:{index:0,insertAfter:!1}}}}}}return{index:u.length-1,insertAfter:!0}}function S(s,a,u,m,C,_){let O;return m.index===-1?O=(0,L.setProperty)(s,[a],u,_):O=y(s,a,u,m,C,_).map(M=>(0,L.withFormatting)(s,M,_)[0]),(0,L.applyEdits)(s,O)}function y(s,a,u,m,C,_){const O=`${JSON.stringify(a)}: ${JSON.stringify(u)}`,M=(0,T.getEOL)(_,s),D=C[m.index];if(m.insertAfter){const U=[];if(D.setting)U.push({offset:D.endOffset,length:0,content:","+O});else{const F=c(m.index,C),x=r(m.index,C),q=x?.setting?.commaOffset;x&&q===void 0&&U.push({offset:x.endOffset,length:0,content:","});const H=q!==void 0&&q>D.endOffset;U.push({offset:H?q+1:D.endOffset,length:0,content:F?M+O+",":M+O})}return U}else{if(D.setting)return[{offset:D.startOffset,length:0,content:O+","}];const U=(C[m.index-1]&&!C[m.index-1].setting?M:"")+O+(c(m.index,C)?",":"")+M;return[{offset:D.startOffset,length:0,content:U}]}}function d(s,a){return a.filter(u=>u.setting?.key===s)[0]}function r(s,a){for(let u=s-1;u>=0;u--)if(a[u].setting)return a[u]}function c(s,a){for(let u=s+1;u<a.length;u++)if(a[u].setting)return a[u]}function i(s,a,u){const m=s.indexOf(a),C=s.indexOf(u);return s.filter((_,O)=>m<O&&O<C)}function n(s,a){if(s.length&&a.length){let u=0;for(;u<a.length&&u<s.length;u++)if(s[u].value!==a[u].value)return a[u-1];return a[u-1]}}function o(s){const a=[];let u=-1,m,C;const _={onObjectBegin:O=>{u++},onObjectProperty:(O,M,D)=>{u===0&&(m=M,C=O)},onObjectEnd:(O,M)=>{u--,u===0&&a.push({startOffset:m,endOffset:O+M,value:s.substring(m,O+M),setting:{key:C,commaOffset:void 0}})},onArrayBegin:(O,M)=>{u++},onArrayEnd:(O,M)=>{u--,u===0&&a.push({startOffset:m,endOffset:O+M,value:s.substring(m,O+M),setting:{key:C,commaOffset:void 0}})},onLiteralValue:(O,M,D)=>{u===0&&a.push({startOffset:m,endOffset:M+D,value:s.substring(m,M+D),setting:{key:C,commaOffset:void 0}})},onSeparator:(O,M,D)=>{if(u===0&&O===","){let U=a.length-1;for(;U>=0&&!a[U].setting;U--);const F=a[U];F&&a.splice(U,1,{startOffset:F.startOffset,endOffset:F.endOffset,value:F.value,setting:{key:F.setting.key,commaOffset:M}})}},onComment:(O,M)=>{u===0&&a.push({startOffset:O,endOffset:O+M,value:s.substring(O,O+M)})}};return(0,t.visit)(s,_),a}}),define(te[233],ne([0,1,17,3,146,19,90,14,30,15,23,21,32,45,53,232,24]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SettingsInitializer=e.SettingsSynchroniser=e.parseSettingsSyncContent=void 0;function l(d){return d&&d.settings&&typeof d.settings=="string"&&Object.keys(d).length===1}function w(d){const r=JSON.parse(d);return l(r)?r:{settings:d}}e.parseSettingsSyncContent=w;let S=class extends p.AbstractJsonFileSynchroniser{constructor(r,c,i,n,o,s,a,u,m,C,_,O){super(c.settingsResource,"settings",r,c,i,n,o,m,C,s,a,u,O);this.extensionManagementService=_,this.version=2,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"settings.json"),this.localResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._defaultIgnoredSettings=void 0}async getRemoteUserDataSyncConfiguration(r){const c=await this.getLastSyncUserData(),i=await this.getLatestRemoteUserData(r,c),n=this.getSettingsSyncContent(i),o=new A.ConfigurationModelParser(v.USER_DATA_SYNC_CONFIGURATION_SCOPE);return n?.settings&&o.parse(n.settings),o.configurationModel.getValue(v.USER_DATA_SYNC_CONFIGURATION_SCOPE)||{}}async generateSyncPreview(r,c,i){const n=await this.getLocalFileContent(),o=await this.getFormattingOptions(),s=this.getSettingsSyncContent(r);c=c===null&&i?r:c;const a=c?this.getSettingsSyncContent(c):null,u=await this.getIgnoredSettings();let m=null,C=!1,_=!1,O=!1;if(s){let D=n?n.value.toString().trim():"{}";D=D||"{}",this.validateContent(D),this.logService.trace(`${this.syncResourceLogLabel}: Merging remote settings with local settings...`);const U=(0,g.merge)(D,s.settings,a?a.settings:null,u,[],o);m=U.localContent||U.remoteContent,C=U.localContent!==null,_=U.remoteContent!==null,O=U.hasConflicts}else n&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote settings does not exist. Synchronizing settings for the first time.`),m=n.value.toString(),_=!0);const M={content:m,localChange:C?2:0,remoteChange:_?2:0,hasConflicts:O};return[{fileContent:n,localResource:this.localResource,localContent:n?n.value.toString():null,localChange:M.localChange,remoteResource:this.remoteResource,remoteContent:s?s.settings:null,remoteChange:M.remoteChange,previewResource:this.previewResource,previewResult:M,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(r){const c=this.getSettingsSyncContent(r);if(c===null)return!0;const i=await this.getLocalFileContent(),n=i?i.value.toString().trim():"",o=await this.getIgnoredSettings(),s=await this.getFormattingOptions();return(0,g.merge)(n||"{}",c.settings,c.settings,o,[],s).remoteContent!==null}async getMergeResult(r,c){const i=await this.getFormattingOptions(),n=await this.getIgnoredSettings();return{...r.previewResult,content:r.previewResult.content?(0,g.updateIgnoredSettings)(r.previewResult.content,"{}",n,i):null}}async getAcceptResult(r,c,i,n){const o=await this.getFormattingOptions(),s=await this.getIgnoredSettings();if(this.extUri.isEqual(c,this.localResource))return{content:r.fileContent?(0,g.updateIgnoredSettings)(r.fileContent.value.toString(),"{}",s,o):null,localChange:0,remoteChange:2};if(this.extUri.isEqual(c,this.remoteResource))return{content:r.remoteContent!==null?(0,g.updateIgnoredSettings)(r.remoteContent,r.fileContent?r.fileContent.value.toString():"{}",s,o):null,localChange:2,remoteChange:0};if(this.extUri.isEqual(c,this.previewResource))return i===void 0?{content:r.previewResult.content,localChange:r.previewResult.localChange,remoteChange:r.previewResult.remoteChange}:{content:i!==null?(0,g.updateIgnoredSettings)(i,r.fileContent?r.fileContent.value.toString():"{}",s,o):null,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${c.toString()}`)}async applyResult(r,c,i,n){const{fileContent:o}=i[0][0];let{content:s,localChange:a,remoteChange:u}=i[0][1];if(a===0&&u===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing settings.`),s=s?s.trim():"{}",s=s||"{}",this.validateContent(s),a!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local settings...`),o&&await this.backupLocal(JSON.stringify(this.toSettingsSyncContent(o.value.toString()))),await this.updateLocalFileContent(s,o,n),await this.configurationService.reloadConfiguration(2),this.logService.info(`${this.syncResourceLogLabel}: Updated local settings`)),u!==0){const m=await this.getFormattingOptions(),C=this.getSettingsSyncContent(r),_=await this.getIgnoredSettings(s);s=(0,g.updateIgnoredSettings)(s,C?C.settings:"{}",_,m),this.logService.trace(`${this.syncResourceLogLabel}: Updating remote settings...`),r=await this.updateRemoteUserData(JSON.stringify(this.toSettingsSyncContent(s)),n?null:r.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote settings`)}try{await this.fileService.del(this.previewResource)}catch{}c?.ref!==r.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized settings...`),await this.updateLastSyncUserData(r),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized settings`))}async hasLocalData(){try{const r=await this.getLocalFileContent();if(r){const c=await this.getFormattingOptions(),i=(0,h.edit)(r.value.toString(),[v.CONFIGURATION_SYNC_STORE_KEY],void 0,c);return!(0,g.isEmpty)(i)}}catch(r){if(r.fileOperationResult!==1)return!0}return!1}async getAssociatedResources({uri:r}){const c=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(r,"settings.json"),comparableResource:c}]}async resolveContent(r){if(this.extUri.isEqual(this.remoteResource,r)||this.extUri.isEqual(this.localResource,r)||this.extUri.isEqual(this.acceptedResource,r))return this.resolvePreviewContent(r);let c=await super.resolveContent(r);if(c)return c;if(c=await super.resolveContent(this.extUri.dirname(r)),c){const i=this.parseSyncData(c);if(i){const n=this.parseSettingsSyncContent(i.content);if(n)switch(this.extUri.basename(r)){case"settings.json":return n.settings}}}return null}async resolvePreviewContent(r){let c=await super.resolvePreviewContent(r);if(c){const i=await this.getFormattingOptions(),n=await this.getIgnoredSettings();c=(0,g.updateIgnoredSettings)(c,"{}",n,i)}return c}getSettingsSyncContent(r){return r.syncData?this.parseSettingsSyncContent(r.syncData.content):null}parseSettingsSyncContent(r){try{return w(r)}catch(c){this.logService.error(c)}return null}toSettingsSyncContent(r){return{settings:r}}async getIgnoredSettings(r){if(!this._defaultIgnoredSettings){this._defaultIgnoredSettings=this.userDataSyncUtilService.resolveDefaultIgnoredSettings();const i=t.Event.any(t.Event.filter(this.extensionManagementService.onDidInstallExtensions,n=>n.some(({local:o})=>!!o)),t.Event.filter(this.extensionManagementService.onDidUninstallExtension,n=>!n.error))(()=>{i.dispose(),this._defaultIgnoredSettings=void 0})}const c=await this._defaultIgnoredSettings;return(0,g.getIgnoredSettings)(c,this.configurationService,r)}validateContent(r){if(this.hasErrors(r))throw new v.UserDataSyncError((0,L.localize)(0,null),"LocalInvalidContent",this.resource)}};S=he([Y(0,I.IFileService),Y(1,R.IEnvironmentService),Y(2,P.IStorageService),Y(3,v.IUserDataSyncStoreService),Y(4,v.IUserDataSyncBackupStoreService),Y(5,v.IUserDataSyncLogService),Y(6,v.IUserDataSyncUtilService),Y(7,T.IConfigurationService),Y(8,v.IUserDataSyncEnablementService),Y(9,E.ITelemetryService),Y(10,b.IExtensionManagementService),Y(11,f.IUriIdentityService)],S),e.SettingsSynchroniser=S;let y=class extends p.AbstractInitializer{constructor(r,c,i,n){super("settings",c,i,r,n)}async doInitialize(r){const c=r.syncData?this.parseSettingsSyncContent(r.syncData.content):null;if(!c){this.logService.info("Skipping initializing settings because remote settings does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing settings because local settings exist.");return}await this.fileService.writeFile(this.environmentService.settingsResource,k.VSBuffer.fromString(c.settings)),await this.updateLastSyncUserData(r)}async isEmpty(){try{const r=await this.fileService.readFile(this.environmentService.settingsResource);return(0,g.isEmpty)(r.value.toString().trim())}catch(r){return r.fileOperationResult===1}}parseSettingsSyncContent(r){try{return w(r)}catch(c){this.logService.error(c)}return null}};y=he([Y(0,I.IFileService),Y(1,R.IEnvironmentService),Y(2,v.IUserDataSyncLogService),Y(3,f.IUriIdentityService)],y),e.SettingsInitializer=y}),define(te[234],ne([0,1,17,3,28,19,14,15,23,21,32,45,227,24]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnippetsInitializer=e.SnippetsSynchroniser=void 0;let h=class extends E.AbstractSynchroniser{constructor(l,w,S,y,d,r,c,i,n,o){super("snippets",w,l,S,y,d,i,n,r,c,o);this.version=1,this.snippetsFolder=l.snippetsHome,this._register(this.fileService.watch(l.userRoamingDataHome)),this._register(this.fileService.watch(this.snippetsFolder)),this._register(t.Event.filter(this.fileService.onDidFilesChange,s=>s.affects(this.snippetsFolder))(()=>this.triggerLocalChange()))}async generateSyncPreview(l,w,S){const y=await this.getSnippetsFileContents(),d=this.toSnippetsContents(y),r=l.syncData?this.parseSnippets(l.syncData):null;w=w===null&&S?l:w;const c=w&&w.syncData?this.parseSnippets(w.syncData):null;r?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote snippets with local snippets...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote snippets does not exist. Synchronizing snippets for the first time.`);const i=(0,f.merge)(d,r,c);return this.getResourcePreviews(i,y,r||{})}async hasRemoteChanged(l){const w=l.syncData?this.parseSnippets(l.syncData):null;if(w===null)return!0;const S=await this.getSnippetsFileContents(),y=this.toSnippetsContents(S),d=(0,f.merge)(y,w,w);return Object.keys(d.remote.added).length>0||Object.keys(d.remote.updated).length>0||d.remote.removed.length>0||d.conflicts.length>0}async getMergeResult(l,w){return l.previewResult}async getAcceptResult(l,w,S,y){if(this.extUri.isEqualOrParent(w,this.syncPreviewFolder.with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"})))return{content:l.fileContent?l.fileContent.value.toString():null,localChange:0,remoteChange:l.fileContent?l.remoteContent!==null?2:1:3};if(this.extUri.isEqualOrParent(w,this.syncPreviewFolder.with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"})))return{content:l.remoteContent,localChange:l.remoteContent!==null?l.fileContent?2:1:3,remoteChange:0};if(this.extUri.isEqualOrParent(w,this.syncPreviewFolder))return S===void 0?{content:l.previewResult.content,localChange:l.previewResult.localChange,remoteChange:l.previewResult.remoteChange}:{content:S,localChange:S===null?l.fileContent!==null?3:0:2,remoteChange:S===null?l.remoteContent!==null?3:0:2};throw new Error(`Invalid Resource: ${w.toString()}`)}async applyResult(l,w,S,y){const d=S.map(([r,c])=>({...r,acceptResult:c}));d.every(({localChange:r,remoteChange:c})=>r===0&&c===0)&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing snippets.`),d.some(({localChange:r})=>r!==0)&&(await this.updateLocalBackup(d),await this.updateLocalSnippets(d,y)),d.some(({remoteChange:r})=>r!==0)&&(l=await this.updateRemoteSnippets(d,l,y)),w?.ref!==l.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized snippets...`),await this.updateLastSyncUserData(l),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized snippets`));for(const{previewResource:r}of d)try{await this.fileService.del(r)}catch{}}getResourcePreviews(l,w,S){const y=new Map;for(const d of Object.keys(l.local.added)){const r={content:l.local.added[d],hasConflicts:!1,localChange:1,remoteChange:0};y.set(d,{fileContent:null,localResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),localContent:null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:S[d],previewResource:this.extUri.joinPath(this.syncPreviewFolder,d),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const d of Object.keys(l.local.updated)){const r={content:l.local.updated[d],hasConflicts:!1,localChange:2,remoteChange:0};y.set(d,{localResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:w[d],localContent:w[d].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:S[d],previewResource:this.extUri.joinPath(this.syncPreviewFolder,d),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const d of l.local.removed){const r={content:null,hasConflicts:!1,localChange:3,remoteChange:0};y.set(d,{localResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:w[d],localContent:w[d].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,d),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const d of Object.keys(l.remote.added)){const r={content:l.remote.added[d],hasConflicts:!1,localChange:0,remoteChange:1};y.set(d,{localResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:w[d],localContent:w[d].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,d),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const d of Object.keys(l.remote.updated)){const r={content:l.remote.updated[d],hasConflicts:!1,localChange:0,remoteChange:2};y.set(d,{localResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:w[d],localContent:w[d].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:S[d],previewResource:this.extUri.joinPath(this.syncPreviewFolder,d),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const d of l.remote.removed){const r={content:null,hasConflicts:!1,localChange:0,remoteChange:3};y.set(d,{localResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:null,localContent:null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:S[d],previewResource:this.extUri.joinPath(this.syncPreviewFolder,d),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const d of l.conflicts){const r={content:w[d]?w[d].value.toString():null,hasConflicts:!0,localChange:w[d]?2:1,remoteChange:S[d]?2:1};y.set(d,{localResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:w[d]||null,localContent:w[d]?w[d].value.toString():null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:S[d]||null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,d),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const d of Object.keys(w))if(!y.has(d)){const r={content:w[d]?w[d].value.toString():null,hasConflicts:!1,localChange:0,remoteChange:0};y.set(d,{localResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:w[d]||null,localContent:w[d]?w[d].value.toString():null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:S[d]||null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,d),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,d).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}return[...y.values()]}async getAssociatedResources({uri:l}){let w=await super.resolveContent(l);if(w){const S=this.parseSyncData(w);if(S){const y=this.parseSnippets(S),d=[];for(const r of Object.keys(y)){const c=this.extUri.joinPath(l,r),i=this.extUri.joinPath(this.snippetsFolder,r),n=await this.fileService.exists(i);d.push({resource:c,comparableResource:n?i:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"})})}return d}}return[]}async resolveContent(l){if(this.extUri.isEqualOrParent(l,this.syncPreviewFolder.with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}))||this.extUri.isEqualOrParent(l,this.syncPreviewFolder.with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}))||this.extUri.isEqualOrParent(l,this.syncPreviewFolder.with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})))return this.resolvePreviewContent(l);let w=await super.resolveContent(l);if(w)return w;if(w=await super.resolveContent(this.extUri.dirname(l)),w){const S=this.parseSyncData(w);if(S)return this.parseSnippets(S)[this.extUri.basename(l)]||null}return null}async hasLocalData(){try{const l=await this.getSnippetsFileContents();if(Object.keys(l).length)return!0}catch{}return!1}async updateLocalBackup(l){const w={};for(const S of l)S.fileContent&&(w[this.extUri.basename(S.localResource)]=S.fileContent);await this.backupLocal(JSON.stringify(this.toSnippetsContents(w)))}async updateLocalSnippets(l,w){for(const{fileContent:S,acceptResult:y,localResource:d,remoteResource:r,localChange:c}of l)if(c!==0){const i=r?this.extUri.basename(r):this.extUri.basename(d),n=this.extUri.joinPath(this.snippetsFolder,i);c===3?(this.logService.trace(`${this.syncResourceLogLabel}: Deleting snippet...`,this.extUri.basename(n)),await this.fileService.del(n),this.logService.info(`${this.syncResourceLogLabel}: Deleted snippet`,this.extUri.basename(n))):c===1?(this.logService.trace(`${this.syncResourceLogLabel}: Creating snippet...`,this.extUri.basename(n)),await this.fileService.createFile(n,k.VSBuffer.fromString(y.content),{overwrite:w}),this.logService.info(`${this.syncResourceLogLabel}: Created snippet`,this.extUri.basename(n))):(this.logService.trace(`${this.syncResourceLogLabel}: Updating snippet...`,this.extUri.basename(n)),await this.fileService.writeFile(n,k.VSBuffer.fromString(y.content),w?void 0:S),this.logService.info(`${this.syncResourceLogLabel}: Updated snippet`,this.extUri.basename(n)))}}async updateRemoteSnippets(l,w,S){const y=w.syncData?this.parseSnippets(w.syncData):{},d=(0,L.deepClone)(y);for(const{acceptResult:r,localResource:c,remoteResource:i,remoteChange:n}of l)if(n!==0){const o=c?this.extUri.basename(c):this.extUri.basename(i);n===3?delete d[o]:d[o]=r.content}return(0,f.areSame)(y,d)||(this.logService.trace(`${this.syncResourceLogLabel}: Updating remote snippets...`),w=await this.updateRemoteUserData(JSON.stringify(d),S?null:w.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote snippets`)),w}parseSnippets(l){return JSON.parse(l.content)}toSnippetsContents(l){const w={};for(const S of Object.keys(l))w[S]=l[S].value.toString();return w}async getSnippetsFileContents(){const l={};let w;try{w=await this.fileService.resolve(this.snippetsFolder)}catch(S){if(S instanceof R.FileOperationError&&S.fileOperationResult===1)return l;throw S}for(const S of w.children||[]){const y=S.resource,d=this.extUri.extname(y);if(d===".json"||d===".code-snippets"){const r=this.extUri.relativePath(this.snippetsFolder,y),c=await this.fileService.readFile(y);l[r]=c}}return l}};h=he([Y(0,A.IEnvironmentService),Y(1,R.IFileService),Y(2,b.IStorageService),Y(3,p.IUserDataSyncStoreService),Y(4,p.IUserDataSyncBackupStoreService),Y(5,p.IUserDataSyncLogService),Y(6,T.IConfigurationService),Y(7,p.IUserDataSyncEnablementService),Y(8,I.ITelemetryService),Y(9,P.IUriIdentityService)],h),e.SnippetsSynchroniser=h;let g=class extends E.AbstractInitializer{constructor(l,w,S,y){super("snippets",w,S,l,y)}async doInitialize(l){const w=l.syncData?JSON.parse(l.syncData.content):null;if(!w){this.logService.info("Skipping initializing snippets because remote snippets does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing snippets because local snippets exist.");return}for(const y of Object.keys(w)){const d=w[y];if(d){const r=this.extUri.joinPath(this.environmentService.snippetsHome,y);await this.fileService.createFile(r,k.VSBuffer.fromString(d)),this.logService.info("Created snippet",this.extUri.basename(r))}}await this.updateLastSyncUserData(l)}async isEmpty(){try{return!(await this.fileService.resolve(this.environmentService.snippetsHome)).children?.length}catch(l){return l.fileOperationResult===1}}};g=he([Y(0,R.IFileService),Y(1,A.IEnvironmentService),Y(2,p.IUserDataSyncLogService),Y(3,P.IUriIdentityService)],g),e.SnippetsInitializer=g}),define(te[235],ne([0,1,17,19,14,15,23,21,32,45,24]),function(J,e,k,t,L,T,A,R,b,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TasksInitializer=e.TasksSynchroniser=e.getTasksContentFromSyncContent=void 0;function E(g,v){try{return JSON.parse(g).tasks}catch(l){return v.error(l),null}}e.getTasksContentFromSyncContent=E;let f=class extends I.AbstractFileSynchroniser{constructor(v,l,w,S,y,d,r,c,i,n){super(n.extUri.joinPath(n.extUri.dirname(r.settingsResource),"tasks.json"),"tasks",d,r,c,v,l,y,i,w,S,n);this.version=1,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"tasks.json"),this.localResource=this.previewResource.with({scheme:P.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:P.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:P.USER_DATA_SYNC_SCHEME,authority:"accepted"})}async generateSyncPreview(v,l,w,S){const y=v.syncData?E(v.syncData.content,this.logService):null;l=l===null&&w?v:l;const d=l?.syncData?E(l.syncData.content,this.logService):null,r=await this.getLocalFileContent();let c=null,i=!1,n=!1,o=!1;if(y){const a=r?r.value.toString():null;if(!d||d!==a||d!==y){this.logService.trace(`${this.syncResourceLogLabel}: Merging remote tasks with local tasks...`);const u=h(a,y,d);c=u.content,o=u.hasConflicts,i=u.hasLocalChanged,n=u.hasRemoteChanged}}else r&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote tasks does not exist. Synchronizing tasks for the first time.`),c=r.value.toString(),n=!0);const s={content:c,localChange:i?r?2:1:0,remoteChange:n?2:0,hasConflicts:o};return[{fileContent:r,localResource:this.localResource,localContent:r?r.value.toString():null,localChange:s.localChange,remoteResource:this.remoteResource,remoteContent:y,remoteChange:s.remoteChange,previewResource:this.previewResource,previewResult:s,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(v){const l=v?.syncData?E(v.syncData.content,this.logService):null;if(l===null)return!0;const w=await this.getLocalFileContent(),S=w?w.value.toString():null,y=h(S,l,l);return y.hasLocalChanged||y.hasRemoteChanged}async getMergeResult(v,l){return v.previewResult}async getAcceptResult(v,l,w,S){if(this.extUri.isEqual(l,this.localResource))return{content:v.fileContent?v.fileContent.value.toString():null,localChange:0,remoteChange:2};if(this.extUri.isEqual(l,this.remoteResource))return{content:v.remoteContent,localChange:2,remoteChange:0};if(this.extUri.isEqual(l,this.previewResource))return w===void 0?{content:v.previewResult.content,localChange:v.previewResult.localChange,remoteChange:v.previewResult.remoteChange}:{content:w,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${l.toString()}`)}async applyResult(v,l,w,S){const{fileContent:y}=w[0][0];let{content:d,localChange:r,remoteChange:c}=w[0][1];if(r===0&&c===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing tasks.`),r!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local tasks...`),y&&await this.backupLocal(JSON.stringify(this.toTasksSyncContent(y.value.toString()))),await this.updateLocalFileContent(d||"{}",y,S),this.logService.info(`${this.syncResourceLogLabel}: Updated local tasks`)),c!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote tasks...`);const i=JSON.stringify(this.toTasksSyncContent(d||"{}"));v=await this.updateRemoteUserData(i,S?null:v.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote tasks`)}try{await this.fileService.del(this.previewResource)}catch{}l?.ref!==v.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized tasks...`),await this.updateLastSyncUserData(v),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized tasks`))}async hasLocalData(){return this.fileService.exists(this.file)}async getAssociatedResources({uri:v}){const l=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(v,"tasks.json"),comparableResource:l}]}async resolveContent(v){if(this.extUri.isEqual(this.remoteResource,v)||this.extUri.isEqual(this.localResource,v)||this.extUri.isEqual(this.acceptedResource,v))return this.resolvePreviewContent(v);let l=await super.resolveContent(v);if(l)return l;if(l=await super.resolveContent(this.extUri.dirname(v)),l){const w=this.parseSyncData(l);if(w)switch(this.extUri.basename(v)){case"tasks.json":return E(w.content,this.logService)}}return null}toTasksSyncContent(v){return{tasks:v}}};f=he([Y(0,P.IUserDataSyncStoreService),Y(1,P.IUserDataSyncBackupStoreService),Y(2,P.IUserDataSyncLogService),Y(3,t.IConfigurationService),Y(4,P.IUserDataSyncEnablementService),Y(5,T.IFileService),Y(6,L.IEnvironmentService),Y(7,A.IStorageService),Y(8,R.ITelemetryService),Y(9,b.IUriIdentityService)],f),e.TasksSynchroniser=f;let p=class extends I.AbstractInitializer{constructor(v,l,w,S){super("tasks",l,w,v,S);this.uriIdentityService=S,this.tasksResource=this.uriIdentityService.extUri.joinPath(this.uriIdentityService.extUri.dirname(this.environmentService.settingsResource),"tasks.json")}async doInitialize(v){const l=v.syncData?E(v.syncData.content,this.logService):null;if(!l){this.logService.info("Skipping initializing tasks because remote tasks does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing tasks because local tasks exist.");return}await this.fileService.writeFile(this.tasksResource,k.VSBuffer.fromString(l)),await this.updateLastSyncUserData(v)}async isEmpty(){return this.fileService.exists(this.tasksResource)}};p=he([Y(0,T.IFileService),Y(1,L.IEnvironmentService),Y(2,P.IUserDataSyncLogService),Y(3,b.IUriIdentityService)],p),e.TasksInitializer=p;function h(g,v,l){if(g===null&&v===null&&l===null)return{content:null,hasLocalChanged:!1,hasRemoteChanged:!1,hasConflicts:!1};if(g===v)return{content:null,hasLocalChanged:!1,hasRemoteChanged:!1,hasConflicts:!1};const w=l!==g,S=l!==v;return!w&&!S?{content:null,hasLocalChanged:!1,hasRemoteChanged:!1,hasConflicts:!1}:w&&!S?{content:g,hasRemoteChanged:!0,hasLocalChanged:!1,hasConflicts:!1}:S&&!w?{content:v,hasLocalChanged:!0,hasRemoteChanged:!1,hasConflicts:!1}:{content:g,hasLocalChanged:!0,hasRemoteChanged:!0,hasConflicts:!0}}}),define(te[65],ne([0,1,3,2,6,24]),function(J,e,k,t,L,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncAccountService=e.IUserDataSyncAccountService=void 0,e.IUserDataSyncAccountService=(0,L.createDecorator)("IUserDataSyncAccountService");let A=class extends t.Disposable{constructor(b,I){super();this.userDataSyncStoreService=b,this.logService=I,this._onDidChangeAccount=this._register(new k.Emitter),this.onDidChangeAccount=this._onDidChangeAccount.event,this._onTokenFailed=this._register(new k.Emitter),this.onTokenFailed=this._onTokenFailed.event,this.wasTokenFailed=!1,this._register(b.onTokenFailed(()=>{this.logService.info("Settings Sync auth token failed",this.account?.authenticationProviderId,this.wasTokenFailed),this.updateAccount(void 0),this._onTokenFailed.fire(this.wasTokenFailed),this.wasTokenFailed=!0})),this._register(b.onTokenSucceed(()=>this.wasTokenFailed=!1))}get account(){return this._account}async updateAccount(b){(b&&this._account?b.token!==this._account.token||b.authenticationProviderId!==this._account.authenticationProviderId:b!==this._account)&&(this._account=b,this._account&&this.userDataSyncStoreService.setAuthToken(this._account.token,this._account.authenticationProviderId),this._onDidChangeAccount.fire(b))}};A=he([Y(0,T.IUserDataSyncStoreService),Y(1,T.IUserDataSyncLogService)],A),e.UserDataSyncAccountService=A}),define(te[236],ne([0,1,5,17,57,2,20,19,14,15,24]),function(J,e,k,t,L,T,A,R,b,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncBackupStoreService=void 0;let E=class extends T.Disposable{constructor(p,h,g,v){super();this.environmentService=p,this.fileService=h,this.configurationService=g,this.logService=v,P.ALL_SYNC_RESOURCES.forEach(l=>this.cleanUpBackup(l))}async getAllRefs(p){const h=(0,A.joinPath)(this.environmentService.userDataSyncHome,p),g=await this.fileService.resolve(h);return g.children?g.children.filter(l=>l.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(l.name)).sort().reverse().map(l=>({ref:l.name,created:this.getCreationTime(l)})):[]}async resolveContent(p,h){if(!h){const g=await this.getAllRefs(p);g.length&&(h=g[g.length-1].ref)}if(h){const g=(0,A.joinPath)(this.environmentService.userDataSyncHome,p,h);return(await this.fileService.readFile(g)).value.toString()}return null}async backup(p,h){const g=(0,A.joinPath)(this.environmentService.userDataSyncHome,p),v=(0,A.joinPath)(g,`${(0,L.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}.json`);try{await this.fileService.writeFile(v,t.VSBuffer.fromString(h))}catch(l){this.logService.error(l)}try{this.cleanUpBackup(p)}catch{}}async cleanUpBackup(p){const h=(0,A.joinPath)(this.environmentService.userDataSyncHome,p);try{try{if(!await this.fileService.exists(h))return}catch{return}const g=await this.fileService.resolve(h);if(g.children){const v=g.children.filter(y=>y.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(y.name)).sort(),l=1e3*60*60*24*(this.configurationService.getValue("sync.localBackupDuration")||30);let w=v.filter(y=>Date.now()-this.getCreationTime(y)>l);const S=v.length-w.length;S<10&&(w=w.slice(10-S)),await k.Promises.settled(w.map(async y=>{this.logService.info("Deleting from backup",y.resource.path),await this.fileService.del(y.resource)}))}}catch(g){this.logService.error(g)}}getCreationTime(p){return p.ctime||new Date(parseInt(p.name.substring(0,4)),parseInt(p.name.substring(4,6))-1,parseInt(p.name.substring(6,8)),parseInt(p.name.substring(9,11)),parseInt(p.name.substring(11,13)),parseInt(p.name.substring(13,15))).getTime()}};E=he([Y(0,b.IEnvironmentService),Y(1,I.IFileService),Y(2,R.IConfigurationService),Y(3,P.IUserDataSyncLogService)],E),e.UserDataSyncBackupStoreService=E}),define(te[237],ne([0,1,3,2,4,14,23,21,24]),function(J,e,k,t,L,T,A,R,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncEnablementService=void 0;const I="sync.enable";let P=class extends t.Disposable{constructor(f,p,h,g){super();this.storageService=f,this.telemetryService=p,this.environmentService=h,this.userDataSyncStoreManagementService=g,this._onDidChangeEnablement=new k.Emitter,this.onDidChangeEnablement=this._onDidChangeEnablement.event,this._onDidChangeResourceEnablement=new k.Emitter,this.onDidChangeResourceEnablement=this._onDidChangeResourceEnablement.event,this._register(f.onDidChangeValue(v=>this.onDidStorageChange(v)))}isEnabled(){switch(this.environmentService.sync){case"on":return!0;case"off":return!1}return this.storageService.getBoolean(I,0,!1)}canToggleEnablement(){return this.userDataSyncStoreManagementService.userDataSyncStore!==void 0&&this.environmentService.sync===void 0}setEnablement(f){f&&!this.canToggleEnablement()||(this.telemetryService.publicLog2(I,{enabled:f}),this.storageService.store(I,f,0,1))}isResourceEnabled(f){return this.storageService.getBoolean((0,b.getEnablementKey)(f),0,!0)}setResourceEnablement(f,p){if(this.isResourceEnabled(f)!==p){const h=(0,b.getEnablementKey)(f);this.storeResourceEnablement(h,p)}}getResourceSyncStateVersion(f){}storeResourceEnablement(f,p){this.storageService.store(f,p,0,L.isWeb?0:1)}onDidStorageChange(f){if(f.scope!==0)return;if(I===f.key){this._onDidChangeEnablement.fire(this.isEnabled());return}const p=b.ALL_SYNC_RESOURCES.filter(h=>(0,b.getEnablementKey)(h)===f.key)[0];if(p){this._onDidChangeResourceEnablement.fire([p,this.isResourceEnabled(p)]);return}}};P=he([Y(0,A.IStorageService),Y(1,R.ITelemetryService),Y(2,T.IEnvironmentService),Y(3,b.IUserDataSyncStoreManagementService)],P),e.UserDataSyncEnablementService=P}),define(te[238],ne([0,1,2,7]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncStoreManagementServiceChannelClient=e.UserDataSyncStoreManagementServiceChannel=e.UserDataSyncAccountServiceChannel=e.UserDataSyncMachinesServiceChannel=e.UserDataSyncUtilServiceClient=e.UserDataSycnUtilServiceChannel=e.UserDataAutoSyncChannel=void 0;class L{constructor(f){this.service=f}listen(f,p){switch(p){case"onError":return this.service.onError}throw new Error(`Event not found: ${p}`)}call(f,p,h){switch(p){case"triggerSync":return this.service.triggerSync(h[0],h[1],h[2]);case"turnOn":return this.service.turnOn();case"turnOff":return this.service.turnOff(h[0])}throw new Error("Invalid call")}}e.UserDataAutoSyncChannel=L;class T{constructor(f){this.service=f}listen(f,p){throw new Error(`Event not found: ${p}`)}call(f,p,h){switch(p){case"resolveDefaultIgnoredSettings":return this.service.resolveDefaultIgnoredSettings();case"resolveUserKeybindings":return this.service.resolveUserBindings(h[0]);case"resolveFormattingOptions":return this.service.resolveFormattingOptions(t.URI.revive(h[0]))}throw new Error("Invalid call")}}e.UserDataSycnUtilServiceChannel=T;class A{constructor(f){this.channel=f}async resolveDefaultIgnoredSettings(){return this.channel.call("resolveDefaultIgnoredSettings")}async resolveUserBindings(f){return this.channel.call("resolveUserKeybindings",[f])}async resolveFormattingOptions(f){return this.channel.call("resolveFormattingOptions",[f])}}e.UserDataSyncUtilServiceClient=A;class R{constructor(f){this.service=f}listen(f,p){switch(p){case"onDidChange":return this.service.onDidChange}throw new Error(`Event not found: ${p}`)}async call(f,p,h){switch(p){case"getMachines":return this.service.getMachines();case"addCurrentMachine":return this.service.addCurrentMachine();case"removeCurrentMachine":return this.service.removeCurrentMachine();case"renameMachine":return this.service.renameMachine(h[0],h[1]);case"setEnablements":return this.service.setEnablements(h)}throw new Error("Invalid call")}}e.UserDataSyncMachinesServiceChannel=R;class b{constructor(f){this.service=f}listen(f,p){switch(p){case"onDidChangeAccount":return this.service.onDidChangeAccount;case"onTokenFailed":return this.service.onTokenFailed}throw new Error(`Event not found: ${p}`)}call(f,p,h){switch(p){case"_getInitialData":return Promise.resolve(this.service.account);case"updateAccount":return this.service.updateAccount(h)}throw new Error("Invalid call")}}e.UserDataSyncAccountServiceChannel=b;class I{constructor(f){this.service=f}listen(f,p){switch(p){case"onDidChangeUserDataSyncStore":return this.service.onDidChangeUserDataSyncStore}throw new Error(`Event not found: ${p}`)}call(f,p,h){switch(p){case"switch":return this.service.switch(h[0]);case"getPreviousUserDataSyncStore":return this.service.getPreviousUserDataSyncStore()}throw new Error("Invalid call")}}e.UserDataSyncStoreManagementServiceChannel=I;class P extends k.Disposable{constructor(f){super();this.channel=f,this.onDidChangeUserDataSyncStore=this.channel.listen("onDidChangeUserDataSyncStore")}async switch(f){return this.channel.call("switch",[f])}async getPreviousUserDataSyncStore(){const f=await this.channel.call("getPreviousUserDataSyncStore");return this.revive(f)}revive(f){return{url:t.URI.revive(f.url),type:f.type,defaultUrl:t.URI.revive(f.defaultUrl),insidersUrl:t.URI.revive(f.insidersUrl),stableUrl:t.URI.revive(f.stableUrl),canSwitch:f.canSwitch,authenticationProviders:f.authenticationProviders}}}e.UserDataSyncStoreManagementServiceChannelClient=P}),define(te[239],ne([0,1,14,8]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncLogService=void 0;let L=class extends t.AbstractLogger{constructor(A,R){super();this.logger=this._register(A.createLogger(R.userDataSyncLogResource,{name:"settingssync"}))}trace(A,...R){this.logger.trace(A,...R)}debug(A,...R){this.logger.debug(A,...R)}info(A,...R){this.logger.info(A,...R)}warn(A,...R){this.logger.warn(A,...R)}error(A,...R){this.logger.error(A,...R)}critical(A,...R){this.logger.critical(A,...R)}flush(){this.logger.flush()}};L=he([Y(0,t.ILoggerService),Y(1,k.IEnvironmentService)],L),e.UserDataSyncLogService=L}),define(te[66],ne([0,1,3,2,4,26,149,14,15,6,27,47,23,24]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncMachinesService=e.isWebPlatform=e.IUserDataSyncMachinesService=void 0,e.IUserDataSyncMachinesService=(0,I.createDecorator)("IUserDataSyncMachinesService");const h="sync.currentMachineName",g="Safari",v="Chrome",l="Edge",w="Firefox",S="Android";function y(c){switch(c){case g:case v:case l:case w:case S:case(0,L.PlatformToString)(0):return!0}return!1}e.isWebPlatform=y;function d(){return L.isSafari?g:L.isChrome?v:L.isEdge?l:L.isFirefox?w:L.isAndroid?S:(0,L.PlatformToString)(L.isWeb?0:L.platform)}let r=class Ze extends t.Disposable{constructor(i,n,o,s,a,u){super();this.storageService=o,this.userDataSyncStoreService=s,this.logService=a,this.productService=u,this._onDidChange=this._register(new k.Emitter),this.onDidChange=this._onDidChange.event,this.userData=null,this.currentMachineIdPromise=(0,E.getServiceMachineId)(i,n,o)}async getMachines(i){const n=await this.currentMachineIdPromise;return(await this.readMachinesData(i)).machines.map(s=>({...s,isCurrent:s.id===n}))}async addCurrentMachine(i){const n=await this.currentMachineIdPromise,o=await this.readMachinesData(i);o.machines.some(({id:s})=>s===n)||(o.machines.push({id:n,name:this.computeCurrentMachineName(o.machines),platform:d()}),await this.writeMachinesData(o))}async removeCurrentMachine(i){const n=await this.currentMachineIdPromise,o=await this.readMachinesData(i),s=o.machines.filter(({id:a})=>a!==n);s.length!==o.machines.length&&(o.machines=s,await this.writeMachinesData(o))}async renameMachine(i,n,o){const s=await this.readMachinesData(o),a=s.machines.find(({id:u})=>u===i);if(a){a.name=n,await this.writeMachinesData(s);const u=await this.currentMachineIdPromise;i===u&&this.storageService.store(h,n,0,1)}}async setEnablements(i){const n=await this.readMachinesData();for(const[o,s]of i){const a=n.machines.find(u=>u.id===o);a&&(a.disabled=s?void 0:!0)}await this.writeMachinesData(n)}computeCurrentMachineName(i){const n=this.storageService.get(h,0);if(n)return n;const o=`${this.productService.embedderIdentifier?`${this.productService.embedderIdentifier} - `:""}${d()} (${this.productService.nameShort})`,s=new RegExp(`${(0,T.escapeRegExpCharacters)(o)}\\s#(\\d+)`);let a=0;for(const u of i){const m=s.exec(u.name),C=m?parseInt(m[1]):0;a=C>a?C:a}return`${o} #${a+1}`}async readMachinesData(i){this.userData=await this.readUserData(i);const n=this.parse(this.userData);if(n.version!==Ze.VERSION)throw new Error((0,A.localize)(0,null,this.productService.nameLong));return n}async writeMachinesData(i){const n=JSON.stringify(i),o=await this.userDataSyncStoreService.write(Ze.RESOURCE,n,this.userData?.ref||null);this.userData={ref:o,content:n},this._onDidChange.fire()}async readUserData(i){if(this.userData){const n=i&&i.latest?i.latest[Ze.RESOURCE]:void 0;if(this.userData.ref===n)return this.userData;if(n===void 0&&this.userData.content===null)return this.userData}return this.userDataSyncStoreService.read(Ze.RESOURCE,this.userData)}parse(i){if(i.content!==null)try{return JSON.parse(i.content)}catch(n){this.logService.error(n)}return{version:Ze.VERSION,machines:[]}}};r.VERSION=1,r.RESOURCE="machines",r=he([Y(0,R.IEnvironmentService),Y(1,b.IFileService),Y(2,f.IStorageService),Y(3,p.IUserDataSyncStoreService),Y(4,p.IUserDataSyncLogService),Y(5,P.IProductService)],r),e.UserDataSyncMachinesService=r}),define(te[240],ne([0,1,5,57,37,9,3,2,4,20,7,147,27,23,21,24,65,66]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataAutoSyncService=void 0;const w="sync.disableMachineEventually",S="sync.sessionId",y="sync.storeUrl",d="sync.productQuality";let r=class extends R.Disposable{constructor(n,o,s,a,u,m,C,_,O,M){super();this.userDataSyncStoreManagementService=o,this.userDataSyncStoreService=s,this.userDataSyncEnablementService=a,this.userDataSyncService=u,this.logService=m,this.userDataSyncAccountService=C,this.telemetryService=_,this.userDataSyncMachinesService=O,this.storageService=M,this.autoSync=this._register(new R.MutableDisposable),this.successiveFailures=0,this.lastSyncTriggerTime=void 0,this.suspendUntilRestart=!1,this._onError=this._register(new A.Emitter),this.onError=this._onError.event,this.sources=[],this.syncTriggerDelayer=this._register(new k.ThrottledDelayer(this.getSyncTriggerDelayTime())),this.lastSyncUrl=this.syncUrl,this.syncUrl=o.userDataSyncStore?.url,this.previousProductQuality=this.productQuality,this.productQuality=n.quality,this.syncUrl&&(this.logService.info("Using settings sync service",this.syncUrl.toString()),this._register(o.onDidChangeUserDataSyncStore(()=>{(0,I.isEqual)(this.syncUrl,o.userDataSyncStore?.url)||(this.lastSyncUrl=this.syncUrl,this.syncUrl=o.userDataSyncStore?.url,this.syncUrl&&this.logService.info("Using settings sync service",this.syncUrl.toString()))})),this.userDataSyncEnablementService.isEnabled()?this.logService.info("Auto Sync is enabled."):this.logService.info("Auto Sync is disabled."),this.updateAutoSync(),this.hasToDisableMachineEventually()&&this.disableMachineEventually(),this._register(C.onDidChangeAccount(()=>this.updateAutoSync())),this._register(s.onDidChangeDonotMakeRequestsUntil(()=>this.updateAutoSync())),this._register(u.onDidChangeLocal(D=>this.triggerSync([D],!1,!1))),this._register(A.Event.filter(this.userDataSyncEnablementService.onDidChangeResourceEnablement,([,D])=>D)(()=>this.triggerSync(["resourceEnablement"],!1,!1))),this._register(this.userDataSyncStoreManagementService.onDidChangeUserDataSyncStore(()=>this.triggerSync(["userDataSyncStoreChanged"],!1,!1))))}get syncUrl(){const n=this.storageService.get(y,0);return n?P.URI.parse(n):void 0}set syncUrl(n){n?this.storageService.store(y,n.toString(),0,1):this.storageService.remove(y,0)}get productQuality(){return this.storageService.get(d,0)}set productQuality(n){n?this.storageService.store(d,n,0,1):this.storageService.remove(d,0)}updateAutoSync(){const{enabled:n,message:o}=this.isAutoSyncEnabled();n?this.autoSync.value===void 0&&(this.autoSync.value=new c(this.lastSyncUrl,1e3*60*5,this.userDataSyncStoreManagementService,this.userDataSyncStoreService,this.userDataSyncService,this.userDataSyncMachinesService,this.logService,this.storageService),this.autoSync.value.register(this.autoSync.value.onDidStartSync(()=>this.lastSyncTriggerTime=new Date().getTime())),this.autoSync.value.register(this.autoSync.value.onDidFinishSync(s=>this.onDidFinishSync(s))),this.startAutoSync()&&this.autoSync.value.start()):(this.syncTriggerDelayer.cancel(),this.autoSync.value!==void 0?(o&&this.logService.info(o),this.autoSync.clear()):o&&this.userDataSyncEnablementService.isEnabled()&&this.logService.info(o))}startAutoSync(){return!0}isAutoSyncEnabled(){return this.userDataSyncEnablementService.isEnabled()?this.userDataSyncAccountService.account?this.userDataSyncStoreService.donotMakeRequestsUntil?{enabled:!1,message:`Auto Sync: Suspended until ${(0,t.toLocalISOString)(this.userDataSyncStoreService.donotMakeRequestsUntil)} because server is not accepting requests until then.`}:this.suspendUntilRestart?{enabled:!1,message:"Auto Sync: Suspended until restart."}:{enabled:!0}:{enabled:!1,message:"Auto Sync: Suspended until auth token is available."}:{enabled:!1,message:"Auto Sync: Disabled."}}async turnOn(){this.stopDisableMachineEventually(),this.lastSyncUrl=this.syncUrl,this.updateEnablement(!0)}async turnOff(n,o,s){try{this.userDataSyncAccountService.account&&!s&&await this.userDataSyncMachinesService.removeCurrentMachine(),this.updateEnablement(!1),this.storageService.remove(S,0),n?(this.telemetryService.publicLog2("sync/turnOffEveryWhere"),await this.userDataSyncService.reset()):await this.userDataSyncService.resetLocal()}catch(a){if(o)this.logService.error(a),this.updateEnablement(!1);else throw a}}updateEnablement(n){this.userDataSyncEnablementService.isEnabled()!==n&&(this.userDataSyncEnablementService.setEnablement(n),this.updateAutoSync())}hasProductQualityChanged(){return!!this.previousProductQuality&&!!this.productQuality&&this.previousProductQuality!==this.productQuality}async onDidFinishSync(n){if(!n){this.successiveFailures=0;return}const o=g.UserDataSyncError.toUserDataSyncError(n);o instanceof g.UserDataAutoSyncError&&this.telemetryService.publicLog2("autosync/error",{code:o.code,service:this.userDataSyncStoreManagementService.userDataSyncStore.url.toString()}),o.code==="SessionExpired"?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because current session is expired")):o.code==="TurnedOff"?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because sync is turned off in the cloud")):o.code==="LocalTooManyRequests"?(this.suspendUntilRestart=!0,this.logService.info("Auto Sync: Suspended sync because of making too many requests to server"),this.updateAutoSync()):o.code==="RemoteTooManyRequests"?(await this.turnOff(!1,!0,!0),this.disableMachineEventually(),this.logService.info("Auto Sync: Turned off sync because of making too many requests to server")):o.code==="UpgradeRequired"||o.code==="Gone"?(await this.turnOff(!1,!0,!0),this.disableMachineEventually(),this.logService.info("Auto Sync: Turned off sync because current client is not compatible with server. Requires client upgrade.")):o.code==="IncompatibleLocalContent"?(await this.turnOff(!1,!0),this.logService.info(`Auto Sync: Turned off sync because server has ${o.resource} content with newer version than of client. Requires client upgrade.`)):o.code==="IncompatibleRemoteContent"?(await this.turnOff(!1,!0),this.logService.info(`Auto Sync: Turned off sync because server has ${o.resource} content with older version than of client. Requires server reset.`)):o.code==="ServiceChanged"||o.code==="DefaultServiceChanged"?b.isWeb&&o.code==="DefaultServiceChanged"&&!this.hasProductQualityChanged()?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because default sync service is changed.")):(await this.turnOff(!1,!0,!0),await this.turnOn(),this.logService.info("Auto Sync: Sync Service changed. Turned off auto sync, reset local state and turned on auto sync.")):(this.logService.error(o),this.successiveFailures++),this._onError.fire(o)}async disableMachineEventually(){this.storageService.store(w,!0,0,1),await(0,k.timeout)(1e3*60*10),!!this.hasToDisableMachineEventually()&&(this.stopDisableMachineEventually(),!this.userDataSyncEnablementService.isEnabled()&&this.userDataSyncAccountService.account&&await this.userDataSyncMachinesService.removeCurrentMachine())}hasToDisableMachineEventually(){return this.storageService.getBoolean(w,0,!1)}stopDisableMachineEventually(){this.storageService.remove(w,0)}async triggerSync(n,o,s){if(this.autoSync.value===void 0)return this.syncTriggerDelayer.cancel();if(o&&this.lastSyncTriggerTime&&Math.round((new Date().getTime()-this.lastSyncTriggerTime)/1e3)<10){this.logService.debug("Auto Sync: Skipped. Limited to once per 10 seconds.");return}return this.sources.push(...n),this.syncTriggerDelayer.trigger(async()=>{this.logService.trace("activity sources",...this.sources),this.telemetryService.publicLog2("sync/triggered",{sources:this.sources}),this.sources=[],this.autoSync.value&&await this.autoSync.value.sync("Activity",s)},this.successiveFailures?this.getSyncTriggerDelayTime()*1*Math.min(Math.pow(2,this.successiveFailures),60):this.getSyncTriggerDelayTime())}getSyncTriggerDelayTime(){return 2e3}};r=he([Y(0,f.IProductService),Y(1,g.IUserDataSyncStoreManagementService),Y(2,g.IUserDataSyncStoreService),Y(3,g.IUserDataSyncEnablementService),Y(4,g.IUserDataSyncService),Y(5,g.IUserDataSyncLogService),Y(6,v.IUserDataSyncAccountService),Y(7,h.ITelemetryService),Y(8,l.IUserDataSyncMachinesService),Y(9,p.IStorageService)],r),e.UserDataAutoSyncService=r;class c extends R.Disposable{constructor(n,o,s,a,u,m,C,_){super();this.lastSyncUrl=n,this.interval=o,this.userDataSyncStoreManagementService=s,this.userDataSyncStoreService=a,this.userDataSyncService=u,this.userDataSyncMachinesService=m,this.logService=C,this.storageService=_,this.intervalHandler=this._register(new R.MutableDisposable),this._onDidStartSync=this._register(new A.Emitter),this.onDidStartSync=this._onDidStartSync.event,this._onDidFinishSync=this._register(new A.Emitter),this.onDidFinishSync=this._onDidFinishSync.event,this.manifest=null}start(){this._register(this.onDidFinishSync(()=>this.waitUntilNextIntervalAndSync())),this._register((0,R.toDisposable)(()=>{this.syncPromise&&(this.syncPromise.cancel(),this.logService.info("Auto sync: Cancelled sync that is in progress"),this.syncPromise=void 0),this.syncTask&&this.syncTask.stop(),this.logService.info("Auto Sync: Stopped")})),this.logService.info("Auto Sync: Started"),this.sync(c.INTERVAL_SYNCING,!1)}waitUntilNextIntervalAndSync(){this.intervalHandler.value=(0,k.disposableTimeout)(()=>this.sync(c.INTERVAL_SYNCING,!1),this.interval)}sync(n,o){const s=(0,k.createCancelablePromise)(async a=>{if(this.syncPromise)try{this.logService.debug("Auto Sync: Waiting until sync is finished."),await this.syncPromise}catch(u){if((0,T.isCancellationError)(u))return}return this.doSync(n,o,a)});return this.syncPromise=s,this.syncPromise.finally(()=>this.syncPromise=void 0),this.syncPromise}hasSyncServiceChanged(){return this.lastSyncUrl!==void 0&&!(0,I.isEqual)(this.lastSyncUrl,this.userDataSyncStoreManagementService.userDataSyncStore?.url)}async hasDefaultServiceChanged(){const n=await this.userDataSyncStoreManagementService.getPreviousUserDataSyncStore(),o=this.userDataSyncStoreManagementService.userDataSyncStore;return!!o&&!!n&&(!(0,I.isEqual)(o.defaultUrl,n.defaultUrl)||!(0,I.isEqual)(o.insidersUrl,n.insidersUrl)||!(0,I.isEqual)(o.stableUrl,n.stableUrl))}async doSync(n,o,s){this.logService.info(`Auto Sync: Triggered by ${n}`),this._onDidStartSync.fire();let a;try{if(this.syncTask=await this.userDataSyncService.createSyncTask(this.manifest,o),s.isCancellationRequested)return;if(this.manifest=this.syncTask.manifest,this.manifest===null&&await this.userDataSyncService.hasPreviouslySynced())throw this.hasSyncServiceChanged()?await this.hasDefaultServiceChanged()?new g.UserDataAutoSyncError((0,E.localize)(0,null),"DefaultServiceChanged"):new g.UserDataAutoSyncError((0,E.localize)(1,null),"ServiceChanged"):new g.UserDataAutoSyncError((0,E.localize)(2,null),"TurnedOff");const u=this.storageService.get(S,0);if(u&&this.manifest&&u!==this.manifest.session)throw this.hasSyncServiceChanged()?await this.hasDefaultServiceChanged()?new g.UserDataAutoSyncError((0,E.localize)(3,null),"DefaultServiceChanged"):new g.UserDataAutoSyncError((0,E.localize)(4,null),"ServiceChanged"):new g.UserDataAutoSyncError((0,E.localize)(5,null),"SessionExpired");const m=await this.userDataSyncMachinesService.getMachines(this.manifest||void 0);if(s.isCancellationRequested)return;const C=m.find(_=>_.isCurrent);if(C?.disabled)throw new g.UserDataAutoSyncError((0,E.localize)(6,null),"TurnedOff");if(await this.syncTask.run(),this.manifest===null)try{this.manifest=await this.userDataSyncStoreService.manifest(null)}catch(_){throw new g.UserDataAutoSyncError((0,L.toErrorMessage)(_),_ instanceof g.UserDataSyncError?_.code:"Unknown")}if(this.manifest&&this.manifest.session!==u&&this.storageService.store(S,this.manifest.session,0,1),s.isCancellationRequested)return;C||await this.userDataSyncMachinesService.addCurrentMachine(this.manifest||void 0)}catch(u){this.logService.error(u),a=u}this._onDidFinishSync.fire(a)}register(n){return super._register(n)}}c.INTERVAL_SYNCING="Interval"}),define(te[241],ne([0,1,16,5,37,3,2,20,11,29,19,30,6,23,21,228,230,231,233,234,235,24]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l,w,S,y,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncService=void 0;const r="sync.lastSyncTime";let c=class extends A.Disposable{constructor(a,u,m,C,_,O,M,D){super();this.userDataSyncStoreService=a,this.userDataSyncStoreManagementService=u,this.instantiationService=m,this.configurationService=C,this.logService=_,this.telemetryService=O,this.storageService=M,this.userDataSyncEnablementService=D,this._status="uninitialized",this._onDidChangeStatus=this._register(new T.Emitter),this.onDidChangeStatus=this._onDidChangeStatus.event,this._onDidChangeLocal=this._register(new T.Emitter),this.onDidChangeLocal=this._onDidChangeLocal.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new T.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this._syncErrors=[],this._onSyncErrors=this._register(new T.Emitter),this.onSyncErrors=this._onSyncErrors.event,this._lastSyncTime=void 0,this._onDidChangeLastSyncTime=this._register(new T.Emitter),this.onDidChangeLastSyncTime=this._onDidChangeLastSyncTime.event,this._onDidResetLocal=this._register(new T.Emitter),this.onDidResetLocal=this._onDidResetLocal.event,this._onDidResetRemote=this._register(new T.Emitter),this.onDidResetRemote=this._onDidResetRemote.event,this.synchronizers=this._register(new A.MutableDisposable),this.updateStatus([]),this._lastSyncTime=this.storageService.getNumber(r,0,void 0)}get status(){return this._status}get conflicts(){return this._conflicts}get lastSyncTime(){return this._lastSyncTime}async createSyncTask(a,u){this.checkEnablement();const m=(0,I.generateUuid)();try{const D=(0,d.createSyncHeaders)(m);u&&(D["Cache-Control"]="no-cache"),a=await this.userDataSyncStoreService.manifest(a,D)}catch(D){const U=d.UserDataSyncError.toUserDataSyncError(D);throw this.reportUserDataSyncError(U,m),U}let C=!1;const _=this,O=this.getEnabledSynchronizers();let M;return{manifest:a,async run(){if(C)throw new Error("Can run a task only once");return M=(0,t.createCancelablePromise)(D=>_.sync(O,a,m,D)),M.finally(()=>M=void 0)},async stop(){if(M&&M.cancel(),_.status!=="idle")return _.stop(O)}}}async createManualSyncTask(){if(this.checkEnablement(),this.userDataSyncEnablementService.isEnabled())throw new d.UserDataSyncError("Cannot start manual sync when sync is enabled","LocalError");const a=(0,I.generateUuid)(),u=(0,d.createSyncHeaders)(a);let m;try{m=await this.userDataSyncStoreService.manifest(null,u)}catch(O){const M=d.UserDataSyncError.toUserDataSyncError(O);throw this.reportUserDataSyncError(M,a),M}await this.resetLocal();const C=this.getEnabledSynchronizers(),_=async()=>{await this.stop(C),await this.resetLocal()};return new i(a,m,u,C,_,this.configurationService,this.logService)}async sync(a,u,m,C){if(C.isCancellationRequested||!a.length)return;const _=new Date().getTime();this._syncErrors=[];try{this.logService.trace("Sync started."),this.status!=="hasConflicts"&&this.setStatus("syncing");const O=(0,d.createSyncHeaders)(m);for(const M of a){if(C.isCancellationRequested||!this.userDataSyncEnablementService.isResourceEnabled(M.resource))return;try{await M.sync(u,O)}catch(D){let U=!1;if(D instanceof d.UserDataSyncError)switch(D.code){case"TooLarge":D=new d.UserDataSyncError(D.message,D.code,M.resource),U=!0;break;case"RemoteTooManyRequests":case"TooManyRequestsAndRetryAfter":case"LocalTooManyRequests":case"Gone":case"UpgradeRequired":case"IncompatibleRemoteContent":case"IncompatibleLocalContent":U=!0;break}const F=d.UserDataSyncError.toUserDataSyncError(D);if(this.reportUserDataSyncError(F,m),U)throw F;this.logService.error(D),this.logService.error(`${M.resource}: ${(0,L.toErrorMessage)(D)}`),this._syncErrors.push([M.resource,F])}}this.logService.info(`Sync done. Took ${new Date().getTime()-_}ms`),this.updateLastSyncTime()}catch(O){const M=d.UserDataSyncError.toUserDataSyncError(O);throw this.reportUserDataSyncError(M,m),M}finally{this.updateStatus(a),this._onSyncErrors.fire(this._syncErrors)}}async stop(a){if(this.status!=="idle")for(const u of a)try{u.status!=="idle"&&await u.stop()}catch(m){this.logService.error(m)}}async replace(a){this.checkEnablement(),await this.performSynchronizerAction(async u=>{if(await u.replace(a))return!0})}async accept(a,u,m,C){this.checkEnablement(),await this.performSynchronizerAction(async _=>{if(_.resource===a)return await _.accept(u,m),C&&await _.apply(!1,(0,d.createSyncHeaders)((0,I.generateUuid)())),!0})}async resolveContent(a){return this.performSynchronizerAction(async u=>{const m=await u.resolveContent(a);if(m)return m})}async getRemoteSyncResourceHandles(a){return await this.performSynchronizerAction(async m=>{if(m.resource===a)return m.getRemoteSyncResourceHandles()})||[]}async getLocalSyncResourceHandles(a){return await this.performSynchronizerAction(async m=>{if(m.resource===a)return m.getLocalSyncResourceHandles()})||[]}async getAssociatedResources(a,u){return await this.performSynchronizerAction(async C=>{if(C.resource===a)return C.getAssociatedResources(u)})||[]}async getMachineId(a,u){return await this.performSynchronizerAction(async C=>{if(C.resource===a)return await C.getMachineId(u)||null})||void 0}async hasLocalData(){return!!await this.performSynchronizerAction(async u=>{if(u.resource!=="globalState"&&await u.hasLocalData())return!0})}async hasPreviouslySynced(){return!!await this.performSynchronizerAction(async u=>{if(await u.hasPreviouslySynced())return!0})}async reset(){this.checkEnablement(),await this.resetRemote(),await this.resetLocal()}async resetRemote(){this.checkEnablement();try{await this.userDataSyncStoreService.clear(),this.logService.info("Cleared data on server")}catch(a){this.logService.error(a)}this._onDidResetRemote.fire()}async resetLocal(){if(this.checkEnablement(),this.storageService.remove(r,0),this.synchronizers.value){for(const a of this.synchronizers.value.enabled)try{await a.resetLocal()}catch(u){this.logService.error(`${a.resource}: ${(0,L.toErrorMessage)(u)}`),this.logService.error(u)}this.synchronizers.value=void 0}this._onDidResetLocal.fire(),this.logService.info("Did reset the local sync state.")}async performSynchronizerAction(a){const u=new A.DisposableStore;try{const m=this.synchronizers.value||u.add(this.instantiationService.createInstance(n,()=>{},()=>{},()=>{})),C=[...m.enabled,...m.disabled.map(_=>u.add(m.createSynchronizer(_)))];for(const _ of C){const O=await a(_);if(!(0,b.isUndefined)(O))return O}return null}finally{u.dispose()}}setStatus(a){const u=this._status;this._status!==a&&(this._status=a,this._onDidChangeStatus.fire(a),u==="hasConflicts"&&this.updateLastSyncTime())}updateStatus(a){this.updateConflicts(a);const u=this.computeStatus(a);this.setStatus(u)}updateConflicts(a){const u=this.computeConflicts(a);(0,k.equals)(this._conflicts,u,([m,C],[_,O])=>m===m&&(0,k.equals)(C,O,(M,D)=>(0,R.isEqual)(M.previewResource,D.previewResource)))||(this._conflicts=this.computeConflicts(a),this._onDidChangeConflicts.fire(u))}computeConflicts(a){return a.filter(u=>u.status==="hasConflicts").map(u=>[u.resource,u.conflicts.map(o)])}computeStatus(a){return this.userDataSyncStoreManagementService.userDataSyncStore?a.some(u=>u.status==="hasConflicts")?"hasConflicts":a.some(u=>u.status==="syncing")?"syncing":"idle":"uninitialized"}updateLastSyncTime(){this.status==="idle"&&(this._lastSyncTime=new Date().getTime(),this.storageService.store(r,this._lastSyncTime,0,1),this._onDidChangeLastSyncTime.fire(this._lastSyncTime))}reportUserDataSyncError(a,u){this.telemetryService.publicLog2("sync/error",{code:a.code,serverCode:a instanceof d.UserDataSyncStoreError?String(a.serverCode):void 0,url:a instanceof d.UserDataSyncStoreError?a.url:void 0,resource:a.resource,executionId:u,service:this.userDataSyncStoreManagementService.userDataSyncStore.url.toString()})}getEnabledSynchronizers(){return this.synchronizers.value||(this.synchronizers.value=this.instantiationService.createInstance(n,a=>this.updateStatus(a),a=>this.updateConflicts(a),a=>this._onDidChangeLocal.fire(a))),this.synchronizers.value.enabled}checkEnablement(){if(!this.userDataSyncStoreManagementService.userDataSyncStore)throw new Error("Not enabled")}};c=he([Y(0,d.IUserDataSyncStoreService),Y(1,d.IUserDataSyncStoreManagementService),Y(2,f.IInstantiationService),Y(3,P.IConfigurationService),Y(4,d.IUserDataSyncLogService),Y(5,h.ITelemetryService),Y(6,p.IStorageService),Y(7,d.IUserDataSyncEnablementService)],c),e.UserDataSyncService=c;class i extends A.Disposable{constructor(a,u,m,C,_,O,M){super();this.id=a,this.manifest=u,this.syncHeaders=m,this.synchronisers=C,this.onStop=_,this.configurationService=O,this.logService=M,this.synchronizingResources=[],this._onSynchronizeResources=this._register(new T.Emitter),this.onSynchronizeResources=this._onSynchronizeResources.event,this.isDisposed=!1}get status(){return this.synchronisers.some(a=>a.status==="hasConflicts")?"hasConflicts":this.synchronisers.some(a=>a.status==="syncing")?"syncing":"idle"}async preview(){try{if(this.isDisposed)throw new Error("Disposed");return this.previewsPromise||(this.previewsPromise=(0,t.createCancelablePromise)(a=>this.getPreviews(a))),this.previews||(this.previews=await this.previewsPromise),this.previews}catch(a){throw this.logService.error(a),a}}async accept(a,u){try{return await this.performAction(a,m=>m.accept(a,u))}catch(m){throw this.logService.error(m),m}}async merge(a){try{return a?await this.performAction(a,u=>u.merge(a)):await this.mergeAll()}catch(u){throw this.logService.error(u),u}}async discard(a){try{return await this.performAction(a,u=>u.discard(a))}catch(u){throw this.logService.error(u),u}}async discardConflicts(){try{if(!this.previews)throw new Error("Missing preview. Create preview and try again.");if(this.synchronizingResources.length)throw new Error("Cannot discard while synchronizing resources");const a=[];for(const[,u]of this.previews)for(const m of u.resourcePreviews)m.mergeState==="conflict"&&a.push(m.previewResource);for(const u of a)await this.discard(u);return this.previews}catch(a){throw this.logService.error(a),a}}async apply(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");const a=[];for(const[u,m]of this.previews){this.synchronizingResources.push([u,m.resourcePreviews.map(O=>O.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const C=this.synchronisers.find(O=>O.resource===u);for(const O of m.resourcePreviews)(O.localChange!==0||O.remoteChange!==0)&&O.mergeState==="preview"&&await C.merge(O.previewResource);const _=await C.apply(!1,this.syncHeaders);_&&a.push(this.toSyncResourcePreview(C.resource,_)),this.synchronizingResources.splice(this.synchronizingResources.findIndex(O=>O[0]===u),1),this._onSynchronizeResources.fire(this.synchronizingResources)}return this.previews=a,this.previews}catch(a){throw this.logService.error(a),a}}async pull(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");for(const[a,u]of this.previews){this.synchronizingResources.push([a,u.resourcePreviews.map(C=>C.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const m=this.synchronisers.find(C=>C.resource===a);for(const C of u.resourcePreviews)await m.accept(C.remoteResource);await m.apply(!0,this.syncHeaders),this.synchronizingResources.splice(this.synchronizingResources.findIndex(C=>C[0]===a),1),this._onSynchronizeResources.fire(this.synchronizingResources)}this.previews=[]}catch(a){throw this.logService.error(a),a}}async push(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");for(const[a,u]of this.previews){this.synchronizingResources.push([a,u.resourcePreviews.map(C=>C.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const m=this.synchronisers.find(C=>C.resource===a);for(const C of u.resourcePreviews)await m.accept(C.localResource);await m.apply(!0,this.syncHeaders),this.synchronizingResources.splice(this.synchronizingResources.findIndex(C=>C[0]===a),1),this._onSynchronizeResources.fire(this.synchronizingResources)}this.previews=[]}catch(a){throw this.logService.error(a),a}}async stop(){await this.onStop(),this.reset()}async performAction(a,u){if(!this.previews)throw new Error("Missing preview. Create preview and try again.");const m=this.previews.findIndex(([,x])=>x.resourcePreviews.some(({localResource:q,previewResource:H,remoteResource:re})=>(0,R.isEqual)(a,q)||(0,R.isEqual)(a,H)||(0,R.isEqual)(a,re)));if(m===-1)return this.previews;const[C,_]=this.previews[m],O=_.resourcePreviews.find(({localResource:x,remoteResource:q,previewResource:H})=>(0,R.isEqual)(x,a)||(0,R.isEqual)(q,a)||(0,R.isEqual)(H,a));if(!O)return this.previews;let M=this.synchronizingResources.find(x=>x[0]===C);M||(M=[C,[]],this.synchronizingResources.push(M)),M[1].some(x=>(0,R.isEqual)(x,O.localResource))||(M[1].push(O.localResource),this._onSynchronizeResources.fire(this.synchronizingResources));const D=this.synchronisers.find(x=>x.resource===this.previews[m][0]),U=await u(D);U?this.previews.splice(m,1,this.toSyncResourcePreview(D.resource,U)):this.previews.splice(m,1);const F=this.synchronizingResources.findIndex(x=>x[0]===C);return this.synchronizingResources[F][1].splice(M[1].findIndex(x=>(0,R.isEqual)(x,O.localResource)),1),M[1].length||(this.synchronizingResources.splice(F,1),this._onSynchronizeResources.fire(this.synchronizingResources)),this.previews}async mergeAll(){if(!this.previews)throw new Error("You need to create preview before merging or applying");if(this.synchronizingResources.length)throw new Error("Cannot merge or apply while synchronizing resources");const a=[];for(const[u,m]of this.previews){this.synchronizingResources.push([u,m.resourcePreviews.map(O=>O.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const C=this.synchronisers.find(O=>O.resource===u);let _=m;for(const O of m.resourcePreviews)(O.localChange!==0||O.remoteChange!==0)&&O.mergeState==="preview"&&(_=await C.merge(O.previewResource));_&&a.push(this.toSyncResourcePreview(C.resource,_)),this.synchronizingResources.splice(this.synchronizingResources.findIndex(O=>O[0]===u),1),this._onSynchronizeResources.fire(this.synchronizingResources)}return this.previews=a,this.previews}async getPreviews(a){const u=[],m=await this.getUserDataSyncConfiguration();for(const C of this.synchronisers){if(a.isCancellationRequested)return[];const _=await C.preview(this.manifest,m,this.syncHeaders);_&&u.push(this.toSyncResourcePreview(C.resource,_))}return u}async getUserDataSyncConfiguration(){const a=this.configurationService.getValue(d.USER_DATA_SYNC_CONFIGURATION_SCOPE),u=await this.synchronisers.find(m=>m instanceof w.SettingsSynchroniser).getRemoteUserDataSyncConfiguration(this.manifest);return{...a,...u}}toSyncResourcePreview(a,u){return[a,{isLastSyncFromCurrentMachine:u.isLastSyncFromCurrentMachine,resourcePreviews:u.resourcePreviews.map(o)}]}reset(){this.previewsPromise&&(this.previewsPromise.cancel(),this.previewsPromise=void 0),this.previews=void 0,this.synchronizingResources=[]}dispose(){this.reset(),this.isDisposed=!0}}let n=class extends A.Disposable{constructor(a,u,m,C,_,O,M){super();this.onDidChangeStatus=a,this.onDidChangeConflicts=u,this.onDidChangeLocal=m,this.userDataSyncEnablementService=C,this.instantiationService=_,this.extensionGalleryService=O,this.logService=M,this._enabled=[],this._register(C.onDidChangeResourceEnablement(([D,U])=>this.onDidChangeResourceEnablement(D,U))),this._register((0,A.toDisposable)(()=>this._enabled.splice(0,this._enabled.length).forEach(([,,D])=>D.dispose())));for(const D of d.ALL_SYNC_RESOURCES)C.isResourceEnabled(D)&&this.registerSynchronizer(D)}get enabled(){return this._enabled.sort((a,u)=>a[1]-u[1]).map(([a])=>a)}get disabled(){return d.ALL_SYNC_RESOURCES.filter(a=>!this.userDataSyncEnablementService.isResourceEnabled(a))}onDidChangeResourceEnablement(a,u){u?this.registerSynchronizer(a):this.deRegisterSynchronizer(a)}registerSynchronizer(a){if(this._enabled.some(([_])=>_.resource===a))return;if(a==="extensions"&&!this.extensionGalleryService.isEnabled()){this.logService.info("Skipping extensions sync because gallery is not configured");return}const u=new A.DisposableStore,m=u.add(this.createSynchronizer(a));u.add(m.onDidChangeStatus(()=>this.onDidChangeStatus(this.enabled))),u.add(m.onDidChangeConflicts(()=>this.onDidChangeConflicts(this.enabled))),u.add(m.onDidChangeLocal(()=>this.onDidChangeLocal(a)));const C=this.getOrder(a);this._enabled.push([m,C,u])}deRegisterSynchronizer(a){const u=this._enabled.findIndex(([m])=>m.resource===a);if(u!==-1){const m=this._enabled.splice(u,1);for(const[C,,_]of m){if(C.status!=="idle"){const O=C.conflicts.length>0;C.stop(),O&&this.onDidChangeConflicts(this.enabled),this.onDidChangeStatus(this.enabled)}_.dispose()}}}createSynchronizer(a){switch(a){case"settings":return this.instantiationService.createInstance(w.SettingsSynchroniser);case"keybindings":return this.instantiationService.createInstance(l.KeybindingsSynchroniser);case"snippets":return this.instantiationService.createInstance(S.SnippetsSynchroniser);case"tasks":return this.instantiationService.createInstance(y.TasksSynchroniser);case"globalState":return this.instantiationService.createInstance(v.GlobalStateSynchroniser);case"extensions":return this.instantiationService.createInstance(g.ExtensionsSynchroniser)}}getOrder(a){switch(a){case"settings":return 0;case"keybindings":return 1;case"snippets":return 2;case"tasks":return 3;case"globalState":return 4;case"extensions":return 5}}};n=he([Y(3,d.IUserDataSyncEnablementService),Y(4,f.IInstantiationService),Y(5,E.IExtensionGalleryService),Y(6,d.IUserDataSyncLogService)],n);function o(s){return{localResource:s.localResource,previewResource:s.previewResource,remoteResource:s.remoteResource,acceptedResource:s.acceptedResource,localChange:s.localChange,remoteChange:s.remoteChange,mergeState:s.mergeState}}}),define(te[242],ne([0,1,3,2,11,7,24]),function(J,e,k,t,L,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncChannelClient=e.UserDataSyncChannel=void 0;class R{constructor(E,f){this.service=E,this.logService=f,this.manualSyncTasks=new Map,this.onManualSynchronizeResources=new k.Emitter}listen(E,f){switch(f){case"onDidChangeStatus":return this.service.onDidChangeStatus;case"onDidChangeConflicts":return this.service.onDidChangeConflicts;case"onDidChangeLocal":return this.service.onDidChangeLocal;case"onDidChangeLastSyncTime":return this.service.onDidChangeLastSyncTime;case"onSyncErrors":return this.service.onSyncErrors;case"onDidResetLocal":return this.service.onDidResetLocal;case"onDidResetRemote":return this.service.onDidResetRemote;case"manualSync/onSynchronizeResources":return this.onManualSynchronizeResources.event}throw new Error(`Event not found: ${f}`)}async call(E,f,p){try{return await this._call(E,f,p)}catch(h){throw this.logService.error(h),h}}async _call(E,f,p){switch(f){case"_getInitialData":return Promise.resolve([this.service.status,this.service.conflicts,this.service.lastSyncTime]);case"replace":return this.service.replace(T.URI.revive(p[0]));case"reset":return this.service.reset();case"resetRemote":return this.service.resetRemote();case"resetLocal":return this.service.resetLocal();case"hasPreviouslySynced":return this.service.hasPreviouslySynced();case"hasLocalData":return this.service.hasLocalData();case"accept":return this.service.accept(p[0],T.URI.revive(p[1]),p[2],p[3]);case"resolveContent":return this.service.resolveContent(T.URI.revive(p[0]));case"getLocalSyncResourceHandles":return this.service.getLocalSyncResourceHandles(p[0]);case"getRemoteSyncResourceHandles":return this.service.getRemoteSyncResourceHandles(p[0]);case"getAssociatedResources":return this.service.getAssociatedResources(p[0],{created:p[1].created,uri:T.URI.revive(p[1].uri)});case"getMachineId":return this.service.getMachineId(p[0],{created:p[1].created,uri:T.URI.revive(p[1].uri)});case"createManualSyncTask":return this.createManualSyncTask()}if(f.startsWith("manualSync/")){const h=f.substring("manualSync/".length),g=p[0],v=this.getManualSyncTask(g);switch(p=p.slice(1),h){case"preview":return v.preview();case"accept":return v.accept(T.URI.revive(p[0]),p[1]);case"merge":return v.merge(T.URI.revive(p[0]));case"discard":return v.discard(T.URI.revive(p[0]));case"discardConflicts":return v.discardConflicts();case"apply":return v.apply();case"pull":return v.pull();case"push":return v.push();case"stop":return v.stop();case"_getStatus":return v.status;case"dispose":return this.disposeManualSyncTask(v)}}throw new Error("Invalid call")}getManualSyncTask(E){const f=this.manualSyncTasks.get(this.createKey(E));if(!f)throw new Error(`Manual sync taks not found: ${E}`);return f.manualSyncTask}async createManualSyncTask(){const E=new t.DisposableStore,f=E.add(await this.service.createManualSyncTask());return E.add(f.onSynchronizeResources(p=>this.onManualSynchronizeResources.fire({manualSyncTaskId:f.id,data:p}))),this.manualSyncTasks.set(this.createKey(f.id),{manualSyncTask:f,disposables:E}),{id:f.id,manifest:f.manifest,status:f.status}}disposeManualSyncTask(E){E.dispose();const f=this.createKey(E.id);this.manualSyncTasks.get(f)?.disposables.dispose(),this.manualSyncTasks.delete(f)}createKey(E){return`manualSyncTask-${E}`}}e.UserDataSyncChannel=R;class b extends t.Disposable{constructor(E){super();this._status="uninitialized",this._onDidChangeStatus=this._register(new k.Emitter),this.onDidChangeStatus=this._onDidChangeStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new k.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this._lastSyncTime=void 0,this._onDidChangeLastSyncTime=this._register(new k.Emitter),this.onDidChangeLastSyncTime=this._onDidChangeLastSyncTime.event,this._onSyncErrors=this._register(new k.Emitter),this.onSyncErrors=this._onSyncErrors.event,this.channel={call(f,p,h){return E.call(f,p,h).then(null,g=>{throw A.UserDataSyncError.toUserDataSyncError(g)})},listen(f,p){return E.listen(f,p)}},this.channel.call("_getInitialData").then(([f,p,h])=>{this.updateStatus(f),this.updateConflicts(p),h&&this.updateLastSyncTime(h),this._register(this.channel.listen("onDidChangeStatus")(g=>this.updateStatus(g))),this._register(this.channel.listen("onDidChangeLastSyncTime")(g=>this.updateLastSyncTime(g)))}),this._register(this.channel.listen("onDidChangeConflicts")(f=>this.updateConflicts(f))),this._register(this.channel.listen("onSyncErrors")(f=>this._onSyncErrors.fire(f.map(([p,h])=>[p,A.UserDataSyncError.toUserDataSyncError(h)]))))}get status(){return this._status}get onDidChangeLocal(){return this.channel.listen("onDidChangeLocal")}get conflicts(){return this._conflicts}get lastSyncTime(){return this._lastSyncTime}get onDidResetLocal(){return this.channel.listen("onDidResetLocal")}get onDidResetRemote(){return this.channel.listen("onDidResetRemote")}createSyncTask(){throw new Error("not supported")}async createManualSyncTask(){const{id:E,manifest:f,status:p}=await this.channel.call("createManualSyncTask"),h=this,g=new I(E,f,p,{async call(v,l,w){return h.channel.call(`manualSync/${v}`,[E,...(0,L.isArray)(l)?l:[l]],w)},listen(v,l){return k.Event.map(k.Event.filter(h.channel.listen(`manualSync/${v}`,l),w=>!g.isDiposed()&&w.manualSyncTaskId===E),w=>w.data)}});return g}replace(E){return this.channel.call("replace",[E])}reset(){return this.channel.call("reset")}resetRemote(){return this.channel.call("resetRemote")}resetLocal(){return this.channel.call("resetLocal")}hasPreviouslySynced(){return this.channel.call("hasPreviouslySynced")}hasLocalData(){return this.channel.call("hasLocalData")}accept(E,f,p,h){return this.channel.call("accept",[E,f,p,h])}resolveContent(E){return this.channel.call("resolveContent",[E])}async getLocalSyncResourceHandles(E){return(await this.channel.call("getLocalSyncResourceHandles",[E])).map(({created:p,uri:h})=>({created:p,uri:T.URI.revive(h)}))}async getRemoteSyncResourceHandles(E){return(await this.channel.call("getRemoteSyncResourceHandles",[E])).map(({created:p,uri:h})=>({created:p,uri:T.URI.revive(h)}))}async getAssociatedResources(E,f){return(await this.channel.call("getAssociatedResources",[E,f])).map(({resource:h,comparableResource:g})=>({resource:T.URI.revive(h),comparableResource:T.URI.revive(g)}))}async getMachineId(E,f){return this.channel.call("getMachineId",[E,f])}async updateStatus(E){this._status=E,this._onDidChangeStatus.fire(E)}async updateConflicts(E){this._conflicts=E.map(([f,p])=>[f,p.map(h=>({...h,localResource:T.URI.revive(h.localResource),remoteResource:T.URI.revive(h.remoteResource),previewResource:T.URI.revive(h.previewResource)}))]),this._onDidChangeConflicts.fire(this._conflicts)}updateLastSyncTime(E){this._lastSyncTime!==E&&(this._lastSyncTime=E,this._onDidChangeLastSyncTime.fire(E))}}e.UserDataSyncChannelClient=b;class I extends t.Disposable{constructor(E,f,p,h){super();this.id=E,this.manifest=f,this._disposed=!1,this._status=p;const g=this;this.channel={async call(v,l,w){try{const S=await h.call(v,l,w);return g.isDiposed()||(g._status=await h.call("_getStatus")),S}catch(S){throw A.UserDataSyncError.toUserDataSyncError(S)}},listen(v,l){return h.listen(v,l)}}}get onSynchronizeResources(){return this.channel.listen("onSynchronizeResources")}get status(){return this._status}async preview(){const E=await this.channel.call("preview");return this.deserializePreviews(E)}async accept(E,f){const p=await this.channel.call("accept",[E,f]);return this.deserializePreviews(p)}async merge(E){const f=await this.channel.call("merge",[E]);return this.deserializePreviews(f)}async discard(E){const f=await this.channel.call("discard",[E]);return this.deserializePreviews(f)}async discardConflicts(){const E=await this.channel.call("discardConflicts");return this.deserializePreviews(E)}async apply(){const E=await this.channel.call("apply");return this.deserializePreviews(E)}pull(){return this.channel.call("pull")}push(){return this.channel.call("push")}stop(){return this.channel.call("stop")}isDiposed(){return this._disposed}dispose(){this._disposed=!0,this.channel.call("dispose")}deserializePreviews(E){return E.map(([f,p])=>[f,{isLastSyncFromCurrentMachine:p.isLastSyncFromCurrentMachine,resourcePreviews:p.resourcePreviews.map(h=>({...h,localResource:T.URI.revive(h.localResource),remoteResource:T.URI.revive(h.remoteResource),previewResource:T.URI.revive(h.previewResource),acceptedResource:T.URI.revive(h.acceptedResource)}))}])}}}),define(te[243],ne([0,1,5,25,9,3,2,102,4,20,11,7,29,19,14,15,27,43,47,23,24]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l,w,S,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestsSession=e.UserDataSyncStoreService=e.UserDataSyncStoreClient=e.UserDataSyncStoreManagementService=e.AbstractUserDataSyncStoreManagementService=void 0;const d="sync.previous.store",r="sync.donot-make-requests-until",c="sync.user-session-id",i="sync.machine-session-id",n=100,o=1e3*60*5;let s=class extends A.Disposable{constructor(O,M,D){super();this.productService=O,this.configurationService=M,this.storageService=D,this._onDidChangeUserDataSyncStore=this._register(new T.Emitter),this.onDidChangeUserDataSyncStore=this._onDidChangeUserDataSyncStore.event,this.updateUserDataSyncStore(),this._register(T.Event.filter(D.onDidChangeValue,U=>U.key===y.SYNC_SERVICE_URL_TYPE&&U.scope===0&&this.userDataSyncStoreType!==this.userDataSyncStore?.type)(()=>this.updateUserDataSyncStore()))}get userDataSyncStore(){return this._userDataSyncStore}get userDataSyncStoreType(){return this.storageService.get(y.SYNC_SERVICE_URL_TYPE,0)}set userDataSyncStoreType(O){this.storageService.store(y.SYNC_SERVICE_URL_TYPE,O,0,b.isWeb?0:1)}updateUserDataSyncStore(){this._userDataSyncStore=this.toUserDataSyncStore(this.productService[y.CONFIGURATION_SYNC_STORE_KEY],this.configurationService.getValue(y.CONFIGURATION_SYNC_STORE_KEY)),this._onDidChangeUserDataSyncStore.fire()}toUserDataSyncStore(O,M){O=b.isWeb&&O?.web?{...O,...O.web}:O;const D={...O||{},...M||{}};if(D&&(0,P.isString)(D.url)&&(0,P.isObject)(D.authenticationProviders)&&Object.keys(D.authenticationProviders).every(U=>(0,P.isArray)(D.authenticationProviders[U].scopes))){const U=D,F=!!U.canSwitch&&!M?.url,x=U.url===U.insidersUrl?"insiders":"stable",q=(F?this.userDataSyncStoreType:void 0)||x,H=M?.url||(q==="insiders"?U.insidersUrl:q==="stable"?U.stableUrl:U.url);return{url:E.URI.parse(H),type:q,defaultType:x,defaultUrl:E.URI.parse(U.url),stableUrl:E.URI.parse(U.stableUrl),insidersUrl:E.URI.parse(U.insidersUrl),canSwitch:F,authenticationProviders:Object.keys(U.authenticationProviders).reduce((re,B)=>(re.push({id:B,scopes:U.authenticationProviders[B].scopes}),re),[])}}}};s=he([Y(0,v.IProductService),Y(1,p.IConfigurationService),Y(2,S.IStorageService)],s),e.AbstractUserDataSyncStoreManagementService=s;let a=class extends s{constructor(O,M,D){super(O,M,D);const U=this.storageService.get(d,0);U&&(this.previousConfigurationSyncStore=JSON.parse(U));const F=this.productService[y.CONFIGURATION_SYNC_STORE_KEY];F?this.storageService.store(d,JSON.stringify(F),0,1):this.storageService.remove(d,0)}async switch(O){O!==this.userDataSyncStoreType&&(this.userDataSyncStoreType=O,this.updateUserDataSyncStore())}async getPreviousUserDataSyncStore(){return this.toUserDataSyncStore(this.previousConfigurationSyncStore)}};a=he([Y(0,v.IProductService),Y(1,p.IConfigurationService),Y(2,S.IStorageService)],a),e.UserDataSyncStoreManagementService=a;let u=class extends A.Disposable{constructor(O,M,D,U,F,x,q){super();this.requestService=D,this.logService=U,this.storageService=q,this._onTokenFailed=this._register(new T.Emitter),this.onTokenFailed=this._onTokenFailed.event,this._onTokenSucceed=this._register(new T.Emitter),this.onTokenSucceed=this._onTokenSucceed.event,this._donotMakeRequestsUntil=void 0,this._onDidChangeDonotMakeRequestsUntil=this._register(new T.Emitter),this.onDidChangeDonotMakeRequestsUntil=this._onDidChangeDonotMakeRequestsUntil.event,this.resetDonotMakeRequestsUntilPromise=void 0,this.updateUserDataSyncStoreUrl(O),this.commonHeadersPromise=(0,w.getServiceMachineId)(F,x,q).then(H=>{const re={"X-Client-Name":`${M.applicationName}${b.isWeb?"-web":""}`,"X-Client-Version":M.version};return M.commit&&(re["X-Client-Commit"]=M.commit),re}),this.session=new C(n,o,this.requestService,this.logService),this.initDonotMakeRequestsUntil(),this._register((0,A.toDisposable)(()=>{this.resetDonotMakeRequestsUntilPromise&&(this.resetDonotMakeRequestsUntilPromise.cancel(),this.resetDonotMakeRequestsUntilPromise=void 0)}))}get donotMakeRequestsUntil(){return this._donotMakeRequestsUntil}setAuthToken(O,M){this.authToken={token:O,type:M}}updateUserDataSyncStoreUrl(O){this.userDataSyncStoreUrl=O?(0,I.joinPath)(O,"v1"):void 0}initDonotMakeRequestsUntil(){const O=this.storageService.getNumber(r,0);O&&Date.now()<O&&this.setDonotMakeRequestsUntil(new Date(O))}setDonotMakeRequestsUntil(O){this._donotMakeRequestsUntil?.getTime()!==O?.getTime()&&(this._donotMakeRequestsUntil=O,this.resetDonotMakeRequestsUntilPromise&&(this.resetDonotMakeRequestsUntilPromise.cancel(),this.resetDonotMakeRequestsUntilPromise=void 0),this._donotMakeRequestsUntil?(this.storageService.store(r,this._donotMakeRequestsUntil.getTime(),0,1),this.resetDonotMakeRequestsUntilPromise=(0,k.createCancelablePromise)(M=>(0,k.timeout)(this._donotMakeRequestsUntil.getTime()-Date.now(),M).then(()=>this.setDonotMakeRequestsUntil(void 0))),this.resetDonotMakeRequestsUntilPromise.then(null,M=>null)):this.storageService.remove(r,0),this._onDidChangeDonotMakeRequestsUntil.fire())}async getAllRefs(O){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const M=(0,I.joinPath)(this.userDataSyncStoreUrl,"resource",O),D={},U=await this.request(M.toString(),{type:"GET",headers:D},[],t.CancellationToken.None);return(await(0,l.asJson)(U)||[]).map(({url:x,created:q})=>({ref:(0,I.relativePath)(M,M.with({path:x})),created:q*1e3}))}async resolveContent(O,M){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const D=(0,I.joinPath)(this.userDataSyncStoreUrl,"resource",O,M).toString(),U={};U["Cache-Control"]="no-cache";const F=await this.request(D,{type:"GET",headers:U},[],t.CancellationToken.None);return await(0,l.asText)(F)}async delete(O){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const M=(0,I.joinPath)(this.userDataSyncStoreUrl,"resource",O).toString(),D={};await this.request(M,{type:"DELETE",headers:D},[],t.CancellationToken.None)}async read(O,M,D={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const U=(0,I.joinPath)(this.userDataSyncStoreUrl,"resource",O,"latest").toString();D={...D},D["Cache-Control"]="no-cache",M&&(D["If-None-Match"]=M.ref);const F=await this.request(U,{type:"GET",headers:D},[304],t.CancellationToken.None);let x=null;if(F.res.statusCode===304&&(x=M),x===null){const q=F.res.headers.etag;if(!q)throw new y.UserDataSyncStoreError("Server did not return the ref",U,"NoRef",F.res.statusCode,F.res.headers[y.HEADER_OPERATION_ID]);const H=await(0,l.asText)(F);if(!H&&F.res.statusCode===304)throw new y.UserDataSyncStoreError("Empty response",U,"EmptyResponse",F.res.statusCode,F.res.headers[y.HEADER_OPERATION_ID]);x={ref:q,content:H}}return x}async write(O,M,D,U={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const F=(0,I.joinPath)(this.userDataSyncStoreUrl,"resource",O).toString();U={...U},U["Content-Type"]=R.Mimes.text,D&&(U["If-Match"]=D);const x=await this.request(F,{type:"POST",data:M,headers:U},[],t.CancellationToken.None),q=x.res.headers.etag;if(!q)throw new y.UserDataSyncStoreError("Server did not return the ref",F,"NoRef",x.res.statusCode,x.res.headers[y.HEADER_OPERATION_ID]);return q}async manifest(O,M={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const D=(0,I.joinPath)(this.userDataSyncStoreUrl,"manifest").toString();M={...M},M["Content-Type"]="application/json",O&&(M["If-None-Match"]=O.ref);const U=await this.request(D,{type:"GET",headers:M},[304],t.CancellationToken.None);let F=null;if(U.res.statusCode===304&&(F=O),!F){const q=U.res.headers.etag;if(!q)throw new y.UserDataSyncStoreError("Server did not return the ref",D,"NoRef",U.res.statusCode,U.res.headers[y.HEADER_OPERATION_ID]);const H=await(0,l.asText)(U);if(!H&&U.res.statusCode===304)throw new y.UserDataSyncStoreError("Empty response",D,"EmptyResponse",U.res.statusCode,U.res.headers[y.HEADER_OPERATION_ID]);H&&(F={...JSON.parse(H),ref:q})}const x=this.storageService.get(c,0);return x&&F&&x!==F.session&&this.clearSession(),F===null&&x&&this.clearSession(),F&&this.storageService.store(c,F.session,0,1),F}async clear(){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const O=(0,I.joinPath)(this.userDataSyncStoreUrl,"resource").toString(),M={"Content-Type":R.Mimes.text};await this.request(O,{type:"DELETE",headers:M},[],t.CancellationToken.None),this.clearSession()}clearSession(){this.storageService.remove(c,0),this.storageService.remove(i,0)}async request(O,M,D,U){if(!this.authToken)throw new y.UserDataSyncStoreError("No Auth Token Available",O,"Unauthorized",void 0,void 0);if(this._donotMakeRequestsUntil&&Date.now()<this._donotMakeRequestsUntil.getTime())throw new y.UserDataSyncStoreError(`${M.type} request '${O}' failed because of too many requests (429).`,O,"TooManyRequestsAndRetryAfter",void 0,void 0);this.setDonotMakeRequestsUntil(void 0);const F=await this.commonHeadersPromise;M.headers={...M.headers||{},...F,"X-Account-Type":this.authToken.type,authorization:`Bearer ${this.authToken.token}`},this.addSessionHeaders(M.headers),this.logService.trace("Sending request to server",{url:O,type:M.type,headers:{...M.headers,authorization:void 0}});let x;try{x=await this.session.request(O,M,U)}catch(B){if(!(B instanceof y.UserDataSyncStoreError)){let W="RequestFailed";const K=(0,L.getErrorMessage)(B).toLowerCase();K.includes("xhr timeout")?W="RequestTimeout":K.includes("protocol")&&K.includes("not supported")?W="RequestProtocolNotSupported":K.includes("request path contains unescaped characters")?W="RequestPathNotEscaped":K.includes("headers must be an object")?W="RequestHeadersNotObject":(0,L.isCancellationError)(B)&&(W="RequestCanceled"),B=new y.UserDataSyncStoreError(`Connection refused for the request '${O}'.`,O,W,void 0,void 0)}throw this.logService.info("Request failed",O),B}const q=x.res.headers[y.HEADER_OPERATION_ID],H={url:O,status:x.res.statusCode,"execution-id":M.headers[y.HEADER_EXECUTION_ID],"operation-id":q},re=(0,l.isSuccess)(x)||x.res.statusCode&&D.indexOf(x.res.statusCode)!==-1;if(re?this.logService.trace("Request succeeded",H):this.logService.info("Request failed",H),x.res.statusCode===401)throw this.authToken=void 0,this._onTokenFailed.fire(),new y.UserDataSyncStoreError(`Request '${O}' failed because of Unauthorized (401).`,O,"Unauthorized",x.res.statusCode,q);if(this._onTokenSucceed.fire(),x.res.statusCode===409)throw new y.UserDataSyncStoreError(`${M.type} request '${O}' failed because of Conflict (409). There is new data for this resource. Make the request again with latest data.`,O,"Conflict",x.res.statusCode,q);if(x.res.statusCode===410)throw new y.UserDataSyncStoreError(`${M.type} request '${O}' failed because the requested resource is not longer available (410).`,O,"Gone",x.res.statusCode,q);if(x.res.statusCode===412)throw new y.UserDataSyncStoreError(`${M.type} request '${O}' failed because of Precondition Failed (412). There is new data for this resource. Make the request again with latest data.`,O,"PreconditionFailed",x.res.statusCode,q);if(x.res.statusCode===413)throw new y.UserDataSyncStoreError(`${M.type} request '${O}' failed because of too large payload (413).`,O,"TooLarge",x.res.statusCode,q);if(x.res.statusCode===426)throw new y.UserDataSyncStoreError(`${M.type} request '${O}' failed with status Upgrade Required (426). Please upgrade the client and try again.`,O,"UpgradeRequired",x.res.statusCode,q);if(x.res.statusCode===429){const B=x.res.headers["retry-after"];throw B?(this.setDonotMakeRequestsUntil(new Date(Date.now()+parseInt(B)*1e3)),new y.UserDataSyncStoreError(`${M.type} request '${O}' failed because of too many requests (429).`,O,"TooManyRequestsAndRetryAfter",x.res.statusCode,q)):new y.UserDataSyncStoreError(`${M.type} request '${O}' failed because of too many requests (429).`,O,"RemoteTooManyRequests",x.res.statusCode,q)}if(!re)throw new y.UserDataSyncStoreError("Server returned "+x.res.statusCode,O,"Unknown",x.res.statusCode,q);return x}addSessionHeaders(O){let M=this.storageService.get(i,0);M===void 0&&(M=(0,f.generateUuid)(),this.storageService.store(i,M,0,1)),O["X-Machine-Session-Id"]=M;const D=this.storageService.get(c,0);D!==void 0&&(O["X-User-Session-Id"]=D)}};u=he([Y(1,v.IProductService),Y(2,l.IRequestService),Y(3,y.IUserDataSyncLogService),Y(4,h.IEnvironmentService),Y(5,g.IFileService),Y(6,S.IStorageService)],u),e.UserDataSyncStoreClient=u;let m=class extends u{constructor(O,M,D,U,F,x,q){super(O.userDataSyncStore?.url,M,D,U,F,x,q);this._register(O.onDidChangeUserDataSyncStore(()=>this.updateUserDataSyncStoreUrl(O.userDataSyncStore?.url)))}};m=he([Y(0,y.IUserDataSyncStoreManagementService),Y(1,v.IProductService),Y(2,l.IRequestService),Y(3,y.IUserDataSyncLogService),Y(4,h.IEnvironmentService),Y(5,g.IFileService),Y(6,S.IStorageService)],m),e.UserDataSyncStoreService=m;class C{constructor(O,M,D,U){this.limit=O,this.interval=M,this.requestService=D,this.logService=U,this.requests=[],this.startTime=void 0}request(O,M,D){if(this.isExpired()&&this.reset(),M.url=O,this.requests.length>=this.limit)throw this.logService.info("Too many requests",...this.requests),new y.UserDataSyncStoreError(`Too many requests. Only ${this.limit} requests allowed in ${this.interval/(1e3*60)} minutes.`,O,"LocalTooManyRequests",void 0,void 0);return this.startTime=this.startTime||new Date,this.requests.push(O),this.requestService.request(M,D)}isExpired(){return this.startTime!==void 0&&new Date().getTime()-this.startTime.getTime()>this.interval}reset(){this.requests=[],this.startTime=void 0}}e.RequestsSession=C}),define(te[244],ne([0,1,3,60,27,23,21,240,24,65,66]),function(J,e,k,t,L,T,A,R,b,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataAutoSyncService=void 0;let E=class extends R.UserDataAutoSyncService{constructor(p,h,g,v,l,w,S,y,d,r,c){super(p,h,g,v,l,S,y,d,r,c);this._register(k.Event.debounce(k.Event.any(k.Event.map(w.onDidFocusWindow,()=>"windowFocus"),k.Event.map(w.onDidOpenWindow,()=>"windowOpen")),(i,n)=>i?[...i,n]:[n],1e3)(i=>this.triggerSync(i,!0,!1)))}};E=he([Y(0,L.IProductService),Y(1,b.IUserDataSyncStoreManagementService),Y(2,b.IUserDataSyncStoreService),Y(3,b.IUserDataSyncEnablementService),Y(4,b.IUserDataSyncService),Y(5,t.INativeHostService),Y(6,b.IUserDataSyncLogService),Y(7,I.IUserDataSyncAccountService),Y(8,A.ITelemetryService),Y(9,P.IUserDataSyncMachinesService),Y(10,T.IStorageService)],E),e.UserDataAutoSyncService=E}),define(te[245],ne([0,1,5,3,2]),function(J,e,k,t,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class T extends L.Disposable{constructor({onDidOpenWindow:R,onDidFocusWindow:b,getActiveWindowId:I}){super();this.disposables=this._register(new L.DisposableStore),t.Event.latch(t.Event.any(R,b))(this.setActiveWindow,this,this.disposables),this.firstActiveWindowIdPromise=(0,k.createCancelablePromise)(()=>I()),(async()=>{try{const E=await this.firstActiveWindowIdPromise;this.activeWindowId=typeof this.activeWindowId=="number"?this.activeWindowId:E}catch{}finally{this.firstActiveWindowIdPromise=void 0}})()}setActiveWindow(R){this.firstActiveWindowIdPromise&&(this.firstActiveWindowIdPromise.cancel(),this.firstActiveWindowIdPromise=void 0),this.activeWindowId=R}async getActiveClientId(){return`window:${this.firstActiveWindowIdPromise?await this.firstActiveWindowIdPromise:this.activeWindowId}`}}e.ActiveWindowManager=T}),define(te[67],ne([0,1,50,5,10,11,22,125,258,259]),function(J,e,k,t,L,T,A,R,b,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buffer=e.extract=e.zip=e.ExtractError=void 0;class P extends Error{constructor(r,c){let i=c.message;switch(r){case"CorruptZip":i=`Corrupt ZIP: ${i}`;break}super(i);this.type=r,this.cause=c}}e.ExtractError=P;function E(d){const r=d.externalFileAttributes>>16||33188;return[448,56,7].map(c=>r&c).reduce((c,i)=>c+i,r&61440)}function f(d){if(d instanceof P)return d;let r;return/end of central directory record signature not found/.test(d.message)&&(r="CorruptZip"),new P(r,d)}function p(d,r,c,i,n,o){const s=L.dirname(r),a=L.join(i,s);if(!a.startsWith(i))return Promise.reject(new Error(R.localize(0,null,r)));const u=L.join(i,r);let m;return o.onCancellationRequested(()=>{m&&m.destroy()}),Promise.resolve(A.Promises.mkdir(a,{recursive:!0})).then(()=>new Promise((C,_)=>{if(!o.isCancellationRequested)try{m=(0,k.createWriteStream)(u,{mode:c}),m.once("close",()=>C()),m.once("error",_),d.once("error",_),d.pipe(m)}catch(O){_(O)}}))}function h(d,r,c,i){let n=(0,t.createCancelablePromise)(()=>Promise.resolve()),o=0;return i.onCancellationRequested(()=>{n.cancel(),d.close()}),new Promise((s,a)=>{const u=new t.Sequencer,m=C=>{C.isCancellationRequested||(o++,d.readEntry())};d.once("error",a),d.once("close",()=>n.then(()=>{i.isCancellationRequested||d.entryCount===o?s():a(new P("Incomplete",new Error(R.localize(1,null,o,d.entryCount))))},a)),d.readEntry(),d.on("entry",C=>{if(i.isCancellationRequested)return;if(!c.sourcePathRegex.test(C.fileName)){m(i);return}const _=C.fileName.replace(c.sourcePathRegex,"");if(/\/$/.test(_)){const D=L.join(r,_);n=(0,t.createCancelablePromise)(U=>A.Promises.mkdir(D,{recursive:!0}).then(()=>m(U)).then(void 0,a));return}const O=v(d,C),M=E(C);n=(0,t.createCancelablePromise)(D=>u.queue(()=>O.then(U=>p(U,_,M,r,c,D).then(()=>m(D)))).then(null,a))})})}function g(d,r=!1){return new Promise((c,i)=>{(0,b.open)(d,r?{lazyEntries:!0}:void 0,(n,o)=>{n?i(f(n)):c((0,T.assertIsDefined)(o))})})}function v(d,r){return new Promise((c,i)=>{d.openReadStream(r,(n,o)=>{n?i(f(n)):c((0,T.assertIsDefined)(o))})})}function l(d,r){return new Promise((c,i)=>{const n=new I.ZipFile;r.forEach(s=>{s.contents?n.addBuffer(typeof s.contents=="string"?Buffer.from(s.contents,"utf8"):s.contents,s.path):s.localPath&&n.addFile(s.localPath,s.path)}),n.end();const o=(0,k.createWriteStream)(d);n.outputStream.pipe(o),n.outputStream.once("error",i),o.once("error",i),o.once("finish",()=>c(d))})}e.zip=l;function w(d,r,c={},i){const n=new RegExp(c.sourcePath?`^${c.sourcePath}`:"");let o=g(d,!0);return c.overwrite&&(o=o.then(s=>A.Promises.rm(r).then(()=>s))),o.then(s=>h(s,r,{sourcePathRegex:n},i))}e.extract=w;function S(d,r){return g(d).then(c=>new Promise((i,n)=>{c.on("entry",o=>{o.fileName===r&&v(c,o).then(s=>i(s),s=>n(s))}),c.once("close",()=>n(new Error(R.localize(2,null,r))))}))}function y(d,r){return S(d,r).then(c=>new Promise((i,n)=>{const o=[];c.once("error",n),c.on("data",s=>o.push(s)),c.on("end",()=>i(Buffer.concat(o)))}))}e.buffer=y}),define(te[246],ne([0,1,67,133]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getManifest=void 0;function L(T){return(0,k.buffer)(T,"extension/package.json").then(A=>{try{return JSON.parse(A.toString("utf8"))}catch{throw new Error((0,t.localize)(0,null))}})}e.getManifest=L}),define(te[247],ne([0,1,16,5,9,2,18,10,4,20,62,7,29,22,67,134,14,30,31,156,61,15,8,27]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l,w,S,y,d,r,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsScanner=void 0;let i=class extends T.Disposable{constructor(o,s,a,u,m){super();this.beforeRemovingExtension=o,this.fileService=s,this.logService=a,this.environmentService=u,this.productService=m,this._devSystemExtensionsPath=null,this.systemExtensionsPath=u.builtinExtensionsPath,this.extensionsPath=u.extensionsPath,this.uninstalledPath=R.join(this.extensionsPath,".obsolete"),this.uninstalledFileLimiter=new t.Queue}async cleanUp(){await this.removeUninstalledExtensions(),await this.removeOutdatedExtensions()}async scanExtensions(o){const s=[];(o===null||o===0)&&s.push(this.scanSystemExtensions().then(null,a=>Promise.reject(new l.ExtensionManagementError(this.joinErrors(a).message,l.ExtensionManagementErrorCode.Internal)))),(o===null||o===1)&&s.push(this.scanUserExtensions(!0).then(null,a=>Promise.reject(new l.ExtensionManagementError(this.joinErrors(a).message,l.ExtensionManagementErrorCode.Internal))));try{const a=await Promise.all(s);return(0,k.flatten)(a)}catch(a){throw this.joinErrors(a)}}async scanUserExtensions(o){this.logService.trace("Started scanning user extensions");let[s,a]=await Promise.all([this.getUninstalledExtensions(),this.scanAllUserExtensions()]);return a=a.filter(u=>!s[new w.ExtensionIdentifierWithVersion(u.identifier,u.manifest.version).key()]),o&&(a=(0,w.groupByExtension)(a,m=>m.identifier).map(m=>m.sort((C,_)=>P.rcompare(C.manifest.version,_.manifest.version))[0])),this.logService.trace("Scanned user extensions:",a.length),a}async scanAllUserExtensions(){return this.scanExtensionsInDir(this.extensionsPath,1)}async extractUserExtension(o,s,a,u){const m=o.key(),C=R.join(this.extensionsPath,`.${(0,f.generateUuid)()}`),_=R.join(this.extensionsPath,m);try{await p.Promises.rm(_)}catch{try{await p.Promises.rm(_)}catch{}throw new l.ExtensionManagementError((0,g.localize)(0,null,_,o.id),l.ExtensionManagementErrorCode.Delete)}await this.extractAtLocation(o,s,C,u);let O=await this.scanExtension(E.URI.file(C),1);if(!O)throw new Error((0,g.localize)(1,null,C));await this.storeMetadata(O,{...a,installedTimestamp:Date.now()});try{await this.rename(o,C,_,Date.now()+2*60*1e3),this.logService.info("Renamed to",_)}catch(M){try{await p.Promises.rm(C)}catch{}if(M.code==="ENOTEMPTY")this.logService.info("Rename failed because extension was installed by another source. So ignoring renaming.",o.id);else throw this.logService.info(`Rename failed because of ${(0,L.getErrorMessage)(M)}. Deleted from extracted location`,C),M}try{O=await this.scanExtension(E.URI.file(_),1)}catch{}if(O)return O;throw new Error((0,g.localize)(2,null,this.extensionsPath))}async saveMetadataForLocalExtension(o,s){return this.setMetadata(o,s),await this.storeMetadata(o,{...s,installedTimestamp:o.installedTimestamp}),o}async storeMetadata(o,s){s.isMachineScoped=s.isMachineScoped||void 0,s.isBuiltin=s.isBuiltin||void 0,s.installedTimestamp=s.installedTimestamp||void 0;const a=R.join(o.location.fsPath,"package.json"),u=await p.Promises.readFile(a,"utf8"),{manifest:m}=await this.parseManifest(u);return m.__metadata=s,await p.Promises.writeFile(a,JSON.stringify(m,null,"	")),o}getUninstalledExtensions(){return this.withUninstalledExtensions()}async setUninstalled(...o){const s=o.map(a=>new w.ExtensionIdentifierWithVersion(a.identifier,a.manifest.version));await this.withUninstalledExtensions(a=>{s.forEach(u=>a[u.key()]=!0)})}async setInstalled(o){await this.withUninstalledExtensions(u=>delete u[o.key()]);const a=(await this.scanExtensions(1)).find(u=>new w.ExtensionIdentifierWithVersion(u.identifier,u.manifest.version).equals(o))||null;return a?(await this.storeMetadata(a,{installedTimestamp:Date.now()}),this.scanExtension(a.location,1)):null}async withUninstalledExtensions(o){return this.uninstalledFileLimiter.queue(async()=>{let s;try{s=await p.Promises.readFile(this.uninstalledPath,"utf8")}catch(u){if(u.code!=="ENOENT")throw u}let a={};if(s)try{a=JSON.parse(s)}catch{}return o&&(o(a),Object.keys(a).length?await p.Promises.writeFile(this.uninstalledPath,JSON.stringify(a)):await p.Promises.rm(this.uninstalledPath)),a})}async removeExtension(o,s){this.logService.trace(`Deleting ${s} extension from disk`,o.identifier.id,o.location.fsPath),await p.Promises.rm(o.location.fsPath),this.logService.info("Deleted from disk",o.identifier.id,o.location.fsPath)}async removeUninstalledExtension(o){await this.removeExtension(o,"uninstalled"),await this.withUninstalledExtensions(s=>delete s[new w.ExtensionIdentifierWithVersion(o.identifier,o.manifest.version).key()])}async extractAtLocation(o,s,a,u){this.logService.trace(`Started extracting the extension from ${s} to ${a}`);try{await p.Promises.rm(a)}catch(m){throw new l.ExtensionManagementError(this.joinErrors(m).message,l.ExtensionManagementErrorCode.Delete)}try{await(0,h.extract)(s,a,{sourcePath:"extension",overwrite:!0},u),this.logService.info(`Extracted extension to ${a}:`,o.id)}catch(m){try{await p.Promises.rm(a)}catch{}let C=l.ExtensionManagementErrorCode.Extract;throw m instanceof h.ExtractError&&(m.type==="CorruptZip"?C=l.ExtensionManagementErrorCode.CorruptZip:m.type==="Incomplete"&&(C=l.ExtensionManagementErrorCode.IncompleteZip)),new l.ExtensionManagementError(m.message,C)}}async rename(o,s,a,u){try{await p.Promises.rename(s,a)}catch(m){if(b.isWindows&&m&&m.code==="EPERM"&&Date.now()<u)return this.logService.info(`Failed renaming ${s} to ${a} with 'EPERM' error. Trying again...`,o.id),this.rename(o,s,a,u);throw new l.ExtensionManagementError(m.message||(0,g.localize)(3,null,s,a),m.code||l.ExtensionManagementErrorCode.Rename)}}async scanSystemExtensions(){this.logService.trace("Started scanning system extensions");const o=this.scanDefaultSystemExtensions();if(this.environmentService.isBuilt)return o;const s=this.scanDevSystemExtensions(),[a,u]=await Promise.all([o,s]);return[...a,...u]}async scanExtensionsInDir(o,s){const a=new t.Limiter(10),u=await this.fileService.resolve(E.URI.file(o));return u.children?(await Promise.all(u.children.filter(C=>C.isDirectory).map(C=>a.queue(async()=>s===1&&(0,I.basename)(C.resource).indexOf(".")===0?null:this.scanExtension(C.resource,s))))).filter(C=>C&&C.identifier):[]}async scanExtension(o,s){try{const a=await this.fileService.resolve(o);if(a.children){const{manifest:u,metadata:m}=await this.readManifest(o.fsPath),C=a.children.find(({name:D})=>/^readme(\.txt|\.md|)$/i.test(D))?.resource,_=a.children.find(({name:D})=>/^changelog(\.txt|\.md|)$/i.test(D))?.resource,O={id:(0,w.getGalleryExtensionId)(u.publisher,u.name)},M={type:s,identifier:O,manifest:u,location:o,readmeUrl:C,changelogUrl:_,publisherDisplayName:null,publisherId:null,isMachineScoped:!1,isBuiltin:s===0};return this.setMetadata(M,m),M}}catch(a){s!==0&&this.logService.trace(a)}return null}async scanDefaultSystemExtensions(){const o=await this.scanExtensionsInDir(this.systemExtensionsPath,0);return this.logService.trace("Scanned system extensions:",o.length),o}async scanDevSystemExtensions(){const o=this.getDevSystemExtensionsList();if(o.length){const s=await this.scanExtensionsInDir(this.devSystemExtensionsPath,0);return this.logService.trace("Scanned dev system extensions:",s.length),s.filter(a=>o.some(u=>(0,w.areSameExtensions)(a.identifier,{id:u})))}else return[]}setMetadata(o,s){o.publisherDisplayName=s?.publisherDisplayName||null,o.publisherId=s?.publisherId||null,o.identifier.uuid=s?.id,o.isMachineScoped=!!s?.isMachineScoped,o.isPreReleaseVersion=!!s?.isPreReleaseVersion,o.preRelease=!!s?.preRelease,o.isBuiltin=o.type===0||!!s?.isBuiltin,o.installedTimestamp=s?.installedTimestamp}async removeUninstalledExtensions(){const o=await this.getUninstalledExtensions(),s=await this.scanAllUserExtensions(),a=new Set;for(const C of s)o[new w.ExtensionIdentifierWithVersion(C.identifier,C.manifest.version).key()]||a.add(C.identifier.id.toLowerCase());const u=(0,w.groupByExtension)(s,C=>C.identifier);await t.Promises.settled(u.map(async C=>{const _=C.sort((O,M)=>P.rcompare(O.manifest.version,M.manifest.version))[0];a.has(_.identifier.id.toLowerCase())||await this.beforeRemovingExtension(_)}));const m=s.filter(C=>o[new w.ExtensionIdentifierWithVersion(C.identifier,C.manifest.version).key()]);await t.Promises.settled(m.map(C=>this.removeUninstalledExtension(C)))}async removeOutdatedExtensions(){const o=await this.scanAllUserExtensions(),s=[],a=(0,w.groupByExtension)(o,u=>u.identifier);s.push(...(0,k.flatten)(a.map(u=>u.sort((m,C)=>P.rcompare(m.manifest.version,C.manifest.version)).slice(1)))),await t.Promises.settled(s.map(u=>this.removeExtension(u,"outdated")))}getDevSystemExtensionsList(){return(this.productService.builtInExtensions||[]).map(o=>o.name)}joinErrors(o){const s=Array.isArray(o)?o:[o];return s.length===1?s[0]instanceof Error?s[0]:new Error(s[0]):s.reduce((a,u)=>new Error(`${a.message}${a.message?",":""}${u instanceof Error?u.message:u}`),new Error(""))}get devSystemExtensionsPath(){return this._devSystemExtensionsPath||(this._devSystemExtensionsPath=R.normalize(R.join(A.FileAccess.asFileUri("",J).fsPath,"..",".build","builtInExtensions"))),this._devSystemExtensionsPath}async readManifest(o){const s=[p.Promises.readFile(R.join(o,"package.json"),"utf8").then(C=>this.parseManifest(C)),p.Promises.readFile(R.join(o,"package.nls.json"),"utf8").then(void 0,C=>C.code!=="ENOENT"?Promise.reject(C):"{}").then(C=>JSON.parse(C))],[{manifest:a,metadata:u},m]=await Promise.all(s);return{manifest:(0,S.localizeManifest)(a,m),metadata:u}}parseManifest(o){return new Promise((s,a)=>{try{const u=JSON.parse(o);u.publisher||(u.publisher=y.UNDEFINED_PUBLISHER);const m=u.__metadata||null;s({manifest:u,metadata:m})}catch{a(new Error((0,g.localize)(4,null)))}})}};i=he([Y(1,d.IFileService),Y(2,r.ILogService),Y(3,v.INativeEnvironmentService),Y(4,c.IProductService)],i),e.ExtensionsScanner=i}),define(te[248],ne([0,1,37,9,18,10,4,33,20,62,11,7,29,22,67,132,82,14,205,30,31,188,173,246,189,247,222,79,15,6,8,27,21,32]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l,w,S,y,d,r,c,i,n,o,s,a,u,m,C,_,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionManagementService=void 0;let M=class extends w.AbstractExtensionManagementService{constructor(H,re,B,W,K,V,X,Z,j){super(H,re,B,Z);this.environmentService=W,this.downloadService=K,this.fileService=X;const N=this._register(V.createInstance(r.ExtensionsLifecycle));this.extensionsScanner=this._register(V.createInstance(n.ExtensionsScanner,z=>N.postUninstall(z))),this.manifestCache=this._register(new i.ExtensionsManifestCache(W,this)),this.extensionsDownloader=this._register(V.createInstance(d.ExtensionsDownloader));const $=this._register(new o.ExtensionsWatcher(this,X,W,B,j));this._register($.onDidChangeExtensionsByAnotherSource(({added:z,removed:G})=>{z.length&&this._onDidInstallExtensions.fire(z.map(ee=>({identifier:ee.identifier,operation:1,local:ee}))),G.forEach(ee=>this._onDidUninstallExtension.fire({identifier:ee}))}))}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=(async()=>{const H=await this.isAlpineLinux(),re=(0,S.getTargetPlatform)(H?"alpine":A.platform,R.arch);return this.logService.debug("ExtensionManagementService#TargetPlatform:",re),re})()),this._targetPlatformPromise}async isAlpineLinux(){if(!A.isLinux)return!1;let H;try{H=(await this.fileService.readFile(E.URI.file("/etc/os-release"))).value.toString()}catch{try{H=(await this.fileService.readFile(E.URI.file("/usr/lib/os-release"))).value.toString()}catch(B){this.logService.debug("Error while getting the os-release file.",(0,t.getErrorMessage)(B))}}return!!H&&(H.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}async zip(H){this.logService.trace("ExtensionManagementService#zip",H.identifier.id);const re=await this.collectFiles(H),B=await(0,h.zip)((0,b.joinPath)(this.environmentService.tmpDir,(0,f.generateUuid)()).fsPath,re);return E.URI.file(B)}async unzip(H){return this.logService.trace("ExtensionManagementService#unzip",H.toString()),(await this.install(H)).identifier}async getManifest(H){const re=await this.downloadVsix(H),B=T.resolve(re.fsPath);return(0,c.getManifest)(B)}getInstalled(H=null){return this.extensionsScanner.scanExtensions(H)}async install(H,re={}){this.logService.trace("ExtensionManagementService#install",H.toString());const B=await this.downloadVsix(H),W=await(0,c.getManifest)(T.resolve(B.fsPath));if(W.engines&&W.engines.vscode&&!(0,s.isEngineValid)(W.engines.vscode,this.productService.version,this.productService.date))throw new Error(g.localize(0,null,(0,y.getGalleryExtensionId)(W.publisher,W.name),this.productService.version));return this.installExtension(W,B,re)}async updateMetadata(H,re){this.logService.trace("ExtensionManagementService#updateMetadata",H.identifier.id);const B={...H.manifest.__metadata||{},...re};return re.isPreReleaseVersion&&(B.preRelease=!0),H=await this.extensionsScanner.saveMetadataForLocalExtension(H,B),this.manifestCache.invalidate(),H}async updateExtensionScope(H,re){return this.logService.trace("ExtensionManagementService#updateExtensionScope",H.identifier.id),H=await this.extensionsScanner.saveMetadataForLocalExtension(H,{...H.manifest.__metadata||{},isMachineScoped:re}),this.manifestCache.invalidate(),H}removeDeprecatedExtensions(){return this.extensionsScanner.cleanUp()}async downloadVsix(H){if(H.scheme===L.Schemas.file)return H;const re=(0,b.joinPath)(this.environmentService.tmpDir,(0,f.generateUuid)());return await this.downloadService.download(H,re),re}createInstallExtensionTask(H,re,B){return E.URI.isUri(re)?new F(H,re,B,this.galleryService,this.extensionsScanner,this.logService):new U(re,B,this.extensionsDownloader,this.extensionsScanner,this.logService)}createUninstallExtensionTask(H,re){return new x(H,re,this.extensionsScanner)}async collectFiles(H){const re=async W=>{let K=await p.Promises.readdir(W);K=K.map(Z=>T.join(W,Z));const V=await Promise.all(K.map(Z=>p.Promises.stat(Z)));let X=Promise.resolve([]);return V.forEach((Z,j)=>{const N=K[j];Z.isFile()&&(X=X.then($=>[...$,N])),Z.isDirectory()&&(X=X.then($=>re(N).then(z=>[...$,...z])))}),X};return(await re(H.location.fsPath)).map(W=>({path:`extension/${T.relative(H.location.fsPath,W)}`,localPath:W}))}};M=he([Y(0,S.IExtensionGalleryService),Y(1,_.ITelemetryService),Y(2,m.ILogService),Y(3,l.INativeEnvironmentService),Y(4,v.IDownloadService),Y(5,u.IInstantiationService),Y(6,a.IFileService),Y(7,C.IProductService),Y(8,O.IUriIdentityService)],M),e.ExtensionManagementService=M;class D extends w.AbstractExtensionTask{constructor(H,re,B,W){super();this.identifier=H,this.source=re,this.extensionsScanner=B,this.logService=W,this._operation=2}get operation(){return this._operation}async installExtension(H,re){try{const B=await this.unsetUninstalledAndGetLocal(H.identifierWithVersion);if(B)return H.metadata?this.extensionsScanner.saveMetadataForLocalExtension(B,{...B.manifest.__metadata||{},...H.metadata}):B}catch{throw A.isMacintosh?new S.ExtensionManagementError(g.localize(1,null),S.ExtensionManagementErrorCode.Internal):new S.ExtensionManagementError(g.localize(2,null),S.ExtensionManagementErrorCode.Internal)}return this.extract(H,re)}async unsetUninstalledAndGetLocal(H){if(!await this.isUninstalled(H))return null;this.logService.trace("Removing the extension from uninstalled list:",H.id);const B=await this.extensionsScanner.setInstalled(H);return this.logService.info("Removed the extension from uninstalled list:",H.id),B}async isUninstalled(H){return!!(await this.extensionsScanner.getUninstalledExtensions())[H.key()]}async extract({zipPath:H,identifierWithVersion:re,metadata:B},W){let K=await this.extensionsScanner.extractUserExtension(re,H,B,W);return this.logService.info("Extracting completed.",re.id),K}}class U extends D{constructor(H,re,B,W,K){super(H.identifier,H,W,K);this.gallery=H,this.options=re,this.extensionsDownloader=B}async doRun(H){const B=(await this.extensionsScanner.scanExtensions(null)).find(K=>(0,y.areSameExtensions)(K.identifier,this.gallery.identifier));B&&(this._operation=3);const W=await this.downloadInstallableExtension(this.gallery,this._operation);W.metadata.isMachineScoped=this.options.isMachineScoped||B?.isMachineScoped,W.metadata.isBuiltin=this.options.isBuiltin||B?.isBuiltin,W.metadata.isPreReleaseVersion=this.gallery.properties.isPreReleaseVersion,W.metadata.preRelease=this.gallery.properties.isPreReleaseVersion||((0,P.isBoolean)(this.options.installPreReleaseVersion)?this.options.installPreReleaseVersion:B?.preRelease);try{const K=await this.installExtension(W,H);return B&&I.neq(B.manifest.version,this.gallery.version)&&await this.extensionsScanner.setUninstalled(B),K}catch(K){throw await this.deleteDownloadedVSIX(W.zipPath),K}}async deleteDownloadedVSIX(H){try{await this.extensionsDownloader.delete(E.URI.file(H))}catch(re){this.logService.warn("Error while deleting the downloaded vsix",H.toString(),(0,t.getErrorMessage)(re))}}async downloadInstallableExtension(H,re){const B={id:H.identifier.uuid,publisherId:H.publisherId,publisherDisplayName:H.publisherDisplayName};let W;try{this.logService.trace("Started downloading extension:",H.identifier.id),W=(await this.extensionsDownloader.downloadExtension(H,re)).fsPath,this.logService.info("Downloaded extension:",H.identifier.id,W)}catch(K){throw new S.ExtensionManagementError((0,w.joinErrors)(K).message,S.ExtensionManagementErrorCode.Download)}try{const K=await(0,c.getManifest)(W);return{zipPath:W,identifierWithVersion:new y.ExtensionIdentifierWithVersion(H.identifier,K.version),metadata:B}}catch(K){throw await this.deleteDownloadedVSIX(W),new S.ExtensionManagementError((0,w.joinErrors)(K).message,S.ExtensionManagementErrorCode.Invalid)}}}class F extends D{constructor(H,re,B,W,K,V){super({id:(0,y.getGalleryExtensionId)(H.publisher,H.name)},re,K,V);this.manifest=H,this.location=re,this.options=B,this.galleryService=W}async doRun(H){const re=new y.ExtensionIdentifierWithVersion(this.identifier,this.manifest.version),W=(await this.extensionsScanner.scanExtensions(1)).find(V=>(0,y.areSameExtensions)(this.identifier,V.identifier)),K=await this.getMetadata(this.identifier.id,this.manifest.version,H);if(K.isMachineScoped=this.options.isMachineScoped||W?.isMachineScoped,K.isBuiltin=this.options.isBuiltin||W?.isBuiltin,W)if(this._operation=3,re.equals(new y.ExtensionIdentifierWithVersion(W.identifier,W.manifest.version)))try{await this.extensionsScanner.removeExtension(W,"existing")}catch{throw new Error(g.localize(3,null,this.manifest.displayName||this.manifest.name))}else I.gt(W.manifest.version,this.manifest.version)&&await this.extensionsScanner.setUninstalled(W);else{const V=await this.unsetUninstalledAndGetLocal(re);if(V)try{await this.extensionsScanner.removeExtension(V,"existing")}catch{throw new Error(g.localize(4,null,this.manifest.displayName||this.manifest.name))}}return this.installExtension({zipPath:T.resolve(this.location.fsPath),identifierWithVersion:re,metadata:K},H)}async getMetadata(H,re,B){try{let[W]=await this.galleryService.getExtensions([{id:H,version:re}],B);if(W||([W]=await this.galleryService.getExtensions([{id:H}],B)),W)return{id:W.identifier.uuid,publisherDisplayName:W.publisherDisplayName,publisherId:W.publisherId,isPreReleaseVersion:W.properties.isPreReleaseVersion,preRelease:W.properties.isPreReleaseVersion||this.options.installPreReleaseVersion}}catch{}return{}}}class x extends w.AbstractExtensionTask{constructor(H,re,B){super();this.extension=H,this.options=re,this.extensionsScanner=B}async doRun(H){const re=[],B=await this.extensionsScanner.scanUserExtensions(!1);if(this.options.versionOnly){const W=new y.ExtensionIdentifierWithVersion(this.extension.identifier,this.extension.manifest.version);re.push(...B.filter(K=>W.equals(new y.ExtensionIdentifierWithVersion(K.identifier,K.manifest.version))))}else re.push(...B.filter(W=>(0,y.areSameExtensions)(W.identifier,this.extension.identifier)));if(!re.length)throw new Error(g.localize(5,null,this.extension.manifest.displayName||this.extension.manifest.name));if(await this.extensionsScanner.setUninstalled(...re),this.options.remove)for(const W of re)try{H.isCancellationRequested||await this.extensionsScanner.removeUninstalledExtension(W)}catch(K){throw new Error(g.localize(6,null,(0,k.toErrorMessage)(K)))}}}}),define(te[249],ne([0,1,84,56,34,17,9,3,2,10,4,29,36,74,260]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class g{constructor(C,_=""){this.debugLabel=_,this.socket=C,this.traceSocketEvent("created",{type:"NodeSocket"}),this._errorListener=O=>{if(this.traceSocketEvent("error",{code:O?.code,message:O?.message}),O){if(O.code==="EPIPE")return;(0,A.onUnexpectedError)(O)}},this.socket.on("error",this._errorListener)}traceSocketEvent(C,_){p.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,C,_)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(C){const _=O=>{this.traceSocketEvent("read",O),C(T.VSBuffer.wrap(O))};return this.socket.on("data",_),{dispose:()=>this.socket.off("data",_)}}onClose(C){const _=O=>{this.traceSocketEvent("close",{hadError:O}),C({type:0,hadError:O,error:void 0})};return this.socket.on("close",_),{dispose:()=>this.socket.off("close",_)}}onEnd(C){const _=()=>{this.traceSocketEvent("nodeEndReceived"),C()};return this.socket.on("end",_),{dispose:()=>this.socket.off("end",_)}}write(C){if(!this.socket.destroyed)try{this.traceSocketEvent("write",C),this.socket.write(C.buffer,_=>{if(_){if(_.code==="EPIPE")return;(0,A.onUnexpectedError)(_)}})}catch(_){if(_.code==="EPIPE")return;(0,A.onUnexpectedError)(_)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((C,_)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),C();return}const O=()=>{this.socket.off("close",O),this.socket.off("end",O),this.socket.off("error",O),this.socket.off("timeout",O),this.socket.off("drain",O),this.traceSocketEvent("nodeDrainEnd"),C()};this.socket.on("close",O),this.socket.on("end",O),this.socket.on("error",O),this.socket.on("timeout",O),this.socket.on("drain",O)})}}e.NodeSocket=g;var v;(function(m){m[m.MinHeaderByteSize=2]="MinHeaderByteSize"})(v||(v={}));var l;(function(m){m[m.PeekHeader=1]="PeekHeader",m[m.ReadHeader=2]="ReadHeader",m[m.ReadBody=3]="ReadBody",m[m.Fin=4]="Fin"})(l||(l={}));class w extends b.Disposable{constructor(C,_,O,M){super();this._onData=this._register(new R.Emitter),this._onClose=this._register(new R.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=C,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:_,inflateBytesLength:O?.byteLength||0,recordInflateBytes:M}),this._flowManager=this._register(new S(this,_,O,M,this._onData,(D,U)=>this._write(D,U))),this._register(this._flowManager.onError(D=>{console.error(D),(0,A.onUnexpectedError)(D),this._onClose.fire({type:0,hadError:!0,error:D})})),this._incomingData=new p.ChunkStream,this._register(this.socket.onData(D=>this._acceptChunk(D))),this._register(this.socket.onClose(D=>this._onClose.fire(D)))}get permessageDeflate(){return this._flowManager.permessageDeflate}get recordedInflateBytes(){return this._flowManager.recordedInflateBytes}traceSocketEvent(C,_){this.socket.traceSocketEvent(C,_)}dispose(){this._flowManager.isProcessingWriteQueue()?this._register(this._flowManager.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(C){return this._onData.event(C)}onClose(C){return this._onClose.event(C)}onEnd(C){return this.socket.onEnd(C)}write(C){this._flowManager.writeMessage(C)}_write(C,_){if(this._isEnded)return;this.traceSocketEvent("webSocketNodeSocketWrite",C);let O=2;C.byteLength<126?O+=0:C.byteLength<2**16?O+=2:O+=8;const M=T.VSBuffer.alloc(O);if(_?M.writeUInt8(194,0):M.writeUInt8(130,0),C.byteLength<126)M.writeUInt8(C.byteLength,1);else if(C.byteLength<2**16){M.writeUInt8(126,1);let D=1;M.writeUInt8(C.byteLength>>>8&255,++D),M.writeUInt8(C.byteLength>>>0&255,++D)}else{M.writeUInt8(127,1);let D=1;M.writeUInt8(0,++D),M.writeUInt8(0,++D),M.writeUInt8(0,++D),M.writeUInt8(0,++D),M.writeUInt8(C.byteLength>>>24&255,++D),M.writeUInt8(C.byteLength>>>16&255,++D),M.writeUInt8(C.byteLength>>>8&255,++D),M.writeUInt8(C.byteLength>>>0&255,++D)}this.socket.write(T.VSBuffer.concat([M,C]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(C){if(C.byteLength!==0){for(this._incomingData.acceptChunk(C);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const _=this._incomingData.peek(this._state.readLen),O=_.readUInt8(0),M=(O&128)>>>7,D=(O&64)>>>6,U=_.readUInt8(1),F=(U&128)>>>7,x=U&127;this._state.state=2,this._state.readLen=2+(F?4:0)+(x===126?2:0)+(x===127?8:0),this._state.fin=M,this._state.firstFrameOfMessage&&(this._state.compressed=Boolean(D)),this._state.firstFrameOfMessage=Boolean(M),this._state.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin})}else if(this._state.state===2){const _=this._incomingData.read(this._state.readLen),O=_.readUInt8(1),M=(O&128)>>>7;let D=O&127,U=1;D===126?D=_.readUInt8(++U)*2**8+_.readUInt8(++U):D===127&&(D=_.readUInt8(++U)*0+_.readUInt8(++U)*0+_.readUInt8(++U)*0+_.readUInt8(++U)*0+_.readUInt8(++U)*2**24+_.readUInt8(++U)*2**16+_.readUInt8(++U)*2**8+_.readUInt8(++U));let F=0;M&&(F=_.readUInt8(++U)*2**24+_.readUInt8(++U)*2**16+_.readUInt8(++U)*2**8+_.readUInt8(++U)),this._state.state=3,this._state.readLen=D,this._state.mask=F,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin,mask:this._state.mask})}else if(this._state.state===3){const _=this._incomingData.read(this._state.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",_),r(_,this._state.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",_),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._flowManager.acceptFrame(_,this._state.compressed,!!this._state.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this._flowManager.isProcessingWriteQueue()&&await R.Event.toPromise(this._flowManager.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.WebSocketNodeSocket=w;class S extends b.Disposable{constructor(C,_,O,M,D,U){super();this._tracer=C,this._onData=D,this._writeFn=U,this._onError=this._register(new R.Emitter),this.onError=this._onError.event,this._writeQueue=[],this._readQueue=[],this._onDidFinishProcessingWriteQueue=this._register(new R.Emitter),this.onDidFinishProcessingWriteQueue=this._onDidFinishProcessingWriteQueue.event,this._isProcessingWriteQueue=!1,this._isProcessingReadQueue=!1,_?(this._zlibInflateStream=this._register(new y(this._tracer,M,O,{windowBits:15})),this._zlibDeflateStream=this._register(new d(this._tracer,{windowBits:15})),this._register(this._zlibInflateStream.onError(F=>this._onError.fire(F))),this._register(this._zlibDeflateStream.onError(F=>this._onError.fire(F)))):(this._zlibInflateStream=null,this._zlibDeflateStream=null)}get permessageDeflate(){return Boolean(this._zlibInflateStream&&this._zlibDeflateStream)}get recordedInflateBytes(){return this._zlibInflateStream?this._zlibInflateStream.recordedInflateBytes:T.VSBuffer.alloc(0)}writeMessage(C){this._writeQueue.push(C),this._processWriteQueue()}async _processWriteQueue(){if(!this._isProcessingWriteQueue){for(this._isProcessingWriteQueue=!0;this._writeQueue.length>0;){const C=this._writeQueue.shift();if(this._zlibDeflateStream){const _=await this._deflateMessage(this._zlibDeflateStream,C);this._writeFn(_,!0)}else this._writeFn(C,!1)}this._isProcessingWriteQueue=!1,this._onDidFinishProcessingWriteQueue.fire()}}isProcessingWriteQueue(){return this._isProcessingWriteQueue}_deflateMessage(C,_){return new Promise((O,M)=>{C.write(_),C.flush(D=>O(D))})}acceptFrame(C,_,O){this._readQueue.push({data:C,isCompressed:_,isLastFrameOfMessage:O}),this._processReadQueue()}async _processReadQueue(){if(!this._isProcessingReadQueue){for(this._isProcessingReadQueue=!0;this._readQueue.length>0;){const C=this._readQueue.shift();if(this._zlibInflateStream&&C.isCompressed){const _=await this._inflateFrame(this._zlibInflateStream,C.data,C.isLastFrameOfMessage);this._onData.fire(_)}else this._onData.fire(C.data)}this._isProcessingReadQueue=!1}}_inflateFrame(C,_,O){return new Promise((M,D)=>{C.write(_),O&&C.write(T.VSBuffer.fromByteArray([0,0,255,255])),C.flush(U=>M(U))})}}class y extends b.Disposable{constructor(C,_,O,M){super();this._tracer=C,this._recordInflateBytes=_,this._onError=this._register(new R.Emitter),this.onError=this._onError.event,this._recordedInflateBytes=[],this._pendingInflateData=[],this._zlibInflate=h.createInflateRaw(M),this._zlibInflate.on("error",D=>{this._tracer.traceSocketEvent("zlibInflateError",{message:D?.message,code:D?.code}),this._onError.fire(D)}),this._zlibInflate.on("data",D=>{this._tracer.traceSocketEvent("zlibInflateData",D),this._pendingInflateData.push(T.VSBuffer.wrap(D))}),O&&(this._tracer.traceSocketEvent("zlibInflateInitialWrite",O.buffer),this._zlibInflate.write(O.buffer),this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateInitialFlushFired"),this._pendingInflateData.length=0}))}get recordedInflateBytes(){return this._recordInflateBytes?T.VSBuffer.concat(this._recordedInflateBytes):T.VSBuffer.alloc(0)}write(C){this._recordInflateBytes&&this._recordedInflateBytes.push(C.clone()),this._tracer.traceSocketEvent("zlibInflateWrite",C),this._zlibInflate.write(C.buffer)}flush(C){this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateFlushFired");const _=T.VSBuffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,C(_)})}}class d extends b.Disposable{constructor(C,_){super();this._tracer=C,this._onError=this._register(new R.Emitter),this.onError=this._onError.event,this._pendingDeflateData=[],this._zlibDeflate=h.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",O=>{this._tracer.traceSocketEvent("zlibDeflateError",{message:O?.message,code:O?.code}),this._onError.fire(O)}),this._zlibDeflate.on("data",O=>{this._tracer.traceSocketEvent("zlibDeflateData",O),this._pendingDeflateData.push(T.VSBuffer.wrap(O))})}write(C){this._tracer.traceSocketEvent("zlibDeflateWrite",C.buffer),this._zlibDeflate.write(C.buffer)}flush(C){this._zlibDeflate.flush(2,()=>{this._tracer.traceSocketEvent("zlibDeflateFlushFired");let _=T.VSBuffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,_=_.slice(0,_.byteLength-4),C(_)})}}function r(m,C){if(C===0)return;let _=m.byteLength>>>2;for(let x=0;x<_;x++){const q=m.readUInt32BE(x*4);m.writeUInt32BE(q^C,x*4)}let O=_*4,M=m.byteLength-O;const D=C>>>24&255,U=C>>>16&255,F=C>>>8&255;M>=1&&m.writeUInt8(m.readUInt8(O)^D,O),M>=2&&m.writeUInt8(m.readUInt8(O+1)^U,O+1),M>=3&&m.writeUInt8(m.readUInt8(O+2)^F,O+2)}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const c={[2]:107,[1]:103};function i(){const m=(0,E.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${m}-sock`;let C;return e.XDG_RUNTIME_DIR?C=(0,I.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${m}.sock`):C=(0,I.join)((0,L.tmpdir)(),`vscode-ipc-${m}.sock`),o(C),C}e.createRandomIPCHandle=i;function n(m,C,_){const O=(0,k.createHash)("md5").update(m).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${O}-${_}-${C}-sock`;let M;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?M=(0,I.join)(e.XDG_RUNTIME_DIR,`vscode-${O.substr(0,8)}-${_}-${C}.sock`):M=(0,I.join)(m,`${_}-${C}.sock`),o(M),M}e.createStaticIPCHandle=n;function o(m){const C=c[P.platform];typeof C=="number"&&m.length>=C&&console.warn(`WARNING: IPC handle "${m}" is longer than ${C} chars, try a shorter --user-data-dir`)}class s extends f.IPCServer{constructor(C){super(s.toClientConnectionEvent(C));this.server=C}static toClientConnectionEvent(C){const _=R.Event.fromNodeEventEmitter(C,"connection");return R.Event.map(_,O=>({protocol:new p.Protocol(new g(O,"ipc-server-connection")),onDidClientDisconnect:R.Event.once(R.Event.fromNodeEventEmitter(O,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=s;function a(m){return new Promise((C,_)=>{const O=(0,t.createServer)();O.on("error",_),O.listen(m,()=>{O.removeListener("error",_),C(new s(O))})})}e.serve=a;function u(m,C){return new Promise((_,O)=>{const M=(0,t.createConnection)(m,()=>{M.removeListener("error",O),_(p.Client.fromSocket(new g(M,`ipc-client${C}`),C))});M.once("error",O)})}e.connect=u}),define(te[250],ne([0,1,56,249]),function(J,e,k,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nodeSocketFactory=void 0,e.nodeSocketFactory=new class{connect(L,T,A,R,b){const I=E=>b(E,void 0),P=k.createConnection({host:L,port:T},()=>{P.removeListener("error",I);const E=Buffer.alloc(16);for(let g=0;g<16;g++)E[g]=Math.round(Math.random()*256);const f=E.toString("base64"),p=[`GET ws://${/:/.test(L)?`[${L}]`:L}:${T}/?${A}&skipWebSocketFrames=true HTTP/1.1`,"Connection: Upgrade","Upgrade: websocket",`Sec-WebSocket-Key: ${f}`];P.write(p.join(`\r
`)+`\r
\r
`);const h=g=>{g.toString().indexOf(`\r
\r
`)>=0&&(P.off("data",h),b(void 0,new t.NodeSocket(P,R)))};P.on("data",h)});P.setNoDelay(!0),P.once("error",I)}}}),define(te[251],ne([0,1,56,115,250,5,2,19,8,27,184,64,92]),function(J,e,k,t,L,T,A,R,b,I,P,E,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedTunnelsService=e.TunnelService=e.BaseTunnelService=void 0;async function p(w,S,y,d,r){let c;for(let i=3;i&&(c&&c.dispose(),c=await new h(w,S,y,d,r).waitForReady(),!(r&&t.BROWSER_RESTRICTED_PORTS[r]||!t.BROWSER_RESTRICTED_PORTS[c.tunnelLocalPort]));i--);return c}class h extends A.Disposable{constructor(S,y,d,r,c){super();this.defaultTunnelHost=y,this.suggestedLocalPort=c,this.privacy=E.TunnelPrivacyId.Private,this._socketsDispose=new Map,this._options=S,this._server=k.createServer(),this._barrier=new T.Barrier,this._listeningListener=()=>this._barrier.open(),this._server.on("listening",this._listeningListener),this._connectionListener=i=>this._onConnection(i),this._server.on("connection",this._connectionListener),this._errorListener=()=>{},this._server.on("error",this._errorListener),this.tunnelRemotePort=r,this.tunnelRemoteHost=d}async dispose(){super.dispose(),this._server.removeListener("listening",this._listeningListener),this._server.removeListener("connection",this._connectionListener),this._server.removeListener("error",this._errorListener),this._server.close(),Array.from(this._socketsDispose.values()).forEach(y=>{y()})}async waitForReady(){let S=await(0,t.findFreePortFaster)(this.suggestedLocalPort??this.tunnelRemotePort,2,1e3),y=null;return this._server.listen(S,this.defaultTunnelHost),await this._barrier.wait(),y=this._server.address(),y||(S=0,this._server.listen(S,this.defaultTunnelHost),await this._barrier.wait(),y=this._server.address()),this.tunnelLocalPort=y.port,this.localAddress=`${this.tunnelRemoteHost==="127.0.0.1"?"127.0.0.1":"localhost"}:${y.port}`,this}async _onConnection(S){S.pause();const y=(0,E.isLocalhost)(this.tunnelRemoteHost)||(0,E.isAllInterfaces)(this.tunnelRemoteHost)?"localhost":this.tunnelRemoteHost,d=await(0,P.connectRemoteAgentTunnel)(this._options,y,this.tunnelRemotePort),r=d.getSocket().socket,c=d.readEntireBuffer();d.dispose(),c.byteLength>0&&S.write(c.buffer),S.on("end",()=>{S.localAddress&&this._socketsDispose.delete(S.localAddress),r.end()}),S.on("close",()=>r.end()),S.on("error",()=>{S.localAddress&&this._socketsDispose.delete(S.localAddress),r.destroy()}),r.on("end",()=>S.end()),r.on("close",()=>S.end()),r.on("error",()=>{S.destroy()}),S.pipe(r),r.pipe(S),S.localAddress&&this._socketsDispose.set(S.localAddress,()=>{S.end(),r.end()})}}let g=class extends E.AbstractTunnelService{constructor(S,y,d,r,c){super(y);this.socketFactory=S,this.signService=d,this.productService=r,this.configurationService=c}get defaultTunnelHost(){const S=this.configurationService.getValue("remote.localPortHost");return!S||S==="localhost"?"127.0.0.1":"0.0.0.0"}retainOrCreateTunnel(S,y,d,r,c,i,n){const o=this.getTunnelFromMap(y,d);if(o)return++o.refcount,o.value;if(this._tunnelProvider)return this.createWithProvider(this._tunnelProvider,y,d,r,c,i,n);{this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel without provider ${y}:${d} on local port ${r}.`);const s={commit:this.productService.commit,socketFactory:this.socketFactory,addressProvider:S,signService:this.signService,logService:this.logService,ipcLogger:null},a=p(s,this.defaultTunnelHost,y,d,r);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created without provider."),this.addTunnelToMap(y,d,a),a}}};g=he([Y(1,b.ILogService),Y(2,f.ISignService),Y(3,I.IProductService),Y(4,R.IConfigurationService)],g),e.BaseTunnelService=g;let v=class extends g{constructor(S,y,d,r){super(L.nodeSocketFactory,S,y,d,r)}};v=he([Y(0,b.ILogService),Y(1,f.ISignService),Y(2,I.IProductService),Y(3,R.IConfigurationService)],v),e.TunnelService=v;let l=class extends A.Disposable{constructor(S,y,d,r){super();this.logService=S,this.productService=y,this.signService=d,this.configurationService=r,this._tunnelServices=new Map}async openTunnel(S,y,d,r,c,i,n,o){if(this.logService.trace(`ForwardedPorts: (SharedTunnelService) openTunnel request for ${d}:${r} on local port ${c}.`),!this._tunnelServices.has(S)){const s=new v(this.logService,this.signService,this.productService,this.configurationService);this._register(s),this._tunnelServices.set(S,s),s.onTunnelClosed(async()=>{(await s.tunnels).length===0&&(s.dispose(),this._tunnelServices.delete(S))})}return this._tunnelServices.get(S).openTunnel(y,d,r,c,i,n,o)}};l=he([Y(0,b.ILogService),Y(1,I.IProductService),Y(2,f.ISignService),Y(3,R.IConfigurationService)],l),e.SharedTunnelsService=l}),define(te[261],ne([0,1,75,34,37,9,2,18,20,7,36,118,178,200,179,170,171,172,159,161,19,182,81,204,82,193,14,197,199,209,30,186,206,248,83,157,15,175,177,51,6,167,86,168,169,59,190,8,87,60,88,27,192,43,23,202,203,21,93,94,95,44,210,211,96,213,220,63,98,24,65,236,238,239,66,237,241,242,243,244,245,92,198,64,251,191,221,91,196,207,32,223,4,224,162,181,180]),function(J,e,k,t,L,T,A,R,b,I,P,E,f,p,h,g,v,l,w,S,y,d,r,c,i,n,o,s,a,u,m,C,_,O,M,D,U,F,x,q,H,re,B,W,K,V,X,Z,j,N,$,z,G,ee,se,ae,de,ve,be,Se,pe,Ie,Ce,De,Ue,je,Ge,Be,ie,ce,ue,we,Ee,Ne,Te,Oe,_e,Q,oe,le,fe,ge,Le,ye,Re,ke,Pe,Ae,Fe,We,qe,Pt,Rt,Dt,pt,kt,St){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.main=void 0;class Lt extends A.Disposable{constructor(me){super();this.configuration=me,this.server=this._register(new E.Server),this.sharedProcessWorkerService=void 0,this.registerListeners()}registerListeners(){const me=()=>this.dispose();process.once("exit",me),k.ipcRenderer.once("vscode:electron-main->shared-process=exit",me);const Me="vscode:electron-main->shared-process=disposeWorker",$e=(Ke,ze)=>this.onDisposeWorker(ze);k.ipcRenderer.on(Me,$e),this._register((0,A.toDisposable)(()=>k.ipcRenderer.removeListener(Me,$e)))}onDisposeWorker(me){this.sharedProcessWorkerService?.disposeWorker(me)}async open(){const me=await this.initServices();(0,ce.registerConfiguration)(),me.invokeFunction(Me=>{const $e=Me.get(Z.ILogService);$e.trace("sharedProcess configuration",JSON.stringify(this.configuration)),this.initChannels(Me),this.registerErrorHandler($e)}),this._register((0,A.combinedDisposable)(me.createInstance(f.CodeCacheCleaner,this.configuration.codeCachePath),me.createInstance(h.LanguagePackCachedDataCleaner),me.createInstance(l.StorageDataCleaner,this.configuration.backupWorkspacesPath),me.createInstance(v.LogsDataCleaner),me.createInstance(g.LocalizationsUpdater),me.createInstance(p.ExtensionsCleaner)))}async initServices(){const me=new B.ServiceCollection,Me={_serviceBrand:void 0,...$.default};me.set(z.IProductService,Me);const $e=new P.StaticRouter(Ve=>Ve==="main"),Ke=new W.MessagePortMainProcessService(this.server,$e);me.set(K.IMainProcessService,Ke);const ze=new s.SharedProcessEnvironmentService(this.configuration.args,Me);me.set(o.INativeEnvironmentService,ze);const nt=new j.LogLevelChannelClient(this.server.getChannel("logLevel",$e)),Xe=new j.LoggerChannelClient(this.configuration.logLevel,nt.onDidChangeLogLevel,Ke.getChannel("logger"));me.set(Z.ILoggerService,Xe);const ot=this._register(new Z.MultiplexLogService([this._register(new Z.ConsoleLogger(this.configuration.logLevel)),this._register(Xe.createLogger((0,b.joinPath)(I.URI.file(ze.logsPath),"sharedprocess.log"),{name:"sharedprocess"}))])),Ye=this._register(new j.FollowerLogService(nt,ot));me.set(Z.ILogService,Ye),this.sharedProcessWorkerService=new Fe.SharedProcessWorkerService(Ye),me.set(Ae.ISharedProcessWorkerService,this.sharedProcessWorkerService);const Je=this._register(new F.FileService(Ye));me.set(U.IFileService,Je);const at=this._register(new x.DiskFileSystemProvider(Ye));Je.registerProvider(R.Schemas.file,at);const ct=this._register(new Dt.FileUserDataProvider(R.Schemas.file,this._register(new pt.DiskFileSystemProviderClient(Ke.getChannel(pt.LOCAL_FILE_SYSTEM_CHANNEL_NAME),{pathCaseSensitive:Rt.isLinux})),R.Schemas.userData,Ye));Je.registerProvider(R.Schemas.userData,ct);const xe=this._register(new d.ConfigurationService(ze.settingsResource,Je));me.set(y.IConfigurationService,xe);const et=new ae.NativeStorageService(void 0,Ke,ze);me.set(se.IStorageService,et),this._register((0,A.toDisposable)(()=>et.flush())),await Promise.all([xe.initialize(),et.initialize()]),me.set(qe.IUriIdentityService,new Pt.UriIdentityService(Je)),me.set(ee.IRequestService,new q.SyncDescriptor(G.RequestService)),me.set(w.IChecksumService,new q.SyncDescriptor(S.ChecksumService)),me.set(St.IV8InspectProfilingService,new q.SyncDescriptor(kt.InspectProfilingService));const it=P.ProxyChannel.toService(Ke.getChannel("nativeHost"),{context:this.configuration.windowId});me.set(N.INativeHostService,it),me.set(i.IDownloadService,new q.SyncDescriptor(n.DownloadService));const lt=this._register(new fe.ActiveWindowManager(it)),ut=new P.StaticRouter(Ve=>lt.getActiveClientId().then(dt=>Ve===dt));me.set(M.IExtensionRecommendationNotificationService,new D.ExtensionRecommendationNotificationServiceChannelClient(this.server.getChannel("extensionRecommendationNotification",ut)));const ht=new We.AssignmentService(this.configuration.machineId,xe,Me);let rt;const Qe=[];if((0,Ie.supportsTelemetry)(Me,ze)){const Ve=new Se.TelemetryLogAppender(Xe,ze);Qe.push(Ve);const{appRoot:dt,extensionsPath:_t,installSourcePath:Ot}=ze;if(Me.aiConfig&&Me.aiConfig.asimovKey){const st=await ht.getTreatment("telemetryMigration")??!1,ft=Me.quality!=="stable";if(ft&&st){const bt=new Ce.AppInsightsAppender("monacoworkbench",null,Me.aiConfig.asimovKey,st,!0);this._register((0,A.toDisposable)(()=>bt.flush())),Qe.push(bt)}const Et=new Ce.AppInsightsAppender("monacoworkbench",null,Me.aiConfig.asimovKey,ft?!1:st,st&&ft);this._register((0,A.toDisposable)(()=>Et.flush())),Qe.push(Et)}rt=new pe.TelemetryService({appenders:Qe,commonProperties:(0,de.resolveCommonProperties)(Je,(0,t.release)(),(0,t.hostname)(),process.arch,Me.commit,Me.version,this.configuration.machineId,Me.msftInternalDomains,Ot),sendErrorTelemetry:!0,piiPaths:[dt,_t]},xe)}else{rt=Ie.NullTelemetryService;const Ve=Ie.NullAppender;Qe.push(Ve)}this.server.registerChannel("telemetryAppender",new be.TelemetryAppenderChannel(Qe)),me.set(ve.ITelemetryService,rt);const At=new De.CustomEndpointTelemetryService(xe,rt,Xe,ze);me.set(ve.ICustomEndpointTelemetryService,At),me.set(m.IExtensionManagementService,new q.SyncDescriptor(O.ExtensionManagementService)),me.set(m.IExtensionGalleryService,new q.SyncDescriptor(u.ExtensionGalleryService)),me.set(m.IExtensionTipsService,new q.SyncDescriptor(_.ExtensionTipsService)),me.set(V.ILocalizationsService,new q.SyncDescriptor(X.LocalizationsService)),me.set(r.IDiagnosticsService,new q.SyncDescriptor(c.DiagnosticsService)),me.set(ue.IUserDataSyncAccountService,new q.SyncDescriptor(ue.UserDataSyncAccountService)),me.set(ce.IUserDataSyncLogService,new q.SyncDescriptor(Ne.UserDataSyncLogService)),me.set(ce.IUserDataSyncUtilService,new Ee.UserDataSyncUtilServiceClient(this.server.getChannel("userDataSyncUtil",Ve=>Ve.ctx!=="main"))),me.set(m.IGlobalExtensionEnablementService,new q.SyncDescriptor(a.GlobalExtensionEnablementService)),me.set(ie.IIgnoredExtensionsManagementService,new q.SyncDescriptor(ie.IgnoredExtensionsManagementService)),me.set(Be.IExtensionStorageService,new q.SyncDescriptor(Be.ExtensionStorageService)),me.set(ce.IUserDataSyncStoreManagementService,new q.SyncDescriptor(oe.UserDataSyncStoreManagementService)),me.set(ce.IUserDataSyncStoreService,new q.SyncDescriptor(oe.UserDataSyncStoreService)),me.set(Te.IUserDataSyncMachinesService,new q.SyncDescriptor(Te.UserDataSyncMachinesService)),me.set(ce.IUserDataSyncBackupStoreService,new q.SyncDescriptor(we.UserDataSyncBackupStoreService)),me.set(ce.IUserDataSyncEnablementService,new q.SyncDescriptor(Oe.UserDataSyncEnablementService)),me.set(ce.IUserDataSyncService,new q.SyncDescriptor(_e.UserDataSyncService));const wt=new Ge.PtyHostService({graceTime:6e4,shortGraceTime:6e3,scrollback:xe.getValue("terminal.integrated.persistentSessionScrollback")??100},xe,ze,Ye);return await wt.initialize(),me.set(je.ILocalPtyService,this._register(wt)),me.set(ge.ISignService,new q.SyncDescriptor(Le.SignService)),me.set(ye.ISharedTunnelsService,new q.SyncDescriptor(Re.SharedTunnelsService)),me.set(ke.ISharedProcessTunnelService,new q.SyncDescriptor(Pe.SharedProcessTunnelService)),new re.InstantiationService(me)}initChannels(me){const Me=new C.ExtensionManagementChannel(me.get(m.IExtensionManagementService),()=>null);this.server.registerChannel("extensions",Me);const $e=P.ProxyChannel.fromService(me.get(V.ILocalizationsService));this.server.registerChannel("localizations",$e);const Ke=P.ProxyChannel.fromService(me.get(r.IDiagnosticsService));this.server.registerChannel("diagnostics",Ke);const ze=new C.ExtensionTipsChannel(me.get(m.IExtensionTipsService));this.server.registerChannel("extensionTipsService",ze);const nt=P.ProxyChannel.fromService(me.get(w.IChecksumService));this.server.registerChannel("checksum",nt);const Xe=P.ProxyChannel.fromService(me.get(St.IV8InspectProfilingService));this.server.registerChannel("v8InspectProfiling",Xe);const ot=new Ee.UserDataSyncMachinesServiceChannel(me.get(Te.IUserDataSyncMachinesService));this.server.registerChannel("userDataSyncMachines",ot);const Ye=P.ProxyChannel.fromService(me.get(ve.ICustomEndpointTelemetryService));this.server.registerChannel("customEndpointTelemetry",Ye);const Je=new Ee.UserDataSyncAccountServiceChannel(me.get(ue.IUserDataSyncAccountService));this.server.registerChannel("userDataSyncAccount",Je);const at=new Ee.UserDataSyncStoreManagementServiceChannel(me.get(ce.IUserDataSyncStoreManagementService));this.server.registerChannel("userDataSyncStoreManagement",at);const ct=new Q.UserDataSyncChannel(me.get(ce.IUserDataSyncService),me.get(Z.ILogService));this.server.registerChannel("userDataSync",ct);const xe=this._register(me.get(H.IInstantiationService).createInstance(le.UserDataAutoSyncService)),et=new Ee.UserDataAutoSyncChannel(xe);this.server.registerChannel("userDataAutoSync",et);const it=me.get(je.ILocalPtyService),lt=P.ProxyChannel.fromService(it);this.server.registerChannel(Ue.TerminalIpcChannels.LocalPty,lt);const ut=P.ProxyChannel.fromService(me.get(ke.ISharedProcessTunnelService));this.server.registerChannel(ke.ipcSharedProcessTunnelChannelName,ut);const ht=P.ProxyChannel.fromService(me.get(Ae.ISharedProcessWorkerService));this.server.registerChannel(Ae.ipcSharedProcessWorkerChannelName,ht)}registerErrorHandler(me){window.addEventListener("unhandledrejection",Me=>{(0,T.onUnexpectedError)(Me.reason),Me.preventDefault()}),(0,T.setUnexpectedErrorHandler)(Me=>{const $e=(0,L.toErrorMessage)(Me,!0);!$e||me.error(`[uncaught exception in sharedProcess]: ${$e}`)})}}async function Tt(yt){const me=new Lt(yt);k.ipcRenderer.send("vscode:shared-process->electron-main=ipc-ready"),await me.open(),k.ipcRenderer.send("vscode:shared-process->electron-main=init-done")}e.main=Tt})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/86200d542474b26aa28034e0fd5789c45c747d8b/core/vs/code/electron-browser/sharedProcess/sharedProcessMain.js.map
