/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Z=["require","exports","vs/base/common/lifecycle","vs/base/common/platform","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/platform/log/common/log","vs/base/common/path","vs/base/common/uri","vs/base/common/async","vs/base/common/network","vs/nls!vs/code/electron-main/main","electron","vs/nls","vs/base/common/types","vs/base/common/errors","vs/base/common/buffer","vs/base/common/resources","vs/platform/lifecycle/electron-main/lifecycleMainService","vs/platform/configuration/common/configuration","vs/platform/files/common/files","vs/platform/product/common/productService","vs/platform/environment/electron-main/environmentMainService","vs/base/common/cancellation","vs/base/node/pfs","vs/platform/workspace/common/workspace","os","vs/base/common/strings","vs/base/common/extpath","fs","vs/base/common/arrays","vs/base/common/uuid","vs/platform/telemetry/common/telemetry","vs/base/common/labels","vs/platform/windows/electron-main/windows","vs/base/common/map","vs/base/common/process","vs/base/parts/ipc/common/ipc","vs/platform/state/electron-main/state","vs/base/common/errorMessage","vs/platform/registry/common/platform","vs/platform/update/common/update","vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/base/common/functional","vs/base/common/json","child_process","vs/base/common/decorators","vs/platform/dialogs/electron-main/dialogMainService","vs/base/common/stream","vs/base/common/objects","vs/platform/environment/node/argvHelper","vs/platform/backup/electron-main/backup","vs/platform/environment/common/environment","vs/platform/product/common/product","vs/platform/protocol/electron-main/protocol","vs/platform/configuration/common/configurationRegistry","vs/platform/request/common/request","vs/base/parts/ipc/node/ipc.net","vs/platform/native/electron-main/nativeHostMainService","vs/base/common/keybindings","crypto","net","vs/platform/files/common/watcher","vs/base/common/performance","vs/platform/telemetry/common/telemetryUtils","vs/platform/theme/electron-main/themeMainService","vs/platform/window/common/window","vs/platform/workspaces/electron-main/workspacesHistoryMainService","vs/base/common/iterator","vs/base/common/hash","vs/base/common/normalization","vs/base/node/id","vs/base/node/processes","vs/platform/instantiation/common/descriptors","vs/platform/credentials/common/credentials","vs/platform/diagnostics/common/diagnostics","vs/platform/instantiation/common/serviceCollection","vs/platform/files/node/diskFileSystemProvider","vs/platform/remote/common/remoteHosts","vs/platform/sign/common/sign","vs/platform/workspaces/common/workspaces","vs/platform/storage/electron-main/storageMainService","vs/platform/update/electron-main/abstractUpdateService","vs/base/common/keyCodes","vs/base/common/processes","vs/base/common/stopwatch","vs/base/node/extpath","vs/base/node/ps","vs/base/parts/ipc/common/ipc.net","vs/base/parts/ipc/electron-main/ipc.mp","vs/base/parts/storage/common/storage","vs/platform/environment/node/argv","vs/platform/encryption/common/encryptionService","vs/platform/externalTerminal/common/externalTerminal","vs/platform/files/common/io","vs/platform/log/common/bufferLog","vs/platform/log/node/spdlogLog","vs/platform/storage/common/storage","vs/platform/terminal/node/shellEnv","vs/platform/tunnel/common/tunnel","vs/platform/url/common/url","vs/platform/window/electron-main/window","vs/platform/windows/electron-main/windowsFinder","vs/platform/workspaces/electron-main/workspaces","vs/platform/diagnostics/electron-main/diagnosticsMainService","vs/platform/launch/electron-main/launchMainService","vs/base/common/assert","vs/base/common/codicons","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/keybindingParser","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/cache","vs/base/common/console","vs/base/common/marshalling","vs/base/common/glob","vs/base/common/uriIpc","vs/base/common/worker/simpleWorker","vs/base/node/crypto","vs/base/node/decoder","vs/base/node/macAddress","util","vs/base/node/ports","vs/base/node/powershell","vs/base/parts/contextmenu/common/contextmenu","vs/base/parts/contextmenu/electron-main/contextmenu","vs/base/parts/ipc/common/ipc.electron","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-main/ipc.electron","vs/base/parts/storage/node/storage","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/keybindingLabels","vs/base/common/keybindingLabels","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/base/parts/ipc/node/ipc.cp","vs/nls!vs/code/electron-main/app","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/dialogs/electron-main/dialogMainService","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/externalTerminal/node/externalTerminalService","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/electron-main/diskFileSystemProviderServer","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/issue/electron-main/issueMainService","vs/nls!vs/platform/menubar/electron-main/menubar","vs/nls!vs/platform/native/electron-main/nativeHostMainService","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/terminal/node/shellEnv","vs/nls!vs/platform/update/common/update.config.contribution","vs/nls!vs/platform/windows/electron-main/window","vs/nls!vs/platform/windows/electron-main/windowsMainService","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/platform/workspaces/electron-main/workspacesHistoryMainService","vs/nls!vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/platform/backup/common/backup","vs/platform/backup/node/backup","vs/platform/debug/common/extensionHostDebugIpc","vs/platform/driver/common/driverIpc","vs/platform/encryption/node/encryptionMainService","vs/platform/environment/common/environmentService","vs/platform/debug/electron-main/extensionHostDebugIpc","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/environment/node/wait","vs/platform/externalServices/common/serviceMachineId","vs/platform/instantiation/common/graph","vs/platform/extensionManagement/common/extensionUrlTrust","vs/platform/extensions/common/extensionHostStarter","vs/platform/externalTerminal/node/externalTerminalService","vs/platform/files/common/diskFileSystemProviderClient","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/instantiation/common/instantiationService","vs/platform/keybinding/common/baseResolvedKeybinding","vs/platform/keybinding/common/resolvedKeybindingItem","vs/platform/keybinding/common/usLayoutResolvedKeybinding","vs/platform/lifecycle/common/lifecycle","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/common/fileService","vs/platform/files/node/diskFileSystemProviderServer","vs/platform/files/electron-main/diskFileSystemProviderServer","vs/platform/log/common/fileLog","vs/platform/log/common/logIpc","vs/platform/log/node/loggerService","vs/platform/menubar/common/menubar","vs/platform/credentials/node/credentialsMainService","vs/platform/extensionManagement/node/extensionUrlTrustService","vs/platform/protocol/electron-main/protocolMainService","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteAgentConnection","vs/platform/request/node/proxy","url","vs/platform/sign/node/signService","vs/platform/keyboardLayout/electron-main/keyboardLayoutMainService","vs/platform/telemetry/common/commonProperties","vs/platform/diagnostics/node/diagnosticsService","vs/platform/telemetry/common/telemetryIpc","vs/platform/externalServices/common/marketplace","vs/platform/telemetry/common/telemetryService","vs/platform/theme/common/theme","vs/platform/theme/common/themeService","vs/platform/update/common/update.config.contribution","vs/platform/update/common/updateIpc","vs/platform/url/common/urlIpc","vs/platform/url/common/urlService","vs/platform/url/electron-main/electronUrlListener","vs/platform/webview/common/webviewManagerService","vs/platform/webview/electron-main/webviewProtocolProvider","vs/code/electron-main/auth","vs/platform/webview/electron-main/webviewMainService","vs/platform/windows/node/windowTracker","vs/platform/storage/electron-main/storageIpc","vs/platform/storage/electron-main/storageMain","vs/platform/windows/electron-main/windowsStateHandler","vs/platform/extensions/electron-main/workerMainProcessExtensionHostStarter","zlib","vs/platform/driver/node/driver","vs/platform/backup/electron-main/backupMainService","vs/platform/driver/electron-main/driver","vs/platform/remote/node/nodeSocketFactory","vs/platform/request/node/requestService","vs/platform/request/electron-main/requestMainService","vs/platform/sharedProcess/electron-main/sharedProcess","vs/platform/state/electron-main/stateMainService","vs/platform/tunnel/node/tunnelService","vs/platform/update/electron-main/updateService.darwin","vs/platform/update/electron-main/updateService.snap","vs/platform/issue/electron-main/issueMainService","vs/platform/update/electron-main/updateService.linux","vs/platform/update/electron-main/updateService.win32","vs/platform/windows/electron-main/window","vs/platform/menubar/electron-main/menubar","vs/platform/menubar/electron-main/menubarMainService","vs/platform/windows/electron-main/windowsMainService","vs/platform/workspaces/electron-main/workspacesMainService","vs/code/electron-main/app","string_decoder","minimist","assert","path","graceful-fs","worker_threads","vs/code/electron-main/main"],x=function(V){for(var e=[],w=0,n=V.length;w<n;w++)e[w]=Z[V[w]];return e};define(Z[106],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function w(n,L){if(!n)throw new Error(L?`Assertion failed (${L})`:"Assertion Failed")}e.ok=w}),define(Z[107],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=void 0;function w(P){return P?P.replace(/\$\((.*?)\)/g,(S,m)=>` ${m} `).trim():""}e.getCodiconAriaLabel=w;class n{constructor(S,m,E){this.id=S,this.definition=m,this.description=E,n._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return n._allCodicons}}e.Codicon=n,n._allCodicons=[],n.add=new n("add",{fontCharacter:"\\ea60"}),n.plus=new n("plus",n.add.definition),n.gistNew=new n("gist-new",n.add.definition),n.repoCreate=new n("repo-create",n.add.definition),n.lightbulb=new n("lightbulb",{fontCharacter:"\\ea61"}),n.lightBulb=new n("light-bulb",{fontCharacter:"\\ea61"}),n.repo=new n("repo",{fontCharacter:"\\ea62"}),n.repoDelete=new n("repo-delete",{fontCharacter:"\\ea62"}),n.gistFork=new n("gist-fork",{fontCharacter:"\\ea63"}),n.repoForked=new n("repo-forked",{fontCharacter:"\\ea63"}),n.gitPullRequest=new n("git-pull-request",{fontCharacter:"\\ea64"}),n.gitPullRequestAbandoned=new n("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),n.recordKeys=new n("record-keys",{fontCharacter:"\\ea65"}),n.keyboard=new n("keyboard",{fontCharacter:"\\ea65"}),n.tag=new n("tag",{fontCharacter:"\\ea66"}),n.tagAdd=new n("tag-add",{fontCharacter:"\\ea66"}),n.tagRemove=new n("tag-remove",{fontCharacter:"\\ea66"}),n.person=new n("person",{fontCharacter:"\\ea67"}),n.personFollow=new n("person-follow",{fontCharacter:"\\ea67"}),n.personOutline=new n("person-outline",{fontCharacter:"\\ea67"}),n.personFilled=new n("person-filled",{fontCharacter:"\\ea67"}),n.gitBranch=new n("git-branch",{fontCharacter:"\\ea68"}),n.gitBranchCreate=new n("git-branch-create",{fontCharacter:"\\ea68"}),n.gitBranchDelete=new n("git-branch-delete",{fontCharacter:"\\ea68"}),n.sourceControl=new n("source-control",{fontCharacter:"\\ea68"}),n.mirror=new n("mirror",{fontCharacter:"\\ea69"}),n.mirrorPublic=new n("mirror-public",{fontCharacter:"\\ea69"}),n.star=new n("star",{fontCharacter:"\\ea6a"}),n.starAdd=new n("star-add",{fontCharacter:"\\ea6a"}),n.starDelete=new n("star-delete",{fontCharacter:"\\ea6a"}),n.starEmpty=new n("star-empty",{fontCharacter:"\\ea6a"}),n.comment=new n("comment",{fontCharacter:"\\ea6b"}),n.commentAdd=new n("comment-add",{fontCharacter:"\\ea6b"}),n.alert=new n("alert",{fontCharacter:"\\ea6c"}),n.warning=new n("warning",{fontCharacter:"\\ea6c"}),n.search=new n("search",{fontCharacter:"\\ea6d"}),n.searchSave=new n("search-save",{fontCharacter:"\\ea6d"}),n.logOut=new n("log-out",{fontCharacter:"\\ea6e"}),n.signOut=new n("sign-out",{fontCharacter:"\\ea6e"}),n.logIn=new n("log-in",{fontCharacter:"\\ea6f"}),n.signIn=new n("sign-in",{fontCharacter:"\\ea6f"}),n.eye=new n("eye",{fontCharacter:"\\ea70"}),n.eyeUnwatch=new n("eye-unwatch",{fontCharacter:"\\ea70"}),n.eyeWatch=new n("eye-watch",{fontCharacter:"\\ea70"}),n.circleFilled=new n("circle-filled",{fontCharacter:"\\ea71"}),n.primitiveDot=new n("primitive-dot",{fontCharacter:"\\ea71"}),n.closeDirty=new n("close-dirty",{fontCharacter:"\\ea71"}),n.debugBreakpoint=new n("debug-breakpoint",{fontCharacter:"\\ea71"}),n.debugBreakpointDisabled=new n("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),n.debugHint=new n("debug-hint",{fontCharacter:"\\ea71"}),n.primitiveSquare=new n("primitive-square",{fontCharacter:"\\ea72"}),n.edit=new n("edit",{fontCharacter:"\\ea73"}),n.pencil=new n("pencil",{fontCharacter:"\\ea73"}),n.info=new n("info",{fontCharacter:"\\ea74"}),n.issueOpened=new n("issue-opened",{fontCharacter:"\\ea74"}),n.gistPrivate=new n("gist-private",{fontCharacter:"\\ea75"}),n.gitForkPrivate=new n("git-fork-private",{fontCharacter:"\\ea75"}),n.lock=new n("lock",{fontCharacter:"\\ea75"}),n.mirrorPrivate=new n("mirror-private",{fontCharacter:"\\ea75"}),n.close=new n("close",{fontCharacter:"\\ea76"}),n.removeClose=new n("remove-close",{fontCharacter:"\\ea76"}),n.x=new n("x",{fontCharacter:"\\ea76"}),n.repoSync=new n("repo-sync",{fontCharacter:"\\ea77"}),n.sync=new n("sync",{fontCharacter:"\\ea77"}),n.clone=new n("clone",{fontCharacter:"\\ea78"}),n.desktopDownload=new n("desktop-download",{fontCharacter:"\\ea78"}),n.beaker=new n("beaker",{fontCharacter:"\\ea79"}),n.microscope=new n("microscope",{fontCharacter:"\\ea79"}),n.vm=new n("vm",{fontCharacter:"\\ea7a"}),n.deviceDesktop=new n("device-desktop",{fontCharacter:"\\ea7a"}),n.file=new n("file",{fontCharacter:"\\ea7b"}),n.fileText=new n("file-text",{fontCharacter:"\\ea7b"}),n.more=new n("more",{fontCharacter:"\\ea7c"}),n.ellipsis=new n("ellipsis",{fontCharacter:"\\ea7c"}),n.kebabHorizontal=new n("kebab-horizontal",{fontCharacter:"\\ea7c"}),n.mailReply=new n("mail-reply",{fontCharacter:"\\ea7d"}),n.reply=new n("reply",{fontCharacter:"\\ea7d"}),n.organization=new n("organization",{fontCharacter:"\\ea7e"}),n.organizationFilled=new n("organization-filled",{fontCharacter:"\\ea7e"}),n.organizationOutline=new n("organization-outline",{fontCharacter:"\\ea7e"}),n.newFile=new n("new-file",{fontCharacter:"\\ea7f"}),n.fileAdd=new n("file-add",{fontCharacter:"\\ea7f"}),n.newFolder=new n("new-folder",{fontCharacter:"\\ea80"}),n.fileDirectoryCreate=new n("file-directory-create",{fontCharacter:"\\ea80"}),n.trash=new n("trash",{fontCharacter:"\\ea81"}),n.trashcan=new n("trashcan",{fontCharacter:"\\ea81"}),n.history=new n("history",{fontCharacter:"\\ea82"}),n.clock=new n("clock",{fontCharacter:"\\ea82"}),n.folder=new n("folder",{fontCharacter:"\\ea83"}),n.fileDirectory=new n("file-directory",{fontCharacter:"\\ea83"}),n.symbolFolder=new n("symbol-folder",{fontCharacter:"\\ea83"}),n.logoGithub=new n("logo-github",{fontCharacter:"\\ea84"}),n.markGithub=new n("mark-github",{fontCharacter:"\\ea84"}),n.github=new n("github",{fontCharacter:"\\ea84"}),n.terminal=new n("terminal",{fontCharacter:"\\ea85"}),n.console=new n("console",{fontCharacter:"\\ea85"}),n.repl=new n("repl",{fontCharacter:"\\ea85"}),n.zap=new n("zap",{fontCharacter:"\\ea86"}),n.symbolEvent=new n("symbol-event",{fontCharacter:"\\ea86"}),n.error=new n("error",{fontCharacter:"\\ea87"}),n.stop=new n("stop",{fontCharacter:"\\ea87"}),n.variable=new n("variable",{fontCharacter:"\\ea88"}),n.symbolVariable=new n("symbol-variable",{fontCharacter:"\\ea88"}),n.array=new n("array",{fontCharacter:"\\ea8a"}),n.symbolArray=new n("symbol-array",{fontCharacter:"\\ea8a"}),n.symbolModule=new n("symbol-module",{fontCharacter:"\\ea8b"}),n.symbolPackage=new n("symbol-package",{fontCharacter:"\\ea8b"}),n.symbolNamespace=new n("symbol-namespace",{fontCharacter:"\\ea8b"}),n.symbolObject=new n("symbol-object",{fontCharacter:"\\ea8b"}),n.symbolMethod=new n("symbol-method",{fontCharacter:"\\ea8c"}),n.symbolFunction=new n("symbol-function",{fontCharacter:"\\ea8c"}),n.symbolConstructor=new n("symbol-constructor",{fontCharacter:"\\ea8c"}),n.symbolBoolean=new n("symbol-boolean",{fontCharacter:"\\ea8f"}),n.symbolNull=new n("symbol-null",{fontCharacter:"\\ea8f"}),n.symbolNumeric=new n("symbol-numeric",{fontCharacter:"\\ea90"}),n.symbolNumber=new n("symbol-number",{fontCharacter:"\\ea90"}),n.symbolStructure=new n("symbol-structure",{fontCharacter:"\\ea91"}),n.symbolStruct=new n("symbol-struct",{fontCharacter:"\\ea91"}),n.symbolParameter=new n("symbol-parameter",{fontCharacter:"\\ea92"}),n.symbolTypeParameter=new n("symbol-type-parameter",{fontCharacter:"\\ea92"}),n.symbolKey=new n("symbol-key",{fontCharacter:"\\ea93"}),n.symbolText=new n("symbol-text",{fontCharacter:"\\ea93"}),n.symbolReference=new n("symbol-reference",{fontCharacter:"\\ea94"}),n.goToFile=new n("go-to-file",{fontCharacter:"\\ea94"}),n.symbolEnum=new n("symbol-enum",{fontCharacter:"\\ea95"}),n.symbolValue=new n("symbol-value",{fontCharacter:"\\ea95"}),n.symbolRuler=new n("symbol-ruler",{fontCharacter:"\\ea96"}),n.symbolUnit=new n("symbol-unit",{fontCharacter:"\\ea96"}),n.activateBreakpoints=new n("activate-breakpoints",{fontCharacter:"\\ea97"}),n.archive=new n("archive",{fontCharacter:"\\ea98"}),n.arrowBoth=new n("arrow-both",{fontCharacter:"\\ea99"}),n.arrowDown=new n("arrow-down",{fontCharacter:"\\ea9a"}),n.arrowLeft=new n("arrow-left",{fontCharacter:"\\ea9b"}),n.arrowRight=new n("arrow-right",{fontCharacter:"\\ea9c"}),n.arrowSmallDown=new n("arrow-small-down",{fontCharacter:"\\ea9d"}),n.arrowSmallLeft=new n("arrow-small-left",{fontCharacter:"\\ea9e"}),n.arrowSmallRight=new n("arrow-small-right",{fontCharacter:"\\ea9f"}),n.arrowSmallUp=new n("arrow-small-up",{fontCharacter:"\\eaa0"}),n.arrowUp=new n("arrow-up",{fontCharacter:"\\eaa1"}),n.bell=new n("bell",{fontCharacter:"\\eaa2"}),n.bold=new n("bold",{fontCharacter:"\\eaa3"}),n.book=new n("book",{fontCharacter:"\\eaa4"}),n.bookmark=new n("bookmark",{fontCharacter:"\\eaa5"}),n.debugBreakpointConditionalUnverified=new n("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),n.debugBreakpointConditional=new n("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),n.debugBreakpointConditionalDisabled=new n("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),n.debugBreakpointDataUnverified=new n("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),n.debugBreakpointData=new n("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),n.debugBreakpointDataDisabled=new n("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),n.debugBreakpointLogUnverified=new n("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),n.debugBreakpointLog=new n("debug-breakpoint-log",{fontCharacter:"\\eaab"}),n.debugBreakpointLogDisabled=new n("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),n.briefcase=new n("briefcase",{fontCharacter:"\\eaac"}),n.broadcast=new n("broadcast",{fontCharacter:"\\eaad"}),n.browser=new n("browser",{fontCharacter:"\\eaae"}),n.bug=new n("bug",{fontCharacter:"\\eaaf"}),n.calendar=new n("calendar",{fontCharacter:"\\eab0"}),n.caseSensitive=new n("case-sensitive",{fontCharacter:"\\eab1"}),n.check=new n("check",{fontCharacter:"\\eab2"}),n.checklist=new n("checklist",{fontCharacter:"\\eab3"}),n.chevronDown=new n("chevron-down",{fontCharacter:"\\eab4"}),n.dropDownButton=new n("drop-down-button",n.chevronDown.definition),n.chevronLeft=new n("chevron-left",{fontCharacter:"\\eab5"}),n.chevronRight=new n("chevron-right",{fontCharacter:"\\eab6"}),n.chevronUp=new n("chevron-up",{fontCharacter:"\\eab7"}),n.chromeClose=new n("chrome-close",{fontCharacter:"\\eab8"}),n.chromeMaximize=new n("chrome-maximize",{fontCharacter:"\\eab9"}),n.chromeMinimize=new n("chrome-minimize",{fontCharacter:"\\eaba"}),n.chromeRestore=new n("chrome-restore",{fontCharacter:"\\eabb"}),n.circleOutline=new n("circle-outline",{fontCharacter:"\\eabc"}),n.debugBreakpointUnverified=new n("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),n.circleSlash=new n("circle-slash",{fontCharacter:"\\eabd"}),n.circuitBoard=new n("circuit-board",{fontCharacter:"\\eabe"}),n.clearAll=new n("clear-all",{fontCharacter:"\\eabf"}),n.clippy=new n("clippy",{fontCharacter:"\\eac0"}),n.closeAll=new n("close-all",{fontCharacter:"\\eac1"}),n.cloudDownload=new n("cloud-download",{fontCharacter:"\\eac2"}),n.cloudUpload=new n("cloud-upload",{fontCharacter:"\\eac3"}),n.code=new n("code",{fontCharacter:"\\eac4"}),n.collapseAll=new n("collapse-all",{fontCharacter:"\\eac5"}),n.colorMode=new n("color-mode",{fontCharacter:"\\eac6"}),n.commentDiscussion=new n("comment-discussion",{fontCharacter:"\\eac7"}),n.compareChanges=new n("compare-changes",{fontCharacter:"\\eafd"}),n.creditCard=new n("credit-card",{fontCharacter:"\\eac9"}),n.dash=new n("dash",{fontCharacter:"\\eacc"}),n.dashboard=new n("dashboard",{fontCharacter:"\\eacd"}),n.database=new n("database",{fontCharacter:"\\eace"}),n.debugContinue=new n("debug-continue",{fontCharacter:"\\eacf"}),n.debugDisconnect=new n("debug-disconnect",{fontCharacter:"\\ead0"}),n.debugPause=new n("debug-pause",{fontCharacter:"\\ead1"}),n.debugRestart=new n("debug-restart",{fontCharacter:"\\ead2"}),n.debugStart=new n("debug-start",{fontCharacter:"\\ead3"}),n.debugStepInto=new n("debug-step-into",{fontCharacter:"\\ead4"}),n.debugStepOut=new n("debug-step-out",{fontCharacter:"\\ead5"}),n.debugStepOver=new n("debug-step-over",{fontCharacter:"\\ead6"}),n.debugStop=new n("debug-stop",{fontCharacter:"\\ead7"}),n.debug=new n("debug",{fontCharacter:"\\ead8"}),n.deviceCameraVideo=new n("device-camera-video",{fontCharacter:"\\ead9"}),n.deviceCamera=new n("device-camera",{fontCharacter:"\\eada"}),n.deviceMobile=new n("device-mobile",{fontCharacter:"\\eadb"}),n.diffAdded=new n("diff-added",{fontCharacter:"\\eadc"}),n.diffIgnored=new n("diff-ignored",{fontCharacter:"\\eadd"}),n.diffModified=new n("diff-modified",{fontCharacter:"\\eade"}),n.diffRemoved=new n("diff-removed",{fontCharacter:"\\eadf"}),n.diffRenamed=new n("diff-renamed",{fontCharacter:"\\eae0"}),n.diff=new n("diff",{fontCharacter:"\\eae1"}),n.discard=new n("discard",{fontCharacter:"\\eae2"}),n.editorLayout=new n("editor-layout",{fontCharacter:"\\eae3"}),n.emptyWindow=new n("empty-window",{fontCharacter:"\\eae4"}),n.exclude=new n("exclude",{fontCharacter:"\\eae5"}),n.extensions=new n("extensions",{fontCharacter:"\\eae6"}),n.eyeClosed=new n("eye-closed",{fontCharacter:"\\eae7"}),n.fileBinary=new n("file-binary",{fontCharacter:"\\eae8"}),n.fileCode=new n("file-code",{fontCharacter:"\\eae9"}),n.fileMedia=new n("file-media",{fontCharacter:"\\eaea"}),n.filePdf=new n("file-pdf",{fontCharacter:"\\eaeb"}),n.fileSubmodule=new n("file-submodule",{fontCharacter:"\\eaec"}),n.fileSymlinkDirectory=new n("file-symlink-directory",{fontCharacter:"\\eaed"}),n.fileSymlinkFile=new n("file-symlink-file",{fontCharacter:"\\eaee"}),n.fileZip=new n("file-zip",{fontCharacter:"\\eaef"}),n.files=new n("files",{fontCharacter:"\\eaf0"}),n.filter=new n("filter",{fontCharacter:"\\eaf1"}),n.flame=new n("flame",{fontCharacter:"\\eaf2"}),n.foldDown=new n("fold-down",{fontCharacter:"\\eaf3"}),n.foldUp=new n("fold-up",{fontCharacter:"\\eaf4"}),n.fold=new n("fold",{fontCharacter:"\\eaf5"}),n.folderActive=new n("folder-active",{fontCharacter:"\\eaf6"}),n.folderOpened=new n("folder-opened",{fontCharacter:"\\eaf7"}),n.gear=new n("gear",{fontCharacter:"\\eaf8"}),n.gift=new n("gift",{fontCharacter:"\\eaf9"}),n.gistSecret=new n("gist-secret",{fontCharacter:"\\eafa"}),n.gist=new n("gist",{fontCharacter:"\\eafb"}),n.gitCommit=new n("git-commit",{fontCharacter:"\\eafc"}),n.gitCompare=new n("git-compare",{fontCharacter:"\\eafd"}),n.gitMerge=new n("git-merge",{fontCharacter:"\\eafe"}),n.githubAction=new n("github-action",{fontCharacter:"\\eaff"}),n.githubAlt=new n("github-alt",{fontCharacter:"\\eb00"}),n.globe=new n("globe",{fontCharacter:"\\eb01"}),n.grabber=new n("grabber",{fontCharacter:"\\eb02"}),n.graph=new n("graph",{fontCharacter:"\\eb03"}),n.gripper=new n("gripper",{fontCharacter:"\\eb04"}),n.heart=new n("heart",{fontCharacter:"\\eb05"}),n.home=new n("home",{fontCharacter:"\\eb06"}),n.horizontalRule=new n("horizontal-rule",{fontCharacter:"\\eb07"}),n.hubot=new n("hubot",{fontCharacter:"\\eb08"}),n.inbox=new n("inbox",{fontCharacter:"\\eb09"}),n.issueClosed=new n("issue-closed",{fontCharacter:"\\eba4"}),n.issueReopened=new n("issue-reopened",{fontCharacter:"\\eb0b"}),n.issues=new n("issues",{fontCharacter:"\\eb0c"}),n.italic=new n("italic",{fontCharacter:"\\eb0d"}),n.jersey=new n("jersey",{fontCharacter:"\\eb0e"}),n.json=new n("json",{fontCharacter:"\\eb0f"}),n.kebabVertical=new n("kebab-vertical",{fontCharacter:"\\eb10"}),n.key=new n("key",{fontCharacter:"\\eb11"}),n.law=new n("law",{fontCharacter:"\\eb12"}),n.lightbulbAutofix=new n("lightbulb-autofix",{fontCharacter:"\\eb13"}),n.linkExternal=new n("link-external",{fontCharacter:"\\eb14"}),n.link=new n("link",{fontCharacter:"\\eb15"}),n.listOrdered=new n("list-ordered",{fontCharacter:"\\eb16"}),n.listUnordered=new n("list-unordered",{fontCharacter:"\\eb17"}),n.liveShare=new n("live-share",{fontCharacter:"\\eb18"}),n.loading=new n("loading",{fontCharacter:"\\eb19"}),n.location=new n("location",{fontCharacter:"\\eb1a"}),n.mailRead=new n("mail-read",{fontCharacter:"\\eb1b"}),n.mail=new n("mail",{fontCharacter:"\\eb1c"}),n.markdown=new n("markdown",{fontCharacter:"\\eb1d"}),n.megaphone=new n("megaphone",{fontCharacter:"\\eb1e"}),n.mention=new n("mention",{fontCharacter:"\\eb1f"}),n.milestone=new n("milestone",{fontCharacter:"\\eb20"}),n.mortarBoard=new n("mortar-board",{fontCharacter:"\\eb21"}),n.move=new n("move",{fontCharacter:"\\eb22"}),n.multipleWindows=new n("multiple-windows",{fontCharacter:"\\eb23"}),n.mute=new n("mute",{fontCharacter:"\\eb24"}),n.noNewline=new n("no-newline",{fontCharacter:"\\eb25"}),n.note=new n("note",{fontCharacter:"\\eb26"}),n.octoface=new n("octoface",{fontCharacter:"\\eb27"}),n.openPreview=new n("open-preview",{fontCharacter:"\\eb28"}),n.package_=new n("package",{fontCharacter:"\\eb29"}),n.paintcan=new n("paintcan",{fontCharacter:"\\eb2a"}),n.pin=new n("pin",{fontCharacter:"\\eb2b"}),n.play=new n("play",{fontCharacter:"\\eb2c"}),n.run=new n("run",{fontCharacter:"\\eb2c"}),n.plug=new n("plug",{fontCharacter:"\\eb2d"}),n.preserveCase=new n("preserve-case",{fontCharacter:"\\eb2e"}),n.preview=new n("preview",{fontCharacter:"\\eb2f"}),n.project=new n("project",{fontCharacter:"\\eb30"}),n.pulse=new n("pulse",{fontCharacter:"\\eb31"}),n.question=new n("question",{fontCharacter:"\\eb32"}),n.quote=new n("quote",{fontCharacter:"\\eb33"}),n.radioTower=new n("radio-tower",{fontCharacter:"\\eb34"}),n.reactions=new n("reactions",{fontCharacter:"\\eb35"}),n.references=new n("references",{fontCharacter:"\\eb36"}),n.refresh=new n("refresh",{fontCharacter:"\\eb37"}),n.regex=new n("regex",{fontCharacter:"\\eb38"}),n.remoteExplorer=new n("remote-explorer",{fontCharacter:"\\eb39"}),n.remote=new n("remote",{fontCharacter:"\\eb3a"}),n.remove=new n("remove",{fontCharacter:"\\eb3b"}),n.replaceAll=new n("replace-all",{fontCharacter:"\\eb3c"}),n.replace=new n("replace",{fontCharacter:"\\eb3d"}),n.repoClone=new n("repo-clone",{fontCharacter:"\\eb3e"}),n.repoForcePush=new n("repo-force-push",{fontCharacter:"\\eb3f"}),n.repoPull=new n("repo-pull",{fontCharacter:"\\eb40"}),n.repoPush=new n("repo-push",{fontCharacter:"\\eb41"}),n.report=new n("report",{fontCharacter:"\\eb42"}),n.requestChanges=new n("request-changes",{fontCharacter:"\\eb43"}),n.rocket=new n("rocket",{fontCharacter:"\\eb44"}),n.rootFolderOpened=new n("root-folder-opened",{fontCharacter:"\\eb45"}),n.rootFolder=new n("root-folder",{fontCharacter:"\\eb46"}),n.rss=new n("rss",{fontCharacter:"\\eb47"}),n.ruby=new n("ruby",{fontCharacter:"\\eb48"}),n.saveAll=new n("save-all",{fontCharacter:"\\eb49"}),n.saveAs=new n("save-as",{fontCharacter:"\\eb4a"}),n.save=new n("save",{fontCharacter:"\\eb4b"}),n.screenFull=new n("screen-full",{fontCharacter:"\\eb4c"}),n.screenNormal=new n("screen-normal",{fontCharacter:"\\eb4d"}),n.searchStop=new n("search-stop",{fontCharacter:"\\eb4e"}),n.server=new n("server",{fontCharacter:"\\eb50"}),n.settingsGear=new n("settings-gear",{fontCharacter:"\\eb51"}),n.settings=new n("settings",{fontCharacter:"\\eb52"}),n.shield=new n("shield",{fontCharacter:"\\eb53"}),n.smiley=new n("smiley",{fontCharacter:"\\eb54"}),n.sortPrecedence=new n("sort-precedence",{fontCharacter:"\\eb55"}),n.splitHorizontal=new n("split-horizontal",{fontCharacter:"\\eb56"}),n.splitVertical=new n("split-vertical",{fontCharacter:"\\eb57"}),n.squirrel=new n("squirrel",{fontCharacter:"\\eb58"}),n.starFull=new n("star-full",{fontCharacter:"\\eb59"}),n.starHalf=new n("star-half",{fontCharacter:"\\eb5a"}),n.symbolClass=new n("symbol-class",{fontCharacter:"\\eb5b"}),n.symbolColor=new n("symbol-color",{fontCharacter:"\\eb5c"}),n.symbolCustomColor=new n("symbol-customcolor",{fontCharacter:"\\eb5c"}),n.symbolConstant=new n("symbol-constant",{fontCharacter:"\\eb5d"}),n.symbolEnumMember=new n("symbol-enum-member",{fontCharacter:"\\eb5e"}),n.symbolField=new n("symbol-field",{fontCharacter:"\\eb5f"}),n.symbolFile=new n("symbol-file",{fontCharacter:"\\eb60"}),n.symbolInterface=new n("symbol-interface",{fontCharacter:"\\eb61"}),n.symbolKeyword=new n("symbol-keyword",{fontCharacter:"\\eb62"}),n.symbolMisc=new n("symbol-misc",{fontCharacter:"\\eb63"}),n.symbolOperator=new n("symbol-operator",{fontCharacter:"\\eb64"}),n.symbolProperty=new n("symbol-property",{fontCharacter:"\\eb65"}),n.wrench=new n("wrench",{fontCharacter:"\\eb65"}),n.wrenchSubaction=new n("wrench-subaction",{fontCharacter:"\\eb65"}),n.symbolSnippet=new n("symbol-snippet",{fontCharacter:"\\eb66"}),n.tasklist=new n("tasklist",{fontCharacter:"\\eb67"}),n.telescope=new n("telescope",{fontCharacter:"\\eb68"}),n.textSize=new n("text-size",{fontCharacter:"\\eb69"}),n.threeBars=new n("three-bars",{fontCharacter:"\\eb6a"}),n.thumbsdown=new n("thumbsdown",{fontCharacter:"\\eb6b"}),n.thumbsup=new n("thumbsup",{fontCharacter:"\\eb6c"}),n.tools=new n("tools",{fontCharacter:"\\eb6d"}),n.triangleDown=new n("triangle-down",{fontCharacter:"\\eb6e"}),n.triangleLeft=new n("triangle-left",{fontCharacter:"\\eb6f"}),n.triangleRight=new n("triangle-right",{fontCharacter:"\\eb70"}),n.triangleUp=new n("triangle-up",{fontCharacter:"\\eb71"}),n.twitter=new n("twitter",{fontCharacter:"\\eb72"}),n.unfold=new n("unfold",{fontCharacter:"\\eb73"}),n.unlock=new n("unlock",{fontCharacter:"\\eb74"}),n.unmute=new n("unmute",{fontCharacter:"\\eb75"}),n.unverified=new n("unverified",{fontCharacter:"\\eb76"}),n.verified=new n("verified",{fontCharacter:"\\eb77"}),n.versions=new n("versions",{fontCharacter:"\\eb78"}),n.vmActive=new n("vm-active",{fontCharacter:"\\eb79"}),n.vmOutline=new n("vm-outline",{fontCharacter:"\\eb7a"}),n.vmRunning=new n("vm-running",{fontCharacter:"\\eb7b"}),n.watch=new n("watch",{fontCharacter:"\\eb7c"}),n.whitespace=new n("whitespace",{fontCharacter:"\\eb7d"}),n.wholeWord=new n("whole-word",{fontCharacter:"\\eb7e"}),n.window=new n("window",{fontCharacter:"\\eb7f"}),n.wordWrap=new n("word-wrap",{fontCharacter:"\\eb80"}),n.zoomIn=new n("zoom-in",{fontCharacter:"\\eb81"}),n.zoomOut=new n("zoom-out",{fontCharacter:"\\eb82"}),n.listFilter=new n("list-filter",{fontCharacter:"\\eb83"}),n.listFlat=new n("list-flat",{fontCharacter:"\\eb84"}),n.listSelection=new n("list-selection",{fontCharacter:"\\eb85"}),n.selection=new n("selection",{fontCharacter:"\\eb85"}),n.listTree=new n("list-tree",{fontCharacter:"\\eb86"}),n.debugBreakpointFunctionUnverified=new n("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),n.debugBreakpointFunction=new n("debug-breakpoint-function",{fontCharacter:"\\eb88"}),n.debugBreakpointFunctionDisabled=new n("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),n.debugStackframeActive=new n("debug-stackframe-active",{fontCharacter:"\\eb89"}),n.debugStackframeDot=new n("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),n.debugStackframe=new n("debug-stackframe",{fontCharacter:"\\eb8b"}),n.debugStackframeFocused=new n("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),n.debugBreakpointUnsupported=new n("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),n.symbolString=new n("symbol-string",{fontCharacter:"\\eb8d"}),n.debugReverseContinue=new n("debug-reverse-continue",{fontCharacter:"\\eb8e"}),n.debugStepBack=new n("debug-step-back",{fontCharacter:"\\eb8f"}),n.debugRestartFrame=new n("debug-restart-frame",{fontCharacter:"\\eb90"}),n.callIncoming=new n("call-incoming",{fontCharacter:"\\eb92"}),n.callOutgoing=new n("call-outgoing",{fontCharacter:"\\eb93"}),n.menu=new n("menu",{fontCharacter:"\\eb94"}),n.expandAll=new n("expand-all",{fontCharacter:"\\eb95"}),n.feedback=new n("feedback",{fontCharacter:"\\eb96"}),n.groupByRefType=new n("group-by-ref-type",{fontCharacter:"\\eb97"}),n.ungroupByRefType=new n("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),n.account=new n("account",{fontCharacter:"\\eb99"}),n.bellDot=new n("bell-dot",{fontCharacter:"\\eb9a"}),n.debugConsole=new n("debug-console",{fontCharacter:"\\eb9b"}),n.library=new n("library",{fontCharacter:"\\eb9c"}),n.output=new n("output",{fontCharacter:"\\eb9d"}),n.runAll=new n("run-all",{fontCharacter:"\\eb9e"}),n.syncIgnored=new n("sync-ignored",{fontCharacter:"\\eb9f"}),n.pinned=new n("pinned",{fontCharacter:"\\eba0"}),n.githubInverted=new n("github-inverted",{fontCharacter:"\\eba1"}),n.debugAlt=new n("debug-alt",{fontCharacter:"\\eb91"}),n.serverProcess=new n("server-process",{fontCharacter:"\\eba2"}),n.serverEnvironment=new n("server-environment",{fontCharacter:"\\eba3"}),n.pass=new n("pass",{fontCharacter:"\\eba4"}),n.stopCircle=new n("stop-circle",{fontCharacter:"\\eba5"}),n.playCircle=new n("play-circle",{fontCharacter:"\\eba6"}),n.record=new n("record",{fontCharacter:"\\eba7"}),n.debugAltSmall=new n("debug-alt-small",{fontCharacter:"\\eba8"}),n.vmConnect=new n("vm-connect",{fontCharacter:"\\eba9"}),n.cloud=new n("cloud",{fontCharacter:"\\ebaa"}),n.merge=new n("merge",{fontCharacter:"\\ebab"}),n.exportIcon=new n("export",{fontCharacter:"\\ebac"}),n.graphLeft=new n("graph-left",{fontCharacter:"\\ebad"}),n.magnet=new n("magnet",{fontCharacter:"\\ebae"}),n.notebook=new n("notebook",{fontCharacter:"\\ebaf"}),n.redo=new n("redo",{fontCharacter:"\\ebb0"}),n.checkAll=new n("check-all",{fontCharacter:"\\ebb1"}),n.pinnedDirty=new n("pinned-dirty",{fontCharacter:"\\ebb2"}),n.passFilled=new n("pass-filled",{fontCharacter:"\\ebb3"}),n.circleLargeFilled=new n("circle-large-filled",{fontCharacter:"\\ebb4"}),n.circleLargeOutline=new n("circle-large-outline",{fontCharacter:"\\ebb5"}),n.combine=new n("combine",{fontCharacter:"\\ebb6"}),n.gather=new n("gather",{fontCharacter:"\\ebb6"}),n.table=new n("table",{fontCharacter:"\\ebb7"}),n.variableGroup=new n("variable-group",{fontCharacter:"\\ebb8"}),n.typeHierarchy=new n("type-hierarchy",{fontCharacter:"\\ebb9"}),n.typeHierarchySub=new n("type-hierarchy-sub",{fontCharacter:"\\ebba"}),n.typeHierarchySuper=new n("type-hierarchy-super",{fontCharacter:"\\ebbb"}),n.gitPullRequestCreate=new n("git-pull-request-create",{fontCharacter:"\\ebbc"}),n.runAbove=new n("run-above",{fontCharacter:"\\ebbd"}),n.runBelow=new n("run-below",{fontCharacter:"\\ebbe"}),n.notebookTemplate=new n("notebook-template",{fontCharacter:"\\ebbf"}),n.debugRerun=new n("debug-rerun",{fontCharacter:"\\ebc0"}),n.workspaceTrusted=new n("workspace-trusted",{fontCharacter:"\\ebc1"}),n.workspaceUntrusted=new n("workspace-untrusted",{fontCharacter:"\\ebc2"}),n.workspaceUnspecified=new n("workspace-unspecified",{fontCharacter:"\\ebc3"}),n.terminalCmd=new n("terminal-cmd",{fontCharacter:"\\ebc4"}),n.terminalDebian=new n("terminal-debian",{fontCharacter:"\\ebc5"}),n.terminalLinux=new n("terminal-linux",{fontCharacter:"\\ebc6"}),n.terminalPowershell=new n("terminal-powershell",{fontCharacter:"\\ebc7"}),n.terminalTmux=new n("terminal-tmux",{fontCharacter:"\\ebc8"}),n.terminalUbuntu=new n("terminal-ubuntu",{fontCharacter:"\\ebc9"}),n.terminalBash=new n("terminal-bash",{fontCharacter:"\\ebca"}),n.arrowSwap=new n("arrow-swap",{fontCharacter:"\\ebcb"}),n.copy=new n("copy",{fontCharacter:"\\ebcc"}),n.personAdd=new n("person-add",{fontCharacter:"\\ebcd"}),n.filterFilled=new n("filter-filled",{fontCharacter:"\\ebce"}),n.wand=new n("wand",{fontCharacter:"\\ebcf"}),n.debugLineByLine=new n("debug-line-by-line",{fontCharacter:"\\ebd0"}),n.inspect=new n("inspect",{fontCharacter:"\\ebd1"}),n.layers=new n("layers",{fontCharacter:"\\ebd2"}),n.layersDot=new n("layers-dot",{fontCharacter:"\\ebd3"}),n.layersActive=new n("layers-active",{fontCharacter:"\\ebd4"}),n.compass=new n("compass",{fontCharacter:"\\ebd5"}),n.compassDot=new n("compass-dot",{fontCharacter:"\\ebd6"}),n.compassActive=new n("compass-active",{fontCharacter:"\\ebd7"}),n.azure=new n("azure",{fontCharacter:"\\ebd8"}),n.issueDraft=new n("issue-draft",{fontCharacter:"\\ebd9"}),n.gitPullRequestClosed=new n("git-pull-request-closed",{fontCharacter:"\\ebda"}),n.gitPullRequestDraft=new n("git-pull-request-draft",{fontCharacter:"\\ebdb"}),n.debugAll=new n("debug-all",{fontCharacter:"\\ebdc"}),n.debugCoverage=new n("debug-coverage",{fontCharacter:"\\ebdd"}),n.runErrors=new n("run-errors",{fontCharacter:"\\ebde"}),n.folderLibrary=new n("folder-library",{fontCharacter:"\\ebdf"}),n.debugContinueSmall=new n("debug-continue-small",{fontCharacter:"\\ebe0"}),n.beakerStop=new n("beaker-stop",{fontCharacter:"\\ebe1"}),n.graphLine=new n("graph-line",{fontCharacter:"\\ebe2"}),n.graphScatter=new n("graph-scatter",{fontCharacter:"\\ebe3"}),n.pieChart=new n("pie-chart",{fontCharacter:"\\ebe4"}),n.bracket=new n("bracket",n.json.definition),n.bracketDot=new n("bracket-dot",{fontCharacter:"\\ebe5"}),n.bracketError=new n("bracket-error",{fontCharacter:"\\ebe6"}),n.lockSmall=new n("lock-small",{fontCharacter:"\\ebe7"}),n.azureDevops=new n("azure-devops",{fontCharacter:"\\ebe8"}),n.verifiedFilled=new n("verified-filled",{fontCharacter:"\\ebe9"}),n.newLine=new n("newline",{fontCharacter:"\\ebea"}),n.layout=new n("layout",{fontCharacter:"\\ebeb"}),n.layoutActivitybarLeft=new n("layout-activitybar-left",{fontCharacter:"\\ebec"}),n.layoutActivitybarRight=new n("layout-activitybar-right",{fontCharacter:"\\ebed"}),n.layoutPanelLeft=new n("layout-panel-left",{fontCharacter:"\\ebee"}),n.layoutPanelCenter=new n("layout-panel-center",{fontCharacter:"\\ebef"}),n.layoutPanelJustify=new n("layout-panel-justify",{fontCharacter:"\\ebf0"}),n.layoutPanelRight=new n("layout-panel-right",{fontCharacter:"\\ebf1"}),n.layoutPanel=new n("layout-panel",{fontCharacter:"\\ebf2"}),n.layoutSidebarLeft=new n("layout-sidebar-left",{fontCharacter:"\\ebf3"}),n.layoutSidebarRight=new n("layout-sidebar-right",{fontCharacter:"\\ebf4"}),n.layoutStatusbar=new n("layout-statusbar",{fontCharacter:"\\ebf5"}),n.layoutMenubar=new n("layout-menubar",{fontCharacter:"\\ebf6"}),n.layoutCentered=new n("layout-centered",{fontCharacter:"\\ebf7"}),n.target=new n("target",{fontCharacter:"\\ebf8"}),n.indent=new n("indent",{fontCharacter:"\\ebf9"}),n.recordSmall=new n("record-small",{fontCharacter:"\\ebfa"}),n.errorSmall=new n("error-small",{fontCharacter:"\\ebfb"}),n.arrowCircleDown=new n("arrow-circle-down",{fontCharacter:"\\ebfc"}),n.arrowCircleLeft=new n("arrow-circle-left",{fontCharacter:"\\ebfd"}),n.arrowCircleRight=new n("arrow-circle-right",{fontCharacter:"\\ebfe"}),n.arrowCircleUp=new n("arrow-circle-up",{fontCharacter:"\\ebff"}),n.dialogError=new n("dialog-error",n.error.definition),n.dialogWarning=new n("dialog-warning",n.warning.definition),n.dialogInfo=new n("dialog-info",n.info.definition),n.dialogClose=new n("dialog-close",n.close.definition),n.treeItemExpanded=new n("tree-item-expanded",n.chevronDown.definition),n.treeFilterOnTypeOn=new n("tree-filter-on-type-on",n.listFilter.definition),n.treeFilterOnTypeOff=new n("tree-filter-on-type-off",n.listSelection.definition),n.treeFilterClear=new n("tree-filter-clear",n.close.definition),n.treeItemLoading=new n("tree-item-loading",n.loading.definition),n.menuSelection=new n("menu-selection",n.check.definition),n.menuSubmenu=new n("menu-submenu",n.chevronRight.definition),n.menuBarMore=new n("menubar-more",n.more.definition),n.scrollbarButtonLeft=new n("scrollbar-button-left",n.triangleLeft.definition),n.scrollbarButtonRight=new n("scrollbar-button-right",n.triangleRight.definition),n.scrollbarButtonUp=new n("scrollbar-button-up",n.triangleUp.definition),n.scrollbarButtonDown=new n("scrollbar-button-down",n.triangleDown.definition),n.toolBarMore=new n("toolbar-more",n.more.definition),n.quickInputBack=new n("quick-input-back",n.arrowLeft.definition);function L(P,S){const m=["codicon","codicon-"+P];return S&&m.push("codicon-modifier-"+S),m}e.getClassNamesArray=L;var D;(function(P){P.iconNameSegment="[A-Za-z0-9]+",P.iconNameExpression="[A-Za-z0-9-]+",P.iconModifierExpression="~[A-Za-z]+",P.iconNameCharacter="[A-Za-z0-9~-]";const S=new RegExp(`^(${P.iconNameExpression})(${P.iconModifierExpression})?$`);function m(k){if(k instanceof n)return["codicon","codicon-"+k.id];const b=S.exec(k.id);if(!b)return m(n.error);let[,p,t]=b;const d=["codicon","codicon-"+p];return t&&d.push("codicon-modifier-"+t.substr(1)),d}P.asClassNameArray=m;function E(k){return m(k).join(" ")}P.asClassName=E;function I(k){return"."+m(k).join(".")}P.asCSSSelector=I})(D=e.CSSIcon||(e.CSSIcon={}))}),define(Z[46],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function w(P){return(S,m,E)=>{let I=null,k=null;if(typeof E.value=="function"?(I="value",k=E.value):typeof E.get=="function"&&(I="get",k=E.get),!k)throw new Error("not supported");E[I]=P(k,m)}}e.createDecorator=w;function n(P,S,m){let E=null,I=null;if(typeof m.value=="function"?(E="value",I=m.value,I.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof m.get=="function"&&(E="get",I=m.get),!I)throw new Error("not supported");const k=`$memoize$${S}`;m[E]=function(...b){return this.hasOwnProperty(k)||Object.defineProperty(this,k,{configurable:!1,enumerable:!1,writable:!1,value:I.apply(this,b)}),this[k]}}e.memoize=n;function L(P,S,m){return w((E,I)=>{const k=`$debounce$${I}`,b=`$debounce$result$${I}`;return function(...p){this[b]||(this[b]=m?m():void 0),clearTimeout(this[k]),S&&(this[b]=S(this[b],...p),p=[this[b]]),this[k]=setTimeout(()=>{E.apply(this,p),this[b]=m?m():void 0},P)}})}e.debounce=L;function D(P,S,m){return w((E,I)=>{const k=`$throttle$timer$${I}`,b=`$throttle$result$${I}`,p=`$throttle$lastRun$${I}`,t=`$throttle$pending$${I}`;return function(...d){if(this[b]||(this[b]=m?m():void 0),(this[p]===null||this[p]===void 0)&&(this[p]=-Number.MAX_VALUE),S&&(this[b]=S(this[b],...d)),this[t])return;const g=this[p]+P;g<=Date.now()?(this[p]=Date.now(),E.apply(this,[this[b]]),this[b]=m?m():void 0):(this[t]=!0,this[k]=setTimeout(()=>{this[t]=!1,this[p]=Date.now(),E.apply(this,[this[b]]),this[b]=m?m():void 0},g-Date.now()))}})}e.throttle=D}),define(Z[15],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isCancellationError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class w{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(h){setTimeout(()=>{throw h.stack?new Error(h.message+`

`+h.stack):h},0)}}addListener(h){return this.listeners.push(h),()=>{this._removeListener(h)}}emit(h){this.listeners.forEach(c=>{c(h)})}_removeListener(h){this.listeners.splice(this.listeners.indexOf(h),1)}setUnexpectedErrorHandler(h){this.unexpectedErrorHandler=h}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(h){this.unexpectedErrorHandler(h),this.emit(h)}onUnexpectedExternalError(h){this.unexpectedErrorHandler(h)}}e.ErrorHandler=w,e.errorHandler=new w;function n(f){e.errorHandler.setUnexpectedErrorHandler(f)}e.setUnexpectedErrorHandler=n;function L(f){m(f)||e.errorHandler.onUnexpectedError(f)}e.onUnexpectedError=L;function D(f){m(f)||e.errorHandler.onUnexpectedExternalError(f)}e.onUnexpectedExternalError=D;function P(f){if(f instanceof Error){let{name:h,message:c}=f;const o=f.stacktrace||f.stack;return{$isError:!0,name:h,message:c,stack:o}}return f}e.transformErrorForSerialization=P;const S="Canceled";function m(f){return f instanceof E?!0:f instanceof Error&&f.name===S&&f.message===S}e.isCancellationError=m;class E extends Error{constructor(){super(S);this.name=this.message}}e.CancellationError=E;function I(){const f=new Error(S);return f.name=f.message,f}e.canceled=I;function k(f){return f?new Error(`Illegal argument: ${f}`):new Error("Illegal argument")}e.illegalArgument=k;function b(f){return f?new Error(`Illegal state: ${f}`):new Error("Illegal state")}e.illegalState=b;function p(f){return f?new Error(`readonly property '${f} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=p;function t(f){const h=new Error(`${f} has been disposed`);return h.name="DISPOSED",h}e.disposed=t;function d(f){return f?f.message?f.message:f.stack?f.stack.split(`
`)[0]:String(f):"Error"}e.getErrorMessage=d;class g extends Error{constructor(h){super("NotImplemented");h&&(this.message=h)}}e.NotImplementedError=g;class v extends Error{constructor(h){super("NotSupported");h&&(this.message=h)}}e.NotSupportedError=v;class M extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=M}),define(Z[30],x([0,1,15]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.findMinBy=e.findLastMaxBy=e.findMaxBy=e.numberComparator=e.compareBy=e.splice=e.insertInto=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.findLast=e.uniqueFilter=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function n(W,A=0){return W[W.length-(1+A)]}e.tail=n;function L(W){if(W.length===0)throw new Error("Invalid tail call");return[W.slice(0,W.length-1),W[W.length-1]]}e.tail2=L;function D(W,A,O=(_,G)=>_===G){if(W===A)return!0;if(!W||!A||W.length!==A.length)return!1;for(let _=0,G=W.length;_<G;_++)if(!O(W[_],A[_]))return!1;return!0}e.equals=D;function P(W,A,O){let _=0,G=W.length-1;for(;_<=G;){const ie=(_+G)/2|0,ae=O(W[ie],A);if(ae<0)_=ie+1;else if(ae>0)G=ie-1;else return ie}return-(_+1)}e.binarySearch=P;function S(W,A){let O=0,_=W.length;if(_===0)return 0;for(;O<_;){const G=Math.floor((O+_)/2);A(W[G])?_=G:O=G+1}return O}e.findFirstInSorted=S;function m(W,A,O){if(W=W|0,W>=A.length)throw new TypeError("invalid index");let _=A[Math.floor(A.length*Math.random())],G=[],ie=[],ae=[];for(let ce of A){const ne=O(ce,_);ne<0?G.push(ce):ne>0?ie.push(ce):ae.push(ce)}return W<G.length?m(W,G,O):W<G.length+ae.length?ae[0]:m(W-(G.length+ae.length),ie,O)}e.quickSelect=m;function E(W,A){const O=[];let _;for(const G of W.slice(0).sort(A))!_||A(_[0],G)!==0?(_=[G],O.push(_)):_.push(G);return O}e.groupBy=E;function I(W,A,O){const _=[];function G(ce,ne,le){if(ne===0&&le.length===0)return;const he=_[_.length-1];he&&he.start+he.deleteCount===ce?(he.deleteCount+=ne,he.toInsert.push(...le)):_.push({start:ce,deleteCount:ne,toInsert:le})}let ie=0,ae=0;for(;;){if(ie===W.length){G(ie,0,A.slice(ae));break}if(ae===A.length){G(ie,W.length-ie,[]);break}const ce=W[ie],ne=A[ae],le=O(ce,ne);le===0?(ie+=1,ae+=1):le<0?(G(ie,1,[]),ie+=1):le>0&&(G(ie,0,[ne]),ae+=1)}return _}e.sortedDiff=I;function k(W,A,O){const _=I(W,A,O),G=[],ie=[];for(const ae of _)G.push(...W.slice(ae.start,ae.start+ae.deleteCount)),ie.push(...ae.toInsert);return{removed:G,added:ie}}e.delta=k;function b(W,A,O){if(O===0)return[];const _=W.slice(0,O).sort(A);return t(W,A,_,O,W.length),_}e.top=b;function p(W,A,O,_,G){return O===0?Promise.resolve([]):new Promise((ie,ae)=>{(async()=>{const ce=W.length,ne=W.slice(0,O).sort(A);for(let le=O,he=Math.min(O+_,ce);le<ce;le=he,he=Math.min(he+_,ce)){if(le>O&&await new Promise(we=>setTimeout(we)),G&&G.isCancellationRequested)throw(0,w.canceled)();t(W,A,ne,le,he)}return ne})().then(ie,ae)})}e.topAsync=p;function t(W,A,O,_,G){for(const ie=O.length;_<G;_++){const ae=W[_];if(A(ae,O[ie-1])<0){O.pop();const ce=S(O,ne=>A(ae,ne)<0);O.splice(ce,0,ae)}}}function d(W){return W.filter(A=>!!A)}e.coalesce=d;function g(W){let A=0;for(let O=0;O<W.length;O++)W[O]&&(W[A]=W[O],A+=1);W.length=A}e.coalesceInPlace=g;function v(W,A,O){W.splice(O,0,W.splice(A,1)[0])}e.move=v;function M(W){return!Array.isArray(W)||W.length===0}e.isFalsyOrEmpty=M;function f(W){return Array.isArray(W)&&W.length>0}e.isNonEmptyArray=f;function h(W,A=O=>O){const O=new Set;return W.filter(_=>{const G=A(_);return O.has(G)?!1:(O.add(G),!0)})}e.distinct=h;function c(W){const A=new Set;return O=>{const _=W(O);return A.has(_)?!1:(A.add(_),!0)}}e.uniqueFilter=c;function o(W,A){const O=u(W,A);if(O!==-1)return W[O]}e.findLast=o;function u(W,A){for(let O=W.length-1;O>=0;O--){const _=W[O];if(A(_))return O}return-1}e.lastIndex=u;function r(W,A){return W.length>0?W[0]:A}e.firstOrDefault=r;function i(W,A,O=(_,G)=>_===G){let _=0;for(let G=0,ie=Math.min(W.length,A.length);G<ie&&O(W[G],A[G]);G++)_++;return _}e.commonPrefixLength=i;function s(W){return[].concat(...W)}e.flatten=s;function a(W,A){let O=typeof A=="number"?W:0;typeof A=="number"?O=W:(O=0,A=W);const _=[];if(O<=A)for(let G=O;G<A;G++)_.push(G);else for(let G=O;G>A;G--)_.push(G);return _}e.range=a;function l(W,A,O){return W.reduce((_,G)=>(_[A(G)]=O?O(G):G,_),Object.create(null))}e.index=l;function y(W,A){return W.push(A),()=>C(W,A)}e.insert=y;function C(W,A){const O=W.indexOf(A);if(O>-1)return W.splice(O,1),A}e.remove=C;function R(W,A,O){const _=W.slice(0,A),G=W.slice(A);return _.concat(O,G)}e.arrayInsert=R;function T(W,A){let O;if(typeof A=="number"){let _=A;O=()=>{const G=Math.sin(_++)*179426549;return G-Math.floor(G)}}else O=Math.random;for(let _=W.length-1;_>0;_-=1){const G=Math.floor(O()*(_+1)),ie=W[_];W[_]=W[G],W[G]=ie}}e.shuffle=T;function U(W,A){const O=W.indexOf(A);O>-1&&(W.splice(O,1),W.unshift(A))}e.pushToStart=U;function Y(W,A){const O=W.indexOf(A);O>-1&&(W.splice(O,1),W.push(A))}e.pushToEnd=Y;function ee(W,A){return Array.isArray(W)?W.map(A):A(W)}e.mapArrayOrNot=ee;function X(W){return Array.isArray(W)?W:[W]}e.asArray=X;function J(W){return W[Math.floor(Math.random()*W.length)]}e.getRandomElement=J;function H(W,A){for(const O of W){const _=A(O);if(_!==void 0)return _}}e.mapFind=H;function B(W,A,O){const _=se(W,A),G=W.length,ie=O.length;W.length=G+ie;for(let ae=G-1;ae>=_;ae--)W[ae+ie]=W[ae];for(let ae=0;ae<ie;ae++)W[ae+_]=O[ae]}e.insertInto=B;function Q(W,A,O,_){const G=se(W,A),ie=W.splice(G,O);return B(W,G,_),ie}e.splice=Q;function se(W,A){return A<0?Math.max(A+W.length,0):Math.min(A,W.length)}function q(W,A){return(O,_)=>A(W(O),W(_))}e.compareBy=q;const z=(W,A)=>W-A;e.numberComparator=z;function j(W,A){if(W.length===0)return;let O=W[0];for(let _=1;_<W.length;_++){const G=W[_];A(G,O)>0&&(O=G)}return O}e.findMaxBy=j;function $(W,A){if(W.length===0)return;let O=W[0];for(let _=1;_<W.length;_++){const G=W[_];A(G,O)>=0&&(O=G)}return O}e.findLastMaxBy=$;function F(W,A){return j(W,(O,_)=>-A(O,_))}e.findMinBy=F;class N{constructor(A){this.items=A,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(A){let O=this.firstIdx;for(;O<this.items.length&&A(this.items[O]);)O++;const _=O===this.firstIdx?null:this.items.slice(this.firstIdx,O);return this.firstIdx=O,_}takeFromEndWhile(A){let O=this.lastIdx;for(;O>=0&&A(this.items[O]);)O--;const _=O===this.lastIdx?null:this.items.slice(O+1,this.lastIdx+1);return this.lastIdx=O,_}peek(){return this.items[this.firstIdx]}dequeue(){const A=this.items[this.firstIdx];return this.firstIdx++,A}takeCount(A){const O=this.items.slice(this.firstIdx,this.firstIdx+A);return this.firstIdx+=A,O}}e.ArrayQueue=N}),define(Z[43],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function w(n){const L=this;let D=!1,P;return function(){return D||(D=!0,P=n.apply(L,arguments)),P}}e.once=w}),define(Z[68],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var w;(function(n){function L(c){return c&&typeof c=="object"&&typeof c[Symbol.iterator]=="function"}n.is=L;const D=Object.freeze([]);function P(){return D}n.empty=P;function*S(c){yield c}n.single=S;function m(c){return c||D}n.from=m;function E(c){return!c||c[Symbol.iterator]().next().done===!0}n.isEmpty=E;function I(c){return c[Symbol.iterator]().next().value}n.first=I;function k(c,o){for(const u of c)if(o(u))return!0;return!1}n.some=k;function b(c,o){for(const u of c)if(o(u))return u}n.find=b;function*p(c,o){for(const u of c)o(u)&&(yield u)}n.filter=p;function*t(c,o){let u=0;for(const r of c)yield o(r,u++)}n.map=t;function*d(...c){for(const o of c)for(const u of o)yield u}n.concat=d;function*g(c){for(const o of c)for(const u of o)yield u}n.concatNested=g;function v(c,o,u){let r=u;for(const i of c)r=o(r,i);return r}n.reduce=v;function*M(c,o,u=c.length){for(o<0&&(o+=c.length),u<0?u+=c.length:u>c.length&&(u=c.length);o<u;o++)yield c[o]}n.slice=M;function f(c,o=Number.POSITIVE_INFINITY){const u=[];if(o===0)return[u,c];const r=c[Symbol.iterator]();for(let i=0;i<o;i++){const s=r.next();if(s.done)return[u,n.empty()];u.push(s.value)}return[u,{[Symbol.iterator](){return r}}]}n.consume=f;function h(c,o,u=(r,i)=>r===i){const r=c[Symbol.iterator](),i=o[Symbol.iterator]();for(;;){const s=r.next(),a=i.next();if(s.done!==a.done)return!1;if(s.done)return!0;if(!u(s.value,a.value))return!1}}n.equals=h})(w=e.Iterable||(e.Iterable={}))}),define(Z[44],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var w;(function(o){o[o.None=0]="None",o[o.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",o[o.UnexpectedEndOfString=2]="UnexpectedEndOfString",o[o.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",o[o.InvalidUnicode=4]="InvalidUnicode",o[o.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",o[o.InvalidCharacter=6]="InvalidCharacter"})(w=e.ScanError||(e.ScanError={}));var n;(function(o){o[o.OpenBraceToken=1]="OpenBraceToken",o[o.CloseBraceToken=2]="CloseBraceToken",o[o.OpenBracketToken=3]="OpenBracketToken",o[o.CloseBracketToken=4]="CloseBracketToken",o[o.CommaToken=5]="CommaToken",o[o.ColonToken=6]="ColonToken",o[o.NullKeyword=7]="NullKeyword",o[o.TrueKeyword=8]="TrueKeyword",o[o.FalseKeyword=9]="FalseKeyword",o[o.StringLiteral=10]="StringLiteral",o[o.NumericLiteral=11]="NumericLiteral",o[o.LineCommentTrivia=12]="LineCommentTrivia",o[o.BlockCommentTrivia=13]="BlockCommentTrivia",o[o.LineBreakTrivia=14]="LineBreakTrivia",o[o.Trivia=15]="Trivia",o[o.Unknown=16]="Unknown",o[o.EOF=17]="EOF"})(n=e.SyntaxKind||(e.SyntaxKind={}));var L;(function(o){o[o.InvalidSymbol=1]="InvalidSymbol",o[o.InvalidNumberFormat=2]="InvalidNumberFormat",o[o.PropertyNameExpected=3]="PropertyNameExpected",o[o.ValueExpected=4]="ValueExpected",o[o.ColonExpected=5]="ColonExpected",o[o.CommaExpected=6]="CommaExpected",o[o.CloseBraceExpected=7]="CloseBraceExpected",o[o.CloseBracketExpected=8]="CloseBracketExpected",o[o.EndOfFileExpected=9]="EndOfFileExpected",o[o.InvalidCommentToken=10]="InvalidCommentToken",o[o.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",o[o.UnexpectedEndOfString=12]="UnexpectedEndOfString",o[o.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",o[o.InvalidUnicode=14]="InvalidUnicode",o[o.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",o[o.InvalidCharacter=16]="InvalidCharacter"})(L=e.ParseErrorCode||(e.ParseErrorCode={}));var D;(function(o){o.DEFAULT={allowTrailingComma:!0}})(D=e.ParseOptions||(e.ParseOptions={}));function P(o,u=!1){let r=0,i=o.length,s="",a=0,l=16,y=0;function C(J){let H=0,B=0;for(;H<J;){const Q=o.charCodeAt(r);if(Q>=48&&Q<=57)B=B*16+Q-48;else if(Q>=65&&Q<=70)B=B*16+Q-65+10;else if(Q>=97&&Q<=102)B=B*16+Q-97+10;else break;r++,H++}return H<J&&(B=-1),B}function R(J){r=J,s="",a=0,l=16,y=0}function T(){const J=r;if(o.charCodeAt(r)===48)r++;else for(r++;r<o.length&&E(o.charCodeAt(r));)r++;if(r<o.length&&o.charCodeAt(r)===46)if(r++,r<o.length&&E(o.charCodeAt(r)))for(r++;r<o.length&&E(o.charCodeAt(r));)r++;else return y=3,o.substring(J,r);let H=r;if(r<o.length&&(o.charCodeAt(r)===69||o.charCodeAt(r)===101))if(r++,(r<o.length&&o.charCodeAt(r)===43||o.charCodeAt(r)===45)&&r++,r<o.length&&E(o.charCodeAt(r))){for(r++;r<o.length&&E(o.charCodeAt(r));)r++;H=r}else y=3;return o.substring(J,H)}function U(){let J="",H=r;for(;;){if(r>=i){J+=o.substring(H,r),y=2;break}const B=o.charCodeAt(r);if(B===34){J+=o.substring(H,r),r++;break}if(B===92){if(J+=o.substring(H,r),r++,r>=i){y=2;break}switch(o.charCodeAt(r++)){case 34:J+='"';break;case 92:J+="\\";break;case 47:J+="/";break;case 98:J+="\b";break;case 102:J+="\f";break;case 110:J+=`
`;break;case 114:J+="\r";break;case 116:J+="	";break;case 117:{const se=C(4);se>=0?J+=String.fromCharCode(se):y=4;break}default:y=5}H=r;continue}if(B>=0&&B<=31)if(m(B)){J+=o.substring(H,r),y=2;break}else y=6;r++}return J}function Y(){if(s="",y=0,a=r,r>=i)return a=i,l=17;let J=o.charCodeAt(r);if(S(J)){do r++,s+=String.fromCharCode(J),J=o.charCodeAt(r);while(S(J));return l=15}if(m(J))return r++,s+=String.fromCharCode(J),J===13&&o.charCodeAt(r)===10&&(r++,s+=`
`),l=14;switch(J){case 123:return r++,l=1;case 125:return r++,l=2;case 91:return r++,l=3;case 93:return r++,l=4;case 58:return r++,l=6;case 44:return r++,l=5;case 34:return r++,s=U(),l=10;case 47:{const H=r-1;if(o.charCodeAt(r+1)===47){for(r+=2;r<i&&!m(o.charCodeAt(r));)r++;return s=o.substring(H,r),l=12}if(o.charCodeAt(r+1)===42){r+=2;const B=i-1;let Q=!1;for(;r<B;){if(o.charCodeAt(r)===42&&o.charCodeAt(r+1)===47){r+=2,Q=!0;break}r++}return Q||(r++,y=1),s=o.substring(H,r),l=13}return s+=String.fromCharCode(J),r++,l=16}case 45:if(s+=String.fromCharCode(J),r++,r===i||!E(o.charCodeAt(r)))return l=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return s+=T(),l=11;default:for(;r<i&&ee(J);)r++,J=o.charCodeAt(r);if(a!==r){switch(s=o.substring(a,r),s){case"true":return l=8;case"false":return l=9;case"null":return l=7}return l=16}return s+=String.fromCharCode(J),r++,l=16}}function ee(J){if(S(J)||m(J))return!1;switch(J){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function X(){let J;do J=Y();while(J>=12&&J<=15);return J}return{setPosition:R,getPosition:()=>r,scan:u?X:Y,getToken:()=>l,getTokenValue:()=>s,getTokenOffset:()=>a,getTokenLength:()=>r-a,getTokenError:()=>y}}e.createScanner=P;function S(o){return o===32||o===9||o===11||o===12||o===160||o===5760||o>=8192&&o<=8203||o===8239||o===8287||o===12288||o===65279}function m(o){return o===10||o===13||o===8232||o===8233}function E(o){return o>=48&&o<=57}var I;(function(o){o[o.nullCharacter=0]="nullCharacter",o[o.maxAsciiCharacter=127]="maxAsciiCharacter",o[o.lineFeed=10]="lineFeed",o[o.carriageReturn=13]="carriageReturn",o[o.lineSeparator=8232]="lineSeparator",o[o.paragraphSeparator=8233]="paragraphSeparator",o[o.nextLine=133]="nextLine",o[o.space=32]="space",o[o.nonBreakingSpace=160]="nonBreakingSpace",o[o.enQuad=8192]="enQuad",o[o.emQuad=8193]="emQuad",o[o.enSpace=8194]="enSpace",o[o.emSpace=8195]="emSpace",o[o.threePerEmSpace=8196]="threePerEmSpace",o[o.fourPerEmSpace=8197]="fourPerEmSpace",o[o.sixPerEmSpace=8198]="sixPerEmSpace",o[o.figureSpace=8199]="figureSpace",o[o.punctuationSpace=8200]="punctuationSpace",o[o.thinSpace=8201]="thinSpace",o[o.hairSpace=8202]="hairSpace",o[o.zeroWidthSpace=8203]="zeroWidthSpace",o[o.narrowNoBreakSpace=8239]="narrowNoBreakSpace",o[o.ideographicSpace=12288]="ideographicSpace",o[o.mathematicalSpace=8287]="mathematicalSpace",o[o.ogham=5760]="ogham",o[o._=95]="_",o[o.$=36]="$",o[o._0=48]="_0",o[o._1=49]="_1",o[o._2=50]="_2",o[o._3=51]="_3",o[o._4=52]="_4",o[o._5=53]="_5",o[o._6=54]="_6",o[o._7=55]="_7",o[o._8=56]="_8",o[o._9=57]="_9",o[o.a=97]="a",o[o.b=98]="b",o[o.c=99]="c",o[o.d=100]="d",o[o.e=101]="e",o[o.f=102]="f",o[o.g=103]="g",o[o.h=104]="h",o[o.i=105]="i",o[o.j=106]="j",o[o.k=107]="k",o[o.l=108]="l",o[o.m=109]="m",o[o.n=110]="n",o[o.o=111]="o",o[o.p=112]="p",o[o.q=113]="q",o[o.r=114]="r",o[o.s=115]="s",o[o.t=116]="t",o[o.u=117]="u",o[o.v=118]="v",o[o.w=119]="w",o[o.x=120]="x",o[o.y=121]="y",o[o.z=122]="z",o[o.A=65]="A",o[o.B=66]="B",o[o.C=67]="C",o[o.D=68]="D",o[o.E=69]="E",o[o.F=70]="F",o[o.G=71]="G",o[o.H=72]="H",o[o.I=73]="I",o[o.J=74]="J",o[o.K=75]="K",o[o.L=76]="L",o[o.M=77]="M",o[o.N=78]="N",o[o.O=79]="O",o[o.P=80]="P",o[o.Q=81]="Q",o[o.R=82]="R",o[o.S=83]="S",o[o.T=84]="T",o[o.U=85]="U",o[o.V=86]="V",o[o.W=87]="W",o[o.X=88]="X",o[o.Y=89]="Y",o[o.Z=90]="Z",o[o.ampersand=38]="ampersand",o[o.asterisk=42]="asterisk",o[o.at=64]="at",o[o.backslash=92]="backslash",o[o.bar=124]="bar",o[o.caret=94]="caret",o[o.closeBrace=125]="closeBrace",o[o.closeBracket=93]="closeBracket",o[o.closeParen=41]="closeParen",o[o.colon=58]="colon",o[o.comma=44]="comma",o[o.dot=46]="dot",o[o.doubleQuote=34]="doubleQuote",o[o.equals=61]="equals",o[o.exclamation=33]="exclamation",o[o.greaterThan=62]="greaterThan",o[o.lessThan=60]="lessThan",o[o.minus=45]="minus",o[o.openBrace=123]="openBrace",o[o.openBracket=91]="openBracket",o[o.openParen=40]="openParen",o[o.percent=37]="percent",o[o.plus=43]="plus",o[o.question=63]="question",o[o.semicolon=59]="semicolon",o[o.singleQuote=39]="singleQuote",o[o.slash=47]="slash",o[o.tilde=126]="tilde",o[o.backspace=8]="backspace",o[o.formFeed=12]="formFeed",o[o.byteOrderMark=65279]="byteOrderMark",o[o.tab=9]="tab",o[o.verticalTab=11]="verticalTab"})(I||(I={}));function k(o,u){const r=[],i=new Object;let s;const a={value:{},offset:0,length:0,type:"object",parent:void 0};let l=!1;function y(C,R,T,U){a.value=C,a.offset=R,a.length=T,a.type=U,a.colonOffset=void 0,s=a}try{f(o,{onObjectBegin:(C,R)=>{if(u<=C)throw i;s=void 0,l=u>C,r.push("")},onObjectProperty:(C,R,T)=>{if(u<R||(y(C,R,T,"property"),r[r.length-1]=C,u<=R+T))throw i},onObjectEnd:(C,R)=>{if(u<=C)throw i;s=void 0,r.pop()},onArrayBegin:(C,R)=>{if(u<=C)throw i;s=void 0,r.push(0)},onArrayEnd:(C,R)=>{if(u<=C)throw i;s=void 0,r.pop()},onLiteralValue:(C,R,T)=>{if(u<R||(y(C,R,T,c(C)),u<=R+T))throw i},onSeparator:(C,R,T)=>{if(u<=R)throw i;if(C===":"&&s&&s.type==="property")s.colonOffset=R,l=!1,s=void 0;else if(C===","){const U=r[r.length-1];typeof U=="number"?r[r.length-1]=U+1:(l=!0,r[r.length-1]=""),s=void 0}}})}catch(C){if(C!==i)throw C}return{path:r,previousNode:s,isAtPropertyKey:l,matches:C=>{let R=0;for(let T=0;R<C.length&&T<r.length;T++)if(C[R]===r[T]||C[R]==="*")R++;else if(C[R]!=="**")return!1;return R===C.length}}}e.getLocation=k;function b(o,u=[],r=D.DEFAULT){let i=null,s=[];const a=[];function l(C){Array.isArray(s)?s.push(C):i!==null&&(s[i]=C)}return f(o,{onObjectBegin:()=>{const C={};l(C),a.push(s),s=C,i=null},onObjectProperty:C=>{i=C},onObjectEnd:()=>{s=a.pop()},onArrayBegin:()=>{const C=[];l(C),a.push(s),s=C,i=null},onArrayEnd:()=>{s=a.pop()},onLiteralValue:l,onError:(C,R,T)=>{u.push({error:C,offset:R,length:T})}},r),s[0]}e.parse=b;function p(o,u=[],r=D.DEFAULT){let i={type:"array",offset:-1,length:-1,children:[],parent:void 0};function s(C){i.type==="property"&&(i.length=C-i.offset,i=i.parent)}function a(C){return i.children.push(C),C}f(o,{onObjectBegin:C=>{i=a({type:"object",offset:C,length:-1,parent:i,children:[]})},onObjectProperty:(C,R,T)=>{i=a({type:"property",offset:R,length:-1,parent:i,children:[]}),i.children.push({type:"string",value:C,offset:R,length:T,parent:i})},onObjectEnd:(C,R)=>{i.length=C+R-i.offset,i=i.parent,s(C+R)},onArrayBegin:(C,R)=>{i=a({type:"array",offset:C,length:-1,parent:i,children:[]})},onArrayEnd:(C,R)=>{i.length=C+R-i.offset,i=i.parent,s(C+R)},onLiteralValue:(C,R,T)=>{a({type:c(C),offset:R,length:T,parent:i,value:C}),s(R+T)},onSeparator:(C,R,T)=>{i.type==="property"&&(C===":"?i.colonOffset=R:C===","&&s(R))},onError:(C,R,T)=>{u.push({error:C,offset:R,length:T})}},r);const y=i.children[0];return y&&delete y.parent,y}e.parseTree=p;function t(o,u){if(!o)return;let r=o;for(let i of u)if(typeof i=="string"){if(r.type!=="object"||!Array.isArray(r.children))return;let s=!1;for(const a of r.children)if(Array.isArray(a.children)&&a.children[0].value===i){r=a.children[1],s=!0;break}if(!s)return}else{const s=i;if(r.type!=="array"||s<0||!Array.isArray(r.children)||s>=r.children.length)return;r=r.children[s]}return r}e.findNodeAtLocation=t;function d(o){if(!o.parent||!o.parent.children)return[];const u=d(o.parent);if(o.parent.type==="property"){const r=o.parent.children[0].value;u.push(r)}else if(o.parent.type==="array"){const r=o.parent.children.indexOf(o);r!==-1&&u.push(r)}return u}e.getNodePath=d;function g(o){switch(o.type){case"array":return o.children.map(g);case"object":{const u=Object.create(null);for(let r of o.children){const i=r.children[1];i&&(u[r.children[0].value]=g(i))}return u}case"null":case"string":case"number":case"boolean":return o.value;default:return}}e.getNodeValue=g;function v(o,u,r=!1){return u>=o.offset&&u<o.offset+o.length||r&&u===o.offset+o.length}e.contains=v;function M(o,u,r=!1){if(v(o,u,r)){const i=o.children;if(Array.isArray(i))for(let s=0;s<i.length&&i[s].offset<=u;s++){const a=M(i[s],u,r);if(a)return a}return o}}e.findNodeAtOffset=M;function f(o,u,r=D.DEFAULT){const i=P(o,!1);function s(N){return N?()=>N(i.getTokenOffset(),i.getTokenLength()):()=>!0}function a(N){return N?W=>N(W,i.getTokenOffset(),i.getTokenLength()):()=>!0}const l=s(u.onObjectBegin),y=a(u.onObjectProperty),C=s(u.onObjectEnd),R=s(u.onArrayBegin),T=s(u.onArrayEnd),U=a(u.onLiteralValue),Y=a(u.onSeparator),ee=s(u.onComment),X=a(u.onError),J=r&&r.disallowComments,H=r&&r.allowTrailingComma;function B(){for(;;){const N=i.scan();switch(i.getTokenError()){case 4:Q(14);break;case 5:Q(15);break;case 3:Q(13);break;case 1:J||Q(11);break;case 2:Q(12);break;case 6:Q(16);break}switch(N){case 12:case 13:J?Q(10):ee();break;case 16:Q(1);break;case 15:case 14:break;default:return N}}}function Q(N,W=[],A=[]){if(X(N),W.length+A.length>0){let O=i.getToken();for(;O!==17;){if(W.indexOf(O)!==-1){B();break}else if(A.indexOf(O)!==-1)break;O=B()}}}function se(N){const W=i.getTokenValue();return N?U(W):y(W),B(),!0}function q(){switch(i.getToken()){case 11:{let N=0;try{N=JSON.parse(i.getTokenValue()),typeof N!="number"&&(Q(2),N=0)}catch{Q(2)}U(N);break}case 7:U(null);break;case 8:U(!0);break;case 9:U(!1);break;default:return!1}return B(),!0}function z(){return i.getToken()!==10?(Q(3,[],[2,5]),!1):(se(!1),i.getToken()===6?(Y(":"),B(),F()||Q(4,[],[2,5])):Q(5,[],[2,5]),!0)}function j(){l(),B();let N=!1;for(;i.getToken()!==2&&i.getToken()!==17;){if(i.getToken()===5){if(N||Q(4,[],[]),Y(","),B(),i.getToken()===2&&H)break}else N&&Q(6,[],[]);z()||Q(4,[],[2,5]),N=!0}return C(),i.getToken()!==2?Q(7,[2],[]):B(),!0}function $(){R(),B();let N=!1;for(;i.getToken()!==4&&i.getToken()!==17;){if(i.getToken()===5){if(N||Q(4,[],[]),Y(","),B(),i.getToken()===4&&H)break}else N&&Q(6,[],[]);F()||Q(4,[],[4,5]),N=!0}return T(),i.getToken()!==4?Q(8,[4],[]):B(),!0}function F(){switch(i.getToken()){case 3:return $();case 1:return j();case 10:return se(!0);default:return q()}}return B(),i.getToken()===17?r.allowEmptyContent?!0:(Q(4,[],[]),!1):F()?(i.getToken()!==17&&Q(9,[],[]),!0):(Q(4,[],[]),!1)}e.visit=f;function h(o,u){let r=P(o),i=[],s,a=0,l;do switch(l=r.getPosition(),s=r.scan(),s){case 12:case 13:case 17:a!==l&&i.push(o.substring(a,l)),u!==void 0&&i.push(r.getTokenValue().replace(/[^\r\n]/g,u)),a=r.getPosition();break}while(s!==17);return i.join("")}e.stripComments=h;function c(o){switch(typeof o){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(o){if(Array.isArray(o))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=c}),define(Z[108],x([0,1,44]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.toFormattedString=e.format=void 0;function n(E,I,k){let b,p,t,d,g;if(I){for(d=I.offset,g=d+I.length,t=d;t>0&&!m(E,t-1);)t--;let l=g;for(;l<E.length&&!m(E,l);)l++;p=E.substring(t,l),b=P(p,k)}else p=E,b=0,t=0,d=0,g=E.length;const v=S(k,E);let M=!1,f=0,h;k.insertSpaces?h=D(" ",k.tabSize||4):h="	";const c=(0,w.createScanner)(p,!1);let o=!1;function u(){return v+D(h,b+f)}function r(){let l=c.scan();for(M=!1;l===15||l===14;)M=M||l===14,l=c.scan();return o=l===16||c.getTokenError()!==0,l}const i=[];function s(l,y,C){!o&&y<g&&C>d&&E.substring(y,C)!==l&&i.push({offset:y,length:C-y,content:l})}let a=r();if(a!==17){const l=c.getTokenOffset()+t,y=D(h,b);s(y,t,l)}for(;a!==17;){let l=c.getTokenOffset()+c.getTokenLength()+t,y=r(),C="";for(;!M&&(y===12||y===13);){const T=c.getTokenOffset()+t;s(" ",l,T),l=c.getTokenOffset()+c.getTokenLength()+t,C=y===12?u():"",y=r()}if(y===2)a!==1&&(f--,C=u());else if(y===4)a!==3&&(f--,C=u());else{switch(a){case 3:case 1:f++,C=u();break;case 5:case 12:C=u();break;case 13:M?C=u():C=" ";break;case 6:C=" ";break;case 10:if(y===6){C="";break}case 7:case 8:case 9:case 11:case 2:case 4:y===12||y===13?C=" ":y!==5&&y!==17&&(o=!0);break;case 16:o=!0;break}M&&(y===12||y===13)&&(C=u())}const R=c.getTokenOffset()+t;s(C,l,R),a=y}return i}e.format=n;function L(E,I){const k=JSON.stringify(E,void 0,I.insertSpaces?I.tabSize||4:"	");return I.eol!==void 0?k.replace(/\r\n|\r|\n/g,I.eol):k}e.toFormattedString=L;function D(E,I){let k="";for(let b=0;b<I;b++)k+=E;return k}function P(E,I){let k=0,b=0;const p=I.tabSize||4;for(;k<E.length;){const t=E.charAt(k);if(t===" ")b++;else if(t==="	")b+=p;else break;k++}return Math.floor(b/p)}function S(E,I){for(let k=0;k<I.length;k++){const b=I.charAt(k);if(b==="\r")return k+1<I.length&&I.charAt(k+1)===`
`?`\r
`:"\r";if(b===`
`)return`
`}return E&&E.eol||`
`}e.getEOL=S;function m(E,I){return`\r
`.indexOf(E.charAt(I))!==-1}e.isEOL=m}),define(Z[109],x([0,1,44,108]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function L(E,I,k){return D(E,I,void 0,k)}e.removeProperty=L;function D(E,I,k,b,p){const t=I.slice(),d=[],g=(0,w.parseTree)(E,d);let v,M;for(;t.length>0&&(M=t.pop(),v=(0,w.findNodeAtLocation)(g,t),v===void 0&&k!==void 0);)typeof M=="string"?k={[M]:k}:k=[k];if(v)if(v.type==="object"&&typeof M=="string"&&Array.isArray(v.children)){const f=(0,w.findNodeAtLocation)(v,[M]);if(f!==void 0)if(k===void 0){if(!f.parent)throw new Error("Malformed AST");const h=v.children.indexOf(f.parent);let c,o=f.parent.offset+f.parent.length;if(h>0){const u=v.children[h-1];c=u.offset+u.length}else c=v.offset+1,v.children.length>1&&(o=v.children[1].offset);return P(E,{offset:c,length:o-c,content:""},b)}else return P(E,{offset:f.offset,length:f.length,content:JSON.stringify(k)},b);else{if(k===void 0)return[];const h=`${JSON.stringify(M)}: ${JSON.stringify(k)}`,c=p?p(v.children.map(u=>u.children[0].value)):v.children.length;let o;if(c>0){const u=v.children[c-1];o={offset:u.offset+u.length,length:0,content:","+h}}else v.children.length===0?o={offset:v.offset+1,length:0,content:h}:o={offset:v.offset+1,length:0,content:h+","};return P(E,o,b)}}else if(v.type==="array"&&typeof M=="number"&&Array.isArray(v.children))if(k!==void 0){const f=`${JSON.stringify(k)}`;let h;if(v.children.length===0||M===0)h={offset:v.offset+1,length:0,content:v.children.length===0?f:f+","};else{const c=M===-1||M>v.children.length?v.children.length:M,o=v.children[c-1];h={offset:o.offset+o.length,length:0,content:","+f}}return P(E,h,b)}else{const f=M,h=v.children[f];let c;if(v.children.length===1)c={offset:v.offset+1,length:v.length-2,content:""};else if(v.children.length-1===f){const o=v.children[f-1],u=o.offset+o.length,r=v.offset+v.length;c={offset:u,length:r-2-u,content:""}}else c={offset:h.offset,length:v.children[f+1].offset-h.offset,content:""};return P(E,c,b)}else throw new Error(`Can not add ${typeof M!="number"?"index":"property"} to parent of type ${v.type}`);else{if(k===void 0)throw new Error("Can not delete in empty document");return P(E,{offset:g?g.offset:0,length:g?g.length:0,content:JSON.stringify(k)},b)}}e.setProperty=D;function P(E,I,k){let b=S(E,I),p=I.offset,t=I.offset+I.content.length;if(I.length===0||I.content.length===0){for(;p>0&&!(0,n.isEOL)(b,p-1);)p--;for(;t<b.length&&!(0,n.isEOL)(b,t);)t++}const d=(0,n.format)(b,{offset:p,length:t-p},k);for(let v=d.length-1;v>=0;v--){const M=d[v];b=S(b,M),p=Math.min(p,M.offset),t=Math.max(t,M.offset+M.length),t+=M.content.length-M.length}const g=E.length-(b.length-t)-p;return[{offset:p,length:g,content:b.substring(p,t)}]}e.withFormatting=P;function S(E,I){return E.substring(0,I.offset)+I.content+E.substring(I.offset+I.length)}e.applyEdit=S;function m(E,I){let k=I.slice(0).sort((p,t)=>{const d=p.offset-t.offset;return d===0?p.length-t.length:d}),b=E.length;for(let p=k.length-1;p>=0;p--){let t=k[p];if(t.offset+t.length<=b)E=S(E,t);else throw new Error("Overlapping edit");b=t.offset}return E}e.applyEdits=m}),define(Z[83],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeyChord=e.KeyMod=e.KeyCodeUtils=e.IMMUTABLE_KEY_CODE_TO_CODE=e.IMMUTABLE_CODE_TO_KEY_CODE=e.ScanCodeUtils=e.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE=e.EVENT_KEY_CODE_MAP=e.ScanCode=e.KeyCode=void 0;var w;(function(t){t[t.DependsOnKbLayout=-1]="DependsOnKbLayout",t[t.Unknown=0]="Unknown",t[t.Backspace=1]="Backspace",t[t.Tab=2]="Tab",t[t.Enter=3]="Enter",t[t.Shift=4]="Shift",t[t.Ctrl=5]="Ctrl",t[t.Alt=6]="Alt",t[t.PauseBreak=7]="PauseBreak",t[t.CapsLock=8]="CapsLock",t[t.Escape=9]="Escape",t[t.Space=10]="Space",t[t.PageUp=11]="PageUp",t[t.PageDown=12]="PageDown",t[t.End=13]="End",t[t.Home=14]="Home",t[t.LeftArrow=15]="LeftArrow",t[t.UpArrow=16]="UpArrow",t[t.RightArrow=17]="RightArrow",t[t.DownArrow=18]="DownArrow",t[t.Insert=19]="Insert",t[t.Delete=20]="Delete",t[t.Digit0=21]="Digit0",t[t.Digit1=22]="Digit1",t[t.Digit2=23]="Digit2",t[t.Digit3=24]="Digit3",t[t.Digit4=25]="Digit4",t[t.Digit5=26]="Digit5",t[t.Digit6=27]="Digit6",t[t.Digit7=28]="Digit7",t[t.Digit8=29]="Digit8",t[t.Digit9=30]="Digit9",t[t.KeyA=31]="KeyA",t[t.KeyB=32]="KeyB",t[t.KeyC=33]="KeyC",t[t.KeyD=34]="KeyD",t[t.KeyE=35]="KeyE",t[t.KeyF=36]="KeyF",t[t.KeyG=37]="KeyG",t[t.KeyH=38]="KeyH",t[t.KeyI=39]="KeyI",t[t.KeyJ=40]="KeyJ",t[t.KeyK=41]="KeyK",t[t.KeyL=42]="KeyL",t[t.KeyM=43]="KeyM",t[t.KeyN=44]="KeyN",t[t.KeyO=45]="KeyO",t[t.KeyP=46]="KeyP",t[t.KeyQ=47]="KeyQ",t[t.KeyR=48]="KeyR",t[t.KeyS=49]="KeyS",t[t.KeyT=50]="KeyT",t[t.KeyU=51]="KeyU",t[t.KeyV=52]="KeyV",t[t.KeyW=53]="KeyW",t[t.KeyX=54]="KeyX",t[t.KeyY=55]="KeyY",t[t.KeyZ=56]="KeyZ",t[t.Meta=57]="Meta",t[t.ContextMenu=58]="ContextMenu",t[t.F1=59]="F1",t[t.F2=60]="F2",t[t.F3=61]="F3",t[t.F4=62]="F4",t[t.F5=63]="F5",t[t.F6=64]="F6",t[t.F7=65]="F7",t[t.F8=66]="F8",t[t.F9=67]="F9",t[t.F10=68]="F10",t[t.F11=69]="F11",t[t.F12=70]="F12",t[t.F13=71]="F13",t[t.F14=72]="F14",t[t.F15=73]="F15",t[t.F16=74]="F16",t[t.F17=75]="F17",t[t.F18=76]="F18",t[t.F19=77]="F19",t[t.NumLock=78]="NumLock",t[t.ScrollLock=79]="ScrollLock",t[t.Semicolon=80]="Semicolon",t[t.Equal=81]="Equal",t[t.Comma=82]="Comma",t[t.Minus=83]="Minus",t[t.Period=84]="Period",t[t.Slash=85]="Slash",t[t.Backquote=86]="Backquote",t[t.BracketLeft=87]="BracketLeft",t[t.Backslash=88]="Backslash",t[t.BracketRight=89]="BracketRight",t[t.Quote=90]="Quote",t[t.OEM_8=91]="OEM_8",t[t.IntlBackslash=92]="IntlBackslash",t[t.Numpad0=93]="Numpad0",t[t.Numpad1=94]="Numpad1",t[t.Numpad2=95]="Numpad2",t[t.Numpad3=96]="Numpad3",t[t.Numpad4=97]="Numpad4",t[t.Numpad5=98]="Numpad5",t[t.Numpad6=99]="Numpad6",t[t.Numpad7=100]="Numpad7",t[t.Numpad8=101]="Numpad8",t[t.Numpad9=102]="Numpad9",t[t.NumpadMultiply=103]="NumpadMultiply",t[t.NumpadAdd=104]="NumpadAdd",t[t.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",t[t.NumpadSubtract=106]="NumpadSubtract",t[t.NumpadDecimal=107]="NumpadDecimal",t[t.NumpadDivide=108]="NumpadDivide",t[t.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",t[t.ABNT_C1=110]="ABNT_C1",t[t.ABNT_C2=111]="ABNT_C2",t[t.AudioVolumeMute=112]="AudioVolumeMute",t[t.AudioVolumeUp=113]="AudioVolumeUp",t[t.AudioVolumeDown=114]="AudioVolumeDown",t[t.BrowserSearch=115]="BrowserSearch",t[t.BrowserHome=116]="BrowserHome",t[t.BrowserBack=117]="BrowserBack",t[t.BrowserForward=118]="BrowserForward",t[t.MediaTrackNext=119]="MediaTrackNext",t[t.MediaTrackPrevious=120]="MediaTrackPrevious",t[t.MediaStop=121]="MediaStop",t[t.MediaPlayPause=122]="MediaPlayPause",t[t.LaunchMediaPlayer=123]="LaunchMediaPlayer",t[t.LaunchMail=124]="LaunchMail",t[t.LaunchApp2=125]="LaunchApp2",t[t.MAX_VALUE=126]="MAX_VALUE"})(w=e.KeyCode||(e.KeyCode={}));var n;(function(t){t[t.DependsOnKbLayout=-1]="DependsOnKbLayout",t[t.None=0]="None",t[t.Hyper=1]="Hyper",t[t.Super=2]="Super",t[t.Fn=3]="Fn",t[t.FnLock=4]="FnLock",t[t.Suspend=5]="Suspend",t[t.Resume=6]="Resume",t[t.Turbo=7]="Turbo",t[t.Sleep=8]="Sleep",t[t.WakeUp=9]="WakeUp",t[t.KeyA=10]="KeyA",t[t.KeyB=11]="KeyB",t[t.KeyC=12]="KeyC",t[t.KeyD=13]="KeyD",t[t.KeyE=14]="KeyE",t[t.KeyF=15]="KeyF",t[t.KeyG=16]="KeyG",t[t.KeyH=17]="KeyH",t[t.KeyI=18]="KeyI",t[t.KeyJ=19]="KeyJ",t[t.KeyK=20]="KeyK",t[t.KeyL=21]="KeyL",t[t.KeyM=22]="KeyM",t[t.KeyN=23]="KeyN",t[t.KeyO=24]="KeyO",t[t.KeyP=25]="KeyP",t[t.KeyQ=26]="KeyQ",t[t.KeyR=27]="KeyR",t[t.KeyS=28]="KeyS",t[t.KeyT=29]="KeyT",t[t.KeyU=30]="KeyU",t[t.KeyV=31]="KeyV",t[t.KeyW=32]="KeyW",t[t.KeyX=33]="KeyX",t[t.KeyY=34]="KeyY",t[t.KeyZ=35]="KeyZ",t[t.Digit1=36]="Digit1",t[t.Digit2=37]="Digit2",t[t.Digit3=38]="Digit3",t[t.Digit4=39]="Digit4",t[t.Digit5=40]="Digit5",t[t.Digit6=41]="Digit6",t[t.Digit7=42]="Digit7",t[t.Digit8=43]="Digit8",t[t.Digit9=44]="Digit9",t[t.Digit0=45]="Digit0",t[t.Enter=46]="Enter",t[t.Escape=47]="Escape",t[t.Backspace=48]="Backspace",t[t.Tab=49]="Tab",t[t.Space=50]="Space",t[t.Minus=51]="Minus",t[t.Equal=52]="Equal",t[t.BracketLeft=53]="BracketLeft",t[t.BracketRight=54]="BracketRight",t[t.Backslash=55]="Backslash",t[t.IntlHash=56]="IntlHash",t[t.Semicolon=57]="Semicolon",t[t.Quote=58]="Quote",t[t.Backquote=59]="Backquote",t[t.Comma=60]="Comma",t[t.Period=61]="Period",t[t.Slash=62]="Slash",t[t.CapsLock=63]="CapsLock",t[t.F1=64]="F1",t[t.F2=65]="F2",t[t.F3=66]="F3",t[t.F4=67]="F4",t[t.F5=68]="F5",t[t.F6=69]="F6",t[t.F7=70]="F7",t[t.F8=71]="F8",t[t.F9=72]="F9",t[t.F10=73]="F10",t[t.F11=74]="F11",t[t.F12=75]="F12",t[t.PrintScreen=76]="PrintScreen",t[t.ScrollLock=77]="ScrollLock",t[t.Pause=78]="Pause",t[t.Insert=79]="Insert",t[t.Home=80]="Home",t[t.PageUp=81]="PageUp",t[t.Delete=82]="Delete",t[t.End=83]="End",t[t.PageDown=84]="PageDown",t[t.ArrowRight=85]="ArrowRight",t[t.ArrowLeft=86]="ArrowLeft",t[t.ArrowDown=87]="ArrowDown",t[t.ArrowUp=88]="ArrowUp",t[t.NumLock=89]="NumLock",t[t.NumpadDivide=90]="NumpadDivide",t[t.NumpadMultiply=91]="NumpadMultiply",t[t.NumpadSubtract=92]="NumpadSubtract",t[t.NumpadAdd=93]="NumpadAdd",t[t.NumpadEnter=94]="NumpadEnter",t[t.Numpad1=95]="Numpad1",t[t.Numpad2=96]="Numpad2",t[t.Numpad3=97]="Numpad3",t[t.Numpad4=98]="Numpad4",t[t.Numpad5=99]="Numpad5",t[t.Numpad6=100]="Numpad6",t[t.Numpad7=101]="Numpad7",t[t.Numpad8=102]="Numpad8",t[t.Numpad9=103]="Numpad9",t[t.Numpad0=104]="Numpad0",t[t.NumpadDecimal=105]="NumpadDecimal",t[t.IntlBackslash=106]="IntlBackslash",t[t.ContextMenu=107]="ContextMenu",t[t.Power=108]="Power",t[t.NumpadEqual=109]="NumpadEqual",t[t.F13=110]="F13",t[t.F14=111]="F14",t[t.F15=112]="F15",t[t.F16=113]="F16",t[t.F17=114]="F17",t[t.F18=115]="F18",t[t.F19=116]="F19",t[t.F20=117]="F20",t[t.F21=118]="F21",t[t.F22=119]="F22",t[t.F23=120]="F23",t[t.F24=121]="F24",t[t.Open=122]="Open",t[t.Help=123]="Help",t[t.Select=124]="Select",t[t.Again=125]="Again",t[t.Undo=126]="Undo",t[t.Cut=127]="Cut",t[t.Copy=128]="Copy",t[t.Paste=129]="Paste",t[t.Find=130]="Find",t[t.AudioVolumeMute=131]="AudioVolumeMute",t[t.AudioVolumeUp=132]="AudioVolumeUp",t[t.AudioVolumeDown=133]="AudioVolumeDown",t[t.NumpadComma=134]="NumpadComma",t[t.IntlRo=135]="IntlRo",t[t.KanaMode=136]="KanaMode",t[t.IntlYen=137]="IntlYen",t[t.Convert=138]="Convert",t[t.NonConvert=139]="NonConvert",t[t.Lang1=140]="Lang1",t[t.Lang2=141]="Lang2",t[t.Lang3=142]="Lang3",t[t.Lang4=143]="Lang4",t[t.Lang5=144]="Lang5",t[t.Abort=145]="Abort",t[t.Props=146]="Props",t[t.NumpadParenLeft=147]="NumpadParenLeft",t[t.NumpadParenRight=148]="NumpadParenRight",t[t.NumpadBackspace=149]="NumpadBackspace",t[t.NumpadMemoryStore=150]="NumpadMemoryStore",t[t.NumpadMemoryRecall=151]="NumpadMemoryRecall",t[t.NumpadMemoryClear=152]="NumpadMemoryClear",t[t.NumpadMemoryAdd=153]="NumpadMemoryAdd",t[t.NumpadMemorySubtract=154]="NumpadMemorySubtract",t[t.NumpadClear=155]="NumpadClear",t[t.NumpadClearEntry=156]="NumpadClearEntry",t[t.ControlLeft=157]="ControlLeft",t[t.ShiftLeft=158]="ShiftLeft",t[t.AltLeft=159]="AltLeft",t[t.MetaLeft=160]="MetaLeft",t[t.ControlRight=161]="ControlRight",t[t.ShiftRight=162]="ShiftRight",t[t.AltRight=163]="AltRight",t[t.MetaRight=164]="MetaRight",t[t.BrightnessUp=165]="BrightnessUp",t[t.BrightnessDown=166]="BrightnessDown",t[t.MediaPlay=167]="MediaPlay",t[t.MediaRecord=168]="MediaRecord",t[t.MediaFastForward=169]="MediaFastForward",t[t.MediaRewind=170]="MediaRewind",t[t.MediaTrackNext=171]="MediaTrackNext",t[t.MediaTrackPrevious=172]="MediaTrackPrevious",t[t.MediaStop=173]="MediaStop",t[t.Eject=174]="Eject",t[t.MediaPlayPause=175]="MediaPlayPause",t[t.MediaSelect=176]="MediaSelect",t[t.LaunchMail=177]="LaunchMail",t[t.LaunchApp2=178]="LaunchApp2",t[t.LaunchApp1=179]="LaunchApp1",t[t.SelectTask=180]="SelectTask",t[t.LaunchScreenSaver=181]="LaunchScreenSaver",t[t.BrowserSearch=182]="BrowserSearch",t[t.BrowserHome=183]="BrowserHome",t[t.BrowserBack=184]="BrowserBack",t[t.BrowserForward=185]="BrowserForward",t[t.BrowserStop=186]="BrowserStop",t[t.BrowserRefresh=187]="BrowserRefresh",t[t.BrowserFavorites=188]="BrowserFavorites",t[t.ZoomToggle=189]="ZoomToggle",t[t.MailReply=190]="MailReply",t[t.MailForward=191]="MailForward",t[t.MailSend=192]="MailSend",t[t.MAX_VALUE=193]="MAX_VALUE"})(n=e.ScanCode||(e.ScanCode={}));class L{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(d,g){this._keyCodeToStr[d]=g,this._strToKeyCode[g.toLowerCase()]=d}keyCodeToStr(d){return this._keyCodeToStr[d]}strToKeyCode(d){return this._strToKeyCode[d.toLowerCase()]||0}}const D=new L,P=new L,S=new L;e.EVENT_KEY_CODE_MAP=new Array(230),e.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE={};const m=[],E=Object.create(null),I=Object.create(null);e.ScanCodeUtils={lowerCaseToEnum:t=>I[t]||0,toEnum:t=>E[t]||0,toString:t=>m[t]||"None"},e.IMMUTABLE_CODE_TO_KEY_CODE=[],e.IMMUTABLE_KEY_CODE_TO_CODE=[];for(let t=0;t<=193;t++)e.IMMUTABLE_CODE_TO_KEY_CODE[t]=-1;for(let t=0;t<=126;t++)e.IMMUTABLE_KEY_CODE_TO_CODE[t]=-1;(function(){const t="",d=[[0,1,0,"None",0,"unknown",0,"VK_UNKNOWN",t,t],[0,1,1,"Hyper",0,t,0,t,t,t],[0,1,2,"Super",0,t,0,t,t,t],[0,1,3,"Fn",0,t,0,t,t,t],[0,1,4,"FnLock",0,t,0,t,t,t],[0,1,5,"Suspend",0,t,0,t,t,t],[0,1,6,"Resume",0,t,0,t,t,t],[0,1,7,"Turbo",0,t,0,t,t,t],[0,1,8,"Sleep",0,t,0,"VK_SLEEP",t,t],[0,1,9,"WakeUp",0,t,0,t,t,t],[31,0,10,"KeyA",31,"A",65,"VK_A",t,t],[32,0,11,"KeyB",32,"B",66,"VK_B",t,t],[33,0,12,"KeyC",33,"C",67,"VK_C",t,t],[34,0,13,"KeyD",34,"D",68,"VK_D",t,t],[35,0,14,"KeyE",35,"E",69,"VK_E",t,t],[36,0,15,"KeyF",36,"F",70,"VK_F",t,t],[37,0,16,"KeyG",37,"G",71,"VK_G",t,t],[38,0,17,"KeyH",38,"H",72,"VK_H",t,t],[39,0,18,"KeyI",39,"I",73,"VK_I",t,t],[40,0,19,"KeyJ",40,"J",74,"VK_J",t,t],[41,0,20,"KeyK",41,"K",75,"VK_K",t,t],[42,0,21,"KeyL",42,"L",76,"VK_L",t,t],[43,0,22,"KeyM",43,"M",77,"VK_M",t,t],[44,0,23,"KeyN",44,"N",78,"VK_N",t,t],[45,0,24,"KeyO",45,"O",79,"VK_O",t,t],[46,0,25,"KeyP",46,"P",80,"VK_P",t,t],[47,0,26,"KeyQ",47,"Q",81,"VK_Q",t,t],[48,0,27,"KeyR",48,"R",82,"VK_R",t,t],[49,0,28,"KeyS",49,"S",83,"VK_S",t,t],[50,0,29,"KeyT",50,"T",84,"VK_T",t,t],[51,0,30,"KeyU",51,"U",85,"VK_U",t,t],[52,0,31,"KeyV",52,"V",86,"VK_V",t,t],[53,0,32,"KeyW",53,"W",87,"VK_W",t,t],[54,0,33,"KeyX",54,"X",88,"VK_X",t,t],[55,0,34,"KeyY",55,"Y",89,"VK_Y",t,t],[56,0,35,"KeyZ",56,"Z",90,"VK_Z",t,t],[22,0,36,"Digit1",22,"1",49,"VK_1",t,t],[23,0,37,"Digit2",23,"2",50,"VK_2",t,t],[24,0,38,"Digit3",24,"3",51,"VK_3",t,t],[25,0,39,"Digit4",25,"4",52,"VK_4",t,t],[26,0,40,"Digit5",26,"5",53,"VK_5",t,t],[27,0,41,"Digit6",27,"6",54,"VK_6",t,t],[28,0,42,"Digit7",28,"7",55,"VK_7",t,t],[29,0,43,"Digit8",29,"8",56,"VK_8",t,t],[30,0,44,"Digit9",30,"9",57,"VK_9",t,t],[21,0,45,"Digit0",21,"0",48,"VK_0",t,t],[3,1,46,"Enter",3,"Enter",13,"VK_RETURN",t,t],[9,1,47,"Escape",9,"Escape",27,"VK_ESCAPE",t,t],[1,1,48,"Backspace",1,"Backspace",8,"VK_BACK",t,t],[2,1,49,"Tab",2,"Tab",9,"VK_TAB",t,t],[10,1,50,"Space",10,"Space",32,"VK_SPACE",t,t],[83,0,51,"Minus",83,"-",189,"VK_OEM_MINUS","-","OEM_MINUS"],[81,0,52,"Equal",81,"=",187,"VK_OEM_PLUS","=","OEM_PLUS"],[87,0,53,"BracketLeft",87,"[",219,"VK_OEM_4","[","OEM_4"],[89,0,54,"BracketRight",89,"]",221,"VK_OEM_6","]","OEM_6"],[88,0,55,"Backslash",88,"\\",220,"VK_OEM_5","\\","OEM_5"],[0,0,56,"IntlHash",0,t,0,t,t,t],[80,0,57,"Semicolon",80,";",186,"VK_OEM_1",";","OEM_1"],[90,0,58,"Quote",90,"'",222,"VK_OEM_7","'","OEM_7"],[86,0,59,"Backquote",86,"`",192,"VK_OEM_3","`","OEM_3"],[82,0,60,"Comma",82,",",188,"VK_OEM_COMMA",",","OEM_COMMA"],[84,0,61,"Period",84,".",190,"VK_OEM_PERIOD",".","OEM_PERIOD"],[85,0,62,"Slash",85,"/",191,"VK_OEM_2","/","OEM_2"],[8,1,63,"CapsLock",8,"CapsLock",20,"VK_CAPITAL",t,t],[59,1,64,"F1",59,"F1",112,"VK_F1",t,t],[60,1,65,"F2",60,"F2",113,"VK_F2",t,t],[61,1,66,"F3",61,"F3",114,"VK_F3",t,t],[62,1,67,"F4",62,"F4",115,"VK_F4",t,t],[63,1,68,"F5",63,"F5",116,"VK_F5",t,t],[64,1,69,"F6",64,"F6",117,"VK_F6",t,t],[65,1,70,"F7",65,"F7",118,"VK_F7",t,t],[66,1,71,"F8",66,"F8",119,"VK_F8",t,t],[67,1,72,"F9",67,"F9",120,"VK_F9",t,t],[68,1,73,"F10",68,"F10",121,"VK_F10",t,t],[69,1,74,"F11",69,"F11",122,"VK_F11",t,t],[70,1,75,"F12",70,"F12",123,"VK_F12",t,t],[0,1,76,"PrintScreen",0,t,0,t,t,t],[79,1,77,"ScrollLock",79,"ScrollLock",145,"VK_SCROLL",t,t],[7,1,78,"Pause",7,"PauseBreak",19,"VK_PAUSE",t,t],[19,1,79,"Insert",19,"Insert",45,"VK_INSERT",t,t],[14,1,80,"Home",14,"Home",36,"VK_HOME",t,t],[11,1,81,"PageUp",11,"PageUp",33,"VK_PRIOR",t,t],[20,1,82,"Delete",20,"Delete",46,"VK_DELETE",t,t],[13,1,83,"End",13,"End",35,"VK_END",t,t],[12,1,84,"PageDown",12,"PageDown",34,"VK_NEXT",t,t],[17,1,85,"ArrowRight",17,"RightArrow",39,"VK_RIGHT","Right",t],[15,1,86,"ArrowLeft",15,"LeftArrow",37,"VK_LEFT","Left",t],[18,1,87,"ArrowDown",18,"DownArrow",40,"VK_DOWN","Down",t],[16,1,88,"ArrowUp",16,"UpArrow",38,"VK_UP","Up",t],[78,1,89,"NumLock",78,"NumLock",144,"VK_NUMLOCK",t,t],[108,1,90,"NumpadDivide",108,"NumPad_Divide",111,"VK_DIVIDE",t,t],[103,1,91,"NumpadMultiply",103,"NumPad_Multiply",106,"VK_MULTIPLY",t,t],[106,1,92,"NumpadSubtract",106,"NumPad_Subtract",109,"VK_SUBTRACT",t,t],[104,1,93,"NumpadAdd",104,"NumPad_Add",107,"VK_ADD",t,t],[3,1,94,"NumpadEnter",3,t,0,t,t,t],[94,1,95,"Numpad1",94,"NumPad1",97,"VK_NUMPAD1",t,t],[95,1,96,"Numpad2",95,"NumPad2",98,"VK_NUMPAD2",t,t],[96,1,97,"Numpad3",96,"NumPad3",99,"VK_NUMPAD3",t,t],[97,1,98,"Numpad4",97,"NumPad4",100,"VK_NUMPAD4",t,t],[98,1,99,"Numpad5",98,"NumPad5",101,"VK_NUMPAD5",t,t],[99,1,100,"Numpad6",99,"NumPad6",102,"VK_NUMPAD6",t,t],[100,1,101,"Numpad7",100,"NumPad7",103,"VK_NUMPAD7",t,t],[101,1,102,"Numpad8",101,"NumPad8",104,"VK_NUMPAD8",t,t],[102,1,103,"Numpad9",102,"NumPad9",105,"VK_NUMPAD9",t,t],[93,1,104,"Numpad0",93,"NumPad0",96,"VK_NUMPAD0",t,t],[107,1,105,"NumpadDecimal",107,"NumPad_Decimal",110,"VK_DECIMAL",t,t],[92,0,106,"IntlBackslash",92,"OEM_102",226,"VK_OEM_102",t,t],[58,1,107,"ContextMenu",58,"ContextMenu",93,t,t,t],[0,1,108,"Power",0,t,0,t,t,t],[0,1,109,"NumpadEqual",0,t,0,t,t,t],[71,1,110,"F13",71,"F13",124,"VK_F13",t,t],[72,1,111,"F14",72,"F14",125,"VK_F14",t,t],[73,1,112,"F15",73,"F15",126,"VK_F15",t,t],[74,1,113,"F16",74,"F16",127,"VK_F16",t,t],[75,1,114,"F17",75,"F17",128,"VK_F17",t,t],[76,1,115,"F18",76,"F18",129,"VK_F18",t,t],[77,1,116,"F19",77,"F19",130,"VK_F19",t,t],[0,1,117,"F20",0,t,0,"VK_F20",t,t],[0,1,118,"F21",0,t,0,"VK_F21",t,t],[0,1,119,"F22",0,t,0,"VK_F22",t,t],[0,1,120,"F23",0,t,0,"VK_F23",t,t],[0,1,121,"F24",0,t,0,"VK_F24",t,t],[0,1,122,"Open",0,t,0,t,t,t],[0,1,123,"Help",0,t,0,t,t,t],[0,1,124,"Select",0,t,0,t,t,t],[0,1,125,"Again",0,t,0,t,t,t],[0,1,126,"Undo",0,t,0,t,t,t],[0,1,127,"Cut",0,t,0,t,t,t],[0,1,128,"Copy",0,t,0,t,t,t],[0,1,129,"Paste",0,t,0,t,t,t],[0,1,130,"Find",0,t,0,t,t,t],[0,1,131,"AudioVolumeMute",112,"AudioVolumeMute",173,"VK_VOLUME_MUTE",t,t],[0,1,132,"AudioVolumeUp",113,"AudioVolumeUp",175,"VK_VOLUME_UP",t,t],[0,1,133,"AudioVolumeDown",114,"AudioVolumeDown",174,"VK_VOLUME_DOWN",t,t],[105,1,134,"NumpadComma",105,"NumPad_Separator",108,"VK_SEPARATOR",t,t],[110,0,135,"IntlRo",110,"ABNT_C1",193,"VK_ABNT_C1",t,t],[0,1,136,"KanaMode",0,t,0,t,t,t],[0,0,137,"IntlYen",0,t,0,t,t,t],[0,1,138,"Convert",0,t,0,t,t,t],[0,1,139,"NonConvert",0,t,0,t,t,t],[0,1,140,"Lang1",0,t,0,t,t,t],[0,1,141,"Lang2",0,t,0,t,t,t],[0,1,142,"Lang3",0,t,0,t,t,t],[0,1,143,"Lang4",0,t,0,t,t,t],[0,1,144,"Lang5",0,t,0,t,t,t],[0,1,145,"Abort",0,t,0,t,t,t],[0,1,146,"Props",0,t,0,t,t,t],[0,1,147,"NumpadParenLeft",0,t,0,t,t,t],[0,1,148,"NumpadParenRight",0,t,0,t,t,t],[0,1,149,"NumpadBackspace",0,t,0,t,t,t],[0,1,150,"NumpadMemoryStore",0,t,0,t,t,t],[0,1,151,"NumpadMemoryRecall",0,t,0,t,t,t],[0,1,152,"NumpadMemoryClear",0,t,0,t,t,t],[0,1,153,"NumpadMemoryAdd",0,t,0,t,t,t],[0,1,154,"NumpadMemorySubtract",0,t,0,t,t,t],[0,1,155,"NumpadClear",0,t,0,t,t,t],[0,1,156,"NumpadClearEntry",0,t,0,t,t,t],[5,1,0,t,5,"Ctrl",17,"VK_CONTROL",t,t],[4,1,0,t,4,"Shift",16,"VK_SHIFT",t,t],[6,1,0,t,6,"Alt",18,"VK_MENU",t,t],[57,1,0,t,57,"Meta",0,"VK_COMMAND",t,t],[5,1,157,"ControlLeft",5,t,0,"VK_LCONTROL",t,t],[4,1,158,"ShiftLeft",4,t,0,"VK_LSHIFT",t,t],[6,1,159,"AltLeft",6,t,0,"VK_LMENU",t,t],[57,1,160,"MetaLeft",57,t,0,"VK_LWIN",t,t],[5,1,161,"ControlRight",5,t,0,"VK_RCONTROL",t,t],[4,1,162,"ShiftRight",4,t,0,"VK_RSHIFT",t,t],[6,1,163,"AltRight",6,t,0,"VK_RMENU",t,t],[57,1,164,"MetaRight",57,t,0,"VK_RWIN",t,t],[0,1,165,"BrightnessUp",0,t,0,t,t,t],[0,1,166,"BrightnessDown",0,t,0,t,t,t],[0,1,167,"MediaPlay",0,t,0,t,t,t],[0,1,168,"MediaRecord",0,t,0,t,t,t],[0,1,169,"MediaFastForward",0,t,0,t,t,t],[0,1,170,"MediaRewind",0,t,0,t,t,t],[114,1,171,"MediaTrackNext",119,"MediaTrackNext",176,"VK_MEDIA_NEXT_TRACK",t,t],[115,1,172,"MediaTrackPrevious",120,"MediaTrackPrevious",177,"VK_MEDIA_PREV_TRACK",t,t],[116,1,173,"MediaStop",121,"MediaStop",178,"VK_MEDIA_STOP",t,t],[0,1,174,"Eject",0,t,0,t,t,t],[117,1,175,"MediaPlayPause",122,"MediaPlayPause",179,"VK_MEDIA_PLAY_PAUSE",t,t],[0,1,176,"MediaSelect",123,"LaunchMediaPlayer",181,"VK_MEDIA_LAUNCH_MEDIA_SELECT",t,t],[0,1,177,"LaunchMail",124,"LaunchMail",180,"VK_MEDIA_LAUNCH_MAIL",t,t],[0,1,178,"LaunchApp2",125,"LaunchApp2",183,"VK_MEDIA_LAUNCH_APP2",t,t],[0,1,179,"LaunchApp1",0,t,0,"VK_MEDIA_LAUNCH_APP1",t,t],[0,1,180,"SelectTask",0,t,0,t,t,t],[0,1,181,"LaunchScreenSaver",0,t,0,t,t,t],[0,1,182,"BrowserSearch",115,"BrowserSearch",170,"VK_BROWSER_SEARCH",t,t],[0,1,183,"BrowserHome",116,"BrowserHome",172,"VK_BROWSER_HOME",t,t],[112,1,184,"BrowserBack",117,"BrowserBack",166,"VK_BROWSER_BACK",t,t],[113,1,185,"BrowserForward",118,"BrowserForward",167,"VK_BROWSER_FORWARD",t,t],[0,1,186,"BrowserStop",0,t,0,"VK_BROWSER_STOP",t,t],[0,1,187,"BrowserRefresh",0,t,0,"VK_BROWSER_REFRESH",t,t],[0,1,188,"BrowserFavorites",0,t,0,"VK_BROWSER_FAVORITES",t,t],[0,1,189,"ZoomToggle",0,t,0,t,t,t],[0,1,190,"MailReply",0,t,0,t,t,t],[0,1,191,"MailForward",0,t,0,t,t,t],[0,1,192,"MailSend",0,t,0,t,t,t],[109,1,0,t,109,"KeyInComposition",229,t,t,t],[111,1,0,t,111,"ABNT_C2",194,"VK_ABNT_C2",t,t],[91,1,0,t,91,"OEM_8",223,"VK_OEM_8",t,t],[0,1,0,t,0,t,0,"VK_CLEAR",t,t],[0,1,0,t,0,t,0,"VK_KANA",t,t],[0,1,0,t,0,t,0,"VK_HANGUL",t,t],[0,1,0,t,0,t,0,"VK_JUNJA",t,t],[0,1,0,t,0,t,0,"VK_FINAL",t,t],[0,1,0,t,0,t,0,"VK_HANJA",t,t],[0,1,0,t,0,t,0,"VK_KANJI",t,t],[0,1,0,t,0,t,0,"VK_CONVERT",t,t],[0,1,0,t,0,t,0,"VK_NONCONVERT",t,t],[0,1,0,t,0,t,0,"VK_ACCEPT",t,t],[0,1,0,t,0,t,0,"VK_MODECHANGE",t,t],[0,1,0,t,0,t,0,"VK_SELECT",t,t],[0,1,0,t,0,t,0,"VK_PRINT",t,t],[0,1,0,t,0,t,0,"VK_EXECUTE",t,t],[0,1,0,t,0,t,0,"VK_SNAPSHOT",t,t],[0,1,0,t,0,t,0,"VK_HELP",t,t],[0,1,0,t,0,t,0,"VK_APPS",t,t],[0,1,0,t,0,t,0,"VK_PROCESSKEY",t,t],[0,1,0,t,0,t,0,"VK_PACKET",t,t],[0,1,0,t,0,t,0,"VK_DBE_SBCSCHAR",t,t],[0,1,0,t,0,t,0,"VK_DBE_DBCSCHAR",t,t],[0,1,0,t,0,t,0,"VK_ATTN",t,t],[0,1,0,t,0,t,0,"VK_CRSEL",t,t],[0,1,0,t,0,t,0,"VK_EXSEL",t,t],[0,1,0,t,0,t,0,"VK_EREOF",t,t],[0,1,0,t,0,t,0,"VK_PLAY",t,t],[0,1,0,t,0,t,0,"VK_ZOOM",t,t],[0,1,0,t,0,t,0,"VK_NONAME",t,t],[0,1,0,t,0,t,0,"VK_PA1",t,t],[0,1,0,t,0,t,0,"VK_OEM_CLEAR",t,t]];let g=[],v=[];for(const M of d){const[f,h,c,o,u,r,i,s,a,l]=M;if(v[c]||(v[c]=!0,m[c]=o,E[o]=c,I[o.toLowerCase()]=c,h&&(e.IMMUTABLE_CODE_TO_KEY_CODE[c]=u,u!==0&&u!==3&&u!==5&&u!==4&&u!==6&&u!==57&&(e.IMMUTABLE_KEY_CODE_TO_CODE[u]=c))),!g[u]){if(g[u]=!0,!r)throw new Error(`String representation missing for key code ${u} around scan code ${o}`);D.define(u,r),P.define(u,a||r),S.define(u,l||a||r)}i&&(e.EVENT_KEY_CODE_MAP[i]=u),s&&(e.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE[s]=u)}e.IMMUTABLE_KEY_CODE_TO_CODE[3]=46})();var k;(function(t){function d(c){return D.keyCodeToStr(c)}t.toString=d;function g(c){return D.strToKeyCode(c)}t.fromString=g;function v(c){return P.keyCodeToStr(c)}t.toUserSettingsUS=v;function M(c){return S.keyCodeToStr(c)}t.toUserSettingsGeneral=M;function f(c){return P.strToKeyCode(c)||S.strToKeyCode(c)}t.fromUserSettings=f;function h(c){if(c>=93&&c<=108)return null;switch(c){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return D.keyCodeToStr(c)}t.toElectronAccelerator=h})(k=e.KeyCodeUtils||(e.KeyCodeUtils={}));var b;(function(t){t[t.CtrlCmd=2048]="CtrlCmd",t[t.Shift=1024]="Shift",t[t.Alt=512]="Alt",t[t.WinCtrl=256]="WinCtrl"})(b=e.KeyMod||(e.KeyMod={}));function p(t,d){const g=(d&65535)<<16>>>0;return(t|g)>>>0}e.KeyChord=p}),define(Z[59],x([0,1,15]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ResolvedKeybinding=e.ResolvedKeybindingPart=e.ScanCodeBinding=e.ChordKeybinding=e.SimpleKeybinding=e.createSimpleKeybinding=e.createKeybinding=void 0;var n;(function(k){k[k.CtrlCmd=2048]="CtrlCmd",k[k.Shift=1024]="Shift",k[k.Alt=512]="Alt",k[k.WinCtrl=256]="WinCtrl",k[k.KeyCode=255]="KeyCode"})(n||(n={}));function L(k,b){if(k===0)return null;const p=(k&65535)>>>0,t=(k&4294901760)>>>16;return t!==0?new S([D(p,b),D(t,b)]):new S([D(p,b)])}e.createKeybinding=L;function D(k,b){const p=!!(k&2048),t=!!(k&256),d=b===2?t:p,g=!!(k&1024),v=!!(k&512),M=b===2?p:t,f=k&255;return new P(d,g,v,M,f)}e.createSimpleKeybinding=D;class P{constructor(b,p,t,d,g){this.ctrlKey=b,this.shiftKey=p,this.altKey=t,this.metaKey=d,this.keyCode=g}equals(b){return this.ctrlKey===b.ctrlKey&&this.shiftKey===b.shiftKey&&this.altKey===b.altKey&&this.metaKey===b.metaKey&&this.keyCode===b.keyCode}getHashCode(){const b=this.ctrlKey?"1":"0",p=this.shiftKey?"1":"0",t=this.altKey?"1":"0",d=this.metaKey?"1":"0";return`${b}${p}${t}${d}${this.keyCode}`}isModifierKey(){return this.keyCode===0||this.keyCode===5||this.keyCode===57||this.keyCode===6||this.keyCode===4}toChord(){return new S([this])}isDuplicateModifierCase(){return this.ctrlKey&&this.keyCode===5||this.shiftKey&&this.keyCode===4||this.altKey&&this.keyCode===6||this.metaKey&&this.keyCode===57}}e.SimpleKeybinding=P;class S{constructor(b){if(b.length===0)throw(0,w.illegalArgument)("parts");this.parts=b}getHashCode(){let b="";for(let p=0,t=this.parts.length;p<t;p++)p!==0&&(b+=";"),b+=this.parts[p].getHashCode();return b}equals(b){if(b===null||this.parts.length!==b.parts.length)return!1;for(let p=0;p<this.parts.length;p++)if(!this.parts[p].equals(b.parts[p]))return!1;return!0}}e.ChordKeybinding=S;class m{constructor(b,p,t,d,g){this.ctrlKey=b,this.shiftKey=p,this.altKey=t,this.metaKey=d,this.scanCode=g}equals(b){return this.ctrlKey===b.ctrlKey&&this.shiftKey===b.shiftKey&&this.altKey===b.altKey&&this.metaKey===b.metaKey&&this.scanCode===b.scanCode}isDuplicateModifierCase(){return this.ctrlKey&&(this.scanCode===157||this.scanCode===161)||this.shiftKey&&(this.scanCode===158||this.scanCode===162)||this.altKey&&(this.scanCode===159||this.scanCode===163)||this.metaKey&&(this.scanCode===160||this.scanCode===164)}}e.ScanCodeBinding=m;class E{constructor(b,p,t,d,g,v){this.ctrlKey=b,this.shiftKey=p,this.altKey=t,this.metaKey=d,this.keyLabel=g,this.keyAriaLabel=v}}e.ResolvedKeybindingPart=E;class I{}e.ResolvedKeybinding=I}),define(Z[110],x([0,1,83,59]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeybindingParser=void 0;class L{static _readModifiers(P){P=P.toLowerCase().trim();let S=!1,m=!1,E=!1,I=!1,k;do k=!1,/^ctrl(\+|\-)/.test(P)&&(S=!0,P=P.substr("ctrl-".length),k=!0),/^shift(\+|\-)/.test(P)&&(m=!0,P=P.substr("shift-".length),k=!0),/^alt(\+|\-)/.test(P)&&(E=!0,P=P.substr("alt-".length),k=!0),/^meta(\+|\-)/.test(P)&&(I=!0,P=P.substr("meta-".length),k=!0),/^win(\+|\-)/.test(P)&&(I=!0,P=P.substr("win-".length),k=!0),/^cmd(\+|\-)/.test(P)&&(I=!0,P=P.substr("cmd-".length),k=!0);while(k);let b;const p=P.indexOf(" ");return p>0?(b=P.substring(0,p),P=P.substring(p)):(b=P,P=""),{remains:P,ctrl:S,shift:m,alt:E,meta:I,key:b}}static parseSimpleKeybinding(P){const S=this._readModifiers(P),m=w.KeyCodeUtils.fromUserSettings(S.key);return[new n.SimpleKeybinding(S.ctrl,S.shift,S.alt,S.meta,m),S.remains]}static parseKeybinding(P,S){if(!P)return null;const m=[];let E;do[E,P]=this.parseSimpleKeybinding(P),m.push(E);while(P.length>0);return new n.ChordKeybinding(m)}static parseSimpleUserBinding(P){const S=this._readModifiers(P),m=S.key.match(/^\[([^\]]+)\]$/);if(m){const I=m[1],k=w.ScanCodeUtils.lowerCaseToEnum(I);return[new n.ScanCodeBinding(S.ctrl,S.shift,S.alt,S.meta,k),S.remains]}const E=w.KeyCodeUtils.fromUserSettings(S.key);return[new n.SimpleKeybinding(S.ctrl,S.shift,S.alt,S.meta,E),S.remains]}static parseUserBinding(P){if(!P)return[];const S=[];let m;for(;P.length>0;)[m,P]=this.parseSimpleUserBinding(P),S.push(m);return S}}e.KeybindingParser=L}),define(Z[111],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class w{constructor(L){this.executor=L,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(L){this._error=L}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(L){return new w(()=>L(this.getValue()))}}e.Lazy=w}),define(Z[2],x([0,1,43,68]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.disposeOnReturn=e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.SafeDisposable=e.RefCountedDisposable=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.markAsSingleton=e.setDisposableTracker=void 0;const L=!1;let D=null;function P(s){D=s}if(e.setDisposableTracker=P,L){const s="__is_disposable_tracked__";P(new class{trackDisposable(a){const l=new Error("Potentially leaked disposable").stack;setTimeout(()=>{a[s]||console.log(l)},3e3)}setParent(a,l){if(a&&a!==M.None)try{a[s]=!0}catch{}}markAsDisposed(a){if(a&&a!==M.None)try{a[s]=!0}catch{}}markAsSingleton(a){}})}function S(s){return D?.trackDisposable(s),s}function m(s){D?.markAsDisposed(s)}function E(s,a){D?.setParent(s,a)}function I(s,a){if(!!D)for(const l of s)D.setParent(l,a)}function k(s){return D?.markAsSingleton(s),s}e.markAsSingleton=k;class b extends Error{constructor(a){super(`Encountered errors while disposing of store. Errors: [${a.join(", ")}]`);this.errors=a}}e.MultiDisposeError=b;function p(s){return typeof s.dispose=="function"&&s.dispose.length===0}e.isDisposable=p;function t(s){if(n.Iterable.is(s)){let a=[];for(const l of s)if(l)try{l.dispose()}catch(y){a.push(y)}if(a.length===1)throw a[0];if(a.length>1)throw new b(a);return Array.isArray(s)?[]:s}else if(s)return s.dispose(),s}e.dispose=t;function d(...s){const a=g(()=>t(s));return I(s,a),a}e.combinedDisposable=d;function g(s){const a=S({dispose:(0,w.once)(()=>{m(a),s()})});return a}e.toDisposable=g;class v{constructor(){this._toDispose=new Set,this._isDisposed=!1,S(this)}dispose(){this._isDisposed||(m(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{t(this._toDispose.values())}finally{this._toDispose.clear()}}add(a){if(!a)return a;if(a===this)throw new Error("Cannot register a disposable on itself!");return E(a,this),this._isDisposed?v.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(a),a}}e.DisposableStore=v,v.DISABLE_DISPOSED_WARNING=!1;class M{constructor(){this._store=new v,S(this),E(this._store,this)}dispose(){m(this),this._store.dispose()}_register(a){if(a===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(a)}}e.Disposable=M,M.None=Object.freeze({dispose(){}});class f{constructor(){this._isDisposed=!1,S(this)}get value(){return this._isDisposed?void 0:this._value}set value(a){this._isDisposed||a===this._value||(this._value?.dispose(),a&&E(a,this),this._value=a)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,m(this),this._value?.dispose(),this._value=void 0}clearAndLeak(){const a=this._value;return this._value=void 0,a&&E(a,null),a}}e.MutableDisposable=f;class h{constructor(a){this._disposable=a,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}e.RefCountedDisposable=h;class c{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,S(this)}set(a){let l=a;return this.unset=()=>l=void 0,this.isset=()=>l!==void 0,this.dispose=()=>{l&&(l(),l=void 0,m(this))},this}}e.SafeDisposable=c;class o{constructor(){this.references=new Map}acquire(a,...l){let y=this.references.get(a);y||(y={counter:0,object:this.createReferencedObject(a,...l)},this.references.set(a,y));const{object:C}=y,R=(0,w.once)(()=>{--y.counter==0&&(this.destroyReferencedObject(a,y.object),this.references.delete(a))});return y.counter++,{object:C,dispose:R}}}e.ReferenceCollection=o;class u{constructor(a){this.referenceCollection=a}async acquire(a,...l){const y=this.referenceCollection.acquire(a,...l);try{return{object:await y.object,dispose:()=>y.dispose()}}catch(C){throw y.dispose(),C}}}e.AsyncReferenceCollection=u;class r{constructor(a){this.object=a}dispose(){}}e.ImmortalReference=r;function i(s){const a=new v;try{s(a)}finally{a.dispose()}}e.disposeOnReturn=i}),define(Z[112],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class w{constructor(D){this.element=D,this.next=w.Undefined,this.prev=w.Undefined}}w.Undefined=new w(void 0);class n{constructor(){this._first=w.Undefined,this._last=w.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===w.Undefined}clear(){let D=this._first;for(;D!==w.Undefined;){const P=D.next;D.prev=w.Undefined,D.next=w.Undefined,D=P}this._first=w.Undefined,this._last=w.Undefined,this._size=0}unshift(D){return this._insert(D,!1)}push(D){return this._insert(D,!0)}_insert(D,P){const S=new w(D);if(this._first===w.Undefined)this._first=S,this._last=S;else if(P){const E=this._last;this._last=S,S.prev=E,E.next=S}else{const E=this._first;this._first=S,S.next=E,E.prev=S}this._size+=1;let m=!1;return()=>{m||(m=!0,this._remove(S))}}shift(){if(this._first!==w.Undefined){const D=this._first.element;return this._remove(this._first),D}}pop(){if(this._last!==w.Undefined){const D=this._last.element;return this._remove(this._last),D}}_remove(D){if(D.prev!==w.Undefined&&D.next!==w.Undefined){const P=D.prev;P.next=D.next,D.next.prev=P}else D.prev===w.Undefined&&D.next===w.Undefined?(this._first=w.Undefined,this._last=w.Undefined):D.next===w.Undefined?(this._last=this._last.prev,this._last.next=w.Undefined):D.prev===w.Undefined&&(this._first=this._first.next,this._first.prev=w.Undefined);this._size-=1}*[Symbol.iterator](){let D=this._first;for(;D!==w.Undefined;)yield D.element,D=D.next}}e.LinkedList=n}),function(){function V(L){const D=[];typeof L=="number"&&D.push("code/timeOrigin",L);function P(m){D.push(m,Date.now())}function S(){const m=[];for(let E=0;E<D.length;E+=2)m.push({name:D[E],startTime:D[E+1]});return m}return{mark:P,getMarks:S}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?V():{mark(L){performance.mark(L)},getMarks(){let L=performance.timeOrigin;typeof L!="number"&&(L=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const D=[{name:"code/timeOrigin",startTime:Math.round(L)}];for(const P of performance.getEntriesByType("mark"))D.push({name:P.name,startTime:Math.round(L+P.startTime)});return D}};if(typeof process=="object"){const L=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return V(L)}else return console.trace("perf-util loaded in UNKNOWN environment"),V()}function w(L){return L.MonacoPerformanceMarks||(L.MonacoPerformanceMarks=e()),L.MonacoPerformanceMarks}var n;typeof global=="object"?n=global:typeof self=="object"?n=self:n={},typeof define=="function"?define("vs/base/common/performance",[],function(){return w(n)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=w(n):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),n.perf=w(n))}(),define(Z[3],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isAndroid=e.isEdge=e.isSafari=e.isFirefox=e.isChrome=e.isLittleEndian=e.OS=e.OperatingSystem=e.setTimeout0=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isCI=e.isIOS=e.isWeb=e.isElectron=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isElectronSandboxed=e.globals=void 0;const w="en";let n=!1,L=!1,D=!1,P=!1,S=!1,m=!1,E=!1,I=!1,k=!1,b,p=w,t,d;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let g;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?g=e.globals.vscode.process:typeof process!="undefined"&&(g=process);const v=typeof g?.versions?.electron=="string",M=v&&g?.type==="renderer";if(e.isElectronSandboxed=M&&g?.sandboxed,typeof navigator=="object"&&!M)d=navigator.userAgent,n=d.indexOf("Windows")>=0,L=d.indexOf("Macintosh")>=0,I=(d.indexOf("Macintosh")>=0||d.indexOf("iPad")>=0||d.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,D=d.indexOf("Linux")>=0,m=!0,b=navigator.language,p=b;else if(typeof g=="object"){n=g.platform==="win32",L=g.platform==="darwin",D=g.platform==="linux",P=D&&!!g.env.SNAP&&!!g.env.SNAP_REVISION,E=v,k=!!g.env.CI||!!g.env.BUILD_ARTIFACTSTAGINGDIRECTORY,b=w,p=w;const a=g.env.VSCODE_NLS_CONFIG;if(a)try{const l=JSON.parse(a),y=l.availableLanguages["*"];b=l.locale,p=y||w,t=l._translationsConfigFile}catch{}S=!0}else console.error("Unable to resolve platform.");var f;(function(a){a[a.Web=0]="Web",a[a.Mac=1]="Mac",a[a.Linux=2]="Linux",a[a.Windows=3]="Windows"})(f=e.Platform||(e.Platform={}));function h(a){switch(a){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=h;let c=0;L?c=1:n?c=3:D&&(c=2),e.isWindows=n,e.isMacintosh=L,e.isLinux=D,e.isLinuxSnap=P,e.isNative=S,e.isElectron=E,e.isWeb=m,e.isIOS=I,e.isCI=k,e.platform=c,e.userAgent=d,e.language=p;var o;(function(a){function l(){return e.language}a.value=l;function y(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}a.isDefaultVariant=y;function C(){return e.language==="en"}a.isDefault=C})(o=e.Language||(e.Language={})),e.locale=b,e.translationsConfigFile=t,e.setTimeout0=(()=>{if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let a=[];e.globals.addEventListener("message",y=>{if(y.data&&y.data.vscodeScheduleAsyncWork)for(let C=0,R=a.length;C<R;C++){const T=a[C];if(T.id===y.data.vscodeScheduleAsyncWork){a.splice(C,1),T.callback();return}}});let l=0;return y=>{const C=++l;a.push({id:C,callback:y}),e.globals.postMessage({vscodeScheduleAsyncWork:C},"*")}}return a=>setTimeout(a)})();var u;(function(a){a[a.Windows=1]="Windows",a[a.Macintosh=2]="Macintosh",a[a.Linux=3]="Linux"})(u=e.OperatingSystem||(e.OperatingSystem={})),e.OS=L||I?2:n?1:3;let r=!0,i=!1;function s(){if(!i){i=!0;const a=new Uint8Array(2);a[0]=1,a[1]=2,r=new Uint16Array(a.buffer)[0]===(2<<8)+1}return r}e.isLittleEndian=s,e.isChrome=!!(e.userAgent&&e.userAgent.indexOf("Chrome")>=0),e.isFirefox=!!(e.userAgent&&e.userAgent.indexOf("Firefox")>=0),e.isSafari=!!(!e.isChrome&&e.userAgent&&e.userAgent.indexOf("Safari")>=0),e.isEdge=!!(e.userAgent&&e.userAgent.indexOf("Edg/")>=0),e.isAndroid=!!(e.userAgent&&e.userAgent.indexOf("Android")>=0)}),define(Z[36],x([0,1,3]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.arch=e.platform=e.env=e.cwd=void 0;let n;if(typeof w.globals.vscode!="undefined"&&typeof w.globals.vscode.process!="undefined"){const L=w.globals.vscode.process;n={get platform(){return L.platform},get arch(){return L.arch},get env(){return L.env},cwd(){return L.cwd()}}}else typeof process!="undefined"?n={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:n={get platform(){return w.isWindows?"win32":w.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=n.cwd,e.env=n.env,e.platform=n.platform,e.arch=n.arch}),define(Z[7],x([0,1,36]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const n=65,L=97,D=90,P=122,S=46,m=47,E=92,I=58,k=63;class b extends Error{constructor(h,c,o){let u;typeof c=="string"&&c.indexOf("not ")===0?(u="must not be",c=c.replace(/^not /,"")):u="must be";const r=h.indexOf(".")!==-1?"property":"argument";let i=`The "${h}" ${r} ${u} of type ${c}`;i+=`. Received type ${typeof o}`;super(i);this.code="ERR_INVALID_ARG_TYPE"}}function p(f,h){if(typeof f!="string")throw new b(h,"string",f)}function t(f){return f===m||f===E}function d(f){return f===m}function g(f){return f>=n&&f<=D||f>=L&&f<=P}function v(f,h,c,o){let u="",r=0,i=-1,s=0,a=0;for(let l=0;l<=f.length;++l){if(l<f.length)a=f.charCodeAt(l);else{if(o(a))break;a=m}if(o(a)){if(!(i===l-1||s===1))if(s===2){if(u.length<2||r!==2||u.charCodeAt(u.length-1)!==S||u.charCodeAt(u.length-2)!==S){if(u.length>2){const y=u.lastIndexOf(c);y===-1?(u="",r=0):(u=u.slice(0,y),r=u.length-1-u.lastIndexOf(c)),i=l,s=0;continue}else if(u.length!==0){u="",r=0,i=l,s=0;continue}}h&&(u+=u.length>0?`${c}..`:"..",r=2)}else u.length>0?u+=`${c}${f.slice(i+1,l)}`:u=f.slice(i+1,l),r=l-i-1;i=l,s=0}else a===S&&s!==-1?++s:s=-1}return u}function M(f,h){if(h===null||typeof h!="object")throw new b("pathObject","Object",h);const c=h.dir||h.root,o=h.base||`${h.name||""}${h.ext||""}`;return c?c===h.root?`${c}${o}`:`${c}${f}${o}`:o}e.win32={resolve(...f){let h="",c="",o=!1;for(let u=f.length-1;u>=-1;u--){let r;if(u>=0){if(r=f[u],p(r,"path"),r.length===0)continue}else h.length===0?r=w.cwd():(r=w.env[`=${h}`]||w.cwd(),(r===void 0||r.slice(0,2).toLowerCase()!==h.toLowerCase()&&r.charCodeAt(2)===E)&&(r=`${h}\\`));const i=r.length;let s=0,a="",l=!1;const y=r.charCodeAt(0);if(i===1)t(y)&&(s=1,l=!0);else if(t(y))if(l=!0,t(r.charCodeAt(1))){let C=2,R=C;for(;C<i&&!t(r.charCodeAt(C));)C++;if(C<i&&C!==R){const T=r.slice(R,C);for(R=C;C<i&&t(r.charCodeAt(C));)C++;if(C<i&&C!==R){for(R=C;C<i&&!t(r.charCodeAt(C));)C++;(C===i||C!==R)&&(a=`\\\\${T}\\${r.slice(R,C)}`,s=C)}}}else s=1;else g(y)&&r.charCodeAt(1)===I&&(a=r.slice(0,2),s=2,i>2&&t(r.charCodeAt(2))&&(l=!0,s=3));if(a.length>0)if(h.length>0){if(a.toLowerCase()!==h.toLowerCase())continue}else h=a;if(o){if(h.length>0)break}else if(c=`${r.slice(s)}\\${c}`,o=l,l&&h.length>0)break}return c=v(c,!o,"\\",t),o?`${h}\\${c}`:`${h}${c}`||"."},normalize(f){p(f,"path");const h=f.length;if(h===0)return".";let c=0,o,u=!1;const r=f.charCodeAt(0);if(h===1)return d(r)?"\\":f;if(t(r))if(u=!0,t(f.charCodeAt(1))){let s=2,a=s;for(;s<h&&!t(f.charCodeAt(s));)s++;if(s<h&&s!==a){const l=f.slice(a,s);for(a=s;s<h&&t(f.charCodeAt(s));)s++;if(s<h&&s!==a){for(a=s;s<h&&!t(f.charCodeAt(s));)s++;if(s===h)return`\\\\${l}\\${f.slice(a)}\\`;s!==a&&(o=`\\\\${l}\\${f.slice(a,s)}`,c=s)}}}else c=1;else g(r)&&f.charCodeAt(1)===I&&(o=f.slice(0,2),c=2,h>2&&t(f.charCodeAt(2))&&(u=!0,c=3));let i=c<h?v(f.slice(c),!u,"\\",t):"";return i.length===0&&!u&&(i="."),i.length>0&&t(f.charCodeAt(h-1))&&(i+="\\"),o===void 0?u?`\\${i}`:i:u?`${o}\\${i}`:`${o}${i}`},isAbsolute(f){p(f,"path");const h=f.length;if(h===0)return!1;const c=f.charCodeAt(0);return t(c)||h>2&&g(c)&&f.charCodeAt(1)===I&&t(f.charCodeAt(2))},join(...f){if(f.length===0)return".";let h,c;for(let r=0;r<f.length;++r){const i=f[r];p(i,"path"),i.length>0&&(h===void 0?h=c=i:h+=`\\${i}`)}if(h===void 0)return".";let o=!0,u=0;if(typeof c=="string"&&t(c.charCodeAt(0))){++u;const r=c.length;r>1&&t(c.charCodeAt(1))&&(++u,r>2&&(t(c.charCodeAt(2))?++u:o=!1))}if(o){for(;u<h.length&&t(h.charCodeAt(u));)u++;u>=2&&(h=`\\${h.slice(u)}`)}return e.win32.normalize(h)},relative(f,h){if(p(f,"from"),p(h,"to"),f===h)return"";const c=e.win32.resolve(f),o=e.win32.resolve(h);if(c===o||(f=c.toLowerCase(),h=o.toLowerCase(),f===h))return"";let u=0;for(;u<f.length&&f.charCodeAt(u)===E;)u++;let r=f.length;for(;r-1>u&&f.charCodeAt(r-1)===E;)r--;const i=r-u;let s=0;for(;s<h.length&&h.charCodeAt(s)===E;)s++;let a=h.length;for(;a-1>s&&h.charCodeAt(a-1)===E;)a--;const l=a-s,y=i<l?i:l;let C=-1,R=0;for(;R<y;R++){const U=f.charCodeAt(u+R);if(U!==h.charCodeAt(s+R))break;U===E&&(C=R)}if(R!==y){if(C===-1)return o}else{if(l>y){if(h.charCodeAt(s+R)===E)return o.slice(s+R+1);if(R===2)return o.slice(s+R)}i>y&&(f.charCodeAt(u+R)===E?C=R:R===2&&(C=3)),C===-1&&(C=0)}let T="";for(R=u+C+1;R<=r;++R)(R===r||f.charCodeAt(R)===E)&&(T+=T.length===0?"..":"\\..");return s+=C,T.length>0?`${T}${o.slice(s,a)}`:(o.charCodeAt(s)===E&&++s,o.slice(s,a))},toNamespacedPath(f){if(typeof f!="string")return f;if(f.length===0)return"";const h=e.win32.resolve(f);if(h.length<=2)return f;if(h.charCodeAt(0)===E){if(h.charCodeAt(1)===E){const c=h.charCodeAt(2);if(c!==k&&c!==S)return`\\\\?\\UNC\\${h.slice(2)}`}}else if(g(h.charCodeAt(0))&&h.charCodeAt(1)===I&&h.charCodeAt(2)===E)return`\\\\?\\${h}`;return f},dirname(f){p(f,"path");const h=f.length;if(h===0)return".";let c=-1,o=0;const u=f.charCodeAt(0);if(h===1)return t(u)?f:".";if(t(u)){if(c=o=1,t(f.charCodeAt(1))){let s=2,a=s;for(;s<h&&!t(f.charCodeAt(s));)s++;if(s<h&&s!==a){for(a=s;s<h&&t(f.charCodeAt(s));)s++;if(s<h&&s!==a){for(a=s;s<h&&!t(f.charCodeAt(s));)s++;if(s===h)return f;s!==a&&(c=o=s+1)}}}}else g(u)&&f.charCodeAt(1)===I&&(c=h>2&&t(f.charCodeAt(2))?3:2,o=c);let r=-1,i=!0;for(let s=h-1;s>=o;--s)if(t(f.charCodeAt(s))){if(!i){r=s;break}}else i=!1;if(r===-1){if(c===-1)return".";r=c}return f.slice(0,r)},basename(f,h){h!==void 0&&p(h,"ext"),p(f,"path");let c=0,o=-1,u=!0,r;if(f.length>=2&&g(f.charCodeAt(0))&&f.charCodeAt(1)===I&&(c=2),h!==void 0&&h.length>0&&h.length<=f.length){if(h===f)return"";let i=h.length-1,s=-1;for(r=f.length-1;r>=c;--r){const a=f.charCodeAt(r);if(t(a)){if(!u){c=r+1;break}}else s===-1&&(u=!1,s=r+1),i>=0&&(a===h.charCodeAt(i)?--i==-1&&(o=r):(i=-1,o=s))}return c===o?o=s:o===-1&&(o=f.length),f.slice(c,o)}for(r=f.length-1;r>=c;--r)if(t(f.charCodeAt(r))){if(!u){c=r+1;break}}else o===-1&&(u=!1,o=r+1);return o===-1?"":f.slice(c,o)},extname(f){p(f,"path");let h=0,c=-1,o=0,u=-1,r=!0,i=0;f.length>=2&&f.charCodeAt(1)===I&&g(f.charCodeAt(0))&&(h=o=2);for(let s=f.length-1;s>=h;--s){const a=f.charCodeAt(s);if(t(a)){if(!r){o=s+1;break}continue}u===-1&&(r=!1,u=s+1),a===S?c===-1?c=s:i!==1&&(i=1):c!==-1&&(i=-1)}return c===-1||u===-1||i===0||i===1&&c===u-1&&c===o+1?"":f.slice(c,u)},format:M.bind(null,"\\"),parse(f){p(f,"path");const h={root:"",dir:"",base:"",ext:"",name:""};if(f.length===0)return h;const c=f.length;let o=0,u=f.charCodeAt(0);if(c===1)return t(u)?(h.root=h.dir=f,h):(h.base=h.name=f,h);if(t(u)){if(o=1,t(f.charCodeAt(1))){let C=2,R=C;for(;C<c&&!t(f.charCodeAt(C));)C++;if(C<c&&C!==R){for(R=C;C<c&&t(f.charCodeAt(C));)C++;if(C<c&&C!==R){for(R=C;C<c&&!t(f.charCodeAt(C));)C++;C===c?o=C:C!==R&&(o=C+1)}}}}else if(g(u)&&f.charCodeAt(1)===I){if(c<=2)return h.root=h.dir=f,h;if(o=2,t(f.charCodeAt(2))){if(c===3)return h.root=h.dir=f,h;o=3}}o>0&&(h.root=f.slice(0,o));let r=-1,i=o,s=-1,a=!0,l=f.length-1,y=0;for(;l>=o;--l){if(u=f.charCodeAt(l),t(u)){if(!a){i=l+1;break}continue}s===-1&&(a=!1,s=l+1),u===S?r===-1?r=l:y!==1&&(y=1):r!==-1&&(y=-1)}return s!==-1&&(r===-1||y===0||y===1&&r===s-1&&r===i+1?h.base=h.name=f.slice(i,s):(h.name=f.slice(i,r),h.base=f.slice(i,s),h.ext=f.slice(r,s))),i>0&&i!==o?h.dir=f.slice(0,i-1):h.dir=h.root,h},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...f){let h="",c=!1;for(let o=f.length-1;o>=-1&&!c;o--){const u=o>=0?f[o]:w.cwd();p(u,"path"),u.length!==0&&(h=`${u}/${h}`,c=u.charCodeAt(0)===m)}return h=v(h,!c,"/",d),c?`/${h}`:h.length>0?h:"."},normalize(f){if(p(f,"path"),f.length===0)return".";const h=f.charCodeAt(0)===m,c=f.charCodeAt(f.length-1)===m;return f=v(f,!h,"/",d),f.length===0?h?"/":c?"./":".":(c&&(f+="/"),h?`/${f}`:f)},isAbsolute(f){return p(f,"path"),f.length>0&&f.charCodeAt(0)===m},join(...f){if(f.length===0)return".";let h;for(let c=0;c<f.length;++c){const o=f[c];p(o,"path"),o.length>0&&(h===void 0?h=o:h+=`/${o}`)}return h===void 0?".":e.posix.normalize(h)},relative(f,h){if(p(f,"from"),p(h,"to"),f===h||(f=e.posix.resolve(f),h=e.posix.resolve(h),f===h))return"";const c=1,o=f.length,u=o-c,r=1,i=h.length-r,s=u<i?u:i;let a=-1,l=0;for(;l<s;l++){const C=f.charCodeAt(c+l);if(C!==h.charCodeAt(r+l))break;C===m&&(a=l)}if(l===s)if(i>s){if(h.charCodeAt(r+l)===m)return h.slice(r+l+1);if(l===0)return h.slice(r+l)}else u>s&&(f.charCodeAt(c+l)===m?a=l:l===0&&(a=0));let y="";for(l=c+a+1;l<=o;++l)(l===o||f.charCodeAt(l)===m)&&(y+=y.length===0?"..":"/..");return`${y}${h.slice(r+a)}`},toNamespacedPath(f){return f},dirname(f){if(p(f,"path"),f.length===0)return".";const h=f.charCodeAt(0)===m;let c=-1,o=!0;for(let u=f.length-1;u>=1;--u)if(f.charCodeAt(u)===m){if(!o){c=u;break}}else o=!1;return c===-1?h?"/":".":h&&c===1?"//":f.slice(0,c)},basename(f,h){h!==void 0&&p(h,"ext"),p(f,"path");let c=0,o=-1,u=!0,r;if(h!==void 0&&h.length>0&&h.length<=f.length){if(h===f)return"";let i=h.length-1,s=-1;for(r=f.length-1;r>=0;--r){const a=f.charCodeAt(r);if(a===m){if(!u){c=r+1;break}}else s===-1&&(u=!1,s=r+1),i>=0&&(a===h.charCodeAt(i)?--i==-1&&(o=r):(i=-1,o=s))}return c===o?o=s:o===-1&&(o=f.length),f.slice(c,o)}for(r=f.length-1;r>=0;--r)if(f.charCodeAt(r)===m){if(!u){c=r+1;break}}else o===-1&&(u=!1,o=r+1);return o===-1?"":f.slice(c,o)},extname(f){p(f,"path");let h=-1,c=0,o=-1,u=!0,r=0;for(let i=f.length-1;i>=0;--i){const s=f.charCodeAt(i);if(s===m){if(!u){c=i+1;break}continue}o===-1&&(u=!1,o=i+1),s===S?h===-1?h=i:r!==1&&(r=1):h!==-1&&(r=-1)}return h===-1||o===-1||r===0||r===1&&h===o-1&&h===c+1?"":f.slice(h,o)},format:M.bind(null,"/"),parse(f){p(f,"path");const h={root:"",dir:"",base:"",ext:"",name:""};if(f.length===0)return h;const c=f.charCodeAt(0)===m;let o;c?(h.root="/",o=1):o=0;let u=-1,r=0,i=-1,s=!0,a=f.length-1,l=0;for(;a>=o;--a){const y=f.charCodeAt(a);if(y===m){if(!s){r=a+1;break}continue}i===-1&&(s=!1,i=a+1),y===S?u===-1?u=a:l!==1&&(l=1):u!==-1&&(l=-1)}if(i!==-1){const y=r===0&&c?1:r;u===-1||l===0||l===1&&u===i-1&&u===r+1?h.base=h.name=f.slice(y,i):(h.name=f.slice(y,u),h.base=f.slice(y,i),h.ext=f.slice(u,i))}return r>0?h.dir=f.slice(0,r-1):c&&(h.dir="/"),h},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=w.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=w.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=w.platform==="win32"?e.win32.join:e.posix.join,e.resolve=w.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=w.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=w.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=w.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=w.platform==="win32"?e.win32.extname:e.posix.extname,e.format=w.platform==="win32"?e.win32.format:e.posix.format,e.parse=w.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=w.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=w.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=w.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(Z[84],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var w;(function(D){D[D.stdout=0]="stdout",D[D.stderr=1]="stderr"})(w=e.Source||(e.Source={}));var n;(function(D){D[D.Success=0]="Success",D[D.Unknown=1]="Unknown",D[D.AccessDenied=2]="AccessDenied",D[D.ProcessNotFound=3]="ProcessNotFound"})(n=e.TerminateResponseCode||(e.TerminateResponseCode={}));function L(D,...P){const S=P.reduce((I,k)=>(I[k]=!0,I),{}),m=[/^ELECTRON_.+$/,/^VSCODE_(?!SHELL_LOGIN).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(D).filter(I=>!S[I]).forEach(I=>{for(let k=0;k<m.length;k++)if(I.search(m[k])!==-1){delete D[I];break}})}e.sanitizeProcessEnvironment=L}),define(Z[85],x([0,1,3]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const n=w.globals.performance&&typeof w.globals.performance.now=="function";class L{constructor(P){this._highResolution=n&&P,this._startTime=this._now(),this._stopTime=-1}static create(P=!0){return new L(P)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?w.globals.performance.now():Date.now()}}e.StopWatch=L}),define(Z[4],x([0,1,15,43,2,112,85]),function(V,e,w,n,L,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.MicrotaskEmitter=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;function S(u){if(!1){const{onListenerDidAdd:i}=u,s=p.create();let a=0;u.onListenerDidAdd=()=>{++a==2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),s.print()),i?.()}}}var m;(function(u){u.None=()=>L.Disposable.None;function r(z){return(j,$=null,F)=>{let N=!1,W;return W=z(A=>{if(!N)return W?W.dispose():N=!0,j.call($,A)},null,F),N&&W.dispose(),W}}u.once=r;function i(z,j,$){return R((F,N=null,W)=>z(A=>F.call(N,j(A)),null,W),$)}u.map=i;function s(z,j,$){return R((F,N=null,W)=>z(A=>{j(A),F.call(N,A)},null,W),$)}u.forEach=s;function a(z,j,$){return R((F,N=null,W)=>z(A=>j(A)&&F.call(N,A),null,W),$)}u.filter=a;function l(z){return z}u.signal=l;function y(...z){return(j,$=null,F)=>(0,L.combinedDisposable)(...z.map(N=>N(W=>j.call($,W),null,F)))}u.any=y;function C(z,j,$,F){let N=$;return i(z,W=>(N=j(N,W),N),F)}u.reduce=C;function R(z,j){let $;const F={onFirstListenerAdd(){$=z(N.fire,N)},onLastListenerRemove(){$.dispose()}};j||S(F);const N=new d(F);return j&&j.add(N),N.event}function T(z,j,$=100,F=!1,N,W){let A,O,_,G=0;const ie={leakWarningThreshold:N,onFirstListenerAdd(){A=z(ce=>{G++,O=j(O,ce),F&&!_&&(ae.fire(O),O=void 0),clearTimeout(_),_=setTimeout(()=>{const ne=O;O=void 0,_=void 0,(!F||G>1)&&ae.fire(ne),G=0},$)})},onLastListenerRemove(){A.dispose()}};W||S(ie);const ae=new d(ie);return W&&W.add(ae),ae.event}u.debounce=T;function U(z,j=(F,N)=>F===N,$){let F=!0,N;return a(z,W=>{const A=F||!j(W,N);return F=!1,N=W,A},$)}u.latch=U;function Y(z,j,$){return[u.filter(z,j,$),u.filter(z,F=>!j(F),$)]}u.split=Y;function ee(z,j=!1,$=[]){let F=$.slice(),N=z(O=>{F?F.push(O):A.fire(O)});const W=()=>{F&&F.forEach(O=>A.fire(O)),F=null},A=new d({onFirstListenerAdd(){N||(N=z(O=>A.fire(O)))},onFirstListenerDidAdd(){F&&(j?setTimeout(W):W())},onLastListenerRemove(){N&&N.dispose(),N=null}});return A.event}u.buffer=ee;class X{constructor(j){this.event=j}map(j){return new X(i(this.event,j))}forEach(j){return new X(s(this.event,j))}filter(j){return new X(a(this.event,j))}reduce(j,$){return new X(C(this.event,j,$))}latch(){return new X(U(this.event))}debounce(j,$=100,F=!1,N){return new X(T(this.event,j,$,F,N))}on(j,$,F){return this.event(j,$,F)}once(j,$,F){return r(this.event)(j,$,F)}}function J(z){return new X(z)}u.chain=J;function H(z,j,$=F=>F){const F=(...O)=>A.fire($(...O)),N=()=>z.on(j,F),W=()=>z.removeListener(j,F),A=new d({onFirstListenerAdd:N,onLastListenerRemove:W});return A.event}u.fromNodeEventEmitter=H;function B(z,j,$=F=>F){const F=(...O)=>A.fire($(...O)),N=()=>z.addEventListener(j,F),W=()=>z.removeEventListener(j,F),A=new d({onFirstListenerAdd:N,onLastListenerRemove:W});return A.event}u.fromDOMEventEmitter=B;function Q(z){return new Promise(j=>r(z)(j))}u.toPromise=Q;function se(z,j){return j(void 0),z($=>j($))}u.runAndSubscribe=se;function q(z,j){let $=null;function F(W){$?.dispose(),$=new L.DisposableStore,j(W,$)}F(void 0);const N=z(W=>F(W));return(0,L.toDisposable)(()=>{N.dispose(),$?.dispose()})}u.runAndSubscribeWithStore=q})(m=e.Event||(e.Event={}));class E{constructor(r){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${r}_${E._idPool++}`}start(r){this._stopWatch=new P.StopWatch(!0),this._listenerCount=r}stop(){if(this._stopWatch){const r=this._stopWatch.elapsed();this._elapsedOverall+=r,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${r.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}E._idPool=0;let I=-1;function k(u){const r=I;return I=u,{dispose(){I=r}}}e.setGlobalLeakWarningThreshold=k;class b{constructor(r,i=Math.random().toString(18).slice(2,5)){this.customThreshold=r,this.name=i,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(r,i){let s=I;if(typeof this.customThreshold=="number"&&(s=this.customThreshold),s<=0||i<s)return;this._stacks||(this._stacks=new Map);const a=this._stacks.get(r.value)||0;if(this._stacks.set(r.value,a+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=s*.5;let l,y=0;for(const[C,R]of this._stacks)(!l||y<R)&&(l=C,y=R);console.warn(`[${this.name}] potential listener LEAK detected, having ${i} listeners already. MOST frequent listener (${y}):`),console.warn(l)}return()=>{const l=this._stacks.get(r.value)||0;this._stacks.set(r.value,l-1)}}}class p{constructor(r){this._error=r}static create(){return new p(new Error)}get value(){return this._error.stack??""}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class t{constructor(r,i,s){this.callback=r,this.callbackThis=i,this.stack=s,this.subscription=new L.SafeDisposable}invoke(r){this.callback.call(this.callbackThis,r)}}class d{constructor(r){this._disposed=!1,this._options=r,this._leakageMon=I>0?new b(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new E(this._options._profName):void 0}get event(){return this._event||(this._event=(r,i,s)=>{this._listeners||(this._listeners=new D.LinkedList);const a=this._listeners.isEmpty();a&&this._options?.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);let l,y;this._leakageMon&&(y=p.create(),l=this._leakageMon.check(y,this._listeners.size+1));const C=new t(r,i,y),R=this._listeners.push(C);a&&this._options?.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options?.onListenerDidAdd&&this._options.onListenerDidAdd(this,r,i);const T=C.subscription.set(()=>{l&&l(),this._disposed||(R(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return s instanceof L.DisposableStore?s.add(T):Array.isArray(s)&&s.push(T),T}),this._event}fire(r){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new D.LinkedList);for(let i of this._listeners)this._deliveryQueue.push([i,r]);for(this._perfMon?.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[i,s]=this._deliveryQueue.shift();try{i.invoke(s)}catch(a){(0,w.onUnexpectedError)(a)}}this._perfMon?.stop()}}hasListeners(){return this._listeners?!this._listeners.isEmpty():!1}dispose(){if(!this._disposed){if(this._disposed=!0,this._listeners){const r=Array.from(this._listeners);this._listeners.clear(),queueMicrotask(()=>{for(const i of r)i.subscription.isset()&&i.subscription.unset()})}this._deliveryQueue?.clear(),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose()}}}e.Emitter=d;class g extends d{async fireAsync(r,i,s){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new D.LinkedList);for(const a of this._listeners)this._asyncDeliveryQueue.push([a,r]);for(;this._asyncDeliveryQueue.size>0&&!i.isCancellationRequested;){const[a,l]=this._asyncDeliveryQueue.shift(),y=[],C={...l,token:i,waitUntil:R=>{if(Object.isFrozen(y))throw new Error("waitUntil can NOT be called asynchronous");s&&(R=s(R,a.callback)),y.push(R)}};try{a.invoke(C)}catch(R){(0,w.onUnexpectedError)(R);continue}Object.freeze(y),await Promise.allSettled(y).then(R=>{for(const T of R)T.status==="rejected"&&(0,w.onUnexpectedError)(T.reason)})}}}}e.AsyncEmitter=g;class v extends d{constructor(r){super(r);this._isPaused=0,this._eventQueue=new D.LinkedList,this._mergeFn=r?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const r=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(r))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(r){this._listeners&&(this._isPaused!==0?this._eventQueue.push(r):super.fire(r))}}e.PauseableEmitter=v;class M extends v{constructor(r){super(r);this._delay=r.delay??100}fire(r){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(r)}}e.DebounceEmitter=M;class f extends d{constructor(r){super(r);this._queuedEvents=[],this._mergeFn=r?.merge}fire(r){this._queuedEvents.push(r),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(i=>super.fire(i)),this._queuedEvents=[]})}}e.MicrotaskEmitter=f;class h{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new d({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(r){const i={event:r,listener:null};this.events.push(i),this.hasListeners&&this.hook(i);const s=()=>{this.hasListeners&&this.unhook(i);const a=this.events.indexOf(i);this.events.splice(a,1)};return(0,L.toDisposable)((0,n.once)(s))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(r=>this.hook(r))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(r=>this.unhook(r))}hook(r){r.listener=r.event(i=>this.emitter.fire(i))}unhook(r){r.listener&&r.listener.dispose(),r.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=h;class c{constructor(){this.buffers=[]}wrapEvent(r){return(i,s,a)=>r(l=>{const y=this.buffers[this.buffers.length-1];y?y.push(()=>i.call(s,l)):i.call(s,l)},void 0,a)}bufferEvents(r){const i=[];this.buffers.push(i);const s=r();return this.buffers.pop(),i.forEach(a=>a()),s}}e.EventBufferer=c;class o{constructor(){this.listening=!1,this.inputEvent=m.None,this.inputEventListener=L.Disposable.None,this.emitter=new d({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(r){this.inputEvent=r,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=r(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=o}),define(Z[23],x([0,1,4]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const n=Object.freeze(function(S,m){const E=setTimeout(S.bind(m),0);return{dispose(){clearTimeout(E)}}});var L;(function(S){function m(E){return E===S.None||E===S.Cancelled||E instanceof D?!0:!E||typeof E!="object"?!1:typeof E.isCancellationRequested=="boolean"&&typeof E.onCancellationRequested=="function"}S.isCancellationToken=m,S.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:w.Event.None}),S.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:n})})(L=e.CancellationToken||(e.CancellationToken={}));class D{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?n:(this._emitter||(this._emitter=new w.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class P{constructor(m){this._token=void 0,this._parentListener=void 0,this._parentListener=m&&m.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new D),this._token}cancel(){this._token?this._token instanceof D&&this._token.cancel():this._token=L.Cancelled}dispose(m=!1){m&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof D&&this._token.dispose():this._token=L.None}}e.CancellationTokenSource=P}),define(Z[113],x([0,1,23]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCachedComputed=e.Cache=void 0;class n{constructor(P){this.task=P,this.result=null}get(){if(this.result)return this.result;const P=new w.CancellationTokenSource,S=this.task(P.token);return this.result={promise:S,dispose:()=>{this.result=null,P.cancel(),P.dispose()}},this.result}}e.Cache=n;class L{constructor(P){this.computeFn=P,this.lastCache=void 0,this.lastArgKey=void 0}get(P){const S=JSON.stringify(P);return this.lastArgKey!==S&&(this.lastArgKey=S,this.lastCache=this.computeFn(P)),this.lastCache}}e.LRUCachedComputed=L}),define(Z[48],x([0,1,15,2]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function L(f){const h=f;return h?[h.on,h.pause,h.resume,h.destroy].every(c=>typeof c=="function"):!1}e.isReadableStream=L;function D(f){const h=f;return h?L(h.stream)&&Array.isArray(h.buffer)&&typeof h.ended=="boolean":!1}e.isReadableBufferedStream=D;function P(f,h){return new S(f,h)}e.newWriteableStream=P;class S{constructor(h,c){this.reducer=h,this.options=c,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(h){if(!this.state.destroyed){if(this.state.flowing)this.emitData(h);else if(this.buffer.data.push(h),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(c=>this.pendingWritePromises.push(c))}}error(h){this.state.destroyed||(this.state.flowing?this.emitError(h):this.buffer.error.push(h))}end(h){this.state.destroyed||(typeof h!="undefined"&&this.write(h),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(h){this.listeners.data.slice(0).forEach(c=>c(h))}emitError(h){this.listeners.error.length===0?(0,w.onUnexpectedError)(h):this.listeners.error.slice(0).forEach(c=>c(h))}emitEnd(){this.listeners.end.slice(0).forEach(h=>h())}on(h,c){if(!this.state.destroyed)switch(h){case"data":this.listeners.data.push(c),this.resume();break;case"end":this.listeners.end.push(c),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(c),this.state.flowing&&this.flowErrors();break}}removeListener(h,c){if(this.state.destroyed)return;let o;switch(h){case"data":o=this.listeners.data;break;case"end":o=this.listeners.end;break;case"error":o=this.listeners.error;break}if(o){const u=o.indexOf(c);u>=0&&o.splice(u,1)}}flowData(){if(this.buffer.data.length>0){const h=this.reducer(this.buffer.data);this.emitData(h),this.buffer.data.length=0;const c=[...this.pendingWritePromises];this.pendingWritePromises.length=0,c.forEach(o=>o())}}flowErrors(){if(this.listeners.error.length>0){for(const h of this.buffer.error)this.emitError(h);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function m(f,h){const c=[];let o;for(;(o=f.read())!==null;)c.push(o);return h(c)}e.consumeReadable=m;function E(f,h,c){const o=[];let u;for(;(u=f.read())!==null&&o.length<c;)o.push(u);return u===null&&o.length>0?h(o):{read:()=>{if(o.length>0)return o.shift();if(typeof u!="undefined"){const r=u;return u=void 0,r}return f.read()}}}e.peekReadable=E;function I(f,h){return new Promise((c,o)=>{const u=[];k(f,{onData:r=>{h&&u.push(r)},onError:r=>{h?o(r):c(void 0)},onEnd:()=>{c(h?h(u):void 0)}})})}e.consumeStream=I;function k(f,h){let c=!1;return f.on("error",o=>{c||h.onError(o)}),f.on("end",()=>{c||h.onEnd()}),f.on("data",o=>{c||h.onData(o)}),(0,n.toDisposable)(()=>c=!0)}e.listenStream=k;function b(f,h){return new Promise((c,o)=>{const u=new n.DisposableStore,r=[],i=l=>{if(r.push(l),r.length>h)return u.dispose(),f.pause(),c({stream:f,buffer:r,ended:!1})},s=l=>o(l),a=()=>c({stream:f,buffer:r,ended:!0});u.add((0,n.toDisposable)(()=>f.removeListener("error",s))),f.on("error",s),u.add((0,n.toDisposable)(()=>f.removeListener("end",a))),f.on("end",a),u.add((0,n.toDisposable)(()=>f.removeListener("data",i))),f.on("data",i)})}e.peekStream=b;function p(f,h){const c=P(h);return c.end(f),c}e.toStream=p;function t(){const f=P(()=>{throw new Error("not supported")});return f.end(),f}e.emptyStream=t;function d(f){let h=!1;return{read:()=>h?null:(h=!0,f)}}e.toReadable=d;function g(f,h,c){const o=P(c);return k(f,{onData:u=>o.write(h.data(u)),onError:u=>o.error(h.error?h.error(u):u),onEnd:()=>o.end()}),o}e.transform=g;function v(f,h,c){let o=!1;return{read:()=>{const u=h.read();return o?u:(o=!0,u!==null?c([f,u]):f)}}}e.prefixedReadable=v;function M(f,h,c){let o=!1;const u=P(c);return k(h,{onData:r=>o?u.write(r):(o=!0,u.write(c([f,r]))),onError:r=>u.error(r),onEnd:()=>{o||(o=!0,u.write(f)),u.end()}}),u}e.prefixedStream=M}),define(Z[16],x([0,1,48]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const n=typeof Buffer!="undefined";let L,D;class P{constructor(y){this.buffer=y,this.byteLength=this.buffer.byteLength}static alloc(y){return n?new P(Buffer.allocUnsafe(y)):new P(new Uint8Array(y))}static wrap(y){return n&&!Buffer.isBuffer(y)&&(y=Buffer.from(y.buffer,y.byteOffset,y.byteLength)),new P(y)}static fromString(y,C){return!(C?.dontUseNodeBuffer||!1)&&n?new P(Buffer.from(y)):(L||(L=new TextEncoder),new P(L.encode(y)))}static fromByteArray(y){const C=P.alloc(y.length);for(let R=0,T=y.length;R<T;R++)C.buffer[R]=y[R];return C}static concat(y,C){if(typeof C=="undefined"){C=0;for(let U=0,Y=y.length;U<Y;U++)C+=y[U].byteLength}const R=P.alloc(C);let T=0;for(let U=0,Y=y.length;U<Y;U++){const ee=y[U];R.set(ee,T),T+=ee.byteLength}return R}clone(){const y=P.alloc(this.byteLength);return y.set(this),y}toString(){return n?this.buffer.toString():(D||(D=new TextDecoder),D.decode(this.buffer))}slice(y,C){return new P(this.buffer.subarray(y,C))}set(y,C){if(y instanceof P)this.buffer.set(y.buffer,C);else if(y instanceof Uint8Array)this.buffer.set(y,C);else if(y instanceof ArrayBuffer)this.buffer.set(new Uint8Array(y),C);else if(ArrayBuffer.isView(y))this.buffer.set(new Uint8Array(y.buffer,y.byteOffset,y.byteLength),C);else throw new Error("Unknown argument 'array'")}readUInt32BE(y){return E(this.buffer,y)}writeUInt32BE(y,C){I(this.buffer,y,C)}readUInt32LE(y){return k(this.buffer,y)}writeUInt32LE(y,C){b(this.buffer,y,C)}readUInt8(y){return p(this.buffer,y)}writeUInt8(y,C){t(this.buffer,y,C)}}e.VSBuffer=P;function S(l,y){return l[y+0]<<0>>>0|l[y+1]<<8>>>0}e.readUInt16LE=S;function m(l,y,C){l[C+0]=y&255,y=y>>>8,l[C+1]=y&255}e.writeUInt16LE=m;function E(l,y){return l[y]*2**24+l[y+1]*2**16+l[y+2]*2**8+l[y+3]}e.readUInt32BE=E;function I(l,y,C){l[C+3]=y,y=y>>>8,l[C+2]=y,y=y>>>8,l[C+1]=y,y=y>>>8,l[C]=y}e.writeUInt32BE=I;function k(l,y){return l[y+0]<<0>>>0|l[y+1]<<8>>>0|l[y+2]<<16>>>0|l[y+3]<<24>>>0}e.readUInt32LE=k;function b(l,y,C){l[C+0]=y&255,y=y>>>8,l[C+1]=y&255,y=y>>>8,l[C+2]=y&255,y=y>>>8,l[C+3]=y&255}e.writeUInt32LE=b;function p(l,y){return l[y]}e.readUInt8=p;function t(l,y,C){l[C]=y}e.writeUInt8=t;function d(l){return w.consumeReadable(l,y=>P.concat(y))}e.readableToBuffer=d;function g(l){return w.toReadable(l)}e.bufferToReadable=g;function v(l){return w.consumeStream(l,y=>P.concat(y))}e.streamToBuffer=v;async function M(l){return l.ended?P.concat(l.buffer):P.concat([...l.buffer,await v(l.stream)])}e.bufferedStreamToBuffer=M;function f(l){return w.toStream(l,y=>P.concat(y))}e.bufferToStream=f;function h(l){return w.transform(l,{data:y=>typeof y=="string"?P.fromString(y):P.wrap(y)},y=>P.concat(y))}e.streamToBufferReadableStream=h;function c(l){return w.newWriteableStream(y=>P.concat(y),l)}e.newWriteableBufferStream=c;function o(l,y){return w.prefixedReadable(l,y,C=>P.concat(C))}e.prefixedBufferReadable=o;function u(l,y){return w.prefixedStream(l,y,C=>P.concat(C))}e.prefixedBufferStream=u;function r(l){let y=0,C=0,R=0;const T=new Uint8Array(Math.floor(l.length/4*3)),U=ee=>{switch(C){case 3:T[R++]=y|ee,C=0;break;case 2:T[R++]=y|ee>>>2,y=ee<<6,C=3;break;case 1:T[R++]=y|ee>>>4,y=ee<<4,C=2;break;default:y=ee<<2,C=1}};for(let ee=0;ee<l.length;ee++){const X=l.charCodeAt(ee);if(X>=65&&X<=90)U(X-65);else if(X>=97&&X<=122)U(X-97+26);else if(X>=48&&X<=57)U(X-48+52);else if(X===43||X===45)U(62);else if(X===47||X===95)U(63);else{if(X===61)break;throw new SyntaxError(`Unexpected base64 character ${l[ee]}`)}}const Y=R;for(;C>0;)U(0);return P.wrap(T).slice(0,Y)}e.decodeBase64=r;const i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",s="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function a({buffer:l},y=!0,C=!1){const R=C?s:i;let T="";const U=l.byteLength%3;let Y=0;for(;Y<l.byteLength-U;Y+=3){const ee=l[Y+0],X=l[Y+1],J=l[Y+2];T+=R[ee>>>2],T+=R[(ee<<4|X>>>4)&63],T+=R[(X<<2|J>>>6)&63],T+=R[J&63]}if(U===1){const ee=l[Y+0];T+=R[ee>>>2],T+=R[ee<<4&63],y&&(T+="==")}else if(U===2){const ee=l[Y+0],X=l[Y+1];T+=R[ee>>>2],T+=R[(ee<<4|X>>>4)&63],T+=R[X<<2&63],y&&(T+="=")}return T}e.encodeBase64=a}),define(Z[27],x([0,1,113,111]),function(V,e,w,n){"use strict";var L;Object.defineProperty(e,"__esModule",{value:!0}),e.InvisibleCharacters=e.AmbiguousCharacters=e.noBreakWhitespace=e.getLeftDeleteOffset=e.GraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsRTL=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.GraphemeIterator=e.CodePointIterator=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function D(K){return!K||typeof K!="string"?!0:K.trim().length===0}e.isFalsyOrWhitespace=D;const P=/{(\d+)}/g;function S(K,...re){return re.length===0?K:K.replace(P,function(oe,fe){const ye=parseInt(fe,10);return isNaN(ye)||ye<0||ye>=re.length?oe:re[ye]})}e.format=S;const m=/{([^}]+)}/g;function E(K,re){return K.replace(m,(oe,fe)=>re[fe]??oe)}e.format2=E;function I(K){return K.replace(/[<>&]/g,function(re){switch(re){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return re}})}e.escape=I;function k(K){return K.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=k;function b(K,re){let oe=0;const fe=re.charCodeAt(0);for(let ye=K.length-1;ye>=0;ye--)K.charCodeAt(ye)===fe&&oe++;return oe}e.count=b;function p(K,re,oe="\u2026"){return K.length<=re?K:`${K.substr(0,re)}${oe}`}e.truncate=p;function t(K,re=" "){const oe=d(K,re);return g(oe,re)}e.trim=t;function d(K,re){if(!K||!re)return K;const oe=re.length;if(oe===0||K.length===0)return K;let fe=0;for(;K.indexOf(re,fe)===fe;)fe=fe+oe;return K.substring(fe)}e.ltrim=d;function g(K,re){if(!K||!re)return K;const oe=re.length,fe=K.length;if(oe===0||fe===0)return K;let ye=fe,Re=-1;for(;Re=K.lastIndexOf(re,ye-1),!(Re===-1||Re+oe!==ye);){if(Re===0)return"";ye=Re}return K.substring(0,ye)}e.rtrim=g;function v(K){return K.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=v;function M(K){return K.replace(/\*/g,"")}e.stripWildcards=M;function f(K,re,oe={}){if(!K)throw new Error("Cannot create regex from empty string");re||(K=k(K)),oe.wholeWord&&(/\B/.test(K.charAt(0))||(K="\\b"+K),/\B/.test(K.charAt(K.length-1))||(K=K+"\\b"));let fe="";return oe.global&&(fe+="g"),oe.matchCase||(fe+="i"),oe.multiline&&(fe+="m"),oe.unicode&&(fe+="u"),new RegExp(K,fe)}e.createRegExp=f;function h(K){return K.source==="^"||K.source==="^$"||K.source==="$"||K.source==="^\\s*$"?!1:!!(K.exec("")&&K.lastIndex===0)}e.regExpLeadsToEndlessLoop=h;function c(K){return!!K.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=c;function o(K){return(K.global?"g":"")+(K.ignoreCase?"i":"")+(K.multiline?"m":"")+(K.unicode?"u":"")}e.regExpFlags=o;function u(K){return K.split(/\r\n|\r|\n/)}e.splitLines=u;function r(K){for(let re=0,oe=K.length;re<oe;re++){const fe=K.charCodeAt(re);if(fe!==32&&fe!==9)return re}return-1}e.firstNonWhitespaceIndex=r;function i(K,re=0,oe=K.length){for(let fe=re;fe<oe;fe++){const ye=K.charCodeAt(fe);if(ye!==32&&ye!==9)return K.substring(re,fe)}return K.substring(re,oe)}e.getLeadingWhitespace=i;function s(K,re=K.length-1){for(let oe=re;oe>=0;oe--){const fe=K.charCodeAt(oe);if(fe!==32&&fe!==9)return oe}return-1}e.lastNonWhitespaceIndex=s;function a(K,re){return K<re?-1:K>re?1:0}e.compare=a;function l(K,re,oe=0,fe=K.length,ye=0,Re=re.length){for(;oe<fe&&ye<Re;oe++,ye++){let Ve=K.charCodeAt(oe),Ae=re.charCodeAt(ye);if(Ve<Ae)return-1;if(Ve>Ae)return 1}const Oe=fe-oe,Ke=Re-ye;return Oe<Ke?-1:Oe>Ke?1:0}e.compareSubstring=l;function y(K,re){return C(K,re,0,K.length,0,re.length)}e.compareIgnoreCase=y;function C(K,re,oe=0,fe=K.length,ye=0,Re=re.length){for(;oe<fe&&ye<Re;oe++,ye++){let Ve=K.charCodeAt(oe),Ae=re.charCodeAt(ye);if(Ve===Ae)continue;if(Ve>=128||Ae>=128)return l(K.toLowerCase(),re.toLowerCase(),oe,fe,ye,Re);R(Ve)&&(Ve-=32),R(Ae)&&(Ae-=32);const qe=Ve-Ae;if(qe!==0)return qe}const Oe=fe-oe,Ke=Re-ye;return Oe<Ke?-1:Oe>Ke?1:0}e.compareSubstringIgnoreCase=C;function R(K){return K>=97&&K<=122}e.isLowerAsciiLetter=R;function T(K){return K>=65&&K<=90}e.isUpperAsciiLetter=T;function U(K,re){return K.length===re.length&&C(K,re)===0}e.equalsIgnoreCase=U;function Y(K,re){const oe=re.length;return re.length>K.length?!1:C(K,re,0,oe)===0}e.startsWithIgnoreCase=Y;function ee(K,re){let oe,fe=Math.min(K.length,re.length);for(oe=0;oe<fe;oe++)if(K.charCodeAt(oe)!==re.charCodeAt(oe))return oe;return fe}e.commonPrefixLength=ee;function X(K,re){let oe,fe=Math.min(K.length,re.length);const ye=K.length-1,Re=re.length-1;for(oe=0;oe<fe;oe++)if(K.charCodeAt(ye-oe)!==re.charCodeAt(Re-oe))return oe;return fe}e.commonSuffixLength=X;function J(K){return 55296<=K&&K<=56319}e.isHighSurrogate=J;function H(K){return 56320<=K&&K<=57343}e.isLowSurrogate=H;function B(K,re){return(K-55296<<10)+(re-56320)+65536}e.computeCodePoint=B;function Q(K,re,oe){const fe=K.charCodeAt(oe);if(J(fe)&&oe+1<re){const ye=K.charCodeAt(oe+1);if(H(ye))return B(fe,ye)}return fe}e.getNextCodePoint=Q;function se(K,re){const oe=K.charCodeAt(re-1);if(H(oe)&&re>1){const fe=K.charCodeAt(re-2);if(J(fe))return B(fe,oe)}return oe}class q{constructor(re,oe=0){this._str=re,this._len=re.length,this._offset=oe}get offset(){return this._offset}setOffset(re){this._offset=re}prevCodePoint(){const re=se(this._str,this._offset);return this._offset-=re>=65536?2:1,re}nextCodePoint(){const re=Q(this._str,this._len,this._offset);return this._offset+=re>=65536?2:1,re}eol(){return this._offset>=this._len}}e.CodePointIterator=q;class z{constructor(re,oe=0){this._iterator=new q(re,oe)}get offset(){return this._iterator.offset}nextGraphemeLength(){const re=ze.getInstance(),oe=this._iterator,fe=oe.offset;let ye=re.getGraphemeBreakType(oe.nextCodePoint());for(;!oe.eol();){const Re=oe.offset,Oe=re.getGraphemeBreakType(oe.nextCodePoint());if(Ze(ye,Oe)){oe.setOffset(Re);break}ye=Oe}return oe.offset-fe}prevGraphemeLength(){const re=ze.getInstance(),oe=this._iterator,fe=oe.offset;let ye=re.getGraphemeBreakType(oe.prevCodePoint());for(;oe.offset>0;){const Re=oe.offset,Oe=re.getGraphemeBreakType(oe.prevCodePoint());if(Ze(Oe,ye)){oe.setOffset(Re);break}ye=Oe}return fe-oe.offset}eol(){return this._iterator.eol()}}e.GraphemeIterator=z;function j(K,re){return new z(K,re).nextGraphemeLength()}e.nextCharLength=j;function $(K,re){return new z(K,re).prevGraphemeLength()}e.prevCharLength=$;function F(K,re){re>0&&H(K.charCodeAt(re))&&re--;const oe=re+j(K,re);return[oe-$(K,oe),oe]}e.getCharContainingOffset=F;const N=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function W(K){return N.test(K)}e.containsRTL=W;const A=/^[\t\n\r\x20-\x7E]*$/;function O(K){return A.test(K)}e.isBasicASCII=O,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function _(K){return e.UNUSUAL_LINE_TERMINATORS.test(K)}e.containsUnusualLineTerminators=_;function G(K){return K>=11904&&K<=55215||K>=63744&&K<=64255||K>=65281&&K<=65374}e.isFullWidthCharacter=G;function ie(K){return K>=127462&&K<=127487||K===8986||K===8987||K===9200||K===9203||K>=9728&&K<=10175||K===11088||K===11093||K>=127744&&K<=128591||K>=128640&&K<=128764||K>=128992&&K<=129008||K>=129280&&K<=129535||K>=129648&&K<=129782}e.isEmojiImprecise=ie;function ae(K,re){if(K.length<re)return K;const oe=/\b/g;let fe=0;for(;oe.test(K)&&!(K.length-oe.lastIndex<re);)fe=oe.lastIndex,oe.lastIndex+=1;return K.substring(fe).replace(/^\s/,"")}e.lcut=ae;const ce=/\x1B\x5B[12]?K/g,ne=/\x1b\[\d+m/g,le=/\x1b\[0?m/g;function he(K){return K&&(K=K.replace(ce,""),K=K.replace(ne,""),K=K.replace(le,"")),K}e.removeAnsiEscapeCodes=he,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function we(K){return!!(K&&K.length>0&&K.charCodeAt(0)===65279)}e.startsWithUTF8BOM=we;function be(K){return we(K)?K.substr(1):K}e.stripUTF8BOM=be;function Me(K,re){if(!K||!re||K.length<re.length)return!1;const oe=re.length,fe=K.toLowerCase();let ye=0,Re=-1;for(;ye<oe;){const Oe=fe.indexOf(re[ye],Re+1);if(Oe<0)return!1;Re=Oe,ye++}return!0}e.fuzzyContains=Me;function Se(K,re=!1){return K?(re&&(K=K.replace(/\\./g,"")),K.toLowerCase()!==K):!1}e.containsUppercaseCharacter=Se;function pe(K){return K.charAt(0).toUpperCase()+K.slice(1)}e.uppercaseFirstLetter=pe;function Ee(K,re=1){if(re===0)return"";let oe=-1;do oe=K.indexOf(`
`,oe+1),re--;while(re>0&&oe>=0);return oe===-1?K:(K[oe-1]==="\r"&&oe--,K.substr(0,oe))}e.getNLines=Ee;function Le(K){const re=90-65+1;return K=K%(2*re),K<re?String.fromCharCode(97+K):String.fromCharCode(65+K-re)}e.singleLetterHash=Le;function Ne(K){return ze.getInstance().getGraphemeBreakType(K)}e.getGraphemeBreakType=Ne;function Ze(K,re){return K===0?re!==5&&re!==7:K===2&&re===3?!1:K===4||K===2||K===3||re===4||re===2||re===3?!0:!(K===8&&(re===8||re===9||re===11||re===12)||(K===11||K===9)&&(re===9||re===10)||(K===12||K===10)&&re===10||re===5||re===13||re===7||K===1||K===13&&re===14||K===6&&re===6)}var Fe;(function(K){K[K.Other=0]="Other",K[K.Prepend=1]="Prepend",K[K.CR=2]="CR",K[K.LF=3]="LF",K[K.Control=4]="Control",K[K.Extend=5]="Extend",K[K.Regional_Indicator=6]="Regional_Indicator",K[K.SpacingMark=7]="SpacingMark",K[K.L=8]="L",K[K.V=9]="V",K[K.T=10]="T",K[K.LV=11]="LV",K[K.LVT=12]="LVT",K[K.ZWJ=13]="ZWJ",K[K.Extended_Pictographic=14]="Extended_Pictographic"})(Fe=e.GraphemeBreakType||(e.GraphemeBreakType={}));class ze{constructor(){this._data=Ge()}static getInstance(){return ze._INSTANCE||(ze._INSTANCE=new ze),ze._INSTANCE}getGraphemeBreakType(re){if(re<32)return re===10?3:re===13?2:4;if(re<127)return 0;const oe=this._data,fe=oe.length/3;let ye=1;for(;ye<=fe;)if(re<oe[3*ye])ye=2*ye;else if(re>oe[3*ye+1])ye=2*ye+1;else return oe[3*ye+2];return 0}}ze._INSTANCE=null;function Ge(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function st(K,re){if(K===0)return 0;const oe=wt(K,re);if(oe!==void 0)return oe;const fe=new q(re,K);return fe.prevCodePoint(),fe.offset}e.getLeftDeleteOffset=st;function wt(K,re){const oe=new q(re,K);let fe=oe.prevCodePoint();for(;ot(fe)||fe===65039||fe===8419;){if(oe.offset===0)return;fe=oe.prevCodePoint()}if(!ie(fe))return;let ye=oe.offset;return ye>0&&oe.prevCodePoint()===8205&&(ye=oe.offset),ye}function ot(K){return 127995<=K&&K<=127999}var Ye;(function(K){K[K.zwj=8205]="zwj",K[K.emojiVariantSelector=65039]="emojiVariantSelector",K[K.enclosingKeyCap=8419]="enclosingKeyCap"})(Ye||(Ye={})),e.noBreakWhitespace="\xA0";class He{constructor(re){this.confusableDictionary=re}static getInstance(re){return He.cache.get(Array.from(re))}static getLocales(){return He._locales.getValue()}isAmbiguous(re){return this.confusableDictionary.has(re)}getPrimaryConfusable(re){return this.confusableDictionary.get(re)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}e.AmbiguousCharacters=He,L=He,He.ambiguousCharacterData=new n.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),He.cache=new w.LRUCachedComputed(K=>{function re(Ae){const qe=new Map;for(let je=0;je<Ae.length;je+=2)qe.set(Ae[je],Ae[je+1]);return qe}function oe(Ae,qe){const je=new Map(Ae);for(const[xe,tt]of qe)je.set(xe,tt);return je}function fe(Ae,qe){if(!Ae)return qe;const je=new Map;for(const[xe,tt]of Ae)qe.has(xe)&&je.set(xe,tt);return je}const ye=L.ambiguousCharacterData.getValue();let Re=K.filter(Ae=>!Ae.startsWith("_")&&Ae in ye);Re.length===0&&(Re=["_default"]);let Oe;for(const Ae of Re){const qe=re(ye[Ae]);Oe=fe(Oe,qe)}const Ke=re(ye._common),Ve=oe(Ke,Oe);return new He(Ve)}),He._locales=new n.Lazy(()=>Object.keys(He.ambiguousCharacterData.getValue()).filter(K=>!K.startsWith("_")));class Qe{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(Qe.getRawData())),this._data}static isInvisibleCharacter(re){return Qe.getData().has(re)}static get codePoints(){return Qe.getData()}}e.InvisibleCharacters=Qe,Qe._data=void 0}),define(Z[69],x([0,1,27]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function n(v){return L(v,0)}e.hash=n;function L(v,M){switch(typeof v){case"object":return v===null?D(349,M):Array.isArray(v)?m(v,M):E(v,M);case"string":return S(v,M);case"boolean":return P(v,M);case"number":return D(v,M);case"undefined":return D(937,M);default:return D(617,M)}}e.doHash=L;function D(v,M){return(M<<5)-M+v|0}e.numberHash=D;function P(v,M){return D(v?433:863,M)}function S(v,M){M=D(149417,M);for(let f=0,h=v.length;f<h;f++)M=D(v.charCodeAt(f),M);return M}e.stringHash=S;function m(v,M){return M=D(104579,M),v.reduce((f,h)=>L(h,f),M)}function E(v,M){return M=D(181387,M),Object.keys(v).sort().reduce((f,h)=>(f=S(h,f),L(v[h],f)),M)}class I{constructor(){this._value=0}get value(){return this._value}hash(M){return this._value=L(M,this._value),this._value}}e.Hasher=I;var k;(function(v){v[v.BLOCK_SIZE=64]="BLOCK_SIZE",v[v.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(k||(k={}));function b(v,M,f=32){const h=f-M,c=~((1<<h)-1);return(v<<M|(c&v)>>>h)>>>0}function p(v,M=0,f=v.byteLength,h=0){for(let c=0;c<f;c++)v[M+c]=h}function t(v,M,f="0"){for(;v.length<M;)v=f+v;return v}function d(v,M=32){return v instanceof ArrayBuffer?Array.from(new Uint8Array(v)).map(f=>f.toString(16).padStart(2,"0")).join(""):t((v>>>0).toString(16),M/4)}e.toHexString=d;class g{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(M){const f=M.length;if(f===0)return;const h=this._buff;let c=this._buffLen,o=this._leftoverHighSurrogate,u,r;for(o!==0?(u=o,r=-1,o=0):(u=M.charCodeAt(0),r=0);;){let i=u;if(w.isHighSurrogate(u))if(r+1<f){const s=M.charCodeAt(r+1);w.isLowSurrogate(s)?(r++,i=w.computeCodePoint(u,s)):i=65533}else{o=u;break}else w.isLowSurrogate(u)&&(i=65533);if(c=this._push(h,c,i),r++,r<f)u=M.charCodeAt(r);else break}this._buffLen=c,this._leftoverHighSurrogate=o}_push(M,f,h){return h<128?M[f++]=h:h<2048?(M[f++]=192|(h&1984)>>>6,M[f++]=128|(h&63)>>>0):h<65536?(M[f++]=224|(h&61440)>>>12,M[f++]=128|(h&4032)>>>6,M[f++]=128|(h&63)>>>0):(M[f++]=240|(h&1835008)>>>18,M[f++]=128|(h&258048)>>>12,M[f++]=128|(h&4032)>>>6,M[f++]=128|(h&63)>>>0),f>=64&&(this._step(),f-=64,this._totalLen+=64,M[0]=M[64+0],M[1]=M[64+1],M[2]=M[64+2]),f}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),d(this._h0)+d(this._h1)+d(this._h2)+d(this._h3)+d(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,p(this._buff,this._buffLen),this._buffLen>56&&(this._step(),p(this._buff));const M=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(M/4294967296),!1),this._buffDV.setUint32(60,M%4294967296,!1),this._step()}_step(){const M=g._bigBlock32,f=this._buffDV;for(let l=0;l<64;l+=4)M.setUint32(l,f.getUint32(l,!1),!1);for(let l=64;l<320;l+=4)M.setUint32(l,b(M.getUint32(l-12,!1)^M.getUint32(l-32,!1)^M.getUint32(l-56,!1)^M.getUint32(l-64,!1),1),!1);let h=this._h0,c=this._h1,o=this._h2,u=this._h3,r=this._h4,i,s,a;for(let l=0;l<80;l++)l<20?(i=c&o|~c&u,s=1518500249):l<40?(i=c^o^u,s=1859775393):l<60?(i=c&o|c&u|o&u,s=2400959708):(i=c^o^u,s=3395469782),a=b(h,5)+i+r+s+M.getUint32(l*4,!1)&4294967295,r=u,u=o,o=b(c,30),c=h,h=a;this._h0=this._h0+h&4294967295,this._h1=this._h1+c&4294967295,this._h2=this._h2+o&4294967295,this._h3=this._h3+u&4294967295,this._h4=this._h4+r&4294967295}}e.StringSHA1=g,g._bigBlock32=new DataView(new ArrayBuffer(320))});var Dt=this&&this.__classPrivateFieldSet||function(V,e,w,n,L){if(n==="m")throw new TypeError("Private method is not writable");if(n==="a"&&!L)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?V!==e||!L:!e.has(V))throw new TypeError("Cannot write private member to an object whose class did not declare it");return n==="a"?L.call(V,w):L?L.value=w:e.set(V,w),w},Je=this&&this.__classPrivateFieldGet||function(V,e,w,n){if(w==="a"&&!n)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?V!==e||!n:!e.has(V))throw new TypeError("Cannot read private member from an object whose class did not declare it");return w==="m"?n:w==="a"?n.call(V):n?n.value:e.get(V)};define(Z[35],x([0,1,30,27]),function(V,e,w,n){"use strict";var L,D,P;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function S(r,i,s){let a=r.get(i);return a===void 0&&(a=s,r.set(i,a)),a}e.getOrSet=S;function m(r){const i=[];return r.forEach((s,a)=>{i.push(`${a} => ${s}`)}),`Map(${r.size}) {${i.join(", ")}}`}e.mapToString=m;function E(r){const i=[];return r.forEach(s=>{i.push(s)}),`Set(${r.size}) {${i.join(", ")}}`}e.setToString=E;class I{constructor(){this._value="",this._pos=0}reset(i){return this._value=i,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(i){const s=i.charCodeAt(0),a=this._value.charCodeAt(this._pos);return s-a}value(){return this._value[this._pos]}}e.StringIterator=I;class k{constructor(i=!0){this._caseSensitive=i}reset(i){return this._value=i,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let i=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(i)this._from++;else break;else i=!1;return this}cmp(i){return this._caseSensitive?(0,n.compareSubstring)(i,this._value,0,i.length,this._from,this._to):(0,n.compareSubstringIgnoreCase)(i,this._value,0,i.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=k;class b{constructor(i=!0,s=!0){this._splitOnBackslash=i,this._caseSensitive=s}reset(i){this._from=0,this._to=0,this._value=i,this._valueLen=i.length;for(let s=i.length-1;s>=0;s--,this._valueLen--){const a=this._value.charCodeAt(s);if(!(a===47||this._splitOnBackslash&&a===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let i=!0;for(;this._to<this._valueLen;this._to++){const s=this._value.charCodeAt(this._to);if(s===47||this._splitOnBackslash&&s===92)if(i)this._from++;else break;else i=!1}return this}cmp(i){return this._caseSensitive?(0,n.compareSubstring)(i,this._value,0,i.length,this._from,this._to):(0,n.compareSubstringIgnoreCase)(i,this._value,0,i.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=b;var p;(function(r){r[r.Scheme=1]="Scheme",r[r.Authority=2]="Authority",r[r.Path=3]="Path",r[r.Query=4]="Query",r[r.Fragment=5]="Fragment"})(p||(p={}));class t{constructor(i){this._ignorePathCasing=i,this._states=[],this._stateIdx=0}reset(i){return this._value=i,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new b(!1,!this._ignorePathCasing(i)),this._pathIterator.reset(i.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(i){if(this._states[this._stateIdx]===1)return(0,n.compareIgnoreCase)(i,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,n.compareIgnoreCase)(i,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(i);if(this._states[this._stateIdx]===4)return(0,n.compare)(i,this._value.query);if(this._states[this._stateIdx]===5)return(0,n.compare)(i,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=t;class d{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const i=this.right;return this.right=i.left,i.left=this,this.updateHeight(),i.updateHeight(),i}rotateRight(){const i=this.left;return this.left=i.right,i.right=this,this.updateHeight(),i.updateHeight(),i}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var g;(function(r){r[r.Left=-1]="Left",r[r.Mid=0]="Mid",r[r.Right=1]="Right"})(g||(g={}));class v{constructor(i){this._iter=i}static forUris(i=()=>!1){return new v(new t(i))}static forPaths(i=!1){return new v(new b(void 0,!i))}static forStrings(){return new v(new I)}static forConfigKeys(){return new v(new k)}clear(){this._root=void 0}fill(i,s){if(s){const a=s.slice(0);(0,w.shuffle)(a);for(let l of a)this.set(l,i)}else{const a=i.slice(0);(0,w.shuffle)(a);for(let l of a)this.set(l[0],l[1])}}set(i,s){const a=this._iter.reset(i);let l;this._root||(this._root=new d,this._root.segment=a.value());const y=[];for(l=this._root;;){const R=a.cmp(l.segment);if(R>0)l.left||(l.left=new d,l.left.segment=a.value()),y.push([-1,l]),l=l.left;else if(R<0)l.right||(l.right=new d,l.right.segment=a.value()),y.push([1,l]),l=l.right;else if(a.hasNext())a.next(),l.mid||(l.mid=new d,l.mid.segment=a.value()),y.push([0,l]),l=l.mid;else break}const C=l.value;l.value=s,l.key=i;for(let R=y.length-1;R>=0;R--){const T=y[R][1];T.updateHeight();const U=T.balanceFactor();if(U<-1||U>1){const Y=y[R][0],ee=y[R+1][0];if(Y===1&&ee===1)y[R][1]=T.rotateLeft();else if(Y===-1&&ee===-1)y[R][1]=T.rotateRight();else if(Y===1&&ee===-1)T.right=y[R+1][1]=y[R+1][1].rotateRight(),y[R][1]=T.rotateLeft();else if(Y===-1&&ee===1)T.left=y[R+1][1]=y[R+1][1].rotateLeft(),y[R][1]=T.rotateRight();else throw new Error;if(R>0)switch(y[R-1][0]){case-1:y[R-1][1].left=y[R][1];break;case 1:y[R-1][1].right=y[R][1];break;case 0:y[R-1][1].mid=y[R][1];break}else this._root=y[0][1]}}return C}get(i){return this._getNode(i)?.value}_getNode(i){const s=this._iter.reset(i);let a=this._root;for(;a;){const l=s.cmp(a.segment);if(l>0)a=a.left;else if(l<0)a=a.right;else if(s.hasNext())s.next(),a=a.mid;else break}return a}has(i){const s=this._getNode(i);return!(s?.value===void 0&&s?.mid===void 0)}delete(i){return this._delete(i,!1)}deleteSuperstr(i){return this._delete(i,!0)}_delete(i,s){const a=this._iter.reset(i),l=[];let y=this._root;for(;y;){const C=a.cmp(y.segment);if(C>0)l.push([-1,y]),y=y.left;else if(C<0)l.push([1,y]),y=y.right;else if(a.hasNext())a.next(),l.push([0,y]),y=y.mid;else break}if(!!y){if(s?(y.left=void 0,y.mid=void 0,y.right=void 0,y.height=1):(y.key=void 0,y.value=void 0),!y.mid&&!y.value)if(y.left&&y.right){const C=this._min(y.right),{key:R,value:T,segment:U}=C;this._delete(C.key,!1),y.key=R,y.value=T,y.segment=U}else{const C=y.left??y.right;if(l.length>0){const[R,T]=l[l.length-1];switch(R){case-1:T.left=C;break;case 0:T.mid=C;break;case 1:T.right=C;break}}else this._root=C}for(let C=l.length-1;C>=0;C--){const R=l[C][1];R.updateHeight();const T=R.balanceFactor();if(T>1?(R.right.balanceFactor()>=0||(R.right=R.right.rotateRight()),l[C][1]=R.rotateLeft()):T<-1&&(R.left.balanceFactor()<=0||(R.left=R.left.rotateLeft()),l[C][1]=R.rotateRight()),C>0)switch(l[C-1][0]){case-1:l[C-1][1].left=l[C][1];break;case 1:l[C-1][1].right=l[C][1];break;case 0:l[C-1][1].mid=l[C][1];break}else this._root=l[0][1]}}}_min(i){for(;i.left;)i=i.left;return i}findSubstr(i){const s=this._iter.reset(i);let a=this._root,l;for(;a;){const y=s.cmp(a.segment);if(y>0)a=a.left;else if(y<0)a=a.right;else if(s.hasNext())s.next(),l=a.value||l,a=a.mid;else break}return a&&a.value||l}findSuperstr(i){const s=this._iter.reset(i);let a=this._root;for(;a;){const l=s.cmp(a.segment);if(l>0)a=a.left;else if(l<0)a=a.right;else if(s.hasNext())s.next(),a=a.mid;else return a.mid?this._entries(a.mid):void 0}}forEach(i){for(const[s,a]of this)i(a,s)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(i){!i||(i.left&&(yield*this._entries(i.left)),i.value&&(yield[i.key,i.value]),i.mid&&(yield*this._entries(i.mid)),i.right&&(yield*this._entries(i.right)))}_isBalanced(){const i=s=>{if(!s)return!0;const a=s.balanceFactor();return a<-1||a>1?!1:i(s.left)&&i(s.right)};return i(this._root)}}e.TernarySearchTree=v;class M{constructor(i,s){this.uri=i,this.value=s}}class f{constructor(i,s){this[L]="ResourceMap",i instanceof f?(this.map=new Map(i.map),this.toKey=s??f.defaultToKey):(this.map=new Map,this.toKey=i??f.defaultToKey)}set(i,s){return this.map.set(this.toKey(i),new M(i,s)),this}get(i){return this.map.get(this.toKey(i))?.value}has(i){return this.map.has(this.toKey(i))}get size(){return this.map.size}clear(){this.map.clear()}delete(i){return this.map.delete(this.toKey(i))}forEach(i,s){typeof s!="undefined"&&(i=i.bind(s));for(let[a,l]of this.map)i(l.value,l.uri,this)}*values(){for(let i of this.map.values())yield i.value}*keys(){for(let i of this.map.values())yield i.uri}*entries(){for(let i of this.map.values())yield[i.uri,i.value]}*[(L=Symbol.toStringTag,Symbol.iterator)](){for(let[,i]of this.map)yield[i.uri,i.value]}}e.ResourceMap=f,f.defaultToKey=r=>r.toString();var h;(function(r){r[r.None=0]="None",r[r.AsOld=1]="AsOld",r[r.AsNew=2]="AsNew"})(h=e.Touch||(e.Touch={}));class c{constructor(){this[D]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(i){return this._map.has(i)}get(i,s=0){const a=this._map.get(i);if(!!a)return s!==0&&this.touch(a,s),a.value}set(i,s,a=0){let l=this._map.get(i);if(l)l.value=s,a!==0&&this.touch(l,a);else{switch(l={key:i,value:s,next:void 0,previous:void 0},a){case 0:this.addItemLast(l);break;case 1:this.addItemFirst(l);break;case 2:this.addItemLast(l);break;default:this.addItemLast(l);break}this._map.set(i,l),this._size++}return this}delete(i){return!!this.remove(i)}remove(i){const s=this._map.get(i);if(!!s)return this._map.delete(i),this.removeItem(s),this._size--,s.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const i=this._head;return this._map.delete(i.key),this.removeItem(i),this._size--,i.value}forEach(i,s){const a=this._state;let l=this._head;for(;l;){if(s?i.bind(s)(l.value,l.key,this):i(l.value,l.key,this),this._state!==a)throw new Error("LinkedMap got modified during iteration.");l=l.next}}keys(){const i=this,s=this._state;let a=this._head;const l={[Symbol.iterator](){return l},next(){if(i._state!==s)throw new Error("LinkedMap got modified during iteration.");if(a){const y={value:a.key,done:!1};return a=a.next,y}else return{value:void 0,done:!0}}};return l}values(){const i=this,s=this._state;let a=this._head;const l={[Symbol.iterator](){return l},next(){if(i._state!==s)throw new Error("LinkedMap got modified during iteration.");if(a){const y={value:a.value,done:!1};return a=a.next,y}else return{value:void 0,done:!0}}};return l}entries(){const i=this,s=this._state;let a=this._head;const l={[Symbol.iterator](){return l},next(){if(i._state!==s)throw new Error("LinkedMap got modified during iteration.");if(a){const y={value:[a.key,a.value],done:!1};return a=a.next,y}else return{value:void 0,done:!0}}};return l}[(D=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(i){if(i>=this.size)return;if(i===0){this.clear();return}let s=this._head,a=this.size;for(;s&&a>i;)this._map.delete(s.key),s=s.next,a--;this._head=s,this._size=a,s&&(s.previous=void 0),this._state++}addItemFirst(i){if(!this._head&&!this._tail)this._tail=i;else if(this._head)i.next=this._head,this._head.previous=i;else throw new Error("Invalid list");this._head=i,this._state++}addItemLast(i){if(!this._head&&!this._tail)this._head=i;else if(this._tail)i.previous=this._tail,this._tail.next=i;else throw new Error("Invalid list");this._tail=i,this._state++}removeItem(i){if(i===this._head&&i===this._tail)this._head=void 0,this._tail=void 0;else if(i===this._head){if(!i.next)throw new Error("Invalid list");i.next.previous=void 0,this._head=i.next}else if(i===this._tail){if(!i.previous)throw new Error("Invalid list");i.previous.next=void 0,this._tail=i.previous}else{const s=i.next,a=i.previous;if(!s||!a)throw new Error("Invalid list");s.previous=a,a.next=s}i.next=void 0,i.previous=void 0,this._state++}touch(i,s){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(s!==1&&s!==2)){if(s===1){if(i===this._head)return;const a=i.next,l=i.previous;i===this._tail?(l.next=void 0,this._tail=l):(a.previous=l,l.next=a),i.previous=void 0,i.next=this._head,this._head.previous=i,this._head=i,this._state++}else if(s===2){if(i===this._tail)return;const a=i.next,l=i.previous;i===this._head?(a.previous=void 0,this._head=a):(a.previous=l,l.next=a),i.next=void 0,i.previous=this._tail,this._tail.next=i,this._tail=i,this._state++}}}toJSON(){const i=[];return this.forEach((s,a)=>{i.push([a,s])}),i}fromJSON(i){this.clear();for(const[s,a]of i)this.set(s,a)}}e.LinkedMap=c;class o extends c{constructor(i,s=1){super();this._limit=i,this._ratio=Math.min(Math.max(0,s),1)}get limit(){return this._limit}set limit(i){this._limit=i,this.checkTrim()}get ratio(){return this._ratio}set ratio(i){this._ratio=Math.min(Math.max(0,i),1),this.checkTrim()}get(i,s=2){return super.get(i,s)}peek(i){return super.get(i,0)}set(i,s){return super.set(i,s,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=o;class u{constructor(i){P.set(this,void 0),Dt(this,P,i,"f")}get size(){return Je(this,P,"f").size}forEach(i,s){Je(this,P,"f").forEach(i,s)}get(i){return Je(this,P,"f").get(i)}has(i){return Je(this,P,"f").has(i)}entries(){return Je(this,P,"f").entries()}keys(){return Je(this,P,"f").keys()}values(){return Je(this,P,"f").values()}[(P=new WeakMap,Symbol.iterator)](){return Je(this,P,"f").entries()}}e.ReadonlyMapView=u}),define(Z[70],x([0,1,35]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=void 0;const n=new w.LRUCache(1e4);function L(E){return m(E,"NFC",n)}e.normalizeNFC=L;const D=new w.LRUCache(1e4);function P(E){return m(E,"NFD",D)}e.normalizeNFD=P;const S=/[^\u0000-\u0080]/;function m(E,I,k){if(!E)return E;const b=k.get(E);if(b)return b;let p;return S.test(E)?p=E.normalize(I):p=E,k.set(E,p),p}e.removeAccents=function(){const E=/[\u0300-\u036f]/g;return function(I){return P(I).replace(E,"")}}()}),define(Z[14],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.assertNever=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function w(a){return Array.isArray(a)}e.isArray=w;function n(a){return typeof a=="string"}e.isString=n;function L(a){return Array.isArray(a)&&a.every(l=>n(l))}e.isStringArray=L;function D(a){return typeof a=="object"&&a!==null&&!Array.isArray(a)&&!(a instanceof RegExp)&&!(a instanceof Date)}e.isObject=D;function P(a){return typeof a=="number"&&!isNaN(a)}e.isNumber=P;function S(a){return!!a&&typeof a[Symbol.iterator]=="function"}e.isIterable=S;function m(a){return a===!0||a===!1}e.isBoolean=m;function E(a){return typeof a=="undefined"}e.isUndefined=E;function I(a){return!k(a)}e.isDefined=I;function k(a){return E(a)||a===null}e.isUndefinedOrNull=k;function b(a,l){if(!a)throw new Error(l?`Unexpected type, expected '${l}'`:"Unexpected type")}e.assertType=b;function p(a){if(k(a))throw new Error("Assertion Failed: argument is undefined or null");return a}e.assertIsDefined=p;function t(...a){const l=[];for(let y=0;y<a.length;y++){const C=a[y];if(k(C))throw new Error(`Assertion Failed: argument at index ${y} is undefined or null`);l.push(C)}return l}e.assertAllDefined=t;const d=Object.prototype.hasOwnProperty;function g(a){if(!D(a))return!1;for(let l in a)if(d.call(a,l))return!1;return!0}e.isEmptyObject=g;function v(a){return typeof a=="function"}e.isFunction=v;function M(...a){return a.length>0&&a.every(v)}e.areFunctions=M;function f(a,l){const y=Math.min(a.length,l.length);for(let C=0;C<y;C++)h(a[C],l[C])}e.validateConstraints=f;function h(a,l){if(n(l)){if(typeof a!==l)throw new Error(`argument does not match constraint: typeof ${l}`)}else if(v(l)){try{if(a instanceof l)return}catch{}if(!k(a)&&a.constructor===l||l.length===1&&l.call(void 0,a)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=h;function c(a){let l=[],y=Object.getPrototypeOf(a);for(;Object.prototype!==y;)l=l.concat(Object.getOwnPropertyNames(y)),y=Object.getPrototypeOf(y);return l}e.getAllPropertyNames=c;function o(a){const l=[];for(const y of c(a))typeof a[y]=="function"&&l.push(y);return l}e.getAllMethodNames=o;function u(a,l){const y=R=>function(){const T=Array.prototype.slice.call(arguments,0);return l(R,T)};let C={};for(const R of a)C[R]=y(R);return C}e.createProxyObject=u;function r(a){return a===null?void 0:a}e.withNullAsUndefined=r;function i(a){return typeof a=="undefined"?null:a}e.withUndefinedAsNull=i;function s(a,l="Unreachable"){throw new Error(l)}e.assertNever=s}),define(Z[28],x([0,1,7,3,27,14]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function P(s){return s===47||s===92}e.isPathSeparator=P;function S(s){return s.replace(/[\\/]/g,w.posix.sep)}e.toSlashes=S;function m(s){return s.indexOf("/")===-1&&(s=S(s)),/^[a-zA-Z]:(\/|$)/.test(s)&&(s="/"+s),s}e.toPosixPath=m;function E(s,a=w.posix.sep){if(!s)return"";const l=s.length,y=s.charCodeAt(0);if(P(y)){if(P(s.charCodeAt(1))&&!P(s.charCodeAt(2))){let R=3;const T=R;for(;R<l&&!P(s.charCodeAt(R));R++);if(T!==R&&!P(s.charCodeAt(R+1))){for(R+=1;R<l;R++)if(P(s.charCodeAt(R)))return s.slice(0,R+1).replace(/[\\/]/g,a)}}return a}else if(v(y)&&s.charCodeAt(1)===58)return P(s.charCodeAt(2))?s.slice(0,2)+a:s.slice(0,2);let C=s.indexOf("://");if(C!==-1){for(C+=3;C<l;C++)if(P(s.charCodeAt(C)))return s.slice(0,C+1)}return""}e.getRoot=E;function I(s){if(!n.isWindows||!s||s.length<5)return!1;let a=s.charCodeAt(0);if(a!==92||(a=s.charCodeAt(1),a!==92))return!1;let l=2;const y=l;for(;l<s.length&&(a=s.charCodeAt(l),a!==92);l++);return!(y===l||(a=s.charCodeAt(l+1),isNaN(a)||a===92))}e.isUNC=I;const k=/[\\/:\*\?"<>\|]/g,b=/[\\/]/g,p=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function t(s,a=n.isWindows){const l=a?k:b;return!(!s||s.length===0||/^\s+$/.test(s)||(l.lastIndex=0,l.test(s))||a&&p.test(s)||s==="."||s===".."||a&&s[s.length-1]==="."||a&&s.length!==s.trim().length||s.length>255)}e.isValidBasename=t;function d(s,a,l){const y=s===a;return!l||y?y:!s||!a?!1:(0,L.equalsIgnoreCase)(s,a)}e.isEqual=d;function g(s,a,l,y=w.sep){if(s===a)return!0;if(!s||!a||a.length>s.length)return!1;if(l){if(!(0,L.startsWithIgnoreCase)(s,a))return!1;if(a.length===s.length)return!0;let R=a.length;return a.charAt(a.length-1)===y&&R--,s.charAt(R)===y}return a.charAt(a.length-1)!==y&&(a+=y),s.indexOf(a)===0}e.isEqualOrParent=g;function v(s){return s>=65&&s<=90||s>=97&&s<=122}e.isWindowsDriveLetter=v;function M(s,a){return n.isWindows&&s.endsWith(":")&&(s+=w.sep),(0,w.isAbsolute)(s)||(s=(0,w.join)(a,s)),s=(0,w.normalize)(s),n.isWindows?(s=(0,L.rtrim)(s,w.sep),s.endsWith(":")&&(s+=w.sep)):(s=(0,L.rtrim)(s,w.sep),s||(s=w.sep)),s}e.sanitizeFilePath=M;function f(s){const a=(0,w.normalize)(s);return n.isWindows?s.length>3?!1:h(a)&&(s.length===2||a.charCodeAt(2)===92):a===w.posix.sep}e.isRootOrDriveLetter=f;function h(s,a){return(a!==void 0?a:n.isWindows)?v(s.charCodeAt(0))&&s.charCodeAt(1)===58:!1}e.hasDriveLetter=h;function c(s){return h(s)?s[0]:void 0}e.getDriveLetter=c;function o(s,a,l){return a.length>s.length?-1:s===a?0:(l&&(s=s.toLowerCase(),a=a.toLowerCase()),s.indexOf(a))}e.indexOfPath=o;function u(s){const a=s.split(":");let l,y,C;for(const R of a){const T=Number(R);(0,D.isNumber)(T)?y===void 0?y=T:C===void 0&&(C=T):l=l?[l,R].join(":"):R}if(!l)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:l,line:y!==void 0?y:void 0,column:C!==void 0?C:y!==void 0?1:void 0}}e.parseLineAndColumnAware=u;const r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function i(s,a,l=8){let y="";for(let R=0;R<l;R++)y+=r.charAt(Math.floor(Math.random()*r.length));let C;return a?C=`${a}-${y}`:C=y,s?(0,w.join)(s,C):C}e.randomPath=i}),define(Z[49],x([0,1,14]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function n(d){if(!d||typeof d!="object"||d instanceof RegExp)return d;const g=Array.isArray(d)?[]:{};return Object.keys(d).forEach(v=>{d[v]&&typeof d[v]=="object"?g[v]=n(d[v]):g[v]=d[v]}),g}e.deepClone=n;function L(d){if(!d||typeof d!="object")return d;const g=[d];for(;g.length>0;){const v=g.shift();Object.freeze(v);for(const M in v)if(D.call(v,M)){const f=v[M];typeof f=="object"&&!Object.isFrozen(f)&&g.push(f)}}return d}e.deepFreeze=L;const D=Object.prototype.hasOwnProperty;function P(d,g){return S(d,g,new Set)}e.cloneAndChange=P;function S(d,g,v){if((0,w.isUndefinedOrNull)(d))return d;const M=g(d);if(typeof M!="undefined")return M;if((0,w.isArray)(d)){const f=[];for(const h of d)f.push(S(h,g,v));return f}if((0,w.isObject)(d)){if(v.has(d))throw new Error("Cannot clone recursive data-structure");v.add(d);const f={};for(let h in d)D.call(d,h)&&(f[h]=S(d[h],g,v));return v.delete(d),f}return d}function m(d,g,v=!0){return(0,w.isObject)(d)?((0,w.isObject)(g)&&Object.keys(g).forEach(M=>{M in d?v&&((0,w.isObject)(d[M])&&(0,w.isObject)(g[M])?m(d[M],g[M],v):d[M]=g[M]):d[M]=g[M]}),d):g}e.mixin=m;function E(d,g){if(d===g)return!0;if(d==null||g===null||g===void 0||typeof d!=typeof g||typeof d!="object"||Array.isArray(d)!==Array.isArray(g))return!1;let v,M;if(Array.isArray(d)){if(d.length!==g.length)return!1;for(v=0;v<d.length;v++)if(!E(d[v],g[v]))return!1}else{const f=[];for(M in d)f.push(M);f.sort();const h=[];for(M in g)h.push(M);if(h.sort(),!E(f,h))return!1;for(v=0;v<f.length;v++)if(!E(d[f[v]],g[f[v]]))return!1}return!0}e.equals=E;function I(d){const g=new Set;return JSON.stringify(d,(v,M)=>{if((0,w.isObject)(M)||Array.isArray(M)){if(g.has(M))return"[Circular]";g.add(M)}return M})}e.safeStringify=I;function k(d,g,v){const M=g(d);return typeof M=="undefined"?v:M}e.getOrDefault=k;function b(d,g){const v=Object.create(null);return!d||!g||Object.keys(g).forEach(f=>{const h=d[f],c=g[f];E(h,c)||(v[f]=c)}),v}e.distinct=b;function p(d,g){const v=g.toLowerCase(),M=Object.keys(d).find(f=>f.toLowerCase()===v);return M?d[M]:d[g]}e.getCaseInsensitive=p;function t(d,g){const v=Object.create(null);for(const[M,f]of Object.entries(d))g(M,f)&&(v[M]=f);return v}e.filter=t}),define(Z[8],x([0,1,7,3]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const L=/^\w[\w\d+.-]*$/,D=/^\//,P=/^\/\//;function S(r,i){if(!r.scheme&&i)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${r.authority}", path: "${r.path}", query: "${r.query}", fragment: "${r.fragment}"}`);if(r.scheme&&!L.test(r.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(r.path){if(r.authority){if(!D.test(r.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(P.test(r.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function m(r,i){return!r&&!i?"file":r}function E(r,i){switch(r){case"https":case"http":case"file":i?i[0]!==k&&(i=k+i):i=k;break}return i}const I="",k="/",b=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class p{constructor(i,s,a,l,y,C=!1){typeof i=="object"?(this.scheme=i.scheme||I,this.authority=i.authority||I,this.path=i.path||I,this.query=i.query||I,this.fragment=i.fragment||I):(this.scheme=m(i,C),this.authority=s||I,this.path=E(this.scheme,a||I),this.query=l||I,this.fragment=y||I,S(this,C))}static isUri(i){return i instanceof p?!0:i?typeof i.authority=="string"&&typeof i.fragment=="string"&&typeof i.path=="string"&&typeof i.query=="string"&&typeof i.scheme=="string"&&typeof i.fsPath=="string"&&typeof i.with=="function"&&typeof i.toString=="function":!1}get fsPath(){return f(this,!1)}with(i){if(!i)return this;let{scheme:s,authority:a,path:l,query:y,fragment:C}=i;return s===void 0?s=this.scheme:s===null&&(s=I),a===void 0?a=this.authority:a===null&&(a=I),l===void 0?l=this.path:l===null&&(l=I),y===void 0?y=this.query:y===null&&(y=I),C===void 0?C=this.fragment:C===null&&(C=I),s===this.scheme&&a===this.authority&&l===this.path&&y===this.query&&C===this.fragment?this:new d(s,a,l,y,C)}static parse(i,s=!1){const a=b.exec(i);return a?new d(a[2]||I,u(a[4]||I),u(a[5]||I),u(a[7]||I),u(a[9]||I),s):new d(I,I,I,I,I)}static file(i){let s=I;if(n.isWindows&&(i=i.replace(/\\/g,k)),i[0]===k&&i[1]===k){const a=i.indexOf(k,2);a===-1?(s=i.substring(2),i=k):(s=i.substring(2,a),i=i.substring(a)||k)}return new d("file",s,i,I,I)}static from(i){const s=new d(i.scheme,i.authority,i.path,i.query,i.fragment);return S(s,!0),s}static joinPath(i,...s){if(!i.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let a;return n.isWindows&&i.scheme==="file"?a=p.file(w.win32.join(f(i,!0),...s)).path:a=w.posix.join(i.path,...s),i.with({path:a})}toString(i=!1){return h(this,i)}toJSON(){return this}static revive(i){if(i){if(i instanceof p)return i;{const s=new d(i);return s._formatted=i.external,s._fsPath=i._sep===t?i.fsPath:null,s}}else return i}}e.URI=p;const t=n.isWindows?1:void 0;class d extends p{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=f(this,!1)),this._fsPath}toString(i=!1){return i?h(this,!0):(this._formatted||(this._formatted=h(this,!1)),this._formatted)}toJSON(){const i={$mid:1};return this._fsPath&&(i.fsPath=this._fsPath,i._sep=t),this._formatted&&(i.external=this._formatted),this.path&&(i.path=this.path),this.scheme&&(i.scheme=this.scheme),this.authority&&(i.authority=this.authority),this.query&&(i.query=this.query),this.fragment&&(i.fragment=this.fragment),i}}const g={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function v(r,i){let s,a=-1;for(let l=0;l<r.length;l++){const y=r.charCodeAt(l);if(y>=97&&y<=122||y>=65&&y<=90||y>=48&&y<=57||y===45||y===46||y===95||y===126||i&&y===47)a!==-1&&(s+=encodeURIComponent(r.substring(a,l)),a=-1),s!==void 0&&(s+=r.charAt(l));else{s===void 0&&(s=r.substr(0,l));const C=g[y];C!==void 0?(a!==-1&&(s+=encodeURIComponent(r.substring(a,l)),a=-1),s+=C):a===-1&&(a=l)}}return a!==-1&&(s+=encodeURIComponent(r.substring(a))),s!==void 0?s:r}function M(r){let i;for(let s=0;s<r.length;s++){const a=r.charCodeAt(s);a===35||a===63?(i===void 0&&(i=r.substr(0,s)),i+=g[a]):i!==void 0&&(i+=r[s])}return i!==void 0?i:r}function f(r,i){let s;return r.authority&&r.path.length>1&&r.scheme==="file"?s=`//${r.authority}${r.path}`:r.path.charCodeAt(0)===47&&(r.path.charCodeAt(1)>=65&&r.path.charCodeAt(1)<=90||r.path.charCodeAt(1)>=97&&r.path.charCodeAt(1)<=122)&&r.path.charCodeAt(2)===58?i?s=r.path.substr(1):s=r.path[1].toLowerCase()+r.path.substr(2):s=r.path,n.isWindows&&(s=s.replace(/\//g,"\\")),s}e.uriToFsPath=f;function h(r,i){const s=i?M:v;let a="",{scheme:l,authority:y,path:C,query:R,fragment:T}=r;if(l&&(a+=l,a+=":"),(y||l==="file")&&(a+=k,a+=k),y){let U=y.indexOf("@");if(U!==-1){const Y=y.substr(0,U);y=y.substr(U+1),U=Y.indexOf(":"),U===-1?a+=s(Y,!1):(a+=s(Y.substr(0,U),!1),a+=":",a+=s(Y.substr(U+1),!1)),a+="@"}y=y.toLowerCase(),U=y.indexOf(":"),U===-1?a+=s(y,!1):(a+=s(y.substr(0,U),!1),a+=y.substr(U))}if(C){if(C.length>=3&&C.charCodeAt(0)===47&&C.charCodeAt(2)===58){const U=C.charCodeAt(1);U>=65&&U<=90&&(C=`/${String.fromCharCode(U+32)}:${C.substr(3)}`)}else if(C.length>=2&&C.charCodeAt(1)===58){const U=C.charCodeAt(0);U>=65&&U<=90&&(C=`${String.fromCharCode(U+32)}:${C.substr(2)}`)}a+=s(C,!0)}return R&&(a+="?",a+=s(R,!1)),T&&(a+="#",a+=i?T:v(T,!1)),a}function c(r){try{return decodeURIComponent(r)}catch{return r.length>3?r.substr(0,3)+c(r.substr(3)):r}}const o=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function u(r){return r.match(o)?r.replace(o,i=>c(i)):r}}),define(Z[114],x([0,1,8]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function n(E){const I=E;return I&&typeof I.type=="string"&&typeof I.severity=="string"}e.isRemoteConsoleLog=n;function L(E){const I=[];let k;try{const b=JSON.parse(E.arguments),p=b[b.length-1];p&&p.__$stack&&(b.pop(),k=p.__$stack),I.push(...b)}catch{I.push("Unable to log remote console arguments",E.arguments)}return{args:I,stack:k}}e.parse=L;function D(E){if(typeof E!="string")return D(L(E).stack);const I=E;if(I){const k=P(I),b=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(k||"");if(b&&b.length===4)return{uri:w.URI.file(b[1]),line:Number(b[2]),column:Number(b[3])}}}e.getFirstFrame=D;function P(E){if(!E)return E;const I=E.indexOf(`
`);return I===-1?E:E.substring(0,I)}function S(E,I){const{args:k,stack:b}=L(E),p=typeof k[0]=="string"&&k.length===1;let t=P(b);t&&(t=`(${t.trim()})`);let d=[];if(typeof k[0]=="string"?t&&p?d=[`%c[${I}] %c${k[0]} %c${t}`,m("blue"),m(""),m("grey")]:d=[`%c[${I}] %c${k[0]}`,m("blue"),m(""),...k.slice(1)]:d=[`%c[${I}]%`,m("blue"),...k],t&&!p&&d.push(t),typeof console[E.severity]!="function")throw new Error("Unknown console method");console[E.severity].apply(console,d)}e.log=S;function m(E){return`color: ${E}`}}),define(Z[115],x([0,1,16,27,8]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.MarshalledId=e.parse=e.stringify=void 0;function D(I){return JSON.stringify(I,m)}e.stringify=D;function P(I){let k=JSON.parse(I);return k=E(k),k}e.parse=P;var S;(function(I){I[I.Uri=1]="Uri",I[I.Regexp=2]="Regexp",I[I.ScmResource=3]="ScmResource",I[I.ScmResourceGroup=4]="ScmResourceGroup",I[I.ScmProvider=5]="ScmProvider",I[I.CommentController=6]="CommentController",I[I.CommentThread=7]="CommentThread",I[I.CommentThreadReply=8]="CommentThreadReply",I[I.CommentNode=9]="CommentNode",I[I.CommentThreadNode=10]="CommentThreadNode",I[I.TimelineActionContext=11]="TimelineActionContext",I[I.NotebookCellActionContext=12]="NotebookCellActionContext",I[I.TestItemContext=13]="TestItemContext",I[I.Date=14]="Date"})(S=e.MarshalledId||(e.MarshalledId={}));function m(I,k){return k instanceof RegExp?{$mid:2,source:k.source,flags:(0,n.regExpFlags)(k)}:k}function E(I,k=0){if(!I||k>200)return I;if(typeof I=="object"){switch(I.$mid){case 1:return L.URI.revive(I);case 2:return new RegExp(I.source,I.flags);case 14:return new Date(I.source)}if(I instanceof w.VSBuffer||I instanceof Uint8Array)return I;if(Array.isArray(I))for(let b=0;b<I.length;++b)I[b]=E(I[b],k+1);else for(const b in I)Object.hasOwnProperty.call(I,b)&&(I[b]=E(I[b],k+1))}return I}e.revive=E}),define(Z[10],x([0,1,3,8]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.connectionTokenQueryName=e.connectionTokenCookieName=e.Schemas=void 0;var L;(function(S){S.inMemory="inmemory",S.vscode="vscode",S.internal="private",S.walkThrough="walkThrough",S.walkThroughSnippet="walkThroughSnippet",S.http="http",S.https="https",S.file="file",S.mailto="mailto",S.untitled="untitled",S.data="data",S.command="command",S.vscodeRemote="vscode-remote",S.vscodeRemoteResource="vscode-remote-resource",S.userData="vscode-userdata",S.vscodeCustomEditor="vscode-custom-editor",S.vscodeNotebook="vscode-notebook",S.vscodeNotebookCell="vscode-notebook-cell",S.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",S.vscodeNotebookCellOutput="vscode-notebook-cell-output",S.vscodeInteractive="vscode-interactive",S.vscodeInteractiveInput="vscode-interactive-input",S.vscodeSettings="vscode-settings",S.vscodeWorkspaceTrust="vscode-workspace-trust",S.vscodeTerminal="vscode-terminal",S.webviewPanel="webview-panel",S.vscodeWebview="vscode-webview",S.extension="extension",S.vscodeFileResource="vscode-file",S.tmp="tmp",S.vsls="vsls"})(L=e.Schemas||(e.Schemas={})),e.connectionTokenCookieName="vscode-tkn",e.connectionTokenQueryName="tkn";class D{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(m){this._preferredWebSchema=m}setDelegate(m){this._delegate=m}set(m,E,I){this._hosts[m]=E,this._ports[m]=I}setConnectionToken(m,E){this._connectionTokens[m]=E}getPreferredWebSchema(){return this._preferredWebSchema}rewrite(m){if(this._delegate)return this._delegate(m);const E=m.authority;let I=this._hosts[E];I&&I.indexOf(":")!==-1&&(I=`[${I}]`);const k=this._ports[E],b=this._connectionTokens[E];let p=`path=${encodeURIComponent(m.path)}`;return typeof b=="string"&&(p+=`&${e.connectionTokenQueryName}=${encodeURIComponent(b)}`),n.URI.from({scheme:w.isWeb?this._preferredWebSchema:L.vscodeRemoteResource,authority:`${I}:${k}`,path:"/vscode-remote-resource",query:p})}}e.RemoteAuthorities=new D;class P{asBrowserUri(m,E){const I=this.toUri(m,E);return I.scheme===L.vscodeRemote?e.RemoteAuthorities.rewrite(I):I.scheme===L.file&&(w.isNative||typeof w.globals.importScripts=="function"&&w.globals.origin===`${L.vscodeFileResource}://${P.FALLBACK_AUTHORITY}`)?I.with({scheme:L.vscodeFileResource,authority:I.authority||P.FALLBACK_AUTHORITY,query:null,fragment:null}):I}asFileUri(m,E){const I=this.toUri(m,E);return I.scheme===L.vscodeFileResource?I.with({scheme:L.file,authority:I.authority!==P.FALLBACK_AUTHORITY?I.authority:null,query:null,fragment:null}):I}toUri(m,E){return n.URI.isUri(m)?m:n.URI.parse(E.toUrl(m))}}P.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new P}),define(Z[17],x([0,1,28,10,7,3,27,8]),function(V,e,w,n,L,D,P,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function m(p){return(0,S.uriToFsPath)(p,!0)}e.originalFSPath=m;class E{constructor(t){this._ignorePathCasing=t}compare(t,d,g=!1){return t===d?0:(0,P.compare)(this.getComparisonKey(t,g),this.getComparisonKey(d,g))}isEqual(t,d,g=!1){return t===d?!0:!t||!d?!1:this.getComparisonKey(t,g)===this.getComparisonKey(d,g)}getComparisonKey(t,d=!1){return t.with({path:this._ignorePathCasing(t)?t.path.toLowerCase():void 0,fragment:d?null:void 0}).toString()}ignorePathCasing(t){return this._ignorePathCasing(t)}isEqualOrParent(t,d,g=!1){if(t.scheme===d.scheme){if(t.scheme===n.Schemas.file)return w.isEqualOrParent(m(t),m(d),this._ignorePathCasing(t))&&t.query===d.query&&(g||t.fragment===d.fragment);if((0,e.isEqualAuthority)(t.authority,d.authority))return w.isEqualOrParent(t.path,d.path,this._ignorePathCasing(t),"/")&&t.query===d.query&&(g||t.fragment===d.fragment)}return!1}joinPath(t,...d){return S.URI.joinPath(t,...d)}basenameOrAuthority(t){return(0,e.basename)(t)||t.authority}basename(t){return L.posix.basename(t.path)}extname(t){return L.posix.extname(t.path)}dirname(t){if(t.path.length===0)return t;let d;return t.scheme===n.Schemas.file?d=S.URI.file(L.dirname(m(t))).path:(d=L.posix.dirname(t.path),t.authority&&d.length&&d.charCodeAt(0)!==47&&(console.error(`dirname("${t.toString})) resulted in a relative path`),d="/")),t.with({path:d})}normalizePath(t){if(!t.path.length)return t;let d;return t.scheme===n.Schemas.file?d=S.URI.file(L.normalize(m(t))).path:d=L.posix.normalize(t.path),t.with({path:d})}relativePath(t,d){if(t.scheme!==d.scheme||!(0,e.isEqualAuthority)(t.authority,d.authority))return;if(t.scheme===n.Schemas.file){const M=L.relative(m(t),m(d));return D.isWindows?w.toSlashes(M):M}let g=t.path||"/",v=d.path||"/";if(this._ignorePathCasing(t)){let M=0;for(const f=Math.min(g.length,v.length);M<f&&!(g.charCodeAt(M)!==v.charCodeAt(M)&&g.charAt(M).toLowerCase()!==v.charAt(M).toLowerCase());M++);g=v.substr(0,M)+g.substr(M)}return L.posix.relative(g,v)}resolvePath(t,d){if(t.scheme===n.Schemas.file){const g=S.URI.file(L.resolve(m(t),d));return t.with({authority:g.authority,path:g.path})}return d=w.toPosixPath(d),t.with({path:L.posix.resolve(t.path,d)})}isAbsolutePath(t){return!!t.path&&t.path[0]==="/"}isEqualAuthority(t,d){return t===d||t!==void 0&&d!==void 0&&(0,P.equalsIgnoreCase)(t,d)}hasTrailingPathSeparator(t,d=L.sep){if(t.scheme===n.Schemas.file){const g=m(t);return g.length>w.getRoot(g).length&&g[g.length-1]===d}else{const g=t.path;return g.length>1&&g.charCodeAt(g.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(t.fsPath)}}removeTrailingPathSeparator(t,d=L.sep){return(0,e.hasTrailingPathSeparator)(t,d)?t.with({path:t.path.substr(0,t.path.length-1)}):t}addTrailingPathSeparator(t,d=L.sep){let g=!1;if(t.scheme===n.Schemas.file){const v=m(t);g=v!==void 0&&v.length===w.getRoot(v).length&&v[v.length-1]===d}else{d="/";const v=t.path;g=v.length===1&&v.charCodeAt(v.length-1)===47}return!g&&!(0,e.hasTrailingPathSeparator)(t,d)?t.with({path:t.path+"/"}):t}}e.ExtUri=E,e.extUri=new E(()=>!1),e.extUriBiasedIgnorePathCase=new E(p=>p.scheme===n.Schemas.file?!D.isLinux:!0),e.extUriIgnorePathCase=new E(p=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function I(p,t){const d=[];for(let g=0;g<p.length;g++){const v=t(p[g]);p.some((M,f)=>f===g?!1:(0,e.isEqualOrParent)(v,t(M)))||d.push(p[g])}return d}e.distinctParents=I;var k;(function(p){p.META_DATA_LABEL="label",p.META_DATA_DESCRIPTION="description",p.META_DATA_SIZE="size",p.META_DATA_MIME="mime";function t(d){const g=new Map;d.path.substring(d.path.indexOf(";")+1,d.path.lastIndexOf(";")).split(";").forEach(f=>{const[h,c]=f.split(":");h&&c&&g.set(h,c)});const M=d.path.substring(0,d.path.indexOf(";"));return M&&g.set(p.META_DATA_MIME,M),g}p.parseMetaData=t})(k=e.DataUri||(e.DataUri={}));function b(p,t,d){if(t){let g=p.path;return g&&g[0]!==L.posix.sep&&(g=L.posix.sep+g),p.with({scheme:d,authority:t,path:g})}return p.with({scheme:d})}e.toLocalResource=b}),define(Z[9],x([0,1,23,15,4,2,17,3]),function(V,e,w,n,L,D,P,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellationError=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function m(W){return!!W&&typeof W.then=="function"}e.isThenable=m;function E(W){const A=new w.CancellationTokenSource,O=W(A.token),_=new Promise((G,ie)=>{const ae=A.token.onCancellationRequested(()=>{ae.dispose(),A.dispose(),ie(new n.CancellationError)});Promise.resolve(O).then(ce=>{ae.dispose(),A.dispose(),G(ce)},ce=>{ae.dispose(),A.dispose(),ie(ce)})});return new class{cancel(){A.cancel()}then(G,ie){return _.then(G,ie)}catch(G){return this.then(void 0,G)}finally(G){return _.finally(G)}}}e.createCancelablePromise=E;function I(W,A,O){return new Promise((_,G)=>{const ie=A.onCancellationRequested(()=>{ie.dispose(),_(O)});W.then(_,G).finally(()=>ie.dispose())})}e.raceCancellation=I;function k(W,A){return new Promise((O,_)=>{const G=A.onCancellationRequested(()=>{G.dispose(),_(new n.CancellationError)});W.then(O,_).finally(()=>G.dispose())})}e.raceCancellationError=k;async function b(W){let A=-1;const O=W.map((G,ie)=>G.then(ae=>(A=ie,ae))),_=await Promise.race(O);return W.forEach((G,ie)=>{ie!==A&&G.cancel()}),_}e.raceCancellablePromises=b;function p(W,A,O){let _;const G=setTimeout(()=>{_?.(void 0),O?.()},A);return Promise.race([W.finally(()=>clearTimeout(G)),new Promise(ie=>_=ie)])}e.raceTimeout=p;function t(W){return new Promise((A,O)=>{const _=W();m(_)?_.then(A,O):A(_)})}e.asPromise=t;class d{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(A){if(this.activePromise){if(this.queuedPromiseFactory=A,!this.queuedPromise){const O=()=>{this.queuedPromise=null;const _=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,_};this.queuedPromise=new Promise(_=>{this.activePromise.then(O,O).then(_)})}return new Promise((O,_)=>{this.queuedPromise.then(O,_)})}return this.activePromise=A(),new Promise((O,_)=>{this.activePromise.then(G=>{this.activePromise=null,O(G)},G=>{this.activePromise=null,_(G)})})}}e.Throttler=d;class g{constructor(){this.current=Promise.resolve(null)}queue(A){return this.current=this.current.then(()=>A(),()=>A())}}e.Sequencer=g;class v{constructor(){this.promiseMap=new Map}queue(A,O){const G=(this.promiseMap.get(A)??Promise.resolve()).catch(()=>{}).then(O).finally(()=>{this.promiseMap.get(A)===G&&this.promiseMap.delete(A)});return this.promiseMap.set(A,G),G}}e.SequencerByKey=v;const M=(W,A)=>{let O=!0;const _=setTimeout(()=>{O=!1,A()},W);return{isTriggered:()=>O,dispose:()=>{clearTimeout(_),O=!1}}},f=W=>{let A=!0;return queueMicrotask(()=>{A&&(A=!1,W())}),{isTriggered:()=>A,dispose:()=>{A=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class h{constructor(A){this.defaultDelay=A,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(A,O=this.defaultDelay){this.task=A,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((G,ie)=>{this.doResolve=G,this.doReject=ie}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const G=this.task;return this.task=null,G()}}));const _=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=O===e.MicrotaskDelay?f(_):M(O,_),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject(new n.CancellationError),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=h;class c{constructor(A){this.delayer=new h(A),this.throttler=new d}trigger(A,O){return this.delayer.trigger(()=>this.throttler.queue(A),O)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=c;class o{constructor(){this._isOpen=!1,this._promise=new Promise((A,O)=>{this._completePromise=A})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=o;class u extends o{constructor(A){super();this._timeout=setTimeout(()=>this.open(),A)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=u;function r(W,A){return A?new Promise((O,_)=>{const G=setTimeout(()=>{ie.dispose(),O()},W),ie=A.onCancellationRequested(()=>{clearTimeout(G),ie.dispose(),_(new n.CancellationError)})}):E(O=>r(W,O))}e.timeout=r;function i(W,A=0){const O=setTimeout(W,A);return(0,D.toDisposable)(()=>clearTimeout(O))}e.disposableTimeout=i;function s(W){const A=[];let O=0;const _=W.length;function G(){return O<_?W[O++]():null}function ie(ae){ae!=null&&A.push(ae);const ce=G();return ce?ce.then(ie):Promise.resolve(A)}return Promise.resolve(null).then(ie)}e.sequence=s;function a(W,A=_=>!!_,O=null){let _=0;const G=W.length,ie=()=>{if(_>=G)return Promise.resolve(O);const ae=W[_++];return Promise.resolve(ae()).then(ne=>A(ne)?Promise.resolve(ne):ie())};return ie()}e.first=a;function l(W,A=_=>!!_,O=null){if(W.length===0)return Promise.resolve(O);let _=W.length;const G=()=>{_=-1;for(const ie of W)ie.cancel?.()};return new Promise((ie,ae)=>{for(const ce of W)ce.then(ne=>{--_>=0&&A(ne)?(G(),ie(ne)):_===0&&ie(O)}).catch(ne=>{--_>=0&&(G(),ae(ne))})})}e.firstParallel=l;class y{constructor(A){this._size=0,this.maxDegreeOfParalellism=A,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new L.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(A){return this._size++,new Promise((O,_)=>{this.outstandingPromises.push({factory:A,c:O,e:_}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const A=this.outstandingPromises.shift();this.runningPromises++;const O=A.factory();O.then(A.c,A.e),O.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=y;class C extends y{constructor(){super(1)}}e.Queue=C;class R{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const A=new q;return this.drainers.add(A),A.p}isDrained(){for(const[,A]of this.queues)if(A.size>0)return!1;return!0}queueFor(A,O=P.extUri){const _=O.getComparisonKey(A);let G=this.queues.get(_);return G||(G=new C,L.Event.once(G.onFinished)(()=>{G?.dispose(),this.queues.delete(_),this.onDidQueueFinish()}),this.queues.set(_,G)),G}onDidQueueFinish(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const A of this.drainers)A.complete();this.drainers.clear()}dispose(){for(const[,A]of this.queues)A.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=R;class T{constructor(A,O){this._token=-1,typeof A=="function"&&typeof O=="number"&&this.setIfNotSet(A,O)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(A,O){this.cancel(),this._token=setTimeout(()=>{this._token=-1,A()},O)}setIfNotSet(A,O){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,A()},O))}}e.TimeoutTimer=T;class U{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(A,O){this.cancel(),this._token=setInterval(()=>{A()},O)}}e.IntervalTimer=U;class Y{constructor(A,O){this.timeoutToken=-1,this.runner=A,this.timeout=O,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(A=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,A)}get delay(){return this.timeout}set delay(A){this.timeout=A}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=Y;class ee{constructor(A,O){O%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${O}ms is not a multiple of 1000ms.`),this.runner=A,this.timeout=O,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(A=this.timeout){A%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${A}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(A/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner&&this.runner())}}e.ProcessTimeRunOnceScheduler=ee;class X extends Y{constructor(A,O){super(A,O);this.units=[]}work(A){this.units.push(A),this.isScheduled()||this.schedule()}doRun(){const A=this.units;this.units=[],this.runner&&this.runner(A)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=X;class J extends D.Disposable{constructor(A,O){super();this.options=A,this.handler=O,this.pendingWork=[],this.throttler=this._register(new D.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(A){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+A.length>this.options.maxBufferedWork)return!1}else if(this.pending+A.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...A),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new Y(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=J,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=W=>{(0,S.setTimeout0)(()=>{if(A)return;const O=Date.now()+15;W(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,O-Date.now())}}))});let A=!1;return{dispose(){A||(A=!0)}}}:e.runWhenIdle=(W,A)=>{const O=requestIdleCallback(W,typeof A=="number"?{timeout:A}:void 0);let _=!1;return{dispose(){_||(_=!0,cancelIdleCallback(O))}}}}();class H{constructor(A){this._didRun=!1,this._executor=()=>{try{this._value=A()}catch(O){this._error=O}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=H;async function B(W,A,O){let _;for(let G=0;G<O;G++)try{return await W()}catch(ie){_=ie,await r(A)}throw _}e.retry=B;class Q{hasPending(A){return this._pending?typeof A=="number"?this._pending.taskId===A:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(A,O,_){return this._pending={taskId:A,cancel:()=>_?.(),promise:O},O.then(()=>this.donePending(A),()=>this.donePending(A)),O}donePending(A){this._pending&&A===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const A=this._next;this._next=void 0,A.run().then(A.promiseResolve,A.promiseReject)}}setNext(A){if(this._next)this._next.run=A;else{let O,_;const G=new Promise((ie,ae)=>{O=ie,_=ae});this._next={run:A,promise:G,promiseResolve:O,promiseReject:_}}return this._next.promise}}e.TaskSequentializer=Q;class se{constructor(A,O=()=>Date.now()){this.interval=A,this.nowFn=O,this.lastIncrementTime=0,this.value=0}increment(){const A=this.nowFn();return A-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=A,this.value=0),this.value++,this.value}}e.IntervalCounter=se;class q{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((A,O)=>{this.completeCallback=A,this.errorCallback=O})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(A){return new Promise(O=>{this.completeCallback(A),this.resolved=!0,O()})}error(A){return new Promise(O=>{this.errorCallback(A),this.rejected=!0,O()})}cancel(){new Promise(A=>{this.errorCallback(new n.CancellationError),this.rejected=!0,A()})}}e.DeferredPromise=q;var z;(function(W){async function A(_){let G;const ie=await Promise.all(_.map(ae=>ae.then(ce=>ce,ce=>{G||(G=ce)})));if(typeof G!="undefined")throw G;return ie}W.settled=A;function O(_){return new Promise(async(G,ie)=>{try{await _(G,ie)}catch(ae){ie(ae)}})}W.withAsyncBody=O})(z=e.Promises||(e.Promises={}));var j;(function(W){W[W.Initial=0]="Initial",W[W.DoneOK=1]="DoneOK",W[W.DoneError=2]="DoneError"})(j||(j={}));class ${constructor(A){this._state=0,this._results=[],this._error=null,this._onStateChanged=new L.Emitter,queueMicrotask(async()=>{const O={emitOne:_=>this.emitOne(_),emitMany:_=>this.emitMany(_),reject:_=>this.reject(_)};try{await Promise.resolve(A(O)),this.resolve()}catch(_){this.reject(_)}finally{O.emitOne=void 0,O.emitMany=void 0,O.reject=void 0}})}static fromArray(A){return new $(O=>{O.emitMany(A)})}static fromPromise(A){return new $(async O=>{O.emitMany(await A)})}static fromPromises(A){return new $(async O=>{await Promise.all(A.map(async _=>O.emitOne(await _)))})}static merge(A){return new $(async O=>{await Promise.all(A.map(async _=>{for await(const G of _)O.emitOne(G)}))})}[Symbol.asyncIterator](){let A=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(A<this._results.length)return{done:!1,value:this._results[A++]};if(this._state===1)return{done:!0,value:void 0};await L.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(A,O){return new $(async _=>{for await(const G of A)_.emitOne(O(G))})}map(A){return $.map(this,A)}static filter(A,O){return new $(async _=>{for await(const G of A)O(G)&&_.emitOne(G)})}filter(A){return $.filter(this,A)}static coalesce(A){return $.filter(A,O=>!!O)}coalesce(){return $.coalesce(this)}static async toPromise(A){const O=[];for await(const _ of A)O.push(_);return O}toPromise(){return $.toPromise(this)}emitOne(A){this._state===0&&(this._results.push(A),this._onStateChanged.fire())}emitMany(A){this._state===0&&(this._results=this._results.concat(A),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(A){this._state===0&&(this._state=2,this._error=A,this._onStateChanged.fire())}}e.AsyncIterableObject=$,$.EMPTY=$.fromArray([]);class F extends ${constructor(A,O){super(O);this._source=A}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=F;function N(W){const A=new w.CancellationTokenSource,O=W(A.token);return new F(A,async _=>{const G=A.token.onCancellationRequested(()=>{G.dispose(),A.dispose(),_.reject(new n.CancellationError)});try{for await(const ie of O){if(A.token.isCancellationRequested)return;_.emitOne(ie)}G.dispose(),A.dispose()}catch(ie){G.dispose(),A.dispose(),_.reject(ie)}})}e.createCancelableAsyncIterable=N}),define(Z[116],x([0,1,9,28,35,7,3,27]),function(V,e,w,n,L,D,P,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function m(){return Object.create(null)}e.getEmptyExpression=m,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const E="[/\\\\]",I="[^/\\\\]",k=/\//g;function b(q){switch(q){case 0:return"";case 1:return`${I}*?`;default:return`(?:${E}|${I}+${E}|${E}${I}+)*?`}}function p(q,z){if(!q)return[];const j=[];let $=!1,F=!1,N="";for(const W of q){switch(W){case z:if(!$&&!F){j.push(N),N="";continue}break;case"{":$=!0;break;case"}":$=!1;break;case"[":F=!0;break;case"]":F=!1;break}N+=W}return N&&j.push(N),j}e.splitGlobAware=p;function t(q){if(!q)return"";let z="";const j=p(q,e.GLOB_SPLIT);if(j.every($=>$===e.GLOBSTAR))z=".*";else{let $=!1;j.forEach((F,N)=>{if(F===e.GLOBSTAR){$||(z+=b(2),$=!0);return}let W=!1,A="",O=!1,_="";for(const G of F){if(G!=="}"&&W){A+=G;continue}if(O&&(G!=="]"||!_)){let ie;G==="-"?ie=G:(G==="^"||G==="!")&&!_?ie="^":G===e.GLOB_SPLIT?ie="":ie=(0,S.escapeRegExpCharacters)(G),_+=ie;continue}switch(G){case"{":W=!0;continue;case"[":O=!0;continue;case"}":{z+=`(?:${p(A,",").map(ce=>t(ce)).join("|")})`,W=!1,A="";break}case"]":z+="["+_+"]",O=!1,_="";break;case"?":z+=I;continue;case"*":z+=b(1);continue;default:z+=(0,S.escapeRegExpCharacters)(G)}}N<j.length-1&&(j[N+1]!==e.GLOBSTAR||N+2<j.length)&&(z+=E),$=!1})}return z}const d=/^\*\*\/\*\.[\w\.-]+$/,g=/^\*\*\/([\w\.-]+)\/?$/,v=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,M=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,f=/^\*\*((\/[\w\.-]+)+)\/?$/,h=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,c=new L.LRUCache(1e4),o=function(){return!1},u=function(){return null};function r(q,z){if(!q)return u;let j;typeof q!="string"?j=q.pattern:j=q,j=j.trim();const $=`${j}_${!!z.trimForExclusions}`;let F=c.get($);if(F)return i(F,q);let N;if(d.test(j)){const W=j.substr(4);F=function(A,O){return typeof A=="string"&&A.endsWith(W)?j:null}}else(N=g.exec(s(j,z)))?F=a(N[1],j):(z.trimForExclusions?M:v).test(j)?F=l(j,z):(N=f.exec(s(j,z)))?F=y(N[1].substr(1),j,!0):(N=h.exec(s(j,z)))?F=y(N[1],j,!1):F=C(j);return c.set($,F),i(F,q)}function i(q,z){return typeof z=="string"?q:function(j,$){return(0,n.isEqualOrParent)(j,z.base,!P.isLinux)?q(j.substr(z.base.length+1),$):null}}function s(q,z){return z.trimForExclusions&&q.endsWith("/**")?q.substr(0,q.length-2):q}function a(q,z){const j=`/${q}`,$=`\\${q}`,F=function(W,A){return typeof W!="string"?null:A?A===q?z:null:W===q||W.endsWith(j)||W.endsWith($)?z:null},N=[q];return F.basenames=N,F.patterns=[z],F.allBasenames=N,F}function l(q,z){const j=se(q.slice(1,-1).split(",").map(A=>r(A,z)).filter(A=>A!==u),q),$=j.length;if(!$)return u;if($===1)return j[0];const F=function(A,O){for(let _=0,G=j.length;_<G;_++)if(j[_](A,O))return q;return null},N=j.find(A=>!!A.allBasenames);N&&(F.allBasenames=N.allBasenames);const W=j.reduce((A,O)=>O.allPaths?A.concat(O.allPaths):A,[]);return W.length&&(F.allPaths=W),F}function y(q,z,j){const $=D.sep===D.posix.sep,F=$?q:q.replace(k,D.sep),N=D.sep+F,W=D.posix.sep+q,A=j?function(O,_){return typeof O=="string"&&(O===F||O.endsWith(N)||!$&&(O===q||O.endsWith(W)))?z:null}:function(O,_){return typeof O=="string"&&(O===F||!$&&O===q)?z:null};return A.allPaths=[(j?"*/":"./")+q],A}function C(q){try{const z=new RegExp(`^${t(q)}$`);return function(j){return z.lastIndex=0,typeof j=="string"&&z.test(j)?q:null}}catch{return u}}function R(q,z,j){return!q||typeof z!="string"?!1:T(q)(z,void 0,j)}e.match=R;function T(q,z={}){if(!q)return o;if(typeof q=="string"||X(q)){const j=r(q,z);if(j===u)return o;const $=function(F,N){return!!j(F,N)};return j.allBasenames&&($.allBasenames=j.allBasenames),j.allPaths&&($.allPaths=j.allPaths),$}return B(q,z)}e.parse=T;function U(q){if(!q)return;let z;return j=>(z||(z=(q()||Promise.resolve([])).then($=>$?ee($):{})),z.then($=>!!$[j]))}e.hasSiblingPromiseFn=U;function Y(q){if(!q)return;let z;return j=>{if(!z){const $=q();z=$?ee($):{}}return!!z[j]}}e.hasSiblingFn=Y;function ee(q){const z={};for(const j of q)z[j]=!0;return z}function X(q){const z=q;return z?typeof z.base=="string"&&typeof z.pattern=="string":!1}e.isRelativePattern=X;function J(q){return q.allBasenames||[]}e.getBasenameTerms=J;function H(q){return q.allPaths||[]}e.getPathTerms=H;function B(q,z){const j=se(Object.getOwnPropertyNames(q).map(A=>Q(A,q[A],z)).filter(A=>A!==u)),$=j.length;if(!$)return u;if(!j.some(A=>!!A.requiresSiblings)){if($===1)return j[0];const A=function(G,ie){for(let ae=0,ce=j.length;ae<ce;ae++){const ne=j[ae](G,ie);if(ne)return ne}return null},O=j.find(G=>!!G.allBasenames);O&&(A.allBasenames=O.allBasenames);const _=j.reduce((G,ie)=>ie.allPaths?G.concat(ie.allPaths):G,[]);return _.length&&(A.allPaths=_),A}const F=function(A,O,_){let G;for(let ie=0,ae=j.length;ie<ae;ie++){const ce=j[ie];ce.requiresSiblings&&_&&(O||(O=(0,D.basename)(A)),G||(G=O.substr(0,O.length-(0,D.extname)(A).length)));const ne=ce(A,O,G,_);if(ne)return ne}return null},N=j.find(A=>!!A.allBasenames);N&&(F.allBasenames=N.allBasenames);const W=j.reduce((A,O)=>O.allPaths?A.concat(O.allPaths):A,[]);return W.length&&(F.allPaths=W),F}function Q(q,z,j){if(z===!1)return u;const $=r(q,j);if($===u)return u;if(typeof z=="boolean")return $;if(z){const F=z.when;if(typeof F=="string"){const N=(W,A,O,_)=>{if(!_||!$(W,A))return null;const G=F.replace("$(basename)",O),ie=_(G);return(0,w.isThenable)(ie)?ie.then(ae=>ae?q:null):ie?q:null};return N.requiresSiblings=!0,N}}return $}function se(q,z){const j=q.filter(A=>!!A.basenames);if(j.length<2)return q;const $=j.reduce((A,O)=>{const _=O.basenames;return _?A.concat(_):A},[]);let F;if(z){F=[];for(let A=0,O=$.length;A<O;A++)F.push(z)}else F=j.reduce((A,O)=>{const _=O.patterns;return _?A.concat(_):A},[]);const N=function(A,O){if(typeof A!="string")return null;if(!O){let G;for(G=A.length;G>0;G--){const ie=A.charCodeAt(G-1);if(ie===47||ie===92)break}O=A.substr(G)}const _=$.indexOf(O);return _!==-1?F[_]:null};N.basenames=$,N.patterns=F,N.allBasenames=$;const W=q.filter(A=>!A.basenames);return W.push(N),W}}),define(Z[33],x([0,1,28,10,7,3,17,27,8]),function(V,e,w,n,L,D,P,S,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function E(i,s,a){if(typeof i=="string"&&(i=m.URI.file(i)),a){const y=a.getWorkspaceFolder(i);if(y){const C=a.getWorkspace().folders.length>1;let R;if((0,P.isEqual)(y.uri,i)?R="":R=(0,P.relativePath)(y.uri,i),C){const T=y.name?y.name:(0,P.basename)(y.uri);R=R?T+" \u2022 "+R:T}return R}}if(i.scheme!==n.Schemas.file&&i.scheme!==n.Schemas.untitled)return i.with({query:null,fragment:null}).toString(!0);if((0,w.hasDriveLetter)(i.fsPath))return(0,L.normalize)(k(i.fsPath));let l=(0,L.normalize)(i.fsPath);return!D.isWindows&&s?.userHome&&(l=p(l,s.userHome.fsPath)),l}e.getPathLabel=E;function I(i){if(!i)return;typeof i=="string"&&(i=m.URI.file(i));const s=(0,P.basename)(i)||(i.scheme===n.Schemas.file?i.fsPath:i.path);return D.isWindows&&(0,w.isRootOrDriveLetter)(s)?k(s):s}e.getBaseLabel=I;function k(i,s){return(0,w.hasDriveLetter)(i,s)?i.charAt(0).toUpperCase()+i.slice(1):i}e.normalizeDriveLetter=k;let b=Object.create(null);function p(i,s){if(D.isWindows||!i||!s)return i;let a=b.original===s?b.normalized:void 0;return a||(a=`${(0,S.rtrim)(s,L.posix.sep)}${L.posix.sep}`,b={original:s,normalized:a}),(D.isLinux?i.startsWith(a):(0,S.startsWithIgnoreCase)(i,a))&&(i=`~/${i.substr(a.length)}`),i}e.tildify=p;function t(i,s){return i.replace(/^~($|\/|\\)/,`${s}$1`)}e.untildify=t;const d="\u2026",g="\\\\",v="~";function M(i,s=L.sep){const a=new Array(i.length);let l=!1;for(let y=0;y<i.length;y++){let C=i[y];if(C===""){a[y]=`.${s}`;continue}if(!C){a[y]=C;continue}l=!0;let R="";C.indexOf(g)===0?(R=C.substr(0,C.indexOf(g)+g.length),C=C.substr(C.indexOf(g)+g.length)):C.indexOf(s)===0?(R=C.substr(0,C.indexOf(s)+s.length),C=C.substr(C.indexOf(s)+s.length)):C.indexOf(v)===0&&(R=C.substr(0,C.indexOf(v)+v.length),C=C.substr(C.indexOf(v)+v.length));const T=C.split(s);for(let U=1;l&&U<=T.length;U++)for(let Y=T.length-U;l&&Y>=0;Y--){l=!1;let ee=T.slice(Y,Y+U).join(s);for(let X=0;!l&&X<i.length;X++)if(X!==y&&i[X]&&i[X].indexOf(ee)>-1){const J=Y+U===T.length,H=Y>0&&i[X].indexOf(s)>-1?s+ee:ee,B=i[X].endsWith(H);l=!J||B}if(!l){let X="";(T[0].endsWith(":")||R!=="")&&(Y===1&&(Y=0,U++,ee=T[0]+s+ee),Y>0&&(X=T[0]+s),X=R+X),Y>0&&(X=X+d+s),X=X+ee,Y+U<T.length&&(X=X+s+d),a[y]=X}}l&&(a[y]=C)}return a}e.shorten=M;var f;(function(i){i[i.TEXT=0]="TEXT",i[i.VARIABLE=1]="VARIABLE",i[i.SEPARATOR=2]="SEPARATOR"})(f||(f={}));function h(i,s=Object.create(null)){const a=[];let l=!1,y="";for(const C of i)if(C==="$"||l&&C==="{")y&&a.push({value:y,type:f.TEXT}),y="",l=!0;else if(C==="}"&&l){const R=s[y];if(typeof R=="string")R.length&&a.push({value:R,type:f.VARIABLE});else if(R){const T=a[a.length-1];(!T||T.type!==f.SEPARATOR)&&a.push({value:R.label,type:f.SEPARATOR})}y="",l=!1}else y+=C;return y&&!l&&a.push({value:y,type:f.TEXT}),a.filter((C,R)=>{if(C.type===f.SEPARATOR){const T=a[R-1],U=a[R+1];return[T,U].every(Y=>Y&&(Y.type===f.VARIABLE||Y.type===f.TEXT)&&Y.value.length>0)}return!0}).map(C=>C.value).join("")}e.template=h;function c(i,s){return D.isMacintosh||s?i.replace(/\(&&\w\)|&&/g,"").replace(/&/g,D.isMacintosh?"&":"&&"):i.replace(/&&|&/g,a=>a==="&"?"&&":"&")}e.mnemonicMenuLabel=c;function o(i,s){return D.isMacintosh||s?i.replace(/\(&&\w\)|&&/g,""):D.isWindows?i.replace(/&&|&/g,a=>a==="&"?"&&":"&"):i.replace(/&&/g,"_")}e.mnemonicButtonLabel=o;function u(i){return i.replace(/&/g,"&&")}e.unmnemonicLabel=u;function r(i){const s=i.indexOf("/")!==-1?L.posix:L.win32,a=s.basename(i),l=s.dirname(i);return a.length?{name:a,parentPath:l}:{name:l,parentPath:""}}e.splitName=r}),define(Z[117],x([0,1,8]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function n(I){return I.toJSON()}class L{constructor(k){this._uriTransformer=k}transformIncoming(k){const b=this._uriTransformer.transformIncoming(k);return b===k?k:n(w.URI.from(b))}transformOutgoing(k){const b=this._uriTransformer.transformOutgoing(k);return b===k?k:n(w.URI.from(b))}transformOutgoingURI(k){const b=this._uriTransformer.transformOutgoing(k);return b===k?k:w.URI.from(b)}transformOutgoingScheme(k){return this._uriTransformer.transformOutgoingScheme(k)}}e.URITransformer=L,e.DefaultURITransformer=new class{transformIncoming(I){return I}transformOutgoing(I){return I}transformOutgoingURI(I){return I}transformOutgoingScheme(I){return I}};function D(I,k,b){if(!I||b>200)return null;if(typeof I=="object"){if(I instanceof w.URI)return k.transformOutgoing(I);for(let p in I)if(Object.hasOwnProperty.call(I,p)){const t=D(I[p],k,b+1);t!==null&&(I[p]=t)}}return null}function P(I,k){const b=D(I,k,0);return b===null?I:b}e.transformOutgoingURIs=P;function S(I,k,b,p){if(!I||p>200)return null;if(typeof I=="object"){if(I.$mid===1)return b?w.URI.revive(k.transformIncoming(I)):k.transformIncoming(I);for(let t in I)if(Object.hasOwnProperty.call(I,t)){const d=S(I[t],k,b,p+1);d!==null&&(I[t]=d)}}return null}function m(I,k){const b=S(I,k,!1,0);return b===null?I:b}e.transformIncomingURIs=m;function E(I,k){const b=S(I,k,!0,0);return b===null?I:b}e.transformAndReviveIncomingURIs=E}),define(Z[31],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const w=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function n(m){return w.test(m)}e.isUUID=n;const L=new Uint8Array(16),D=[];for(let m=0;m<256;m++)D.push(m.toString(16).padStart(2,"0"));let P;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?P=crypto.getRandomValues.bind(crypto):P=function(m){for(let E=0;E<m.length;E++)m[E]=Math.floor(Math.random()*256);return m};function S(){P(L),L[6]=L[6]&15|64,L[8]=L[8]&63|128;let m=0,E="";return E+=D[L[m++]],E+=D[L[m++]],E+=D[L[m++]],E+=D[L[m++]],E+="-",E+=D[L[m++]],E+=D[L[m++]],E+="-",E+=D[L[m++]],E+=D[L[m++]],E+="-",E+=D[L[m++]],E+=D[L[m++]],E+="-",E+=D[L[m++]],E+=D[L[m++]],E+=D[L[m++]],E+=D[L[m++]],E+=D[L[m++]],E+=D[L[m++]],E}e.generateUuid=S}),define(Z[118],x([0,1,15,4,2,3,14,27]),function(V,e,w,n,L,D,P,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.create=e.SimpleWorkerServer=e.SimpleWorkerClient=e.logOnceWebWorkerWarning=void 0;const m="$initialize";let E=!1;function I(r){!D.isWeb||(E||(E=!0,console.warn("Could not create web worker(s). Falling back to loading web worker code in main thread, which might cause UI freezes. Please see https://github.com/microsoft/monaco-editor#faq")),console.warn(r.message))}e.logOnceWebWorkerWarning=I;var k;(function(r){r[r.Request=0]="Request",r[r.Reply=1]="Reply",r[r.SubscribeEvent=2]="SubscribeEvent",r[r.Event=3]="Event",r[r.UnsubscribeEvent=4]="UnsubscribeEvent"})(k||(k={}));class b{constructor(i,s,a,l){this.vsWorker=i,this.req=s,this.method=a,this.args=l,this.type=0}}class p{constructor(i,s,a,l){this.vsWorker=i,this.seq=s,this.res=a,this.err=l,this.type=1}}class t{constructor(i,s,a,l){this.vsWorker=i,this.req=s,this.eventName=a,this.arg=l,this.type=2}}class d{constructor(i,s,a){this.vsWorker=i,this.req=s,this.event=a,this.type=3}}class g{constructor(i,s){this.vsWorker=i,this.req=s,this.type=4}}class v{constructor(i){this._workerId=-1,this._handler=i,this._lastSentReq=0,this._pendingReplies=Object.create(null),this._pendingEmitters=new Map,this._pendingEvents=new Map}setWorkerId(i){this._workerId=i}sendMessage(i,s){const a=String(++this._lastSentReq);return new Promise((l,y)=>{this._pendingReplies[a]={resolve:l,reject:y},this._send(new b(this._workerId,a,i,s))})}listen(i,s){let a=null;const l=new n.Emitter({onFirstListenerAdd:()=>{a=String(++this._lastSentReq),this._pendingEmitters.set(a,l),this._send(new t(this._workerId,a,i,s))},onLastListenerRemove:()=>{this._pendingEmitters.delete(a),this._send(new g(this._workerId,a)),a=null}});return l.event}handleMessage(i){!i||!i.vsWorker||this._workerId!==-1&&i.vsWorker!==this._workerId||this._handleMessage(i)}_handleMessage(i){switch(i.type){case 1:return this._handleReplyMessage(i);case 0:return this._handleRequestMessage(i);case 2:return this._handleSubscribeEventMessage(i);case 3:return this._handleEventMessage(i);case 4:return this._handleUnsubscribeEventMessage(i)}}_handleReplyMessage(i){if(!this._pendingReplies[i.seq]){console.warn("Got reply to unknown seq");return}let s=this._pendingReplies[i.seq];if(delete this._pendingReplies[i.seq],i.err){let a=i.err;i.err.$isError&&(a=new Error,a.name=i.err.name,a.message=i.err.message,a.stack=i.err.stack),s.reject(a);return}s.resolve(i.res)}_handleRequestMessage(i){let s=i.req;this._handler.handleMessage(i.method,i.args).then(l=>{this._send(new p(this._workerId,s,l,void 0))},l=>{l.detail instanceof Error&&(l.detail=(0,w.transformErrorForSerialization)(l.detail)),this._send(new p(this._workerId,s,void 0,(0,w.transformErrorForSerialization)(l)))})}_handleSubscribeEventMessage(i){const s=i.req,a=this._handler.handleEvent(i.eventName,i.arg)(l=>{this._send(new d(this._workerId,s,l))});this._pendingEvents.set(s,a)}_handleEventMessage(i){if(!this._pendingEmitters.has(i.req)){console.warn("Got event for unknown req");return}this._pendingEmitters.get(i.req).fire(i.event)}_handleUnsubscribeEventMessage(i){if(!this._pendingEvents.has(i.req)){console.warn("Got unsubscribe for unknown req");return}this._pendingEvents.get(i.req).dispose(),this._pendingEvents.delete(i.req)}_send(i){let s=[];if(i.type===0)for(let a=0;a<i.args.length;a++)i.args[a]instanceof ArrayBuffer&&s.push(i.args[a]);else i.type===1&&i.res instanceof ArrayBuffer&&s.push(i.res);this._handler.sendMessage(i,s)}}class M extends L.Disposable{constructor(i,s,a){super();let l=null;this._worker=this._register(i.create("vs/base/common/worker/simpleWorker",U=>{this._protocol.handleMessage(U)},U=>{l&&l(U)})),this._protocol=new v({sendMessage:(U,Y)=>{this._worker.postMessage(U,Y)},handleMessage:(U,Y)=>{if(typeof a[U]!="function")return Promise.reject(new Error("Missing method "+U+" on main thread host."));try{return Promise.resolve(a[U].apply(a,Y))}catch(ee){return Promise.reject(ee)}},handleEvent:(U,Y)=>{if(h(U)){const ee=a[U].call(a,Y);if(typeof ee!="function")throw new Error(`Missing dynamic event ${U} on main thread host.`);return ee}if(f(U)){const ee=a[U];if(typeof ee!="function")throw new Error(`Missing event ${U} on main thread host.`);return ee}throw new Error(`Malformed event name ${U}`)}}),this._protocol.setWorkerId(this._worker.getId());let y=null;typeof D.globals.require!="undefined"&&typeof D.globals.require.getConfig=="function"?y=D.globals.require.getConfig():typeof D.globals.requirejs!="undefined"&&(y=D.globals.requirejs.s.contexts._.config);const C=P.getAllMethodNames(a);this._onModuleLoaded=this._protocol.sendMessage(m,[this._worker.getId(),JSON.parse(JSON.stringify(y)),s,C]);const R=(U,Y)=>this._request(U,Y),T=(U,Y)=>this._protocol.listen(U,Y);this._lazyProxy=new Promise((U,Y)=>{l=Y,this._onModuleLoaded.then(ee=>{U(c(ee,R,T))},ee=>{Y(ee),this._onError("Worker failed to load "+s,ee)})})}getProxyObject(){return this._lazyProxy}_request(i,s){return new Promise((a,l)=>{this._onModuleLoaded.then(()=>{this._protocol.sendMessage(i,s).then(a,l)},l)})}_onError(i,s){console.error(i),console.info(s)}}e.SimpleWorkerClient=M;function f(r){return r[0]==="o"&&r[1]==="n"&&S.isUpperAsciiLetter(r.charCodeAt(2))}function h(r){return/^onDynamic/.test(r)&&S.isUpperAsciiLetter(r.charCodeAt(9))}function c(r,i,s){const a=C=>function(){const R=Array.prototype.slice.call(arguments,0);return i(C,R)},l=C=>function(R){return s(C,R)};let y={};for(const C of r){if(h(C)){y[C]=l(C);continue}if(f(C)){y[C]=s(C,void 0);continue}y[C]=a(C)}return y}class o{constructor(i,s){this._requestHandlerFactory=s,this._requestHandler=null,this._protocol=new v({sendMessage:(a,l)=>{i(a,l)},handleMessage:(a,l)=>this._handleMessage(a,l),handleEvent:(a,l)=>this._handleEvent(a,l)})}onmessage(i){this._protocol.handleMessage(i)}_handleMessage(i,s){if(i===m)return this.initialize(s[0],s[1],s[2],s[3]);if(!this._requestHandler||typeof this._requestHandler[i]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+i));try{return Promise.resolve(this._requestHandler[i].apply(this._requestHandler,s))}catch(a){return Promise.reject(a)}}_handleEvent(i,s){if(!this._requestHandler)throw new Error("Missing requestHandler");if(h(i)){const a=this._requestHandler[i].call(this._requestHandler,s);if(typeof a!="function")throw new Error(`Missing dynamic event ${i} on request handler.`);return a}if(f(i)){const a=this._requestHandler[i];if(typeof a!="function")throw new Error(`Missing event ${i} on request handler.`);return a}throw new Error(`Malformed event name ${i}`)}initialize(i,s,a,l){this._protocol.setWorkerId(i);const R=c(l,(T,U)=>this._protocol.sendMessage(T,U),(T,U)=>this._protocol.listen(T,U));return this._requestHandlerFactory?(this._requestHandler=this._requestHandlerFactory(R),Promise.resolve(P.getAllMethodNames(this._requestHandler))):(s&&(typeof s.baseUrl!="undefined"&&delete s.baseUrl,typeof s.paths!="undefined"&&typeof s.paths.vs!="undefined"&&delete s.paths.vs,typeof s.trustedTypesPolicy!==void 0&&delete s.trustedTypesPolicy,s.catchError=!0,D.globals.require.config(s)),new Promise((T,U)=>{(D.globals.require||V)([a],ee=>{if(this._requestHandler=ee.create(R),!this._requestHandler){U(new Error("No RequestHandler!"));return}T(P.getAllMethodNames(this._requestHandler))},U)}))}}e.SimpleWorkerServer=o;function u(r){return new o(r,null)}e.create=u}),define(Z[119],x([0,1,60,29,43]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checksum=void 0;async function D(P,S){if(await new Promise((I,k)=>{const b=n.createReadStream(P),p=w.createHash("sha1");b.pipe(p);const t=(0,L.once)((d,g)=>{b.removeAllListeners(),p.removeAllListeners(),d?k(d):I(g)});b.once("error",t),b.once("end",t),p.once("error",t),p.once("data",d=>t(void 0,d.toString("hex")))})!==S)throw new Error("Hash mismatch")}e.checksum=D}),define(Z[120],x([0,1,249]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class n{constructor(D="utf8"){this.stringDecoder=new w.StringDecoder(D),this.remaining=null}write(D){const P=[],S=this.remaining?this.remaining+this.stringDecoder.write(D):this.stringDecoder.write(D);if(S.length<1)return P;let m=0,E,I=m;for(;I<S.length;)if(E=S.charCodeAt(I),E===13||E===10){if(P.push(S.substring(m,I)),I++,I<S.length){const k=E;E=S.charCodeAt(I),(k===13&&E===10||k===10&&E===13)&&I++}m=I}else I++;return this.remaining=m<S.length?S.substr(m):null,P}end(){return this.remaining}}e.LineDecoder=n}),define(Z[121],x([0,1,26]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const n=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function L(P){const S=P.replace(/\-/g,":").toLowerCase();return!n.has(S)}function D(){const P=(0,w.networkInterfaces)();for(let S in P){const m=P[S];if(m){for(const{mac:E}of m)if(L(E))return E}}throw new Error("Unable to retrieve mac address (unexpected format)")}e.getMac=D}),define(Z[71],x([0,1,26,15,35,31,121]),function(V,e,w,n,L,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAddress(I){return this._virtualMachineOUIs||(this._virtualMachineOUIs=L.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(I)}value(){if(this._value===void 0){let I=0,k=0;const b=(0,w.networkInterfaces)();for(let p in b){const t=b[p];if(t)for(const{mac:d,internal:g}of t)g||(k+=1,this._isVirtualMachineMacAddress(d.toUpperCase())&&(I+=1))}this._value=k>0?I/k:0}return this._value}};let S;async function m(){return S||(S=(async()=>await E()||D.generateUuid())()),S}e.getMachineId=m;async function E(){try{const I=await new Promise((b,p)=>{V(["crypto"],b,p)}),k=(0,P.getMac)();return I.createHash("sha256").update(k,"utf8").digest("hex")}catch(I){n.onUnexpectedError(I);return}}}),define(Z[24],x([0,1,29,26,122,9,28,70,7,3,17,8]),function(V,e,w,n,L,D,P,S,m,E,I,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var b;(function(J){J[J.UNLINK=0]="UNLINK",J[J.MOVE=1]="MOVE"})(b=e.RimRafMode||(e.RimRafMode={}));async function p(J,H=b.UNLINK){if((0,P.isRootOrDriveLetter)(J))throw new Error("rimraf - will refuse to recursively delete root");return H===b.UNLINK?d(J):t(J)}async function t(J){try{const H=(0,P.randomPath)((0,n.tmpdir)());try{await w.promises.rename(J,H)}catch{return d(J)}d(H).catch(B=>{})}catch(H){if(H.code!=="ENOENT")throw H}}async function d(J){return(0,L.promisify)(w.rm)(J,{recursive:!0,force:!0,maxRetries:3})}function g(J){if((0,P.isRootOrDriveLetter)(J))throw new Error("rimraf - will refuse to recursively delete root");w.rmSync(J,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=g;async function v(J,H){return h(await(H?M(J):(0,L.promisify)(w.readdir)(J)))}async function M(J){try{return await(0,L.promisify)(w.readdir)(J,{withFileTypes:!0})}catch(Q){console.warn("[node.js fs] readdir with filetypes failed with error: ",Q)}const H=[],B=await v(J);for(const Q of B){let se=!1,q=!1,z=!1;try{const j=await e.Promises.lstat((0,m.join)(J,Q));se=j.isFile(),q=j.isDirectory(),z=j.isSymbolicLink()}catch(j){console.warn("[node.js fs] unexpected error from lstat after readdir: ",j)}H.push({name:Q,isFile:()=>se,isDirectory:()=>q,isSymbolicLink:()=>z})}return H}function f(J){return h(w.readdirSync(J))}e.readdirSync=f;function h(J){return J.map(H=>typeof H=="string"?E.isMacintosh?(0,S.normalizeNFC)(H):H:(H.name=E.isMacintosh?(0,S.normalizeNFC)(H.name):H.name,H))}async function c(J){const H=await v(J),B=[];for(const Q of H)await u.existsDirectory((0,m.join)(J,Q))&&B.push(Q);return B}function o(J,H=1e3){return new Promise(B=>{let Q=!1;const se=setInterval(()=>{Q||(Q=!0,w.access(J,q=>{Q=!1,q&&(clearInterval(se),B(void 0))}))},H)})}e.whenDeleted=o;var u;(function(J){async function H(se){let q;try{if(q=await e.Promises.lstat(se),!q.isSymbolicLink())return{stat:q}}catch{}try{return{stat:await e.Promises.stat(se),symbolicLink:q?.isSymbolicLink()?{dangling:!1}:void 0}}catch(z){if(z.code==="ENOENT"&&q)return{stat:q,symbolicLink:{dangling:!0}};if(E.isWindows&&z.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(se)),symbolicLink:{dangling:!1}}}catch(j){if(j.code==="ENOENT"&&q)return{stat:q,symbolicLink:{dangling:!0}};throw j}throw z}}J.stat=H;async function B(se){try{const{stat:q,symbolicLink:z}=await J.stat(se);return q.isFile()&&z?.dangling!==!0}catch{}return!1}J.existsFile=B;async function Q(se){try{const{stat:q,symbolicLink:z}=await J.stat(se);return q.isDirectory()&&z?.dangling!==!0}catch{}return!1}J.existsDirectory=Q})(u=e.SymlinkSupport||(e.SymlinkSupport={}));const r=new D.ResourceQueue;function i(J,H,B){return r.queueFor(k.URI.file(J),I.extUriBiasedIgnorePathCase).queue(()=>{const Q=y(B);return new Promise((se,q)=>a(J,H,Q,z=>z?q(z):se()))})}let s=!0;function a(J,H,B,Q){if(!s)return w.writeFile(J,H,{mode:B.mode,flag:B.flag},Q);w.open(J,B.flag,B.mode,(se,q)=>{if(se)return Q(se);w.writeFile(q,H,z=>{if(z)return w.close(q,()=>Q(z));w.fdatasync(q,j=>(j&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",j),s=!1),w.close(q,$=>Q($))))})})}function l(J,H,B){const Q=y(B);if(!s)return w.writeFileSync(J,H,{mode:Q.mode,flag:Q.flag});const se=w.openSync(J,Q.flag,Q.mode);try{w.writeFileSync(se,H);try{w.fdatasyncSync(se)}catch(q){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",q),s=!1}}finally{w.closeSync(se)}}e.writeFileSync=l;function y(J){return J?{mode:typeof J.mode=="number"?J.mode:438,flag:typeof J.flag=="string"?J.flag:"w"}:{mode:438,flag:"w"}}async function C(J,H){if(J!==H)try{await e.Promises.rename(J,H)}catch(B){if(J.toLowerCase()!==H.toLowerCase()&&B.code==="EXDEV"||J.endsWith("."))await R(J,H,{preserveSymlinks:!1}),await p(J,b.MOVE);else throw B}}async function R(J,H,B){return U(J,H,{root:{source:J,target:H},options:B,handledSourcePaths:new Set})}const T=511;async function U(J,H,B){if(B.handledSourcePaths.has(J))return;B.handledSourcePaths.add(J);const{stat:Q,symbolicLink:se}=await u.stat(J);if(se){if(B.options.preserveSymlinks)try{return await X(J,H,B)}catch(q){console.warn("[node.js fs] copy of symlink failed: ",q)}if(se.dangling)return}return Q.isDirectory()?Y(J,H,Q.mode&T,B):ee(J,H,Q.mode&T)}async function Y(J,H,B,Q){await e.Promises.mkdir(H,{recursive:!0,mode:B});const se=await v(J);for(const q of se)await U((0,m.join)(J,q),(0,m.join)(H,q),Q)}async function ee(J,H,B){await e.Promises.copyFile(J,H),await e.Promises.chmod(H,B)}async function X(J,H,B){let Q=await e.Promises.readlink(J);(0,P.isEqualOrParent)(Q,B.root.source,!E.isLinux)&&(Q=(0,m.join)(B.root.target,Q.substr(B.root.source.length+1))),await e.Promises.symlink(Q,H)}e.Promises=new class{get access(){return(0,L.promisify)(w.access)}get stat(){return(0,L.promisify)(w.stat)}get lstat(){return(0,L.promisify)(w.lstat)}get utimes(){return(0,L.promisify)(w.utimes)}get read(){return(J,H,B,Q,se)=>new Promise((q,z)=>{w.read(J,H,B,Q,se,(j,$,F)=>j?z(j):q({bytesRead:$,buffer:F}))})}get readFile(){return(0,L.promisify)(w.readFile)}get write(){return(J,H,B,Q,se)=>new Promise((q,z)=>{w.write(J,H,B,Q,se,(j,$,F)=>j?z(j):q({bytesWritten:$,buffer:F}))})}get appendFile(){return(0,L.promisify)(w.appendFile)}get fdatasync(){return(0,L.promisify)(w.fdatasync)}get truncate(){return(0,L.promisify)(w.truncate)}get rename(){return(0,L.promisify)(w.rename)}get copyFile(){return(0,L.promisify)(w.copyFile)}get open(){return(0,L.promisify)(w.open)}get close(){return(0,L.promisify)(w.close)}get symlink(){return(0,L.promisify)(w.symlink)}get readlink(){return(0,L.promisify)(w.readlink)}get chmod(){return(0,L.promisify)(w.chmod)}get mkdir(){return(0,L.promisify)(w.mkdir)}get unlink(){return(0,L.promisify)(w.unlink)}get rmdir(){return(0,L.promisify)(w.rmdir)}get realpath(){return(0,L.promisify)(w.realpath)}async exists(J){try{return await e.Promises.access(J),!0}catch{return!1}}get readdir(){return v}get readDirsInDir(){return c}get writeFile(){return i}get rm(){return p}get move(){return C}get copy(){return R}}}),define(Z[86],x([0,1,29,7,3,27,24]),function(V,e,w,n,L,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcase=e.realcaseSync=void 0;function S(b){if(L.isLinux)return b;const p=(0,n.dirname)(b);if(b===p)return b;const t=((0,n.basename)(b)||b).toLowerCase();try{const g=(0,P.readdirSync)(p).filter(v=>v.toLowerCase()===t);if(g.length===1){const v=S(p);if(v)return(0,n.join)(v,g[0])}else if(g.length>1){const v=g.indexOf(t);if(v>=0){const M=S(p);if(M)return(0,n.join)(M,g[v])}}}catch{}return null}e.realcaseSync=S;async function m(b){if(L.isLinux)return b;const p=(0,n.dirname)(b);if(b===p)return b;const t=((0,n.basename)(b)||b).toLowerCase();try{const g=(await P.Promises.readdir(p)).filter(v=>v.toLowerCase()===t);if(g.length===1){const v=await m(p);if(v)return(0,n.join)(v,g[0])}else if(g.length>1){const v=g.indexOf(t);if(v>=0){const M=await m(p);if(M)return(0,n.join)(M,g[v])}}}catch{}return null}e.realcase=m;async function E(b){try{return await P.Promises.realpath(b)}catch{const t=k(b);return await P.Promises.access(t,w.constants.R_OK),t}}e.realpath=E;function I(b){try{return w.realpathSync(b)}catch{const t=k(b);return w.accessSync(t,w.constants.R_OK),t}}e.realpathSync=I;function k(b){return(0,D.rtrim)((0,n.normalize)(b),n.sep)}}),define(Z[123],x([0,1,61]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findFreePortFaster=e.BROWSER_RESTRICTED_PORTS=e.findFreePort=void 0;function n(S,m,E,I=1){let k=!1;return new Promise(b=>{const p=setTimeout(()=>{if(!k)return k=!0,b(0)},E);L(S,m,I,t=>{if(!k)return k=!0,clearTimeout(p),b(t)})})}e.findFreePort=n;function L(S,m,E,I){if(m===0)return I(0);const k=new w.Socket;k.once("connect",()=>(P(k),L(S+E,m-1,E,I))),k.once("data",()=>{}),k.once("error",b=>(P(k),b.code!=="ECONNREFUSED"?L(S+E,m-1,E,I):I(S))),k.connect(S,"127.0.0.1")}e.BROWSER_RESTRICTED_PORTS={1:!0,7:!0,9:!0,11:!0,13:!0,15:!0,17:!0,19:!0,20:!0,21:!0,22:!0,23:!0,25:!0,37:!0,42:!0,43:!0,53:!0,69:!0,77:!0,79:!0,87:!0,95:!0,101:!0,102:!0,103:!0,104:!0,109:!0,110:!0,111:!0,113:!0,115:!0,117:!0,119:!0,123:!0,135:!0,137:!0,139:!0,143:!0,161:!0,179:!0,389:!0,427:!0,465:!0,512:!0,513:!0,514:!0,515:!0,526:!0,530:!0,531:!0,532:!0,540:!0,548:!0,554:!0,556:!0,563:!0,587:!0,601:!0,636:!0,989:!0,990:!0,993:!0,995:!0,1719:!0,1720:!0,1723:!0,2049:!0,3659:!0,4045:!0,5060:!0,5061:!0,6e3:!0,6566:!0,6665:!0,6666:!0,6667:!0,6668:!0,6669:!0,6697:!0,10080:!0};function D(S,m,E){let I=!1,k,b=1;const p=w.createServer({pauseOnConnect:!0});function t(d,g){I||(I=!0,p.removeAllListeners(),p.close(),k&&clearTimeout(k),g(d))}return new Promise(d=>{k=setTimeout(()=>{t(0,d)},E),p.on("listening",()=>{t(S,d)}),p.on("error",g=>{g&&(g.code==="EADDRINUSE"||g.code==="EACCES")&&b<m?(S++,b++,p.listen(S,"127.0.0.1")):t(0,d)}),p.on("close",()=>{t(0,d)}),p.listen(S,"127.0.0.1")})}e.findFreePortFaster=D;function P(S){try{S.removeAllListeners("connect"),S.removeAllListeners("error"),S.end(),S.destroy(),S.unref()}catch(m){console.error(m)}}}),define(Z[124],x([0,1,26,7,24]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const D=/^\d+$/,P=/^Microsoft.PowerShell_.*/,S=/^Microsoft.PowerShellPreview_.*/;var m;(function(h){h[h.x64=0]="x64",h[h.x86=1]="x86",h[h.ARM=2]="ARM"})(m||(m={}));let E;switch(process.arch){case"ia32":case"x32":E=1;break;case"arm":case"arm64":E=2;break;default:E=0;break}let I;process.env.PROCESSOR_ARCHITEW6432?I=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?I=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?I=1:I=0;class k{constructor(c,o,u){this.exePath=c,this.displayName=o,this.knownToExist=u}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await L.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function b({useAlternateBitness:h=!1}={}){return h?E===0?process.env["ProgramFiles(x86)"]||null:I===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function p({useAlternateBitness:h=!1,findPreview:c=!1}={}){const o=b({useAlternateBitness:h});if(!o)return null;const u=n.join(o,"PowerShell");if(!await L.SymlinkSupport.existsDirectory(u))return null;let r=-1,i=null;for(const l of await L.Promises.readdir(u)){let y=-1;if(c){const R=l.indexOf("-");if(R<0)continue;const T=l.substring(0,R);if(!D.test(T)||l.substring(R+1)!=="preview")continue;y=parseInt(T,10)}else{if(!D.test(l))continue;y=parseInt(l,10)}if(y<=r)continue;const C=n.join(u,l,"pwsh.exe");!await L.SymlinkSupport.existsFile(C)||(i=C,r=y)}if(!i)return null;const s=o.includes("x86")?" (x86)":"",a=c?" Preview":"";return new k(i,`PowerShell${a}${s}`,!0)}async function t({findPreview:h}={}){if(!process.env.LOCALAPPDATA)return null;const c=n.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await L.SymlinkSupport.existsDirectory(c))return null;const{pwshMsixDirRegex:o,pwshMsixName:u}=h?{pwshMsixDirRegex:S,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:P,pwshMsixName:"PowerShell (Store)"};for(const r of await L.Promises.readdir(c))if(o.test(r)){const i=n.join(c,r,"pwsh.exe");return new k(i,u)}return null}function d(){const h=n.join(w.homedir(),".dotnet","tools","pwsh.exe");return new k(h,".NET Core PowerShell Global Tool")}function g(){const h=n.join(process.env.windir,E===1&&I!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new k(h,"Windows PowerShell",!0)}async function*v(){let h=await p();h&&(yield h),h=await p({useAlternateBitness:!0}),h&&(yield h),h=await t(),h&&(yield h),h=d(),h&&(yield h),h=await p({findPreview:!0}),h&&(yield h),h=await t({findPreview:!0}),h&&(yield h),h=await p({useAlternateBitness:!0,findPreview:!0}),h&&(yield h),h=g(),h&&(yield h)}async function*M(){for await(const h of v())await h.exists()&&(yield h)}e.enumeratePowerShellInstallations=M;async function f(){for await(const h of M())return h;return null}e.getFirstAvailablePowerShellInstallation=f}),define(Z[87],x([0,1,45,10]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function L(P){return new Promise((S,m)=>{let E;const I=new Map;function k(p,t,d,g,v){const M=I.get(t);if(p===P||M){const f={name:b(d),cmd:d,pid:p,ppid:t,load:g,mem:v};I.set(p,f),p===P&&(E=f),M&&(M.children||(M.children=[]),M.children.push(f),M.children.length>1&&(M.children=M.children.sort((h,c)=>h.pid-c.pid)))}}function b(p){const t=/--vscode-window-kind=shared-process/,d=/--vscode-window-kind=issue-reporter/,g=/--vscode-window-kind=process-explorer/,v=/--utility-sub-type=network/,M=/--crashes-directory/,f=/\\pipe\\winpty-control/,h=/conhost\.exe/,c=/--type=([a-zA-Z-]+)/;if(M.exec(p))return"electron-crash-reporter";if(f.exec(p))return"winpty-process";if(h.exec(p))return"console-window-host (Windows internal process)";let o=c.exec(p);if(o&&o.length===2)return o[1]==="renderer"?t.exec(p)?"shared-process":d.exec(p)?"issue-reporter":g.exec(p)?"process-explorer":"window":o[1]==="utility"&&v.exec(p)?"utility-network-service":o[1];const u=/[a-zA-Z-]+\.js/g;let r="";do o=u.exec(p),o&&(r+=o+" ");while(o);return r&&p.indexOf("node ")<0&&p.indexOf("node.exe")<0?`electron_node ${r}`:p}if(process.platform==="win32"){const p=t=>t.indexOf("\\\\?\\")===0||t.indexOf("\\??\\")===0?t.substr(4):t.indexOf('"\\\\?\\')===0||t.indexOf('"\\??\\')===0?'"'+t.substr(5):t;new Promise((t,d)=>{V(["windows-process-tree"],t,d)}).then(t=>{t.getProcessList(P,d=>{t.getProcessCpuUsage(d,g=>{const v=new Map;g.forEach(M=>{const f=p(M.commandLine||"");v.set(M.pid,{name:b(f),cmd:f,pid:M.pid,ppid:M.ppid,load:M.cpu||0,mem:M.memory||0})}),E=v.get(P),E?(v.forEach(M=>{const f=v.get(M.ppid);f&&(f.children||(f.children=[]),f.children.push(M))}),v.forEach(M=>{M.children&&(M.children=M.children.sort((f,h)=>f.pid-h.pid))}),S(E)):m(new Error(`Root process ${P} not found`))})},t.ProcessDataFlag.CommandLine|t.ProcessDataFlag.Memory)})}else{let p=function(){let t=[E];const d=[];for(;t.length;){const v=t.shift();v&&(d.push(v.pid),v.children&&(t=t.concat(v.children)))}let g=JSON.stringify(n.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",V).fsPath);g+=" "+d.join(" "),(0,w.exec)(g,{},(v,M,f)=>{if(v||f)m(v||new Error(f.toString()));else{const h=M.toString().split(`
`);for(let c=0;c<d.length;c++){const o=I.get(d[c]);o.load=parseFloat(h[c])}if(!E){m(new Error(`Root process ${P} not found`));return}S(E)}})};(0,w.exec)("which ps",{},(t,d,g)=>{if(t||g)if(process.platform!=="linux")m(t||new Error(g.toString()));else{const v=JSON.stringify(n.FileAccess.asFileUri("vs/base/node/ps.sh",V).fsPath);(0,w.exec)(v,{},(M,f,h)=>{M||h?m(M||new Error(h.toString())):(D(f,k),p())})}else{const v=d.toString().trim(),M="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,w.exec)(`${v} ${M}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(f,h,c)=>{f||c&&!c.includes("screen size is bogus")?m(f||new Error(c.toString())):(D(h,k),process.platform==="linux"?p():E?S(E):m(new Error(`Root process ${P} not found`)))})}})}})}e.listProcesses=L;function D(P,S){const m=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,E=P.toString().split(`
`);for(const I of E){const k=m.exec(I.trim());k&&k.length===6&&S(parseInt(k[1]),parseInt(k[2]),k[5],parseFloat(k[3]),parseFloat(k[4]))}}}),define(Z[125],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CONTEXT_MENU_CLOSE_CHANNEL=e.CONTEXT_MENU_CHANNEL=void 0,e.CONTEXT_MENU_CHANNEL="vscode:contextmenu",e.CONTEXT_MENU_CLOSE_CHANNEL="vscode:onCloseContextMenu"}),define(Z[126],x([0,1,12,14,125]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerContextMenuListener=void 0;function D(){w.ipcMain.on(L.CONTEXT_MENU_CHANNEL,(S,m,E,I,k)=>{const b=P(S,I,E);b.popup({window:(0,n.withNullAsUndefined)(w.BrowserWindow.fromWebContents(S.sender)),x:k?k.x:void 0,y:k?k.y:void 0,positioningItem:k?k.positioningItem:void 0,callback:()=>{b&&S.sender.send(L.CONTEXT_MENU_CLOSE_CHANNEL,m)}})})}e.registerContextMenuListener=D;function P(S,m,E){const I=new w.Menu;return E.forEach(k=>{let b;k.type==="separator"?b=new w.MenuItem({type:k.type}):Array.isArray(k.submenu)?b=new w.MenuItem({submenu:P(S,m,k.submenu),label:k.label}):b=new w.MenuItem({label:k.label,type:k.type,accelerator:k.accelerator,checked:k.checked,enabled:k.enabled,visible:k.visible,click:(p,t,d)=>S.sender.send(m,k.id,d)}),I.append(b)}),I}});var ue=this&&this.__decorate||function(V,e,w,n){var L=arguments.length,D=L<3?e:n===null?n=Object.getOwnPropertyDescriptor(e,w):n,P;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")D=Reflect.decorate(V,e,w,n);else for(var S=V.length-1;S>=0;S--)(P=V[S])&&(D=(L<3?P(D):L>3?P(e,w,D):P(e,w))||D);return L>3&&D&&Object.defineProperty(e,w,D),D};define(Z[37],x([0,1,30,9,16,23,46,15,4,2,115,27,14]),function(V,e,w,n,L,D,P,S,m,E,I,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var p;(function(q){q[q.Promise=100]="Promise",q[q.PromiseCancel=101]="PromiseCancel",q[q.EventListen=102]="EventListen",q[q.EventDispose=103]="EventDispose"})(p=e.RequestType||(e.RequestType={}));function t(q){switch(q){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var d;(function(q){q[q.Initialize=200]="Initialize",q[q.PromiseSuccess=201]="PromiseSuccess",q[q.PromiseError=202]="PromiseError",q[q.PromiseErrorObj=203]="PromiseErrorObj",q[q.EventFire=204]="EventFire"})(d=e.ResponseType||(e.ResponseType={}));function g(q){switch(q){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var v;(function(q){q[q.Uninitialized=0]="Uninitialized",q[q.Idle=1]="Idle"})(v||(v={}));class M{constructor(z){this.buffer=z,this.pos=0}read(z){const j=this.buffer.slice(this.pos,this.pos+z);return this.pos+=j.byteLength,j}}class f{constructor(){this.buffers=[]}get buffer(){return L.VSBuffer.concat(this.buffers)}write(z){this.buffers.push(z)}}var h;(function(q){q[q.Undefined=0]="Undefined",q[q.String=1]="String",q[q.Buffer=2]="Buffer",q[q.VSBuffer=3]="VSBuffer",q[q.Array=4]="Array",q[q.Object=5]="Object"})(h||(h={}));function c(q){const z=L.VSBuffer.alloc(4);return z.writeUInt32BE(q,0),z}function o(q){return q.read(4).readUInt32BE(0)}function u(q){const z=L.VSBuffer.alloc(1);return z.writeUInt8(q,0),z}const r={Undefined:u(h.Undefined),String:u(h.String),Buffer:u(h.Buffer),VSBuffer:u(h.VSBuffer),Array:u(h.Array),Object:u(h.Object)},i=typeof Buffer!="undefined";function s(q,z){if(typeof z=="undefined")q.write(r.Undefined);else if(typeof z=="string"){const j=L.VSBuffer.fromString(z);q.write(r.String),q.write(c(j.byteLength)),q.write(j)}else if(i&&Buffer.isBuffer(z)){const j=L.VSBuffer.wrap(z);q.write(r.Buffer),q.write(c(j.byteLength)),q.write(j)}else if(z instanceof L.VSBuffer)q.write(r.VSBuffer),q.write(c(z.byteLength)),q.write(z);else if(Array.isArray(z)){q.write(r.Array),q.write(c(z.length));for(const j of z)s(q,j)}else{const j=L.VSBuffer.fromString(JSON.stringify(z));q.write(r.Object),q.write(c(j.byteLength)),q.write(j)}}function a(q){switch(q.read(1).readUInt8(0)){case h.Undefined:return;case h.String:return q.read(o(q)).toString();case h.Buffer:return q.read(o(q)).buffer;case h.VSBuffer:return q.read(o(q));case h.Array:{const j=o(q),$=[];for(let F=0;F<j;F++)$.push(a(q));return $}case h.Object:return JSON.parse(q.read(o(q)).toString())}}class l{constructor(z,j,$=null,F=1e3){this.protocol=z,this.ctx=j,this.logger=$,this.timeoutDelay=F,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(N=>this.onRawMessage(N)),this.sendResponse({type:200})}registerChannel(z,j){this.channels.set(z,j),setTimeout(()=>this.flushPendingRequests(z),0)}sendResponse(z){switch(z.type){case 200:{const j=this.send([z.type]);this.logger?.logOutgoing(j,0,1,g(z.type));return}case 201:case 202:case 204:case 203:{const j=this.send([z.type,z.id],z.data);this.logger?.logOutgoing(j,z.id,1,g(z.type),z.data);return}}}send(z,j=void 0){const $=new f;return s($,z),s($,j),this.sendBuffer($.buffer)}sendBuffer(z){try{return this.protocol.send(z),z.byteLength}catch{return 0}}onRawMessage(z){const j=new M(z),$=a(j),F=a(j),N=$[0];switch(N){case 100:return this.logger?.logIncoming(z.byteLength,$[1],1,`${t(N)}: ${$[2]}.${$[3]}`,F),this.onPromise({type:N,id:$[1],channelName:$[2],name:$[3],arg:F});case 102:return this.logger?.logIncoming(z.byteLength,$[1],1,`${t(N)}: ${$[2]}.${$[3]}`,F),this.onEventListen({type:N,id:$[1],channelName:$[2],name:$[3],arg:F});case 101:return this.logger?.logIncoming(z.byteLength,$[1],1,`${t(N)}`),this.disposeActiveRequest({type:N,id:$[1]});case 103:return this.logger?.logIncoming(z.byteLength,$[1],1,`${t(N)}`),this.disposeActiveRequest({type:N,id:$[1]})}}onPromise(z){const j=this.channels.get(z.channelName);if(!j){this.collectPendingRequest(z);return}const $=new D.CancellationTokenSource;let F;try{F=j.call(this.ctx,z.name,z.arg,$.token)}catch(A){F=Promise.reject(A)}const N=z.id;F.then(A=>{this.sendResponse({id:N,data:A,type:201}),this.activeRequests.delete(z.id)},A=>{A instanceof Error?this.sendResponse({id:N,data:{message:A.message,name:A.name,stack:A.stack?A.stack.split?A.stack.split(`
`):A.stack:void 0},type:202}):this.sendResponse({id:N,data:A,type:203}),this.activeRequests.delete(z.id)});const W=(0,E.toDisposable)(()=>$.cancel());this.activeRequests.set(z.id,W)}onEventListen(z){const j=this.channels.get(z.channelName);if(!j){this.collectPendingRequest(z);return}const $=z.id,N=j.listen(this.ctx,z.name,z.arg)(W=>this.sendResponse({id:$,data:W,type:204}));this.activeRequests.set(z.id,N)}disposeActiveRequest(z){const j=this.activeRequests.get(z.id);j&&(j.dispose(),this.activeRequests.delete(z.id))}collectPendingRequest(z){let j=this.pendingRequests.get(z.channelName);j||(j=[],this.pendingRequests.set(z.channelName,j));const $=setTimeout(()=>{console.error(`Unknown channel: ${z.channelName}`),z.type===100&&this.sendResponse({id:z.id,data:{name:"Unknown channel",message:`Channel name '${z.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);j.push({request:z,timeoutTimer:$})}flushPendingRequests(z){const j=this.pendingRequests.get(z);if(j){for(const $ of j)switch(clearTimeout($.timeoutTimer),$.request.type){case 100:this.onPromise($.request);break;case 102:this.onEventListen($.request);break}this.pendingRequests.delete(z)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,E.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}e.ChannelServer=l;var y;(function(q){q[q.LocalSide=0]="LocalSide",q[q.OtherSide=1]="OtherSide"})(y=e.RequestInitiator||(e.RequestInitiator={}));class C{constructor(z,j=null){this.protocol=z,this.isDisposed=!1,this.state=v.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new m.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage($=>this.onBuffer($)),this.logger=j}getChannel(z){const j=this;return{call($,F,N){return j.isDisposed?Promise.reject(S.canceled()):j.requestPromise(z,$,F,N)},listen($,F){return j.isDisposed?Promise.reject(S.canceled()):j.requestEvent(z,$,F)}}}requestPromise(z,j,$,F=D.CancellationToken.None){const N=this.lastRequestId++,A={id:N,type:100,channelName:z,name:j,arg:$};if(F.isCancellationRequested)return Promise.reject(S.canceled());let O;return new Promise((G,ie)=>{if(F.isCancellationRequested)return ie(S.canceled());const ae=()=>{const he=we=>{switch(we.type){case 201:this.handlers.delete(N),G(we.data);break;case 202:{this.handlers.delete(N);const be=new Error(we.data.message);be.stack=we.data.stack,be.name=we.data.name,ie(be);break}case 203:this.handlers.delete(N),ie(we.data);break}};this.handlers.set(N,he),this.sendRequest(A)};let ce=null;this.state===v.Idle?ae():(ce=(0,n.createCancelablePromise)(he=>this.whenInitialized()),ce.then(()=>{ce=null,ae()}));const ne=()=>{ce?(ce.cancel(),ce=null):this.sendRequest({id:N,type:101}),ie(S.canceled())},le=F.onCancellationRequested(ne);O=(0,E.combinedDisposable)((0,E.toDisposable)(ne),le),this.activeRequests.add(O)}).finally(()=>{this.activeRequests.delete(O)})}requestEvent(z,j,$){const F=this.lastRequestId++,W={id:F,type:102,channelName:z,name:j,arg:$};let A=null;const O=new m.Emitter({onFirstListenerAdd:()=>{A=(0,n.createCancelablePromise)(G=>this.whenInitialized()),A.then(()=>{A=null,this.activeRequests.add(O),this.sendRequest(W)})},onLastListenerRemove:()=>{A?(A.cancel(),A=null):(this.activeRequests.delete(O),this.sendRequest({id:F,type:103}))}}),_=G=>O.fire(G.data);return this.handlers.set(F,_),O.event}sendRequest(z){switch(z.type){case 100:case 102:{const j=this.send([z.type,z.id,z.channelName,z.name],z.arg);this.logger&&this.logger.logOutgoing(j,z.id,0,`${t(z.type)}: ${z.channelName}.${z.name}`,z.arg);return}case 101:case 103:{const j=this.send([z.type,z.id]);this.logger&&this.logger.logOutgoing(j,z.id,0,t(z.type));return}}}send(z,j=void 0){const $=new f;return s($,z),s($,j),this.sendBuffer($.buffer)}sendBuffer(z){try{return this.protocol.send(z),z.byteLength}catch{return 0}}onBuffer(z){const j=new M(z),$=a(j),F=a(j),N=$[0];switch(N){case 200:return this.logger&&this.logger.logIncoming(z.byteLength,0,0,g(N)),this.onResponse({type:$[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(z.byteLength,$[1],0,g(N),F),this.onResponse({type:$[0],id:$[1],data:F})}}onResponse(z){if(z.type===200){this.state=v.Idle,this._onDidInitialize.fire();return}const j=this.handlers.get(z.id);j&&j(z)}get onDidInitializePromise(){return m.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===v.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,E.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}ue([P.memoize],C.prototype,"onDidInitializePromise",null),e.ChannelClient=C;class R{constructor(z){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new m.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new m.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,z(({protocol:j,onDidClientDisconnect:$})=>{m.Event.once(j.onMessage)(N=>{const W=new M(N),A=a(W),O=new l(j,A),_=new C(j);this.channels.forEach((ie,ae)=>O.registerChannel(ae,ie));const G={channelServer:O,channelClient:_,ctx:A};this._connections.add(G),this._onDidAddConnection.fire(G),$(()=>{O.dispose(),_.dispose(),this._connections.delete(G),this._onDidRemoveConnection.fire(G)})})})}get connections(){const z=[];return this._connections.forEach(j=>z.push(j)),z}getChannel(z,j){const $=this;return{call(F,N,W){let A;if((0,b.isFunction)(j)){let _=(0,w.getRandomElement)($.connections.filter(j));A=_?Promise.resolve(_):m.Event.toPromise(m.Event.filter($.onDidAddConnection,j))}else A=j.routeCall($,F,N);const O=A.then(_=>_.channelClient.getChannel(z));return U(O).call(F,N,W)},listen(F,N){if((0,b.isFunction)(j))return $.getMulticastEvent(z,j,F,N);const W=j.routeEvent($,F,N).then(A=>A.channelClient.getChannel(z));return U(W).listen(F,N)}}}getMulticastEvent(z,j,$,F){const N=this;let W=new E.DisposableStore;const A=new m.Emitter({onFirstListenerAdd:()=>{W=new E.DisposableStore;const O=new m.EventMultiplexer,_=new Map,G=ae=>{const ne=ae.channelClient.getChannel(z).listen($,F),le=O.add(ne);_.set(ae,le)},ie=ae=>{const ce=_.get(ae);!ce||(ce.dispose(),_.delete(ae))};N.connections.filter(j).forEach(G),m.Event.filter(N.onDidAddConnection,j)(G,void 0,W),N.onDidRemoveConnection(ie,void 0,W),O.event(A.fire,A,W),W.add(O)},onLastListenerRemove:()=>{W.dispose()}});return A.event}registerChannel(z,j){this.channels.set(z,j),this._connections.forEach($=>{$.channelServer.registerChannel(z,j)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=R;class T{constructor(z,j,$=null){const F=new f;s(F,j),z.send(F.buffer),this.channelClient=new C(z,$),this.channelServer=new l(z,j,$)}getChannel(z){return this.channelClient.getChannel(z)}registerChannel(z,j){this.channelServer.registerChannel(z,j)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=T;function U(q){return{call(z,j,$){return q.then(F=>F.call(z,j,$))},listen(z,j){const $=new m.Relay;return q.then(F=>$.input=F.listen(z,j)),$.event}}}e.getDelayedChannel=U;function Y(q){let z=!1;return{call(j,$,F){return z?q.call(j,$,F):(0,n.timeout)(0).then(()=>z=!0).then(()=>q.call(j,$,F))},listen(j,$){if(z)return q.listen(j,$);const F=new m.Relay;return(0,n.timeout)(0).then(()=>z=!0).then(()=>F.input=q.listen(j,$)),F.event}}}e.getNextTickChannel=Y;class ee{constructor(z){this.fn=z}routeCall(z){return this.route(z)}routeEvent(z){return this.route(z)}async route(z){for(const j of z.connections)if(await Promise.resolve(this.fn(j.ctx)))return Promise.resolve(j);return await m.Event.toPromise(z.onDidAddConnection),await this.route(z)}}e.StaticRouter=ee;var X;(function(q){function z(N,W){const A=N,O=W&&W.disableMarshalling,_=new Map;for(const G in A)$(G)&&_.set(G,m.Event.buffer(A[G],!0));return new class{listen(G,ie,ae){const ce=_.get(ie);if(ce)return ce;if(F(ie)){const ne=A[ie];if(typeof ne=="function")return ne.call(A,ae)}throw new Error(`Event not found: ${ie}`)}call(G,ie,ae){const ce=A[ie];if(typeof ce=="function"){if(!O&&Array.isArray(ae))for(let ne=0;ne<ae.length;ne++)ae[ne]=(0,I.revive)(ae[ne]);return ce.apply(A,ae)}throw new Error(`Method not found: ${ie}`)}}}q.fromService=z;function j(N,W){const A=W&&W.disableMarshalling;return new Proxy({},{get(O,_){if(typeof _=="string")return W?.properties?.has(_)?W.properties.get(_):F(_)?function(G){return N.listen(_,G)}:$(_)?N.listen(_):async function(...G){let ie;W&&!(0,b.isUndefinedOrNull)(W.context)?ie=[W.context,...G]:ie=G;const ae=await N.call(_,ie);return A?ae:(0,I.revive)(ae)};throw new Error(`Property not found: ${String(_)}`)}})}q.toService=j;function $(N){return N[0]==="o"&&N[1]==="n"&&k.isUpperAsciiLetter(N.charCodeAt(2))}function F(N){return/^onDynamic/.test(N)&&k.isUpperAsciiLetter(N.charCodeAt(9))}})(X=e.ProxyChannel||(e.ProxyChannel={}));const J=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function H(q){if(Array.isArray(q))return q;if(q&&typeof q=="object"&&typeof q.toString=="function"){let z=q.toString();if(z!=="[object Object]")return z}return q}function B(q){return Array.isArray(q)?q.map(H):H(q)}function Q(q,z,j,$,F,N,W){W=B(W);const A=J[F],O=A[$%A.length];let _=[`%c[${q}]%c[${String(z).padStart(7," ")}]%c[len: ${String(j).padStart(5," ")}]%c${String($).padStart(5," ")} - ${N}`,"color: darkgreen","color: grey","color: grey",`color: ${O}`];/\($/.test(N)?(_=_.concat(W),_.push(")")):_.push(W),console.log.apply(console,_)}e.logWithColors=Q;class se{constructor(z,j){this._outgoingPrefix=z,this._incomingPrefix=j,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(z,j,$,F,N){this._totalOutgoing+=z,Q(this._outgoingPrefix,this._totalOutgoing,z,j,$,F,N)}logIncoming(z,j,$,F,N){this._totalIncoming+=z,Q(this._incomingPrefix,this._totalIncoming,z,j,$,F,N)}}e.IPCLogger=se}),define(Z[127],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Protocol=void 0;class w{constructor(L,D){this.sender=L,this.onMessage=D}send(L){try{this.sender.send("vscode:message",L.buffer)}catch{}}disconnect(){this.sender.send("vscode:disconnect",null)}}e.Protocol=w}),define(Z[128],x([0,1,16,4,37]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class D{constructor(m){this.port=m,this.onMessage=n.Event.fromDOMEventEmitter(this.port,"message",E=>w.VSBuffer.wrap(E.data)),m.start()}send(m){this.port.postMessage(m.buffer)}disconnect(){this.port.close()}}e.Protocol=D;class P extends L.IPCClient{constructor(m,E){const I=new D(m);super(I,E);this.protocol=I}dispose(){this.protocol.disconnect()}}e.Client=P}),define(Z[88],x([0,1,16,4,2,37]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var P;(function(i){i.Created="created",i.Read="read",i.Write="write",i.Open="open",i.Error="error",i.Close="close",i.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",i.NodeEndReceived="nodeEndReceived",i.NodeEndSent="nodeEndSent",i.NodeDrainBegin="nodeDrainBegin",i.NodeDrainEnd="nodeDrainEnd",i.zlibInflateError="zlibInflateError",i.zlibInflateData="zlibInflateData",i.zlibInflateInitialWrite="zlibInflateInitialWrite",i.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",i.zlibInflateWrite="zlibInflateWrite",i.zlibInflateFlushFired="zlibInflateFlushFired",i.zlibDeflateError="zlibDeflateError",i.zlibDeflateData="zlibDeflateData",i.zlibDeflateWrite="zlibDeflateWrite",i.zlibDeflateFlushFired="zlibDeflateFlushFired",i.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",i.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",i.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",i.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",i.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",i.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",i.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",i.ProtocolHeaderRead="protocolHeaderRead",i.ProtocolMessageRead="protocolMessageRead",i.ProtocolHeaderWrite="protocolHeaderWrite",i.ProtocolMessageWrite="protocolMessageWrite",i.ProtocolWrite="protocolWrite"})(P=e.SocketDiagnosticsEventType||(e.SocketDiagnosticsEventType={}));var S;(function(i){i.enableDiagnostics=!1,i.records=[];const s=new WeakMap;let a=0;function l(C,R){if(!s.has(C)){const T=String(++a);s.set(C,T)}return s.get(C)}function y(C,R,T,U){if(!i.enableDiagnostics)return;const Y=l(C,R);if(U instanceof w.VSBuffer||U instanceof Uint8Array||U instanceof ArrayBuffer||ArrayBuffer.isView(U)){const ee=w.VSBuffer.alloc(U.byteLength);ee.set(U),i.records.push({timestamp:Date.now(),id:Y,label:R,type:T,buff:ee})}else i.records.push({timestamp:Date.now(),id:Y,label:R,type:T,data:U})}i.traceSocketEvent=y})(S=e.SocketDiagnostics||(e.SocketDiagnostics={}));var m;(function(i){i[i.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",i[i.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(m=e.SocketCloseEventType||(e.SocketCloseEventType={}));let E=null;function I(){return E||(E=w.VSBuffer.alloc(0)),E}class k{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(s){this._chunks.push(s),this._totalLength+=s.byteLength}read(s){return this._read(s,!0)}peek(s){return this._read(s,!1)}_read(s,a){if(s===0)return I();if(s>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===s){const R=this._chunks[0];return a&&(this._chunks.shift(),this._totalLength-=s),R}if(this._chunks[0].byteLength>s){const R=this._chunks[0].slice(0,s);return a&&(this._chunks[0]=this._chunks[0].slice(s),this._totalLength-=s),R}let l=w.VSBuffer.alloc(s),y=0,C=0;for(;s>0;){const R=this._chunks[C];if(R.byteLength>s){const T=R.slice(0,s);l.set(T,y),y+=s,a&&(this._chunks[C]=R.slice(s),this._totalLength-=s),s-=s}else l.set(R,y),y+=R.byteLength,a?(this._chunks.shift(),this._totalLength-=R.byteLength):C++,s-=R.byteLength}return l}}e.ChunkStream=k;var b;(function(i){i[i.None=0]="None",i[i.Regular=1]="Regular",i[i.Control=2]="Control",i[i.Ack=3]="Ack",i[i.Disconnect=5]="Disconnect",i[i.ReplayRequest=6]="ReplayRequest",i[i.Pause=7]="Pause",i[i.Resume=8]="Resume"})(b||(b={}));function p(i){switch(i){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting"}}var t;(function(i){i[i.HeaderLength=13]="HeaderLength",i[i.AcknowledgeTime=2e3]="AcknowledgeTime",i[i.TimeoutTime=2e4]="TimeoutTime",i[i.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",i[i.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(t=e.ProtocolConstants||(e.ProtocolConstants={}));class d{constructor(s,a,l,y){this.type=s,this.id=a,this.ack=l,this.data=y,this.writtenTime=0}get size(){return this.data.byteLength}}class g extends L.Disposable{constructor(s){super();this._onMessage=this._register(new n.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=s,this._isDisposed=!1,this._incomingData=new k,this._register(this._socket.onData(a=>this.acceptChunk(a))),this.lastReadTime=Date.now()}acceptChunk(s){if(!(!s||s.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(s);this._incomingData.byteLength>=this._state.readLen;){const a=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=a.readUInt32BE(9),this._state.messageType=a.readUInt8(0),this._state.id=a.readUInt32BE(1),this._state.ack=a.readUInt32BE(5),this._socket.traceSocketEvent("protocolHeaderRead",{messageType:p(this._state.messageType),id:this._state.id,ack:this._state.ack,messageSize:this._state.readLen});else{const l=this._state.messageType,y=this._state.id,C=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._socket.traceSocketEvent("protocolMessageRead",a),this._onMessage.fire(new d(l,y,C,a)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class v{constructor(s){this._writeNowTimeout=null,this._isDisposed=!1,this._isPaused=!1,this._socket=s,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}pause(){this._isPaused=!0}resume(){this._isPaused=!1,this._scheduleWriting()}write(s){if(this._isDisposed)return;s.writtenTime=Date.now(),this.lastWriteTime=Date.now();const a=w.VSBuffer.alloc(13);a.writeUInt8(s.type,0),a.writeUInt32BE(s.id,1),a.writeUInt32BE(s.ack,5),a.writeUInt32BE(s.data.byteLength,9),this._socket.traceSocketEvent("protocolHeaderWrite",{messageType:p(s.type),id:s.id,ack:s.ack,messageSize:s.data.byteLength}),this._socket.traceSocketEvent("protocolMessageWrite",s.data),this._writeSoon(a,s.data)}_bufferAdd(s,a){const l=this._totalLength===0;return this._data.push(s,a),this._totalLength+=s.byteLength+a.byteLength,l}_bufferTake(){const s=w.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,s}_writeSoon(s,a){this._bufferAdd(s,a)&&this._scheduleWriting()}_scheduleWriting(){this._writeNowTimeout||(this._writeNowTimeout=setTimeout(()=>{this._writeNowTimeout=null,this._writeNow()}))}_writeNow(){if(this._totalLength===0||this._isPaused)return;const s=this._bufferTake();this._socket.traceSocketEvent("protocolWrite",{byteLength:s.byteLength}),this._socket.write(s)}}class M extends L.Disposable{constructor(s){super();this._onMessage=new n.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new n.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=s,this._socketWriter=this._register(new v(this._socket)),this._socketReader=this._register(new g(this._socket)),this._register(this._socketReader.onMessage(a=>{a.type===1&&this._onMessage.fire(a.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(s){this._socketWriter.write(new d(1,0,0,s))}}e.Protocol=M;class f extends D.IPCClient{constructor(s,a,l=null){super(s,a,l);this.protocol=s}static fromSocket(s,a){return new f(new M(s),a)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const s=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),s.end()}}e.Client=f;class h{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new n.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,queueMicrotask(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(s){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(s):this._emitter.fire(s):this._bufferedMessages.push(s)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=h;class c{constructor(s){this.data=s,this.next=null}}class o{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let s=[],a=0,l=this._first;for(;l;)s[a++]=l.data,l=l.next;return s}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(s){const a=new c(s);if(!this._first){this._first=a,this._last=a;return}this._last.next=a,this._last=a}}class u{constructor(){this.lastRuns=[];const s=Date.now();for(let a=0;a<u._HISTORY_LENGTH;a++)this.lastRuns[a]=s-1e3*a;setInterval(()=>{for(let a=u._HISTORY_LENGTH;a>=1;a--)this.lastRuns[a]=this.lastRuns[a-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return u._INSTANCE||(u._INSTANCE=new u),u._INSTANCE}load(){const s=Date.now(),a=(1+u._HISTORY_LENGTH)*1e3;let l=0;for(let y=0;y<u._HISTORY_LENGTH;y++)s-this.lastRuns[y]<=a&&l++;return 1-l/u._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}u._HISTORY_LENGTH=10,u._INSTANCE=null;class r{constructor(s,a=null,l=u.getInstance()){this._onControlMessage=new h,this.onControlMessage=this._onControlMessage.event,this._onMessage=new h,this.onMessage=this._onMessage.event,this._onDidDispose=new h,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new h,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new h,this.onSocketTimeout=this._onSocketTimeout.event,this._loadEstimator=l,this._isReconnecting=!1,this._outgoingUnackMsg=new o,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socketDisposables=[],this._socket=s,this._socketWriter=new v(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new g(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(y=>this._receiveMessage(y))),this._socketDisposables.push(this._socket.onClose(y=>this._onSocketClose.fire(y))),a&&this._socketReader.acceptChunk(a)}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._socketDisposables=(0,L.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const s=new d(5,0,0,I());this._socketWriter.write(s),this._socketWriter.flush()}sendPause(){const s=new d(7,0,0,I());this._socketWriter.write(s)}sendResume(){const s=new d(8,0,0,I());this._socketWriter.write(s)}pauseSocketWriting(){this._socketWriter.pause()}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(s,a){this._isReconnecting=!0,this._socketDisposables=(0,L.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socket=s,this._socketWriter=new v(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new g(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(l=>this._receiveMessage(l))),this._socketDisposables.push(this._socket.onClose(l=>this._onSocketClose.fire(l))),this._socketReader.acceptChunk(a)}endAcceptReconnection(){this._isReconnecting=!1,this._incomingAckId=this._incomingMsgId;const s=new d(3,0,this._incomingAckId,I());this._socketWriter.write(s);const a=this._outgoingUnackMsg.toArray();for(let l=0,y=a.length;l<y;l++)this._socketWriter.write(a[l]);this._recvAckCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(s){if(s.ack>this._outgoingAckId){this._outgoingAckId=s.ack;do{const a=this._outgoingUnackMsg.peek();if(a&&a.id<=s.ack)this._outgoingUnackMsg.pop();else break}while(!0)}switch(s.type){case 0:break;case 1:{if(s.id>this._incomingMsgId)if(s.id!==this._incomingMsgId+1){const a=Date.now();a-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=a,this._socketWriter.write(new d(6,0,0,I())))}else this._incomingMsgId=s.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(s.data);break}case 2:{this._onControlMessage.fire(s.data);break}case 3:break;case 5:{this._onDidDispose.fire();break}case 6:{const a=this._outgoingUnackMsg.toArray();for(let l=0,y=a.length;l<y;l++)this._socketWriter.write(a[l]);this._recvAckCheck();break}case 7:{this._socketWriter.pause();break}case 8:{this._socketWriter.resume();break}}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(s){const a=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const l=new d(1,a,this._incomingAckId,s);this._outgoingUnackMsg.push(l),this._isReconnecting||(this._socketWriter.write(l),this._recvAckCheck())}sendControl(s){const a=new d(2,0,0,s);this._socketWriter.write(a)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const s=Date.now()-this._incomingMsgLastTime;if(s>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-s+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout||this._isReconnecting)return;const s=this._outgoingUnackMsg.peek(),a=Date.now()-s.writtenTime,l=Date.now()-this._socketReader.lastReadTime,y=Date.now()-this._lastSocketTimeoutTime;if(a>=2e4&&l>=2e4&&y>=2e4&&!this._loadEstimator.hasHighLoad()){this._lastSocketTimeoutTime=Date.now(),this._onSocketTimeout.fire(void 0);return}const C=Math.max(2e4-a,2e4-l,2e4-y,500);this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},C)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const s=new d(3,0,this._incomingAckId,I());this._socketWriter.write(s)}}e.PersistentProtocol=r}),define(Z[129],x([0,1,12,16,4,2,37,127]),function(V,e,w,n,L,D,P,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;function m(I,k){const b=L.Event.fromNodeEventEmitter(w.ipcMain,k,(t,d)=>({event:t,message:d})),p=L.Event.filter(b,({event:t})=>t.sender.id===I);return L.Event.map(p,({message:t})=>t&&n.VSBuffer.wrap(t))}class E extends P.IPCServer{constructor(){super(E.getOnDidClientConnect())}static getOnDidClientConnect(){const k=L.Event.fromNodeEventEmitter(w.ipcMain,"vscode:hello",({sender:b})=>b);return L.Event.map(k,b=>{const p=b.id,t=E.Clients.get(p);t&&t.dispose();const d=new L.Emitter;E.Clients.set(p,(0,D.toDisposable)(()=>d.fire()));const g=m(p,"vscode:message"),v=L.Event.any(L.Event.signal(m(p,"vscode:disconnect")),d.event);return{protocol:new S.Protocol(b,g),onDidClientDisconnect:v}})}}e.Server=E,E.Clients=new Map}),define(Z[89],x([0,1,12,4,31,128]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.Client=void 0;class P extends D.Client{constructor(E,I){super({addEventListener:(k,b)=>E.addListener(k,b),removeEventListener:(k,b)=>E.removeListener(k,b),postMessage:k=>E.postMessage(k),start:()=>E.start(),close:()=>E.close()},I)}}e.Client=P;async function S(m){if(m.isDestroyed()||m.webContents.isDestroyed())throw new Error("ipc.mp#connect: Cannot talk to window because it is closed or destroyed");const E=(0,L.generateUuid)();m.webContents.send("vscode:createMessageChannel",E);const I=n.Event.fromNodeEventEmitter(w.ipcMain,"vscode:createMessageChannelResult",(b,p)=>({nonce:p,port:b.ports[0]})),{port:k}=await n.Event.toPromise(n.Event.once(n.Event.filter(I,b=>b.nonce===E)));return k}e.connect=S}),define(Z[90],x([0,1,9,4,2,14]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.isStorageItemsChangeEvent=e.StorageHint=void 0;var P;(function(k){k[k.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(P=e.StorageHint||(e.StorageHint={}));function S(k){const b=k;return b?.changed instanceof Map||b?.deleted instanceof Set}e.isStorageItemsChangeEvent=S;var m;(function(k){k[k.None=0]="None",k[k.Initialized=1]="Initialized",k[k.Closed=2]="Closed"})(m||(m={}));class E extends L.Disposable{constructor(b,p=Object.create(null)){super();this.database=b,this.options=p,this._onDidChangeStorage=this._register(new n.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=m.None,this.cache=new Map,this.flushDelayer=new w.ThrottledDelayer(E.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(b=>this.onDidChangeItemsExternal(b)))}onDidChangeItemsExternal(b){b.changed?.forEach((p,t)=>this.accept(t,p)),b.deleted?.forEach(p=>this.accept(p,void 0))}accept(b,p){if(this.state===m.Closed)return;let t=!1;(0,D.isUndefinedOrNull)(p)?t=this.cache.delete(b):this.cache.get(b)!==p&&(this.cache.set(b,p),t=!0),t&&this._onDidChangeStorage.fire(b)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===m.None&&(this.state=m.Initialized,this.options.hint!==P.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(b,p){const t=this.cache.get(b);return(0,D.isUndefinedOrNull)(t)?p:t}getBoolean(b,p){const t=this.get(b);return(0,D.isUndefinedOrNull)(t)?p:t==="true"}getNumber(b,p){const t=this.get(b);return(0,D.isUndefinedOrNull)(t)?p:parseInt(t,10)}async set(b,p){if(this.state===m.Closed)return;if((0,D.isUndefinedOrNull)(p))return this.delete(b);const t=String(p);if(this.cache.get(b)!==t)return this.cache.set(b,t),this.pendingInserts.set(b,t),this.pendingDeletes.delete(b),this._onDidChangeStorage.fire(b),this.doFlush()}async delete(b){if(!(this.state===m.Closed||!this.cache.delete(b)))return this.pendingDeletes.has(b)||this.pendingDeletes.add(b),this.pendingInserts.delete(b),this._onDidChangeStorage.fire(b),this.doFlush()}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=m.Closed;try{await this.doFlush(0)}catch{}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const b={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(b).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async flush(b){if(!!this.hasPending)return this.doFlush(b)}async doFlush(b){return this.flushDelayer.trigger(()=>this.flushPending(),b)}async whenFlushed(){if(!!this.hasPending)return new Promise(b=>this.whenFlushedCallbacks.push(b))}dispose(){this.flushDelayer.dispose(),super.dispose()}}e.Storage=E,E.DEFAULT_FLUSH_DELAY=100;class I{constructor(){this.onDidChangeItemsExternal=n.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(b){b.insert&&b.insert.forEach((p,t)=>this.items.set(t,p)),b.delete&&b.delete.forEach(p=>this.items.delete(p))}async close(){}}e.InMemoryStorageDatabase=I}),define(Z[130],x([0,1,9,4,35,7,24]),function(V,e,w,n,L,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SQLiteStorageDatabase=void 0;class S{constructor(I,k=Object.create(null)){this.path=I,this.options=k,this.name=(0,D.basename)(this.path),this.logger=new m(this.options.logging),this.whenConnected=this.connect(this.path)}get onDidChangeItemsExternal(){return n.Event.None}async getItems(){const I=await this.whenConnected,k=new Map;return(await this.all(I,"SELECT * FROM ItemTable")).forEach(p=>k.set(p.key,p.value)),this.logger.isTracing&&this.logger.trace(`[storage ${this.name}] getItems(): ${k.size} rows`),k}async updateItems(I){const k=await this.whenConnected;return this.doUpdateItems(k,I)}doUpdateItems(I,k){return this.logger.isTracing&&this.logger.trace(`[storage ${this.name}] updateItems(): insert(${k.insert?(0,L.mapToString)(k.insert):"0"}), delete(${k.delete?(0,L.setToString)(k.delete):"0"})`),this.transaction(I,()=>{const b=k.insert,p=k.delete;if(b&&b.size>0){const t=[];t.push([]);let d=0;b.forEach((g,v)=>{let M=t[d];M.length>S.MAX_HOST_PARAMETERS&&(d++,M=[],t.push(M)),M.push(v,g)}),t.forEach(g=>{this.prepare(I,`INSERT INTO ItemTable VALUES ${new Array(g.length/2).fill("(?,?)").join(",")}`,v=>v.run(g),()=>{const v=[];let M=0;return b.forEach((f,h)=>{v.push(h),M+=f.length}),`Keys: ${v.join(", ")} Length: ${M}`})})}if(p&&p.size){const t=[];t.push([]);let d=0;p.forEach(g=>{let v=t[d];v.length>S.MAX_HOST_PARAMETERS&&(d++,v=[],t.push(v)),v.push(g)}),t.forEach(g=>{this.prepare(I,`DELETE FROM ItemTable WHERE key IN (${new Array(g.length).fill("?").join(",")})`,v=>v.run(g),()=>{const v=[];return p.forEach(M=>{v.push(M)}),`Keys: ${v.join(", ")}`})})}})}async close(I){this.logger.trace(`[storage ${this.name}] close()`);const k=await this.whenConnected;return this.doClose(k,I)}doClose(I,k){return new Promise((b,p)=>{I.db.close(t=>(t&&this.handleSQLiteError(I,`[storage ${this.name}] close(): ${t}`),this.path===S.IN_MEMORY_PATH?b():!I.isErroneous&&!I.isInMemory?this.backup().then(b,d=>(this.logger.error(`[storage ${this.name}] backup(): ${d}`),b())):typeof k=="function"?P.Promises.unlink(this.path).then(()=>this.doConnect(this.path).then(d=>{const g=()=>this.doClose(d,void 0);return this.doUpdateItems(d,{insert:k()}).then(()=>g(),v=>(g(),Promise.reject(v)))})).then(b,p):p(t||new Error("Database has errors or is in-memory without recovery option"))))})}backup(){const I=this.toBackupPath(this.path);return P.Promises.copy(this.path,I,{preserveSymlinks:!1})}toBackupPath(I){return`${I}.backup`}async checkIntegrity(I){this.logger.trace(`[storage ${this.name}] checkIntegrity(full: ${I})`);const k=await this.whenConnected,b=await this.get(k,I?"PRAGMA integrity_check":"PRAGMA quick_check"),p=I?b.integrity_check:b.quick_check;return k.isErroneous?`${p} (last error: ${k.lastError})`:k.isInMemory?`${p} (in-memory!)`:p}async connect(I,k=!0){this.logger.trace(`[storage ${this.name}] open(${I}, retryOnBusy: ${k})`);try{return await this.doConnect(I)}catch(b){if(this.logger.error(`[storage ${this.name}] open(): Unable to open DB due to ${b}`),b.code==="SQLITE_BUSY"&&k)return await(0,w.timeout)(S.BUSY_OPEN_TIMEOUT),this.connect(I,!1);try{await P.Promises.unlink(I);try{await P.Promises.rename(this.toBackupPath(I),I)}catch{}return await this.doConnect(I)}catch(p){return this.logger.error(`[storage ${this.name}] open(): Unable to use backup due to ${p}`),this.doConnect(S.IN_MEMORY_PATH)}}}handleSQLiteError(I,k){I.isErroneous=!0,I.lastError=k,this.logger.error(k)}doConnect(I){return new Promise((k,b)=>{new Promise((p,t)=>{V(["@vscode/sqlite3"],p,t)}).then(p=>{const t={db:new(this.logger.isTracing?p.verbose().Database:p.Database)(I,d=>d?t.db?t.db.close(()=>b(d)):b(d):this.exec(t,["PRAGMA user_version = 1;","CREATE TABLE IF NOT EXISTS ItemTable (key TEXT UNIQUE ON CONFLICT REPLACE, value BLOB)"].join("")).then(()=>k(t),g=>t.db.close(()=>b(g)))),isInMemory:I===S.IN_MEMORY_PATH};t.db.on("error",d=>this.handleSQLiteError(t,`[storage ${this.name}] Error (event): ${d}`)),this.logger.isTracing&&t.db.on("trace",d=>this.logger.trace(`[storage ${this.name}] Trace (event): ${d}`))},b)})}exec(I,k){return new Promise((b,p)=>{I.db.exec(k,t=>t?(this.handleSQLiteError(I,`[storage ${this.name}] exec(): ${t}`),p(t)):b())})}get(I,k){return new Promise((b,p)=>{I.db.get(k,(t,d)=>t?(this.handleSQLiteError(I,`[storage ${this.name}] get(): ${t}`),p(t)):b(d))})}all(I,k){return new Promise((b,p)=>{I.db.all(k,(t,d)=>t?(this.handleSQLiteError(I,`[storage ${this.name}] all(): ${t}`),p(t)):b(d))})}transaction(I,k){return new Promise((b,p)=>{I.db.serialize(()=>{I.db.run("BEGIN TRANSACTION"),k(),I.db.run("END TRANSACTION",t=>t?(this.handleSQLiteError(I,`[storage ${this.name}] transaction(): ${t}`),p(t)):b())})})}prepare(I,k,b,p){const t=I.db.prepare(k),d=g=>{this.handleSQLiteError(I,`[storage ${this.name}] prepare(): ${g} (${k}). Details: ${p()}`)};t.on("error",d),b(t),t.finalize(g=>{g&&d(g),t.removeListener("error",d)})}}e.SQLiteStorageDatabase=S,S.IN_MEMORY_PATH=":memory:",S.BUSY_OPEN_TIMEOUT=2e3,S.MAX_HOST_PARAMETERS=256;class m{constructor(I){I&&typeof I.logTrace=="function"&&process.env[m.VSCODE_TRACE_STORAGE]&&(this.logTrace=I.logTrace),I&&typeof I.logError=="function"&&(this.logError=I.logError)}get isTracing(){return!!this.logTrace}trace(I){this.logTrace&&this.logTrace(I)}error(I){this.logError&&this.logError(I)}}m.VSCODE_TRACE_STORAGE="VSCODE_TRACE_STORAGE"}),define(Z[131],x([13,11]),function(V,e){return V.create("vs/base/common/date",e)}),define(Z[132],x([0,1,131]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const n=60,L=n*60,D=L*24,P=D*7,S=D*30,m=D*365;function E(k,b,p){typeof k!="number"&&(k=k.getTime());const t=Math.round((new Date().getTime()-k)/1e3);if(t<-30)return(0,w.localize)(0,null,E(new Date().getTime()+t*1e3,!1));if(t<30)return(0,w.localize)(1,null);let d;return t<n?(d=t,b?d===1?p?(0,w.localize)(2,null,d):(0,w.localize)(3,null,d):p?(0,w.localize)(4,null,d):(0,w.localize)(5,null,d):d===1?p?(0,w.localize)(6,null,d):(0,w.localize)(7,null,d):p?(0,w.localize)(8,null,d):(0,w.localize)(9,null,d)):t<L?(d=Math.floor(t/n),b?d===1?p?(0,w.localize)(10,null,d):(0,w.localize)(11,null,d):p?(0,w.localize)(12,null,d):(0,w.localize)(13,null,d):d===1?p?(0,w.localize)(14,null,d):(0,w.localize)(15,null,d):p?(0,w.localize)(16,null,d):(0,w.localize)(17,null,d)):t<D?(d=Math.floor(t/L),b?d===1?p?(0,w.localize)(18,null,d):(0,w.localize)(19,null,d):p?(0,w.localize)(20,null,d):(0,w.localize)(21,null,d):d===1?p?(0,w.localize)(22,null,d):(0,w.localize)(23,null,d):p?(0,w.localize)(24,null,d):(0,w.localize)(25,null,d)):t<P?(d=Math.floor(t/D),b?d===1?(0,w.localize)(26,null,d):(0,w.localize)(27,null,d):d===1?(0,w.localize)(28,null,d):(0,w.localize)(29,null,d)):t<S?(d=Math.floor(t/P),b?d===1?p?(0,w.localize)(30,null,d):(0,w.localize)(31,null,d):p?(0,w.localize)(32,null,d):(0,w.localize)(33,null,d):d===1?p?(0,w.localize)(34,null,d):(0,w.localize)(35,null,d):p?(0,w.localize)(36,null,d):(0,w.localize)(37,null,d)):t<m?(d=Math.floor(t/S),b?d===1?p?(0,w.localize)(38,null,d):(0,w.localize)(39,null,d):p?(0,w.localize)(40,null,d):(0,w.localize)(41,null,d):d===1?p?(0,w.localize)(42,null,d):(0,w.localize)(43,null,d):p?(0,w.localize)(44,null,d):(0,w.localize)(45,null,d)):(d=Math.floor(t/m),b?d===1?p?(0,w.localize)(46,null,d):(0,w.localize)(47,null,d):p?(0,w.localize)(48,null,d):(0,w.localize)(49,null,d):d===1?p?(0,w.localize)(50,null,d):(0,w.localize)(51,null,d):p?(0,w.localize)(52,null,d):(0,w.localize)(53,null,d))}e.fromNow=E;function I(k){return k.getFullYear()+"-"+String(k.getMonth()+1).padStart(2,"0")+"-"+String(k.getDate()).padStart(2,"0")+"T"+String(k.getHours()).padStart(2,"0")+":"+String(k.getMinutes()).padStart(2,"0")+":"+String(k.getSeconds()).padStart(2,"0")+"."+(k.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=I}),define(Z[133],x([13,11]),function(V,e){return V.create("vs/base/common/errorMessage",e)}),define(Z[39],x([0,1,30,14,133]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.toErrorMessage=void 0;function D(k,b){return b&&(k.stack||k.stacktrace)?L.localize(0,null,S(k),P(k.stack)||P(k.stacktrace)):S(k)}function P(k){return Array.isArray(k)?k.join(`
`):k}function S(k){return typeof k.code=="string"&&typeof k.errno=="number"&&typeof k.syscall=="string"?L.localize(1,null,k.message):k.message||L.localize(2,null)}function m(k=null,b=!1){if(!k)return L.localize(3,null);if(Array.isArray(k)){const p=w.coalesce(k),t=m(p[0],b);return p.length>1?L.localize(4,null,t,p.length):t}if(n.isString(k))return k;if(k.detail){const p=k.detail;if(p.error)return D(p.error,b);if(p.exception)return D(p.exception,b)}return k.stack?D(k,b):k.message?k.message:L.localize(5,null)}e.toErrorMessage=m;function E(k){const b=k;return b instanceof Error&&Array.isArray(b.actions)}e.isErrorWithActions=E;function I(k,b=Object.create(null)){const p=new Error(k);return b.actions&&(p.actions=b.actions),p}e.createErrorWithActions=I}),define(Z[134],x([13,11]),function(V,e){return V.create("vs/base/common/keybindingLabels",e)}),define(Z[135],x([0,1,134]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserSettingsLabelProvider=e.ElectronAcceleratorLabelProvider=e.AriaLabelProvider=e.UILabelProvider=e.ModifierLabelProvider=void 0;class n{constructor(P,S,m=S){this.modifierLabels=[null],this.modifierLabels[2]=P,this.modifierLabels[1]=S,this.modifierLabels[3]=m}toLabel(P,S,m){if(S.length===0)return null;const E=[];for(let I=0,k=S.length;I<k;I++){const b=S[I],p=m(b);if(p===null)return null;E[I]=L(b,p,this.modifierLabels[P])}return E.join(" ")}}e.ModifierLabelProvider=n,e.UILabelProvider=new n({ctrlKey:"\u2303",shiftKey:"\u21E7",altKey:"\u2325",metaKey:"\u2318",separator:""},{ctrlKey:w.localize(0,null),shiftKey:w.localize(1,null),altKey:w.localize(2,null),metaKey:w.localize(3,null),separator:"+"},{ctrlKey:w.localize(4,null),shiftKey:w.localize(5,null),altKey:w.localize(6,null),metaKey:w.localize(7,null),separator:"+"}),e.AriaLabelProvider=new n({ctrlKey:w.localize(8,null),shiftKey:w.localize(9,null),altKey:w.localize(10,null),metaKey:w.localize(11,null),separator:"+"},{ctrlKey:w.localize(12,null),shiftKey:w.localize(13,null),altKey:w.localize(14,null),metaKey:w.localize(15,null),separator:"+"},{ctrlKey:w.localize(16,null),shiftKey:w.localize(17,null),altKey:w.localize(18,null),metaKey:w.localize(19,null),separator:"+"}),e.ElectronAcceleratorLabelProvider=new n({ctrlKey:"Ctrl",shiftKey:"Shift",altKey:"Alt",metaKey:"Cmd",separator:"+"},{ctrlKey:"Ctrl",shiftKey:"Shift",altKey:"Alt",metaKey:"Super",separator:"+"}),e.UserSettingsLabelProvider=new n({ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"cmd",separator:"+"},{ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"win",separator:"+"},{ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"meta",separator:"+"});function L(D,P,S){if(P===null)return"";const m=[];return D.ctrlKey&&m.push(S.ctrlKey),D.shiftKey&&m.push(S.shiftKey),D.altKey&&m.push(S.altKey),D.metaKey&&m.push(S.metaKey),P!==""&&m.push(P),m.join(S.separator)}}),define(Z[136],x([13,11]),function(V,e){return V.create("vs/base/node/processes",e)}),define(Z[72],x([0,1,45,28,10,49,7,3,36,84,14,120,24,136]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.removeDangerousEnvVariables=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return E.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return E.TerminateResponseCode}});function t(o){switch(o){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function d(o,u){if(S.isWindows)try{const r={stdio:["pipe","pipe","ignore"]};u&&(r.cwd=u);const i=w.execFile("taskkill",["/T","/F","/PID",o.pid.toString()],r);return new Promise(s=>{i.once("error",a=>{s({success:!1,error:a})}),i.once("exit",(a,l)=>{s(a===0?{success:!0}:{success:!1,code:a!==null?a:1})})})}catch(r){return Promise.resolve({success:!1,error:r,code:r.status?t(r.status):1})}else if(S.isLinux||S.isMacintosh)try{const r=L.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",V).fsPath;return new Promise(i=>{w.execFile(r,[o.pid.toString()],{encoding:"utf8",shell:!0},(s,a,l)=>{i(s?{success:!1,error:s}:{success:!0})})})}catch(r){return Promise.resolve({success:!1,error:r})}else o.kill("SIGKILL");return Promise.resolve({success:!0})}function g(o){!o||(delete o.DEBUG,S.isMacintosh&&delete o.DYLD_LIBRARY_PATH,S.isLinux&&delete o.LD_PRELOAD)}e.removeDangerousEnvVariables=g;function v(o=m.env){return o.comspec||"cmd.exe"}e.getWindowsShell=v;class M{constructor(u,r,i,s){if(r!==void 0&&i!==void 0&&s!==void 0)this.cmd=u,this.args=r,this.shell=i,this.options=s;else{const a=u;this.cmd=a.command,this.shell=a.isShellCommand,this.args=a.args.slice(0),this.options=a.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const a=Object.create(null);Object.keys(m.env).forEach(l=>{a[l]=m.env[l]}),Object.keys(this.options.env).forEach(l=>{a[l]=this.options.env[l]}),this.options.env=a}}getSanitizedCommand(){let u=this.cmd.toLowerCase();const r=u.lastIndexOf(P.sep);return r!==-1&&(u=u.substring(r+1)),M.WellKnowCommands[u]?u:"other"}start(u){return S.isWindows&&(this.options&&this.options.cwd&&n.isUNC(this.options.cwd)||!this.options&&n.isUNC(m.cwd()))?Promise.reject(new Error(p.localize(0,null))):this.useExec().then(r=>{let i,s;const a=new Promise((l,y)=>{i=l,s=y});if(r){let l=this.cmd;this.args&&(l=l+" "+this.args.join(" ")),this.childProcess=w.exec(l,this.options,(y,C,R)=>{this.childProcess=null;const T=y;T&&T.killed?s({killed:this.terminateRequested,stdout:C.toString(),stderr:R.toString()}):this.handleExec(i,u,y,C,R)})}else{let l=null;const y=C=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(C,i,u,s);const R={terminated:this.terminateRequested};I.isNumber(C)&&(R.cmdCode=C),i(R)};if(this.shell&&S.isWindows){const C=D.deepClone(this.options);C.windowsVerbatimArguments=!0,C.detached=!1;let R=!1,T=!1;const U=[];let Y=this.ensureQuotes(this.cmd);U.push(Y.value),R=Y.quoted,this.args&&this.args.forEach(X=>{Y=this.ensureQuotes(X),U.push(Y.value),T=T&&Y.quoted});const ee=["/s","/c"];R?T?ee.push('"'+U.join(" ")+'"'):U.length>1?ee.push('"'+U[0]+'" '+U.slice(1).join(" ")):ee.push('"'+U[0]+'"'):ee.push(U.join(" ")),l=w.spawn(v(),ee,C)}else this.cmd&&(l=w.spawn(this.cmd,this.args,this.options));l&&(this.childProcess=l,this.childProcessPromise=Promise.resolve(l),this.pidResolve&&(this.pidResolve(I.isNumber(l.pid)?l.pid:-1),this.pidResolve=void 0),l.on("error",C=>{this.childProcess=null,s({terminated:this.terminateRequested,error:C})}),l.pid&&(this.childProcess.on("close",y),this.handleSpawn(l,i,u,s,!0)))}return a})}handleClose(u,r,i,s){}ensureQuotes(u){return M.regexp.test(u)?{value:'"'+u+'"',quoted:!0}:{value:u,quoted:u.length>0&&u[0]==='"'&&u[u.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(u=>u.pid,u=>-1):new Promise(u=>{this.pidResolve=u})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(u=>(this.terminateRequested=!0,d(u,this.options.cwd).then(r=>(r.success&&(this.childProcess=null),r))),u=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(u=>{if(!this.shell||!S.isWindows)return u(!1);const r=w.spawn(v(),["/s","/c"]);r.on("error",i=>u(!0)),r.on("exit",i=>u(!1))})}}e.AbstractProcess=M,M.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},M.regexp=/^[^"].* .*[^"]/;class f extends M{constructor(u,r,i,s){super(u,r,i,s);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(u,r,i,s,a){[s,a].forEach((l,y)=>{const C=new k.LineDecoder;C.write(l).forEach(U=>{r({line:U,source:y===0?0:1})});const T=C.end();T&&r({line:T,source:y===0?0:1})}),u({terminated:this.terminateRequested,error:i})}handleSpawn(u,r,i,s,a){const l=new k.LineDecoder,y=new k.LineDecoder;u.stdout.on("data",C=>{l.write(C).forEach(T=>i({line:T,source:0}))}),u.stderr.on("data",C=>{y.write(C).forEach(T=>i({line:T,source:1}))}),this.stdoutLineDecoder=l,this.stderrLineDecoder=y}handleClose(u,r,i,s){const a=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;a&&i({line:a,source:0});const l=this.stderrLineDecoder?this.stderrLineDecoder.end():null;l&&i({line:l,source:1})}}e.LineProcess=f;function h(o){let u=[],r=!1;const i=function(s){if(r){u.push(s);return}(!o.send(s,l=>{if(l&&console.error(l),r=!1,u.length>0){const y=u.slice(0);u=[],y.forEach(C=>i(C))}})||S.isWindows)&&(r=!0)};return{send:i}}e.createQueuedSender=h;var c;(function(o){async function u(r,i,s){if(P.isAbsolute(r))return r;if(i===void 0&&(i=m.cwd()),P.dirname(r)!=="."||(s===void 0&&I.isString(m.env.PATH)&&(s=m.env.PATH.split(P.delimiter)),s===void 0||s.length===0))return P.join(i,r);async function l(y){if(await b.Promises.exists(y)){let C;try{C=await b.Promises.stat(y)}catch(R){R.message.startsWith("EACCES")&&(C=await b.Promises.lstat(y))}return C?!C.isDirectory():!1}return!1}for(let y of s){let C;if(P.isAbsolute(y)?C=P.join(y,r):C=P.join(i,y,r),await l(C))return C;let R=C+".com";if(await l(R)||(R=C+".exe",await l(R)))return R}return P.join(i,r)}o.findExecutable=u})(c=e.win32||(e.win32={}))}),define(Z[137],x([0,1,26,3,124,72]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function P(p,t){return p===1?n.isWindows?k():D.getWindowsShell(t):E(p,t)}e.getSystemShell=P;function S(p,t){return p===1?n.isWindows?b(t):D.getWindowsShell(t):E(p,t)}e.getSystemShellSync=S;let m=null;function E(p,t){if(n.isLinux&&p===2||n.isMacintosh&&p===3)return"/bin/bash";if(!m){let d;if(n.isWindows)d="/bin/bash";else{if(d=t.SHELL,!d)try{d=(0,w.userInfo)().shell}catch{}d||(d="sh"),d==="/bin/false"&&(d="/bin/bash")}m=d}return m}let I=null;async function k(){return I||(I=(await(0,L.getFirstAvailablePowerShellInstallation)()).exePath),I}function b(p){if(I)return I;const t=n.isWindows&&parseFloat((0,w.release)())>=10,d=p.hasOwnProperty("PROCESSOR_ARCHITEW6432"),g=`${p.windir}\\${d?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return t?g:D.getWindowsShell(p)}}),define(Z[138],x([0,1,45,9,16,23,114,15,4,2,49,72,37]),function(V,e,w,n,L,D,P,S,m,E,I,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class p extends b.ChannelServer{constructor(g){super({send:v=>{try{process.send&&process.send(v.buffer.toString("base64"))}catch{}},onMessage:m.Event.fromNodeEventEmitter(process,"message",v=>L.VSBuffer.wrap(Buffer.from(v,"base64")))},g);process.once("disconnect",()=>this.dispose())}}e.Server=p;class t{constructor(g,v){this.modulePath=g,this.options=v,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new m.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const M=v&&v.timeout?v.timeout:6e4;this.disposeDelayer=new n.Delayer(M),this.child=null,this._client=null}getChannel(g){const v=this;return{call(M,f,h){return v.requestPromise(g,M,f,h)},listen(M,f){return v.requestEvent(g,M,f)}}}requestPromise(g,v,M,f=D.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(f.isCancellationRequested)return Promise.reject(S.canceled());this.disposeDelayer.cancel();const h=this.getCachedChannel(g),c=(0,n.createCancelablePromise)(r=>h.call(v,M,r)),o=f.onCancellationRequested(()=>c.cancel()),u=(0,E.toDisposable)(()=>c.cancel());return this.activeRequests.add(u),c.finally(()=>{o.dispose(),this.activeRequests.delete(u),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),c}requestEvent(g,v,M){if(!this.disposeDelayer)return m.Event.None;this.disposeDelayer.cancel();let f;const h=new m.Emitter({onFirstListenerAdd:()=>{f=this.getCachedChannel(g).listen(v,M)(h.fire,h),this.activeRequests.add(f)},onLastListenerRemove:()=>{this.activeRequests.delete(f),f.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return h.event}get client(){if(!this._client){const g=this.options&&this.options.args?this.options.args:[],v=Object.create(null);v.env={...(0,I.deepClone)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(v.env={...v.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(v.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(v.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(v.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),v.execArgv===void 0&&(v.execArgv=process.execArgv.filter(i=>!/^--inspect(-brk)?=/.test(i))),(0,k.removeDangerousEnvVariables)(v.env),this.child=(0,w.fork)(this.modulePath,g,v);const M=new m.Emitter;m.Event.fromNodeEventEmitter(this.child,"message",i=>i)(i=>{if((0,P.isRemoteConsoleLog)(i)){(0,P.log)(i,`IPC Library: ${this.options.serverName}`);return}M.fire(L.VSBuffer.wrap(Buffer.from(i,"base64")))});const h=this.options.useQueue?(0,k.createQueuedSender)(this.child):this.child,c=i=>this.child&&this.child.connected&&h.send(i.buffer.toString("base64")),o=M.event,u={send:c,onMessage:o};this._client=new b.ChannelClient(u);const r=()=>this.disposeClient();process.once("exit",r),this.child.on("error",i=>console.warn('IPC "'+this.options.serverName+'" errored with '+i)),this.child.on("exit",(i,s)=>{process.removeListener("exit",r),this.activeRequests.forEach(a=>(0,E.dispose)(a)),this.activeRequests.clear(),i!==0&&s!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+i+" and signal "+s),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:i,signal:s})})}return this._client}getCachedChannel(g){let v=this.channels.get(g);return v||(v=this.client.getChannel(g),this.channels.set(g,v)),v}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=t}),define(Z[139],x([13,11]),function(V,e){return V.create("vs/code/electron-main/app",e)}),define(Z[140],x([13,11]),function(V,e){return V.create("vs/platform/configuration/common/configurationRegistry",e)}),define(Z[141],x([13,11]),function(V,e){return V.create("vs/platform/dialogs/electron-main/dialogMainService",e)}),define(Z[142],x([13,11]),function(V,e){return V.create("vs/platform/environment/node/argv",e)}),define(Z[143],x([13,11]),function(V,e){return V.create("vs/platform/environment/node/argvHelper",e)}),define(Z[144],x([13,11]),function(V,e){return V.create("vs/platform/externalTerminal/node/externalTerminalService",e)}),define(Z[145],x([13,11]),function(V,e){return V.create("vs/platform/files/common/fileService",e)}),define(Z[146],x([13,11]),function(V,e){return V.create("vs/platform/files/common/files",e)}),define(Z[147],x([13,11]),function(V,e){return V.create("vs/platform/files/common/io",e)}),define(Z[148],x([13,11]),function(V,e){return V.create("vs/platform/files/electron-main/diskFileSystemProviderServer",e)}),define(Z[149],x([13,11]),function(V,e){return V.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(Z[150],x([13,11]),function(V,e){return V.create("vs/platform/issue/electron-main/issueMainService",e)}),define(Z[151],x([13,11]),function(V,e){return V.create("vs/platform/menubar/electron-main/menubar",e)}),define(Z[152],x([13,11]),function(V,e){return V.create("vs/platform/native/electron-main/nativeHostMainService",e)}),define(Z[153],x([13,11]),function(V,e){return V.create("vs/platform/request/common/request",e)}),define(Z[154],x([13,11]),function(V,e){return V.create("vs/platform/telemetry/common/telemetryService",e)}),define(Z[155],x([13,11]),function(V,e){return V.create("vs/platform/terminal/node/shellEnv",e)}),define(Z[156],x([13,11]),function(V,e){return V.create("vs/platform/update/common/update.config.contribution",e)}),define(Z[157],x([13,11]),function(V,e){return V.create("vs/platform/windows/electron-main/window",e)}),define(Z[158],x([13,11]),function(V,e){return V.create("vs/platform/windows/electron-main/windowsMainService",e)}),define(Z[159],x([13,11]),function(V,e){return V.create("vs/platform/workspace/common/workspace",e)}),define(Z[160],x([13,11]),function(V,e){return V.create("vs/platform/workspaces/electron-main/workspacesHistoryMainService",e)}),define(Z[161],x([13,11]),function(V,e){return V.create("vs/platform/workspaces/electron-main/workspacesManagementMainService",e)}),define(Z[162],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isWorkspaceBackupInfo=e.isFolderBackupInfo=void 0;function w(L){return L&&L.hasOwnProperty("folderUri")}e.isFolderBackupInfo=w;function n(L){return L&&L.hasOwnProperty("workspace")}e.isWorkspaceBackupInfo=n}),define(Z[163],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEmptyWindowBackupInfo=void 0;function w(n){return typeof n?.backupFolder=="string"}e.isEmptyWindowBackupInfo=w}),define(Z[164],x([0,1,4,2]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostDebugChannelClient=e.ExtensionHostDebugBroadcastChannel=void 0;class L{constructor(){this._onCloseEmitter=new w.Emitter,this._onReloadEmitter=new w.Emitter,this._onTerminateEmitter=new w.Emitter,this._onAttachEmitter=new w.Emitter}call(S,m,E){switch(m){case"close":return Promise.resolve(this._onCloseEmitter.fire({sessionId:E[0]}));case"reload":return Promise.resolve(this._onReloadEmitter.fire({sessionId:E[0]}));case"terminate":return Promise.resolve(this._onTerminateEmitter.fire({sessionId:E[0]}));case"attach":return Promise.resolve(this._onAttachEmitter.fire({sessionId:E[0],port:E[1],subId:E[2]}))}throw new Error("Method not implemented.")}listen(S,m,E){switch(m){case"close":return this._onCloseEmitter.event;case"reload":return this._onReloadEmitter.event;case"terminate":return this._onTerminateEmitter.event;case"attach":return this._onAttachEmitter.event}throw new Error("Method not implemented.")}}e.ExtensionHostDebugBroadcastChannel=L,L.ChannelName="extensionhostdebugservice";class D extends n.Disposable{constructor(S){super();this.channel=S}reload(S){this.channel.call("reload",[S])}get onReload(){return this.channel.listen("reload")}close(S){this.channel.call("close",[S])}get onClose(){return this.channel.listen("close")}attachSession(S,m,E){this.channel.call("attach",[S,m,E])}get onAttachSession(){return this.channel.listen("attach")}terminateSession(S,m){this.channel.call("terminate",[S,m])}get onTerminateSession(){return this.channel.listen("terminate")}openExtensionDevelopmentHostWindow(S,m){return this.channel.call("openExtensionDevelopmentHostWindow",[S,m])}}e.ExtensionHostDebugChannelClient=D}),define(Z[165],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowDriverRegistryChannelClient=e.WindowDriverChannelClient=e.WindowDriverChannel=void 0;class w{constructor(P){this.driver=P}listen(P,S){throw new Error(`No event found: ${S}`)}call(P,S,m){switch(S){case"click":return this.driver.click(m[0],m[1],m[2]);case"doubleClick":return this.driver.doubleClick(m);case"setValue":return this.driver.setValue(m[0],m[1]);case"getTitle":return this.driver.getTitle();case"isActiveElement":return this.driver.isActiveElement(m);case"getElements":return this.driver.getElements(m[0],m[1]);case"getElementXY":return this.driver.getElementXY(m[0],m[1],m[2]);case"typeInEditor":return this.driver.typeInEditor(m[0],m[1]);case"getTerminalBuffer":return this.driver.getTerminalBuffer(m);case"writeInTerminal":return this.driver.writeInTerminal(m[0],m[1]);case"getLocaleInfo":return this.driver.getLocaleInfo();case"getLocalizedStrings":return this.driver.getLocalizedStrings()}throw new Error(`Call not found: ${S}`)}}e.WindowDriverChannel=w;class n{constructor(P){this.channel=P}click(P,S,m){return this.channel.call("click",[P,S,m])}doubleClick(P){return this.channel.call("doubleClick",P)}setValue(P,S){return this.channel.call("setValue",[P,S])}getTitle(){return this.channel.call("getTitle")}isActiveElement(P){return this.channel.call("isActiveElement",P)}getElements(P,S){return this.channel.call("getElements",[P,S])}getElementXY(P,S,m){return this.channel.call("getElementXY",[P,S,m])}typeInEditor(P,S){return this.channel.call("typeInEditor",[P,S])}getTerminalBuffer(P){return this.channel.call("getTerminalBuffer",P)}writeInTerminal(P,S){return this.channel.call("writeInTerminal",[P,S])}getLocaleInfo(){return this.channel.call("getLocaleInfo")}getLocalizedStrings(){return this.channel.call("getLocalizedStrings")}}e.WindowDriverChannelClient=n;class L{constructor(P){this.channel=P}registerWindowDriver(P){return this.channel.call("registerWindowDriver",P)}reloadWindowDriver(P){return this.channel.call("reloadWindowDriver",P)}}e.WindowDriverRegistryChannelClient=L}),define(Z[166],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EncryptionMainService=void 0;class w{constructor(L){this.machineId=L}encryption(){return new Promise((L,D)=>V(["vscode-encrypt"],L,D))}async encrypt(L){try{return(await this.encryption()).encrypt(this.machineId,L)}catch{return L}}async decrypt(L){try{return(await this.encryption()).decrypt(this.machineId,L)}catch{return L}}}e.EncryptionMainService=w}),define(Z[167],x([0,1,132,46,10,7,36,17,8]),function(V,e,w,n,L,D,P,S,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parsePtyHostPort=e.parseSearchPort=e.parseExtensionHostPort=e.AbstractNativeEnvironmentService=void 0;class E{constructor(d,g,v){this._args=d,this.paths=g,this.productService=v}get appRoot(){return(0,D.dirname)(L.FileAccess.asFileUri("",V).fsPath)}get userHome(){return m.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return m.URI.file((0,D.join)(this.userDataPath,"User"))}get tmpDir(){return m.URI.file(this.paths.tmpDir)}get cacheHome(){return m.URI.file(this.userDataPath)}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return(0,S.joinPath)(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return(0,S.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const d=(0,w.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,D.join)(this.userDataPath,"logs",d)}return this.args.logsPath}get userDataSyncLogResource(){return m.URI.file((0,D.join)(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,S.joinPath)(m.URI.file((0,D.join)(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return m.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return m.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return(0,S.joinPath)(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return(0,S.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const d=P.env.VSCODE_PORTABLE;return d?m.URI.file((0,D.join)(d,"argv.json")):(0,S.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get snippetsHome(){return(0,S.joinPath)(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return m.URI.file((0,D.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,D.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const d=this.args["builtin-extensions-dir"];return d?(0,D.resolve)(d):(0,D.normalize)((0,D.join)(L.FileAccess.asFileUri("",V).fsPath,"..","extensions"))}get extensionsDownloadPath(){const d=this.args["extensions-download-dir"];return d?(0,D.resolve)(d):(0,D.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const d=this.args["extensions-dir"];if(d)return(0,D.resolve)(d);const g=P.env.VSCODE_EXTENSIONS;if(g)return g;const v=P.env.VSCODE_PORTABLE;return v?(0,D.join)(v,"extensions"):(0,S.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const d=this.args.extensionDevelopmentPath;if(Array.isArray(d))return d.map(g=>/^[^:/?#]+?:\/\//.test(g)?m.URI.parse(g):m.URI.file((0,D.normalize)(g)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(d=>d==="ui"||d==="workspace"||d==="web"?d:"workspace")}get extensionTestsLocationURI(){const d=this.args.extensionTestsPath;if(d)return/^[^:/?#]+?:\/\//.test(d)?m.URI.parse(d):m.URI.file((0,D.normalize)(d))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const d=this.args["disable-extension"];if(d){if(typeof d=="string")return[d];if(Array.isArray(d)&&d.length>0)return d}return!1}get debugExtensionHost(){return I(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!P.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,S.joinPath)(m.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get driverHandle(){return this.args.driver}get telemetryLogResource(){return m.URI.file((0,D.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get args(){return this._args}}ue([n.memoize],E.prototype,"appRoot",null),ue([n.memoize],E.prototype,"userHome",null),ue([n.memoize],E.prototype,"userDataPath",null),ue([n.memoize],E.prototype,"appSettingsHome",null),ue([n.memoize],E.prototype,"tmpDir",null),ue([n.memoize],E.prototype,"cacheHome",null),ue([n.memoize],E.prototype,"userRoamingDataHome",null),ue([n.memoize],E.prototype,"settingsResource",null),ue([n.memoize],E.prototype,"userDataSyncHome",null),ue([n.memoize],E.prototype,"userDataSyncLogResource",null),ue([n.memoize],E.prototype,"sync",null),ue([n.memoize],E.prototype,"machineSettingsResource",null),ue([n.memoize],E.prototype,"globalStorageHome",null),ue([n.memoize],E.prototype,"workspaceStorageHome",null),ue([n.memoize],E.prototype,"keybindingsResource",null),ue([n.memoize],E.prototype,"keyboardLayoutResource",null),ue([n.memoize],E.prototype,"argvResource",null),ue([n.memoize],E.prototype,"snippetsHome",null),ue([n.memoize],E.prototype,"isExtensionDevelopment",null),ue([n.memoize],E.prototype,"untitledWorkspacesHome",null),ue([n.memoize],E.prototype,"installSourcePath",null),ue([n.memoize],E.prototype,"builtinExtensionsPath",null),ue([n.memoize],E.prototype,"extensionsPath",null),ue([n.memoize],E.prototype,"extensionDevelopmentLocationURI",null),ue([n.memoize],E.prototype,"extensionDevelopmentKind",null),ue([n.memoize],E.prototype,"extensionTestsLocationURI",null),ue([n.memoize],E.prototype,"debugExtensionHost",null),ue([n.memoize],E.prototype,"serviceMachineIdResource",null),ue([n.memoize],E.prototype,"telemetryLogResource",null),ue([n.memoize],E.prototype,"disableWorkspaceTrust",null),e.AbstractNativeEnvironmentService=E;function I(t,d){return p(t["inspect-extensions"],t["inspect-brk-extensions"],5870,d,t.debugId,t.extensionEnvironment)}e.parseExtensionHostPort=I;function k(t,d){return p(t["inspect-search"],t["inspect-brk-search"],5876,d,t.extensionEnvironment)}e.parseSearchPort=k;function b(t,d){return p(t["inspect-ptyhost"],t["inspect-brk-ptyhost"],5877,d,t.extensionEnvironment)}e.parsePtyHostPort=b;function p(t,d,g,v,M,f){const c=Number(d||t)||(v?null:g),o=c?Boolean(!!d):!1;let u;if(f)try{u=JSON.parse(f)}catch{}return{port:c,break:o,debugId:M,env:u}}}),define(Z[91],x([0,1,250,3,142]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buildVersionMessage=e.buildHelpMessage=e.formatOptions=e.parseArgs=e.OPTIONS=void 0;const D={o:(0,L.localize)(0,null),e:(0,L.localize)(1,null),t:(0,L.localize)(2,null)};e.OPTIONS={diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:(0,L.localize)(3,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:(0,L.localize)(4,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:(0,L.localize)(5,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:(0,L.localize)(6,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:(0,L.localize)(7,null)},wait:{type:"boolean",cat:"o",alias:"w",description:(0,L.localize)(8,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:(0,L.localize)(9,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:(0,L.localize)(10,null)},help:{type:"boolean",cat:"o",alias:"h",description:(0,L.localize)(11,null)},"extensions-dir":{type:"string",deprecates:["extensionHomePath"],cat:"e",args:"dir",description:(0,L.localize)(12,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:(0,L.localize)(13,null)},"show-versions":{type:"boolean",cat:"e",description:(0,L.localize)(14,null)},category:{type:"string",cat:"e",description:(0,L.localize)(15,null),args:"category"},"install-extension":{type:"string[]",cat:"e",args:"ext-id | path",description:(0,L.localize)(16,null)},"pre-release":{type:"boolean",cat:"e",description:(0,L.localize)(17,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"ext-id",description:(0,L.localize)(18,null)},"enable-proposed-api":{type:"string[]",cat:"e",args:"ext-id",description:(0,L.localize)(19,null)},version:{type:"boolean",cat:"t",alias:"v",description:(0,L.localize)(20,null)},verbose:{type:"boolean",cat:"t",description:(0,L.localize)(21,null)},log:{type:"string",cat:"t",args:"level",description:(0,L.localize)(22,null)},status:{type:"boolean",alias:"s",cat:"t",description:(0,L.localize)(23,null)},"prof-startup":{type:"boolean",cat:"t",description:(0,L.localize)(24,null)},"prof-append-timers":{type:"string"},"no-cached-data":{type:"boolean"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:["disableExtensions"],cat:"t",description:(0,L.localize)(25,null)},"disable-extension":{type:"string[]",cat:"t",args:"ext-id",description:(0,L.localize)(26,null)},sync:{type:"string",cat:"t",description:(0,L.localize)(27,null),args:["on | off"]},"inspect-extensions":{type:"string",deprecates:["debugPluginHost"],args:"port",cat:"t",description:(0,L.localize)(28,null)},"inspect-brk-extensions":{type:"string",deprecates:["debugBrkPluginHost"],args:"port",cat:"t",description:(0,L.localize)(29,null)},"disable-gpu":{type:"boolean",cat:"t",description:(0,L.localize)(30,null)},"ms-enable-electron-run-as-node":{type:"boolean"},"max-memory":{type:"string",cat:"t",description:(0,L.localize)(31,null),args:"memory"},telemetry:{type:"boolean",cat:"t",description:(0,L.localize)(32,null)},remote:{type:"string"},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionDevelopmentKind:{type:"string[]"},extensionTestsPath:{type:"string"},extensionEnvironment:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-ptyhost":{type:"string"},"inspect-brk-ptyhost":{type:"string"},"inspect-search":{type:"string",deprecates:["debugSearch"]},"inspect-brk-search":{type:"string",deprecates:["debugBrkSearch"]},"export-default-configuration":{type:"string"},"install-source":{type:"string"},driver:{type:"string"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"skip-welcome":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"disable-keytar":{type:"boolean"},"disable-workspace-trust":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"driver-verbose":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},__sandbox:{type:"boolean"},logsPath:{type:"string"},"no-proxy-server":{type:"boolean"},"no-sandbox":{type:"boolean",alias:"sandbox"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string"},"inspect-brk":{type:"string"},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},vmodule:{type:"string"},_urls:{type:"string[]"},"disable-dev-shm-usage":{type:"boolean"},_:{type:"string[]"}};const P={onUnknownOption:()=>{},onMultipleValues:()=>{},onDeprecatedOption:()=>{}};function S(t,d,g=P){const v={},M=[],f=[];for(let u in d){const r=d[u];r.alias&&(v[u]=r.alias),r.type==="string"||r.type==="string[]"?(M.push(u),r.deprecates&&M.push(...r.deprecates)):r.type==="boolean"&&(f.push(u),r.deprecates&&f.push(...r.deprecates))}const h=w(t,{string:M,boolean:f,alias:v}),c={},o=h;c._=h._.map(u=>String(u)).filter(u=>u.length>0),delete o._;for(let u in d){const r=d[u];r.alias&&delete o[r.alias];let i=o[u];if(r.deprecates)for(const s of r.deprecates)o.hasOwnProperty(s)&&(i||(i=o[s],i&&g.onDeprecatedOption(s,r.deprecationMessage||(0,L.localize)(33,null))),delete o[s]);typeof i!="undefined"&&(r.type==="string[]"?i&&!Array.isArray(i)&&(i=[i]):r.type==="string"&&Array.isArray(i)&&(i=i.pop(),g.onMultipleValues(u,i)),c[u]=i,r.deprecationMessage&&g.onDeprecatedOption(u,r.deprecationMessage)),delete o[u]}for(let u in o)g.onUnknownOption(u);return c}e.parseArgs=S;function m(t,d){let g="";return d.args&&(Array.isArray(d.args)?g=` <${d.args.join("> <")}>`:g=` <${d.args}>`),d.alias?`-${d.alias} --${t}${g}`:`--${t}${g}`}function E(t,d){let g=0,v=[];for(const c in t){const o=t[c],u=m(c,o);g=Math.max(g,u.length),v.push([u,o.description])}let M=g+2+1;if(d-M<25)return v.reduce((c,o)=>c.concat([`  ${o[0]}`,`      ${o[1]}`]),[]);let f=d-M-1,h=[];for(const c of v){let o=c[0],u=k(c[1],f),r=I(M-o.length-2);h.push("  "+o+r+u[0]);for(let i=1;i<u.length;i++)h.push(I(M)+u[i])}return h}e.formatOptions=E;function I(t){return" ".repeat(t)}function k(t,d){let g=[];for(;t.length;){let v=t.length<d?t.length:t.lastIndexOf(" ",d),M=t.slice(0,v).trim();t=t.slice(v),g.push(M)}return g}function b(t,d,g,v,M){const f=process.stdout.isTTY&&process.stdout.columns||80,h=M?.noInputFiles!==!0?`[${(0,L.localize)(34,null)}...]`:"",c=[`${t} ${g}`];c.push(""),c.push(`${(0,L.localize)(35,null)}: ${d} [${(0,L.localize)(36,null)}]${h}`),c.push(""),M?.noPipe!==!0&&(n.isWindows?c.push((0,L.localize)(37,null,d)):c.push((0,L.localize)(38,null,d)),c.push(""));const o={};for(const u in v){const r=v[u];if(r.description&&r.cat){let i=o[r.cat];i||(o[r.cat]=i={}),i[u]=r}}for(let u in o){const r=u;let i=o[r];i&&(c.push(D[r]),c.push(...E(i,f)),c.push(""))}return c.join(`
`)}e.buildHelpMessage=b;function p(t,d){return`${t||(0,L.localize)(39,null)}
${d||(0,L.localize)(40,null)}
${process.arch}`}e.buildVersionMessage=p}),define(Z[168],x([0,1,61,164,91]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronExtensionHostDebugBroadcastChannel=void 0;class D extends n.ExtensionHostDebugBroadcastChannel{constructor(S){super();this.windowsMainService=S}call(S,m,E){return m==="openExtensionDevelopmentHostWindow"?this.openExtensionDevelopmentHostWindow(E[0],E[1]):super.call(S,m,E)}async openExtensionDevelopmentHostWindow(S,m){const E=(0,L.parseArgs)(S,L.OPTIONS);E.debugRenderer=m;const I=E.extensionDevelopmentPath;if(!I)return{success:!1};const[k]=this.windowsMainService.openExtensionDevelopmentHostWindow(I,{context:5,cli:E});if(!m)return{success:!0};const b=k.win;if(!b)return{success:!0};const p=b.webContents.debugger;let t=p.isAttached()?1/0:0;const d=(0,w.createServer)(g=>{t++==0&&p.attach();let v=!1;const M=c=>{v||g.write(JSON.stringify(c)+"\0")},f=(c,o,u,r)=>M({method:o,params:u,sessionId:r});b.on("close",()=>{p.removeListener("message",f),g.end(),v=!0}),p.addListener("message",f);let h=Buffer.alloc(0);g.on("data",c=>{h=Buffer.concat([h,c]);for(let o=h.indexOf(0);o!==-1;o=h.indexOf(0)){let u;try{const r=h.slice(0,o).toString("utf8");h=h.slice(o+1),u=JSON.parse(r)}catch(r){console.error("error reading cdp line",r)}p.sendCommand(u.method,u.params,u.sessionId).then(r=>M({id:u.id,sessionId:u.sessionId,result:r})).catch(r=>M({id:u.id,sessionId:u.sessionId,error:{code:0,message:r.message}}))}}),g.on("error",c=>{console.error("error on cdp pipe:",c)}),g.on("close",()=>{v=!0,--t==0&&p.detach()})});return await new Promise(g=>d.listen(0,g)),b.on("close",()=>d.close()),{rendererDebugPort:d.address().port,success:!0}}}e.ElectronExtensionHostDebugBroadcastChannel=D}),define(Z[50],x([0,1,251,143,91]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLaunchedFromCli=e.addArg=e.parseCLIProcessArgv=e.parseMainProcessArgv=void 0;const D=2048;function P(b,p){const t={onUnknownOption:g=>{console.warn((0,n.localize)(0,null,g))},onMultipleValues:(g,v)=>{console.warn((0,n.localize)(1,null,g,v))},onDeprecatedOption:(g,v)=>{console.warn((0,n.localize)(2,null,g,v))}},d=(0,L.parseArgs)(b,L.OPTIONS,p?t:void 0);return d.goto&&d._.forEach(g=>w(/^(\w:)?[^:]+(:\d*){0,2}$/.test(g),(0,n.localize)(3,null))),d["max-memory"]&&w(parseInt(d["max-memory"])>=D,`The max-memory argument cannot be specified lower than ${D} MB.`),d}function S(b){const p=b.findIndex(t=>!/^-/.test(t));if(p>-1)return[...b.slice(0,p),...b.slice(p+1)]}function m(b){let[,...p]=b;process.env.VSCODE_DEV&&(p=S(p)||[]);const t=!k(process.env);return P(p,t)}e.parseMainProcessArgv=m;function E(b){const[,,...p]=b;return P(p,!0)}e.parseCLIProcessArgv=E;function I(b,...p){const t=b.indexOf("--");return t===-1?b.push(...p):b.splice(t,0,...p),b}e.addArg=I;function k(b){return b.VSCODE_CLI==="1"}e.isLaunchedFromCli=k}),function(){"use strict";function V(e,w,n,L){function D(S){const m=P(S),E=[m];return e.isAbsolute(m)||E.unshift(L),e.resolve(...E)}function P(S){const m=process.env.VSCODE_PORTABLE;if(m)return e.join(m,"user-data");let E=process.env.VSCODE_APPDATA;if(E)return e.join(E,n);const I=S["user-data-dir"];if(I)return I;switch(process.platform){case"win32":if(E=process.env.APPDATA,!E){const k=process.env.USERPROFILE;if(typeof k!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");E=e.join(k,"AppData","Roaming")}break;case"darwin":E=e.join(w.homedir(),"Library","Application Support");break;case"linux":E=process.env.XDG_CONFIG_HOME||e.join(w.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(E,n)}return{getUserDataPath:D}}if(typeof define=="function")define(Z[169],x([0,252,26,10,17,36]),function(e,w,n,L,D,P){const S=D.dirname(L.FileAccess.asFileUri("",e)),m=e.__$__nodeRequire(D.joinPath(S,"package.json").fsPath);return V(w,n,m.name,P.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../../package.json"),w=require("path"),n=require("os");module.exports=V(w,n,e.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(Z[170],x([0,1,26,167,169]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeEnvironmentService=void 0;class D extends n.AbstractNativeEnvironmentService{constructor(S,m){super(S,{homeDir:(0,w.homedir)(),tmpDir:(0,w.tmpdir)(),userDataDir:(0,L.getUserDataPath)(S)},m)}}e.NativeEnvironmentService=D}),define(Z[171],x([0,1,29,26,28]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createWaitMarkerFile=void 0;function D(P){const S=(0,L.randomPath)((0,n.tmpdir)());try{return(0,w.writeFileSync)(S,""),P&&console.log(`Marker file for --wait created: ${S}`),S}catch(m){P&&console.error(`Failed to create marker file for --wait: ${m}`);return}}e.createWaitMarkerFile=D}),define(Z[172],x([0,1,16,31]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function L(D,P,S){let m=S&&S.get("storage.serviceMachineId",0)||null;if(m)return m;try{const I=(await P.readFile(D.serviceMachineIdResource)).value.toString();m=(0,n.isUUID)(I)?I:null}catch{m=null}if(!m){m=(0,n.generateUuid)();try{await P.writeFile(D.serviceMachineIdResource,w.VSBuffer.fromString(m))}catch{}}return S&&S.store("storage.serviceMachineId",m,0,1),m}e.getServiceMachineId=L}),define(Z[73],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class w{constructor(L,D=[],P=!1){this.ctor=L,this.staticArguments=D,this.supportsDelayedInstantiation=P}}e.SyncDescriptor=w}),define(Z[173],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class w{constructor(D){this.incoming=new Map,this.outgoing=new Map,this.data=D}}e.Node=w;class n{constructor(D){this._hashFn=D,this._nodes=new Map}roots(){const D=[];for(let P of this._nodes.values())P.outgoing.size===0&&D.push(P);return D}insertEdge(D,P){const S=this.lookupOrInsertNode(D),m=this.lookupOrInsertNode(P);S.outgoing.set(this._hashFn(P),m),m.incoming.set(this._hashFn(D),S)}removeNode(D){const P=this._hashFn(D);this._nodes.delete(P);for(let S of this._nodes.values())S.outgoing.delete(P),S.incoming.delete(P)}lookupOrInsertNode(D){const P=this._hashFn(D);let S=this._nodes.get(P);return S||(S=new w(D),this._nodes.set(P,S)),S}lookup(D){return this._nodes.get(this._hashFn(D))}isEmpty(){return this._nodes.size===0}toString(){let D=[];for(let[P,S]of this._nodes)D.push(`${P}, (incoming)[${[...S.incoming.keys()].join(", ")}], (outgoing)[${[...S.outgoing.keys()].join(",")}]`);return D.join(`
`)}findCycleSlow(){for(let[D,P]of this._nodes){const S=new Set([D]),m=this._findCycle(P,S);if(m)return m}}_findCycle(D,P){for(let[S,m]of D.outgoing){if(P.has(S))return[...P,S].join(" -> ");P.add(S);const E=this._findCycle(m,P);if(E)return E;P.delete(S)}}}e.Graph=n}),define(Z[5],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var w;(function(P){P.serviceIds=new Map,P.DI_TARGET="$di$target",P.DI_DEPENDENCIES="$di$dependencies";function S(m){return m[P.DI_DEPENDENCIES]||[]}P.getServiceDependencies=S})(w=e._util||(e._util={})),e.IInstantiationService=L("instantiationService");function n(P,S,m,E){S[w.DI_TARGET]===S?S[w.DI_DEPENDENCIES].push({id:P,index:m,optional:E}):(S[w.DI_DEPENDENCIES]=[{id:P,index:m,optional:E}],S[w.DI_TARGET]=S)}function L(P){if(w.serviceIds.has(P))return w.serviceIds.get(P);const S=function(m,E,I){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");n(S,m,I,!1)};return S.toString=()=>P,w.serviceIds.set(P,S),S}e.createDecorator=L;function D(P){return P}e.refineServiceDecorator=D}),define(Z[51],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBackupMainService=void 0,e.IBackupMainService=(0,w.createDecorator)("backupMainService")}),define(Z[19],x([0,1,14,8,5]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,L.createDecorator)("configurationService");function D(g){return g&&typeof g=="object"&&(!g.overrideIdentifier||typeof g.overrideIdentifier=="string")&&(!g.resource||g.resource instanceof n.URI)}e.isConfigurationOverrides=D;function P(g){return g&&typeof g=="object"&&(!g.overrideIdentifiers||w.isArray(g.overrideIdentifiers))&&!g.overrideIdentifier&&(!g.resource||g.resource instanceof n.URI)}e.isConfigurationUpdateOverrides=P;var S;(function(g){g[g.USER=1]="USER",g[g.USER_LOCAL=2]="USER_LOCAL",g[g.USER_REMOTE=3]="USER_REMOTE",g[g.WORKSPACE=4]="WORKSPACE",g[g.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",g[g.DEFAULT=6]="DEFAULT",g[g.MEMORY=7]="MEMORY"})(S=e.ConfigurationTarget||(e.ConfigurationTarget={}));function m(g){switch(g){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=m;function E(g,v){const M=Object.create(null);for(let f in g)I(M,f,g[f],v);return M}e.toValuesTree=E;function I(g,v,M,f){const h=v.split("."),c=h.pop();let o=g;for(let u=0;u<h.length;u++){let r=h[u],i=o[r];switch(typeof i){case"undefined":i=o[r]=Object.create(null);break;case"object":break;default:f(`Ignoring ${v} as ${h.slice(0,u+1).join(".")} is ${JSON.stringify(i)}`);return}o=i}if(typeof o=="object"&&o!==null)try{o[c]=M}catch{f(`Ignoring ${v} as ${h.join(".")} is ${JSON.stringify(o)}`)}else f(`Ignoring ${v} as ${h.join(".")} is ${JSON.stringify(o)}`)}e.addToValueTree=I;function k(g,v){const M=v.split(".");b(g,M)}e.removeFromValueTree=k;function b(g,v){const M=v.shift();if(v.length===0){delete g[M];return}if(Object.keys(g).indexOf(M)!==-1){const f=g[M];typeof f=="object"&&!Array.isArray(f)&&(b(f,v),Object.keys(f).length===0&&delete g[M])}}function p(g,v,M){function f(o,u){let r=o;for(const i of u){if(typeof r!="object"||r===null)return;r=r[i]}return r}const h=v.split("."),c=f(g,h);return typeof c=="undefined"?M:c}e.getConfigurationValue=p;function t(g,v,M){Object.keys(v).forEach(f=>{f!=="__proto__"&&(f in g?w.isObject(g[f])&&w.isObject(v[f])?t(g[f],v[f],M):M&&(g[f]=v[f]):g[f]=v[f])})}e.merge=t;function d(g,v,M){const f=g.inspect(v),h=g.inspect(M);return typeof f.userValue!="undefined"||typeof f.workspaceValue!="undefined"||typeof f.workspaceFolderValue!="undefined"?f.value:typeof h.userValue!="undefined"||typeof h.workspaceValue!="undefined"||typeof h.workspaceFolderValue!="undefined"?h.value:f.defaultValue}e.getMigratedSettingValue=d}),define(Z[74],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryCredentialsProvider=e.ICredentialsMainService=e.ICredentialsService=void 0,e.ICredentialsService=(0,w.createDecorator)("credentialsService"),e.ICredentialsMainService=(0,w.createDecorator)("credentialsMainService");class n{constructor(){this.secretVault={}}async getPassword(D,P){return this.secretVault[D]?.[P]??null}async setPassword(D,P,S){this.secretVault[D]=this.secretVault[D]??{},this.secretVault[D][P]=S}async deletePassword(D,P){return this.secretVault[D]?.[P]?(delete this.secretVault[D][P],Object.keys(this.secretVault[D]).length===0&&delete this.secretVault[D],!0):!1}async findPassword(D){return JSON.stringify(this.secretVault[D])??null}async findCredentials(D){const P=[];for(const S of Object.keys(this.secretVault[D]||{}))P.push({account:S,password:this.secretVault[D][S]});return P}async clear(){this.secretVault={}}}e.InMemoryCredentialsProvider=n}),define(Z[75],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=(0,w.createDecorator)(e.ID);function n(L){return!!L.hostName&&!!L.errorMessage}e.isRemoteDiagnosticError=n}),define(Z[92],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEncryptionMainService=void 0,e.IEncryptionMainService=(0,w.createDecorator)("encryptionMainService")}),define(Z[52],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,w.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,w.refineServiceDecorator)(e.IEnvironmentService)}),define(Z[174],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionUrlTrustService=void 0,e.IExtensionUrlTrustService=(0,w.createDecorator)("extensionUrlTrustService")}),define(Z[175],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ipcExtensionHostStarterChannelName=e.IExtensionHostStarter=void 0,e.IExtensionHostStarter=(0,w.createDecorator)("extensionHostStarter"),e.ipcExtensionHostStarterChannelName="extensionHostStarter"}),define(Z[93],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExternalTerminalMainService=e.DEFAULT_TERMINAL_OSX=e.IExternalTerminalService=void 0,e.IExternalTerminalService=(0,w.createDecorator)("externalTerminal"),e.DEFAULT_TERMINAL_OSX="Terminal.app",e.IExternalTerminalMainService=(0,w.createDecorator)("externalTerminal")}),define(Z[176],x([0,1,45,10,7,3,84,24,72,144,93]),function(V,e,w,n,L,D,P,S,m,E,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxExternalTerminalService=e.MacExternalTerminalService=e.WindowsExternalTerminalService=void 0;const k=E.localize(0,null);class b{async getDefaultTerminalForPlatforms(){return{windows:p.getDefaultTerminalWindows(),linux:await d.getDefaultTerminalLinuxReady(),osx:"xterm"}}}class p extends b{openTerminal(h,c){return this.spawnTerminal(w,h,m.getWindowsShell(),c)}spawnTerminal(h,c,o,u){const r=c.windowsExec||p.getDefaultTerminalWindows();u&&u[1]===":"&&(u=u[0].toUpperCase()+u.substr(1));const i=L.basename(r).toLowerCase();if(i==="cmder"||i==="cmder.exe")return h.spawn(r,u?[u]:void 0),Promise.resolve(void 0);const s=["/c","start","/wait"];return r.indexOf(" ")>=0&&s.push('""'),s.push(r),(i==="wt"||i==="wt.exe")&&s.push("-d ."),new Promise((a,l)=>{const y=g(process),C=h.spawn(o,s,{cwd:u,env:y});C.on("error",l),C.on("exit",()=>a())})}runInTerminal(h,c,o,u,r){const i="windowsExec"in r&&r.windowsExec?r.windowsExec:p.getDefaultTerminalWindows();return new Promise((s,a)=>{const l=`"${c} - ${k}"`,y=`""${o.join('" "')}" & pause"`,C=["/c","start",l,"/wait",i,"/c",y],R=Object.assign({},g(process),u);Object.keys(R).filter(Y=>R[Y]===null).forEach(Y=>delete R[Y]);const T={cwd:c,env:R,windowsVerbatimArguments:!0};w.spawn(p.CMD,C,T).on("error",Y=>{a(v(Y))}),s(void 0)})}static getDefaultTerminalWindows(){if(!p._DEFAULT_TERMINAL_WINDOWS){const h=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");p._DEFAULT_TERMINAL_WINDOWS=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${h?"Sysnative":"System32"}\\cmd.exe`}return p._DEFAULT_TERMINAL_WINDOWS}}e.WindowsExternalTerminalService=p,p.CMD="cmd.exe";class t extends b{openTerminal(h,c){return this.spawnTerminal(w,h,c)}runInTerminal(h,c,o,u,r){const i=r.osxExec||I.DEFAULT_TERMINAL_OSX;return new Promise((s,a)=>{if(i===I.DEFAULT_TERMINAL_OSX||i==="iTerm.app"){const l=i===I.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",C=[n.FileAccess.asFileUri(`vs/workbench/contrib/externalTerminal/node/${l}.scpt`,V).fsPath,"-t",h||k,"-w",c];for(let U of o)C.push("-a"),C.push(U);if(u){const U=Object.assign({},g(process),u);for(let Y in U){const ee=U[Y];ee===null?(C.push("-u"),C.push(Y)):(C.push("-e"),C.push(`${Y}=${ee}`))}}let R="";const T=w.spawn(t.OSASCRIPT,C);T.on("error",U=>{a(v(U))}),T.stderr.on("data",U=>{R+=U.toString()}),T.on("exit",U=>{if(U===0)s(void 0);else if(R){const Y=R.split(`
`,1);a(new Error(Y[0]))}else a(new Error(E.localize(1,null,l,U)))})}else a(new Error(E.localize(2,null,i)))})}spawnTerminal(h,c,o){const u=c.osxExec||I.DEFAULT_TERMINAL_OSX;return new Promise((r,i)=>{const s=["-a",u];o&&s.push(o);const a=g(process),l=h.spawn("/usr/bin/open",s,{cwd:o,env:a});l.on("error",i),l.on("exit",()=>r())})}}e.MacExternalTerminalService=t,t.OSASCRIPT="/usr/bin/osascript";class d extends b{openTerminal(h,c){return this.spawnTerminal(w,h,c)}runInTerminal(h,c,o,u,r){const i=r.linuxExec?Promise.resolve(r.linuxExec):d.getDefaultTerminalLinuxReady();return new Promise((s,a)=>{let l=[];i.then(y=>{y.indexOf("gnome-terminal")>=0?l.push("-x"):l.push("-e"),l.push("bash"),l.push("-c");const C=`${M(o)}; echo; read -p "${d.WAIT_MESSAGE}" -n1;`;l.push(`''${C}''`);const R=Object.assign({},g(process),u);Object.keys(R).filter(ee=>R[ee]===null).forEach(ee=>delete R[ee]);const T={cwd:c,env:R};let U="";const Y=w.spawn(y,l,T);Y.on("error",ee=>{a(v(ee))}),Y.stderr.on("data",ee=>{U+=ee.toString()}),Y.on("exit",ee=>{if(ee===0)s(void 0);else if(U){const X=U.split(`
`,1);a(new Error(X[0]))}else a(new Error(E.localize(4,null,y,ee)))})})})}static async getDefaultTerminalLinuxReady(){if(!d._DEFAULT_TERMINAL_LINUX_READY)if(!D.isLinux)d._DEFAULT_TERMINAL_LINUX_READY=Promise.resolve("xterm");else{const h=await S.Promises.exists("/etc/debian_version");d._DEFAULT_TERMINAL_LINUX_READY=new Promise(c=>{h?c("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?c("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?c("konsole"):process.env.COLORTERM?c(process.env.COLORTERM):process.env.TERM?c(process.env.TERM):c("xterm")})}return d._DEFAULT_TERMINAL_LINUX_READY}spawnTerminal(h,c,o){const u=c.linuxExec?Promise.resolve(c.linuxExec):d.getDefaultTerminalLinuxReady();return new Promise((r,i)=>{u.then(s=>{const a=g(process),l=h.spawn(s,[],{cwd:o,env:a});l.on("error",i),l.on("exit",()=>r())})})}}e.LinuxExternalTerminalService=d,d.WAIT_MESSAGE=E.localize(3,null);function g(f){const h={...f.env};return(0,P.sanitizeProcessEnvironment)(h),h}function v(f){return"errno"in f&&f.errno==="ENOENT"&&"path"in f&&typeof f.path=="string"?new Error(E.localize(5,null,f.path)):f}function M(f){let h="";for(let c of f)c.indexOf(" ")>=0?h+='"'+c+'"':h+=c,h+=" ";return h}}),define(Z[20],x([0,1,35,7,27,14,8,146,5]),function(V,e,w,n,L,D,P,S,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,m.createDecorator)("fileService");function E(B){return B.create===!0}e.isFileOpenForWriteOptions=E;var I;(function(B){B[B.Unknown=0]="Unknown",B[B.File=1]="File",B[B.Directory=2]="Directory",B[B.SymbolicLink=64]="SymbolicLink"})(I=e.FileType||(e.FileType={}));var k;(function(B){B[B.Readonly=1]="Readonly"})(k=e.FilePermission||(e.FilePermission={}));var b;(function(B){B[B.FileReadWrite=2]="FileReadWrite",B[B.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",B[B.FileReadStream=16]="FileReadStream",B[B.FileFolderCopy=8]="FileFolderCopy",B[B.PathCaseSensitive=1024]="PathCaseSensitive",B[B.Readonly=2048]="Readonly",B[B.Trash=4096]="Trash",B[B.FileWriteUnlock=8192]="FileWriteUnlock",B[B.FileAtomicRead=16384]="FileAtomicRead"})(b=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function p(B){return!!(B.capabilities&2)}e.hasReadWriteCapability=p;function t(B){return!!(B.capabilities&8)}e.hasFileFolderCopyCapability=t;function d(B){return!!(B.capabilities&4)}e.hasOpenReadWriteCloseCapability=d;function g(B){return!!(B.capabilities&16)}e.hasFileReadStreamCapability=g;function v(B){return p(B)?!!(B.capabilities&16384):!1}e.hasFileAtomicReadCapability=v;var M;(function(B){B.FileExists="EntryExists",B.FileNotFound="EntryNotFound",B.FileNotADirectory="EntryNotADirectory",B.FileIsADirectory="EntryIsADirectory",B.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",B.FileTooLarge="EntryTooLarge",B.FileWriteLocked="EntryWriteLocked",B.NoPermissions="NoPermissions",B.Unavailable="Unavailable",B.Unknown="Unknown"})(M=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class f extends Error{constructor(Q,se){super(Q);this.code=se}}e.FileSystemProviderError=f;function h(B,Q){const se=new f(B.toString(),Q);return o(se,Q),se}e.createFileSystemProviderError=h;function c(B){return B||h((0,S.localize)(0,null),M.Unknown)}e.ensureFileSystemProviderError=c;function o(B,Q){return B.name=Q?`${Q} (FileSystemError)`:"FileSystemError",B}e.markAsFileSystemProviderError=o;function u(B){if(!B)return M.Unknown;if(B instanceof f)return B.code;const Q=/^(.+) \(FileSystemError\)$/.exec(B.name);if(!Q)return M.Unknown;switch(Q[1]){case M.FileExists:return M.FileExists;case M.FileIsADirectory:return M.FileIsADirectory;case M.FileNotADirectory:return M.FileNotADirectory;case M.FileNotFound:return M.FileNotFound;case M.FileExceedsMemoryLimit:return M.FileExceedsMemoryLimit;case M.FileTooLarge:return M.FileTooLarge;case M.FileWriteLocked:return M.FileWriteLocked;case M.NoPermissions:return M.NoPermissions;case M.Unavailable:return M.Unavailable}return M.Unknown}e.toFileSystemProviderErrorCode=u;function r(B){if(B instanceof C)return B.fileOperationResult;switch(u(B)){case M.FileNotFound:return 1;case M.FileIsADirectory:return 0;case M.FileNotADirectory:return 10;case M.FileWriteLocked:return 5;case M.NoPermissions:return 6;case M.FileExists:return 4;case M.FileExceedsMemoryLimit:return 9;case M.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=r;var i;(function(B){B[B.CREATE=0]="CREATE",B[B.DELETE=1]="DELETE",B[B.MOVE=2]="MOVE",B[B.COPY=3]="COPY",B[B.WRITE=4]="WRITE"})(i=e.FileOperation||(e.FileOperation={}));class s{constructor(Q,se,q){this.resource=Q,this.operation=se,this.target=q}isOperation(Q){return this.operation===Q}}e.FileOperationEvent=s;var a;(function(B){B[B.UPDATED=0]="UPDATED",B[B.ADDED=1]="ADDED",B[B.DELETED=2]="DELETED"})(a=e.FileChangeType||(e.FileChangeType={}));class l{constructor(Q,se){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=Q;const q=new Map;for(const z of Q){const j=q.get(z.type);switch(j?j.push([z.resource,z]):q.set(z.type,[[z.resource,z]]),z.type){case 1:this.rawAdded.push(z.resource);break;case 0:this.rawUpdated.push(z.resource);break;case 2:this.rawDeleted.push(z.resource);break}}for(const[z,j]of q)switch(z){case 1:this.added=w.TernarySearchTree.forUris(()=>se),this.added.fill(j);break;case 0:this.updated=w.TernarySearchTree.forUris(()=>se),this.updated.fill(j);break;case 2:this.deleted=w.TernarySearchTree.forUris(()=>se),this.deleted.fill(j);break}}contains(Q,...se){return this.doContains(Q,{includeChildren:!1},...se)}affects(Q,...se){return this.doContains(Q,{includeChildren:!0},...se)}doContains(Q,se,...q){if(!Q)return!1;const z=q.length>0;return!!((!z||q.includes(1))&&(this.added?.get(Q)||se.includeChildren&&this.added?.findSuperstr(Q))||(!z||q.includes(0))&&(this.updated?.get(Q)||se.includeChildren&&this.updated?.findSuperstr(Q))||(!z||q.includes(2))&&(this.deleted?.findSubstr(Q)||se.includeChildren&&this.deleted?.findSuperstr(Q)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=l;function y(B,Q,se){return!B||!Q||B===Q||Q.length>B.length?!1:(Q.charAt(Q.length-1)!==n.sep&&(Q+=n.sep),se?(0,L.startsWithIgnoreCase)(B,Q):B.indexOf(Q)===0)}e.isParent=y;class C extends Error{constructor(Q,se,q){super(Q);this.fileOperationResult=se,this.options=q}}e.FileOperationError=C;class R extends C{constructor(Q,se,q){super(Q,2,q);this.stat=se}}e.NotModifiedSinceFileOperationError=R;var T;(function(B){B[B.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",B[B.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",B[B.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",B[B.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",B[B.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",B[B.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",B[B.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",B[B.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",B[B.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",B[B.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",B[B.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",B[B.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(T=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var U;(function(B){B[B.FILE=0]="FILE",B[B.FOLDER=1]="FOLDER",B[B.ROOT_FOLDER=2]="ROOT_FOLDER"})(U=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function Y(B){if(!(typeof B.size!="number"||typeof B.mtime!="number"))return B.mtime.toString(29)+B.size.toString(31)}e.etag=Y;async function ee(B,Q){if(!Q.hasProvider(P.URI.from({scheme:B.scheme})))return new Promise(se=>{const q=Q.onDidChangeFileSystemProviderRegistrations(z=>{z.scheme===B.scheme&&z.added&&(q.dispose(),se())})})}e.whenProviderRegistered=ee,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class X{static formatSize(Q){return(0,D.isNumber)(Q)||(Q=0),Q<X.KB?(0,S.localize)(1,null,Q.toFixed(0)):Q<X.MB?(0,S.localize)(2,null,(Q/X.KB).toFixed(2)):Q<X.GB?(0,S.localize)(3,null,(Q/X.MB).toFixed(2)):Q<X.TB?(0,S.localize)(4,null,(Q/X.GB).toFixed(2)):(0,S.localize)(5,null,(Q/X.TB).toFixed(2))}}e.ByteSize=X,X.KB=1024,X.MB=X.KB*X.KB,X.GB=X.MB*X.KB,X.TB=X.GB*X.KB;var J;(function(B){B[B.IA32=0]="IA32",B[B.OTHER=1]="OTHER"})(J=e.Arch||(e.Arch={}));function H(B){return{maxFileSize:B===0?300*X.MB:16*X.GB,maxHeapSize:B===0?700*X.MB:2*700*X.MB}}e.getPlatformLimits=H}),define(Z[177],x([0,1,16,39,15,4,2,48,8,31,20]),function(V,e,w,n,L,D,P,S,m,E,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderClient=e.LOCAL_FILE_SYSTEM_CHANNEL_NAME=void 0,e.LOCAL_FILE_SYSTEM_CHANNEL_NAME="localFilesystem";class k extends P.Disposable{constructor(p,t){super();this.channel=p,this.extraCapabilities=t,this.onDidChangeCapabilities=D.Event.None,this._onDidChange=this._register(new D.Emitter),this.onDidChangeFile=this._onDidChange.event,this._onDidWatchError=this._register(new D.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.sessionId=(0,E.generateUuid)(),this.registerFileChangeListeners()}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384,this.extraCapabilities.pathCaseSensitive&&(this._capabilities|=1024),this.extraCapabilities.trash&&(this._capabilities|=4096)),this._capabilities}stat(p){return this.channel.call("stat",[p])}readdir(p){return this.channel.call("readdir",[p])}async readFile(p,t){const{buffer:d}=await this.channel.call("readFile",[p,t]);return d}readFileStream(p,t,d){const g=(0,S.newWriteableStream)(M=>w.VSBuffer.concat(M.map(f=>w.VSBuffer.wrap(f))).buffer),v=this.channel.listen("readFileStream",[p,t])(M=>{if(M instanceof w.VSBuffer)g.write(M.buffer);else{if(M==="end")g.end();else{let f=M;f instanceof Error||(f=(0,I.createFileSystemProviderError)((0,n.toErrorMessage)(f),I.FileSystemProviderErrorCode.Unknown)),g.error(f),g.end()}v.dispose()}});return d.onCancellationRequested(()=>{g.error((0,L.canceled)()),g.end(),v.dispose()}),g}writeFile(p,t,d){return this.channel.call("writeFile",[p,w.VSBuffer.wrap(t),d])}open(p,t){return this.channel.call("open",[p,t])}close(p){return this.channel.call("close",[p])}async read(p,t,d,g,v){const[M,f]=await this.channel.call("read",[p,t,v]);return d.set(M.buffer.slice(0,f),g),f}write(p,t,d,g,v){return this.channel.call("write",[p,t,w.VSBuffer.wrap(d),g,v])}mkdir(p){return this.channel.call("mkdir",[p])}delete(p,t){return this.channel.call("delete",[p,t])}rename(p,t,d){return this.channel.call("rename",[p,t,d])}copy(p,t,d){return this.channel.call("copy",[p,t,d])}registerFileChangeListeners(){this._register(this.channel.listen("fileChange",[this.sessionId])(p=>{if(Array.isArray(p)){const t=p;this._onDidChange.fire(t.map(d=>({resource:m.URI.revive(d.resource),type:d.type})))}else{const t=p;this._onDidWatchError.fire(t)}}))}watch(p,t){const d=(0,E.generateUuid)();return this.channel.call("watch",[this.sessionId,d,p,t]),(0,P.toDisposable)(()=>this.channel.call("unwatch",[this.sessionId,d]))}}e.DiskFileSystemProviderClient=k}),define(Z[94],x([0,1,16,15,147,20]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function P(I,k,b,p,t,d){let g;try{await S(I,k,b,p,t,d)}catch(v){g=v}finally{g&&t.errorTransformer&&(g=t.errorTransformer(g)),typeof g!="undefined"&&b.error(g),b.end()}}e.readFileIntoStream=P;async function S(I,k,b,p,t,d){m(d);const g=await I.open(k,{create:!1});try{m(d);let v=0,M=0,f=t&&typeof t.length=="number"?t.length:void 0,h=w.VSBuffer.alloc(Math.min(t.bufferSize,typeof f=="number"?f:t.bufferSize)),c=t&&typeof t.position=="number"?t.position:0,o=0;do M=await I.read(g,c,h.buffer,o,h.byteLength-o),c+=M,o+=M,v+=M,typeof f=="number"&&(f-=M),o===h.byteLength&&(await b.write(p(h)),h=w.VSBuffer.alloc(Math.min(t.bufferSize,typeof f=="number"?f:t.bufferSize)),o=0);while(M>0&&(typeof f!="number"||f>0)&&m(d)&&E(v,t));if(o>0){let u=o;typeof f=="number"&&(u=Math.min(o,f)),b.write(p(h.slice(0,u)))}}catch(v){throw(0,D.ensureFileSystemProviderError)(v)}finally{await I.close(g)}}function m(I){if(I.isCancellationRequested)throw(0,n.canceled)();return!0}function E(I,k){if(k?.limits){if(typeof k.limits.memory=="number"&&I>k.limits.memory)throw(0,D.createFileSystemProviderError)((0,L.localize)(0,null),D.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof k.limits.size=="number"&&I>k.limits.size)throw(0,D.createFileSystemProviderError)((0,L.localize)(1,null),D.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(Z[62],x([0,1,2,3,8,20]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.coalesceEvents=e.toFileChanges=e.AbstractUniversalWatcherClient=e.AbstractNonRecursiveWatcherClient=e.AbstractWatcherClient=e.isRecursiveWatchRequest=void 0;function P(p){return p.recursive===!0}e.isRecursiveWatchRequest=P;class S extends w.Disposable{constructor(t,d,g,v){super();this.onFileChanges=t,this.onLogMessage=d,this.verboseLogging=g,this.options=v,this.watcherDisposables=this._register(new w.MutableDisposable),this.requests=void 0,this.restartCounter=0}init(){const t=new w.DisposableStore;this.watcherDisposables.value=t,this.watcher=this.createWatcher(t),this.watcher.setVerboseLogging(this.verboseLogging),t.add(this.watcher.onDidChangeFile(d=>this.onFileChanges(d))),t.add(this.watcher.onDidLogMessage(d=>this.onLogMessage(d))),t.add(this.watcher.onDidError(d=>this.onError(d)))}onError(t){this.options.restartOnError?this.restartCounter<S.MAX_RESTARTS&&this.requests?(this.error(`restarting watcher after error: ${t}`),this.restart(this.requests)):this.error(`gave up attempting to restart watcher after error: ${t}`):this.error(t)}restart(t){this.restartCounter++,this.init(),this.watch(t)}async watch(t){this.requests=t,await this.watcher?.watch(t)}async setVerboseLogging(t){this.verboseLogging=t,await this.watcher?.setVerboseLogging(t)}error(t){this.onLogMessage({type:"error",message:`[File Watcher (${this.options.type})] ${t}`})}dispose(){return this.watcher=void 0,super.dispose()}}e.AbstractWatcherClient=S,S.MAX_RESTARTS=5;class m extends S{constructor(t,d,g){super(t,d,g,{type:"node.js",restartOnError:!1})}}e.AbstractNonRecursiveWatcherClient=m;class E extends S{constructor(t,d,g){super(t,d,g,{type:"universal",restartOnError:!0})}}e.AbstractUniversalWatcherClient=E;function I(p){return p.map(t=>({type:t.type,resource:L.URI.file(t.path)}))}e.toFileChanges=I;function k(p){const t=new b;for(const d of p)t.processEvent(d);return t.coalesce()}e.coalesceEvents=k;class b{constructor(){this.coalesced=new Set,this.mapPathToChange=new Map}toKey(t){return n.isLinux?t.path:t.path.toLowerCase()}processEvent(t){const d=this.mapPathToChange.get(this.toKey(t));let g=!1;if(d){const v=d.type,M=t.type;d.path!==t.path&&(t.type===2||t.type===1)?g=!0:v===1&&M===2?(this.mapPathToChange.delete(this.toKey(t)),this.coalesced.delete(d)):v===2&&M===1?d.type=0:v===1&&M===0||(d.type=M)}else g=!0;g&&(this.coalesced.add(t),this.mapPathToChange.set(this.toKey(t),t))}coalesce(){const t=[],d=[];return Array.from(this.coalesced).filter(g=>g.type!==2?(t.push(g),!1):!0).sort((g,v)=>g.path.length-v.path.length).filter(g=>d.some(v=>(0,D.isParent)(g.path,v,!n.isLinux))?!1:(d.push(g.path),!0)).concat(t)}}}),define(Z[178],x([0,1,29,9,23,28,116,2,70,7,3,86,24,62]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.watchFileContents=e.NodeJSFileWatcherLibrary=void 0;class t extends S.Disposable{constructor(v,M,f,h){super();this.request=v,this.onDidFilesChange=M,this.onLogMessage=f,this.verboseLogging=h,this.throttledFileChangesWorker=new n.ThrottledWorker({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},c=>this.onDidFilesChange(c)),this.fileChangesDelayer=this._register(new n.ThrottledDelayer(t.FILE_CHANGES_HANDLER_DELAY)),this.fileChangesBuffer=[],this.excludes=this.request.excludes.map(c=>(0,P.parse)(c)),this.cts=new L.CancellationTokenSource,this.ready=this.watch()}async watch(){try{const v=await this.normalizePath(this.request);if(this.cts.token.isCancellationRequested)return;const M=await b.Promises.stat(v);this._register(await this.doWatch(v,M.isDirectory()))}catch(v){v.code!=="ENOENT"?this.error(v):this.trace(v)}}async normalizePath(v){let M=v.path;try{M=await b.Promises.realpath(v.path),v.path===M&&(M=await(0,k.realcase)(v.path)??v.path),v.path!==M&&this.warn(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${v.path}, real: ${M})`)}catch{}return M}async doWatch(v,M){if(I.isMacintosh&&(0,D.isEqualOrParent)(v,"/Volumes/",!0))return this.error(`Refusing to watch ${v} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),S.Disposable.None;const f=new L.CancellationTokenSource(this.cts.token);let h=new S.DisposableStore;try{const c=(0,E.basename)(v),o=(0,w.watch)(v);h.add((0,S.toDisposable)(()=>{o.removeAllListeners(),o.close()})),this.trace(`Started watching: '${v}'`);const u=new Set;if(M)try{for(const i of await b.Promises.readdir(v))u.add(i)}catch(i){this.error(i)}const r=new Map;h.add((0,S.toDisposable)(()=>{for(const[,i]of r)i.dispose();r.clear()})),o.on("error",(i,s)=>{this.error(`Failed to watch ${v} for changes using fs.watch() (${i}, ${s})`),this.dispose()}),o.on("change",(i,s)=>{if(f.token.isCancellationRequested)return;this.trace(`[raw] ["${i}"] ${s}`);let a="";if(s&&(a=s.toString(),I.isMacintosh&&(a=(0,m.normalizeNFC)(a))),!(!a||i!=="change"&&i!=="rename"))if(M)if(i==="rename"){r.get(a)?.dispose();const l=setTimeout(async()=>{if(r.delete(a),a===c&&!await b.Promises.exists(v)){this.warn("Watcher shutdown because watched path got deleted"),this.dispose();return}const y=await this.existsChildStrictCase((0,E.join)(v,a));if(f.token.isCancellationRequested)return;let C;y?u.has(a)?C=0:(C=1,u.add(a)):(u.delete(a),C=2),this.onFileChange({path:(0,E.join)(this.request.path,a),type:C})},t.FILE_DELETE_HANDLER_DELAY);r.set(a,(0,S.toDisposable)(()=>clearTimeout(l)))}else{let l;u.has(a)?l=0:(l=1,u.add(a)),this.onFileChange({path:(0,E.join)(this.request.path,a),type:l})}else if(i==="rename"||a!==c){const l=setTimeout(async()=>{const y=await b.Promises.exists(v);f.token.isCancellationRequested||(y?(this.onFileChange({path:this.request.path,type:0},!0),h.add(await this.doWatch(v,!1))):(await this.onFileChange({path:this.request.path,type:2},!0),this.dispose()))},t.FILE_DELETE_HANDLER_DELAY);h.clear(),h.add((0,S.toDisposable)(()=>clearTimeout(l)))}else this.onFileChange({path:this.request.path,type:0},!0)})}catch(c){await b.Promises.exists(v)&&!f.token.isCancellationRequested&&this.error(`Failed to watch ${v} for changes using fs.watch() (${c.toString()})`)}return(0,S.toDisposable)(()=>{f.dispose(!0),h.dispose()})}async onFileChange(v,M=!1){if(!this.cts.token.isCancellationRequested){this.verboseLogging&&this.trace(`${v.type===1?"[ADDED]":v.type===2?"[DELETED]":"[CHANGED]"} ${v.path}`),!M&&this.excludes.some(f=>f(v.path))?this.verboseLogging&&this.trace(` >> ignored ${v.path}`):this.fileChangesBuffer.push(v);try{await this.fileChangesDelayer.trigger(async()=>{const f=this.fileChangesBuffer;this.fileChangesBuffer=[];const h=(0,p.coalesceEvents)(f);if(h.length>0){if(this.verboseLogging)for(const o of h)this.trace(`>> normalized ${o.type===1?"[ADDED]":o.type===2?"[DELETED]":"[CHANGED]"} ${o.path}`);this.throttledFileChangesWorker.work(h)?this.throttledFileChangesWorker.pending>0&&this.trace(`started throttling events due to large amount of file change events at once (pending: ${this.throttledFileChangesWorker.pending}, most recent change: ${h[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.warn(`started ignoring events due to too many file change events at once (incoming: ${h.length}, most recent change: ${h[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}})}catch{}}}async existsChildStrictCase(v){if(I.isLinux)return b.Promises.exists(v);try{const M=(0,E.basename)(v);return(await b.Promises.readdir((0,E.dirname)(v))).some(h=>h===M)}catch(M){return this.trace(M),!1}}setVerboseLogging(v){this.verboseLogging=v}error(v){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"error",message:`[File Watcher (node.js)] ${v}`})}warn(v){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"warn",message:`[File Watcher (node.js)] ${v}`})}trace(v){!this.cts.token.isCancellationRequested&&this.verboseLogging&&this.onLogMessage?.({type:"trace",message:`[File Watcher (node.js)] ${v}`})}dispose(){this.trace(`stopping file watcher on ${this.request.path}`),this.cts.dispose(!0),super.dispose()}}e.NodeJSFileWatcherLibrary=t,t.FILE_DELETE_HANDLER_DELAY=100,t.FILE_CHANGES_HANDLER_DELAY=50;async function d(g,v,M,f,h=512){const c=await b.Promises.open(g,"r"),o=Buffer.allocUnsafe(h),u=new L.CancellationTokenSource(f);let r,i=!1;const s={path:g,excludes:[],recursive:!1},a=new t(s,l=>{(async()=>{for(const{type:y}of l)if(y===0){if(i)return;i=!0;try{for(;!u.token.isCancellationRequested;){const{bytesRead:C}=await b.Promises.read(c,o,0,h,null);if(!C||u.token.isCancellationRequested)break;v(o.slice(0,C))}}catch(C){r=new Error(C),u.dispose(!0)}finally{i=!1}}})()});return await a.ready,M(),new Promise((l,y)=>{u.token.onCancellationRequested(async()=>{a.dispose();try{await b.Promises.close(c)}catch(C){r=new Error(C)}r?y(r):l()})})}e.watchFileContents=d}),define(Z[179],x([0,1,30,4,2,3,178]),function(V,e,w,n,L,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcher=void 0;class S extends L.Disposable{constructor(){super(...arguments);this._onDidChangeFile=this._register(new n.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidLogMessage=this._register(new n.Emitter),this.onDidLogMessage=this._onDidLogMessage.event,this.onDidError=n.Event.None,this.watchers=new Map,this.verboseLogging=!1}async watch(E){const I=this.normalizeRequests(E),k=I.filter(p=>{const t=this.watchers.get(p.path);return t?!(0,w.equals)(t.request.excludes,p.excludes):!0}),b=Array.from(this.watchers.values()).filter(({request:p})=>!I.find(t=>t.path===p.path&&(0,w.equals)(t.excludes,p.excludes))).map(({request:p})=>p.path);k.length&&this.trace(`Request to start watching: ${k.map(p=>`${p.path} (excludes: ${p.excludes.length>0?p.excludes:"<none>"})`).join(",")}`),b.length&&this.trace(`Request to stop watching: ${b.join(",")}`);for(const p of b)this.stopWatching(p);for(const p of k)this.startWatching(p)}startWatching(E){const I=new P.NodeJSFileWatcherLibrary(E,b=>this._onDidChangeFile.fire(b),b=>this._onDidLogMessage.fire(b),this.verboseLogging),k={request:E,instance:I};this.watchers.set(E.path,k)}async stop(){for(const[E]of this.watchers)this.stopWatching(E);this.watchers.clear()}stopWatching(E){const I=this.watchers.get(E);I&&(this.watchers.delete(E),I.instance.dispose())}normalizeRequests(E){const I=new Map;for(const k of E){const b=D.isLinux?k.path:k.path.toLowerCase();I.set(b,k)}return Array.from(I.values())}async setVerboseLogging(E){this.verboseLogging=E;for(const[,I]of this.watchers)I.instance.setVerboseLogging(E)}trace(E){this.verboseLogging&&this._onDidLogMessage.fire({type:"trace",message:this.toMessage(E)})}toMessage(E,I){return I?`[File Watcher (node.js)] ${E} (path: ${I.request.path})`:`[File Watcher (node.js)] ${E}`}}e.NodeJSWatcher=S}),define(Z[180],x([0,1,62,179]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcherClient=void 0;class L extends w.AbstractNonRecursiveWatcherClient{constructor(P,S,m){super(P,S,m);this.init()}createWatcher(){return new n.NodeJSWatcher}}e.NodeJSWatcherClient=L}),define(Z[181],x([0,1,10,37,138,62]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UniversalWatcherClient=void 0;class P extends D.AbstractUniversalWatcherClient{constructor(m,E,I){super(m,E,I);this.init()}createWatcher(m){const E=m.add(new L.Client(w.FileAccess.asFileUri("bootstrap-fork",V).fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return m.add(E.onDidProcessExit(({code:I,signal:k})=>this.onError(`terminated by itself with code ${I}, signal: ${k}`))),n.ProxyChannel.toService((0,n.getNextTickChannel)(E.getChannel("watcher")))}}e.UniversalWatcherClient=P}),define(Z[76],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class w{constructor(...L){this._entries=new Map;for(let[D,P]of L)this.set(D,P)}set(L,D){const P=this._entries.get(L);return this._entries.set(L,D),P}has(L){return this._entries.has(L)}get(L){return this._entries.get(L)}}e.ServiceCollection=w}),define(Z[182],x([0,1,9,15,73,173,5,76]),function(V,e,w,n,L,D,P,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Trace=e.InstantiationService=void 0;const m=!1;class E extends Error{constructor(t){super("cyclic dependency between services");this.message=t.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${t.toString()}`}}class I{constructor(t=new S.ServiceCollection,d=!1,g){this._activeInstantiations=new Set,this._services=t,this._strict=d,this._parent=g,this._services.set(P.IInstantiationService,this)}createChild(t){return new I(t,this._strict,this)}invokeFunction(t,...d){let g=b.traceInvocation(t),v=!1;try{return t({get:f=>{if(v)throw(0,n.illegalState)("service accessor is only valid during the invocation of its target method");const h=this._getOrCreateServiceInstance(f,g);if(!h)throw new Error(`[invokeFunction] unknown service '${f}'`);return h}},...d)}finally{v=!0,g.stop()}}createInstance(t,...d){let g,v;return t instanceof L.SyncDescriptor?(g=b.traceCreation(t.ctor),v=this._createInstance(t.ctor,t.staticArguments.concat(d),g)):(g=b.traceCreation(t),v=this._createInstance(t,d,g)),g.stop(),v}_createInstance(t,d=[],g){let v=P._util.getServiceDependencies(t).sort((h,c)=>h.index-c.index),M=[];for(const h of v){let c=this._getOrCreateServiceInstance(h.id,g);if(!c&&this._strict&&!h.optional)throw new Error(`[createInstance] ${t.name} depends on UNKNOWN service ${h.id}.`);M.push(c)}let f=v.length>0?v[0].index:d.length;if(d.length!==f){console.warn(`[createInstance] First service dependency of ${t.name} at position ${f+1} conflicts with ${d.length} static arguments`);let h=f-d.length;h>0?d=d.concat(new Array(h)):d=d.slice(0,f)}return new t(...[...d,...M])}_setServiceInstance(t,d){if(this._services.get(t)instanceof L.SyncDescriptor)this._services.set(t,d);else if(this._parent)this._parent._setServiceInstance(t,d);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(t){let d=this._services.get(t);return!d&&this._parent?this._parent._getServiceInstanceOrDescriptor(t):d}_getOrCreateServiceInstance(t,d){let g=this._getServiceInstanceOrDescriptor(t);return g instanceof L.SyncDescriptor?this._safeCreateAndCacheServiceInstance(t,g,d.branch(t,!0)):(d.branch(t,!1),g)}_safeCreateAndCacheServiceInstance(t,d,g){if(this._activeInstantiations.has(t))throw new Error(`illegal state - RECURSIVELY instantiating service '${t}'`);this._activeInstantiations.add(t);try{return this._createAndCacheServiceInstance(t,d,g)}finally{this._activeInstantiations.delete(t)}}_createAndCacheServiceInstance(t,d,g){const v=new D.Graph(h=>h.id.toString());let M=0;const f=[{id:t,desc:d,_trace:g}];for(;f.length;){const h=f.pop();if(v.lookupOrInsertNode(h),M++>1e3)throw new E(v);for(let c of P._util.getServiceDependencies(h.desc.ctor)){let o=this._getServiceInstanceOrDescriptor(c.id);if(!o&&!c.optional&&console.warn(`[createInstance] ${t} depends on ${c.id} which is NOT registered.`),o instanceof L.SyncDescriptor){const u={id:c.id,desc:o,_trace:h._trace.branch(c.id,!0)};v.insertEdge(h,u),f.push(u)}}}for(;;){const h=v.roots();if(h.length===0){if(!v.isEmpty())throw new E(v);break}for(const{data:c}of h){if(this._getServiceInstanceOrDescriptor(c.id)instanceof L.SyncDescriptor){const u=this._createServiceInstanceWithOwner(c.id,c.desc.ctor,c.desc.staticArguments,c.desc.supportsDelayedInstantiation,c._trace);this._setServiceInstance(c.id,u)}v.removeNode(c)}}return this._getServiceInstanceOrDescriptor(t)}_createServiceInstanceWithOwner(t,d,g=[],v,M){if(this._services.get(t)instanceof L.SyncDescriptor)return this._createServiceInstance(d,g,v,M);if(this._parent)return this._parent._createServiceInstanceWithOwner(t,d,g,v,M);throw new Error(`illegalState - creating UNKNOWN service instance ${d.name}`)}_createServiceInstance(t,d=[],g,v){if(g){const M=new w.IdleValue(()=>this._createInstance(t,d,v));return new Proxy(Object.create(null),{get(f,h){if(h in f)return f[h];let c=M.value,o=c[h];return typeof o!="function"||(o=o.bind(c),f[h]=o),o},set(f,h,c){return M.value[h]=c,!0}})}else return this._createInstance(t,d,v)}}e.InstantiationService=I;var k;(function(p){p[p.Creation=0]="Creation",p[p.Invocation=1]="Invocation",p[p.Branch=2]="Branch"})(k||(k={}));class b{constructor(t,d){this.type=t,this.name=d,this._start=Date.now(),this._dep=[]}static traceInvocation(t){return m?new b(1,t.name||t.toString().substring(0,42).replace(/\n/g,"")):b._None}static traceCreation(t){return m?new b(0,t.name):b._None}branch(t,d){let g=new b(2,t.toString());return this._dep.push([t,d,g]),g}stop(){let t=Date.now()-this._start;b._totals+=t;let d=!1;function g(M,f){let h=[],c=new Array(M+1).join("	");for(const[o,u,r]of f._dep)if(u&&r){d=!0,h.push(`${c}CREATES -> ${o}`);let i=g(M+1,r);i&&h.push(i)}else h.push(`${c}uses -> ${o}`);return h.join(`
`)}let v=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${g(1,this)}`,`DONE, took ${t.toFixed(2)}ms (grand total ${b._totals.toFixed(2)}ms)`];(t>2||d)&&console.log(v.join(`
`))}}e.Trace=b,b._None=new class extends b{constructor(){super(-1,null)}stop(){}branch(){return this}},b._totals=0}),define(Z[183],x([0,1,15,135,59]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BaseResolvedKeybinding=void 0;class D extends L.ResolvedKeybinding{constructor(S,m){super();if(m.length===0)throw(0,w.illegalArgument)("parts");this._os=S,this._parts=m}getLabel(){return n.UILabelProvider.toLabel(this._os,this._parts,S=>this._getLabel(S))}getAriaLabel(){return n.AriaLabelProvider.toLabel(this._os,this._parts,S=>this._getAriaLabel(S))}getElectronAccelerator(){return this._parts.length>1||this._parts[0].isDuplicateModifierCase()?null:n.ElectronAcceleratorLabelProvider.toLabel(this._os,this._parts,S=>this._getElectronAccelerator(S))}getUserSettingsLabel(){return n.UserSettingsLabelProvider.toLabel(this._os,this._parts,S=>this._getUserSettingsLabel(S))}isWYSIWYG(){return this._parts.every(S=>this._isWYSIWYG(S))}isChord(){return this._parts.length>1}getParts(){return this._parts.map(S=>this._getPart(S))}_getPart(S){return new L.ResolvedKeybindingPart(S.ctrlKey,S.shiftKey,S.altKey,S.metaKey,this._getLabel(S),this._getAriaLabel(S))}getDispatchParts(){return this._parts.map(S=>this._getDispatchPart(S))}getSingleModifierDispatchParts(){return this._parts.map(S=>this._getSingleModifierDispatchPart(S))}}e.BaseResolvedKeybinding=D}),define(Z[184],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeElementsAfterNulls=e.ResolvedKeybindingItem=void 0;class w{constructor(D,P,S,m,E,I,k){this._resolvedKeybindingItemBrand=void 0,this.resolvedKeybinding=D,this.keypressParts=D?n(D.getDispatchParts()):[],D&&this.keypressParts.length===0&&(this.keypressParts=n(D.getSingleModifierDispatchParts())),this.bubble=P?P.charCodeAt(0)===94:!1,this.command=this.bubble?P.substr(1):P,this.commandArgs=S,this.when=m,this.isDefault=E,this.extensionId=I,this.isBuiltinExtension=k}}e.ResolvedKeybindingItem=w;function n(L){let D=[];for(let P=0,S=L.length;P<S;P++){const m=L[P];if(!m)return D;D.push(m)}return D}e.removeElementsAfterNulls=n}),define(Z[185],x([0,1,83,59,183,184]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USLayoutResolvedKeybinding=void 0;class P extends L.BaseResolvedKeybinding{constructor(m,E){super(E,m.parts)}_keyCodeToUILabel(m){if(this._os===2)switch(m){case 15:return"\u2190";case 16:return"\u2191";case 17:return"\u2192";case 18:return"\u2193"}return w.KeyCodeUtils.toString(m)}_getLabel(m){return m.isDuplicateModifierCase()?"":this._keyCodeToUILabel(m.keyCode)}_getAriaLabel(m){return m.isDuplicateModifierCase()?"":w.KeyCodeUtils.toString(m.keyCode)}_getElectronAccelerator(m){return w.KeyCodeUtils.toElectronAccelerator(m.keyCode)}_getUserSettingsLabel(m){if(m.isDuplicateModifierCase())return"";const E=w.KeyCodeUtils.toUserSettingsUS(m.keyCode);return E&&E.toLowerCase()}_isWYSIWYG(){return!0}_getDispatchPart(m){return P.getDispatchStr(m)}static getDispatchStr(m){if(m.isModifierKey())return null;let E="";return m.ctrlKey&&(E+="ctrl+"),m.shiftKey&&(E+="shift+"),m.altKey&&(E+="alt+"),m.metaKey&&(E+="meta+"),E+=w.KeyCodeUtils.toString(m.keyCode),E}_getSingleModifierDispatchPart(m){return m.keyCode===5&&!m.shiftKey&&!m.altKey&&!m.metaKey?"ctrl":m.keyCode===4&&!m.ctrlKey&&!m.altKey&&!m.metaKey?"shift":m.keyCode===6&&!m.ctrlKey&&!m.shiftKey&&!m.metaKey?"alt":m.keyCode===57&&!m.ctrlKey&&!m.shiftKey&&!m.altKey?"meta":null}static _scanCodeToKeyCode(m){const E=w.IMMUTABLE_CODE_TO_KEY_CODE[m];if(E!==-1)return E;switch(m){case 10:return 31;case 11:return 32;case 12:return 33;case 13:return 34;case 14:return 35;case 15:return 36;case 16:return 37;case 17:return 38;case 18:return 39;case 19:return 40;case 20:return 41;case 21:return 42;case 22:return 43;case 23:return 44;case 24:return 45;case 25:return 46;case 26:return 47;case 27:return 48;case 28:return 49;case 29:return 50;case 30:return 51;case 31:return 52;case 32:return 53;case 33:return 54;case 34:return 55;case 35:return 56;case 36:return 22;case 37:return 23;case 38:return 24;case 39:return 25;case 40:return 26;case 41:return 27;case 42:return 28;case 43:return 29;case 44:return 30;case 45:return 21;case 51:return 83;case 52:return 81;case 53:return 87;case 54:return 89;case 55:return 88;case 56:return 0;case 57:return 80;case 58:return 90;case 59:return 86;case 60:return 82;case 61:return 84;case 62:return 85;case 106:return 92}return 0}static _resolveSimpleUserBinding(m){if(!m)return null;if(m instanceof n.SimpleKeybinding)return m;const E=this._scanCodeToKeyCode(m.scanCode);return E===0?null:new n.SimpleKeybinding(m.ctrlKey,m.shiftKey,m.altKey,m.metaKey,E)}static resolveUserBinding(m,E){const I=(0,D.removeElementsAfterNulls)(m.map(k=>this._resolveSimpleUserBinding(k)));return I.length>0?[new P(new n.ChordKeybinding(I),E)]:[]}}e.USLayoutResolvedKeybinding=P}),define(Z[186],x([0,1,9]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.handleVetos=void 0;function n(L,D){if(L.length===0)return Promise.resolve(!1);const P=[];let S=!1;for(let m of L){if(m===!0)return Promise.resolve(!0);(0,w.isThenable)(m)&&P.push(m.then(E=>{E&&(S=!0)},E=>{D(E),S=!0}))}return w.Promises.settled(P).then(()=>S)}e.handleVetos=n}),define(Z[6],x([0,1,39,4,2,3,5]),function(V,e,w,n,L,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,P.createDecorator)("logService"),e.ILoggerService=(0,P.createDecorator)("loggerService");function S(){return new Date().toISOString()}var m;(function(u){u[u.Trace=0]="Trace",u[u.Debug=1]="Debug",u[u.Info=2]="Info",u[u.Warning=3]="Warning",u[u.Error=4]="Error",u[u.Critical=5]="Critical",u[u.Off=6]="Off"})(m=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=m.Info;function E(u,r,i){switch(r){case m.Trace:u.trace(i);break;case m.Debug:u.debug(i);break;case m.Info:u.info(i);break;case m.Warning:u.warn(i);break;case m.Error:u.error(i);break;case m.Critical:u.critical(i);break;default:throw new Error("Invalid log level")}}e.log=E;function I(u){let r="";for(let i=0;i<u.length;i++){let s=u[i];if(typeof s=="object")try{s=JSON.stringify(s)}catch{}r+=(i>0?" ":"")+s}return r}e.format=I;class k extends L.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new n.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(r){this.level!==r&&(this.level=r,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=k;class b extends k{constructor(r){super();this.logAlways=r}checkLogLevel(r){return this.logAlways||this.getLevel()<=r}trace(r,...i){this.checkLogLevel(m.Trace)&&this.log(m.Trace,I([r,...i]))}debug(r,...i){this.checkLogLevel(m.Debug)&&this.log(m.Debug,I([r,...i]))}info(r,...i){this.checkLogLevel(m.Info)&&this.log(m.Info,I([r,...i]))}warn(r,...i){this.checkLogLevel(m.Warning)&&this.log(m.Warning,I([r,...i]))}error(r,...i){if(this.checkLogLevel(m.Error))if(r instanceof Error){const s=Array.prototype.slice.call(arguments);s[0]=r.stack,this.log(m.Error,I(s))}else this.log(m.Error,I([r,...i]))}critical(r,...i){this.checkLogLevel(m.Critical)&&this.log(m.Critical,I([r,...i]))}flush(){}}e.AbstractMessageLogger=b;class p extends k{constructor(r=e.DEFAULT_LOG_LEVEL){super();this.setLevel(r),this.useColors=!D.isWindows}trace(r,...i){this.getLevel()<=m.Trace&&(this.useColors?console.log(`[90m[main ${S()}][0m`,r,...i):console.log(`[main ${S()}]`,r,...i))}debug(r,...i){this.getLevel()<=m.Debug&&(this.useColors?console.log(`[90m[main ${S()}][0m`,r,...i):console.log(`[main ${S()}]`,r,...i))}info(r,...i){this.getLevel()<=m.Info&&(this.useColors?console.log(`[90m[main ${S()}][0m`,r,...i):console.log(`[main ${S()}]`,r,...i))}warn(r,...i){this.getLevel()<=m.Warning&&(this.useColors?console.warn(`[93m[main ${S()}][0m`,r,...i):console.warn(`[main ${S()}]`,r,...i))}error(r,...i){this.getLevel()<=m.Error&&(this.useColors?console.error(`[91m[main ${S()}][0m`,r,...i):console.error(`[main ${S()}]`,r,...i))}critical(r,...i){this.getLevel()<=m.Critical&&(this.useColors?console.error(`[90m[main ${S()}][0m`,r,...i):console.error(`[main ${S()}]`,r,...i))}dispose(){}flush(){}}e.ConsoleMainLogger=p;class t extends k{constructor(r=e.DEFAULT_LOG_LEVEL){super();this.setLevel(r)}trace(r,...i){this.getLevel()<=m.Trace&&console.log("%cTRACE","color: #888",r,...i)}debug(r,...i){this.getLevel()<=m.Debug&&console.log("%cDEBUG","background: #eee; color: #888",r,...i)}info(r,...i){this.getLevel()<=m.Info&&console.log("%c INFO","color: #33f",r,...i)}warn(r,...i){this.getLevel()<=m.Warning&&console.log("%c WARN","color: #993",r,...i)}error(r,...i){this.getLevel()<=m.Error&&console.log("%c  ERR","color: #f33",r,...i)}critical(r,...i){this.getLevel()<=m.Critical&&console.log("%cCRITI","background: #f33; color: white",r,...i)}dispose(){}flush(){}}e.ConsoleLogger=t;class d extends k{constructor(r,i=e.DEFAULT_LOG_LEVEL){super();this.adapter=r,this.setLevel(i)}trace(r,...i){this.getLevel()<=m.Trace&&this.adapter.log(m.Trace,[this.extractMessage(r),...i])}debug(r,...i){this.getLevel()<=m.Debug&&this.adapter.log(m.Debug,[this.extractMessage(r),...i])}info(r,...i){this.getLevel()<=m.Info&&this.adapter.log(m.Info,[this.extractMessage(r),...i])}warn(r,...i){this.getLevel()<=m.Warning&&this.adapter.log(m.Warning,[this.extractMessage(r),...i])}error(r,...i){this.getLevel()<=m.Error&&this.adapter.log(m.Error,[this.extractMessage(r),...i])}critical(r,...i){this.getLevel()<=m.Critical&&this.adapter.log(m.Critical,[this.extractMessage(r),...i])}extractMessage(r){return typeof r=="string"?r:(0,w.toErrorMessage)(r,this.getLevel()<=m.Trace)}dispose(){}flush(){}}e.AdapterLogger=d;class g extends k{constructor(r){super();this.logServices=r,r.length&&this.setLevel(r[0].getLevel())}setLevel(r){for(const i of this.logServices)i.setLevel(r);super.setLevel(r)}trace(r,...i){for(const s of this.logServices)s.trace(r,...i)}debug(r,...i){for(const s of this.logServices)s.debug(r,...i)}info(r,...i){for(const s of this.logServices)s.info(r,...i)}warn(r,...i){for(const s of this.logServices)s.warn(r,...i)}error(r,...i){for(const s of this.logServices)s.error(r,...i)}critical(r,...i){for(const s of this.logServices)s.critical(r,...i)}flush(){for(const r of this.logServices)r.flush()}dispose(){for(const r of this.logServices)r.dispose()}}e.MultiplexLogService=g;class v extends L.Disposable{constructor(r){super();this.logger=r,this._register(r)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(r){this.logger.setLevel(r)}getLevel(){return this.logger.getLevel()}trace(r,...i){this.logger.trace(r,...i)}debug(r,...i){this.logger.debug(r,...i)}info(r,...i){this.logger.info(r,...i)}warn(r,...i){this.logger.warn(r,...i)}error(r,...i){this.logger.error(r,...i)}critical(r,...i){this.logger.critical(r,...i)}flush(){this.logger.flush()}}e.LogService=v;class M extends L.Disposable{constructor(r,i){super();this.logLevel=r,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(i(s=>{this.logLevel=s,this.logLevelChangeableLoggers.forEach(a=>a.setLevel(s))}))}getLogger(r){return this.loggers.get(r.toString())}createLogger(r,i){let s=this.loggers.get(r.toString());return s||(s=this.doCreateLogger(r,i?.always?m.Trace:this.logLevel,i),this.loggers.set(r.toString(),s),i?.always||this.logLevelChangeableLoggers.push(s)),s}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(r=>r.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=M;class f{constructor(){this.onDidChangeLogLevel=new n.Emitter().event}setLevel(r){}getLevel(){return m.Info}trace(r,...i){}debug(r,...i){}info(r,...i){}warn(r,...i){}error(r,...i){}critical(r,...i){}dispose(){}flush(){}}e.NullLogService=f;function h(u){if(u.verbose)return m.Trace;if(typeof u.logLevel=="string"){const r=c(u.logLevel.toLowerCase());if(r!==void 0)return r}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=h;function c(u){switch(u){case"trace":return m.Trace;case"debug":return m.Debug;case"info":return m.Info;case"warn":return m.Warning;case"error":return m.Error;case"critical":return m.Critical;case"off":return m.Off}}e.parseLogLevel=c;function o(u){switch(u){case m.Trace:return"trace";case m.Debug:return"debug";case m.Info:return"info";case m.Warning:return"warn";case m.Error:return"error";case m.Critical:return"critical";case m.Off:return"off"}}e.LogLevelToString=o}),define(Z[187],x([0,1,30,9,15,4,2,7,62,6]),function(V,e,w,n,L,D,P,S,m,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDiskFileSystemProvider=void 0;class I extends P.Disposable{constructor(b,p){super();this.logService=b,this.options=p,this._onDidChangeFile=this._register(new D.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidWatchError=this._register(new D.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.universalPathsToWatch=[],this.universalWatchRequestDelayer=this._register(new n.ThrottledDelayer(0)),this.nonRecursivePathsToWatch=[],this.nonRecursiveWatchRequestDelayer=this._register(new n.ThrottledDelayer(0))}watch(b,p){return p.recursive||this.options?.watcher?.forceUniversal?this.watchUniversal(b,p):this.watchNonRecursive(b,p)}watchUniversal(b,p){const t={path:this.toFilePath(b),excludes:p.excludes,recursive:p.recursive},d=(0,w.insert)(this.universalPathsToWatch,t);return this.refreshUniversalWatchers(),(0,P.toDisposable)(()=>{d(),this.refreshUniversalWatchers()})}refreshUniversalWatchers(){this.universalWatchRequestDelayer.trigger(()=>this.doRefreshUniversalWatchers()).catch(b=>(0,L.onUnexpectedError)(b))}doRefreshUniversalWatchers(){this.universalWatcher||(this.universalWatcher=this._register(this.createUniversalWatcher(p=>this._onDidChangeFile.fire((0,m.toFileChanges)(p)),p=>this.onWatcherLogMessage(p),this.logService.getLevel()===E.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.universalWatcher?.setVerboseLogging(this.logService.getLevel()===E.LogLevel.Trace)})));const b=this.options?.watcher?.recursive?.usePolling;if(b===!0)for(const p of this.universalPathsToWatch)(0,m.isRecursiveWatchRequest)(p)&&(p.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(b))for(const p of this.universalPathsToWatch)(0,m.isRecursiveWatchRequest)(p)&&b.includes(p.path)&&(p.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);return this.universalWatcher.watch(this.universalPathsToWatch)}watchNonRecursive(b,p){const t={path:this.toFilePath(b),excludes:p.excludes,recursive:!1},d=(0,w.insert)(this.nonRecursivePathsToWatch,t);return this.refreshNonRecursiveWatchers(),(0,P.toDisposable)(()=>{d(),this.refreshNonRecursiveWatchers()})}refreshNonRecursiveWatchers(){this.nonRecursiveWatchRequestDelayer.trigger(()=>this.doRefreshNonRecursiveWatchers()).catch(b=>(0,L.onUnexpectedError)(b))}doRefreshNonRecursiveWatchers(){return this.nonRecursiveWatcher||(this.nonRecursiveWatcher=this._register(this.createNonRecursiveWatcher(b=>this._onDidChangeFile.fire((0,m.toFileChanges)(b)),b=>this.onWatcherLogMessage(b),this.logService.getLevel()===E.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.nonRecursiveWatcher?.setVerboseLogging(this.logService.getLevel()===E.LogLevel.Trace)}))),this.nonRecursiveWatcher.watch(this.nonRecursivePathsToWatch)}onWatcherLogMessage(b){b.type==="error"&&this._onDidWatchError.fire(b.message),this.logService[b.type](b.message)}toFilePath(b){return(0,S.normalize)(b.fsPath)}}e.AbstractDiskFileSystemProvider=I});var te=this&&this.__param||function(V,e){return function(w,n){e(w,n,V)}};define(Z[188],x([0,1,30,9,16,23,4,69,68,2,35,10,63,17,48,145,20,94,6]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g,v,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let f=class extends E.Disposable{constructor(c){super();this.logService=c,this.BUFFER_SIZE=256*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new P.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new P.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new P.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new P.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onDidFilesChange=this._register(new P.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidWatchError=this._register(new P.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.activeWatchers=new Map,this.writeQueue=this._register(new n.ResourceQueue)}registerProvider(c,o){if(this.provider.has(c))throw new Error(`A filesystem provider for the scheme '${c}' is already registered.`);(0,b.mark)(`code/registerFilesystem/${c}`);const u=new E.DisposableStore;return this.provider.set(c,o),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:c,provider:o}),u.add(o.onDidChangeFile(r=>this._onDidFilesChange.fire(new g.FileChangesEvent(r,!this.isPathCaseSensitive(o))))),typeof o.onDidWatchError=="function"&&u.add(o.onDidWatchError(r=>this._onDidWatchError.fire(new Error(r)))),u.add(o.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:o,scheme:c}))),(0,E.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:c,provider:o}),this.provider.delete(c),(0,E.dispose)(u)})}getProvider(c){return this.provider.get(c)}async activateProvider(c){const o=[];this._onWillActivateFileSystemProvider.fire({scheme:c,join(u){o.push(u)}}),!this.provider.has(c)&&await n.Promises.settled(o)}async canHandleResource(c){return await this.activateProvider(c.scheme),this.hasProvider(c)}hasProvider(c){return this.provider.has(c.scheme)}hasCapability(c,o){const u=this.provider.get(c.scheme);return!!(u&&u.capabilities&o)}listCapabilities(){return m.Iterable.map(this.provider,([c,o])=>({scheme:c,capabilities:o.capabilities}))}async withProvider(c){if(!(0,p.isAbsolutePath)(c))throw new g.FileOperationError((0,d.localize)(0,null,this.resourceForError(c)),8);await this.activateProvider(c.scheme);const o=this.provider.get(c.scheme);if(!o){const u=new Error;throw u.name="ENOPRO",u.message=(0,d.localize)(1,null,c.toString()),u}return o}async withReadProvider(c){const o=await this.withProvider(c);if((0,g.hasOpenReadWriteCloseCapability)(o)||(0,g.hasReadWriteCapability)(o)||(0,g.hasFileReadStreamCapability)(o))return o;throw new Error(`Filesystem provider for scheme '${c.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(c){const o=await this.withProvider(c);if((0,g.hasOpenReadWriteCloseCapability)(o)||(0,g.hasReadWriteCapability)(o))return o;throw new Error(`Filesystem provider for scheme '${c.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(c,o){try{return await this.doResolveFile(c,o)}catch(u){throw(0,g.toFileSystemProviderErrorCode)(u)===g.FileSystemProviderErrorCode.FileNotFound?new g.FileOperationError((0,d.localize)(2,null,this.resourceForError(c)),1):(0,g.ensureFileSystemProviderError)(u)}}async doResolveFile(c,o){const u=await this.withProvider(c),r=this.isPathCaseSensitive(u),i=o?.resolveTo,s=o?.resolveSingleChildDescendants,a=o?.resolveMetadata,l=await u.stat(c);let y;return this.toFileStat(u,c,l,void 0,!!a,(C,R)=>(y||(y=I.TernarySearchTree.forUris(()=>!r),y.set(c,!0),i&&y.fill(!0,i)),y.get(C.resource)||y.findSuperstr(C.resource.with({query:null,fragment:null}))?!0:C.isDirectory&&s?R===1:!1))}async toFileStat(c,o,u,r,i,s){const{providerExtUri:a}=this.getExtUri(c),l={resource:o,name:a.basename(o),isFile:(u.type&g.FileType.File)!=0,isDirectory:(u.type&g.FileType.Directory)!=0,isSymbolicLink:(u.type&g.FileType.SymbolicLink)!=0,mtime:u.mtime,ctime:u.ctime,size:u.size,readonly:Boolean((u.permissions??0)&g.FilePermission.Readonly)||Boolean(c.capabilities&2048),etag:(0,g.etag)({mtime:u.mtime,size:u.size})};if(l.isDirectory&&s(l,r)){try{const y=await c.readdir(o),C=await n.Promises.settled(y.map(async([R,T])=>{try{const U=a.joinPath(o,R),Y=i?await c.stat(U):{type:T};return await this.toFileStat(c,U,Y,y.length,i,s)}catch(U){return this.logService.trace(U),null}}));l.children=(0,w.coalesce)(C)}catch(y){this.logService.trace(y),l.children=[]}return l}return l}async resolveAll(c){return n.Promises.settled(c.map(async o=>{try{return{stat:await this.doResolveFile(o.resource,o.options),success:!0}}catch(u){return this.logService.trace(u),{stat:void 0,success:!1}}}))}async exists(c){const o=await this.withProvider(c);try{return!!await o.stat(c)}catch{return!1}}async canCreateFile(c,o){try{await this.doValidateCreateFile(c,o)}catch(u){return u}return!0}async doValidateCreateFile(c,o){if(!o?.overwrite&&await this.exists(c))throw new g.FileOperationError((0,d.localize)(3,null,this.resourceForError(c)),3,o)}async createFile(c,o=L.VSBuffer.fromString(""),u){await this.doValidateCreateFile(c,u);const r=await this.writeFile(c,o);return this._onDidRunOperation.fire(new g.FileOperationEvent(c,0,r)),r}async writeFile(c,o,u){const r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(c),c),{providerExtUri:i}=this.getExtUri(r);try{await this.validateWriteFile(r,c,u)||await this.mkdirp(r,i.dirname(c));let a;if((0,g.hasReadWriteCapability)(r)&&!(o instanceof L.VSBuffer))if((0,t.isReadableStream)(o)){const l=await(0,t.peekStream)(o,3);l.ended?a=L.VSBuffer.concat(l.buffer):a=l}else a=(0,t.peekReadable)(o,l=>L.VSBuffer.concat(l),3);else a=o;!(0,g.hasOpenReadWriteCloseCapability)(r)||(0,g.hasReadWriteCapability)(r)&&a instanceof L.VSBuffer?await this.doWriteUnbuffered(r,c,u,a):await this.doWriteBuffered(r,c,u,a instanceof L.VSBuffer?(0,L.bufferToReadable)(a):a),this._onDidRunOperation.fire(new g.FileOperationEvent(c,4))}catch(s){throw new g.FileOperationError((0,d.localize)(4,null,this.resourceForError(c),(0,g.ensureFileSystemProviderError)(s).toString()),(0,g.toFileOperationResult)(s),u)}return this.resolve(c,{resolveMetadata:!0})}async validateWriteFile(c,o,u){if(!!u?.unlock&&!(c.capabilities&8192))throw new Error((0,d.localize)(5,null,this.resourceForError(o)));let i;try{i=await c.stat(o)}catch{return}if((i.type&g.FileType.Directory)!=0)throw new g.FileOperationError((0,d.localize)(6,null,this.resourceForError(o)),0,u);if(this.throwIfFileIsReadonly(o,i),typeof u?.mtime=="number"&&typeof u.etag=="string"&&u.etag!==g.ETAG_DISABLED&&typeof i.mtime=="number"&&typeof i.size=="number"&&u.mtime<i.mtime&&u.etag!==(0,g.etag)({mtime:u.mtime,size:i.size}))throw new g.FileOperationError((0,d.localize)(7,null),3,u);return i}async readFile(c,o,u){const r=await this.withReadProvider(c);return o?.atomic?this.doReadFileAtomic(r,c,o,u):this.doReadFile(r,c,o,u)}async doReadFileAtomic(c,o,u,r){return new Promise((i,s)=>{this.writeQueue.queueFor(o,this.getExtUri(c).providerExtUri).queue(async()=>{try{const a=await this.doReadFile(c,o,u,r);i(a)}catch(a){s(a)}})})}async doReadFile(c,o,u,r){const i=await this.doReadFileStream(c,o,{...u,preferUnbuffered:!0},r);return{...i,value:await(0,L.streamToBuffer)(i.value)}}async readFileStream(c,o,u){const r=await this.withReadProvider(c);return this.doReadFileStream(r,c,o,u)}async doReadFileStream(c,o,u,r){const i=new D.CancellationTokenSource(r),s=this.validateReadFile(o,u).then(l=>l,l=>{throw i.cancel(),l});let a;try{return typeof u?.etag=="string"&&u.etag!==g.ETAG_DISABLED&&await s,u?.atomic&&(0,g.hasFileAtomicReadCapability)(c)||!((0,g.hasOpenReadWriteCloseCapability)(c)||(0,g.hasFileReadStreamCapability)(c))||(0,g.hasReadWriteCapability)(c)&&u?.preferUnbuffered?a=this.readFileUnbuffered(c,o,u):(0,g.hasFileReadStreamCapability)(c)?a=this.readFileStreamed(c,o,i.token,u):a=this.readFileBuffered(c,o,i.token,u),{...await s,value:a}}catch(l){a&&await(0,t.consumeStream)(a);const y=(0,d.localize)(8,null,this.resourceForError(o),(0,g.ensureFileSystemProviderError)(l).toString());throw l instanceof g.NotModifiedSinceFileOperationError?new g.NotModifiedSinceFileOperationError(y,l.stat,u):new g.FileOperationError(y,(0,g.toFileOperationResult)(l),u)}}readFileStreamed(c,o,u,r=Object.create(null)){const i=c.readFileStream(o,r,u);return(0,t.transform)(i,{data:s=>s instanceof L.VSBuffer?s:L.VSBuffer.wrap(s),error:s=>new g.FileOperationError((0,d.localize)(9,null,this.resourceForError(o),(0,g.ensureFileSystemProviderError)(s).toString()),(0,g.toFileOperationResult)(s),r)},s=>L.VSBuffer.concat(s))}readFileBuffered(c,o,u,r=Object.create(null)){const i=(0,L.newWriteableBufferStream)();return(0,v.readFileIntoStream)(c,o,i,s=>s,{...r,bufferSize:this.BUFFER_SIZE,errorTransformer:s=>new g.FileOperationError((0,d.localize)(10,null,this.resourceForError(o),(0,g.ensureFileSystemProviderError)(s).toString()),(0,g.toFileOperationResult)(s),r)},u),i}readFileUnbuffered(c,o,u){const r=(0,t.newWriteableStream)(i=>L.VSBuffer.concat(i));return(async()=>{try{let i;u?.atomic&&(0,g.hasFileAtomicReadCapability)(c)?i=await c.readFile(o,{atomic:!0}):i=await c.readFile(o),typeof u?.position=="number"&&(i=i.slice(u.position)),typeof u?.length=="number"&&(i=i.slice(0,u.length)),this.validateReadFileLimits(o,i.byteLength,u),r.end(L.VSBuffer.wrap(i))}catch(i){r.error(i),r.end()}})(),r}async validateReadFile(c,o){const u=await this.resolve(c,{resolveMetadata:!0});if(u.isDirectory)throw new g.FileOperationError((0,d.localize)(11,null,this.resourceForError(c)),0,o);if(typeof o?.etag=="string"&&o.etag!==g.ETAG_DISABLED&&o.etag===u.etag)throw new g.NotModifiedSinceFileOperationError((0,d.localize)(12,null),u,o);return this.validateReadFileLimits(c,u.size,o),u}validateReadFileLimits(c,o,u){if(u?.limits){let r;if(typeof u.limits.memory=="number"&&o>u.limits.memory&&(r=9),typeof u.limits.size=="number"&&o>u.limits.size&&(r=7),typeof r=="number")throw new g.FileOperationError((0,d.localize)(13,null,this.resourceForError(c)),r)}}async canMove(c,o,u){return this.doCanMoveCopy(c,o,"move",u)}async canCopy(c,o,u){return this.doCanMoveCopy(c,o,"copy",u)}async doCanMoveCopy(c,o,u,r){if(c.toString()!==o.toString())try{const i=u==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(c),c):await this.withReadProvider(c),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o);await this.doValidateMoveCopy(i,c,s,o,u,r)}catch(i){return i}return!0}async move(c,o,u){const r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(c),c),i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),s=await this.doMoveCopy(r,c,i,o,"move",!!u),a=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new g.FileOperationEvent(c,s==="move"?2:3,a)),a}async copy(c,o,u){const r=await this.withReadProvider(c),i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),s=await this.doMoveCopy(r,c,i,o,"copy",!!u),a=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new g.FileOperationEvent(c,s==="copy"?3:2,a)),a}async doMoveCopy(c,o,u,r,i,s){if(o.toString()===r.toString())return i;const{exists:a,isSameResourceWithDifferentPathCase:l}=await this.doValidateMoveCopy(c,o,u,r,i,s);if(a&&!l&&s&&await this.del(r,{recursive:!0}),await this.mkdirp(u,this.getExtUri(u).providerExtUri.dirname(r)),i==="copy"){if(c===u&&(0,g.hasFileFolderCopyCapability)(c))await c.copy(o,r,{overwrite:s});else{const y=await this.resolve(o);y.isDirectory?await this.doCopyFolder(c,y,u,r):await this.doCopyFile(c,o,u,r)}return i}else return c===u?(await c.rename(o,r,{overwrite:s}),i):(await this.doMoveCopy(c,o,u,r,"copy",s),await this.del(o,{recursive:!0}),"copy")}async doCopyFile(c,o,u,r){if((0,g.hasOpenReadWriteCloseCapability)(c)&&(0,g.hasOpenReadWriteCloseCapability)(u))return this.doPipeBuffered(c,o,u,r);if((0,g.hasOpenReadWriteCloseCapability)(c)&&(0,g.hasReadWriteCapability)(u))return this.doPipeBufferedToUnbuffered(c,o,u,r);if((0,g.hasReadWriteCapability)(c)&&(0,g.hasOpenReadWriteCloseCapability)(u))return this.doPipeUnbufferedToBuffered(c,o,u,r);if((0,g.hasReadWriteCapability)(c)&&(0,g.hasReadWriteCapability)(u))return this.doPipeUnbuffered(c,o,u,r)}async doCopyFolder(c,o,u,r){await u.mkdir(r),Array.isArray(o.children)&&await n.Promises.settled(o.children.map(async i=>{const s=this.getExtUri(u).providerExtUri.joinPath(r,i.name);return i.isDirectory?this.doCopyFolder(c,await this.resolve(i.resource),u,s):this.doCopyFile(c,i.resource,u,s)}))}async doValidateMoveCopy(c,o,u,r,i,s){let a=!1;if(c===u){const{providerExtUri:y,isPathCaseSensitive:C}=this.getExtUri(c);if(C||(a=y.isEqual(o,r)),a&&i==="copy")throw new Error((0,d.localize)(14,null,this.resourceForError(o),this.resourceForError(r)));if(!a&&y.isEqualOrParent(r,o))throw new Error((0,d.localize)(15,null,this.resourceForError(o),this.resourceForError(r)))}const l=await this.exists(r);if(l&&!a){if(!s)throw new g.FileOperationError((0,d.localize)(16,null,this.resourceForError(o),this.resourceForError(r)),4);if(c===u){const{providerExtUri:y}=this.getExtUri(c);if(y.isEqualOrParent(o,r))throw new Error((0,d.localize)(17,null,this.resourceForError(o),this.resourceForError(r)))}}return{exists:l,isSameResourceWithDifferentPathCase:a}}getExtUri(c){const o=this.isPathCaseSensitive(c);return{providerExtUri:o?p.extUri:p.extUriIgnorePathCase,isPathCaseSensitive:o}}isPathCaseSensitive(c){return!!(c.capabilities&1024)}async createFolder(c){const o=this.throwIfFileSystemIsReadonly(await this.withProvider(c),c);await this.mkdirp(o,c);const u=await this.resolve(c,{resolveMetadata:!0});return this._onDidRunOperation.fire(new g.FileOperationEvent(c,0,u)),u}async mkdirp(c,o){const u=[],{providerExtUri:r}=this.getExtUri(c);for(;!r.isEqual(o,r.dirname(o));)try{if(((await c.stat(o)).type&g.FileType.Directory)==0)throw new Error((0,d.localize)(18,null,this.resourceForError(o)));break}catch(i){if((0,g.toFileSystemProviderErrorCode)(i)!==g.FileSystemProviderErrorCode.FileNotFound)throw i;u.push(r.basename(o)),o=r.dirname(o)}for(let i=u.length-1;i>=0;i--){o=r.joinPath(o,u[i]);try{await c.mkdir(o)}catch(s){if((0,g.toFileSystemProviderErrorCode)(s)!==g.FileSystemProviderErrorCode.FileExists)throw s}}}async canDelete(c,o){try{await this.doValidateDelete(c,o)}catch(u){return u}return!0}async doValidateDelete(c,o){const u=this.throwIfFileSystemIsReadonly(await this.withProvider(c),c);if(!!o?.useTrash&&!(u.capabilities&4096))throw new Error((0,d.localize)(19,null,this.resourceForError(c)));let i;try{i=await u.stat(c)}catch{}if(i)this.throwIfFileIsReadonly(c,i);else throw new g.FileOperationError((0,d.localize)(20,null,this.resourceForError(c)),1);if(!!!o?.recursive){const a=await this.resolve(c);if(a.isDirectory&&Array.isArray(a.children)&&a.children.length>0)throw new Error((0,d.localize)(21,null,this.resourceForError(c)))}return u}async del(c,o){const u=await this.doValidateDelete(c,o),r=!!o?.useTrash,i=!!o?.recursive;await u.delete(c,{recursive:i,useTrash:r}),this._onDidRunOperation.fire(new g.FileOperationEvent(c,1))}watch(c,o={recursive:!1,excludes:[]}){const u=new E.DisposableStore;let r=!1,i=()=>{r=!0};return u.add((0,E.toDisposable)(()=>i())),(async()=>{try{const s=await this.doWatch(c,o);r?(0,E.dispose)(s):i=()=>(0,E.dispose)(s)}catch(s){this.logService.error(s)}})(),u}async doWatch(c,o){const u=await this.withProvider(c),r=(0,S.hash)([this.getExtUri(u).providerExtUri.getComparisonKey(c),o]);let i=this.activeWatchers.get(r);return i||(i={count:0,disposable:u.watch(c,o)},this.activeWatchers.set(r,i)),i.count+=1,(0,E.toDisposable)(()=>{i&&(i.count--,i.count===0&&((0,E.dispose)(i.disposable),this.activeWatchers.delete(r)))})}dispose(){super.dispose();for(const[,c]of this.activeWatchers)(0,E.dispose)(c.disposable);this.activeWatchers.clear()}async doWriteBuffered(c,o,u,r){return this.writeQueue.queueFor(o,this.getExtUri(c).providerExtUri).queue(async()=>{const i=await c.open(o,{create:!0,unlock:u?.unlock??!1});try{(0,t.isReadableStream)(r)||(0,t.isReadableBufferedStream)(r)?await this.doWriteStreamBufferedQueued(c,i,r):await this.doWriteReadableBufferedQueued(c,i,r)}catch(s){throw(0,g.ensureFileSystemProviderError)(s)}finally{await c.close(i)}})}async doWriteStreamBufferedQueued(c,o,u){let r=0,i;if((0,t.isReadableBufferedStream)(u)){if(u.buffer.length>0){const s=L.VSBuffer.concat(u.buffer);await this.doWriteBuffer(c,o,s,s.byteLength,r,0),r+=s.byteLength}if(u.ended)return;i=u.stream}else i=u;return new Promise((s,a)=>{(0,t.listenStream)(i,{onData:async l=>{i.pause();try{await this.doWriteBuffer(c,o,l,l.byteLength,r,0)}catch(y){return a(y)}r+=l.byteLength,setTimeout(()=>i.resume())},onError:l=>a(l),onEnd:()=>s()})})}async doWriteReadableBufferedQueued(c,o,u){let r=0,i;for(;(i=u.read())!==null;)await this.doWriteBuffer(c,o,i,i.byteLength,r,0),r+=i.byteLength}async doWriteBuffer(c,o,u,r,i,s){let a=0;for(;a<r;)a+=await c.write(o,i+a,u.buffer,s+a,r-a)}async doWriteUnbuffered(c,o,u,r){return this.writeQueue.queueFor(o,this.getExtUri(c).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(c,o,u,r))}async doWriteUnbufferedQueued(c,o,u,r){let i;r instanceof L.VSBuffer?i=r:(0,t.isReadableStream)(r)?i=await(0,L.streamToBuffer)(r):(0,t.isReadableBufferedStream)(r)?i=await(0,L.bufferedStreamToBuffer)(r):i=(0,L.readableToBuffer)(r),await c.writeFile(o,i.buffer,{create:!0,overwrite:!0,unlock:u?.unlock??!1})}async doPipeBuffered(c,o,u,r){return this.writeQueue.queueFor(r,this.getExtUri(u).providerExtUri).queue(()=>this.doPipeBufferedQueued(c,o,u,r))}async doPipeBufferedQueued(c,o,u,r){let i,s;try{i=await c.open(o,{create:!1}),s=await u.open(r,{create:!0,unlock:!1});const a=L.VSBuffer.alloc(this.BUFFER_SIZE);let l=0,y=0,C=0;do C=await c.read(i,l,a.buffer,y,a.byteLength-y),await this.doWriteBuffer(u,s,a,C,l,y),l+=C,y+=C,y===a.byteLength&&(y=0);while(C>0)}catch(a){throw(0,g.ensureFileSystemProviderError)(a)}finally{await n.Promises.settled([typeof i=="number"?c.close(i):Promise.resolve(),typeof s=="number"?u.close(s):Promise.resolve()])}}async doPipeUnbuffered(c,o,u,r){return this.writeQueue.queueFor(r,this.getExtUri(u).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(c,o,u,r))}async doPipeUnbufferedQueued(c,o,u,r){return u.writeFile(r,await c.readFile(o),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(c,o,u,r){return this.writeQueue.queueFor(r,this.getExtUri(u).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(c,o,u,r))}async doPipeUnbufferedToBufferedQueued(c,o,u,r){const i=await u.open(r,{create:!0,unlock:!1});try{const s=await c.readFile(o);await this.doWriteBuffer(u,i,L.VSBuffer.wrap(s),s.byteLength,0,0)}catch(s){throw(0,g.ensureFileSystemProviderError)(s)}finally{await u.close(i)}}async doPipeBufferedToUnbuffered(c,o,u,r){const i=await(0,L.streamToBuffer)(this.readFileBuffered(c,o,D.CancellationToken.None));await this.doWriteUnbuffered(u,r,void 0,i)}throwIfFileSystemIsReadonly(c,o){if(c.capabilities&2048)throw new g.FileOperationError((0,d.localize)(22,null,this.resourceForError(o)),6);return c}throwIfFileIsReadonly(c,o){if((o.permissions??0)&g.FilePermission.Readonly)throw new g.FileOperationError((0,d.localize)(23,null,this.resourceForError(c)),6)}resourceForError(c){return c.scheme===k.Schemas.file?c.fsPath:c.toString(!0)}};f=ue([te(0,M.ILogService)],f),e.FileService=f}),define(Z[77],x([0,1,29,253,9,35,16,4,28,2,7,3,17,48,24,149,20,94,187,39,181,180]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g,v,M,f,h,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0,(()=>{try{(0,n.gracefulify)(w)}catch(u){console.error(`Error enabling graceful-fs: ${(0,f.toErrorMessage)(u)}`)}})();class o extends M.AbstractDiskFileSystemProvider{constructor(r,i){super(r,i);this.onDidChangeCapabilities=S.Event.None,this.resourceLocks=new D.ResourceMap(s=>b.extUriBiasedIgnorePathCase.getComparisonKey(s)),this.mapHandleToPos=new Map,this.mapHandleToLock=new Map,this.writeHandles=new Map,this.canFlush=!0}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384,k.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(r){try{const{stat:i,symbolicLink:s}=await t.SymlinkSupport.stat(this.toFilePath(r));return{type:this.toType(i,s),ctime:i.birthtime.getTime(),mtime:i.mtime.getTime(),size:i.size}}catch(i){throw this.toFileSystemProviderError(i)}}async readdir(r){try{const i=await t.Promises.readdir(this.toFilePath(r),{withFileTypes:!0}),s=[];return await Promise.all(i.map(async a=>{try{let l;a.isSymbolicLink()?l=(await this.stat((0,b.joinPath)(r,a.name))).type:l=this.toType(a),s.push([a.name,l])}catch(l){this.logService.trace(l)}})),s}catch(i){throw this.toFileSystemProviderError(i)}}toType(r,i){let s;return i?.dangling?s=g.FileType.Unknown:r.isFile()?s=g.FileType.File:r.isDirectory()?s=g.FileType.Directory:s=g.FileType.Unknown,i&&(s|=g.FileType.SymbolicLink),s}async createResourceLock(r){this.logService.trace(`[Disk FileSystemProvider]: request to acquire resource lock (${this.toFilePath(r)})`);let i;for(;i=this.resourceLocks.get(r);)this.logService.trace(`[Disk FileSystemProvider]: waiting for resource lock to be released (${this.toFilePath(r)})`),await i.wait();const s=new L.Barrier;return this.resourceLocks.set(r,s),this.logService.trace(`[Disk FileSystemProvider]: new resource lock created (${this.toFilePath(r)})`),(0,E.toDisposable)(()=>{this.logService.trace(`[Disk FileSystemProvider]: resource lock disposed (${this.toFilePath(r)})`),this.resourceLocks.delete(r),s.open()})}async readFile(r,i){let s;try{i?.atomic&&(this.logService.trace(`[Disk FileSystemProvider]: atomic read operation started (${this.toFilePath(r)})`),s=await this.createResourceLock(r));const a=this.toFilePath(r);return await t.Promises.readFile(a)}catch(a){throw this.toFileSystemProviderError(a)}finally{s?.dispose()}}readFileStream(r,i,s){const a=(0,p.newWriteableStream)(l=>P.VSBuffer.concat(l.map(y=>P.VSBuffer.wrap(y))).buffer);return(0,v.readFileIntoStream)(this,r,a,l=>l.buffer,{...i,bufferSize:256*1024},s),a}async writeFile(r,i,s){let a;try{const l=this.toFilePath(r);if(!s.create||!s.overwrite){if(await t.Promises.exists(l)){if(!s.overwrite)throw(0,g.createFileSystemProviderError)((0,d.localize)(0,null),g.FileSystemProviderErrorCode.FileExists)}else if(!s.create)throw(0,g.createFileSystemProviderError)((0,d.localize)(1,null),g.FileSystemProviderErrorCode.FileNotFound)}a=await this.open(r,{create:!0,unlock:s.unlock}),await this.write(a,0,i,0,i.byteLength)}catch(l){throw await this.toFileSystemProviderWriteError(r,l)}finally{typeof a=="number"&&await this.close(a)}}async open(r,i){let s;(0,g.isFileOpenForWriteOptions)(i)&&(s=await this.createResourceLock(r));let a;try{const l=this.toFilePath(r);if((0,g.isFileOpenForWriteOptions)(i)&&i.unlock)try{const{stat:C}=await t.SymlinkSupport.stat(l);C.mode&128||await t.Promises.chmod(l,C.mode|128)}catch(C){this.logService.trace(C)}let y;if((0,g.isFileOpenForWriteOptions)(i)){if(k.isWindows)try{await t.Promises.truncate(l,0),y="r+"}catch(C){C.code!=="ENOENT"&&this.logService.trace(C)}y||(y="w")}else y="r";a=await t.Promises.open(l,y)}catch(l){throw s?.dispose(),(0,g.isFileOpenForWriteOptions)(i)?await this.toFileSystemProviderWriteError(r,l):this.toFileSystemProviderError(l)}return this.mapHandleToPos.set(a,0),(0,g.isFileOpenForWriteOptions)(i)&&this.writeHandles.set(a,r),s&&this.mapHandleToLock.set(a,s),a}async close(r){try{if(this.mapHandleToPos.delete(r),this.writeHandles.delete(r)&&this.canFlush)try{await t.Promises.fdatasync(r)}catch(i){this.canFlush=!1,this.logService.error(i)}return await t.Promises.close(r)}catch(i){throw this.toFileSystemProviderError(i)}finally{const i=this.mapHandleToLock.get(r);i&&(this.mapHandleToLock.delete(r),i.dispose())}}async read(r,i,s,a,l){const y=this.normalizePos(r,i);let C=null;try{C=(await t.Promises.read(r,s,a,l,y)).bytesRead}catch(R){throw this.toFileSystemProviderError(R)}finally{this.updatePos(r,y,C)}return C}normalizePos(r,i){return i===this.mapHandleToPos.get(r)?null:i}updatePos(r,i,s){const a=this.mapHandleToPos.get(r);typeof a=="number"&&(typeof i=="number"||(typeof s=="number"?this.mapHandleToPos.set(r,a+s):this.mapHandleToPos.delete(r)))}async write(r,i,s,a,l){return(0,L.retry)(()=>this.doWrite(r,i,s,a,l),100,3)}async doWrite(r,i,s,a,l){const y=this.normalizePos(r,i);let C=null;try{C=(await t.Promises.write(r,s,a,l,y)).bytesWritten}catch(R){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(r),R)}finally{this.updatePos(r,y,C)}return C}async mkdir(r){try{await t.Promises.mkdir(this.toFilePath(r))}catch(i){throw this.toFileSystemProviderError(i)}}async delete(r,i){try{const s=this.toFilePath(r);i.recursive?await t.Promises.rm(s,t.RimRafMode.MOVE):await t.Promises.unlink(s)}catch(s){throw this.toFileSystemProviderError(s)}}async rename(r,i,s){const a=this.toFilePath(r),l=this.toFilePath(i);if(a!==l)try{await this.validateTargetDeleted(r,i,"move",s.overwrite),await t.Promises.move(a,l)}catch(y){throw(y.code==="EINVAL"||y.code==="EBUSY"||y.code==="ENAMETOOLONG")&&(y=new Error((0,d.localize)(2,null,(0,I.basename)(a),(0,I.basename)((0,I.dirname)(l)),y.toString()))),this.toFileSystemProviderError(y)}}async copy(r,i,s){const a=this.toFilePath(r),l=this.toFilePath(i);if(a!==l)try{await this.validateTargetDeleted(r,i,"copy",s.overwrite),await t.Promises.copy(a,l,{preserveSymlinks:!0})}catch(y){throw(y.code==="EINVAL"||y.code==="EBUSY"||y.code==="ENAMETOOLONG")&&(y=new Error((0,d.localize)(3,null,(0,I.basename)(a),(0,I.basename)((0,I.dirname)(l)),y.toString()))),this.toFileSystemProviderError(y)}}async validateTargetDeleted(r,i,s,a){const l=this.toFilePath(r),y=this.toFilePath(i);let C=!1;if(!!(this.capabilities&1024)||(C=(0,m.isEqual)(l,y,!0)),C&&s==="copy")throw(0,g.createFileSystemProviderError)((0,d.localize)(4,null),g.FileSystemProviderErrorCode.FileExists);if(!C&&await t.Promises.exists(y)){if(!a)throw(0,g.createFileSystemProviderError)((0,d.localize)(5,null),g.FileSystemProviderErrorCode.FileExists);await this.delete(i,{recursive:!0,useTrash:!1})}}createUniversalWatcher(r,i,s){return new h.UniversalWatcherClient(a=>r(a),a=>i(a),s)}createNonRecursiveWatcher(r,i,s){return new c.NodeJSWatcherClient(a=>r(a),a=>i(a),s)}toFileSystemProviderError(r){if(r instanceof g.FileSystemProviderError)return r;let i;switch(r.code){case"ENOENT":i=g.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":i=g.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":i=g.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":i=g.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":i=g.FileSystemProviderErrorCode.NoPermissions;break;default:i=g.FileSystemProviderErrorCode.Unknown}return(0,g.createFileSystemProviderError)(r,i)}async toFileSystemProviderWriteError(r,i){let s=this.toFileSystemProviderError(i);if(r&&s.code===g.FileSystemProviderErrorCode.NoPermissions)try{const{stat:a}=await t.SymlinkSupport.stat(this.toFilePath(r));a.mode&128||(s=(0,g.createFileSystemProviderError)(i,g.FileSystemProviderErrorCode.FileWriteLocked))}catch(a){this.logService.trace(a)}return s}}e.DiskFileSystemProvider=o}),define(Z[189],x([0,1,4,77,2,16,48,23]),function(V,e,w,n,L,D,P,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractSessionFileWatcher=e.AbstractDiskFileSystemProviderChannel=void 0;class m extends L.Disposable{constructor(k,b){super();this.provider=k,this.logService=b,this.sessionToWatcher=new Map,this.watchRequests=new Map}call(k,b,p){const t=this.getUriTransformer(k);switch(b){case"stat":return this.stat(t,p[0]);case"readdir":return this.readdir(t,p[0]);case"open":return this.open(t,p[0],p[1]);case"close":return this.close(p[0]);case"read":return this.read(p[0],p[1],p[2]);case"readFile":return this.readFile(t,p[0],p[1]);case"write":return this.write(p[0],p[1],p[2],p[3],p[4]);case"writeFile":return this.writeFile(t,p[0],p[1],p[2]);case"rename":return this.rename(t,p[0],p[1],p[2]);case"copy":return this.copy(t,p[0],p[1],p[2]);case"mkdir":return this.mkdir(t,p[0]);case"delete":return this.delete(t,p[0],p[1]);case"watch":return this.watch(t,p[0],p[1],p[2],p[3]);case"unwatch":return this.unwatch(p[0],p[1])}throw new Error(`IPC Command ${b} not found`)}listen(k,b,p){const t=this.getUriTransformer(k);switch(b){case"fileChange":return this.onFileChange(t,p[0]);case"readFileStream":return this.onReadFileStream(t,p[0],p[1])}throw new Error(`Unknown event ${b}`)}stat(k,b){const p=this.transformIncoming(k,b,!0);return this.provider.stat(p)}readdir(k,b){const p=this.transformIncoming(k,b);return this.provider.readdir(p)}async readFile(k,b,p){const t=this.transformIncoming(k,b,!0),d=await this.provider.readFile(t,p);return D.VSBuffer.wrap(d)}onReadFileStream(k,b,p){const t=this.transformIncoming(k,b,!0),d=new S.CancellationTokenSource,g=new w.Emitter({onLastListenerRemove:()=>{d.cancel()}}),v=this.provider.readFileStream(t,p,d.token);return(0,P.listenStream)(v,{onData:M=>g.fire(D.VSBuffer.wrap(M)),onError:M=>g.fire(M),onEnd:()=>{g.fire("end"),g.dispose(),d.dispose()}}),g.event}writeFile(k,b,p,t){const d=this.transformIncoming(k,b);return this.provider.writeFile(d,p.buffer,t)}open(k,b,p){const t=this.transformIncoming(k,b,!0);return this.provider.open(t,p)}close(k){return this.provider.close(k)}async read(k,b,p){const t=D.VSBuffer.alloc(p),d=0,g=await this.provider.read(k,b,t.buffer,d,p);return[t,g]}write(k,b,p,t,d){return this.provider.write(k,b,p.buffer,t,d)}mkdir(k,b){const p=this.transformIncoming(k,b);return this.provider.mkdir(p)}delete(k,b,p){const t=this.transformIncoming(k,b);return this.provider.delete(t,p)}rename(k,b,p,t){const d=this.transformIncoming(k,b),g=this.transformIncoming(k,p);return this.provider.rename(d,g,t)}copy(k,b,p,t){const d=this.transformIncoming(k,b),g=this.transformIncoming(k,p);return this.provider.copy(d,g,t)}onFileChange(k,b){const p=new w.Emitter({onFirstListenerAdd:()=>{this.sessionToWatcher.set(b,this.createSessionFileWatcher(k,p))},onLastListenerRemove:()=>{(0,L.dispose)(this.sessionToWatcher.get(b)),this.sessionToWatcher.delete(b)}});return p.event}async watch(k,b,p,t,d){const g=this.sessionToWatcher.get(b);if(g){const v=this.transformIncoming(k,t),M=g.watch(p,v,d);this.watchRequests.set(b+p,M)}}async unwatch(k,b){const p=k+b,t=this.watchRequests.get(p);t&&((0,L.dispose)(t),this.watchRequests.delete(p))}dispose(){super.dispose();for(const[,k]of this.watchRequests)k.dispose();this.watchRequests.clear();for(const[,k]of this.sessionToWatcher)k.dispose();this.sessionToWatcher.clear()}}e.AbstractDiskFileSystemProviderChannel=m;class E extends L.Disposable{constructor(k,b,p,t){super();this.uriTransformer=k,this.logService=p,this.environmentService=t,this.watcherRequests=new Map,this.fileWatcher=this._register(new n.DiskFileSystemProvider(this.logService,{watcher:{recursive:this.getRecursiveWatcherOptions(this.environmentService)}})),this.registerListeners(b)}registerListeners(k){const b=this._register(new w.Emitter);this._register(b.event(p=>{k.fire(p.map(t=>({resource:this.uriTransformer.transformOutgoingURI(t.resource),type:t.type})))})),this._register(this.fileWatcher.onDidChangeFile(p=>b.fire(p))),this._register(this.fileWatcher.onDidWatchError(p=>k.fire(p)))}getRecursiveWatcherOptions(k){}getExtraExcludes(k){}watch(k,b,p){const t=this.getExtraExcludes(this.environmentService);return Array.isArray(t)&&(p.excludes=[...p.excludes,...t]),this.watcherRequests.set(k,this.fileWatcher.watch(b,p)),(0,L.toDisposable)(()=>{(0,L.dispose)(this.watcherRequests.get(k)),this.watcherRequests.delete(k)})}dispose(){super.dispose();for(const[,k]of this.watcherRequests)k.dispose();this.watcherRequests.clear()}}e.AbstractSessionFileWatcher=E}),define(Z[190],x([0,1,12,148,3,8,20,7,189,117]),function(V,e,w,n,L,D,P,S,m,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderChannel=void 0;class I extends m.AbstractDiskFileSystemProviderChannel{constructor(p,t,d){super(p,t);this.environmentService=d}getUriTransformer(p){return E.DefaultURITransformer}transformIncoming(p,t){return D.URI.revive(t)}async delete(p,t,d){if(!d.useTrash)return super.delete(p,t,d);const g=this.transformIncoming(p,t),v=(0,S.normalize)(g.fsPath);try{await w.shell.trashItem(v)}catch{throw(0,P.createFileSystemProviderError)(L.isWindows?(0,n.localize)(0,null,(0,S.basename)(v)):(0,n.localize)(1,null,(0,S.basename)(v)),P.FileSystemProviderErrorCode.Unknown)}}createSessionFileWatcher(p,t){return new k(p,t,this.logService,this.environmentService)}}e.DiskFileSystemProviderChannel=I;class k extends m.AbstractSessionFileWatcher{watch(p,t,d){if(d.recursive)throw(0,P.createFileSystemProviderError)("Recursive file watching is not supported from main process for performance reasons.",P.FileSystemProviderErrorCode.Unavailable);return super.watch(p,t,d)}}}),define(Z[95],x([0,1,6]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BufferLogService=void 0;function n(D,P){switch(P){case w.LogLevel.Trace:return D.trace;case w.LogLevel.Debug:return D.debug;case w.LogLevel.Info:return D.info;case w.LogLevel.Warning:return D.warn;case w.LogLevel.Error:return D.error;case w.LogLevel.Critical:return D.critical;default:throw new Error("Invalid log level")}}class L extends w.AbstractLogger{constructor(P=w.DEFAULT_LOG_LEVEL){super();this.buffer=[],this._logger=void 0,this.setLevel(P),this._register(this.onDidChangeLogLevel(S=>{this._logger&&this._logger.setLevel(S)}))}set logger(P){this._logger=P;for(const{level:S,args:m}of this.buffer)n(P,S).apply(P,m);this.buffer=[]}_log(P,...S){this._logger?n(this._logger,P).apply(this._logger,S):this.getLevel()<=P&&this.buffer.push({level:P,args:S})}trace(P,...S){this._log(w.LogLevel.Trace,P,...S)}debug(P,...S){this._log(w.LogLevel.Debug,P,...S)}info(P,...S){this._log(w.LogLevel.Info,P,...S)}warn(P,...S){this._log(w.LogLevel.Warning,P,...S)}error(P,...S){this._log(w.LogLevel.Error,P,...S)}critical(P,...S){this._log(w.LogLevel.Critical,P,...S)}dispose(){this._logger&&this._logger.dispose()}flush(){this._logger&&this._logger.flush()}}e.BufferLogService=L}),define(Z[191],x([0,1,9,16,17,20,5,95,6]),function(V,e,w,n,L,D,P,S,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileLoggerService=e.FileLogger=void 0;const E=5*D.ByteSize.MB;let I=class extends m.AbstractLogger{constructor(p,t,d,g,v){super();this.name=p,this.resource=t,this.donotUseFormatters=g,this.fileService=v,this.backupIndex=1,this.setLevel(d),this.queue=this._register(new w.Queue),this.initializePromise=this.initialize()}trace(){this.getLevel()<=m.LogLevel.Trace&&this._log(m.LogLevel.Trace,(0,m.format)(arguments))}debug(){this.getLevel()<=m.LogLevel.Debug&&this._log(m.LogLevel.Debug,(0,m.format)(arguments))}info(){this.getLevel()<=m.LogLevel.Info&&this._log(m.LogLevel.Info,(0,m.format)(arguments))}warn(){this.getLevel()<=m.LogLevel.Warning&&this._log(m.LogLevel.Warning,(0,m.format)(arguments))}error(){if(this.getLevel()<=m.LogLevel.Error){const p=arguments[0];if(p instanceof Error){const t=Array.prototype.slice.call(arguments);t[0]=p.stack,this._log(m.LogLevel.Error,(0,m.format)(t))}else this._log(m.LogLevel.Error,(0,m.format)(arguments))}}critical(){this.getLevel()<=m.LogLevel.Critical&&this._log(m.LogLevel.Critical,(0,m.format)(arguments))}flush(){}async initialize(){try{await this.fileService.createFile(this.resource)}catch(p){if(p.fileOperationResult!==3)throw p}}_log(p,t){this.queue.queue(async()=>{await this.initializePromise;let d=await this.loadContent();d.length>E&&(await this.fileService.writeFile(this.getBackupResource(),n.VSBuffer.fromString(d)),d=""),this.donotUseFormatters?d+=t:d+=`[${this.getCurrentTimestamp()}] [${this.name}] [${this.stringifyLogLevel(p)}] ${t}
`,await this.fileService.writeFile(this.resource,n.VSBuffer.fromString(d))})}getCurrentTimestamp(){const p=g=>g<10?`0${g}`:g,t=g=>g<10?`00${g}`:g<100?`0${g}`:g,d=new Date;return`${d.getFullYear()}-${p(d.getMonth()+1)}-${p(d.getDate())} ${p(d.getHours())}:${p(d.getMinutes())}:${p(d.getSeconds())}.${t(d.getMilliseconds())}`}getBackupResource(){return this.backupIndex=this.backupIndex>5?1:this.backupIndex,(0,L.joinPath)((0,L.dirname)(this.resource),`${(0,L.basename)(this.resource)}_${this.backupIndex++}`)}async loadContent(){try{return(await this.fileService.readFile(this.resource)).value.toString()}catch{return""}}stringifyLogLevel(p){switch(p){case m.LogLevel.Critical:return"critical";case m.LogLevel.Debug:return"debug";case m.LogLevel.Error:return"error";case m.LogLevel.Info:return"info";case m.LogLevel.Trace:return"trace";case m.LogLevel.Warning:return"warning"}return""}};I=ue([te(4,D.IFileService)],I),e.FileLogger=I;let k=class extends m.AbstractLoggerService{constructor(p,t,d){super(p.getLevel(),p.onDidChangeLogLevel);this.instantiationService=t,this.fileService=d}doCreateLogger(p,t,d){const g=new S.BufferLogService(t);return(0,D.whenProviderRegistered)(p,this.fileService).then(()=>g.logger=this.instantiationService.createInstance(I,d?.name||(0,L.basename)(p),p,g.getLevel(),!!d?.donotUseFormatters)),g}};k=ue([te(0,m.ILogService),te(1,P.IInstantiationService),te(2,D.IFileService)],k),e.FileLoggerService=k}),define(Z[192],x([0,1,4,8,6]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class D{constructor(b){this.service=b,this.onDidChangeLogLevel=w.Event.buffer(b.onDidChangeLogLevel,!0)}listen(b,p){switch(p){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${p}`)}async call(b,p,t){switch(p){case"setLevel":return this.service.setLevel(t)}throw new Error(`Call not found: ${p}`)}}e.LogLevelChannel=D;class P{constructor(b){this.channel=b}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(b){P.setLevel(this.channel,b)}static setLevel(b,p){return b.call("setLevel",p)}}e.LogLevelChannelClient=P;class S{constructor(b){this.loggerService=b,this.loggers=new Map}listen(b,p){throw new Error(`Event not found: ${p}`)}async call(b,p,t){switch(p){case"createLogger":this.createLogger(n.URI.revive(t[0]),t[1]);return;case"log":return this.log(n.URI.revive(t[0]),t[1]);case"consoleLog":return this.consoleLog(t[0],t[1])}throw new Error(`Call not found: ${p}`)}createLogger(b,p){this.loggers.set(b.toString(),this.loggerService.createLogger(b,p))}consoleLog(b,p){let t=console.log;switch(b){case L.LogLevel.Error:t=console.error;break;case L.LogLevel.Warning:t=console.warn;break;case L.LogLevel.Info:t=console.info;break}t.call(console,...p)}log(b,p){const t=this.loggers.get(b.toString());if(!t)throw new Error("Create the logger before logging");for(const[d,g]of p)(0,L.log)(t,d,g)}}e.LoggerChannel=S;class m extends L.AbstractLoggerService{constructor(b,p,t){super(b,p);this.channel=t}createConsoleMainLogger(){return new L.AdapterLogger({log:(b,p)=>{this.channel.call("consoleLog",[b,p])}})}doCreateLogger(b,p,t){return new E(this.channel,b,p,t)}}e.LoggerChannelClient=m;class E extends L.AbstractMessageLogger{constructor(b,p,t,d){super(d?.always);this.channel=b,this.file=p,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(t),this.channel.call("createLogger",[p,d]).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(b,p){const t=[[b,p]];this.isLoggerCreated?this.doLog(t):this.buffer.push(...t)}doLog(b){this.channel.call("log",[this.file,b])}}class I extends L.LogService{constructor(b,p){super(p);this.parent=b,this._register(b.onDidChangeLogLevel(t=>p.setLevel(t)))}setLevel(b){super.setLevel(b),this.parent.setLevel(b)}}e.FollowerLogService=I}),define(Z[96],x([0,1,20,6]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=void 0;async function L(S,m,E,I,k){try{const b=await new Promise((t,d)=>{V(["spdlog"],t,d)});b.setFlushOn(n.LogLevel.Trace);const p=await b.createAsyncRotatingLogger(S,m,E,I);return k&&p.clearFormatters(),p}catch(b){console.error(b)}return null}function D(S,m,E){switch(m){case n.LogLevel.Trace:S.trace(E);break;case n.LogLevel.Debug:S.debug(E);break;case n.LogLevel.Info:S.info(E);break;case n.LogLevel.Warning:S.warn(E);break;case n.LogLevel.Error:S.error(E);break;case n.LogLevel.Critical:S.critical(E);break;default:throw new Error("Invalid log level")}}class P extends n.AbstractMessageLogger{constructor(m,E,I,k,b){super();this.buffer=[],this.setLevel(b),this._loggerCreationPromise=this._createSpdLogLogger(m,E,I,k),this._register(this.onDidChangeLogLevel(p=>{this._logger&&this._logger.setLevel(p)}))}async _createSpdLogLogger(m,E,I,k){const b=I?6:1,p=30/b*w.ByteSize.MB,t=await L(m,E,p,b,k);if(t){this._logger=t,this._logger.setLevel(this.getLevel());for(const{level:d,message:g}of this.buffer)D(this._logger,d,g);this.buffer=[]}}log(m,E){this._logger?D(this._logger,m,E):this.getLevel()<=m&&this.buffer.push({level:m,message:E})}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=P}),define(Z[193],x([0,1,10,17,31,20,191,6,96]),function(V,e,w,n,L,D,P,S,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LoggerService=void 0;let E=class extends S.AbstractLoggerService{constructor(k,b){super(k.getLevel(),k.onDidChangeLogLevel);this.fileService=b}doCreateLogger(k,b,p){return k.scheme===w.Schemas.file?new m.SpdLogLogger(p?.name||(0,L.generateUuid)(),k.fsPath,!p?.donotRotate,!!p?.donotUseFormatters,b):new P.FileLogger(p?.name??(0,n.basename)(k),k,b,!!p?.donotUseFormatters,this.fileService)}};E=ue([te(0,S.ILogService),te(1,D.IFileService)],E),e.LoggerService=E}),define(Z[194],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMenubarMenuItemAction=e.isMenubarMenuItemRecentAction=e.isMenubarMenuItemSeparator=e.isMenubarMenuItemSubmenu=void 0;function w(P){return P.submenu!==void 0}e.isMenubarMenuItemSubmenu=w;function n(P){return P.id==="vscode.menubar.separator"}e.isMenubarMenuItemSeparator=n;function L(P){return P.uri!==void 0}e.isMenubarMenuItemRecentAction=L;function D(P){return!w(P)&&!n(P)&&!L(P)}e.isMenubarMenuItemAction=D}),define(Z[53],x([0,1,10,3,36,17]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let P;if(typeof n.globals.vscode!="undefined"&&typeof n.globals.vscode.context!="undefined"){const S=n.globals.vscode.context.configuration();if(S)P=S.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof V?.__$__nodeRequire=="function"){const S=(0,D.dirname)(w.FileAccess.asFileUri("",V));P=V.__$__nodeRequire((0,D.joinPath)(S,"product.json").fsPath);const m=V.__$__nodeRequire((0,D.joinPath)(S,"package.json").fsPath);L.env.VSCODE_DEV&&Object.assign(P,{nameShort:`${P.nameShort} Dev`,nameLong:`${P.nameLong} Dev`,dataFolderName:`${P.dataFolderName}-dev`,serverDataFolderName:P.serverDataFolderName?`${P.serverDataFolderName}-dev`:void 0}),Object.assign(P,{version:m.version})}else P={},Object.keys(P).length===0&&Object.assign(P,{version:"1.65.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","GitHub.remotehub","GitHub.remotehub-insiders"]});e.default=P}),define(Z[21],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.productSchemaId=e.IProductService=void 0,e.IProductService=(0,w.createDecorator)("productService"),e.productSchemaId="vscode://schemas/vscode-product"}),define(Z[195],x([0,1,74,4,2,6,3,52,21]),function(V,e,w,n,L,D,P,S,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CredentialsMainService=void 0;let E=class gt extends L.Disposable{constructor(k,b,p,t){super();this.isRunningOnServer=k,this.logService=b,this.environmentMainService=p,this.productService=t,this._onDidChangePassword=this._register(new n.Emitter),this.onDidChangePassword=this._onDidChangePassword.event}async getSecretStoragePrefix(){return`${this.productService.urlProtocol}${this.isRunningOnServer?"-server":""}`}async getPassword(k,b){const p=await this.withKeytar(),t=await p.getPassword(k,b);if(t)try{let{content:d,hasNextChunk:g}=JSON.parse(t);if(!d||!g)return t;let v=1;for(;g;){const M=await p.getPassword(k,`${b}-${v}`),f=JSON.parse(M);d+=f.content,g=f.hasNextChunk,v++}return d}catch{return t}return t}async setPassword(k,b,p){const t=await this.withKeytar(),d=3,g=async(v,M,f)=>{let h=0,c;for(;h<d;)try{await t.setPassword(v,M,f);return}catch(o){c=o,this.logService.warn("Error attempting to set a password: ",o),h++,await new Promise(u=>setTimeout(u,200))}throw c};if(P.isWindows&&p.length>gt.MAX_PASSWORD_LENGTH){let v=0,M=0,f=!0;for(;f;){const h=p.substring(v,v+gt.PASSWORD_CHUNK_SIZE);v+=gt.PASSWORD_CHUNK_SIZE,f=p.length-v>0;const c={content:h,hasNextChunk:f};await g(k,M?`${b}-${M}`:b,JSON.stringify(c)),M++}}else await g(k,b,p);this._onDidChangePassword.fire({service:k,account:b})}async deletePassword(k,b){const t=await(await this.withKeytar()).deletePassword(k,b);return t&&this._onDidChangePassword.fire({service:k,account:b}),t}async findPassword(k){return(await this.withKeytar()).findPassword(k)}async findCredentials(k){return(await this.withKeytar()).findCredentials(k)}async withKeytar(){if(this._keytarCache)return this._keytarCache;if(this.environmentMainService.disableKeytar)return this.logService.info("Keytar is disabled. Using in-memory credential store instead."),this._keytarCache=new w.InMemoryCredentialsProvider,this._keytarCache;try{this._keytarCache=await new Promise((k,b)=>{V(["keytar"],k,b)}),await this._keytarCache.findCredentials("test-keytar-loads")}catch(k){this.logService.warn(`Switching to using in-memory credential store instead because Keytar failed to load: ${k.message}`),this._keytarCache=new w.InMemoryCredentialsProvider}return this._keytarCache}clear(){return this._keytarCache instanceof w.InMemoryCredentialsProvider?this._keytarCache.clear():Promise.resolve()}};E.MAX_PASSWORD_LENGTH=2500,E.PASSWORD_CHUNK_SIZE=E.MAX_PASSWORD_LENGTH-100,E=ue([te(1,D.ILogService),te(2,S.INativeEnvironmentService),te(3,m.IProductService)],E),e.CredentialsMainService=E}),define(Z[196],x([0,1,60,6,21]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionUrlTrustService=void 0;let D=class{constructor(S,m){this.productService=S,this.logService=m,this.trustedExtensionUrlPublicKeys=new Map}async isExtensionUrlTrusted(S,m){if(!this.productService.trustedExtensionUrlPublicKeys)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","There are no configured trusted keys"),!1;const E=/^(.*)#([^#]+)$/.exec(m);if(!E)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri has no fragment",m),!1;const[,I,k]=E;let b=this.trustedExtensionUrlPublicKeys.get(S);if(!b){if(b=this.productService.trustedExtensionUrlPublicKeys[S],!b||b.length===0)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Extension doesn't have any trusted keys",S),!1;this.trustedExtensionUrlPublicKeys.set(S,[...b])}const p=Buffer.from(decodeURIComponent(k),"base64");if(p.length<=6)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri fragment is not a signature",m),!1;const t=p.slice(0,6),d=p.readUIntBE(0,6),g=Date.now()-d;if(g<0||g>36e5)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri has expired",m),!1;const v=p.slice(6),M=w.createVerify("SHA256");M.write(t),M.write(Buffer.from(I)),M.end();for(let f=0;f<b.length;f++){let h=b[f];if(h!==null){if(typeof h=="string")try{h=w.createPublicKey({key:Buffer.from(h,"base64"),format:"der",type:"spki"}),b[f]=h}catch(c){this.logService.warn("ExtensionUrlTrustService#isExtensionUrlTrusted",`Failed to parse trusted extension uri public key #${f+1} for ${S}:`,c),b[f]=null;continue}if(M.verify(h,v))return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri is valid",m),!0}}return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri could not be verified",m),!1}};D=ue([te(0,L.IProductService),te(1,n.ILogService)],D),e.ExtensionUrlTrustService=D}),define(Z[54],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IProtocolMainService=void 0,e.IProtocolMainService=(0,w.createDecorator)("protocolMainService")}),define(Z[197],x([0,1,12,2,35,10,7,3,8,31,52,6]),function(V,e,w,n,L,D,P,S,m,E,I,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProtocolMainService=void 0;let b=class extends n.Disposable{constructor(t,d){super();this.logService=d,this.validRoots=L.TernarySearchTree.forPaths(!S.isLinux),this.validExtensions=new Set([".svg",".png",".jpg",".jpeg",".gif",".bmp"]),this.addValidFileRoot(t.appRoot),this.addValidFileRoot(t.extensionsPath),this.addValidFileRoot(t.globalStorageHome.fsPath),this.addValidFileRoot(t.workspaceStorageHome.fsPath),this.handleProtocols()}handleProtocols(){const{defaultSession:t}=w.session;t.protocol.registerFileProtocol(D.Schemas.vscodeFileResource,(d,g)=>this.handleResourceRequest(d,g)),t.protocol.interceptFileProtocol(D.Schemas.file,(d,g)=>this.handleFileRequest(d,g)),this._register((0,n.toDisposable)(()=>{t.protocol.unregisterProtocol(D.Schemas.vscodeFileResource),t.protocol.uninterceptProtocol(D.Schemas.file)}))}addValidFileRoot(t){const d=(0,P.normalize)(t);return this.validRoots.get(d)?n.Disposable.None:(this.validRoots.set(d,!0),(0,n.toDisposable)(()=>this.validRoots.delete(d)))}handleFileRequest(t,d){const g=m.URI.parse(t.url);return this.logService.error(`Refused to load resource ${g.fsPath} from ${D.Schemas.file}: protocol (original URL: ${t.url})`),d({error:-3})}handleResourceRequest(t,d){const g=this.requestToNormalizedFilePath(t);return this.validRoots.findSubstr(g)?d({path:g}):this.validExtensions.has((0,P.extname)(g))?d({path:g}):(this.logService.error(`${D.Schemas.vscodeFileResource}: Refused to load resource ${g} from ${D.Schemas.vscodeFileResource}: protocol (original URL: ${t.url})`),d({error:-3}))}requestToNormalizedFilePath(t){const d=m.URI.parse(t.url),g=D.FileAccess.asFileUri(d);return(0,P.normalize)(g.fsPath)}createIPCObjectUrl(){let t;const d=m.URI.from({scheme:"vscode",path:(0,E.generateUuid)()}),g=d.toString(),v=async()=>t;return w.ipcMain.handle(g,v),this.logService.trace(`IPC Object URL: Registered new channel ${g}.`),{resource:d,update:M=>t=M,dispose:()=>{this.logService.trace(`IPC Object URL: Removed channel ${g}.`),w.ipcMain.removeHandler(g)}}}};b=ue([te(0,I.INativeEnvironmentService),te(1,k.ILogService)],b),e.ProtocolMainService=b}),define(Z[40],x([0,1,106,14]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class L{constructor(){this.data=new Map}add(P,S){w.ok(n.isString(P)),w.ok(n.isObject(S)),w.ok(!this.data.has(P),"There is already an extension with this id"),this.data.set(P,S)}knows(P){return this.data.has(P)}as(P){return this.data.get(P)||null}}e.Registry=new L}),define(Z[198],x([0,1,4,40]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function L(S){return S.length>0&&S.charAt(S.length-1)==="#"?S.substring(0,S.length-1):S}class D{constructor(){this._onDidChangeSchema=new w.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(m,E){this.schemasById[L(m)]=E,this._onDidChangeSchema.fire(m)}notifySchemaChanged(m){this._onDidChangeSchema.fire(m)}getSchemaContributions(){return{schemas:this.schemasById}}}const P=new D;n.Registry.add(e.Extensions.JSONContribution,P)}),define(Z[55],x([0,1,30,4,14,140,198,40]),function(V,e,w,n,L,D,P,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var m;(function(h){h.Multiline="multilineText",h.Singleline="singlelineText"})(m=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var E;(function(h){h[h.APPLICATION=1]="APPLICATION",h[h.MACHINE=2]="MACHINE",h[h.WINDOW=3]="WINDOW",h[h.RESOURCE=4]="RESOURCE",h[h.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",h[h.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(E=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const I=S.Registry.as(P.Extensions.JSONContribution);class k{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new n.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new n.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:D.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},I.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(c,o=!0){this.registerConfigurations([c],o)}registerConfigurations(c,o=!0){const u=this.doRegisterConfigurations(c,o);I.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:u})}deregisterConfigurations(c){const o=this.doDeregisterConfigurations(c);I.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:o})}updateConfigurations({add:c,remove:o}){const u=[];u.push(...this.doDeregisterConfigurations(o)),u.push(...this.doRegisterConfigurations(c,!1)),I.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,w.distinct)(u)})}registerDefaultConfigurations(c){const o=[],u=[];for(const{overrides:r,source:i}of c)for(const s in r)if(o.push(s),e.OVERRIDE_PROPERTY_REGEX.test(s)){const a={...this.configurationDefaultsOverrides.get(s)?.value||{},...r[s]};this.configurationDefaultsOverrides.set(s,{source:i,value:a});const l={type:"object",default:a,description:D.localize(1,null,s),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:a,source:L.isString(i)?void 0:i};u.push(...t(s)),this.configurationProperties[s]=l,this.defaultLanguageConfigurationOverridesNode.properties[s]=l}else{this.configurationDefaultsOverrides.set(s,{value:r[s],source:i});const a=this.configurationProperties[s];a&&(this.updatePropertyDefaultValue(s,a),this.updateSchema(s,a))}this.registerOverrideIdentifiers(u),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:o,defaultsOverrides:!0})}deregisterDefaultConfigurations(c){const o=[];for(const{overrides:u,source:r}of c)for(const i in u){const s=this.configurationDefaultsOverrides.get(i),a=L.isString(r)?r:r?.id,l=L.isString(s?.source)?s?.source:s?.source?.id;if(a===l)if(o.push(i),this.configurationDefaultsOverrides.delete(i),e.OVERRIDE_PROPERTY_REGEX.test(i))delete this.configurationProperties[i],delete this.defaultLanguageConfigurationOverridesNode.properties[i];else{const y=this.configurationProperties[i];y&&(this.updatePropertyDefaultValue(i,y),this.updateSchema(i,y))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:o,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...c){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(c){for(const o of c)this.overrideIdentifiers.add(o);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(c,o){const u=[];return c.forEach(r=>{u.push(...this.validateAndRegisterProperties(r,o,r.extensionInfo,r.restrictedProperties)),this.configurationContributors.push(r),this.registerJSONConfiguration(r)}),u}doDeregisterConfigurations(c){const o=[],u=r=>{if(r.properties)for(const i in r.properties)o.push(i),delete this.configurationProperties[i],this.removeFromSchema(i,r.properties[i]);r.allOf&&r.allOf.forEach(i=>u(i))};for(const r of c){u(r);const i=this.configurationContributors.indexOf(r);i!==-1&&this.configurationContributors.splice(i,1)}return o}validateAndRegisterProperties(c,o=!0,u,r,i=3){i=L.isUndefinedOrNull(c.scope)?i:c.scope;let s=[],a=c.properties;if(a)for(let y in a){if(o&&M(y)){delete a[y];continue}const C=a[y];if(C.source=u,C.defaultDefaultValue=a[y].default,this.updatePropertyDefaultValue(y,C),e.OVERRIDE_PROPERTY_REGEX.test(y)?C.scope=void 0:(C.scope=L.isUndefinedOrNull(C.scope)?i:C.scope,C.restricted=L.isUndefinedOrNull(C.restricted)?!!r?.includes(y):C.restricted),a[y].hasOwnProperty("included")&&!a[y].included){this.excludedConfigurationProperties[y]=a[y],delete a[y];continue}else this.configurationProperties[y]=a[y];!a[y].deprecationMessage&&a[y].markdownDeprecationMessage&&(a[y].deprecationMessage=a[y].markdownDeprecationMessage),s.push(y)}let l=c.allOf;if(l)for(let y of l)s.push(...this.validateAndRegisterProperties(y,o,u,r,i));return s}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(c){const o=u=>{let r=u.properties;if(r)for(const s in r)this.updateSchema(s,r[s]);let i=u.allOf;i&&i.forEach(o)};o(c)}updateSchema(c,o){switch(e.allSettings.properties[c]=o,o.scope){case 1:e.applicationSettings.properties[c]=o;break;case 2:e.machineSettings.properties[c]=o;break;case 6:e.machineOverridableSettings.properties[c]=o;break;case 3:e.windowSettings.properties[c]=o;break;case 4:e.resourceSettings.properties[c]=o;break;case 5:e.resourceSettings.properties[c]=o,this.resourceLanguageSettingsSchema.properties[c]=o;break}}removeFromSchema(c,o){switch(delete e.allSettings.properties[c],o.scope){case 1:delete e.applicationSettings.properties[c];break;case 2:delete e.machineSettings.properties[c];break;case 6:delete e.machineOverridableSettings.properties[c];break;case 3:delete e.windowSettings.properties[c];break;case 4:case 5:delete e.resourceSettings.properties[c],delete this.resourceLanguageSettingsSchema.properties[c];break}}updateOverridePropertyPatternKey(){for(const c of this.overrideIdentifiers.values()){const o=`[${c}]`,u={type:"object",description:D.localize(2,null),errorMessage:D.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(o,u),e.allSettings.properties[o]=u,e.applicationSettings.properties[o]=u,e.machineSettings.properties[o]=u,e.machineOverridableSettings.properties[o]=u,e.windowSettings.properties[o]=u,e.resourceSettings.properties[o]=u}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const c={type:"object",description:D.localize(4,null),errorMessage:D.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(c,o){const u=this.configurationDefaultsOverrides.get(c);let r=u?.value,i=u?.source;L.isUndefined(r)&&(r=o.defaultDefaultValue,i=void 0),L.isUndefined(r)&&(r=g(o.type)),o.default=r,o.defaultValueSource=i}}const b="\\[([^\\]]+)\\]",p=new RegExp(b,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${b})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function t(h){const c=[];if(e.OVERRIDE_PROPERTY_REGEX.test(h)){let o=p.exec(h);for(;o?.length;){const u=o[1].trim();u&&c.push(u),o=p.exec(h)}}return(0,w.distinct)(c)}e.overrideIdentifiersFromKey=t;function d(h){return h.reduce((c,o)=>`${c}[${o}]`,"")}e.keyFromOverrideIdentifiers=d;function g(h){switch(Array.isArray(h)?h[0]:h){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=g;const v=new k;S.Registry.add(e.Extensions.Configuration,v);function M(h){return h.trim()?e.OVERRIDE_PROPERTY_REGEX.test(h)?D.localize(7,null,h):v.getConfigurationProperties()[h]!==void 0?D.localize(8,null,h):null:D.localize(6,null)}e.validateProperty=M;function f(){const h=[],c=v.getConfigurationProperties();for(const o of Object.keys(c))h.push([o,c[o].scope]);return h.push(["launch",4]),h.push(["task",4]),h}e.getScopes=f}),define(Z[199],x([0,1,30,4,44,2,35,49,14,8,19,55,40]),function(V,e,w,n,L,D,P,S,m,E,I,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class p{constructor(r={},i=[],s=[]){this._contents=r,this._keys=i,this._overrides=s,this.isFrozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(r){return r?(0,I.getConfigurationValue)(this.contents,r):this.contents}getOverrideValue(r,i){const s=this.getContentsForOverrideIdentifer(i);return s?r?(0,I.getConfigurationValue)(s,r):s:void 0}getKeysForOverrideIdentifier(r){const i=[];for(const s of this.overrides)s.identifiers.includes(r)&&i.push(...s.keys);return w.distinct(i)}getAllOverrideIdentifiers(){const r=[];for(const i of this.overrides)r.push(...i.identifiers);return w.distinct(r)}override(r){let i=this.overrideConfigurations.get(r);return i||(i=this.createOverrideConfigurationModel(r),this.overrideConfigurations.set(r,i)),i}merge(...r){const i=S.deepClone(this.contents),s=S.deepClone(this.overrides),a=[...this.keys];for(const l of r){this.mergeContents(i,l.contents);for(const y of l.overrides){const[C]=s.filter(R=>w.equals(R.identifiers,y.identifiers));C?(this.mergeContents(C.contents,y.contents),C.keys.push(...y.keys),C.keys=w.distinct(C.keys)):s.push(S.deepClone(y))}for(const y of l.keys)a.indexOf(y)===-1&&a.push(y)}return new p(i,a,s)}freeze(){return this.isFrozen=!0,this}createOverrideConfigurationModel(r){const i=this.getContentsForOverrideIdentifer(r);if(!i||typeof i!="object"||!Object.keys(i).length)return this;let s={};for(const a of w.distinct([...Object.keys(this.contents),...Object.keys(i)])){let l=this.contents[a],y=i[a];y&&(typeof l=="object"&&typeof y=="object"?(l=S.deepClone(l),this.mergeContents(l,y)):l=y),s[a]=l}return new p(s,this.keys,this.overrides)}mergeContents(r,i){for(const s of Object.keys(i)){if(s in r&&m.isObject(r[s])&&m.isObject(i[s])){this.mergeContents(r[s],i[s]);continue}r[s]=S.deepClone(i[s])}}checkAndFreeze(r){return this.isFrozen&&!Object.isFrozen(r)?S.deepFreeze(r):r}getContentsForOverrideIdentifer(r){let i=null,s=null;const a=l=>{l&&(s?this.mergeContents(s,l):s=S.deepClone(l))};for(const l of this.overrides)w.equals(l.identifiers,[r])?i=l.contents:l.identifiers.includes(r)&&a(l.contents);return a(i),s}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(r,i){this.addKey(r),(0,I.addToValueTree)(this.contents,r,i,s=>{throw new Error(s)})}removeValue(r){this.removeKey(r)&&(0,I.removeFromValueTree)(this.contents,r)}addKey(r){let i=this.keys.length;for(let s=0;s<i;s++)r.indexOf(this.keys[s])===0&&(i=s);this.keys.splice(i,1,r)}removeKey(r){let i=this.keys.indexOf(r);return i!==-1?(this.keys.splice(i,1),!0):!1}}e.ConfigurationModel=p;class t extends p{constructor(r={}){const i=b.Registry.as(k.Extensions.Configuration).getConfigurationProperties(),s=Object.keys(i),a=Object.create(null),l=[];for(const y in i){const C=r[y],R=C!==void 0?C:i[y].default;(0,I.addToValueTree)(a,y,R,T=>console.error(`Conflict in default settings: ${T}`))}for(const y of Object.keys(a))k.OVERRIDE_PROPERTY_REGEX.test(y)&&l.push({identifiers:(0,k.overrideIdentifiersFromKey)(y),keys:Object.keys(a[y]),contents:(0,I.toValuesTree)(a[y],C=>console.error(`Conflict in default settings file: ${C}`))});super(a,s,l)}}e.DefaultConfigurationModel=t;class d{constructor(r){this._name=r,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new p}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(r,i){if(!m.isUndefinedOrNull(r)){const s=this.doParseContent(r);this.parseRaw(s,i)}}reparse(r){this._raw&&this.parseRaw(this._raw,r)}parseRaw(r,i){this._raw=r;const{contents:s,keys:a,overrides:l,restricted:y}=this.doParseRaw(r,i);this._configurationModel=new p(s,a,l),this._restrictedConfigurations=y||[]}doParseContent(r){let i={},s=null,a=[],l=[],y=[];function C(T){Array.isArray(a)?a.push(T):s!==null&&(a[s]=T)}let R={onObjectBegin:()=>{let T={};C(T),l.push(a),a=T,s=null},onObjectProperty:T=>{s=T},onObjectEnd:()=>{a=l.pop()},onArrayBegin:()=>{let T=[];C(T),l.push(a),a=T,s=null},onArrayEnd:()=>{a=l.pop()},onLiteralValue:C,onError:(T,U,Y)=>{y.push({error:T,offset:U,length:Y})}};if(r)try{L.visit(r,R),i=a[0]||{}}catch(T){console.error(`Error while parsing settings file ${this._name}: ${T}`),this._parseErrors=[T]}return i}doParseRaw(r,i){const s=b.Registry.as(k.Extensions.Configuration).getConfigurationProperties(),a=this.filter(r,s,!0,i);r=a.raw;const l=(0,I.toValuesTree)(r,R=>console.error(`Conflict in settings file ${this._name}: ${R}`)),y=Object.keys(r),C=this.toOverrides(r,R=>console.error(`Conflict in settings file ${this._name}: ${R}`));return{contents:l,keys:y,overrides:C,restricted:a.restricted}}filter(r,i,s,a){if(!a?.scopes&&!a?.skipRestricted)return{raw:r,restricted:[]};const l={},y=[];for(let C in r)if(k.OVERRIDE_PROPERTY_REGEX.test(C)&&s){const R=this.filter(r[C],i,!1,a);l[C]=R.raw,y.push(...R.restricted)}else{const R=i[C],T=R?typeof R.scope!="undefined"?R.scope:3:void 0;R?.restricted&&y.push(C),(T===void 0||a.scopes===void 0||a.scopes.includes(T))&&(a.skipRestricted&&R?.restricted||(l[C]=r[C]))}return{raw:l,restricted:y}}toOverrides(r,i){const s=[];for(const a of Object.keys(r))if(k.OVERRIDE_PROPERTY_REGEX.test(a)){const l={};for(const y in r[a])l[y]=r[a][y];s.push({identifiers:(0,k.overrideIdentifiersFromKey)(a),keys:Object.keys(l),contents:(0,I.toValuesTree)(l,i)})}return s}}e.ConfigurationModelParser=d;class g extends D.Disposable{constructor(r,i,s,a){super();this.userSettingsResource=r,this.scopes=i,this.fileService=a,this._onDidChange=this._register(new n.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new d(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(s.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(n.Event.any(n.Event.filter(this.fileService.onDidFilesChange,l=>l.contains(this.userSettingsResource)),n.Event.filter(this.fileService.onDidRunOperation,l=>(l.isOperation(0)||l.isOperation(1)||l.isOperation(4))&&s.isEqual(l.resource,r)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const r=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(r.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new p}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=g;class v{constructor(r,i,s=new p,a=new p,l=new P.ResourceMap,y=new p,C=new P.ResourceMap,R=!0){this._defaultConfiguration=r,this._localUserConfiguration=i,this._remoteUserConfiguration=s,this._workspaceConfiguration=a,this._folderConfigurations=l,this._memoryConfiguration=y,this._memoryConfigurationByResource=C,this._freeze=R,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new P.ResourceMap,this._userConfiguration=null}getValue(r,i,s){return this.getConsolidateConfigurationModel(i,s).getValue(r)}updateValue(r,i,s={}){let a;s.resource?(a=this._memoryConfigurationByResource.get(s.resource),a||(a=new p,this._memoryConfigurationByResource.set(s.resource,a))):a=this._memoryConfiguration,i===void 0?a.removeValue(r):a.setValue(r,i),s.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(r,i,s){const a=this.getConsolidateConfigurationModel(i,s),l=this.getFolderConfigurationModelForResource(i.resource,s),y=i.resource?this._memoryConfigurationByResource.get(i.resource)||this._memoryConfiguration:this._memoryConfiguration,C=i.overrideIdentifier?this._defaultConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this._defaultConfiguration.freeze().getValue(r),R=i.overrideIdentifier?this.userConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this.userConfiguration.freeze().getValue(r),T=i.overrideIdentifier?this.localUserConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this.localUserConfiguration.freeze().getValue(r),U=i.overrideIdentifier?this.remoteUserConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this.remoteUserConfiguration.freeze().getValue(r),Y=s?i.overrideIdentifier?this._workspaceConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this._workspaceConfiguration.freeze().getValue(r):void 0,ee=l?i.overrideIdentifier?l.freeze().override(i.overrideIdentifier).getValue(r):l.freeze().getValue(r):void 0,X=i.overrideIdentifier?y.override(i.overrideIdentifier).getValue(r):y.getValue(r),J=a.getValue(r),H=w.distinct(w.flatten(a.overrides.map(B=>B.identifiers))).filter(B=>a.getOverrideValue(r,B)!==void 0);return{defaultValue:C,userValue:R,userLocalValue:T,userRemoteValue:U,workspaceValue:Y,workspaceFolderValue:ee,memoryValue:X,value:J,default:C!==void 0?{value:this._defaultConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,user:R!==void 0?{value:this.userConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,userLocal:T!==void 0?{value:this.localUserConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,userRemote:U!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,workspace:Y!==void 0?{value:this._workspaceConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,workspaceFolder:ee!==void 0?{value:l?.freeze().getValue(r),override:i.overrideIdentifier?l?.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,memory:X!==void 0?{value:y.getValue(r),override:i.overrideIdentifier?y.getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,overrideIdentifiers:H.length?H:void 0}}keys(r){const i=this.getFolderConfigurationModelForResource(void 0,r);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:i?i.freeze().keys:[]}}updateDefaultConfiguration(r){this._defaultConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(r){this._localUserConfiguration=r,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(r){this._remoteUserConfiguration=r,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(r){this._workspaceConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(r,i){this._folderConfigurations.set(r,i),this._foldersConsolidatedConfigurations.delete(r)}deleteFolderConfiguration(r){this.folderConfigurations.delete(r),this._foldersConsolidatedConfigurations.delete(r)}compareAndUpdateDefaultConfiguration(r,i){const s=[];if(!i){const{added:a,updated:l,removed:y}=c(this._defaultConfiguration,r);i=[...a,...l,...y]}for(const a of i)for(const l of(0,k.overrideIdentifiersFromKey)(a)){const y=this._defaultConfiguration.getKeysForOverrideIdentifier(l),C=r.getKeysForOverrideIdentifier(l),R=[...C.filter(T=>y.indexOf(T)===-1),...y.filter(T=>C.indexOf(T)===-1),...y.filter(T=>!S.equals(this._defaultConfiguration.override(l).getValue(T),r.override(l).getValue(T)))];s.push([l,R])}return this.updateDefaultConfiguration(r),{keys:i,overrides:s}}compareAndUpdateLocalUserConfiguration(r){const{added:i,updated:s,removed:a,overrides:l}=c(this.localUserConfiguration,r),y=[...i,...s,...a];return y.length&&this.updateLocalUserConfiguration(r),{keys:y,overrides:l}}compareAndUpdateRemoteUserConfiguration(r){const{added:i,updated:s,removed:a,overrides:l}=c(this.remoteUserConfiguration,r);let y=[...i,...s,...a];return y.length&&this.updateRemoteUserConfiguration(r),{keys:y,overrides:l}}compareAndUpdateWorkspaceConfiguration(r){const{added:i,updated:s,removed:a,overrides:l}=c(this.workspaceConfiguration,r);let y=[...i,...s,...a];return y.length&&this.updateWorkspaceConfiguration(r),{keys:y,overrides:l}}compareAndUpdateFolderConfiguration(r,i){const s=this.folderConfigurations.get(r),{added:a,updated:l,removed:y,overrides:C}=c(s,i);let R=[...a,...l,...y];return(R.length||!s)&&this.updateFolderConfiguration(r,i),{keys:R,overrides:C}}compareAndDeleteFolderConfiguration(r){const i=this.folderConfigurations.get(r);if(!i)throw new Error("Unknown folder");this.deleteFolderConfiguration(r);const{added:s,updated:a,removed:l,overrides:y}=c(i,void 0);return{keys:[...s,...a,...l],overrides:y}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(r,i){let s=this.getConsolidatedConfigurationModelForResource(r,i);return r.overrideIdentifier?s.override(r.overrideIdentifier):s}getConsolidatedConfigurationModelForResource({resource:r},i){let s=this.getWorkspaceConsolidatedConfiguration();if(i&&r){const a=i.getFolder(r);a&&(s=this.getFolderConsolidatedConfiguration(a.uri)||s);const l=this._memoryConfigurationByResource.get(r);l&&(s=s.merge(l))}return s}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(r){let i=this._foldersConsolidatedConfigurations.get(r);if(!i){const s=this.getWorkspaceConsolidatedConfiguration(),a=this._folderConfigurations.get(r);a?(i=s.merge(a),this._freeze&&(i=i.freeze()),this._foldersConsolidatedConfigurations.set(r,i)):i=s}return i}getFolderConfigurationModelForResource(r,i){if(i&&r){const s=i.getFolder(r);if(s)return this._folderConfigurations.get(s.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((r,i)=>{const{contents:s,overrides:a,keys:l}=this._folderConfigurations.get(i);return r.push([i,{contents:s,overrides:a,keys:l}]),r},[])}}allKeys(){const r=new Set;return this._defaultConfiguration.freeze().keys.forEach(i=>r.add(i)),this.userConfiguration.freeze().keys.forEach(i=>r.add(i)),this._workspaceConfiguration.freeze().keys.forEach(i=>r.add(i)),this._folderConfigurations.forEach(i=>i.freeze().keys.forEach(s=>r.add(s))),[...r.values()]}allOverrideIdentifiers(){const r=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>r.add(i)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>r.add(i)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>r.add(i)),this._folderConfigurations.forEach(i=>i.freeze().getAllOverrideIdentifiers().forEach(s=>r.add(s))),[...r.values()]}getAllKeysForOverrideIdentifier(r){const i=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(r).forEach(s=>i.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(r).forEach(s=>i.add(s)),this._workspaceConfiguration.getKeysForOverrideIdentifier(r).forEach(s=>i.add(s)),this._folderConfigurations.forEach(s=>s.getKeysForOverrideIdentifier(r).forEach(a=>i.add(a))),[...i.values()]}static parse(r){const i=this.parseConfigurationModel(r.defaults),s=this.parseConfigurationModel(r.user),a=this.parseConfigurationModel(r.workspace),l=r.folders.reduce((y,C)=>(y.set(E.URI.revive(C[0]),this.parseConfigurationModel(C[1])),y),new P.ResourceMap);return new v(i,s,new p,a,l,new p,new P.ResourceMap,!1)}static parseConfigurationModel(r){return new p(r.contents,r.keys,r.overrides).freeze()}}e.Configuration=v;function M(...u){if(u.length===0)return{keys:[],overrides:[]};if(u.length===1)return u[0];const r=new Set,i=new Map;for(const a of u)a.keys.forEach(l=>r.add(l)),a.overrides.forEach(([l,y])=>{const C=(0,P.getOrSet)(i,l,new Set);y.forEach(R=>C.add(R))});const s=[];return i.forEach((a,l)=>s.push([l,[...a.values()]])),{keys:[...r.values()],overrides:s}}e.mergeChanges=M;class f{constructor(r,i,s,a){this.change=r,this.previous=i,this.currentConfiguraiton=s,this.currentWorkspace=a,this._previousConfiguration=void 0;const l=new Set;r.keys.forEach(C=>l.add(C)),r.overrides.forEach(([,C])=>C.forEach(R=>l.add(R))),this.affectedKeys=[...l.values()];const y=new p;this.affectedKeys.forEach(C=>y.setValue(C,{})),this.affectedKeysTree=y.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=v.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(r,i){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,r)){if(i){const s=this.previousConfiguration?this.previousConfiguration.getValue(r,i,this.previous?.workspace):void 0,a=this.currentConfiguraiton.getValue(r,i,this.currentWorkspace);return!S.equals(s,a)}return!0}return!1}doesAffectedKeysTreeContains(r,i){let s=(0,I.toValuesTree)({[i]:!0},()=>{}),a;for(;typeof s=="object"&&(a=Object.keys(s)[0]);){if(r=r[a],!r)return!1;s=s[a]}return!0}}e.ConfigurationChangeEvent=f;class h extends f{constructor(r,i,s,a){super({keys:r.allKeys(),overrides:[]},void 0,r,i);this.source=s,this.sourceConfig=a}}e.AllKeysConfigurationChangeEvent=h;function c(u,r){const{added:i,removed:s,updated:a}=o(r,u),l=[],y=u?.getAllOverrideIdentifiers()||[],C=r?.getAllOverrideIdentifiers()||[];if(r){const R=C.filter(T=>!y.includes(T));for(const T of R)l.push([T,r.getKeysForOverrideIdentifier(T)])}if(u){const R=y.filter(T=>!C.includes(T));for(const T of R)l.push([T,u.getKeysForOverrideIdentifier(T)])}if(r&&u){for(const R of y)if(C.includes(R)){const T=o({contents:u.getOverrideValue(void 0,R)||{},keys:u.getKeysForOverrideIdentifier(R)},{contents:r.getOverrideValue(void 0,R)||{},keys:r.getKeysForOverrideIdentifier(R)});l.push([R,[...T.added,...T.removed,...T.updated]])}}return{added:i,removed:s,updated:a,overrides:l}}function o(u,r){const i=u?r?u.keys.filter(l=>r.keys.indexOf(l)===-1):[...u.keys]:[],s=r?u?r.keys.filter(l=>u.keys.indexOf(l)===-1):[...r.keys]:[],a=[];if(u&&r){for(const l of r.keys)if(u.keys.indexOf(l)!==-1){const y=(0,I.getConfigurationValue)(r.contents,l),C=(0,I.getConfigurationValue)(u.contents,l);S.equals(y,C)||a.push(l)}}return{added:i,removed:s,updated:a}}}),define(Z[200],x([0,1,9,4,2,17,19,199,55,40]),function(V,e,w,n,L,D,P,S,m,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class I extends L.Disposable{constructor(b,p){super();this.settingsResource=b,this._onDidChangeConfiguration=this._register(new n.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new S.UserSettings(this.settingsResource,void 0,D.extUriBiasedIgnorePathCase,p)),this.configuration=new S.Configuration(new S.DefaultConfigurationModel,new S.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new w.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(E.Registry.as(m.Extensions.Configuration).onDidUpdateConfiguration(({properties:t})=>this.onDidDefaultConfigurationChange(t))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const b=await this.userConfiguration.loadConfiguration();this.configuration=new S.Configuration(new S.DefaultConfigurationModel,b)}getConfigurationData(){return this.configuration.toData()}getValue(b,p){const t=typeof b=="string"?b:void 0,d=(0,P.isConfigurationOverrides)(b)?b:(0,P.isConfigurationOverrides)(p)?p:{};return this.configuration.getValue(t,d,void 0)}updateValue(b,p,t,d){return Promise.reject(new Error("not supported"))}inspect(b){return this.configuration.inspect(b,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const b=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(b)}onDidChangeUserConfiguration(b){const p=this.configuration.toData(),t=this.configuration.compareAndUpdateLocalUserConfiguration(b);this.trigger(t,p,1)}onDidDefaultConfigurationChange(b){const p=this.configuration.toData(),t=this.configuration.compareAndUpdateDefaultConfiguration(new S.DefaultConfigurationModel,b);this.trigger(t,p,6)}trigger(b,p,t){const d=new S.ConfigurationChangeEvent(b,{data:p},this.configuration);d.source=t,d.sourceConfig=this.getTargetConfiguration(t),this._onDidChangeConfiguration.fire(d)}getTargetConfiguration(b){switch(b){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=I}),define(Z[201],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,w.createDecorator)("remoteAuthorityResolverService");var n;(function(D){D.Unknown="Unknown",D.NotAvailable="NotAvailable",D.TemporarilyNotAvailable="TemporarilyNotAvailable",D.NoResolverFound="NoResolverFound"})(n=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class L extends Error{constructor(P,S=n.Unknown,m){super(P);this._message=P,this._code=S,this._detail=m,this.isHandled=S===n.NotAvailable&&m===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,L.prototype)}static isTemporarilyNotAvailable(P){return P instanceof L&&P._code===n.TemporarilyNotAvailable}static isNoResolverFound(P){return P instanceof L&&P._code===n.NoResolverFound}static isHandled(P){return P instanceof L&&P.isHandled}}e.RemoteAuthorityResolverError=L}),define(Z[202],x([0,1,9,16,23,15,4,2,31,88,201]),function(V,e,w,n,L,D,P,S,m,E,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostPersistentConnection=e.ManagementPersistentConnection=e.PersistentConnection=e.ReconnectionPermanentFailureEvent=e.ConnectionGainEvent=e.ReconnectionRunningEvent=e.ReconnectionWaitEvent=e.ConnectionLostEvent=e.PersistentConnectionEventType=e.connectRemoteAgentTunnel=e.connectRemoteAgentExtensionHost=e.connectRemoteAgentManagement=e.ConnectionType=void 0;const k=30*1e3;var b;(function($){$[$.Management=1]="Management",$[$.ExtensionHost=2]="ExtensionHost",$[$.Tunnel=3]="Tunnel"})(b=e.ConnectionType||(e.ConnectionType={}));function p($){switch($){case 1:return"Management";case 2:return"ExtensionHost";case 3:return"Tunnel"}}function t($){const F=new L.CancellationTokenSource;return setTimeout(()=>F.cancel(),$),F.token}function d($,F){if($.isCancellationRequested||F.isCancellationRequested)return L.CancellationToken.Cancelled;const N=new L.CancellationTokenSource;return $.onCancellationRequested(()=>N.cancel()),F.onCancellationRequested(()=>N.cancel()),N.token}class g{constructor(F){this._state="pending",this._disposables=new S.DisposableStore,this.promise=new Promise((N,W)=>{this._resolvePromise=N,this._rejectPromise=W}),F.isCancellationRequested?this._timeout():this._disposables.add(F.onCancellationRequested(()=>this._timeout()))}get didTimeout(){return this._state==="timedout"}registerDisposable(F){this._state==="pending"?this._disposables.add(F):F.dispose()}_timeout(){this._state==="pending"&&(this._disposables.dispose(),this._state="timedout",this._rejectPromise(this._createTimeoutError()))}_createTimeoutError(){const F=new Error("Time limit reached");return F.code="ETIMEDOUT",F.syscall="connect",F}resolve(F){this._state==="pending"&&(this._disposables.dispose(),this._state="resolved",this._resolvePromise(F))}reject(F){this._state==="pending"&&(this._disposables.dispose(),this._state="rejected",this._rejectPromise(F))}}function v($,F){const N=new g(F);return N.registerDisposable($.onControlMessage(W=>{const A=JSON.parse(W.toString()),O=Q(A);O?N.reject(O):N.resolve(A)})),N.promise}function M($,F,N,W,A,O,_){const G=new g(_);return F.connect(N,W,A,O,(ie,ae)=>{G.didTimeout?(ie&&$.error(ie),ae?.dispose()):ie||!ae?G.reject(ie):G.resolve(ae)}),G.promise}function f($,F){const N=new g(F);return $.then(W=>{N.didTimeout||N.resolve(W)},W=>{N.didTimeout||N.reject(W)}),N.promise}async function h($,F,N,W){const A=z($,F);$.logService.trace(`${A} 1/6. invoking socketFactory.connect().`);let O;try{O=await M($.logService,$.socketFactory,$.host,$.port,`reconnectionToken=${$.reconnectionToken}&reconnection=${$.reconnectionProtocol?"true":"false"}`,`renderer-${p(F)}-${$.reconnectionToken}`,W)}catch(ce){throw $.logService.error(`${A} socketFactory.connect() failed or timed out. Error:`),$.logService.error(ce),ce}$.logService.trace(`${A} 2/6. socketFactory.connect() was successful.`);let _,G;$.reconnectionProtocol?($.reconnectionProtocol.beginAcceptReconnection(O,null),_=$.reconnectionProtocol,G=!1):(_=new E.PersistentProtocol(O,null),G=!0),$.logService.trace(`${A} 3/6. sending AuthRequest control message.`);const ie=await f($.signService.createNewMessage((0,m.generateUuid)()),W),ae={type:"auth",auth:$.connectionToken||"00000000000000000000",data:ie.data};_.sendControl(n.VSBuffer.fromString(JSON.stringify(ae)));try{const ce=await v(_,d(W,t(1e4)));if(ce.type!=="sign"||typeof ce.data!="string"){const we=new Error("Unexpected handshake message");throw we.code="VSCODE_CONNECTION_ERROR",we}if($.logService.trace(`${A} 4/6. received SignRequest control message.`),!await f($.signService.validate(ie,ce.signedData),W)){const we=new Error("Refused to connect to unsupported server");throw we.code="VSCODE_CONNECTION_ERROR",we}const le=await f($.signService.sign(ce.data),W),he={type:"connectionType",commit:$.commit,signedData:le,desiredConnectionType:F};return N&&(he.args=N),$.logService.trace(`${A} 5/6. sending ConnectionTypeRequest control message.`),_.sendControl(n.VSBuffer.fromString(JSON.stringify(he))),{protocol:_,ownsProtocol:G}}catch(ce){throw ce&&ce.code==="ETIMEDOUT"&&($.logService.error(`${A} the handshake timed out. Error:`),$.logService.error(ce)),ce&&ce.code==="VSCODE_CONNECTION_ERROR"&&($.logService.error(`${A} received error control message when negotiating connection. Error:`),$.logService.error(ce)),G&&B(_),ce}}async function c($,F,N,W){const A=Date.now(),O=z($,F),{protocol:_,ownsProtocol:G}=await h($,F,N,W),ie=new g(W);return ie.registerDisposable(_.onControlMessage(ae=>{const ce=JSON.parse(ae.toString()),ne=Q(ce);ne?($.logService.error(`${O} received error control message when negotiating connection. Error:`),$.logService.error(ne),G&&B(_),ie.reject(ne)):($.reconnectionProtocol&&$.reconnectionProtocol.endAcceptReconnection(),$.logService.trace(`${O} 6/6. handshake finished, connection is up and running after ${j(A)}!`),ie.resolve({protocol:_,firstMessage:ce}))})),ie.promise}async function o($,F){const{protocol:N}=await c($,1,void 0,F);return{protocol:N}}async function u($,F,N){const{protocol:W,firstMessage:A}=await c($,2,F,N),O=A&&A.debugPort;return{protocol:W,debugPort:O}}async function r($,F,N){const W=Date.now(),A=z($,3),{protocol:O}=await h($,3,F,N);return $.logService.trace(`${A} 6/6. handshake finished, connection is up and running after ${j(W)}!`),O}async function i($,F,N){const{host:W,port:A,connectionToken:O}=await $.addressProvider.getAddress();return{commit:$.commit,host:W,port:A,connectionToken:O,reconnectionToken:F,reconnectionProtocol:N,socketFactory:$.socketFactory,signService:$.signService,logService:$.logService}}async function s($,F,N){try{const W=(0,m.generateUuid)(),A=await i($,W,null),{protocol:O}=await o(A,L.CancellationToken.None);return new J($,F,N,W,O)}catch(W){throw $.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),$.logService.error(W),X.triggerPermanentFailure(0,0,I.RemoteAuthorityResolverError.isHandled(W)),W}}e.connectRemoteAgentManagement=s;async function a($,F){try{const N=(0,m.generateUuid)(),W=await i($,N,null),{protocol:A,debugPort:O}=await u(W,F,L.CancellationToken.None);return new H($,F,N,A,O)}catch(N){throw $.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),$.logService.error(N),X.triggerPermanentFailure(0,0,I.RemoteAuthorityResolverError.isHandled(N)),N}}e.connectRemoteAgentExtensionHost=a;async function l($,F,N){const W=await i($,(0,m.generateUuid)(),null);return await r(W,{host:F,port:N},L.CancellationToken.None)}e.connectRemoteAgentTunnel=l;function y($){return(0,w.createCancelablePromise)(F=>new Promise((N,W)=>{const A=setTimeout(N,$*1e3);F.onCancellationRequested(()=>{clearTimeout(A),N()})}))}var C;(function($){$[$.ConnectionLost=0]="ConnectionLost",$[$.ReconnectionWait=1]="ReconnectionWait",$[$.ReconnectionRunning=2]="ReconnectionRunning",$[$.ReconnectionPermanentFailure=3]="ReconnectionPermanentFailure",$[$.ConnectionGain=4]="ConnectionGain"})(C=e.PersistentConnectionEventType||(e.PersistentConnectionEventType={}));class R{constructor(F,N){this.reconnectionToken=F,this.millisSinceLastIncomingData=N,this.type=0}}e.ConnectionLostEvent=R;class T{constructor(F,N,W,A){this.reconnectionToken=F,this.millisSinceLastIncomingData=N,this.durationSeconds=W,this.cancellableTimer=A,this.type=1}skipWait(){this.cancellableTimer.cancel()}}e.ReconnectionWaitEvent=T;class U{constructor(F,N,W){this.reconnectionToken=F,this.millisSinceLastIncomingData=N,this.attempt=W,this.type=2}}e.ReconnectionRunningEvent=U;class Y{constructor(F,N,W){this.reconnectionToken=F,this.millisSinceLastIncomingData=N,this.attempt=W,this.type=4}}e.ConnectionGainEvent=Y;class ee{constructor(F,N,W,A){this.reconnectionToken=F,this.millisSinceLastIncomingData=N,this.attempt=W,this.handled=A,this.type=3}}e.ReconnectionPermanentFailureEvent=ee;class X extends S.Disposable{constructor(F,N,W,A){super();this._connectionType=F,this._onDidStateChange=this._register(new P.Emitter),this.onDidStateChange=this._onDidStateChange.event,this._options=N,this.reconnectionToken=W,this.protocol=A,this._isReconnecting=!1,this._onDidStateChange.fire(new Y(this.reconnectionToken,0,0)),this._register(A.onSocketClose(O=>{const _=q(this._connectionType,this.reconnectionToken,!0);O?O.type===0?(this._options.logService.info(`${_} received socket close event (hadError: ${O.hadError}).`),O.error&&this._options.logService.error(O.error)):(this._options.logService.info(`${_} received socket close event (wasClean: ${O.wasClean}, code: ${O.code}, reason: ${O.reason}).`),O.event&&this._options.logService.error(O.event)):this._options.logService.info(`${_} received socket close event.`),this._beginReconnecting()})),this._register(A.onSocketTimeout(()=>{const O=q(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${O} received socket timeout event.`),this._beginReconnecting()})),X._instances.push(this),X._permanentFailure&&this._gotoPermanentFailure(X._permanentFailureMillisSinceLastIncomingData,X._permanentFailureAttempt,X._permanentFailureHandled)}static triggerPermanentFailure(F,N,W){this._permanentFailure=!0,this._permanentFailureMillisSinceLastIncomingData=F,this._permanentFailureAttempt=N,this._permanentFailureHandled=W,this._instances.forEach(A=>A._gotoPermanentFailure(this._permanentFailureMillisSinceLastIncomingData,this._permanentFailureAttempt,this._permanentFailureHandled))}static debugTriggerReconnection(){this._instances.forEach(F=>F._beginReconnecting())}static debugPauseSocketWriting(){this._instances.forEach(F=>F._pauseSocketWriting())}async _beginReconnecting(){if(!this._isReconnecting)try{this._isReconnecting=!0,await this._runReconnectingLoop()}finally{this._isReconnecting=!1}}async _runReconnectingLoop(){if(X._permanentFailure)return;const F=q(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${F} starting reconnecting loop. You can get more information with the trace log level.`),this._onDidStateChange.fire(new R(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData()));const N=[0,5,5,10,10,10,10,10,30];let W=-1;do{W++;const A=W<N.length?N[W]:N[N.length-1];try{if(A>0){const _=y(A);this._onDidStateChange.fire(new T(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),A,_)),this._options.logService.info(`${F} waiting for ${A} seconds before reconnecting...`);try{await _}catch{}}if(X._permanentFailure){this._options.logService.error(`${F} permanent failure occurred while running the reconnecting loop.`);break}this._onDidStateChange.fire(new U(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),W+1)),this._options.logService.info(`${F} resolving connection...`);const O=await i(this._options,this.reconnectionToken,this.protocol);this._options.logService.info(`${F} connecting to ${O.host}:${O.port}...`),await this._reconnect(O,t(k)),this._options.logService.info(`${F} reconnected!`),this._onDidStateChange.fire(new Y(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),W+1));break}catch(O){if(O.code==="VSCODE_CONNECTION_ERROR"){this._options.logService.error(`${F} A permanent error occurred in the reconnecting loop! Will give up now! Error:`),this._options.logService.error(O),X.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),W+1,!1);break}if(W>360){this._options.logService.error(`${F} An error occurred while reconnecting, but it will be treated as a permanent error because the reconnection grace time has expired! Will give up now! Error:`),this._options.logService.error(O),X.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),W+1,!1);break}if(I.RemoteAuthorityResolverError.isTemporarilyNotAvailable(O)){this._options.logService.info(`${F} A temporarily not available error occurred while trying to reconnect, will try again...`),this._options.logService.trace(O);continue}if((O.code==="ETIMEDOUT"||O.code==="ENETUNREACH"||O.code==="ECONNREFUSED"||O.code==="ECONNRESET")&&O.syscall==="connect"){this._options.logService.info(`${F} A network error occurred while trying to reconnect, will try again...`),this._options.logService.trace(O);continue}if((0,D.isCancellationError)(O)){this._options.logService.info(`${F} A promise cancelation error occurred while trying to reconnect, will try again...`),this._options.logService.trace(O);continue}if(O instanceof I.RemoteAuthorityResolverError){this._options.logService.error(`${F} A RemoteAuthorityResolverError occurred while trying to reconnect. Will give up now! Error:`),this._options.logService.error(O),X.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),W+1,I.RemoteAuthorityResolverError.isHandled(O));break}this._options.logService.error(`${F} An unknown error occurred while trying to reconnect, since this is an unknown case, it will be treated as a permanent error! Will give up now! Error:`),this._options.logService.error(O),X.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),W+1,!1);break}}while(!X._permanentFailure)}_gotoPermanentFailure(F,N,W){this._onDidStateChange.fire(new ee(this.reconnectionToken,F,N,W)),B(this.protocol)}_pauseSocketWriting(){this.protocol.pauseSocketWriting()}}e.PersistentConnection=X,X._permanentFailure=!1,X._permanentFailureMillisSinceLastIncomingData=0,X._permanentFailureAttempt=0,X._permanentFailureHandled=!1,X._instances=[];class J extends X{constructor(F,N,W,A,O){super(1,F,A,O);this.client=this._register(new E.Client(O,{remoteAuthority:N,clientId:W},F.ipcLogger))}async _reconnect(F,N){await o(F,N)}}e.ManagementPersistentConnection=J;class H extends X{constructor(F,N,W,A,O){super(2,F,W,A);this._startArguments=N,this.debugPort=O}async _reconnect(F,N){await u(F,this._startArguments,N)}}e.ExtensionHostPersistentConnection=H;function B($){try{$.acceptDisconnect();const F=$.getSocket();$.dispose(),F.dispose()}catch(F){(0,D.onUnexpectedError)(F)}}function Q($){if($&&$.type==="error"){const F=new Error(`Connection error: ${$.reason}`);return F.code="VSCODE_CONNECTION_ERROR",F}return null}function se($,F){for(;$.length<F;)$+=" ";return $}function q($,F,N){return`[remote-connection][${se(p($),13)}][${F.substr(0,5)}\u2026][${N?"reconnect":"initial"}]`}function z($,F){return`${q(F,$.reconnectionToken,!!$.reconnectionProtocol)}[${$.host}:${$.port}]`}function j($){return`${Date.now()-$} ms`}}),define(Z[78],x([0,1,10]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemoteName=e.getRemoteAuthority=void 0;function n(D){return D.scheme===w.Schemas.vscodeRemote?D.authority:void 0}e.getRemoteAuthority=n;function L(D){if(!D)return;const P=D.indexOf("+");return P<0?D:D.substr(0,P)}e.getRemoteName=L}),define(Z[56],x([0,1,16,153,55,5,40]),function(V,e,w,n,L,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.updateProxyConfigurationsScope=e.asJson=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=(0,D.createDecorator)("requestService");function S(t){return t.res.statusCode&&t.res.statusCode>=200&&t.res.statusCode<300||t.res.statusCode===1223}e.isSuccess=S;function m(t){return t.res.statusCode===204}async function E(t){if(!S(t))throw new Error("Server returned "+t.res.statusCode);return m(t)?null:(await(0,w.streamToBuffer)(t.stream)).toString()}e.asText=E;async function I(t){if(!S(t))throw new Error("Server returned "+t.res.statusCode);if(m(t))return null;const g=(await(0,w.streamToBuffer)(t.stream)).toString();try{return JSON.parse(g)}catch(v){throw v.message+=`:
`+g,v}}e.asJson=I;function k(t){p(t)}e.updateProxyConfigurationsScope=k;let b;function p(t){const d=P.Registry.as(L.Extensions.Configuration),g=b;b={id:"http",order:15,title:(0,n.localize)(0,null),type:"object",scope:t,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,n.localize)(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,n.localize)(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,n.localize)(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,n.localize)(4,null),(0,n.localize)(5,null),(0,n.localize)(6,null),(0,n.localize)(7,null)],default:"override",description:(0,n.localize)(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,n.localize)(9,null),restricted:!0}}},d.updateConfigurations({add:[b],remove:g?[g]:[]})}p(2)}),define(Z[203],x([0,1,204,14]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getProxyAgent=void 0;function L(P,S){return P.protocol==="http:"?S.HTTP_PROXY||S.http_proxy||null:P.protocol==="https:"&&(S.HTTPS_PROXY||S.https_proxy||S.HTTP_PROXY||S.http_proxy)||null}async function D(P,S,m={}){const E=(0,w.parse)(P),I=m.proxyUrl||L(E,S);if(!I)return null;const k=(0,w.parse)(I);if(!/^https?:$/.test(k.protocol||""))return null;const b={host:k.hostname||"",port:k.port||(k.protocol==="https"?"443":"80"),auth:k.auth,rejectUnauthorized:(0,n.isBoolean)(m.strictSSL)?m.strictSSL:!0};return E.protocol==="http:"?new(await new Promise((p,t)=>{V(["http-proxy-agent"],p,t)}))(b):new(await new Promise((p,t)=>{V(["https-proxy-agent"],p,t)}))(b)}e.getProxyAgent=D}),define(Z[79],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ISignService=e.SIGN_SERVICE_ID=void 0,e.SIGN_SERVICE_ID="signService",e.ISignService=(0,w.createDecorator)(e.SIGN_SERVICE_ID)}),define(Z[205],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class w{constructor(){this.validators=new Map}vsda(){return new Promise((L,D)=>V(["vsda"],L,D))}async createNewMessage(L){try{const D=await this.vsda(),P=new D.validator;if(P){const S=String(w._nextId++);return this.validators.set(S,P),{id:S,data:P.createNewMessage(L)}}}catch{}return{id:"",data:L}}async validate(L,D){if(!L.id)return!0;const P=this.validators.get(L.id);if(!P)return!1;this.validators.delete(L.id);try{return P.validate(D)==="ok"}catch{return!1}}async sign(L){try{const D=await this.vsda(),P=new D.signer;if(P)return P.sign(L)}catch{}return L}}e.SignService=w,w._nextId=1}),define(Z[38],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IStateMainService=void 0,e.IStateMainService=(0,w.createDecorator)("stateMainService")}),define(Z[18],x([0,1,12,9,4,2,3,36,14,5,186,6,38]),function(V,e,w,n,L,D,P,S,m,E,I,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LifecycleMainService=e.LifecycleMainPhase=e.ILifecycleMainService=void 0,e.ILifecycleMainService=(0,E.createDecorator)("lifecycleMainService");var p;(function(d){d[d.Starting=1]="Starting",d[d.Ready=2]="Ready",d[d.AfterWindowOpen=3]="AfterWindowOpen"})(p=e.LifecycleMainPhase||(e.LifecycleMainPhase={}));let t=class mt extends D.Disposable{constructor(g,v){super();this.logService=g,this.stateMainService=v,this._onBeforeShutdown=this._register(new L.Emitter),this.onBeforeShutdown=this._onBeforeShutdown.event,this._onWillShutdown=this._register(new L.Emitter),this.onWillShutdown=this._onWillShutdown.event,this._onWillLoadWindow=this._register(new L.Emitter),this.onWillLoadWindow=this._onWillLoadWindow.event,this._onBeforeCloseWindow=this._register(new L.Emitter),this.onBeforeCloseWindow=this._onBeforeCloseWindow.event,this._onBeforeUnloadWindow=this._register(new L.Emitter),this.onBeforeUnloadWindow=this._onBeforeUnloadWindow.event,this._quitRequested=!1,this._wasRestarted=!1,this._phase=1,this.windowToCloseRequest=new Set,this.oneTimeListenerTokenGenerator=0,this.windowCounter=0,this.pendingQuitPromise=void 0,this.pendingQuitPromiseResolve=void 0,this.pendingWillShutdownPromise=void 0,this.phaseWhen=new Map,this.resolveRestarted(),this.when(2).then(()=>this.registerListeners())}get quitRequested(){return this._quitRequested}get wasRestarted(){return this._wasRestarted}get phase(){return this._phase}resolveRestarted(){this._wasRestarted=!!this.stateMainService.getItem(mt.QUIT_AND_RESTART_KEY),this._wasRestarted&&this.stateMainService.removeItem(mt.QUIT_AND_RESTART_KEY)}registerListeners(){const g=()=>{this._quitRequested||(this.logService.trace("Lifecycle#app.on(before-quit)"),this._quitRequested=!0,this.logService.trace("Lifecycle#onBeforeShutdown.fire()"),this._onBeforeShutdown.fire(),P.isMacintosh&&this.windowCounter===0&&this.fireOnWillShutdown())};w.app.addListener("before-quit",g);const v=()=>{this.logService.trace("Lifecycle#app.on(window-all-closed)"),(this._quitRequested||!P.isMacintosh)&&w.app.quit()};w.app.addListener("window-all-closed",v),w.app.once("will-quit",M=>{this.logService.trace("Lifecycle#app.on(will-quit)"),M.preventDefault(),this.fireOnWillShutdown().finally(()=>{this.resolvePendingQuitPromise(!1),w.app.removeListener("before-quit",g),w.app.removeListener("window-all-closed",v),w.app.quit()})})}fireOnWillShutdown(){if(this.pendingWillShutdownPromise)return this.pendingWillShutdownPromise;this.logService.trace("Lifecycle#onWillShutdown.fire()");const g=[];return this._onWillShutdown.fire({join(v){g.push(v)}}),this.pendingWillShutdownPromise=(async()=>{try{await n.Promises.settled(g)}catch(v){this.logService.error(v)}try{await this.stateMainService.close()}catch(v){this.logService.error(v)}})(),this.pendingWillShutdownPromise}set phase(g){if(g<this.phase)throw new Error("Lifecycle cannot go backwards");if(this._phase===g)return;this.logService.trace(`lifecycle (main): phase changed (value: ${g})`),this._phase=g;const v=this.phaseWhen.get(this._phase);v&&(v.open(),this.phaseWhen.delete(this._phase))}async when(g){if(g<=this._phase)return;let v=this.phaseWhen.get(g);v||(v=new n.Barrier,this.phaseWhen.set(g,v)),await v.wait()}registerWindow(g){const v=new D.DisposableStore;this.windowCounter++,v.add(g.onWillLoad(f=>this._onWillLoadWindow.fire({window:g,workspace:f.workspace,reason:f.reason})));const M=(0,m.assertIsDefined)(g.win);M.on("close",f=>{const h=g.id;if(this.windowToCloseRequest.has(h)){this.windowToCloseRequest.delete(h);return}this.logService.trace(`Lifecycle#window.on('close') - window ID ${g.id}`),f.preventDefault(),this.unload(g,1).then(c=>{if(c){this.windowToCloseRequest.delete(h);return}this.windowToCloseRequest.add(h),this.logService.trace(`Lifecycle#onBeforeCloseWindow.fire() - window ID ${h}`),this._onBeforeCloseWindow.fire(g),g.close()})}),M.on("closed",()=>{this.logService.trace(`Lifecycle#window.on('closed') - window ID ${g.id}`),this.windowCounter--,v.dispose(),this.windowCounter===0&&(!P.isMacintosh||this._quitRequested)&&this.fireOnWillShutdown()})}async reload(g,v){await this.unload(g,3)||g.reload(v)}async unload(g,v){if(!g.isReady)return!1;this.logService.trace(`Lifecycle#unload() - window ID ${g.id}`);const M=this._quitRequested?2:v;let f=await this.onBeforeUnloadWindowInRenderer(g,M);return f?(this.logService.trace(`Lifecycle#unload() - veto in renderer (window ID ${g.id})`),this.handleWindowUnloadVeto(f)):(f=await this.onBeforeUnloadWindowInMain(g,M),f?(this.logService.trace(`Lifecycle#unload() - veto in main (window ID ${g.id})`),this.handleWindowUnloadVeto(f)):(this.logService.trace(`Lifecycle#unload() - no veto (window ID ${g.id})`),await this.onWillUnloadWindowInRenderer(g,M),!1))}handleWindowUnloadVeto(g){return g?(this.resolvePendingQuitPromise(!0),this._quitRequested=!1,!0):!1}resolvePendingQuitPromise(g){this.pendingQuitPromiseResolve&&(this.pendingQuitPromiseResolve(g),this.pendingQuitPromiseResolve=void 0,this.pendingQuitPromise=void 0)}onBeforeUnloadWindowInRenderer(g,v){return new Promise(M=>{const f=this.oneTimeListenerTokenGenerator++,h=`vscode:ok${f}`,c=`vscode:cancel${f}`;w.ipcMain.once(h,()=>{M(!1)}),w.ipcMain.once(c,()=>{M(!0)}),g.send("vscode:onBeforeUnload",{okChannel:h,cancelChannel:c,reason:v})})}onBeforeUnloadWindowInMain(g,v){const M=[];return this._onBeforeUnloadWindow.fire({reason:v,window:g,veto(f){M.push(f)}}),(0,I.handleVetos)(M,f=>this.logService.error(f))}onWillUnloadWindowInRenderer(g,v){return new Promise(M=>{const h=`vscode:reply${this.oneTimeListenerTokenGenerator++}`;w.ipcMain.once(h,()=>M()),g.send("vscode:onWillUnload",{replyChannel:h,reason:v})})}quit(g){return this.pendingQuitPromise?this.pendingQuitPromise:(this.logService.trace(`Lifecycle#quit() - will restart: ${g}`),g&&this.stateMainService.setItem(mt.QUIT_AND_RESTART_KEY,!0),this.pendingQuitPromise=new Promise(v=>{this.pendingQuitPromiseResolve=v,this.logService.trace("Lifecycle#quit() - calling app.quit()"),w.app.quit()}),this.pendingQuitPromise)}async relaunch(g){this.logService.trace("Lifecycle#relaunch()");const v=process.argv.slice(1);if(g?.addArgs&&v.push(...g.addArgs),g?.removeArgs)for(const h of g.removeArgs){const c=v.indexOf(h);c>=0&&v.splice(c,1)}const M=()=>{try{if(P.isWindows){const h=(0,S.cwd)();h!==process.cwd()&&process.chdir(h)}}catch(h){this.logService.error(h)}this.logService.trace("Lifecycle#relaunch() - calling app.relaunch()"),w.app.relaunch({args:v})};w.app.once("quit",M),await this.quit(!0)&&w.app.removeListener("quit",M)}async kill(g){this.logService.trace("Lifecycle#kill()"),await this.fireOnWillShutdown(),await Promise.race([(0,n.timeout)(1e3),(async()=>{for(const v of w.BrowserWindow.getAllWindows())if(v&&!v.isDestroyed()){let M;v.webContents&&!v.webContents.isDestroyed()?M=new Promise(f=>v.once("closed",f)):M=Promise.resolve(),v.destroy(),await M}})()]),w.app.exit(g)}};t.QUIT_AND_RESTART_KEY="lifecycle.quitAndRestart",t=ue([te(0,k.ILogService),te(1,b.IStateMainService)],t),e.LifecycleMainService=t}),define(Z[206],x([0,1,4,2,5,18]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeyboardLayoutMainService=e.IKeyboardLayoutMainService=void 0,e.IKeyboardLayoutMainService=(0,L.createDecorator)("keyboardLayoutMainService");let P=class extends n.Disposable{constructor(E){super();this._onDidChangeKeyboardLayout=this._register(new w.Emitter),this.onDidChangeKeyboardLayout=this._onDidChangeKeyboardLayout.event,this._initPromise=null,this._keyboardLayoutData=null,E.when(3).then(()=>this._initialize())}_initialize(){return this._initPromise||(this._initPromise=this._doInitialize()),this._initPromise}async _doInitialize(){const E=await new Promise((I,k)=>{V(["native-keymap"],I,k)});this._keyboardLayoutData=S(E),E.onDidChangeKeyboardLayout(()=>{this._keyboardLayoutData=S(E),this._onDidChangeKeyboardLayout.fire(this._keyboardLayoutData)})}async getKeyboardLayoutData(){return await this._initialize(),this._keyboardLayoutData}};P=ue([te(0,D.ILifecycleMainService)],P),e.KeyboardLayoutMainService=P;function S(m){const E=m.getKeyMap(),I=m.getCurrentKeyboardLayout();return{keyboardMapping:E,keyboardLayoutInfo:I}}}),define(Z[97],x([0,1,9,4,2,63,14,90,5]),function(V,e,w,n,L,D,P,S,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const E="__$__targetStorageMarker";e.IStorageService=(0,m.createDecorator)("storageService");var I;(function(g){g[g.NONE=0]="NONE",g[g.SHUTDOWN=1]="SHUTDOWN"})(I=e.WillSaveStateReason||(e.WillSaveStateReason={}));var k;(function(g){g[g.GLOBAL=0]="GLOBAL",g[g.WORKSPACE=1]="WORKSPACE"})(k=e.StorageScope||(e.StorageScope={}));var b;(function(g){g[g.USER=0]="USER",g[g.MACHINE=1]="MACHINE"})(b=e.StorageTarget||(e.StorageTarget={}));class p extends L.Disposable{constructor(v={flushInterval:p.DEFAULT_FLUSH_INTERVAL}){super();this.options=v,this._onDidChangeValue=this._register(new n.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new n.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new n.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new w.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new L.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,w.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,L.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{(0,D.mark)("code/willInitStorage");try{await this.doInitialize()}finally{(0,D.mark)("code/didInitStorage")}this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(v,M){M===E?(v===0?this._globalKeyTargets=void 0:v===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:v})):this._onDidChangeValue.fire({scope:v,key:M,target:this.getKeyTargets(v)[M]})}emitWillSaveState(v){this._onWillSaveState.fire({reason:v})}get(v,M,f){return this.getStorage(M)?.get(v,f)}getBoolean(v,M,f){return this.getStorage(M)?.getBoolean(v,f)}getNumber(v,M,f){return this.getStorage(M)?.getNumber(v,f)}store(v,M,f,h){if((0,P.isUndefinedOrNull)(M)){this.remove(v,f);return}this.withPausedEmitters(()=>{this.updateKeyTarget(v,f,h),this.getStorage(f)?.set(v,M)})}remove(v,M){this.withPausedEmitters(()=>{this.updateKeyTarget(v,M,void 0),this.getStorage(M)?.delete(v)})}withPausedEmitters(v){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{v()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(v,M){const f=[],h=this.getKeyTargets(v);for(const c of Object.keys(h))h[c]===M&&f.push(c);return f}updateKeyTarget(v,M,f){const h=this.getKeyTargets(M);typeof f=="number"?h[v]!==f&&(h[v]=f,this.getStorage(M)?.set(E,JSON.stringify(h))):typeof h[v]=="number"&&(delete h[v],this.getStorage(M)?.set(E,JSON.stringify(h)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(v){return v===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(v){const M=this.get(E,v);if(M)try{return JSON.parse(M)}catch{}return Object.create(null)}isNew(v){return this.getBoolean(e.IS_NEW_KEY,v)===!0}async flush(v=I.NONE){this._onWillSaveState.fire({reason:v});const M=this.getStorage(0),f=this.getStorage(1);switch(v){case I.NONE:await w.Promises.settled([M?.whenFlushed()??Promise.resolve(),f?.whenFlushed()??Promise.resolve()]);break;case I.SHUTDOWN:await w.Promises.settled([M?.flush(0)??Promise.resolve(),f?.flush(0)??Promise.resolve()]);break}}async logStorage(){const v=this.getStorage(0)?.items??new Map,M=this.getStorage(1)?.items??new Map;return d(v,M,this.getLogDetails(0)??"",this.getLogDetails(1)??"")}}e.AbstractStorageService=p,p.DEFAULT_FLUSH_INTERVAL=60*1e3;class t extends p{constructor(){super();this.globalStorage=this._register(new S.Storage(new S.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new S.Storage(new S.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(v=>this.emitDidChangeValue(1,v))),this._register(this.globalStorage.onDidChangeStorage(v=>this.emitDidChangeValue(0,v)))}getStorage(v){return v===0?this.globalStorage:this.workspaceStorage}getLogDetails(v){return v===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(v){}}e.InMemoryStorageService=t;async function d(g,v,M,f){const h=a=>{try{return JSON.parse(a)}catch{return a}},c=new Map,o=new Map;g.forEach((a,l)=>{c.set(l,a),o.set(l,h(a))});const u=new Map,r=new Map;v.forEach((a,l)=>{u.set(l,a),r.set(l,h(a))}),console.group(`Storage: Global (path: ${M})`);let i=[];c.forEach((a,l)=>{i.push({key:l,value:a})}),console.table(i),console.groupEnd(),console.log(o),console.group(`Storage: Workspace (path: ${f})`);let s=[];u.forEach((a,l)=>{s.push({key:l,value:a})}),console.table(s),console.groupEnd(),console.log(r)}e.logStorage=d}),define(Z[207],x([0,1,3,36,8,31]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.verifyMicrosoftInternalDomain=e.resolveCommonProperties=void 0;function P(E){if(w.platform===2&&/^penguin(\.|$)/i.test(E))return"chromebook"}async function S(E,I,k,b,p,t,d,g,v,M){const f=Object.create(null);f["common.machineId"]=d,f.sessionID=(0,D.generateUuid)()+Date.now(),f.commitHash=p,f.version=t,f["common.platformVersion"]=(I||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),f["common.platform"]=(0,w.PlatformToString)(w.platform),f["common.nodePlatform"]=n.platform,f["common.nodeArch"]=b,f["common.product"]=M||"desktop";const h=m(g||[]);h&&(f["common.msftInternal"]=h);let c=0;const o=Date.now();Object.defineProperties(f,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-o,enumerable:!0},"common.sequence":{get:()=>c++,enumerable:!0}}),w.isLinuxSnap&&(f["common.snap"]="true");const u=P(k);u&&(f["common.platformDetail"]=u);try{const r=await E.readFile(L.URI.file(v));f["common.source"]=r.value.toString().slice(0,30)}catch{}return f}e.resolveCommonProperties=S;function m(E){const I=n.env.USERDNSDOMAIN;if(!I)return!1;const k=I.toLowerCase();return E.some(b=>k===b)}e.verifyMicrosoftInternalDomain=m}),define(Z[32],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.TELEMETRY_OLD_SETTING_ID=e.TELEMETRY_SETTING_ID=e.TELEMETRY_SECTION_ID=e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=(0,w.createDecorator)("telemetryService"),e.ICustomEndpointTelemetryService=(0,w.createDecorator)("customEndpointTelemetryService"),e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId",e.TELEMETRY_SECTION_ID="telemetry",e.TELEMETRY_SETTING_ID="telemetry.telemetryLevel",e.TELEMETRY_OLD_SETTING_ID="telemetry.enableTelemetry";var n;(function(D){D[D.NONE=0]="NONE",D[D.CRASH=1]="CRASH",D[D.ERROR=2]="ERROR",D[D.USAGE=3]="USAGE"})(n=e.TelemetryLevel||(e.TelemetryLevel={}));var L;(function(D){D.OFF="off",D.CRASH="crash",D.ERROR="error",D.ON="all"})(L=e.TelemetryConfiguration||(e.TelemetryConfiguration={}))}),define(Z[208],x([0,1,26,68,9,44,10,7,3,8,71,24,87,75,20,21,32]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;async function v(o,u){const r=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.ya?ml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i},{tag:"devcontainer.json",filePattern:/^devcontainer\.json$/i},{tag:"dockerfile",filePattern:/^(dockerfile|docker\-compose\.ya?ml)$/i}],i=new Map,s=new Map,a=2e4;function l(R,T,U,Y){const ee=T.substring(R.length+1);return L.Promises.withAsyncBody(async X=>{let J;try{J=await k.Promises.readdir(T,{withFileTypes:!0})}catch{X();return}if(Y.count>=a){Y.count+=J.length,Y.maxReached=!0,X();return}let H=J.length;if(H===0){X();return}let B=J;Y.count+J.length>a&&(Y.maxReached=!0,H=a-Y.count,B=J.slice(0,H)),Y.count+=J.length;for(const Q of B)if(Q.isDirectory()){if(U.includes(Q.name)||await l(R,(0,S.join)(T,Q.name),U,Y),--H==0){X();return}}else{const se=Q.name.lastIndexOf(".");if(se>=0){const q=Q.name.substring(se+1);q&&i.set(q,(i.get(q)??0)+1)}for(const q of r)q.relativePathPattern?.test(ee)!==!1&&q.filePattern.test(Q.name)&&s.set(q.tag,(s.get(q.tag)??0)+1);if(--H==0){X();return}}})}const y={count:0,maxReached:!1};await l(o,o,u,y);const C=await h(o);return{configFiles:M(s),fileTypes:M(i),fileCount:y.count,maxFilesReached:y.maxReached,launchConfigFiles:C}}e.collectWorkspaceStats=v;function M(o){return[...n.Iterable.map(o.entries(),([u,r])=>({name:u,count:r}))].sort((u,r)=>r.count-u.count)}function f(){const o={os:`${w.type()} ${w.arch()} ${w.release()}`,memory:`${(w.totalmem()/t.ByteSize.GB).toFixed(2)}GB (${(w.freemem()/t.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(I.virtualMachineHint.value()*100)}%`},u=w.cpus();return u&&u.length>0&&(o.cpus=`${u[0].model} (${u.length} x ${u[0].speed})`),o}e.getMachineInfo=f;async function h(o){try{const u=new Map,r=(0,S.join)(o,".vscode","launch.json"),i=await k.Promises.readFile(r),s=[],a=(0,D.parse)(i.toString(),s);if(s.length)return console.log(`Unable to parse ${r}`),[];if((0,D.getNodeType)(a)==="object"&&a.configurations)for(const l of a.configurations){const y=l.type;y&&(u.has(y)?u.set(y,u.get(y)+1):u.set(y,1))}return M(u)}catch{return[]}}e.collectLaunchConfigs=h;let c=class{constructor(u,r){this.telemetryService=u,this.productService=r}formatMachineInfo(u){const r=[];return r.push(`OS Version:       ${u.os}`),r.push(`CPUs:             ${u.cpus}`),r.push(`Memory (System):  ${u.memory}`),r.push(`VM:               ${u.vmHint}`),r.join(`
`)}formatEnvironment(u){const r=[];r.push(`Version:          ${this.productService.nameShort} ${this.productService.version} (${this.productService.commit||"Commit unknown"}, ${this.productService.date||"Date unknown"})`),r.push(`OS Version:       ${w.type()} ${w.arch()} ${w.release()}`);const i=w.cpus();return i&&i.length>0&&r.push(`CPUs:             ${i[0].model} (${i.length} x ${i[0].speed})`),r.push(`Memory (System):  ${(w.totalmem()/t.ByteSize.GB).toFixed(2)}GB (${(w.freemem()/t.ByteSize.GB).toFixed(2)}GB free)`),m.isWindows||r.push(`Load (avg):       ${w.loadavg().map(s=>Math.round(s)).join(", ")}`),r.push(`VM:               ${Math.round(I.virtualMachineHint.value()*100)}%`),r.push(`Screen Reader:    ${u.screenReader?"yes":"no"}`),r.push(`Process Argv:     ${u.mainArguments.join(" ")}`),r.push(`GPU Status:       ${this.expandGPUFeatures(u.gpuFeatureStatus)}`),r.join(`
`)}async getPerformanceInfo(u,r){return Promise.all([(0,b.listProcesses)(u.mainPID),this.formatWorkspaceMetadata(u)]).then(async i=>{let[s,a]=i,l=this.formatProcessList(u,s);return r.forEach(y=>{if((0,p.isRemoteDiagnosticError)(y))l+=`
${y.errorMessage}`,a+=`
${y.errorMessage}`;else if(l+=`

Remote: ${y.hostName}`,y.processes&&(l+=`
${this.formatProcessList(u,y.processes)}`),y.workspaceMetadata){a+=`
|  Remote: ${y.hostName}`;for(const C of Object.keys(y.workspaceMetadata)){const R=y.workspaceMetadata[C];let T=`${R.fileCount} files`;R.maxFilesReached&&(T=`more than ${T}`),a+=`|    Folder (${C}): ${T}`,a+=this.formatWorkspaceStats(R)}}}),{processInfo:l,workspaceInfo:a}})}async getSystemInfo(u,r){const{memory:i,vmHint:s,os:a,cpus:l}=f(),y={os:a,memory:i,cpus:l,vmHint:s,processArgs:`${u.mainArguments.join(" ")}`,gpuStatus:u.gpuFeatureStatus,screenReader:`${u.screenReader?"yes":"no"}`,remoteData:r};return m.isWindows||(y.load=`${w.loadavg().map(C=>Math.round(C)).join(", ")}`),m.isLinux&&(y.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(y)}async getDiagnostics(u,r){const i=[];return(0,b.listProcesses)(u.mainPID).then(async s=>(i.push(""),i.push(this.formatEnvironment(u)),i.push(""),i.push(this.formatProcessList(u,s)),u.windows.some(a=>a.folderURIs&&a.folderURIs.length>0&&!a.remoteAuthority)&&(i.push(""),i.push("Workspace Stats: "),i.push(await this.formatWorkspaceMetadata(u))),r.forEach(a=>{if((0,p.isRemoteDiagnosticError)(a))i.push(`
${a.errorMessage}`);else if(i.push(`

`),i.push(`Remote:           ${a.hostName}`),i.push(this.formatMachineInfo(a.machineInfo)),a.processes&&i.push(this.formatProcessList(u,a.processes)),a.workspaceMetadata)for(const l of Object.keys(a.workspaceMetadata)){const y=a.workspaceMetadata[l];let C=`${y.fileCount} files`;y.maxFilesReached&&(C=`more than ${C}`),i.push(`Folder (${l}): ${C}`),i.push(this.formatWorkspaceStats(y))}}),i.push(""),i.push(""),i.join(`
`)))}formatWorkspaceStats(u){const r=[],i=60;let s=0;const a=(R,T)=>{const U=` ${R}(${T})`;s+U.length>i?(r.push(l),l="|                 ",s=l.length):s+=U.length,l+=U};let l="|      File types:";const y=10;let C=u.fileTypes.length>y?y:u.fileTypes.length;for(let R=0;R<C;R++){const T=u.fileTypes[R];a(T.name,T.count)}if(r.push(l),u.configFiles.length>=0&&(l="|      Conf files:",s=0,u.configFiles.forEach(R=>{a(R.name,R.count)}),r.push(l)),u.launchConfigFiles.length>0){let R="|      Launch Configs:";u.launchConfigFiles.forEach(T=>{R+=T.count>1?` ${T.name}(${T.count})`:` ${T.name}`}),r.push(R)}return r.join(`
`)}expandGPUFeatures(u){const r=Math.max(...Object.keys(u).map(i=>i.length));return Object.keys(u).map(i=>`${i}:  ${" ".repeat(r-i.length)}  ${u[i]}`).join(`
                  `)}formatWorkspaceMetadata(u){const r=[],i=[];return u.windows.forEach(s=>{s.folderURIs.length===0||!!s.remoteAuthority||(r.push(`|  Window (${s.title})`),s.folderURIs.forEach(a=>{const l=E.URI.revive(a);if(l.scheme===P.Schemas.file){const y=l.fsPath;i.push(v(y,["node_modules",".git"]).then(C=>{let R=`${C.fileCount} files`;C.maxFilesReached&&(R=`more than ${R}`),r.push(`|    Folder (${(0,S.basename)(y)}): ${R}`),r.push(this.formatWorkspaceStats(C))}).catch(C=>{r.push(`|      Error: Unable to collect workspace stats for folder ${y} (${C.toString()})`)}))}else r.push(`|    Folder (${l.toString()}): Workspace stats not available.`)}))}),Promise.all(i).then(s=>r.join(`
`)).catch(s=>`Unable to collect workspace stats: ${s}`)}formatProcessList(u,r){const i=new Map;u.windows.forEach(a=>i.set(a.pid,a.title));const s=[];return s.push("CPU %	Mem MB	   PID	Process"),r&&this.formatProcessItem(u.mainPID,i,s,r,0),s.join(`
`)}formatProcessItem(u,r,i,s,a){const l=a===0;let y;l?y=s.pid===u?`${this.productService.applicationName} main`:"remote agent":(y=`${"  ".repeat(a)} ${s.name}`,s.name==="window"&&(y=`${y} (${r.get(s.pid)})`));const C=process.platform==="win32"?s.mem:w.totalmem()*(s.mem/100);i.push(`${s.load.toFixed(0).padStart(5," ")}	${(C/t.ByteSize.MB).toFixed(0).padStart(6," ")}	${s.pid.toFixed(0).padStart(6," ")}	${y}`),Array.isArray(s.children)&&s.children.forEach(R=>this.formatProcessItem(u,r,i,R,a+1))}async reportWorkspaceStats(u){for(const{uri:r}of u.folders){const i=E.URI.revive(r);if(i.scheme!==P.Schemas.file)continue;const s=i.fsPath;try{const a=await v(s,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":u.telemetryId,rendererSessionId:u.rendererSessionId}),a.fileTypes.forEach(l=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:u.rendererSessionId,type:l.name,count:l.count})}),a.launchConfigFiles.forEach(l=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:u.rendererSessionId,type:l.name,count:l.count})}),a.configFiles.forEach(l=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:u.rendererSessionId,type:l.name,count:l.count})})}catch{}}}};c=ue([te(0,g.ITelemetryService),te(1,d.IProductService)],c),e.DiagnosticsService=c}),define(Z[209],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class w{constructor(D){this.appenders=D}listen(D,P){throw new Error(`Event not found: ${P}`)}call(D,P,{eventName:S,data:m}){return this.appenders.forEach(E=>E.log(S,m)),Promise.resolve(null)}}e.TelemetryAppenderChannel=w;class n{constructor(D){this.channel=D}log(D,P){return this.channel.call("log",{eventName:D,data:P}).then(void 0,S=>`Failed to log telemetry: ${console.warn(S)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=n}),define(Z[64],x([0,1,49,14,19,32]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cleanRemoteAuthority=e.validateTelemetryData=e.getTelemetryLevel=e.supportsTelemetry=e.configurationTelemetry=e.NullAppender=e.NullEndpointTelemetryService=e.NullTelemetryService=e.NullTelemetryServiceShape=void 0;class P{constructor(){this.sendErrorTelemetry=!1,this.telemetryLevel=0}publicLog(v,M){return Promise.resolve(void 0)}publicLog2(v,M){return this.publicLog(v,M)}publicLogError(v,M){return Promise.resolve(void 0)}publicLogError2(v,M){return this.publicLogError(v,M)}setExperimentProperty(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}}e.NullTelemetryServiceShape=P,e.NullTelemetryService=new P;class S{async publicLog(v,M,f){}async publicLogError(v,M,f){}}e.NullEndpointTelemetryService=S,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function m(g,v){return v.onDidChangeConfiguration(M=>{M.source!==6&&g.publicLog2("updateConfiguration",{configurationSource:(0,L.ConfigurationTargetToString)(M.source),configurationKeys:t(M.sourceConfig)})})}e.configurationTelemetry=m;function E(g,v){return!(v.disableTelemetry||!g.enableTelemetry||v.extensionTestsLocationURI)}e.supportsTelemetry=E;function I(g){const v=g.getValue(D.TELEMETRY_SETTING_ID),M=g.getValue("telemetry.enableCrashReporter");if(g.getValue(D.TELEMETRY_OLD_SETTING_ID)===!1||M===!1)return 0;switch(v??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.getTelemetryLevel=I;function k(g){const v=Object.create(null),M=Object.create(null),f=Object.create(null);p(g,f);for(let h in f){h=h.length>150?h.substr(h.length-149):h;const c=f[h];typeof c=="number"?M[h]=c:typeof c=="boolean"?M[h]=c?1:0:typeof c=="string"?(c.length>8192&&console.warn(`Telemetry property: ${h} has been trimmed to 8192, the original length is ${c.length}`),v[h]=c.substring(0,8191)):typeof c!="undefined"&&c!==null&&(v[h]=c)}return{properties:v,measurements:M}}e.validateTelemetryData=k;function b(g){if(!g)return"none";let v="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(f=>{g.indexOf(`${f}+`)===0&&(v=f)}),v}e.cleanRemoteAuthority=b;function p(g,v,M=0,f){if(!!g)for(let h of Object.getOwnPropertyNames(g)){const c=g[h],o=f?f+h:h;Array.isArray(c)?v[o]=(0,w.safeStringify)(c):c instanceof Date?v[o]=c.toISOString():(0,n.isObject)(c)?M<2?p(c,v,M+1,o+"."):v[o]=(0,w.safeStringify)(c):v[o]=c}}function t(g){if(!g)return[];const v=[];return d(v,"",g),v}function d(g,v,M){M&&typeof M=="object"&&!Array.isArray(M)?Object.keys(M).forEach(f=>d(g,v?`${v}.${f}`:f,M[f])):g.push(v)}}),define(Z[210],x([0,1,172,64]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=void 0;async function L(D,P,S,m,E,I){const k={"X-Market-Client-Id":`VSCode ${D}`,"User-Agent":`VSCode ${D} (${P.nameShort})`},b=await(0,w.getServiceMachineId)(S,E,I);return(0,n.supportsTelemetry)(P,S)&&(0,n.getTelemetryLevel)(m)===3&&(k["X-Market-User-Id"]=b),k}e.resolveMarketplaceHeaders=L}),define(Z[211],x([0,1,2,49,3,27,154,19,55,53,40,32,64]),function(V,e,w,n,L,D,P,S,m,E,I,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let p=class{constructor(g,v){this._configurationService=v,this._experimentProperties={},this._disposables=new w.DisposableStore,this._cleanupPatterns=[],this._appenders=g.appenders,this._commonProperties=g.commonProperties||Promise.resolve({}),this._piiPaths=g.piiPaths||[],this._telemetryLevel=3,this.sendErrorTelemetry=!!g.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let M of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,D.escapeRegExpCharacters)(M),"gi"));this._updateTelemetryLevel(),this._configurationService.onDidChangeConfiguration(this._updateTelemetryLevel,this,this._disposables)}setExperimentProperty(g,v){this._experimentProperties[g]=v}_updateTelemetryLevel(){this._telemetryLevel=(0,b.getTelemetryLevel)(this._configurationService)}get telemetryLevel(){return this._telemetryLevel}async getTelemetryInfo(){const g=await this._commonProperties;let v=g.sessionID,M=g["common.machineId"],f=g["common.firstSessionDate"],h=g["common.msftInternal"];return{sessionId:v,machineId:M,firstSessionDate:f,msftInternal:h}}dispose(){this._disposables.dispose()}_log(g,v,M,f){return this.telemetryLevel<v?Promise.resolve(void 0):this._commonProperties.then(h=>{M=(0,n.mixin)(M,h),M=(0,n.mixin)(M,this._experimentProperties),M=(0,n.cloneAndChange)(M,c=>{if(typeof c=="string")return this._cleanupInfo(c,f)}),this._appenders.forEach(c=>c.log(g,M))},h=>{console.error(h)})}publicLog(g,v,M){return this._log(g,3,v,M)}publicLog2(g,v,M){return this.publicLog(g,v,M)}publicLogError(g,v){return this.sendErrorTelemetry?this._log(g,2,v,!0):Promise.resolve(void 0)}publicLogError2(g,v){return this.publicLogError(g,v)}_anonymizeFilePaths(g){let v=g;const M=[];for(let o of this._cleanupPatterns)for(;;){const u=o.exec(g);if(!u)break;M.push([u.index,o.lastIndex])}const f=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,h=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let c=0;for(v="";;){const o=h.exec(g);if(!o)break;!f.test(o[0])&&M.every(([u,r])=>o.index<u||o.index>=r)&&(v+=g.substring(c,o.index)+"<REDACTED: user-file-path>",c=h.lastIndex)}return c<g.length&&(v+=g.substr(c)),v}_removePropertiesWithPossibleUserInfo(g){if(!g)return g;const v=g.toLowerCase(),M=/@[a-zA-Z0-9-.]+/,f=/(key|token|sig|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/,h=/xox[pbaors]\-[a-zA-Z0-9]+\-[a-zA-Z0-9\-]+?/;return f.test(v)?"<REDACTED: secret>":M.test(v)?"<REDACTED: email>":h.test(v)?"<REDACTED: token>":g}_cleanupInfo(g,v){let M=g;v&&(M=this._anonymizeFilePaths(M));for(let f of this._cleanupPatterns)M=M.replace(f,"");return M=this._removePropertiesWithPossibleUserInfo(M),M}};p.IDLE_START_EVENT_NAME="UserIdleStart",p.IDLE_STOP_EVENT_NAME="UserIdleStop",p=ue([te(1,S.IConfigurationService)],p),e.TelemetryService=p;function t(){const d=(0,P.localize)(0,null,E.default.nameLong),g=E.default.privacyStatementUrl?(0,P.localize)(2,null,"https://aka.ms/vscode-telemetry",E.default.privacyStatementUrl):(0,P.localize)(1,null,"https://aka.ms/vscode-telemetry"),v=L.isWeb?"":(0,P.localize)(3,null),M=(0,P.localize)(4,null),f=(0,P.localize)(5,null),h=(0,P.localize)(6,null),c=(0,P.localize)(7,null),o=`
|       | ${M} | ${f} | ${h} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,u=(0,P.localize)(8,null);return`
${d} ${g} ${v}

&nbsp;

${c}
${o}

&nbsp;

${u}
`}I.Registry.as(m.Extensions.Configuration).registerConfiguration({id:k.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,P.localize)(9,null),properties:{[k.TELEMETRY_SETTING_ID]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,P.localize)(10,null),(0,P.localize)(11,null),(0,P.localize)(12,null),(0,P.localize)(13,null)],markdownDescription:t(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),I.Registry.as(m.Extensions.Configuration).registerConfiguration({id:k.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,P.localize)(14,null),properties:{[k.TELEMETRY_OLD_SETTING_ID]:{type:"boolean",markdownDescription:E.default.privacyStatementUrl?(0,P.localize)(16,null,E.default.nameLong,E.default.privacyStatementUrl):(0,P.localize)(15,null,E.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,P.localize)(17,null,`\`#${k.TELEMETRY_SETTING_ID}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(Z[98],x([0,1,45,7,155,23,39,15,3,31,137,50,9]),function(V,e,w,n,L,D,P,S,m,E,I,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getResolvedShellEnv=void 0;const p=1e4;let t;async function d(v,M,f){return M["force-disable-user-env"]?(v.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):m.isWindows?(v.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,k.isLaunchedFromCli)(f)&&!M["force-user-env"]?(v.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,k.isLaunchedFromCli)(f)?v.trace("resolveShellEnv(): running (--force-user-env)"):v.trace("resolveShellEnv(): running (macOS/Linux)"),t||(t=b.Promises.withAsyncBody(async(h,c)=>{const o=new D.CancellationTokenSource,u=setTimeout(()=>{o.dispose(!0),c(new Error((0,L.localize)(0,null)))},p);try{h(await g(v,o.token))}catch(r){!(0,S.isCancellationError)(r)&&!o.token.isCancellationRequested?c(new Error((0,L.localize)(1,null,(0,P.toErrorMessage)(r)))):h({})}finally{clearTimeout(u),o.dispose()}})),t)}e.getResolvedShellEnv=d;async function g(v,M){const f=process.env.ELECTRON_RUN_AS_NODE;v.trace("getUnixShellEnvironment#runAsNode",f);const h=process.env.ELECTRON_NO_ATTACH_CONSOLE;v.trace("getUnixShellEnvironment#noAttach",h);const c=(0,E.generateUuid)().replace(/-/g,"").substr(0,12),o=new RegExp(c+"(.*)"+c),u={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};v.trace("getUnixShellEnvironment#env",u);const r=await(0,I.getSystemShell)(m.OS,u);return v.trace("getUnixShellEnvironment#shell",r),new Promise((i,s)=>{if(M.isCancellationRequested)return s((0,S.canceled)());const a=(0,n.basename)(r);let l,y;const C=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(a)?(l=`& '${process.execPath}' ${C} -p '''${c}'' + JSON.stringify(process.env) + ''${c}'''`,y=["-Login","-Command"]):(l=`'${process.execPath}' ${C} -p '"${c}" + JSON.stringify(process.env) + "${c}"'`,a==="tcsh"?y=["-ic"]:y=["-ilc"]),v.trace("getUnixShellEnvironment#spawn",JSON.stringify(y),l);const R=(0,w.spawn)(r,[...y,l],{detached:!0,stdio:["ignore","pipe","pipe"],env:u});M.onCancellationRequested(()=>(R.kill(),s((0,S.canceled)()))),R.on("error",Y=>{v.error("getUnixShellEnvironment#errorChildProcess",(0,P.toErrorMessage)(Y)),s(Y)});const T=[];R.stdout.on("data",Y=>T.push(Y));const U=[];R.stderr.on("data",Y=>U.push(Y)),R.on("close",(Y,ee)=>{const X=Buffer.concat(T).toString("utf8");v.trace("getUnixShellEnvironment#raw",X);const J=Buffer.concat(U).toString("utf8");if(J.trim()&&v.trace("getUnixShellEnvironment#stderr",J),Y||ee)return s(new Error((0,L.localize)(2,null,Y,ee)));const H=o.exec(X),B=H?H[1]:"{}";try{const Q=JSON.parse(B);f?Q.ELECTRON_RUN_AS_NODE=f:delete Q.ELECTRON_RUN_AS_NODE,h?Q.ELECTRON_NO_ATTACH_CONSOLE=h:delete Q.ELECTRON_NO_ATTACH_CONSOLE,delete Q.XDG_RUNTIME_DIR,v.trace("getUnixShellEnvironment#result",Q),i(Q)}catch(Q){v.error("getUnixShellEnvironment#errorCaught",(0,P.toErrorMessage)(Q)),s(Q)}})})}}),define(Z[212],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var w;(function(n){n.DARK="dark",n.LIGHT="light",n.HIGH_CONTRAST="hc"})(w=e.ColorScheme||(e.ColorScheme={}))}),define(Z[213],x([0,1,107,4,2,5,40,212]),function(V,e,w,n,L,D,P,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,D.createDecorator)("themeService");var m;(function(g){function v(M){return M&&typeof M=="object"&&typeof M.id=="string"}g.isThemeColor=v})(m=e.ThemeColor||(e.ThemeColor={}));function E(g){return{id:g}}e.themeColorFromId=E;var I;(function(g){function v(i){return i&&typeof i=="object"&&typeof i.id=="string"&&(typeof i.color=="undefined"||m.isThemeColor(i.color))}g.isThemeIcon=v;const M=new RegExp(`^\\$\\((${w.CSSIcon.iconNameExpression}(?:${w.CSSIcon.iconModifierExpression})?)\\)$`);function f(i){const s=M.exec(i);if(!s)return;let[,a]=s;return{id:a}}g.fromString=f;function h(i){return{id:i}}g.fromId=h;function c(i,s){let a=i.id;const l=a.lastIndexOf("~");return l!==-1&&(a=a.substring(0,l)),s&&(a=`${a}~${s}`),{id:a}}g.modify=c;function o(i){const s=i.id.lastIndexOf("~");if(s!==-1)return i.id.substring(s+1)}g.getModifier=o;function u(i,s){return i.id===s.id&&i.color?.id===s.color?.id}g.isEqual=u;function r(i,s){return{id:i.id,color:s?E(s):void 0}}g.asThemeIcon=r,g.asClassNameArray=w.CSSIcon.asClassNameArray,g.asClassName=w.CSSIcon.asClassName,g.asCSSSelector=w.CSSIcon.asCSSSelector})(I=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=w.Codicon.file,e.FolderThemeIcon=w.Codicon.folder;function k(g){switch(g){case S.ColorScheme.DARK:return"vs-dark";case S.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=k,e.Extensions={ThemingContribution:"base.contributions.theming"};class b{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new n.Emitter}onColorThemeChange(v){return this.themingParticipants.push(v),this.onThemingParticipantAddedEmitter.fire(v),(0,L.toDisposable)(()=>{const M=this.themingParticipants.indexOf(v);this.themingParticipants.splice(M,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let p=new b;P.Registry.add(e.Extensions.ThemingContribution,p);function t(g){return p.onColorThemeChange(g)}e.registerThemingParticipant=t;class d extends L.Disposable{constructor(v){super();this.themeService=v,this.theme=v.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(M=>this.onThemeChange(M)))}onThemeChange(v){this.theme=v,this.updateStyles()}updateStyles(){}getColor(v,M){let f=this.theme.getColor(v);return f&&M&&(f=M(f,this.theme)),f?f.toString():null}}e.Themable=d}),define(Z[65],x([0,1,12,3,5,38]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ThemeMainService=e.IThemeMainService=void 0;const P="#FFFFFF",S="#1E1E1E",m="#000000",E="theme",I="themeBackground",k="windowSplash";e.IThemeMainService=(0,L.createDecorator)("themeMainService");let b=class{constructor(t){this.stateMainService=t}getBackgroundColor(){if((n.isWindows||n.isMacintosh)&&w.nativeTheme.shouldUseInvertedColorScheme)return m;let t=this.stateMainService.getItem(I,null);if(!t){let d;(n.isWindows||n.isMacintosh)&&w.nativeTheme.shouldUseInvertedColorScheme?d="hc-black":d=this.stateMainService.getItem(E,"vs-dark").split(" ")[0],t=d==="hc-black"?m:d==="vs"?P:S}return n.isMacintosh&&t.toUpperCase()===S&&(t="#171717"),t}saveWindowSplash(t,d){this.stateMainService.setItems([{key:E,data:d.baseTheme},{key:I,data:d.colorInfo.background},{key:k,data:d}]),typeof t=="number"&&this.updateBackgroundColor(t,d)}updateBackgroundColor(t,d){for(const g of w.BrowserWindow.getAllWindows())if(g.id===t){g.setBackgroundColor(d.colorInfo.background);break}}getWindowSplash(){return this.stateMainService.getItem(k)}};b=ue([te(0,D.IStateMainService)],b),e.ThemeMainService=b}),define(Z[99],x([0,1,4,3,5,6]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,L.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,L.createDecorator)("sharedTunnelsService");var P;(function(t){t.Http="http",t.Https="https"})(P=e.TunnelProtocol||(e.TunnelProtocol={}));var S;(function(t){t.ConstantPrivate="constantPrivate",t.Private="private",t.Public="public"})(S=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var m;(function(t){t[t.Notify=1]="Notify",t[t.OpenBrowser=2]="OpenBrowser",t[t.OpenPreview=3]="OpenPreview",t[t.Silent=4]="Silent",t[t.Ignore=5]="Ignore",t[t.OpenBrowserOnce=6]="OpenBrowserOnce"})(m=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function E(t){if(t.scheme!=="http"&&t.scheme!=="https")return;const d=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(t.authority);if(!!d)return{address:d[1],port:+d[2]}}e.extractLocalHostUriMetaDataForPortMapping=E,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function I(t){return e.LOCALHOST_ADDRESSES.indexOf(t)>=0}e.isLocalhost=I,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function k(t){return e.ALL_INTERFACES_ADDRESSES.indexOf(t)>=0}e.isAllInterfaces=k;function b(t,d){return d?d!==1&&t<1024:!n.isWindows&&t<1024}e.isPortPrivileged=b;let p=class{constructor(d){this.logService=d,this._onTunnelOpened=new w.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new w.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new w.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[]}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(d){return this._tunnelProvider=d,d?(this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}setTunnelFeatures(d){this._canElevate=d.elevation,this._privacyOptions=d.privacyOptions}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const d=[],g=Array.from(this._tunnels.values());for(let v of g){const M=Array.from(v.values());for(let f of M){const h=await f.value;h&&d.push(h)}}return d}async dispose(){for(const d of this._tunnels.values()){for(const{value:g}of d.values())await g.then(v=>v?.dispose());d.clear()}this._tunnels.clear()}openTunnel(d,g,v,M,f=!1,h=S.Private,c){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${g}:${v} on local port ${M}.`),!d)return;g||(g="localhost");const o=this.retainOrCreateTunnel(d,g,v,M,f,h,c);return o?o.then(u=>{if(!u){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(g,v);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const r=this.makeTunnel(u);return(u.tunnelRemoteHost!==g||u.tunnelRemotePort!==v)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(r),r}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),o)}makeTunnel(d){return{tunnelRemotePort:d.tunnelRemotePort,tunnelRemoteHost:d.tunnelRemoteHost,tunnelLocalPort:d.tunnelLocalPort,localAddress:d.localAddress,privacy:d.privacy,protocol:d.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${d.tunnelRemoteHost}:${d.tunnelRemotePort} `);const g=this._tunnels.get(d.tunnelRemoteHost);if(g){const v=g.get(d.tunnelRemotePort);v&&(v.refcount--,await this.tryDisposeTunnel(d.tunnelRemoteHost,d.tunnelRemotePort,v))}}}}async tryDisposeTunnel(d,g,v){if(v.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${d}:${g}.`);const M=v.value.then(async f=>{f&&(await f.dispose(!0),this._onTunnelClosed.fire({host:f.tunnelRemoteHost,port:f.tunnelRemotePort}))});return this._tunnels.has(d)&&this._tunnels.get(d).delete(g),M}}async closeTunnel(d,g){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${d}:${g} `);const v=this._tunnels.get(d);if(v&&v.has(g)){const M=v.get(g);M.refcount=0,await this.tryDisposeTunnel(d,g,M)}}addTunnelToMap(d,g,v){this._tunnels.has(d)||this._tunnels.set(d,new Map),this._tunnels.get(d).set(g,{refcount:1,value:v})}async removeEmptyTunnelFromMap(d,g){const v=this._tunnels.get(d);v&&(await v.get(g)||v.delete(g),v.size===0&&this._tunnels.delete(d))}getTunnelFromMap(d,g){let v=[d];I(d)?(v.push(...e.LOCALHOST_ADDRESSES),v.push(...e.ALL_INTERFACES_ADDRESSES)):k(d)&&v.push(...e.ALL_INTERFACES_ADDRESSES);const M=v.map(f=>this._tunnels.get(f));for(const f of M){const h=f?.get(g);if(h)return h}}canTunnel(d){return!!E(d)}createWithProvider(d,g,v,M,f,h,c){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${g}:${v} on local port ${M}.`);const u={elevationRequired:f?b(M===void 0?v:M):!1},r={remoteAddress:{host:g,port:v},localAddressPort:M,privacy:h,public:h!==S.Private,protocol:c},i=d.forwardPort(r,u);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),i&&this.addTunnelToMap(g,v,i),i}};p=ue([te(0,D.ILogService)],p),e.AbstractTunnelService=p}),define(Z[41],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUpdateService=e.State=e.UpdateType=e.StateType=void 0;var n;(function(D){D.Uninitialized="uninitialized",D.Idle="idle",D.CheckingForUpdates="checking for updates",D.AvailableForDownload="available for download",D.Downloading="downloading",D.Downloaded="downloaded",D.Updating="updating",D.Ready="ready"})(n=e.StateType||(e.StateType={}));var L;(function(D){D[D.Setup=0]="Setup",D[D.Archive=1]="Archive",D[D.Snap=2]="Snap"})(L=e.UpdateType||(e.UpdateType={})),e.State={Uninitialized:{type:"uninitialized"},Idle:(D,P)=>({type:"idle",updateType:D,error:P}),CheckingForUpdates:D=>({type:"checking for updates",explicit:D}),AvailableForDownload:D=>({type:"available for download",update:D}),Downloading:D=>({type:"downloading",update:D}),Downloaded:D=>({type:"downloaded",update:D}),Updating:D=>({type:"updating",update:D}),Ready:D=>({type:"ready",update:D})},e.IUpdateService=(0,w.createDecorator)("updateService")}),define(Z[214],x([0,1,3,156,55,40]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),D.Registry.as(L.Extensions.Configuration).registerConfiguration({id:"update",order:15,title:(0,n.localize)(0,null),type:"object",properties:{"update.mode":{type:"string",enum:["none","manual","start","default"],default:"default",scope:1,description:(0,n.localize)(1,null),tags:["usesOnlineServices"],enumDescriptions:[(0,n.localize)(2,null),(0,n.localize)(3,null),(0,n.localize)(4,null),(0,n.localize)(5,null)]},"update.channel":{type:"string",default:"default",scope:1,description:(0,n.localize)(6,null),deprecationMessage:(0,n.localize)(7,null,"update.mode")},"update.enableWindowsBackgroundUpdates":{type:"boolean",default:!0,scope:1,title:(0,n.localize)(8,null),description:(0,n.localize)(9,null),included:w.isWindows&&!w.isWeb},"update.showReleaseNotes":{type:"boolean",default:!0,scope:1,description:(0,n.localize)(10,null),tags:["usesOnlineServices"]}}})}),define(Z[215],x([0,1,4,41]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UpdateChannelClient=e.UpdateChannel=void 0;class L{constructor(S){this.service=S}listen(S,m){switch(m){case"onStateChange":return this.service.onStateChange}throw new Error(`Event not found: ${m}`)}call(S,m,E){switch(m){case"checkForUpdates":return this.service.checkForUpdates(E);case"downloadUpdate":return this.service.downloadUpdate();case"applyUpdate":return this.service.applyUpdate();case"quitAndInstall":return this.service.quitAndInstall();case"_getInitialState":return Promise.resolve(this.service.state);case"isLatestVersion":return this.service.isLatestVersion()}throw new Error(`Call not found: ${m}`)}}e.UpdateChannel=L;class D{constructor(S){this.channel=S,this._onStateChange=new w.Emitter,this.onStateChange=this._onStateChange.event,this._state=n.State.Uninitialized,this.channel.listen("onStateChange")(m=>this.state=m),this.channel.call("_getInitialState").then(m=>this.state=m)}get state(){return this._state}set state(S){this._state=S,this._onStateChange.fire(S)}checkForUpdates(S){return this.channel.call("checkForUpdates",S)}downloadUpdate(){return this.channel.call("downloadUpdate")}applyUpdate(){return this.channel.call("applyUpdate")}quitAndInstall(){return this.channel.call("quitAndInstall")}isLatestVersion(){return this.channel.call("isLatestVersion")}}e.UpdateChannelClient=D}),define(Z[100],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IURLService=void 0,e.IURLService=(0,w.createDecorator)("urlService")}),define(Z[216],x([0,1,8]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URLHandlerRouter=e.URLHandlerChannelClient=e.URLHandlerChannel=void 0;class n{constructor(S){this.handler=S}listen(S,m){throw new Error(`Event not found: ${m}`)}call(S,m,E){switch(m){case"handleURL":return this.handler.handleURL(w.URI.revive(E[0]),E[1])}throw new Error(`Call not found: ${m}`)}}e.URLHandlerChannel=n;class L{constructor(S){this.channel=S}handleURL(S,m){return this.channel.call("handleURL",[S.toJSON(),m])}}e.URLHandlerChannelClient=L;class D{constructor(S){this.next=S}async routeCall(S,m,E,I){if(m!=="handleURL")throw new Error(`Call not found: ${m}`);if(E){const k=w.URI.revive(E);if(k&&k.query){const b=/\bwindowId=(\d+)/.exec(k.query);if(b){const p=b[1],t=new RegExp(`window:${p}`),d=S.connections.find(g=>t.test(g.ctx));if(d)return d}}}return this.next.routeCall(S,m,E,I)}routeEvent(S,m){throw new Error(`Event not found: ${m}`)}}e.URLHandlerRouter=D}),define(Z[217],x([0,1,9,2,8,21]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeURLService=e.AbstractURLService=void 0;class P extends n.Disposable{constructor(){super(...arguments);this.handlers=new Set}open(E,I){const k=[...this.handlers.values()];return(0,w.first)(k.map(b=>()=>b.handleURL(E,I)),void 0,!1).then(b=>b||!1)}registerHandler(E){return this.handlers.add(E),(0,n.toDisposable)(()=>this.handlers.delete(E))}}e.AbstractURLService=P;let S=class extends P{constructor(E){super();this.productService=E}create(E){let{authority:I,path:k,query:b,fragment:p}=E||{authority:void 0,path:void 0,query:void 0,fragment:void 0};return I&&k&&k.indexOf("/")!==0&&(k=`/${k}`),L.URI.from({scheme:this.productService.urlProtocol,authority:I,path:k,query:b,fragment:p})}};S=ue([te(0,D.IProductService)],S),e.NativeURLService=S}),define(Z[218],x([0,1,12,9,4,2,3,8]),function(V,e,w,n,L,D,P,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronURLListener=void 0;function m(I){try{return S.URI.parse(I)}catch{return null}}class E{constructor(k,b,p,t,d){if(this.urlService=b,this.uris=[],this.retryCount=0,this.flushDisposable=D.Disposable.None,this.disposables=new D.DisposableStore,this.uris=k,P.isWindows){const M=t.isBuilt?[]:[`"${t.appRoot}"`];M.push("--open-url","--"),w.app.setAsDefaultProtocolClient(d.urlProtocol,process.execPath,M)}const g=L.Event.map(L.Event.fromNodeEventEmitter(w.app,"open-url",(M,f)=>({event:M,url:f})),({event:M,url:f})=>(M.preventDefault(),f));this.disposables.add(g(M=>{const f=m(M);!f||this.urlService.open(f,{originalUrl:M})})),p.getWindows().filter(M=>M.isReady).length>0?this.flush():L.Event.once(p.onDidSignalReadyWindow)(this.flush,this,this.disposables)}async flush(){if(this.retryCount++>10)return;const k=[];for(const b of this.uris)await this.urlService.open(b.uri,{originalUrl:b.url})||k.push(b);k.length!==0&&(this.uris=k,this.flushDisposable=(0,n.disposableTimeout)(()=>this.flush(),500))}dispose(){this.disposables.dispose(),this.flushDisposable.dispose()}}e.ElectronURLListener=E}),define(Z[219],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWebviewManagerService=void 0,e.IWebviewManagerService=(0,w.createDecorator)("webviewManagerService")}),define(Z[220],x([0,1,12,2,10,8]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewProtocolProvider=void 0;class P extends n.Disposable{constructor(){super();const m=this.handleWebviewRequest.bind(this);w.protocol.registerFileProtocol(L.Schemas.vscodeWebview,m)}handleWebviewRequest(m,E){try{const I=D.URI.parse(m.url),k=P.validWebviewFilePaths.get(I.path);if(typeof k=="string"){const b=`vs/workbench/contrib/webview/browser/pre/${k}`,p=L.FileAccess.asFileUri(b,V);return E(decodeURIComponent(p.fsPath))}else return E({error:-10})}catch{}return E({error:-2})}}e.WebviewProtocolProvider=P,P.validWebviewFilePaths=new Map([["/index.html","index.html"],["/fake.html","fake.html"],["/main.js","main.js"],["/service-worker.js","service-worker.js"]])}),define(Z[66],x([0,1,3]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.zoomLevelToZoomFactor=e.getTitleBarStyle=e.getMenuBarVisibility=e.isFileToOpen=e.isFolderToOpen=e.isWorkspaceToOpen=e.WindowMinimumSize=void 0,e.WindowMinimumSize={WIDTH:400,WIDTH_WITH_VERTICAL_PANEL:600,HEIGHT:270};function n(E){return!!E.workspaceUri}e.isWorkspaceToOpen=n;function L(E){return!!E.folderUri}e.isFolderToOpen=L;function D(E){return!!E.fileUri}e.isFileToOpen=D;function P(E){const I=S(E),k=E.getValue("window.menuBarVisibility");return k==="default"||I==="native"&&k==="compact"||w.isMacintosh&&w.isNative?"classic":k}e.getMenuBarVisibility=P;function S(E){if(w.isWeb)return"custom";const I=E.getValue("window");if(I){if(w.isMacintosh&&I.nativeTabs===!0||w.isMacintosh&&I.nativeFullScreen===!1)return"native";const p=E.getValue("workbench.colorCustomizations");if(p?.["window.activeBorder"]||p?.["window.inactiveBorder"])return"custom";const t=I.titleBarStyle;if(t==="native"||t==="custom")return t}return w.isLinux?"native":"custom"}e.getTitleBarStyle=S;function m(E=0){return Math.pow(1.2,E)}e.zoomLevelToZoomFactor=m}),define(Z[101],x([0,1]),function(V,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowError=e.WindowMode=e.defaultWindowState=e.UnloadReason=e.LoadReason=void 0;var w;(function(S){S[S.INITIAL=1]="INITIAL",S[S.LOAD=2]="LOAD",S[S.RELOAD=3]="RELOAD"})(w=e.LoadReason||(e.LoadReason={}));var n;(function(S){S[S.CLOSE=1]="CLOSE",S[S.QUIT=2]="QUIT",S[S.RELOAD=3]="RELOAD",S[S.LOAD=4]="LOAD"})(n=e.UnloadReason||(e.UnloadReason={}));const L=function(S=1){return{width:1024,height:768,mode:S}};e.defaultWindowState=L;var D;(function(S){S[S.Maximized=0]="Maximized",S[S.Normal=1]="Normal",S[S.Minimized=2]="Minimized",S[S.Fullscreen=3]="Fullscreen"})(D=e.WindowMode||(e.WindowMode={}));var P;(function(S){S[S.UNRESPONSIVE=1]="UNRESPONSIVE",S[S.CRASHED=2]="CRASHED",S[S.LOAD=3]="LOAD"})(P=e.WindowError||(e.WindowError={}))}),define(Z[34],x([0,1,5]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OpenContext=e.IWindowsMainService=void 0,e.IWindowsMainService=(0,w.createDecorator)("windowsMainService");var n;(function(L){L[L.CLI=0]="CLI",L[L.DOCK=1]="DOCK",L[L.MENU=2]="MENU",L[L.DIALOG=3]="DIALOG",L[L.DESKTOP=4]="DESKTOP",L[L.API=5]="API"})(n=e.OpenContext||(e.OpenContext={}))}),define(Z[221],x([0,1,12,23,4,69,2,31,74,92,6,21,34]),function(V,e,w,n,L,D,P,S,m,E,I,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProxyAuthHandler=void 0;var p;(function(d){d[d.Initial=1]="Initial",d[d.StoredCredentialsUsed=2]="StoredCredentialsUsed",d[d.LoginDialogShown=3]="LoginDialogShown"})(p||(p={}));let t=class extends P.Disposable{constructor(g,v,M,f,h){super();this.logService=g,this.windowsMainService=v,this.credentialsService=M,this.encryptionMainService=f,this.productService=h,this.PROXY_CREDENTIALS_SERVICE_KEY=`${this.productService.urlProtocol}.proxy-credentials`,this.pendingProxyResolve=void 0,this.state=p.Initial,this.sessionCredentials=void 0,this.registerListeners()}registerListeners(){const g=L.Event.fromNodeEventEmitter(w.app,"login",(v,M,f,h,c)=>({event:v,webContents:M,req:f,authInfo:h,callback:c}));this._register(g(this.onLogin,this))}async onLogin({event:g,authInfo:v,req:M,callback:f}){if(!v.isProxy)return;if(!this.pendingProxyResolve&&this.state===p.LoginDialogShown&&M.firstAuthAttempt){this.logService.trace("auth#onLogin (proxy) - exit - proxy dialog already shown");return}g.preventDefault();let h;if(this.pendingProxyResolve)this.logService.trace("auth#onLogin (proxy) - pending proxy handling found"),h=await this.pendingProxyResolve;else{this.logService.trace("auth#onLogin (proxy) - no pending proxy handling found, starting new"),this.pendingProxyResolve=this.resolveProxyCredentials(v);try{h=await this.pendingProxyResolve}finally{this.pendingProxyResolve=void 0}}f(h?.username,h?.password)}async resolveProxyCredentials(g){this.logService.trace("auth#resolveProxyCredentials (proxy) - enter");try{const v=await this.doResolveProxyCredentials(g);if(v)return this.logService.trace("auth#resolveProxyCredentials (proxy) - got credentials"),v;this.logService.trace("auth#resolveProxyCredentials (proxy) - did not get credentials")}finally{this.logService.trace("auth#resolveProxyCredentials (proxy) - exit")}}async doResolveProxyCredentials(g){this.logService.trace("auth#doResolveProxyCredentials - enter",g);const v=String((0,D.hash)({scheme:g.scheme,host:g.host,port:g.port}));let M,f;try{const u=await this.credentialsService.getPassword(this.PROXY_CREDENTIALS_SERVICE_KEY,v);if(u){const r=JSON.parse(await this.encryptionMainService.decrypt(u));M=r.username,f=r.password}}catch(u){this.logService.error(u)}if(this.state!==p.StoredCredentialsUsed&&typeof M=="string"&&typeof f=="string")return this.logService.trace("auth#doResolveProxyCredentials (proxy) - exit - found stored credentials to use"),this.state=p.StoredCredentialsUsed,{username:M,password:f};const h=this.windowsMainService.getFocusedWindow()||this.windowsMainService.getLastActiveWindow();if(!h){this.logService.trace("auth#doResolveProxyCredentials (proxy) - exit - no opened window found to show dialog in");return}this.logService.trace(`auth#doResolveProxyCredentials (proxy) - asking window ${h.id} to handle proxy login`);const c={authInfo:g,username:this.sessionCredentials?.username??M,password:this.sessionCredentials?.password??f,replyChannel:`vscode:proxyAuthResponse:${(0,S.generateUuid)()}`};h.sendWhenReady("vscode:openProxyAuthenticationDialog",n.CancellationToken.None,c),this.state=p.LoginDialogShown;const o=await new Promise(u=>{const r=async(i,s,a)=>{if(s===c.replyChannel)if(this.logService.trace(`auth#doResolveProxyCredentials - exit - received credentials from window ${h.id}`),h.win?.webContents.off("ipc-message",r),a){const l={username:a.username,password:a.password};try{if(a.remember){const y=await this.encryptionMainService.encrypt(JSON.stringify(l));await this.credentialsService.setPassword(this.PROXY_CREDENTIALS_SERVICE_KEY,v,y)}else await this.credentialsService.deletePassword(this.PROXY_CREDENTIALS_SERVICE_KEY,v)}catch(y){this.logService.error(y)}u({username:l.username,password:l.password})}else u(void 0)};h.win?.webContents.on("ipc-message",r)});return this.sessionCredentials=o,o}};t=ue([te(0,I.ILogService),te(1,b.IWindowsMainService),te(2,m.ICredentialsMainService),te(3,E.IEncryptionMainService),te(4,k.IProductService)],t),e.ProxyAuthHandler=t}),define(Z[222],x([0,1,12,4,2,220,34]),function(V,e,w,n,L,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewMainService=void 0;let S=class extends L.Disposable{constructor(E){super();this.windowsMainService=E,this._onFoundInFrame=this._register(new n.Emitter),this.onFoundInFrame=this._onFoundInFrame.event,this._register(new D.WebviewProtocolProvider)}async setIgnoreMenuShortcuts(E,I){let k;if(typeof E.windowId=="number"){const{windowId:b}=E,p=this.windowsMainService.getWindowById(b);if(!p?.win)throw new Error(`Invalid windowId: ${b}`);k=p.win.webContents}else{const{webContentsId:b}=E;if(k=w.webContents.fromId(b),!k)throw new Error(`Invalid webContentsId: ${b}`)}k.isDestroyed()||k.setIgnoreMenuShortcuts(I)}async findInFrame(E,I,k,b){const t=this.getFrameByName(E,I);if(typeof t.findInFrame=="function"){t.findInFrame(k,{findNext:b.findNext,forward:b.forward});const d=(g,v)=>{v.finalUpdate&&(this._onFoundInFrame.fire(v),t.removeListener("found-in-frame",d))};t.on("found-in-frame",d)}}async stopFindInFrame(E,I,k){const p=this.getFrameByName(E,I);typeof p.stopFindInFrame=="function"&&p.stopFindInFrame(k.keepSelection?"keepSelection":"clearSelection")}getFrameByName(E,I){const k=this.windowsMainService.getWindowById(E.windowId);if(!k?.win)throw new Error(`Invalid windowId: ${E}`);const b=k.win.webContents.mainFrame.framesInSubtree.find(p=>p.name===I);if(!b)throw new Error(`Unknown frame: ${I}`);return b}};S=ue([te(0,P.IWindowsMainService)],S),e.WebviewMainService=S}),define(Z[223],x([0,1,9,4,2]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class D extends L.Disposable{constructor({onDidOpenWindow:S,onDidFocusWindow:m,getActiveWindowId:E}){super();this.disposables=this._register(new L.DisposableStore),n.Event.latch(n.Event.any(S,m))(this.setActiveWindow,this,this.disposables),this.firstActiveWindowIdPromise=(0,w.createCancelablePromise)(()=>E()),(async()=>{try{const k=await this.firstActiveWindowIdPromise;this.activeWindowId=typeof this.activeWindowId=="number"?this.activeWindowId:k}catch{}finally{this.firstActiveWindowIdPromise=void 0}})()}setActiveWindow(S){this.firstActiveWindowIdPromise&&(this.firstActiveWindowIdPromise.cancel(),this.firstActiveWindowIdPromise=void 0),this.activeWindowId=S}async getActiveClientId(){return`window:${this.firstActiveWindowIdPromise?await this.firstActiveWindowIdPromise:this.activeWindowId}`}}e.ActiveWindowManager=D}),define(Z[25],x([0,1,159,7,35,17,8,5]),function(V,e,w,n,L,D,P,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasWorkspaceFileExtension=e.isUntitledWorkspace=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,S.createDecorator)("contextService");function m(c){const o=c;return typeof o?.id=="string"&&P.URI.isUri(o.uri)}e.isSingleFolderWorkspaceIdentifier=m;function E(c){if(c.configuration)return{id:c.id,configPath:c.configuration};if(c.folders.length===1)return{id:c.id,uri:c.folders[0].uri}}e.toWorkspaceIdentifier=E;function I(c){const o=c;return typeof o?.id=="string"&&P.URI.isUri(o.configPath)}e.isWorkspaceIdentifier=I;function k(c){const o=c;if(o?.uri)return{id:o.id,uri:P.URI.revive(o.uri)};const u=c;if(u?.configPath)return{id:u.id,configPath:P.URI.revive(u.configPath)};if(c?.id)return{id:c.id}}e.reviveIdentifier=k;var b;(function(c){c[c.EMPTY=1]="EMPTY",c[c.FOLDER=2]="FOLDER",c[c.WORKSPACE=3]="WORKSPACE"})(b=e.WorkbenchState||(e.WorkbenchState={}));function p(c){const o=c;return!!(o&&typeof o=="object"&&typeof o.id=="string"&&Array.isArray(o.folders))}e.isWorkspace=p;function t(c){const o=c;return!!(o&&typeof o=="object"&&P.URI.isUri(o.uri)&&typeof o.name=="string"&&typeof o.toResource=="function")}e.isWorkspaceFolder=t;class d{constructor(o,u,r,i,s){this._id=o,this._transient=r,this._configuration=i,this._ignorePathCasing=s,this._foldersMap=L.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=u}update(o){this._id=o.id,this._configuration=o.configuration,this._transient=o.transient,this._ignorePathCasing=o._ignorePathCasing,this.folders=o.folders}get folders(){return this._folders}set folders(o){this._folders=o,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(o){this._configuration=o}getFolder(o){return o&&this._foldersMap.findSubstr(o.with({scheme:o.scheme,authority:o.authority,path:o.path}))||null}updateFoldersMap(){this._foldersMap=L.TernarySearchTree.forUris(this._ignorePathCasing);for(const o of this.folders)this._foldersMap.set(o.uri,o)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=d;class g{constructor(o,u){this.raw=u,this.uri=o.uri,this.index=o.index,this.name=o.name}toResource(o){return(0,D.joinPath)(this.uri,o)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=g;function v(c){return new g({uri:c,index:0,name:(0,D.basenameOrAuthority)(c)},{uri:c.toString()})}e.toWorkspaceFolder=v,e.WORKSPACE_EXTENSION="code-workspace";const M=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,w.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function f(c,o){return D.extUriBiasedIgnorePathCase.isEqualOrParent(c,o.untitledWorkspacesHome)}e.isUntitledWorkspace=f;function h(c){return(typeof c=="string"?(0,n.extname)(c):(0,D.extname)(c))===M}e.hasWorkspaceFileExtension=h}),define(Z[47],x([0,1,12,9,69,33,2,70,7,3,14,24,141,5,6,38,25]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DialogMainService=e.IDialogMainService=void 0,e.IDialogMainService=(0,p.createDecorator)("dialogMainService");let v=class bt{constructor(f,h){this.stateMainService=f,this.logService=h,this.windowFileDialogLocks=new Map,this.windowDialogQueues=new Map,this.noWindowDialogueQueue=new n.Queue}pickFileFolder(f,h){return this.doPick({...f,pickFolders:!0,pickFiles:!0,title:(0,b.localize)(0,null)},h)}pickFolder(f,h){return this.doPick({...f,pickFolders:!0,title:(0,b.localize)(1,null)},h)}pickFile(f,h){return this.doPick({...f,pickFiles:!0,title:(0,b.localize)(2,null)},h)}pickWorkspace(f,h){const c=(0,b.localize)(3,null),o=(0,D.mnemonicButtonLabel)((0,b.localize)(4,null)),u=g.WORKSPACE_FILTER;return this.doPick({...f,pickFiles:!0,title:c,filters:u,buttonLabel:o},h)}async doPick(f,h){const c={title:f.title,buttonLabel:f.buttonLabel,filters:f.filters};c.defaultPath=f.defaultPath||this.stateMainService.getItem(bt.workingDirPickerStorageKey),(typeof f.pickFiles=="boolean"||typeof f.pickFolders=="boolean")&&(c.properties=void 0,f.pickFiles&&f.pickFolders&&(c.properties=["multiSelections","openDirectory","openFile","createDirectory"])),c.properties||(c.properties=["multiSelections",f.pickFolders?"openDirectory":"openFile","createDirectory"]),E.isMacintosh&&c.properties.push("treatPackageAsDirectory");const o=h||w.BrowserWindow.getFocusedWindow(),u=await this.showOpenDialog(c,(0,I.withNullAsUndefined)(o));if(u&&u.filePaths&&u.filePaths.length>0)return this.stateMainService.setItem(bt.workingDirPickerStorageKey,(0,m.dirname)(u.filePaths[0])),u.filePaths}getWindowDialogQueue(f){if(f){let h=this.windowDialogQueues.get(f.id);return h||(h=new n.Queue,this.windowDialogQueues.set(f.id,h)),h}else return this.noWindowDialogueQueue}showMessageBox(f,h){return this.getWindowDialogQueue(h).queue(async()=>h?w.dialog.showMessageBox(h,f):w.dialog.showMessageBox(f))}async showSaveDialog(f,h){const c=this.acquireFileDialogLock(f,h);if(!c)return this.logService.error("[DialogMainService]: file save dialog is already or will be showing for the window with the same configuration"),{canceled:!0};try{return await this.getWindowDialogQueue(h).queue(async()=>{let o;return h?o=await w.dialog.showSaveDialog(h,f):o=await w.dialog.showSaveDialog(f),o.filePath=this.normalizePath(o.filePath),o})}finally{(0,P.dispose)(c)}}normalizePath(f){return f&&E.isMacintosh&&(f=(0,S.normalizeNFC)(f)),f}normalizePaths(f){return f.map(h=>this.normalizePath(h))}async showOpenDialog(f,h){f.defaultPath&&(await k.Promises.exists(f.defaultPath)||(f.defaultPath=void 0));const c=this.acquireFileDialogLock(f,h);if(!c)return this.logService.error("[DialogMainService]: file open dialog is already or will be showing for the window with the same configuration"),{canceled:!0,filePaths:[]};try{return await this.getWindowDialogQueue(h).queue(async()=>{let o;return h?o=await w.dialog.showOpenDialog(h,f):o=await w.dialog.showOpenDialog(f),o.filePaths=this.normalizePaths(o.filePaths),o})}finally{(0,P.dispose)(c)}}acquireFileDialogLock(f,h){if(!h)return P.Disposable.None;this.logService.trace("[DialogMainService]: request to acquire file dialog lock",f);let c=this.windowFileDialogLocks.get(h.id);c||(c=new Set,this.windowFileDialogLocks.set(h.id,c));const o=(0,L.hash)(f);if(!c.has(o))return this.logService.trace("[DialogMainService]: new file dialog lock created",f),c.add(o),(0,P.toDisposable)(()=>{this.logService.trace("[DialogMainService]: file dialog lock disposed",f),c?.delete(o),c?.size===0&&this.windowFileDialogLocks.delete(h.id)})}};v.workingDirPickerStorageKey="pickerWorkingDir",v=ue([te(0,d.IStateMainService),te(1,t.ILogService)],v),e.DialogMainService=v}),define(Z[224],x([0,1,4,2,25]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDatabaseChannel=void 0;class D extends n.Disposable{constructor(S,m){super();this.logService=S,this.storageMainService=m,this._onDidChangeGlobalStorage=this._register(new w.Emitter),this.onDidChangeGlobalStorage=this._onDidChangeGlobalStorage.event,this.registerGlobalStorageListeners()}registerGlobalStorageListeners(){this._register(w.Event.debounce(this.storageMainService.globalStorage.onDidChangeStorage,(S,m)=>(S?S.push(m):S=[m],S),D.STORAGE_CHANGE_DEBOUNCE_TIME)(S=>{S.length&&this._onDidChangeGlobalStorage.fire(this.serializeGlobalStorageEvents(S))}))}serializeGlobalStorageEvents(S){const m=new Map,E=new Set;return S.forEach(I=>{const k=this.storageMainService.globalStorage.get(I.key);typeof k=="string"?m.set(I.key,k):E.add(I.key)}),{changed:Array.from(m.entries()),deleted:Array.from(E.values())}}listen(S,m){switch(m){case"onDidChangeGlobalStorage":return this.onDidChangeGlobalStorage}throw new Error(`Event not found: ${m}`)}async call(S,m,E){const I=(0,L.reviveIdentifier)(E.workspace),k=await this.withStorageInitialized(I);switch(m){case"getItems":return Array.from(k.items.entries());case"updateItems":{const b=E;if(b.insert)for(const[p,t]of b.insert)k.set(p,t);b.delete&&b.delete.forEach(p=>k.delete(p));break}case"close":{if(I)return k.close();break}default:throw new Error(`Call not found: ${m}`)}}async withStorageInitialized(S){const m=S?this.storageMainService.workspaceStorage(S):this.storageMainService.globalStorage;try{await m.init()}catch(E){this.logService.error(`StorageIPC#init: Unable to init ${S?"workspace":"global"} storage due to ${E}`)}return m}}e.StorageDatabaseChannel=D,D.STORAGE_CHANGE_DEBOUNCE_TIME=100}),define(Z[225],x([0,1,9,4,2,7,24,90,130,6,97,32,25]),function(V,e,w,n,L,D,P,S,m,E,I,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspaceStorageMain=e.GlobalStorageMain=void 0;class p extends L.Disposable{constructor(v){super();this.logService=v,this._onDidChangeStorage=this._register(new n.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this._onDidCloseStorage=this._register(new n.Emitter),this.onDidCloseStorage=this._onDidCloseStorage.event,this._storage=new S.Storage(new S.InMemoryStorageDatabase),this.initializePromise=void 0,this.whenInitPromise=new w.DeferredPromise,this.whenInit=this.whenInitPromise.p}get storage(){return this._storage}init(){return this.initializePromise||(this.initializePromise=(async()=>{try{const v=await this.doCreate();this._storage.dispose(),this._storage=v,this._register(v.onDidChangeStorage(f=>this._onDidChangeStorage.fire({key:f}))),await this.doInit(v);const M=v.getBoolean(I.IS_NEW_KEY);M===void 0?v.set(I.IS_NEW_KEY,!0):M&&v.set(I.IS_NEW_KEY,!1)}catch(v){this.logService.error(`StorageMain#initialize(): Unable to init storage due to ${v}`)}finally{this.whenInitPromise.complete()}})()),this.initializePromise}createLoggingOptions(){return{logTrace:this.logService.getLevel()===E.LogLevel.Trace?v=>this.logService.trace(v):void 0,logError:v=>this.logService.error(v)}}doInit(v){return v.init()}get items(){return this._storage.items}get(v,M){return this._storage.get(v,M)}set(v,M){return this._storage.set(v,M)}delete(v){return this._storage.delete(v)}async close(){this.initializePromise&&await this.initializePromise,await this._storage.close(),this._onDidCloseStorage.fire()}}class t extends p{constructor(v,M,f){super(M);this.options=v,this.environmentService=f}async doCreate(){let v;return this.options.useInMemoryStorage?v=m.SQLiteStorageDatabase.IN_MEMORY_PATH:v=(0,D.join)(this.environmentService.globalStorageHome.fsPath,t.STORAGE_NAME),new S.Storage(new m.SQLiteStorageDatabase(v,{logging:this.createLoggingOptions()}))}async doInit(v){await super.doInit(v),this.updateTelemetryState(v)}updateTelemetryState(v){v.get(k.firstSessionDateStorageKey,void 0)===void 0&&v.set(k.firstSessionDateStorageKey,new Date().toUTCString());const f=v.get(k.currentSessionDateStorageKey,void 0),h=new Date().toUTCString();v.set(k.lastSessionDateStorageKey,typeof f=="undefined"?null:f),v.set(k.currentSessionDateStorageKey,h)}}e.GlobalStorageMain=t,t.STORAGE_NAME="state.vscdb";class d extends p{constructor(v,M,f,h){super(f);this.workspace=v,this.options=M,this.environmentService=h}async doCreate(){const{storageFilePath:v,wasCreated:M}=await this.prepareWorkspaceStorageFolder();return new S.Storage(new m.SQLiteStorageDatabase(v,{logging:this.createLoggingOptions()}),{hint:M?S.StorageHint.STORAGE_DOES_NOT_EXIST:void 0})}async prepareWorkspaceStorageFolder(){if(this.options.useInMemoryStorage)return{storageFilePath:m.SQLiteStorageDatabase.IN_MEMORY_PATH,wasCreated:!0};const v=(0,D.join)(this.environmentService.workspaceStorageHome.fsPath,this.workspace.id),M=(0,D.join)(v,d.WORKSPACE_STORAGE_NAME);return await P.Promises.exists(v)?{storageFilePath:M,wasCreated:!1}:(await P.Promises.mkdir(v,{recursive:!0}),this.ensureWorkspaceStorageFolderMeta(v),{storageFilePath:M,wasCreated:!0})}async ensureWorkspaceStorageFolderMeta(v){let M;if((0,b.isSingleFolderWorkspaceIdentifier)(this.workspace)?M={folder:this.workspace.uri.toString()}:(0,b.isWorkspaceIdentifier)(this.workspace)&&(M={workspace:this.workspace.configPath.toString()}),M)try{const f=(0,D.join)(v,d.WORKSPACE_META_NAME);await P.Promises.exists(f)||await P.Promises.writeFile(f,JSON.stringify(M,void 0,2))}catch(f){this.logService.error(`StorageMain#ensureWorkspaceStorageFolderMeta(): Unable to create workspace storage metadata due to ${f}`)}}}e.WorkspaceStorageMain=d,d.WORKSPACE_STORAGE_NAME="state.vscdb",d.WORKSPACE_META_NAME="workspace.json"}),define(Z[102],x([0,1,17,8,25]),function(V,e,w,n,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findWindowOnExtensionDevelopmentPath=e.findWindowOnWorkspaceOrFolder=e.findWindowOnFile=void 0;function D(m,E,I){for(const b of m){const p=b.openedWorkspace;if((0,L.isWorkspaceIdentifier)(p)){const t=I(p);if(t){if(t.folders.some(d=>w.extUriBiasedIgnorePathCase.isEqualOrParent(E,d.uri)))return b}else if(w.extUriBiasedIgnorePathCase.isEqualOrParent(E,p.configPath))return b}}const k=m.filter(b=>(0,L.isSingleFolderWorkspaceIdentifier)(b.openedWorkspace)&&w.extUriBiasedIgnorePathCase.isEqualOrParent(E,b.openedWorkspace.uri));if(k.length)return k.sort((b,p)=>-(b.openedWorkspace.uri.path.length-p.openedWorkspace.uri.path.length))[0]}e.findWindowOnFile=D;function P(m,E){for(const I of m)if((0,L.isWorkspaceIdentifier)(I.openedWorkspace)&&w.extUriBiasedIgnorePathCase.isEqual(I.openedWorkspace.configPath,E)||(0,L.isSingleFolderWorkspaceIdentifier)(I.openedWorkspace)&&w.extUriBiasedIgnorePathCase.isEqual(I.openedWorkspace.uri,E))return I}e.findWindowOnWorkspaceOrFolder=P;function S(m,E){const I=k=>E.some(b=>w.extUriBiasedIgnorePathCase.isEqual(n.URI.file(b),n.URI.file(k)));for(const k of m)if(k.config?.extensionDevelopmentPath?.some(b=>I(b)))return k}e.findWindowOnExtensionDevelopmentPath=S}),define(Z[226],x([0,1,12,2,3,17,8,19,18,6,38,34,101,25]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWindowsStateStoreData=e.restoreWindowsState=e.WindowsStateHandler=void 0;let t=class Et extends n.Disposable{constructor(h,c,o,u,r){super();this.windowsMainService=h,this.stateMainService=c,this.lifecycleMainService=o,this.logService=u,this.configurationService=r,this._state=d(this.stateMainService.getItem(Et.windowsStateStorageKey)),this.lastClosedState=void 0,this.shuttingDown=!1,this.registerListeners()}get state(){return this._state}registerListeners(){w.app.on("browser-window-blur",()=>{this.shuttingDown||this.saveWindowsState()}),this.lifecycleMainService.onBeforeCloseWindow(h=>this.onBeforeCloseWindow(h)),this.lifecycleMainService.onBeforeShutdown(()=>this.onBeforeShutdown()),this.windowsMainService.onDidChangeWindowsCount(h=>{h.newCount-h.oldCount>0&&(this.lastClosedState=void 0)}),this.windowsMainService.onDidDestroyWindow(h=>this.onBeforeCloseWindow(h))}onBeforeShutdown(){this.shuttingDown=!0,this.saveWindowsState()}saveWindowsState(){const h={openedWindows:[],lastPluginDevelopmentHostWindow:this._state.lastPluginDevelopmentHostWindow,lastActiveWindow:this.lastClosedState};if(!h.lastActiveWindow){let u=this.windowsMainService.getLastActiveWindow();(!u||u.isExtensionDevelopmentHost)&&(u=this.windowsMainService.getWindows().find(r=>!r.isExtensionDevelopmentHost)),u&&(h.lastActiveWindow=this.toWindowState(u))}const c=this.windowsMainService.getWindows().find(u=>u.isExtensionDevelopmentHost&&!u.isExtensionTestHost);c&&(h.lastPluginDevelopmentHostWindow=this.toWindowState(c)),this.windowsMainService.getWindowCount()>1&&(h.openedWindows=this.windowsMainService.getWindows().filter(u=>!u.isExtensionDevelopmentHost).map(u=>this.toWindowState(u)));const o=v(h);this.stateMainService.setItem(Et.windowsStateStorageKey,o),this.shuttingDown&&this.logService.trace("[WindowsStateHandler] onBeforeShutdown",o)}onBeforeCloseWindow(h){if(this.lifecycleMainService.quitRequested)return;const c=this.toWindowState(h);h.isExtensionDevelopmentHost&&!h.isExtensionTestHost?this._state.lastPluginDevelopmentHostWindow=c:!h.isExtensionDevelopmentHost&&h.openedWorkspace&&this._state.openedWindows.forEach(o=>{const u=(0,p.isWorkspaceIdentifier)(h.openedWorkspace)&&o.workspace?.id===h.openedWorkspace.id,r=(0,p.isSingleFolderWorkspaceIdentifier)(h.openedWorkspace)&&o.folderUri&&D.extUriBiasedIgnorePathCase.isEqual(o.folderUri,h.openedWorkspace.uri);(u||r)&&(o.uiState=c.uiState)}),this.windowsMainService.getWindowCount()===1&&(this.lastClosedState=c)}toWindowState(h){return{workspace:(0,p.isWorkspaceIdentifier)(h.openedWorkspace)?h.openedWorkspace:void 0,folderUri:(0,p.isSingleFolderWorkspaceIdentifier)(h.openedWorkspace)?h.openedWorkspace.uri:void 0,backupPath:h.backupPath,remoteAuthority:h.remoteAuthority,uiState:h.serializeWindowState()}}getNewWindowState(h){const c=this.doGetNewWindowState(h),o=this.configurationService.getValue("window");let u;return c.hasDefaultState?u=!!(o?.newWindowDimensions&&["fullscreen","inherit","offset"].indexOf(o.newWindowDimensions)>=0):(u=!!(this.lifecycleMainService.wasRestarted||o?.restoreFullscreen),u&&L.isMacintosh&&this.windowsMainService.getWindows().some(r=>r.isFullScreen)&&(u=!1)),c.mode===3&&!u&&(c.mode=1),c}doGetNewWindowState(h){const c=this.windowsMainService.getLastActiveWindow();if(!h.extensionTestsPath){if(!!h.extensionDevelopmentPath&&this.state.lastPluginDevelopmentHostWindow)return this.state.lastPluginDevelopmentHostWindow.uiState;const a=h.workspace;if((0,p.isWorkspaceIdentifier)(a)){const y=this.state.openedWindows.filter(C=>C.workspace&&C.workspace.id===a.id).map(C=>C.uiState);if(y.length)return y[0]}if((0,p.isSingleFolderWorkspaceIdentifier)(a)){const y=this.state.openedWindows.filter(C=>C.folderUri&&D.extUriBiasedIgnorePathCase.isEqual(C.folderUri,a.uri)).map(C=>C.uiState);if(y.length)return y[0]}else if(h.backupPath){const y=this.state.openedWindows.filter(C=>C.backupPath===h.backupPath).map(C=>C.uiState);if(y.length)return y[0]}const l=this.lastClosedState||this.state.lastActiveWindow;if(!c&&l)return l.uiState}let o;const u=w.screen.getAllDisplays();if(u.length===1)o=u[0];else{if(L.isMacintosh){const a=w.screen.getCursorScreenPoint();o=w.screen.getDisplayNearestPoint(a)}!o&&c&&(o=w.screen.getDisplayMatching(c.getBounds())),o||(o=w.screen.getPrimaryDisplay()||u[0])}let r=(0,b.defaultWindowState)();r.x=Math.round(o.bounds.x+o.bounds.width/2-r.width/2),r.y=Math.round(o.bounds.y+o.bounds.height/2-r.height/2);const i=this.configurationService.getValue("window");let s=!0;if(i?.newWindowDimensions){if(i.newWindowDimensions==="maximized")r.mode=0,s=!1;else if(i.newWindowDimensions==="fullscreen")r.mode=3,s=!1;else if((i.newWindowDimensions==="inherit"||i.newWindowDimensions==="offset")&&c){const a=c.serializeWindowState();a.mode===3?r.mode=3:r=a,s=r.mode!==3&&i.newWindowDimensions==="offset"}}return s&&(r=this.ensureNoOverlap(r)),r.hasDefaultState=!0,r}ensureNoOverlap(h){if(this.windowsMainService.getWindows().length===0)return h;h.x=typeof h.x=="number"?h.x:0,h.y=typeof h.y=="number"?h.y:0;const c=this.windowsMainService.getWindows().map(o=>o.getBounds());for(;c.some(o=>o.x===h.x||o.y===h.y);)h.x+=30,h.y+=30;return h}};t.windowsStateStorageKey="windowsState",t=ue([te(0,k.IWindowsMainService),te(1,I.IStateMainService),te(2,m.ILifecycleMainService),te(3,E.ILogService),te(4,S.IConfigurationService)],t),e.WindowsStateHandler=t;function d(f){const h={openedWindows:[]},c=f||{openedWindows:[]};return c.lastActiveWindow&&(h.lastActiveWindow=g(c.lastActiveWindow)),c.lastPluginDevelopmentHostWindow&&(h.lastPluginDevelopmentHostWindow=g(c.lastPluginDevelopmentHostWindow)),Array.isArray(c.openedWindows)&&(h.openedWindows=c.openedWindows.map(o=>g(o))),h}e.restoreWindowsState=d;function g(f){const h={uiState:f.uiState};return f.backupPath&&(h.backupPath=f.backupPath),f.remoteAuthority&&(h.remoteAuthority=f.remoteAuthority),f.folder&&(h.folderUri=P.URI.parse(f.folder)),f.workspaceIdentifier&&(h.workspace={id:f.workspaceIdentifier.id,configPath:P.URI.parse(f.workspaceIdentifier.configURIPath)}),h}function v(f){return{lastActiveWindow:f.lastActiveWindow&&M(f.lastActiveWindow),lastPluginDevelopmentHostWindow:f.lastPluginDevelopmentHostWindow&&M(f.lastPluginDevelopmentHostWindow),openedWindows:f.openedWindows.map(h=>M(h))}}e.getWindowsStateStoreData=v;function M(f){return{workspaceIdentifier:f.workspace&&{id:f.workspace.id,configURIPath:f.workspace.configPath.toString()},folder:f.folderUri&&f.folderUri.toString(),backupPath:f.backupPath,remoteAuthority:f.remoteAuthority,uiState:f.uiState}}}),define(Z[80],x([0,1,28,44,109,33,10,7,3,17,8,5,78,25]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isStoredWorkspaceFolder=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=void 0,e.IWorkspacesService=(0,k.createDecorator)("workspacesService");function t(C){return C.hasOwnProperty("workspace")}e.isRecentWorkspace=t;function d(C){return C.hasOwnProperty("folderUri")}e.isRecentFolder=d;function g(C){return C.hasOwnProperty("fileUri")}e.isRecentFile=g;function v(C){return M(C)||f(C)}e.isStoredWorkspaceFolder=v;function M(C){const R=C;return typeof R?.path=="string"&&(!R.name||typeof R.name=="string")}function f(C){const R=C;return typeof R?.uri=="string"&&(!R.name||typeof R.name=="string")}function h(C,R,T,U,Y=!m.isWindows,ee){if(C.scheme!==U.scheme)return{name:T,uri:C.toString(!0)};let X=R?void 0:ee.relativePath(U,C);if(X!==void 0)X.length===0?X=".":m.isWindows&&C.scheme===P.Schemas.file&&!Y&&(X=X.replace(/\//g,"\\"));else if(C.scheme===P.Schemas.file)X=C.fsPath,m.isWindows&&(X=(0,D.normalizeDriveLetter)(X),Y&&(X=(0,w.toSlashes)(X)));else{if(!ee.isEqualAuthority(C.authority,U.authority))return{name:T,uri:C.toString(!0)};X=C.path}return{name:T,path:X}}e.getStoredWorkspaceFolder=h;function c(C,R,T){let U=[],Y=new Set;const ee=T.dirname(R);for(let X of C){let J;if(M(X))X.path&&(J=T.resolvePath(ee,X.path));else if(f(X))try{J=I.URI.parse(X.uri),J.path[0]!=="/"&&(J=J.with({path:"/"+J.path}))}catch(H){console.warn(H)}if(J){let H=T.getComparisonKey(J);if(!Y.has(H)){Y.add(H);const B=X.name||T.basenameOrAuthority(J);U.push(new p.WorkspaceFolder({uri:J,name:B,index:U.length},X))}}}return U}e.toWorkspaceFolders=c;function o(C,R,T,U,Y){let ee=u(R,C);const X=Y.dirname(R),J=Y.dirname(U),H=[],B=r(ee.folders);for(const z of ee.folders){const j=M(z)?Y.resolvePath(X,z.path):I.URI.parse(z.uri);let $;T?$=!1:$=!M(z)||(0,S.isAbsolute)(z.path),H.push(h(j,$,z.name,J,B,Y))}const Q={insertSpaces:!1,tabSize:4,eol:m.isLinux||m.isMacintosh?`
`:`\r
`},se=L.setProperty(C,["folders"],H,Q);let q=L.applyEdits(C,se);return(0,E.isEqualAuthority)(ee.remoteAuthority,(0,b.getRemoteAuthority)(U))&&(q=L.applyEdits(q,L.removeProperty(q,["remoteAuthority"],Q))),q}e.rewriteWorkspaceFileForNewLocation=o;function u(C,R){let T=n.parse(R);if(T&&Array.isArray(T.folders))T.folders=T.folders.filter(U=>v(U));else throw new Error(`${C} looks like an invalid workspace file.`);return T}function r(C){return m.isWindows?C.some(R=>M(R)&&R.path.indexOf("/")>=0):!0}e.useSlashForPath=r;function i(C){return C.workspace&&typeof C.workspace=="object"&&typeof C.workspace.id=="string"&&typeof C.workspace.configPath=="string"}function s(C){return typeof C.folderUri=="string"}function a(C){return typeof C.fileUri=="string"}function l(C,R){const T={workspaces:[],files:[]};if(C){const U=function(ee,X){for(let J=0;J<ee.length;J++)try{X(ee[J],J)}catch(H){R.warn(`Error restoring recent entry ${JSON.stringify(ee[J])}: ${H.toString()}. Skip entry.`)}},Y=C;if(Array.isArray(Y.entries))U(Y.entries,ee=>{const X=ee.label,J=ee.remoteAuthority;i(ee)?T.workspaces.push({label:X,remoteAuthority:J,workspace:{id:ee.workspace.id,configPath:I.URI.parse(ee.workspace.configPath)}}):s(ee)?T.workspaces.push({label:X,remoteAuthority:J,folderUri:I.URI.parse(ee.folderUri)}):a(ee)&&T.files.push({label:X,remoteAuthority:J,fileUri:I.URI.parse(ee.fileUri)})});else{const ee=C;Array.isArray(ee.workspaces3)&&U(ee.workspaces3,(X,J)=>{const H=Array.isArray(ee.workspaceLabels)&&ee.workspaceLabels[J]||void 0;typeof X=="object"&&typeof X.id=="string"&&typeof X.configURIPath=="string"?T.workspaces.push({label:H,workspace:{id:X.id,configPath:I.URI.parse(X.configURIPath)}}):typeof X=="string"&&T.workspaces.push({label:H,folderUri:I.URI.parse(X)})}),Array.isArray(ee.files2)&&U(ee.files2,(X,J)=>{const H=Array.isArray(ee.fileLabels)&&ee.fileLabels[J]||void 0;typeof X=="string"&&T.files.push({label:H,fileUri:I.URI.parse(X)})})}}return T}e.restoreRecentlyOpened=l;function y(C){const R={entries:[]};for(const T of C.workspaces)d(T)?R.entries.push({folderUri:T.folderUri.toString(),label:T.label,remoteAuthority:T.remoteAuthority}):R.entries.push({workspace:{id:T.workspace.id,configPath:T.workspace.configPath.toString()},label:T.label,remoteAuthority:T.remoteAuthority});for(const T of C.files)R.entries.push({fileUri:T.fileUri.toString(),label:T.label,remoteAuthority:T.remoteAuthority});return R}e.toStoreData=y}),define(Z[103],x([0,1,60,29,10,3,17]),function(V,e,w,n,L,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingleFolderWorkspaceIdentifier=e.getWorkspaceIdentifier=void 0;function S(E){function I(){let k=E.scheme===L.Schemas.file?(0,P.originalFSPath)(E):E.toString();return D.isLinux||(k=k.toLowerCase()),(0,w.createHash)("md5").update(k).digest("hex")}return{id:I(),configPath:E}}e.getWorkspaceIdentifier=S;function m(E,I){function k(){if(E.scheme!==L.Schemas.file)return(0,w.createHash)("md5").update(E.toString()).digest("hex");if(!I)try{I=(0,n.statSync)(E.fsPath)}catch{return}let p;return D.isLinux?p=I.ino:D.isMacintosh?p=I.birthtime.getTime():D.isWindows&&(typeof I.birthtimeMs=="number"?p=Math.floor(I.birthtimeMs):p=I.birthtime.getTime()),(0,w.createHash)("md5").update(E.fsPath).update(p?String(p):"").digest("hex")}const b=k();if(typeof b=="string")return{id:b,uri:E}}e.getSingleFolderWorkspaceIdentifier=m}),define(Z[227],x([0,1,15,4,10,6,254,118,18,85]),function(V,e,w,n,L,D,P,S,m,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerMainProcessExtensionHostStarter=void 0;class I{constructor(t,d){this._worker=new P.Worker(L.FileAccess.asFileUri("vs/platform/extensions/node/extensionHostStarterWorkerMain.js",V).fsPath),this._worker.on("message",t),this._worker.on("error",d),this.onError=n.Event.fromNodeEventEmitter(this._worker,"error"),this.onExit=n.Event.fromNodeEventEmitter(this._worker,"exit"),this.onMessageError=n.Event.fromNodeEventEmitter(this._worker,"messageerror")}getId(){return 1}postMessage(t,d){this._worker.postMessage(t,d)}dispose(){this._worker.terminate()}}let k=class{constructor(t){this._logService=t}async logInfo(t){this._logService.info(t)}};k=ue([te(0,D.ILogService)],k);let b=class{constructor(t,d){this._logService=t,this._shutdown=!1,this._proxy=null;const g={create:(v,M,f)=>{const h=new I(M,f);return h.onError(c=>{this._logService.error("ExtensionHostStarterWorker has encountered an error:"),this._logService.error(c)}),h.onMessageError(c=>{this._logService.error("ExtensionHostStarterWorker has encountered a message error:"),this._logService.error(c)}),h.onExit(c=>this._logService.info(`ExtensionHostStarterWorker exited with code ${c}.`)),h.postMessage(v,[]),h}};this._worker=new S.SimpleWorkerClient(g,"vs/platform/extensions/node/extensionHostStarterWorker",new k(this._logService)),this._initialize(),d.onWillShutdown(v=>{this._shutdown=!0,this._proxy&&v.join(this._proxy.waitForAllExit(6e3))})}dispose(){}async _initialize(){this._proxy=await this._worker.getProxyObject(),this._logService.info("ExtensionHostStarterWorker created")}onDynamicStdout(t){return this._proxy.onDynamicStdout(t)}onDynamicStderr(t){return this._proxy.onDynamicStderr(t)}onDynamicMessage(t){return this._proxy.onDynamicMessage(t)}onDynamicError(t){return this._proxy.onDynamicError(t)}onDynamicExit(t){return this._proxy.onDynamicExit(t)}async createExtensionHost(){const t=await this._worker.getProxyObject();if(this._shutdown)throw(0,w.canceled)();return t.createExtensionHost()}async start(t,d){const g=E.StopWatch.create(!1),v=await this._worker.getProxyObject();if(this._shutdown)throw(0,w.canceled)();const M=setTimeout(()=>{this._logService.info("ExtensionHostStarterWorker.start() did not return within 30s. This might be a problem.")},3e4),f=await v.start(t,d),h=g.elapsed();return this._logService.info(`ExtensionHostStarterWorker.start() took ${h} ms.`),clearTimeout(M),f}async enableInspectPort(t){const d=await this._worker.getProxyObject();if(this._shutdown)throw(0,w.canceled)();return d.enableInspectPort(t)}async kill(t){const d=await this._worker.getProxyObject();if(this._shutdown)throw(0,w.canceled)();return d.kill(t)}};b=ue([te(0,D.ILogService),te(1,m.ILifecycleMainService)],b),e.WorkerMainProcessExtensionHostStarter=b}),define(Z[57],x([0,1,60,61,26,16,15,4,2,7,3,31,37,88,228]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class d{constructor(R,T=""){this.debugLabel=T,this.socket=R,this.traceSocketEvent("created",{type:"NodeSocket"}),this._errorListener=U=>{if(this.traceSocketEvent("error",{code:U?.code,message:U?.message}),U){if(U.code==="EPIPE")return;(0,P.onUnexpectedError)(U)}},this.socket.on("error",this._errorListener)}traceSocketEvent(R,T){p.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,R,T)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(R){const T=U=>{this.traceSocketEvent("read",U),R(D.VSBuffer.wrap(U))};return this.socket.on("data",T),{dispose:()=>this.socket.off("data",T)}}onClose(R){const T=U=>{this.traceSocketEvent("close",{hadError:U}),R({type:0,hadError:U,error:void 0})};return this.socket.on("close",T),{dispose:()=>this.socket.off("close",T)}}onEnd(R){const T=()=>{this.traceSocketEvent("nodeEndReceived"),R()};return this.socket.on("end",T),{dispose:()=>this.socket.off("end",T)}}write(R){if(!this.socket.destroyed)try{this.traceSocketEvent("write",R),this.socket.write(R.buffer,T=>{if(T){if(T.code==="EPIPE")return;(0,P.onUnexpectedError)(T)}})}catch(T){if(T.code==="EPIPE")return;(0,P.onUnexpectedError)(T)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((R,T)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),R();return}const U=()=>{this.socket.off("close",U),this.socket.off("end",U),this.socket.off("error",U),this.socket.off("timeout",U),this.socket.off("drain",U),this.traceSocketEvent("nodeDrainEnd"),R()};this.socket.on("close",U),this.socket.on("end",U),this.socket.on("error",U),this.socket.on("timeout",U),this.socket.on("drain",U)})}}e.NodeSocket=d;var g;(function(C){C[C.MinHeaderByteSize=2]="MinHeaderByteSize"})(g||(g={}));var v;(function(C){C[C.PeekHeader=1]="PeekHeader",C[C.ReadHeader=2]="ReadHeader",C[C.ReadBody=3]="ReadBody",C[C.Fin=4]="Fin"})(v||(v={}));class M extends m.Disposable{constructor(R,T,U,Y){super();this._onData=this._register(new S.Emitter),this._onClose=this._register(new S.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=R,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:T,inflateBytesLength:U?.byteLength||0,recordInflateBytes:Y}),this._flowManager=this._register(new f(this,T,U,Y,this._onData,(ee,X)=>this._write(ee,X))),this._register(this._flowManager.onError(ee=>{console.error(ee),(0,P.onUnexpectedError)(ee),this._onClose.fire({type:0,hadError:!0,error:ee})})),this._incomingData=new p.ChunkStream,this._register(this.socket.onData(ee=>this._acceptChunk(ee))),this._register(this.socket.onClose(ee=>this._onClose.fire(ee)))}get permessageDeflate(){return this._flowManager.permessageDeflate}get recordedInflateBytes(){return this._flowManager.recordedInflateBytes}traceSocketEvent(R,T){this.socket.traceSocketEvent(R,T)}dispose(){this._flowManager.isProcessingWriteQueue()?this._register(this._flowManager.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(R){return this._onData.event(R)}onClose(R){return this._onClose.event(R)}onEnd(R){return this.socket.onEnd(R)}write(R){this._flowManager.writeMessage(R)}_write(R,T){if(this._isEnded)return;this.traceSocketEvent("webSocketNodeSocketWrite",R);let U=2;R.byteLength<126?U+=0:R.byteLength<2**16?U+=2:U+=8;const Y=D.VSBuffer.alloc(U);if(T?Y.writeUInt8(194,0):Y.writeUInt8(130,0),R.byteLength<126)Y.writeUInt8(R.byteLength,1);else if(R.byteLength<2**16){Y.writeUInt8(126,1);let ee=1;Y.writeUInt8(R.byteLength>>>8&255,++ee),Y.writeUInt8(R.byteLength>>>0&255,++ee)}else{Y.writeUInt8(127,1);let ee=1;Y.writeUInt8(0,++ee),Y.writeUInt8(0,++ee),Y.writeUInt8(0,++ee),Y.writeUInt8(0,++ee),Y.writeUInt8(R.byteLength>>>24&255,++ee),Y.writeUInt8(R.byteLength>>>16&255,++ee),Y.writeUInt8(R.byteLength>>>8&255,++ee),Y.writeUInt8(R.byteLength>>>0&255,++ee)}this.socket.write(D.VSBuffer.concat([Y,R]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(R){if(R.byteLength!==0){for(this._incomingData.acceptChunk(R);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const T=this._incomingData.peek(this._state.readLen),U=T.readUInt8(0),Y=(U&128)>>>7,ee=(U&64)>>>6,X=T.readUInt8(1),J=(X&128)>>>7,H=X&127;this._state.state=2,this._state.readLen=2+(J?4:0)+(H===126?2:0)+(H===127?8:0),this._state.fin=Y,this._state.firstFrameOfMessage&&(this._state.compressed=Boolean(ee)),this._state.firstFrameOfMessage=Boolean(Y),this._state.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin})}else if(this._state.state===2){const T=this._incomingData.read(this._state.readLen),U=T.readUInt8(1),Y=(U&128)>>>7;let ee=U&127,X=1;ee===126?ee=T.readUInt8(++X)*2**8+T.readUInt8(++X):ee===127&&(ee=T.readUInt8(++X)*0+T.readUInt8(++X)*0+T.readUInt8(++X)*0+T.readUInt8(++X)*0+T.readUInt8(++X)*2**24+T.readUInt8(++X)*2**16+T.readUInt8(++X)*2**8+T.readUInt8(++X));let J=0;Y&&(J=T.readUInt8(++X)*2**24+T.readUInt8(++X)*2**16+T.readUInt8(++X)*2**8+T.readUInt8(++X)),this._state.state=3,this._state.readLen=ee,this._state.mask=J,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin,mask:this._state.mask})}else if(this._state.state===3){const T=this._incomingData.read(this._state.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",T),o(T,this._state.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",T),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._flowManager.acceptFrame(T,this._state.compressed,!!this._state.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this._flowManager.isProcessingWriteQueue()&&await S.Event.toPromise(this._flowManager.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.WebSocketNodeSocket=M;class f extends m.Disposable{constructor(R,T,U,Y,ee,X){super();this._tracer=R,this._onData=ee,this._writeFn=X,this._onError=this._register(new S.Emitter),this.onError=this._onError.event,this._writeQueue=[],this._readQueue=[],this._onDidFinishProcessingWriteQueue=this._register(new S.Emitter),this.onDidFinishProcessingWriteQueue=this._onDidFinishProcessingWriteQueue.event,this._isProcessingWriteQueue=!1,this._isProcessingReadQueue=!1,T?(this._zlibInflateStream=this._register(new h(this._tracer,Y,U,{windowBits:15})),this._zlibDeflateStream=this._register(new c(this._tracer,{windowBits:15})),this._register(this._zlibInflateStream.onError(J=>this._onError.fire(J))),this._register(this._zlibDeflateStream.onError(J=>this._onError.fire(J)))):(this._zlibInflateStream=null,this._zlibDeflateStream=null)}get permessageDeflate(){return Boolean(this._zlibInflateStream&&this._zlibDeflateStream)}get recordedInflateBytes(){return this._zlibInflateStream?this._zlibInflateStream.recordedInflateBytes:D.VSBuffer.alloc(0)}writeMessage(R){this._writeQueue.push(R),this._processWriteQueue()}async _processWriteQueue(){if(!this._isProcessingWriteQueue){for(this._isProcessingWriteQueue=!0;this._writeQueue.length>0;){const R=this._writeQueue.shift();if(this._zlibDeflateStream){const T=await this._deflateMessage(this._zlibDeflateStream,R);this._writeFn(T,!0)}else this._writeFn(R,!1)}this._isProcessingWriteQueue=!1,this._onDidFinishProcessingWriteQueue.fire()}}isProcessingWriteQueue(){return this._isProcessingWriteQueue}_deflateMessage(R,T){return new Promise((U,Y)=>{R.write(T),R.flush(ee=>U(ee))})}acceptFrame(R,T,U){this._readQueue.push({data:R,isCompressed:T,isLastFrameOfMessage:U}),this._processReadQueue()}async _processReadQueue(){if(!this._isProcessingReadQueue){for(this._isProcessingReadQueue=!0;this._readQueue.length>0;){const R=this._readQueue.shift();if(this._zlibInflateStream&&R.isCompressed){const T=await this._inflateFrame(this._zlibInflateStream,R.data,R.isLastFrameOfMessage);this._onData.fire(T)}else this._onData.fire(R.data)}this._isProcessingReadQueue=!1}}_inflateFrame(R,T,U){return new Promise((Y,ee)=>{R.write(T),U&&R.write(D.VSBuffer.fromByteArray([0,0,255,255])),R.flush(X=>Y(X))})}}class h extends m.Disposable{constructor(R,T,U,Y){super();this._tracer=R,this._recordInflateBytes=T,this._onError=this._register(new S.Emitter),this.onError=this._onError.event,this._recordedInflateBytes=[],this._pendingInflateData=[],this._zlibInflate=t.createInflateRaw(Y),this._zlibInflate.on("error",ee=>{this._tracer.traceSocketEvent("zlibInflateError",{message:ee?.message,code:ee?.code}),this._onError.fire(ee)}),this._zlibInflate.on("data",ee=>{this._tracer.traceSocketEvent("zlibInflateData",ee),this._pendingInflateData.push(D.VSBuffer.wrap(ee))}),U&&(this._tracer.traceSocketEvent("zlibInflateInitialWrite",U.buffer),this._zlibInflate.write(U.buffer),this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateInitialFlushFired"),this._pendingInflateData.length=0}))}get recordedInflateBytes(){return this._recordInflateBytes?D.VSBuffer.concat(this._recordedInflateBytes):D.VSBuffer.alloc(0)}write(R){this._recordInflateBytes&&this._recordedInflateBytes.push(R.clone()),this._tracer.traceSocketEvent("zlibInflateWrite",R),this._zlibInflate.write(R.buffer)}flush(R){this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateFlushFired");const T=D.VSBuffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,R(T)})}}class c extends m.Disposable{constructor(R,T){super();this._tracer=R,this._onError=this._register(new S.Emitter),this.onError=this._onError.event,this._pendingDeflateData=[],this._zlibDeflate=t.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",U=>{this._tracer.traceSocketEvent("zlibDeflateError",{message:U?.message,code:U?.code}),this._onError.fire(U)}),this._zlibDeflate.on("data",U=>{this._tracer.traceSocketEvent("zlibDeflateData",U),this._pendingDeflateData.push(D.VSBuffer.wrap(U))})}write(R){this._tracer.traceSocketEvent("zlibDeflateWrite",R.buffer),this._zlibDeflate.write(R.buffer)}flush(R){this._zlibDeflate.flush(2,()=>{this._tracer.traceSocketEvent("zlibDeflateFlushFired");let T=D.VSBuffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,T=T.slice(0,T.byteLength-4),R(T)})}}function o(C,R){if(R===0)return;let T=C.byteLength>>>2;for(let H=0;H<T;H++){const B=C.readUInt32BE(H*4);C.writeUInt32BE(B^R,H*4)}let U=T*4,Y=C.byteLength-U;const ee=R>>>24&255,X=R>>>16&255,J=R>>>8&255;Y>=1&&C.writeUInt8(C.readUInt8(U)^ee,U),Y>=2&&C.writeUInt8(C.readUInt8(U+1)^X,U+1),Y>=3&&C.writeUInt8(C.readUInt8(U+2)^J,U+2)}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const u={[2]:107,[1]:103};function r(){const C=(0,k.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${C}-sock`;let R;return e.XDG_RUNTIME_DIR?R=(0,E.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${C}.sock`):R=(0,E.join)((0,L.tmpdir)(),`vscode-ipc-${C}.sock`),s(R),R}e.createRandomIPCHandle=r;function i(C,R,T){const U=(0,w.createHash)("md5").update(C).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${U}-${T}-${R}-sock`;let Y;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?Y=(0,E.join)(e.XDG_RUNTIME_DIR,`vscode-${U.substr(0,8)}-${T}-${R}.sock`):Y=(0,E.join)(C,`${T}-${R}.sock`),s(Y),Y}e.createStaticIPCHandle=i;function s(C){const R=u[I.platform];typeof R=="number"&&C.length>=R&&console.warn(`WARNING: IPC handle "${C}" is longer than ${R} chars, try a shorter --user-data-dir`)}class a extends b.IPCServer{constructor(R){super(a.toClientConnectionEvent(R));this.server=R}static toClientConnectionEvent(R){const T=S.Event.fromNodeEventEmitter(R,"connection");return S.Event.map(T,U=>({protocol:new p.Protocol(new d(U,"ipc-server-connection")),onDidClientDisconnect:S.Event.once(S.Event.fromNodeEventEmitter(U,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=a;function l(C){return new Promise((R,T)=>{const U=(0,n.createServer)();U.on("error",T),U.listen(C,()=>{U.removeListener("error",T),R(new a(U))})})}e.serve=l;function y(C,R){return new Promise((T,U)=>{const Y=(0,n.createConnection)(C,()=>{Y.removeListener("error",U),T(p.Client.fromSocket(new d(Y,`ipc-client${R}`),R))});Y.once("error",U)})}e.connect=y}),define(Z[229],x([0,1,57]),function(V,e,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.WindowDriverRegistryChannel=e.DriverChannelClient=e.DriverChannel=void 0;class n{constructor(m){this.driver=m}listen(m,E){throw new Error("No event found")}call(m,E,I){switch(E){case"getWindowIds":return this.driver.getWindowIds();case"capturePage":return this.driver.capturePage(I);case"startTracing":return this.driver.startTracing(I[0],I[1]);case"stopTracing":return this.driver.stopTracing(I[0],I[1],I[2]);case"reloadWindow":return this.driver.reloadWindow(I);case"exitApplication":return this.driver.exitApplication();case"dispatchKeybinding":return this.driver.dispatchKeybinding(I[0],I[1]);case"click":return this.driver.click(I[0],I[1],I[2],I[3]);case"doubleClick":return this.driver.doubleClick(I[0],I[1]);case"setValue":return this.driver.setValue(I[0],I[1],I[2]);case"getTitle":return this.driver.getTitle(I[0]);case"isActiveElement":return this.driver.isActiveElement(I[0],I[1]);case"getElements":return this.driver.getElements(I[0],I[1],I[2]);case"getElementXY":return this.driver.getElementXY(I[0],I[1],I[2]);case"typeInEditor":return this.driver.typeInEditor(I[0],I[1],I[2]);case"getTerminalBuffer":return this.driver.getTerminalBuffer(I[0],I[1]);case"writeInTerminal":return this.driver.writeInTerminal(I[0],I[1],I[2]);case"getLocaleInfo":return this.driver.getLocaleInfo(I);case"getLocalizedStrings":return this.driver.getLocalizedStrings(I)}throw new Error(`Call not found: ${E}`)}}e.DriverChannel=n;class L{constructor(m){this.channel=m}getWindowIds(){return this.channel.call("getWindowIds")}capturePage(m){return this.channel.call("capturePage",m)}startTracing(m,E){return this.channel.call("startTracing",[m,E])}stopTracing(m,E,I){return this.channel.call("stopTracing",[m,E,I])}reloadWindow(m){return this.channel.call("reloadWindow",m)}exitApplication(){return this.channel.call("exitApplication")}dispatchKeybinding(m,E){return this.channel.call("dispatchKeybinding",[m,E])}click(m,E,I,k){return this.channel.call("click",[m,E,I,k])}doubleClick(m,E){return this.channel.call("doubleClick",[m,E])}setValue(m,E,I){return this.channel.call("setValue",[m,E,I])}getTitle(m){return this.channel.call("getTitle",[m])}isActiveElement(m,E){return this.channel.call("isActiveElement",[m,E])}getElements(m,E,I){return this.channel.call("getElements",[m,E,I])}getElementXY(m,E,I,k){return this.channel.call("getElementXY",[m,E,I,k])}typeInEditor(m,E,I){return this.channel.call("typeInEditor",[m,E,I])}getTerminalBuffer(m,E){return this.channel.call("getTerminalBuffer",[m,E])}writeInTerminal(m,E,I){return this.channel.call("writeInTerminal",[m,E,I])}getLocaleInfo(m){return this.channel.call("getLocaleInfo",m)}getLocalizedStrings(m){return this.channel.call("getLocalizedStrings",m)}}e.DriverChannelClient=L;class D{constructor(m){this.registry=m}listen(m,E){throw new Error(`Event not found: ${E}`)}call(m,E,I){switch(E){case"registerWindowDriver":return this.registry.registerWindowDriver(I);case"reloadWindowDriver":return this.registry.reloadWindowDriver(I)}throw new Error(`Call not found: ${E}`)}}e.WindowDriverRegistryChannel=D;async function P(S){const m=await(0,w.connect)(S,"driverClient"),E=m.getChannel("driver"),I=new L(E);return{client:m,driver:I}}e.connect=P}),define(Z[22],x([0,1,46,7,57,52,170,5]),function(V,e,w,n,L,D,P,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EnvironmentMainService=e.IEnvironmentMainService=void 0,e.IEnvironmentMainService=(0,S.refineServiceDecorator)(D.IEnvironmentService);class m extends P.NativeEnvironmentService{get cachedLanguagesPath(){return(0,n.join)(this.userDataPath,"clp")}get backupHome(){return(0,n.join)(this.userDataPath,"Backups")}get backupWorkspacesPath(){return(0,n.join)(this.backupHome,"workspaces.json")}get mainIPCHandle(){return(0,L.createStaticIPCHandle)(this.userDataPath,"main",this.productService.version)}get mainLockfile(){return(0,n.join)(this.userDataPath,"code.lock")}get sandbox(){return!!this.args.__sandbox}get driverVerbose(){return!!this.args["driver-verbose"]}get disableUpdates(){return!!this.args["disable-updates"]}get disableKeytar(){return!!this.args["disable-keytar"]}get codeCachePath(){return process.env.VSCODE_CODE_CACHE_PATH||void 0}get useCodeCache(){return!!this.codeCachePath}}ue([w.memoize],m.prototype,"cachedLanguagesPath",null),ue([w.memoize],m.prototype,"backupHome",null),ue([w.memoize],m.prototype,"backupWorkspacesPath",null),ue([w.memoize],m.prototype,"mainIPCHandle",null),ue([w.memoize],m.prototype,"mainLockfile",null),ue([w.memoize],m.prototype,"sandbox",null),ue([w.memoize],m.prototype,"driverVerbose",null),ue([w.memoize],m.prototype,"disableUpdates",null),ue([w.memoize],m.prototype,"disableKeytar",null),ue([w.memoize],m.prototype,"codeCachePath",null),ue([w.memoize],m.prototype,"useCodeCache",null),e.EnvironmentMainService=m}),define(Z[230],x([0,1,60,29,28,10,7,3,17,8,24,163,19,22,20,6,162,25]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BackupMainService=void 0;let M=class{constructor(h,c,o){this.configurationService=c,this.logService=o,this.workspaces=[],this.folders=[],this.emptyWindows=[],this.backupUriComparer=m.extUriBiasedIgnorePathCase,this.backupPathComparer={isEqual:(u,r)=>(0,L.isEqual)(u,r,!S.isLinux)},this.backupHome=h.backupHome,this.workspacesJsonPath=h.backupWorkspacesPath}async initialize(){let h;try{h=JSON.parse(await I.Promises.readFile(this.workspacesJsonPath,"utf8"))}catch{h=Object.create(null)}this.emptyWindows=await this.validateEmptyWorkspaces(h.emptyWorkspaceInfos);let c=[];try{Array.isArray(h.rootURIWorkspaces)&&(c=h.rootURIWorkspaces.map(u=>({workspace:{id:u.id,configPath:E.URI.parse(u.configURIPath)},remoteAuthority:u.remoteAuthority})))}catch{}this.workspaces=await this.validateWorkspaces(c);let o=[];try{Array.isArray(h.folderWorkspaceInfos)?o=h.folderWorkspaceInfos.map(u=>({folderUri:E.URI.parse(u.folderUri),remoteAuthority:u.remoteAuthority})):Array.isArray(h.folderURIWorkspaces)&&(o=h.folderURIWorkspaces.map(u=>({folderUri:E.URI.parse(u),remoteAuthority:void 0})))}catch{}this.folders=await this.validateFolders(o),await this.save()}getWorkspaceBackups(){return this.isHotExitOnExitAndWindowClose()?[]:this.workspaces.slice(0)}getFolderBackupPaths(){return this.isHotExitOnExitAndWindowClose()?[]:this.folders.slice(0)}isHotExitEnabled(){return this.getHotExitConfig()!==t.HotExitConfiguration.OFF}isHotExitOnExitAndWindowClose(){return this.getHotExitConfig()===t.HotExitConfiguration.ON_EXIT_AND_WINDOW_CLOSE}getHotExitConfig(){return this.configurationService.getValue()?.files?.hotExit||t.HotExitConfiguration.ON_EXIT}getEmptyWindowBackupPaths(){return this.emptyWindows.slice(0)}registerWorkspaceBackupSync(h,c){this.workspaces.some(u=>h.workspace.id===u.workspace.id)||(this.workspaces.push(h),this.saveSync());const o=this.getBackupPath(h.workspace.id);return c&&this.moveBackupFolderSync(o,c),o}moveBackupFolderSync(h,c){if(n.existsSync(h)&&this.convertToEmptyWindowBackupSync(h),n.existsSync(c))try{n.renameSync(c,h)}catch(o){this.logService.error(`Backup: Could not move backup folder to new location: ${o.toString()}`)}}unregisterWorkspaceBackupSync(h){const c=h.id,o=this.workspaces.findIndex(u=>u.workspace.id===c);o!==-1&&(this.workspaces.splice(o,1),this.saveSync())}registerFolderBackupSync(h){return this.folders.some(c=>this.backupUriComparer.isEqual(h.folderUri,c.folderUri))||(this.folders.push(h),this.saveSync()),this.getBackupPath(this.getFolderHash(h))}unregisterFolderBackupSync(h){const c=this.folders.findIndex(o=>this.backupUriComparer.isEqual(h,o.folderUri));c!==-1&&(this.folders.splice(c,1),this.saveSync())}registerEmptyWindowBackupSync(h,c){const o=h||this.getRandomEmptyWindowId();return this.emptyWindows.some(u=>!!u.backupFolder&&this.backupPathComparer.isEqual(u.backupFolder,o))||(this.emptyWindows.push({backupFolder:o,remoteAuthority:c}),this.saveSync()),this.getBackupPath(o)}unregisterEmptyWindowBackupSync(h){const c=this.emptyWindows.findIndex(o=>!!o.backupFolder&&this.backupPathComparer.isEqual(o.backupFolder,h));c!==-1&&(this.emptyWindows.splice(c,1),this.saveSync())}getBackupPath(h){return(0,P.join)(this.backupHome,h)}async validateWorkspaces(h){if(!Array.isArray(h))return[];const c=new Set,o=[];for(let u of h){const r=u.workspace;if(!(0,v.isWorkspaceIdentifier)(r))return[];if(!c.has(r.id)){c.add(r.id);const i=this.getBackupPath(r.id);await this.doHasBackups(i)?r.configPath.scheme!==D.Schemas.file||await I.Promises.exists(r.configPath.fsPath)?o.push(u):await this.convertToEmptyWindowBackup(i):await this.deleteStaleBackup(i)}}return o}async validateFolders(h){if(!Array.isArray(h))return[];const c=[],o=new Set;for(let u of h){const r=u.folderUri,i=this.backupUriComparer.getComparisonKey(r);if(!o.has(i)){o.add(i);const s=this.getBackupPath(this.getFolderHash(u));await this.doHasBackups(s)?r.scheme!==D.Schemas.file||await I.Promises.exists(r.fsPath)?c.push(u):await this.convertToEmptyWindowBackup(s):await this.deleteStaleBackup(s)}}return c}async validateEmptyWorkspaces(h){if(!Array.isArray(h))return[];const c=[],o=new Set;for(let u of h){const r=u.backupFolder;if(typeof r!="string")return[];if(!o.has(r)){o.add(r);const i=this.getBackupPath(r);await this.doHasBackups(i)?c.push(u):await this.deleteStaleBackup(i)}}return c}async deleteStaleBackup(h){try{await I.Promises.exists(h)&&await I.Promises.rm(h,I.RimRafMode.MOVE)}catch(c){this.logService.error(`Backup: Could not delete stale backup: ${c.toString()}`)}}async convertToEmptyWindowBackup(h){let c=this.getRandomEmptyWindowId();for(;this.emptyWindows.some(u=>!!u.backupFolder&&this.backupPathComparer.isEqual(u.backupFolder,c));)c=this.getRandomEmptyWindowId();const o=this.getBackupPath(c);try{await I.Promises.rename(h,o)}catch(u){return this.logService.error(`Backup: Could not rename backup folder: ${u.toString()}`),!1}return this.emptyWindows.push({backupFolder:c}),!0}convertToEmptyWindowBackupSync(h){let c=this.getRandomEmptyWindowId();for(;this.emptyWindows.some(u=>!!u.backupFolder&&this.backupPathComparer.isEqual(u.backupFolder,c));)c=this.getRandomEmptyWindowId();const o=this.getBackupPath(c);try{n.renameSync(h,o)}catch(u){return this.logService.error(`Backup: Could not rename backup folder: ${u.toString()}`),!1}return this.emptyWindows.push({backupFolder:c}),!0}async getDirtyWorkspaces(){const h=[];for(const c of this.workspaces)await this.hasBackups(c)&&h.push(c);for(const c of this.folders)await this.hasBackups(c)&&h.push(c);return h}hasBackups(h){let c;return(0,k.isEmptyWindowBackupInfo)(h)?c=h.backupFolder:(0,g.isFolderBackupInfo)(h)?c=this.getBackupPath(this.getFolderHash(h)):c=this.getBackupPath(h.workspace.id),this.doHasBackups(c)}async doHasBackups(h){try{const c=await I.Promises.readdir(h);for(const o of c)try{if((await I.Promises.readdir((0,P.join)(h,o))).length>0)return!0}catch{}}catch{}return!1}saveSync(){try{(0,I.writeFileSync)(this.workspacesJsonPath,JSON.stringify(this.serializeBackups()))}catch(h){this.logService.error(`Backup: Could not save workspaces.json: ${h.toString()}`)}}async save(){try{await I.Promises.writeFile(this.workspacesJsonPath,JSON.stringify(this.serializeBackups()))}catch(h){this.logService.error(`Backup: Could not save workspaces.json: ${h.toString()}`)}}serializeBackups(){return{rootURIWorkspaces:this.workspaces.map(h=>({id:h.workspace.id,configURIPath:h.workspace.configPath.toString(),remoteAuthority:h.remoteAuthority})),folderWorkspaceInfos:this.folders.map(h=>({folderUri:h.folderUri.toString(),remoteAuthority:h.remoteAuthority})),emptyWorkspaceInfos:this.emptyWindows}}getRandomEmptyWindowId(){return(Date.now()+Math.round(Math.random()*1e3)).toString()}getFolderHash(h){const c=h.folderUri;let o;return c.scheme===D.Schemas.file?o=S.isLinux?c.fsPath:c.fsPath.toLowerCase():o=c.toString().toLowerCase(),(0,w.createHash)("md5").update(o).digest("hex")}};M=ue([te(0,p.IEnvironmentMainService),te(1,b.IConfigurationService),te(2,d.ILogService)],M),e.BackupMainService=M}),define(Z[231],x([0,1,9,4,110,59,2,3,37,57,165,229,22,185,18,34,20,8,7,16,6]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g,v,M,f,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.serve=e.Driver=void 0;function c(r){return r<21}let o=class{constructor(i,s,a,l,y,C,R){this.windowServer=i,this.options=s,this.windowsMainService=a,this.lifecycleMainService=l,this.fileService=y,this.environmentMainService=C,this.logService=R,this.registeredWindowIds=new Set,this.reloadingWindowIds=new Set,this.onDidReloadingChange=new n.Emitter}async registerWindowDriver(i){return this.logService.info(`[driver] registerWindowDriver(${i})`),this.registeredWindowIds.add(i),this.reloadingWindowIds.delete(i),this.onDidReloadingChange.fire(),this.options}async reloadWindowDriver(i){this.logService.info(`[driver] reloadWindowDriver(${i})`),this.reloadingWindowIds.add(i)}async getWindowIds(){return this.windowsMainService.getWindows().map(s=>s.id).filter(s=>this.registeredWindowIds.has(s)&&!this.reloadingWindowIds.has(s))}async capturePage(i){const s=this.windowsMainService.getWindowById(i)??this.windowsMainService.getLastActiveWindow();if(!s?.win)throw new Error("Invalid window");return(await s.win.webContents.capturePage()).toPNG().toString("base64")}async startTracing(i,s){}async stopTracing(i,s,a){if(!a)return;const l=await this.capturePage(i),y=Buffer.from(l,"base64");await this.fileService.writeFile(v.URI.file((0,M.join)(this.environmentMainService.logsPath,`${s}.png`)),f.VSBuffer.wrap(y))}async reloadWindow(i){this.logService.info(`[driver] reloadWindow(${i})`),await this.whenUnfrozen(i);const s=this.windowsMainService.getWindowById(i);if(!s)throw new Error("Invalid window");this.reloadingWindowIds.add(i),this.lifecycleMainService.reload(s)}exitApplication(){return this.logService.info("[driver] exitApplication()"),this.lifecycleMainService.quit()}async dispatchKeybinding(i,s){await this.whenUnfrozen(i);const a=L.KeybindingParser.parseUserBinding(s);for(let l of a)await this._dispatchKeybinding(i,l)}async _dispatchKeybinding(i,s){if(s instanceof D.ScanCodeBinding)throw new Error("ScanCodeBindings not supported");const a=this.windowsMainService.getWindowById(i);if(!a?.win)throw new Error("Invalid window");const l=a.win.webContents,y=new D.SimpleKeybinding(!1,!1,!1,!1,s.keyCode),R=new p.USLayoutResolvedKeybinding(y.toChord(),S.OS).getElectronAccelerator(),T=[];s.ctrlKey&&T.push("ctrl"),s.metaKey&&T.push("meta"),s.shiftKey&&T.push("shift"),s.altKey&&T.push("alt"),l.sendInputEvent({type:"keyDown",keyCode:R,modifiers:T}),c(s.keyCode)||l.sendInputEvent({type:"char",keyCode:R,modifiers:T}),l.sendInputEvent({type:"keyUp",keyCode:R,modifiers:T}),await(0,w.timeout)(100)}async click(i,s,a,l){await(await this.getWindowDriver(i)).click(s,a,l)}async doubleClick(i,s){await(await this.getWindowDriver(i)).doubleClick(s)}async setValue(i,s,a){await(await this.getWindowDriver(i)).setValue(s,a)}async getTitle(i){return await(await this.getWindowDriver(i)).getTitle()}async isActiveElement(i,s){return await(await this.getWindowDriver(i)).isActiveElement(s)}async getElements(i,s,a){return await(await this.getWindowDriver(i)).getElements(s,a)}async getElementXY(i,s,a,l){return await(await this.getWindowDriver(i)).getElementXY(s,a,l)}async typeInEditor(i,s,a){await(await this.getWindowDriver(i)).typeInEditor(s,a)}async getTerminalBuffer(i,s){return await(await this.getWindowDriver(i)).getTerminalBuffer(s)}async writeInTerminal(i,s,a){await(await this.getWindowDriver(i)).writeInTerminal(s,a)}async getLocaleInfo(i){return await(await this.getWindowDriver(i)).getLocaleInfo()}async getLocalizedStrings(i){return await(await this.getWindowDriver(i)).getLocalizedStrings()}async getWindowDriver(i){await this.whenUnfrozen(i);const s=`window:${i}`,a=new m.StaticRouter(y=>y===s),l=this.windowServer.getChannel("windowDriver",a);return new I.WindowDriverChannelClient(l)}async whenUnfrozen(i){for(;this.reloadingWindowIds.has(i);)await n.Event.toPromise(this.onDidReloadingChange.event)}};o=ue([te(2,d.IWindowsMainService),te(3,t.ILifecycleMainService),te(4,g.IFileService),te(5,b.IEnvironmentMainService),te(6,h.ILogService)],o),e.Driver=o;async function u(r,i,s,a){const l=s.driverVerbose,y=a.createInstance(o,r,{verbose:l}),C=new k.WindowDriverRegistryChannel(y);r.registerChannel("windowDriverRegistry",C);const R=await(0,E.serve)(i),T=new k.DriverChannel(y);return R.registerChannel("driver",T),(0,P.combinedDisposable)(R,r)}e.serve=u}),define(Z[232],x([0,1,61,57]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nodeSocketFactory=void 0,e.nodeSocketFactory=new class{connect(L,D,P,S,m){const E=k=>m(k,void 0),I=w.createConnection({host:L,port:D},()=>{I.removeListener("error",E);const k=Buffer.alloc(16);for(let d=0;d<16;d++)k[d]=Math.round(Math.random()*256);const b=k.toString("base64"),p=[`GET ws://${/:/.test(L)?`[${L}]`:L}:${D}/?${P}&skipWebSocketFrames=true HTTP/1.1`,"Connection: Upgrade","Upgrade: websocket",`Sec-WebSocket-Key: ${b}`];I.write(p.join(`\r
`)+`\r
\r
`);const t=d=>{d.toString().indexOf(`\r
\r
`)>=0&&(I.off("data",t),m(void 0,new n.NodeSocket(I,S)))};I.on("data",t)});I.setNoDelay(!0),I.once("error",E)}}}),define(Z[233],x([0,1,204,9,16,15,2,14,19,52,98,6,203,228]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let t=class extends P.Disposable{constructor(g,v,M){super();this.environmentService=v,this.logService=M,this.configure(g.getValue()),this._register(g.onDidChangeConfiguration(()=>this.configure(g.getValue()),this))}configure(g){this.proxyUrl=g.http&&g.http.proxy,this.strictSSL=!!(g.http&&g.http.proxyStrictSSL),this.authorization=g.http&&g.http.proxyAuthorization}async request(g,v){this.logService.trace("RequestService#request",g.url);const{proxyUrl:M,strictSSL:f}=this;let h;try{h=await(0,I.getResolvedShellEnv)(this.logService,this.environmentService.args,process.env)}catch(u){this.shellEnvErrorLogged||(this.shellEnvErrorLogged=!0,this.logService.error("RequestService#request resolving shell environment failed",u))}const c={...process.env,...h},o=g.agent?g.agent:await(0,b.getProxyAgent)(g.url||"",c,{proxyUrl:M,strictSSL:f});return g.agent=o,g.strictSSL=f,this.authorization&&(g.headers={...g.headers||{},"Proxy-Authorization":this.authorization}),this._request(g,v)}async getNodeRequest(g){return((0,w.parse)(g.url).protocol==="https:"?await new Promise((f,h)=>{V(["https"],f,h)}):await new Promise((f,h)=>{V(["http"],f,h)})).request}_request(g,v){return n.Promises.withAsyncBody(async(M,f)=>{let h;const c=(0,w.parse)(g.url),o=g.getRawRequest?g.getRawRequest(g):await this.getNodeRequest(g),u={hostname:c.hostname,port:c.port?parseInt(c.port):c.protocol==="https:"?443:80,protocol:c.protocol,path:c.path,method:g.type||"GET",headers:g.headers,agent:g.agent,rejectUnauthorized:(0,S.isBoolean)(g.strictSSL)?g.strictSSL:!0};g.user&&g.password&&(u.auth=g.user+":"+g.password),h=o(u,r=>{const i=(0,S.isNumber)(g.followRedirects)?g.followRedirects:3;if(r.statusCode&&r.statusCode>=300&&r.statusCode<400&&i>0&&r.headers.location)this._request({...g,url:r.headers.location,followRedirects:i-1},v).then(M,f);else{let s=r;r.headers["content-encoding"]==="gzip"&&(s=r.pipe((0,p.createGunzip)())),M({res:r,stream:(0,L.streamToBufferReadableStream)(s)})}}),h.on("error",f),g.timeout&&h.setTimeout(g.timeout),g.data&&typeof g.data=="string"&&h.write(g.data),h.end(),v.onCancellationRequested(()=>{h.abort(),f((0,D.canceled)())})})}async resolveProxy(g){}};t=ue([te(0,m.IConfigurationService),te(1,E.INativeEnvironmentService),te(2,k.ILogService)],t),e.RequestService=t}),define(Z[234],x([0,1,12,233]),function(V,e,w,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestMainService=void 0;function L(P){return w.net.request}class D extends n.RequestService{request(S,m){return super.request({...S||{},getRawRequest:L},m)}}e.RequestMainService=D}),define(Z[235],x([0,1,12,9,4,2,10,14,89,22,18,6,53,54,65,39]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcess=void 0;let g=class extends D.Disposable{constructor(M,f,h,c,o,u,r){super();this.machineId=M,this.userEnv=f,this.environmentMainService=h,this.lifecycleMainService=c,this.logService=o,this.themeMainService=u,this.protocolMainService=r,this.firstWindowConnectionBarrier=new n.Barrier,this.window=void 0,this.windowCloseListener=void 0,this._onDidError=this._register(new L.Emitter),this.onDidError=L.Event.buffer(this._onDidError.event),this._whenReady=void 0,this._whenIpcReady=void 0,this.registerListeners()}registerListeners(){w.ipcMain.on("vscode:createSharedProcessMessageChannel",(M,f)=>this.onWindowConnection(M,f)),w.ipcMain.on("vscode:relaySharedProcessWorkerMessageChannel",(M,f)=>this.onWorkerConnection(M,f)),this._register(this.lifecycleMainService.onWillShutdown(()=>this.onWillShutdown()))}async onWindowConnection(M,f){this.logService.trace("SharedProcess: on vscode:createSharedProcessMessageChannel"),this.firstWindowConnectionBarrier.isOpen()||this.firstWindowConnectionBarrier.open(),await this.whenReady();const h=await this.connect();if(M.sender.isDestroyed())return h.close();M.sender.postMessage("vscode:createSharedProcessMessageChannelResult",f,[h])}onWorkerConnection(M,f){this.logService.trace("SharedProcess: onWorkerConnection",f);const h=new D.DisposableStore,c=u=>{!this.isAlive()||(this.logService.trace(`SharedProcess: disposing worker (reason: '${u}')`,f),h.dispose(),this.send("vscode:electron-main->shared-process=disposeWorker",f))},o=w.BrowserWindow.fromId(f.reply.windowId);if(!o||o.isDestroyed()||o.webContents.isDestroyed()||!f.reply.channel){c("unavailable");return}h.add(L.Event.filter(this.lifecycleMainService.onWillLoadWindow,u=>u.window.win===o)(()=>c("load"))),h.add(L.Event.fromNodeEventEmitter(o,"closed")(()=>c("closed"))),o.webContents.postMessage(f.reply.channel,f.reply.nonce,M.ports)}onWillShutdown(){const M=this.window;!M||(this.send("vscode:electron-main->shared-process=exit"),this.windowCloseListener&&(M.removeListener("close",this.windowCloseListener),this.windowCloseListener=void 0),setTimeout(()=>{try{M.close()}catch{}this.window=void 0},0))}send(M,...f){if(!this.isAlive()){this.logService.warn(`Sending IPC message to channel '${M}' for shared process window that is destroyed`);return}try{this.window?.webContents.send(M,...f)}catch(h){this.logService.warn(`Error sending IPC message to channel '${M}' of shared process: ${(0,d.toErrorMessage)(h)}`)}}whenReady(){return this._whenReady||(this._whenReady=new Promise(M=>w.ipcMain.once("vscode:shared-process->electron-main=init-done",()=>{this.logService.trace("SharedProcess: Overall ready"),M()}))),this._whenReady}get whenIpcReady(){return this._whenIpcReady||(this._whenIpcReady=(async()=>{await this.firstWindowConnectionBarrier.wait(),this.createWindow(),this.registerWindowListeners(),await new Promise(M=>w.ipcMain.once("vscode:shared-process->electron-main=ipc-ready",()=>{this.logService.trace("SharedProcess: IPC ready"),M()}))})()),this._whenIpcReady}createWindow(){const M=this._register(this.protocolMainService.createIPCObjectUrl());this.window=new w.BrowserWindow({show:!1,backgroundColor:this.themeMainService.getBackgroundColor(),webPreferences:{preload:P.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",V).fsPath,additionalArguments:[`--vscode-window-config=${M.resource.toString()}`,"--vscode-window-kind=shared-process"],v8CacheOptions:this.environmentMainService.useCodeCache?"bypassHeatCheck":"none",nodeIntegration:!0,nodeIntegrationInWorker:!0,contextIsolation:!1,enableWebSQL:!1,spellcheck:!1,nativeWindowOpen:!0,images:!1,webgl:!1}}),M.update({machineId:this.machineId,windowId:this.window.id,appRoot:this.environmentMainService.appRoot,codeCachePath:this.environmentMainService.codeCachePath,backupWorkspacesPath:this.environmentMainService.backupWorkspacesPath,userEnv:this.userEnv,args:this.environmentMainService.args,logLevel:this.logService.getLevel(),product:b.default}),this.window.loadURL(P.FileAccess.asBrowserUri("vs/code/electron-browser/sharedProcess/sharedProcess.html",V).toString(!0))}registerWindowListeners(){!this.window||(this.windowCloseListener=M=>{this.logService.trace("SharedProcess#close prevented"),M.preventDefault(),this.window?.isVisible()&&this.window.hide()},this.window.on("close",this.windowCloseListener),this.window.webContents.on("render-process-gone",(M,f)=>this._onDidError.fire({type:2,details:f})),this.window.on("unresponsive",()=>this._onDidError.fire({type:1})),this.window.webContents.on("did-fail-load",(M,f,h)=>this._onDidError.fire({type:3,details:{reason:h,exitCode:f}})))}async connect(){await this.whenIpcReady;const M=(0,S.assertIsDefined)(this.window);return(0,m.connect)(M)}async toggle(){await this.whenIpcReady,!!this.window&&(this.window.isVisible()?(this.window.webContents.closeDevTools(),this.window.hide()):(this.window.show(),this.window.webContents.openDevTools()))}isVisible(){return this.window?.isVisible()??!1}isAlive(){const M=this.window;return M?!M.isDestroyed()&&!M.webContents.isDestroyed():!1}};g=ue([te(2,E.IEnvironmentMainService),te(3,I.ILifecycleMainService),te(4,k.ILogService),te(5,t.IThemeMainService),te(6,p.IProtocolMainService)],g),e.SharedProcess=g}),define(Z[236],x([0,1,9,16,7,14,8,22,20,6]),function(V,e,w,n,L,D,P,S,m,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StateMainService=e.FileStorage=void 0;class I{constructor(p,t,d){this.storagePath=p,this.logService=t,this.fileService=d,this.storage=Object.create(null),this.lastSavedStorageContents="",this.flushDelayer=new w.ThrottledDelayer(100),this.initializing=void 0,this.closing=void 0}init(){return this.initializing||(this.initializing=this.doInit()),this.initializing}async doInit(){try{this.lastSavedStorageContents=(await this.fileService.readFile(this.storagePath)).value.toString(),this.storage=JSON.parse(this.lastSavedStorageContents)}catch(p){p.fileOperationResult!==1&&this.logService.error(p)}}getItem(p,t){const d=this.storage[p];return(0,D.isUndefinedOrNull)(d)?t:d}setItem(p,t){this.setItems([{key:p,data:t}])}setItems(p){let t=!1;for(const{key:d,data:g}of p)this.storage[d]!==g&&((0,D.isUndefinedOrNull)(g)?(0,D.isUndefined)(this.storage[d])||(this.storage[d]=void 0,t=!0):(this.storage[d]=g,t=!0));t&&this.save()}removeItem(p){(0,D.isUndefined)(this.storage[p])||(this.storage[p]=void 0,this.save())}async save(p){if(!this.closing)return this.flushDelayer.trigger(()=>this.doSave(),p)}async doSave(){if(!this.initializing)return;await this.initializing;const p=JSON.stringify(this.storage,null,4);if(p!==this.lastSavedStorageContents)try{await this.fileService.writeFile(this.storagePath,n.VSBuffer.fromString(p)),this.lastSavedStorageContents=p}catch(t){this.logService.error(t)}}async close(){return this.closing||(this.closing=this.flushDelayer.trigger(()=>this.doSave(),0)),this.closing}}e.FileStorage=I;let k=class Ct{constructor(p,t,d){this.fileStorage=new I(P.URI.file((0,L.join)(p.userDataPath,Ct.STATE_FILE)),t,d)}async init(){return this.fileStorage.init()}getItem(p,t){return this.fileStorage.getItem(p,t)}setItem(p,t){this.fileStorage.setItem(p,t)}setItems(p){this.fileStorage.setItems(p)}removeItem(p){this.fileStorage.removeItem(p)}close(){return this.fileStorage.close()}};k.STATE_FILE="storage.json",k=ue([te(0,S.IEnvironmentMainService),te(1,E.ILogService),te(2,m.IFileService)],k),e.StateMainService=k}),define(Z[81],x([0,1,43,2,52,22,5,18,6,97,225]),function(V,e,w,n,L,D,P,S,m,E,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.GlobalStorageMainService=e.IGlobalStorageMainService=e.StorageMainService=e.IStorageMainService=void 0,e.IStorageMainService=(0,P.createDecorator)("storageMainService");let k=class extends n.Disposable{constructor(t,d,g){super();this.logService=t,this.environmentService=d,this.lifecycleMainService=g,this.globalStorage=this.createGlobalStorage(),this.mapWorkspaceToStorage=new Map,this.registerListeners()}getStorageOptions(){return{useInMemoryStorage:!!this.environmentService.extensionTestsLocationURI}}registerListeners(){(async()=>{await this.lifecycleMainService.when(3),this.globalStorage.init()})(),this._register(this.lifecycleMainService.onWillLoadWindow(async t=>{t.workspace&&this.workspaceStorage(t.workspace).init()})),this._register(this.lifecycleMainService.onWillShutdown(t=>{t.join(this.globalStorage.close());for(const[,d]of this.mapWorkspaceToStorage)t.join(d.close())}))}createGlobalStorage(){if(this.globalStorage)return this.globalStorage;this.logService.trace("StorageMainService: creating global storage");const t=new I.GlobalStorageMain(this.getStorageOptions(),this.logService,this.environmentService);return(0,w.once)(t.onDidCloseStorage)(()=>{this.logService.trace("StorageMainService: closed global storage")}),t}createWorkspaceStorage(t){return new I.WorkspaceStorageMain(t,this.getStorageOptions(),this.logService,this.environmentService)}workspaceStorage(t){let d=this.mapWorkspaceToStorage.get(t.id);return d||(this.logService.trace(`StorageMainService: creating workspace storage (${t.id})`),d=this.createWorkspaceStorage(t),this.mapWorkspaceToStorage.set(t.id,d),(0,w.once)(d.onDidCloseStorage)(()=>{this.logService.trace(`StorageMainService: closed workspace storage (${t.id})`),this.mapWorkspaceToStorage.delete(t.id)})),d}};k=ue([te(0,m.ILogService),te(1,L.IEnvironmentService),te(2,S.ILifecycleMainService)],k),e.StorageMainService=k,e.IGlobalStorageMainService=(0,P.createDecorator)("globalStorageMainService");let b=class extends E.AbstractStorageService{constructor(t,d){super();this.environmentMainService=t,this.storageMainService=d,this.whenReady=this.storageMainService.globalStorage.whenInit}doInitialize(){return this.storageMainService.globalStorage.whenInit}getStorage(t){switch(t){case 0:return this.storageMainService.globalStorage.storage;case 1:return}}getLogDetails(t){return t===0?this.environmentMainService.globalStorageHome.fsPath:void 0}shouldFlushWhenIdle(){return!1}migrate(){throw new Error("Migrating storage is unsupported from main process")}};b=ue([te(0,D.IEnvironmentMainService),te(1,e.IStorageMainService)],b),e.GlobalStorageMainService=b}),define(Z[237],x([0,1,61,123,232,9,2,19,6,21,202,99,79]),function(V,e,w,n,L,D,P,S,m,E,I,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedTunnelsService=e.TunnelService=e.BaseTunnelService=void 0;async function p(M,f,h,c,o){let u;for(let r=3;r&&(u&&u.dispose(),u=await new t(M,f,h,c,o).waitForReady(),!(o&&n.BROWSER_RESTRICTED_PORTS[o]||!n.BROWSER_RESTRICTED_PORTS[u.tunnelLocalPort]));r--);return u}class t extends P.Disposable{constructor(f,h,c,o,u){super();this.defaultTunnelHost=h,this.suggestedLocalPort=u,this.privacy=k.TunnelPrivacyId.Private,this._socketsDispose=new Map,this._options=f,this._server=w.createServer(),this._barrier=new D.Barrier,this._listeningListener=()=>this._barrier.open(),this._server.on("listening",this._listeningListener),this._connectionListener=r=>this._onConnection(r),this._server.on("connection",this._connectionListener),this._errorListener=()=>{},this._server.on("error",this._errorListener),this.tunnelRemotePort=o,this.tunnelRemoteHost=c}async dispose(){super.dispose(),this._server.removeListener("listening",this._listeningListener),this._server.removeListener("connection",this._connectionListener),this._server.removeListener("error",this._errorListener),this._server.close(),Array.from(this._socketsDispose.values()).forEach(h=>{h()})}async waitForReady(){let f=await(0,n.findFreePortFaster)(this.suggestedLocalPort??this.tunnelRemotePort,2,1e3),h=null;return this._server.listen(f,this.defaultTunnelHost),await this._barrier.wait(),h=this._server.address(),h||(f=0,this._server.listen(f,this.defaultTunnelHost),await this._barrier.wait(),h=this._server.address()),this.tunnelLocalPort=h.port,this.localAddress=`${this.tunnelRemoteHost==="127.0.0.1"?"127.0.0.1":"localhost"}:${h.port}`,this}async _onConnection(f){f.pause();const h=(0,k.isLocalhost)(this.tunnelRemoteHost)||(0,k.isAllInterfaces)(this.tunnelRemoteHost)?"localhost":this.tunnelRemoteHost,c=await(0,I.connectRemoteAgentTunnel)(this._options,h,this.tunnelRemotePort),o=c.getSocket().socket,u=c.readEntireBuffer();c.dispose(),u.byteLength>0&&f.write(u.buffer),f.on("end",()=>{f.localAddress&&this._socketsDispose.delete(f.localAddress),o.end()}),f.on("close",()=>o.end()),f.on("error",()=>{f.localAddress&&this._socketsDispose.delete(f.localAddress),o.destroy()}),o.on("end",()=>f.end()),o.on("close",()=>f.end()),o.on("error",()=>{f.destroy()}),f.pipe(o),o.pipe(f),f.localAddress&&this._socketsDispose.set(f.localAddress,()=>{f.end(),o.end()})}}let d=class extends k.AbstractTunnelService{constructor(f,h,c,o,u){super(h);this.socketFactory=f,this.signService=c,this.productService=o,this.configurationService=u}get defaultTunnelHost(){const f=this.configurationService.getValue("remote.localPortHost");return!f||f==="localhost"?"127.0.0.1":"0.0.0.0"}retainOrCreateTunnel(f,h,c,o,u,r,i){const s=this.getTunnelFromMap(h,c);if(s)return++s.refcount,s.value;if(this._tunnelProvider)return this.createWithProvider(this._tunnelProvider,h,c,o,u,r,i);{this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel without provider ${h}:${c} on local port ${o}.`);const a={commit:this.productService.commit,socketFactory:this.socketFactory,addressProvider:f,signService:this.signService,logService:this.logService,ipcLogger:null},l=p(a,this.defaultTunnelHost,h,c,o);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created without provider."),this.addTunnelToMap(h,c,l),l}}};d=ue([te(1,m.ILogService),te(2,b.ISignService),te(3,E.IProductService),te(4,S.IConfigurationService)],d),e.BaseTunnelService=d;let g=class extends d{constructor(f,h,c,o){super(L.nodeSocketFactory,f,h,c,o)}};g=ue([te(0,m.ILogService),te(1,b.ISignService),te(2,E.IProductService),te(3,S.IConfigurationService)],g),e.TunnelService=g;let v=class extends P.Disposable{constructor(f,h,c,o){super();this.logService=f,this.productService=h,this.signService=c,this.configurationService=o,this._tunnelServices=new Map}async openTunnel(f,h,c,o,u,r,i,s){if(this.logService.trace(`ForwardedPorts: (SharedTunnelService) openTunnel request for ${c}:${o} on local port ${u}.`),!this._tunnelServices.has(f)){const a=new g(this.logService,this.signService,this.productService,this.configurationService);this._register(a),this._tunnelServices.set(f,a),a.onTunnelClosed(async()=>{(await a.tunnels).length===0&&(a.dispose(),this._tunnelServices.delete(f))})}return this._tunnelServices.get(f).openTunnel(h,c,o,u,r,i,s)}};v=ue([te(0,m.ILogService),te(1,E.IProductService),te(2,b.ISignService),te(3,S.IConfigurationService)],v),e.SharedTunnelsService=v}),define(Z[82],x([0,1,9,23,4,19,22,18,6,21,56,41]),function(V,e,w,n,L,D,P,S,m,E,I,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractUpdateService=e.createUpdateURL=void 0;function b(t,d,g){return`${g.updateUrl}/api/update/${t}/${d}/${g.commit}`}e.createUpdateURL=b;let p=class{constructor(d,g,v,M,f,h){this.lifecycleMainService=d,this.configurationService=g,this.environmentMainService=v,this.requestService=M,this.logService=f,this.productService=h,this._state=k.State.Uninitialized,this._onStateChange=new L.Emitter,this.onStateChange=this._onStateChange.event}get state(){return this._state}setState(d){this.logService.info("update#setState",d.type),this._state=d,this._onStateChange.fire(d)}initialize(){if(!this.environmentMainService.isBuilt)return;if(this.environmentMainService.disableUpdates){this.logService.info("update#ctor - updates are disabled by the environment");return}if(!this.productService.updateUrl||!this.productService.commit){this.logService.info("update#ctor - updates are disabled as there is no update URL");return}const d=this.getUpdateMode(),g=this.getProductQuality(d);if(!g){this.logService.info("update#ctor - updates are disabled by user preference");return}if(this.url=this.buildUpdateFeedUrl(g),!this.url){this.logService.info("update#ctor - updates are disabled as the update URL is badly formed");return}if(this.setState(k.State.Idle(this.getUpdateType())),d==="manual"){this.logService.info("update#ctor - manual checks only; automatic updates are disabled by user preference");return}d==="start"?(this.logService.info("update#ctor - startup checks only; automatic updates are disabled by user preference"),setTimeout(()=>this.checkForUpdates(!1),30*1e3)):this.scheduleCheckForUpdates(30*1e3).then(void 0,v=>this.logService.error(v))}getUpdateMode(){return(0,D.getMigratedSettingValue)(this.configurationService,"update.mode","update.channel")}getProductQuality(d){return d==="none"?void 0:this.productService.quality}scheduleCheckForUpdates(d=60*60*1e3){return(0,w.timeout)(d).then(()=>this.checkForUpdates(!1)).then(()=>this.scheduleCheckForUpdates(60*60*1e3))}async checkForUpdates(d){this.logService.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.doCheckForUpdates(d)}async downloadUpdate(){this.logService.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.doDownloadUpdate(this.state)}async doDownloadUpdate(d){}async applyUpdate(){this.logService.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.doApplyUpdate()}async doApplyUpdate(){}quitAndInstall(){return this.logService.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.logService.trace("update#quitAndInstall(): before lifecycle quit()"),this.lifecycleMainService.quit(!0).then(d=>{this.logService.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${d}`),!d&&(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.doQuitAndInstall())})),Promise.resolve(void 0)}async isLatestVersion(){if(this.url){if(this.getUpdateMode()==="none")return!1}else return;return(await this.requestService.request({url:this.url},n.CancellationToken.None)).res.statusCode===204}getUpdateType(){return 1}doQuitAndInstall(){}};p=ue([te(0,S.ILifecycleMainService),te(1,D.IConfigurationService),te(2,P.IEnvironmentMainService),te(3,I.IRequestService),te(4,m.ILogService),te(5,E.IProductService)],p),e.AbstractUpdateService=p}),define(Z[238],x([0,1,12,46,4,2,19,22,18,6,21,56,32,41,82]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DarwinUpdateService=void 0;let d=class extends t.AbstractUpdateService{constructor(v,M,f,h,c,o,u){super(v,M,h,c,o,u);this.telemetryService=f,this.disposables=new D.DisposableStore}get onRawError(){return L.Event.fromNodeEventEmitter(w.autoUpdater,"error",(v,M)=>M)}get onRawUpdateNotAvailable(){return L.Event.fromNodeEventEmitter(w.autoUpdater,"update-not-available")}get onRawUpdateAvailable(){return L.Event.fromNodeEventEmitter(w.autoUpdater,"update-available",(v,M,f)=>({url:M,version:f,productVersion:f}))}get onRawUpdateDownloaded(){return L.Event.fromNodeEventEmitter(w.autoUpdater,"update-downloaded",(v,M,f,h)=>({releaseNotes:M,version:f,productVersion:f,date:h}))}initialize(){super.initialize(),this.onRawError(this.onError,this,this.disposables),this.onRawUpdateAvailable(this.onUpdateAvailable,this,this.disposables),this.onRawUpdateDownloaded(this.onUpdateDownloaded,this,this.disposables),this.onRawUpdateNotAvailable(this.onUpdateNotAvailable,this,this.disposables)}onError(v){this.logService.error("UpdateService error:",v);const f=(this.state.type==="checking for updates"?this.state.explicit:!0)?v:void 0;this.setState(p.State.Idle(1,f))}buildUpdateFeedUrl(v){let M;this.productService.darwinUniversalAssetId?M=this.productService.darwinUniversalAssetId:M=process.arch==="x64"?"darwin":"darwin-arm64";const f=(0,t.createUpdateURL)(M,v,this.productService);try{w.autoUpdater.setFeedURL({url:f})}catch(h){this.logService.error("Failed to set update feed URL",h);return}return f}doCheckForUpdates(v){this.setState(p.State.CheckingForUpdates(v)),w.autoUpdater.checkForUpdates()}onUpdateAvailable(v){this.state.type==="checking for updates"&&this.setState(p.State.Downloading(v))}onUpdateDownloaded(v){this.state.type==="downloading"&&(this.telemetryService.publicLog2("update:downloaded",{version:v.version}),this.setState(p.State.Ready(v)))}onUpdateNotAvailable(){this.state.type==="checking for updates"&&(this.telemetryService.publicLog2("update:notAvailable",{explicit:this.state.explicit}),this.setState(p.State.Idle(1)))}doQuitAndInstall(){this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),w.autoUpdater.quitAndInstall()}dispose(){this.disposables.dispose()}};ue([n.memoize],d.prototype,"onRawError",null),ue([n.memoize],d.prototype,"onRawUpdateNotAvailable",null),ue([n.memoize],d.prototype,"onRawUpdateAvailable",null),ue([n.memoize],d.prototype,"onRawUpdateDownloaded",null),d=ue([te(0,m.ILifecycleMainService),te(1,P.IConfigurationService),te(2,b.ITelemetryService),te(3,S.IEnvironmentMainService),te(4,k.IRequestService),te(5,E.ILogService),te(6,I.IProductService)],d),e.DarwinUpdateService=d}),define(Z[239],x([0,1,45,29,9,4,7,22,18,6,32,41]),function(V,e,w,n,L,D,P,S,m,E,I,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnapUpdateService=void 0;let b=class{constructor(d,g,v){if(this.lifecycleMainService=d,this.logService=v,this._state=k.State.Uninitialized,this._onStateChange=new D.Emitter,this.onStateChange=this._onStateChange.event,g.disableUpdates){this.logService.info("update#ctor - updates are disabled");return}this.setState(k.State.Idle(this.getUpdateType())),this.scheduleCheckForUpdates(30*1e3).then(void 0,M=>this.logService.error(M))}get state(){return this._state}setState(d){this.logService.info("update#setState",d.type),this._state=d,this._onStateChange.fire(d)}scheduleCheckForUpdates(d=60*60*1e3){return(0,L.timeout)(d).then(()=>this.checkForUpdates(!1)).then(()=>this.scheduleCheckForUpdates(60*60*1e3))}async checkForUpdates(d){this.logService.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.doCheckForUpdates(d)}async downloadUpdate(){this.logService.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.doDownloadUpdate(this.state)}doDownloadUpdate(d){return Promise.resolve(void 0)}async applyUpdate(){this.logService.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.doApplyUpdate()}doApplyUpdate(){return Promise.resolve(void 0)}quitAndInstall(){return this.logService.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.logService.trace("update#quitAndInstall(): before lifecycle quit()"),this.lifecycleMainService.quit(!0).then(d=>{this.logService.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${d}`),!d&&(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.doQuitAndInstall())})),Promise.resolve(void 0)}getUpdateType(){return 2}doQuitAndInstall(){}};b=ue([te(0,m.ILifecycleMainService),te(1,S.IEnvironmentMainService),te(2,E.ILogService)],b);let p=class extends b{constructor(d,g,v,M,f,h){super(v,M,f);this.snap=d,this.snapRevision=g,this.telemetryService=h;const c=(0,n.watch)(P.dirname(this.snap)),o=D.Event.fromNodeEventEmitter(c,"change",(s,a)=>a),u=D.Event.filter(o,s=>s==="current"),i=D.Event.debounce(u,(s,a)=>a,2e3)(()=>this.checkForUpdates(!1));v.onWillShutdown(()=>{i.dispose(),c.close()})}doCheckForUpdates(){this.setState(k.State.CheckingForUpdates(!1)),this.isUpdateAvailable().then(d=>{d?this.setState(k.State.Ready({version:"something",productVersion:"something"})):(this.telemetryService.publicLog2("update:notAvailable",{explicit:!1}),this.setState(k.State.Idle(2)))},d=>{this.logService.error(d),this.telemetryService.publicLog2("update:notAvailable",{explicit:!1}),this.setState(k.State.Idle(2,d.message||d))})}doQuitAndInstall(){this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),(0,w.spawn)("sleep 3 && "+P.basename(process.argv[0]),{shell:!0,detached:!0,stdio:"ignore"})}async isUpdateAvailable(){const d=await new Promise((v,M)=>(0,n.realpath)(`${P.dirname(this.snap)}/current`,(f,h)=>f?M(f):v(h))),g=P.basename(d);return this.snapRevision!==g}isLatestVersion(){return this.isUpdateAvailable().then(void 0,d=>{this.logService.error("update#checkForSnapUpdate(): Could not get realpath of application.")})}};p=ue([te(2,m.ILifecycleMainService),te(3,S.IEnvironmentMainService),te(4,E.ILogService),te(5,I.ITelemetryService)],p),e.SnapUpdateService=p}),define(Z[42],x([0,1,12,29,4,44,33,2,10,7,3,17,14,24,161,51,47,22,5,6,21,102,25,80,103]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g,v,M,f,h,c,o,u,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesManagementMainService=e.IWorkspacesManagementMainService=void 0,e.IWorkspacesManagementMainService=(0,M.createDecorator)("workspacesManagementMainService");let i=class extends S.Disposable{constructor(a,l,y,C,R){super();this.environmentMainService=a,this.logService=l,this.backupMainService=y,this.dialogMainService=C,this.productService=R,this.untitledWorkspacesHome=this.environmentMainService.untitledWorkspacesHome,this._onDidDeleteUntitledWorkspace=this._register(new L.Emitter),this.onDidDeleteUntitledWorkspace=this._onDidDeleteUntitledWorkspace.event,this._onDidEnterWorkspace=this._register(new L.Emitter),this.onDidEnterWorkspace=this._onDidEnterWorkspace.event}resolveLocalWorkspaceSync(a){return this.doResolveLocalWorkspace(a,l=>(0,n.readFileSync)(l,"utf8"))}resolveLocalWorkspace(a){return this.doResolveLocalWorkspace(a,l=>p.Promises.readFile(l,"utf8"))}doResolveLocalWorkspace(a,l){if(!!this.isWorkspacePath(a)&&a.scheme===m.Schemas.file)try{const y=l(a.fsPath);return y instanceof Promise?y.then(C=>this.doResolveWorkspace(a,C),C=>{}):this.doResolveWorkspace(a,y)}catch{return}}isWorkspacePath(a){return(0,o.isUntitledWorkspace)(a,this.environmentMainService)||(0,o.hasWorkspaceFileExtension)(a)}doResolveWorkspace(a,l){try{const y=this.doParseStoredWorkspace(a,l),C=(0,r.getWorkspaceIdentifier)(a);return{id:C.id,configPath:C.configPath,folders:(0,u.toWorkspaceFolders)(y.folders,C.configPath,k.extUriBiasedIgnorePathCase),remoteAuthority:y.remoteAuthority,transient:y.transient}}catch(y){this.logService.warn(y.toString())}}doParseStoredWorkspace(a,l){const y=(0,D.parse)(l);if(y&&Array.isArray(y.folders))y.folders=y.folders.filter(C=>(0,u.isStoredWorkspaceFolder)(C));else throw new Error(`${a.toString(!0)} looks like an invalid workspace file.`);return y}async createUntitledWorkspace(a,l){const{workspace:y,storedWorkspace:C}=this.newUntitledWorkspace(a,l),R=y.configPath.fsPath;return await p.Promises.mkdir((0,E.dirname)(R),{recursive:!0}),await p.Promises.writeFile(R,JSON.stringify(C,null,"	")),y}createUntitledWorkspaceSync(a,l){const{workspace:y,storedWorkspace:C}=this.newUntitledWorkspace(a,l),R=y.configPath.fsPath;return(0,n.mkdirSync)((0,E.dirname)(R),{recursive:!0}),(0,p.writeFileSync)(R,JSON.stringify(C,null,"	")),y}newUntitledWorkspace(a=[],l){const y=(Date.now()+Math.round(Math.random()*1e3)).toString(),C=(0,k.joinPath)(this.untitledWorkspacesHome,y),R=(0,k.joinPath)(C,o.UNTITLED_WORKSPACE_NAME),T=[];for(const U of a)T.push((0,u.getStoredWorkspaceFolder)(U.uri,!0,U.name,C,!I.isWindows,k.extUriBiasedIgnorePathCase));return{workspace:(0,r.getWorkspaceIdentifier)(R),storedWorkspace:{folders:T,remoteAuthority:l}}}async getWorkspaceIdentifier(a){return(0,r.getWorkspaceIdentifier)(a)}isUntitledWorkspace(a){return(0,o.isUntitledWorkspace)(a.configPath,this.environmentMainService)}deleteUntitledWorkspaceSync(a){!this.isUntitledWorkspace(a)||(this.doDeleteUntitledWorkspaceSync(a),this._onDidDeleteUntitledWorkspace.fire(a))}async deleteUntitledWorkspace(a){this.deleteUntitledWorkspaceSync(a)}doDeleteUntitledWorkspaceSync(a){const l=(0,k.originalFSPath)(a.configPath);try{(0,p.rimrafSync)((0,E.dirname)(l));const y=(0,E.join)(this.environmentMainService.workspaceStorageHome.fsPath,a.id);(0,n.existsSync)(y)&&(0,p.writeFileSync)((0,E.join)(y,"obsolete"),"")}catch(y){this.logService.warn(`Unable to delete untitled workspace ${l} (${y}).`)}}getUntitledWorkspacesSync(){const a=[];try{const l=(0,p.readdirSync)(this.untitledWorkspacesHome.fsPath).map(y=>(0,k.joinPath)(this.untitledWorkspacesHome,y,o.UNTITLED_WORKSPACE_NAME));for(const y of l){const C=(0,r.getWorkspaceIdentifier)(y),R=this.resolveLocalWorkspaceSync(y);R?a.push({workspace:C,remoteAuthority:R.remoteAuthority}):this.doDeleteUntitledWorkspaceSync(C)}}catch(l){l.code!=="ENOENT"&&this.logService.warn(`Unable to read folders in ${this.untitledWorkspacesHome} (${l}).`)}return a}async enterWorkspace(a,l,y){if(!a||!a.win||!a.isReady||!await this.isValidTargetWorkspacePath(a,l,y))return;const R=this.doEnterWorkspace(a,(0,r.getWorkspaceIdentifier)(y));if(!!R)return this._onDidEnterWorkspace.fire({window:a,workspace:R.workspace}),R}async isValidTargetWorkspacePath(a,l,y){if(!y)return!0;if((0,o.isWorkspaceIdentifier)(a.openedWorkspace)&&k.extUriBiasedIgnorePathCase.isEqual(a.openedWorkspace.configPath,y))return!1;if((0,c.findWindowOnWorkspaceOrFolder)(l,y)){const C={title:this.productService.nameLong,type:"info",buttons:[(0,P.mnemonicButtonLabel)((0,t.localize)(0,null))],message:(0,t.localize)(1,null,(0,k.basename)(y)),detail:(0,t.localize)(2,null),noLink:!0,defaultId:0};return await this.dialogMainService.showMessageBox(C,(0,b.withNullAsUndefined)(w.BrowserWindow.getFocusedWindow())),!1}return!0}doEnterWorkspace(a,l){if(!a.config)return;a.focus();let y;return a.config.extensionDevelopmentPath||(y=this.backupMainService.registerWorkspaceBackupSync({workspace:l,remoteAuthority:a.remoteAuthority},a.config.backupPath)),(0,o.isWorkspaceIdentifier)(a.openedWorkspace)&&this.isUntitledWorkspace(a.openedWorkspace)&&this.deleteUntitledWorkspaceSync(a.openedWorkspace),a.config.workspace=l,a.config.backupPath=y,{workspace:l,backupPath:y}}};i=ue([te(0,v.IEnvironmentMainService),te(1,f.ILogService),te(2,d.IBackupMainService),te(3,g.IDialogMainService),te(4,h.IProductService)],i),e.WorkspacesManagementMainService=i}),define(Z[104],x([0,1,12,23,5,34,25,42]),function(V,e,w,n,L,D,P,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsMainService=e.IDiagnosticsMainService=e.ID=void 0,e.ID="diagnosticsMainService",e.IDiagnosticsMainService=(0,L.createDecorator)(e.ID);let m=class{constructor(I,k){this.windowsMainService=I,this.workspacesManagementMainService=k}async getRemoteDiagnostics(I){const k=this.windowsMainService.getWindows();return(await Promise.all(k.map(p=>new Promise(t=>{const d=p.remoteAuthority;if(d){const g=`vscode:getDiagnosticInfoResponse${p.id}`,v={includeProcesses:I.includeProcesses,folders:I.includeWorkspaceMetadata?this.getFolderURIs(p):void 0};p.sendWhenReady("vscode:getDiagnosticInfo",n.CancellationToken.None,{replyChannel:g,args:v}),w.ipcMain.once(g,(M,f)=>{f||t({hostName:d,errorMessage:`Unable to resolve connection to '${d}'.`}),t(f)}),setTimeout(()=>{t({hostName:d,errorMessage:`Connection to '${d}' could not be established`})},5e3)}else t(void 0)})))).filter(p=>!!p)}getFolderURIs(I){const k=[],b=I.openedWorkspace;if((0,P.isSingleFolderWorkspaceIdentifier)(b))k.push(b.uri);else if((0,P.isWorkspaceIdentifier)(b)){const p=this.workspacesManagementMainService.resolveLocalWorkspaceSync(b.configPath);p&&p.folders.forEach(d=>{k.push(d.uri)})}return k}};m=ue([te(0,D.IWindowsMainService),te(1,S.IWorkspacesManagementMainService)],m),e.DiagnosticsMainService=m}),define(Z[105],x([0,1,12,30,3,14,8,24,19,50,5,6,100,34,25,42]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LaunchMainService=e.ILaunchMainService=e.ID=void 0,e.ID="launchMainService",e.ILaunchMainService=(0,I.createDecorator)(e.ID);let g=class{constructor(M,f,h,c,o){this.logService=M,this.windowsMainService=f,this.urlService=h,this.workspacesManagementMainService=c,this.configurationService=o}async start(M,f){this.logService.trace("Received data from other instance: ",M,f),L.isMacintosh&&w.app.focus({steal:!0});const h=this.parseOpenUrl(M);if(h.length){let c=Promise.resolve();this.windowsMainService.getWindowCount()===0&&(c=this.windowsMainService.openEmptyWindow({context:4})[0].ready()),c.then(()=>{for(const{uri:o,url:u}of h)this.urlService.open(o,{originalUrl:u})})}else return this.startOpenWindow(M,f)}parseOpenUrl(M){return M["open-url"]&&M._urls&&M._urls.length>0?(0,n.coalesce)(M._urls.map(f=>{try{return{uri:P.URI.parse(f),url:f}}catch{return null}})):[]}async startOpenWindow(M,f){const h=(0,E.isLaunchedFromCli)(f)?0:4;let c=[];const o=M.wait&&M.waitMarkerFilePath?P.URI.file(M.waitMarkerFilePath):void 0,u=M.remote||void 0,r={context:h,cli:M,userEnv:f,waitMarkerFileURI:o,remoteAuthority:u};if(M.extensionDevelopmentPath)this.windowsMainService.openExtensionDevelopmentHostWindow(M.extensionDevelopmentPath,r);else if(!M._.length&&!M["folder-uri"]&&!M["file-uri"]){let i=!1;if(M["new-window"]||M["unity-launch"])i=!0;else if(M["reuse-window"])i=!1;else switch(this.configurationService.getValue("window")?.openWithoutArgumentsInNewWindow||"default"){case"on":i=!0;break;case"off":i=!1;break;default:i=!L.isMacintosh}if(i)c=this.windowsMainService.open({...r,forceNewWindow:!0,forceEmpty:!0});else{const s=this.windowsMainService.getLastActiveWindow();s?(this.windowsMainService.openExistingWindow(s,r),c=[s]):c=this.windowsMainService.open({...r,forceEmpty:!0})}}else c=this.windowsMainService.open({...r,forceNewWindow:M["new-window"],preferNewWindow:!M["reuse-window"]&&!M.wait,forceReuseWindow:M["reuse-window"],diffMode:M.diff,addMode:M.add,noRecentEntry:!!M["skip-add-to-recently-opened"],gotoLineMode:M.goto});if(o&&c.length===1&&c[0])return Promise.race([c[0].whenClosedOrLoaded,(0,S.whenDeleted)(o.fsPath)]).then(()=>{},()=>{})}async getMainProcessId(){return this.logService.trace("Received request for process ID from other instance."),process.pid}async getMainProcessInfo(){this.logService.trace("Received request for main process info from other instance.");const M=[];return w.BrowserWindow.getAllWindows().forEach(f=>{const h=this.windowsMainService.getWindowById(f.id);h?M.push(this.codeWindowToInfo(h)):M.push(this.browserWindowToInfo(f))}),{mainPID:process.pid,mainArguments:process.argv.slice(1),windows:M,screenReader:!!w.app.accessibilitySupportEnabled,gpuFeatureStatus:w.app.getGPUFeatureStatus()}}getFolderURIs(M){const f=[],h=M.openedWorkspace;if((0,t.isSingleFolderWorkspaceIdentifier)(h))f.push(h.uri);else if((0,t.isWorkspaceIdentifier)(h)){const c=this.workspacesManagementMainService.resolveLocalWorkspaceSync(h.configPath);c&&c.folders.forEach(u=>{f.push(u.uri)})}return f}codeWindowToInfo(M){const f=this.getFolderURIs(M),h=(0,D.assertIsDefined)(M.win);return this.browserWindowToInfo(h,f,M.remoteAuthority)}browserWindowToInfo(M,f=[],h){return{pid:M.webContents.getOSProcessId(),title:M.getTitle(),folderURIs:f,remoteAuthority:h}}};g=ue([te(0,k.ILogService),te(1,p.IWindowsMainService),te(2,b.IURLService),te(3,d.IWorkspacesManagementMainService),te(4,m.IConfigurationService)],g),e.LaunchMainService=g}),define(Z[58],x([0,1,45,12,26,122,46,4,33,2,10,7,3,8,86,71,24,152,47,22,5,18,6,21,32,65,34,25,42]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g,v,M,f,h,c,o,u,r,i,s,a,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeHostMainService=e.INativeHostMainService=void 0,e.INativeHostMainService=(0,h.createDecorator)("nativeHostMainService");let y=class extends E.Disposable{constructor(R,T,U,Y,ee,X,J,H,B,Q){super();this.sharedProcess=R,this.windowsMainService=T,this.dialogMainService=U,this.lifecycleMainService=Y,this.environmentMainService=ee,this.telemetryService=X,this.logService=J,this.productService=H,this.themeMainService=B,this.workspacesManagementMainService=Q,this.onDidOpenWindow=S.Event.map(this.windowsMainService.onDidOpenWindow,se=>se.id),this.onDidMaximizeWindow=S.Event.filter(S.Event.fromNodeEventEmitter(n.app,"browser-window-maximize",(se,q)=>q.id),se=>!!this.windowsMainService.getWindowById(se)),this.onDidUnmaximizeWindow=S.Event.filter(S.Event.fromNodeEventEmitter(n.app,"browser-window-unmaximize",(se,q)=>q.id),se=>!!this.windowsMainService.getWindowById(se)),this.onDidBlurWindow=S.Event.filter(S.Event.fromNodeEventEmitter(n.app,"browser-window-blur",(se,q)=>q.id),se=>!!this.windowsMainService.getWindowById(se)),this.onDidFocusWindow=S.Event.any(S.Event.map(S.Event.filter(S.Event.map(this.windowsMainService.onDidChangeWindowsCount,()=>this.windowsMainService.getLastActiveWindow()),se=>!!se),se=>se.id),S.Event.filter(S.Event.fromNodeEventEmitter(n.app,"browser-window-focus",(se,q)=>q.id),se=>!!this.windowsMainService.getWindowById(se))),this.onDidResumeOS=S.Event.fromNodeEventEmitter(n.powerMonitor,"resume"),this._onDidChangeColorScheme=this._register(new S.Emitter),this.onDidChangeColorScheme=this._onDidChangeColorScheme.event,this._onDidChangePassword=this._register(new S.Emitter),this.onDidChangePassword=this._onDidChangePassword.event,this.onDidChangeDisplay=S.Event.debounce(S.Event.any(S.Event.filter(S.Event.fromNodeEventEmitter(n.screen,"display-metrics-changed",(se,q,z)=>z),se=>!(Array.isArray(se)&&se.length===1&&se[0]==="workArea")),S.Event.fromNodeEventEmitter(n.screen,"display-added"),S.Event.fromNodeEventEmitter(n.screen,"display-removed")),()=>{},100),this.registerListeners()}registerListeners(){n.nativeTheme.on("updated",()=>{this._onDidChangeColorScheme.fire(this.osColorScheme)})}get windowId(){throw new Error("Not implemented in electron-main")}async getWindows(){return this.windowsMainService.getWindows().map(T=>({id:T.id,workspace:T.openedWorkspace,title:T.win?.getTitle()??"",filename:T.getRepresentedFilename(),dirty:T.isDocumentEdited()}))}async getWindowCount(R){return this.windowsMainService.getWindowCount()}async getActiveWindowId(R){const T=n.BrowserWindow.getFocusedWindow()||this.windowsMainService.getLastActiveWindow();if(T)return T.id}openWindow(R,T,U){return Array.isArray(T)?this.doOpenWindow(R,T,U):this.doOpenEmptyWindow(R,T)}async doOpenWindow(R,T,U=Object.create(null)){T.length>0&&this.windowsMainService.open({context:5,contextWindowId:R,urisToOpen:T,cli:this.environmentMainService.args,forceNewWindow:U.forceNewWindow,forceReuseWindow:U.forceReuseWindow,preferNewWindow:U.preferNewWindow,diffMode:U.diffMode,addMode:U.addMode,gotoLineMode:U.gotoLineMode,noRecentEntry:U.noRecentEntry,waitMarkerFileURI:U.waitMarkerFileURI,remoteAuthority:U.remoteAuthority||void 0})}async doOpenEmptyWindow(R,T){this.windowsMainService.openEmptyWindow({context:5,contextWindowId:R},T)}async toggleFullScreen(R){const T=this.windowById(R);T&&T.toggleFullScreen()}async handleTitleDoubleClick(R){const T=this.windowById(R);T&&T.handleTitleDoubleClick()}async isMaximized(R){const T=this.windowById(R);return T?.win?T.win.isMaximized():!1}async maximizeWindow(R){const T=this.windowById(R);T?.win&&T.win.maximize()}async unmaximizeWindow(R){const T=this.windowById(R);T?.win&&T.win.unmaximize()}async minimizeWindow(R){const T=this.windowById(R);T?.win&&T.win.minimize()}async focusWindow(R,T){T&&typeof T.windowId=="number"&&(R=T.windowId);const U=this.windowById(R);U&&U.focus({force:T?.force??!1})}async setMinimumSize(R,T,U){const Y=this.windowById(R);if(Y?.win){const[ee,X]=Y.win.getSize(),[J,H]=Y.win.getMinimumSize(),[B,Q]=[T??J,U??H],[se,q]=[Math.max(ee,B),Math.max(X,Q)];(J!==B||H!==Q)&&Y.win.setMinimumSize(B,Q),(ee!==se||X!==q)&&Y.win.setSize(se,q)}}async saveWindowSplash(R,T){this.themeMainService.saveWindowSplash(R,T)}async installShellCommand(R){const{source:T,target:U}=await this.getShellCommandLink();try{const{symbolicLink:Y}=await g.SymlinkSupport.stat(T);if(Y&&!Y.dangling){const ee=await(0,t.realpath)(T);if(U===ee)return}await g.Promises.unlink(T)}catch(Y){if(Y.code!=="ENOENT")throw Y}try{await g.Promises.symlink(U,T)}catch(Y){if(Y.code!=="EACCES"&&Y.code!=="ENOENT")throw Y;const{response:ee}=await this.showMessageBox(R,{title:this.productService.nameLong,type:"info",message:(0,v.localize)(0,null,this.productService.nameShort),buttons:[(0,m.mnemonicButtonLabel)((0,v.localize)(1,null)),(0,m.mnemonicButtonLabel)((0,v.localize)(2,null))],noLink:!0,defaultId:0,cancelId:1});if(ee===0)try{const X=`osascript -e "do shell script \\"mkdir -p /usr/local/bin && ln -sf '${U}' '${T}'\\" with administrator privileges"`;await(0,D.promisify)(w.exec)(X)}catch{throw new Error((0,v.localize)(3,null,T))}}}async uninstallShellCommand(R){const{source:T}=await this.getShellCommandLink();try{await g.Promises.unlink(T)}catch(U){switch(U.code){case"EACCES":{const{response:Y}=await this.showMessageBox(R,{title:this.productService.nameLong,type:"info",message:(0,v.localize)(4,null,this.productService.nameShort),buttons:[(0,m.mnemonicButtonLabel)((0,v.localize)(5,null)),(0,m.mnemonicButtonLabel)((0,v.localize)(6,null))],noLink:!0,defaultId:0,cancelId:1});if(Y===0)try{const ee=`osascript -e "do shell script \\"rm '${T}'\\" with administrator privileges"`;await(0,D.promisify)(w.exec)(ee)}catch{throw new Error((0,v.localize)(7,null,T))}break}case"ENOENT":break;default:throw U}}}async getShellCommandLink(){const R=(0,k.resolve)(this.environmentMainService.appRoot,"bin","code"),T=`/usr/local/bin/${this.productService.applicationName}`;if(!await g.Promises.exists(R))throw new Error((0,v.localize)(8,null,R));return{source:T,target:R}}async showMessageBox(R,T){return this.dialogMainService.showMessageBox(T,this.toBrowserWindow(R))}async showSaveDialog(R,T){return this.dialogMainService.showSaveDialog(T,this.toBrowserWindow(R))}async showOpenDialog(R,T){return this.dialogMainService.showOpenDialog(T,this.toBrowserWindow(R))}toBrowserWindow(R){const T=this.windowById(R);if(T?.win)return T.win}async pickFileFolderAndOpen(R,T){const U=await this.dialogMainService.pickFileFolder(T);U&&(this.sendPickerTelemetry(U,T.telemetryEventName||"openFileFolder",T.telemetryExtraData),this.doOpenPicked(await Promise.all(U.map(async Y=>await g.SymlinkSupport.existsDirectory(Y)?{folderUri:p.URI.file(Y)}:{fileUri:p.URI.file(Y)})),T,R))}async pickFolderAndOpen(R,T){const U=await this.dialogMainService.pickFolder(T);U&&(this.sendPickerTelemetry(U,T.telemetryEventName||"openFolder",T.telemetryExtraData),this.doOpenPicked(U.map(Y=>({folderUri:p.URI.file(Y)})),T,R))}async pickFileAndOpen(R,T){const U=await this.dialogMainService.pickFile(T);U&&(this.sendPickerTelemetry(U,T.telemetryEventName||"openFile",T.telemetryExtraData),this.doOpenPicked(U.map(Y=>({fileUri:p.URI.file(Y)})),T,R))}async pickWorkspaceAndOpen(R,T){const U=await this.dialogMainService.pickWorkspace(T);U&&(this.sendPickerTelemetry(U,T.telemetryEventName||"openWorkspace",T.telemetryExtraData),this.doOpenPicked(U.map(Y=>({workspaceUri:p.URI.file(Y)})),T,R))}doOpenPicked(R,T,U){this.windowsMainService.open({context:3,contextWindowId:U,cli:this.environmentMainService.args,urisToOpen:R,forceNewWindow:T.forceNewWindow})}sendPickerTelemetry(R,T,U){const Y=R?R.length:0;this.telemetryService.publicLog(T,{...U,outcome:Y?"success":"canceled",numberOfPaths:Y})}async showItemInFolder(R,T){n.shell.showItemInFolder(T)}async setRepresentedFilename(R,T){const U=this.windowById(R);U&&U.setRepresentedFilename(T)}async setDocumentEdited(R,T){const U=this.windowById(R);U&&U.setDocumentEdited(T)}async openExternal(R,T){return b.isLinuxSnap?this.safeSnapOpenExternal(T):n.shell.openExternal(T),!0}safeSnapOpenExternal(R){const T=process.env.GDK_PIXBUF_MODULE_FILE,U=process.env.GDK_PIXBUF_MODULEDIR;delete process.env.GDK_PIXBUF_MODULE_FILE,delete process.env.GDK_PIXBUF_MODULEDIR,n.shell.openExternal(R),process.env.GDK_PIXBUF_MODULE_FILE=T,process.env.GDK_PIXBUF_MODULEDIR=U}moveItemToTrash(R,T){return n.shell.trashItem(T)}async isAdmin(){let R;return b.isWindows?R=(await new Promise((T,U)=>{V(["native-is-elevated"],T,U)}))():R=process.getuid()===0,R}async writeElevated(R,T,U,Y){const ee=await new Promise((X,J)=>{V(["@vscode/sudo-prompt"],X,J)});return new Promise((X,J)=>{const H=[`"${this.cliPath}"`];Y?.unlock&&H.push("--file-chmod"),H.push("--file-write",`"${T.fsPath}"`,`"${U.fsPath}"`);const B={name:this.productService.nameLong.replace("-",""),icns:b.isMacintosh&&this.environmentMainService.isBuilt?(0,k.join)((0,k.dirname)(this.environmentMainService.appRoot),`${this.productService.nameShort}.icns`):void 0};ee.exec(H.join(" "),B,(Q,se,q)=>{se&&this.logService.trace(`[sudo-prompt] received stdout: ${se}`),q&&this.logService.trace(`[sudo-prompt] received stderr: ${q}`),Q?J(Q):X(void 0)})})}get cliPath(){return b.isWindows?this.environmentMainService.isBuilt?(0,k.join)((0,k.dirname)(process.execPath),"bin",`${this.productService.applicationName}.cmd`):(0,k.join)(this.environmentMainService.appRoot,"scripts","code-cli.bat"):b.isLinux?this.environmentMainService.isBuilt?(0,k.join)((0,k.dirname)(process.execPath),"bin",`${this.productService.applicationName}`):(0,k.join)(this.environmentMainService.appRoot,"scripts","code-cli.sh"):this.environmentMainService.isBuilt?(0,k.join)(this.environmentMainService.appRoot,"bin","code"):(0,k.join)(this.environmentMainService.appRoot,"scripts","code-cli.sh")}async getOSStatistics(){return{totalmem:(0,L.totalmem)(),freemem:(0,L.freemem)(),loadavg:(0,L.loadavg)()}}async getOSProperties(){return{arch:(0,L.arch)(),platform:(0,L.platform)(),release:(0,L.release)(),type:(0,L.type)(),cpus:(0,L.cpus)()}}async getOSVirtualMachineHint(){return d.virtualMachineHint.value()}get osColorScheme(){return{highContrast:n.nativeTheme.shouldUseInvertedColorScheme||n.nativeTheme.shouldUseHighContrastColors,dark:n.nativeTheme.shouldUseDarkColors}}async getOSColorScheme(){return this.osColorScheme}async killProcess(R,T,U){process.kill(T,U)}async readClipboardText(R,T){return n.clipboard.readText(T)}async writeClipboardText(R,T,U){return n.clipboard.writeText(T,U)}async readClipboardFindText(R){return n.clipboard.readFindText()}async writeClipboardFindText(R,T){return n.clipboard.writeFindText(T)}async writeClipboardBuffer(R,T,U,Y){return n.clipboard.writeBuffer(T,Buffer.from(U),Y)}async readClipboardBuffer(R,T){return n.clipboard.readBuffer(T)}async hasClipboard(R,T,U){return n.clipboard.has(T,U)}async newWindowTab(){this.windowsMainService.open({context:5,cli:this.environmentMainService.args,forceNewTabbedWindow:!0,forceEmpty:!0,remoteAuthority:this.environmentMainService.args.remote||void 0})}async showPreviousWindowTab(){n.Menu.sendActionToFirstResponder("selectPreviousTab:")}async showNextWindowTab(){n.Menu.sendActionToFirstResponder("selectNextTab:")}async moveWindowTabToNewWindow(){n.Menu.sendActionToFirstResponder("moveTabToNewWindow:")}async mergeAllWindowTabs(){n.Menu.sendActionToFirstResponder("mergeAllWindows:")}async toggleWindowTabsBar(){n.Menu.sendActionToFirstResponder("toggleTabBar:")}async updateTouchBar(R,T){const U=this.windowById(R);U&&U.updateTouchBar(T)}async notifyReady(R){const T=this.windowById(R);T&&T.setReady()}async relaunch(R,T){return this.lifecycleMainService.relaunch(T)}async reload(R,T){const U=this.windowById(R);if(U){if((0,a.isWorkspaceIdentifier)(U.openedWorkspace)){const Y=U.openedWorkspace.configPath;if(Y.scheme===I.Schemas.file&&(await this.workspacesManagementMainService.resolveLocalWorkspace(Y))?.transient)return this.openWindow(U.id,{forceReuseWindow:!0})}return this.lifecycleMainService.reload(U,T?.disableExtensions!==void 0?{_:[],"disable-extensions":T.disableExtensions}:void 0)}}async closeWindow(R){this.closeWindowById(R,R)}async closeWindowById(R,T){const U=this.windowById(T);if(U?.win)return U.win.close()}async quit(R){const T=this.windowsMainService.getLastActiveWindow();T?.isExtensionDevelopmentHost&&this.windowsMainService.getWindowCount()>1&&T.win?T.win.close():this.lifecycleMainService.quit()}async exit(R,T){await this.lifecycleMainService.kill(T)}async resolveProxy(R,T){const Y=this.windowById(R)?.win?.webContents?.session;if(Y)return Y.resolveProxy(T)}async openDevTools(R,T){const U=this.windowById(R);U?.win&&U.win.webContents.openDevTools(T)}async toggleDevTools(R){const T=this.windowById(R);T?.win&&T.win.webContents.toggleDevTools()}async sendInputEvent(R,T){const U=this.windowById(R);U?.win&&(T.type==="mouseDown"||T.type==="mouseUp")&&U.win.webContents.sendInputEvent(T)}async toggleSharedProcessWindow(){return this.sharedProcess.toggle()}async windowsGetStringRegKey(R,T,U,Y){if(!b.isWindows)return;const ee=await new Promise((X,J)=>{V(["@vscode/windows-registry"],X,J)});try{return ee.GetStringRegKey(T,U,Y)}catch{return}}windowById(R){if(typeof R=="number")return this.windowsMainService.getWindowById(R)}};ue([P.memoize],y.prototype,"cliPath",null),y=ue([te(1,s.IWindowsMainService),te(2,M.IDialogMainService),te(3,c.ILifecycleMainService),te(4,f.IEnvironmentMainService),te(5,r.ITelemetryService),te(6,o.ILogService),te(7,u.IProductService),te(8,i.IThemeMainService),te(9,l.IWorkspacesManagementMainService)],y),e.NativeHostMainService=y}),define(Z[240],x([0,1,12,26,33,2,10,3,87,150,75,104,47,22,5,105,6,58,53,21,54,66]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g,v,M,f,h,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IssueMainService=e.IIssueMainService=void 0,e.IIssueMainService=(0,t.createDecorator)("issueMainService");let o=class Mt{constructor(r,i,s,a,l,y,C,R,T,U){this.userEnv=r,this.environmentMainService=i,this.launchMainService=s,this.logService=a,this.diagnosticsService=l,this.diagnosticsMainService=y,this.dialogMainService=C,this.nativeHostMainService=R,this.protocolMainService=T,this.productService=U,this.issueReporterWindow=null,this.issueReporterParentWindow=null,this.processExplorerWindow=null,this.processExplorerParentWindow=null,this.registerListeners()}registerListeners(){w.ipcMain.on("vscode:issueSystemInfoRequest",async r=>{const[i,s]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.diagnosticsMainService.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]),a=await this.diagnosticsService.getSystemInfo(i,s);this.safeSend(r,"vscode:issueSystemInfoResponse",a)}),w.ipcMain.on("vscode:listProcesses",async r=>{const i=[];try{const s=await this.launchMainService.getMainProcessId();i.push({name:(0,E.localize)(0,null),rootProcess:await(0,m.listProcesses)(s)}),(await this.diagnosticsMainService.getRemoteDiagnostics({includeProcesses:!0})).forEach(l=>{(0,I.isRemoteDiagnosticError)(l)?i.push({name:l.hostName,rootProcess:l}):l.processes&&i.push({name:l.hostName,rootProcess:l.processes})})}catch(s){this.logService.error(`Listing processes failed: ${s}`)}this.safeSend(r,"vscode:listProcessesResponse",i)}),w.ipcMain.on("vscode:issueReporterClipboard",async r=>{const i={title:this.productService.nameLong,message:(0,E.localize)(1,null),type:"warning",buttons:[(0,L.mnemonicButtonLabel)((0,E.localize)(2,null)),(0,L.mnemonicButtonLabel)((0,E.localize)(3,null))],defaultId:0,cancelId:1,noLink:!0};if(this.issueReporterWindow){const s=await this.dialogMainService.showMessageBox(i,this.issueReporterWindow);this.safeSend(r,"vscode:issueReporterClipboardResponse",s.response===0)}}),w.ipcMain.on("vscode:issuePerformanceInfoRequest",async r=>{const i=await this.getPerformanceInfo();this.safeSend(r,"vscode:issuePerformanceInfoResponse",i)}),w.ipcMain.on("vscode:issueReporterConfirmClose",async()=>{const r={title:this.productService.nameLong,message:(0,E.localize)(4,null),type:"warning",buttons:[(0,L.mnemonicButtonLabel)((0,E.localize)(5,null)),(0,L.mnemonicButtonLabel)((0,E.localize)(6,null))],defaultId:0,cancelId:1,noLink:!0};this.issueReporterWindow&&(await this.dialogMainService.showMessageBox(r,this.issueReporterWindow)).response===0&&this.issueReporterWindow&&(this.issueReporterWindow.destroy(),this.issueReporterWindow=null)}),w.ipcMain.on("vscode:workbenchCommand",(r,i)=>{const{id:s,from:a,args:l}=i;let y;switch(a){case"issueReporter":y=this.issueReporterParentWindow;break;case"processExplorer":y=this.processExplorerParentWindow;break;default:throw new Error(`Unexpected command source: ${a}`)}y&&y.webContents.send("vscode:runAction",{id:s,from:a,args:l})}),w.ipcMain.on("vscode:openExternal",(r,i)=>{this.nativeHostMainService.openExternal(void 0,i)}),w.ipcMain.on("vscode:closeIssueReporter",r=>{this.issueReporterWindow&&this.issueReporterWindow.close()}),w.ipcMain.on("vscode:closeProcessExplorer",r=>{this.processExplorerWindow&&this.processExplorerWindow.close()}),w.ipcMain.on("vscode:windowsInfoRequest",async r=>{const i=await this.launchMainService.getMainProcessInfo();this.safeSend(r,"vscode:windowsInfoResponse",i.windows)})}safeSend(r,i,...s){r.sender.isDestroyed()||r.sender.send(i,...s)}async openReporter(r){if(!this.issueReporterWindow&&(this.issueReporterParentWindow=w.BrowserWindow.getFocusedWindow(),this.issueReporterParentWindow)){const i=new D.DisposableStore,s=i.add(this.protocolMainService.createIPCObjectUrl()),a=this.getWindowPosition(this.issueReporterParentWindow,700,800);this.issueReporterWindow=this.createBrowserWindow(a,s,{backgroundColor:r.styles.backgroundColor,title:(0,E.localize)(7,null),zoomLevel:r.zoomLevel,alwaysOnTop:!1},"issue-reporter"),s.update({appRoot:this.environmentMainService.appRoot,windowId:this.issueReporterWindow.id,userEnv:this.userEnv,data:r,disableExtensions:!!this.environmentMainService.disableExtensions,os:{type:(0,n.type)(),arch:(0,n.arch)(),release:(0,n.release)()},product:M.default}),this.issueReporterWindow.loadURL(P.FileAccess.asBrowserUri("vs/code/electron-sandbox/issue/issueReporter.html",V).toString(!0)),this.issueReporterWindow.on("close",()=>{this.issueReporterWindow=null,i.dispose()}),this.issueReporterParentWindow.on("closed",()=>{this.issueReporterWindow&&(this.issueReporterWindow.close(),this.issueReporterWindow=null,i.dispose())})}this.issueReporterWindow&&this.focusWindow(this.issueReporterWindow)}async openProcessExplorer(r){if(!this.processExplorerWindow&&(this.processExplorerParentWindow=w.BrowserWindow.getFocusedWindow(),this.processExplorerParentWindow)){const i=new D.DisposableStore,s=i.add(this.protocolMainService.createIPCObjectUrl()),a=this.getWindowPosition(this.processExplorerParentWindow,800,500);this.processExplorerWindow=this.createBrowserWindow(a,s,{backgroundColor:r.styles.backgroundColor,title:(0,E.localize)(8,null),zoomLevel:r.zoomLevel,alwaysOnTop:!0},"process-explorer"),s.update({appRoot:this.environmentMainService.appRoot,windowId:this.processExplorerWindow.id,userEnv:this.userEnv,data:r,product:M.default}),this.processExplorerWindow.loadURL(P.FileAccess.asBrowserUri("vs/code/electron-sandbox/processExplorer/processExplorer.html",V).toString(!0)),this.processExplorerWindow.on("close",()=>{this.processExplorerWindow=null,i.dispose()}),this.processExplorerParentWindow.on("close",()=>{this.processExplorerWindow&&(this.processExplorerWindow.close(),this.processExplorerWindow=null,i.dispose())})}this.processExplorerWindow&&this.focusWindow(this.processExplorerWindow)}focusWindow(r){r.isMinimized()&&r.restore(),r.focus()}createBrowserWindow(r,i,s,a){const l=new w.BrowserWindow({fullscreen:!1,skipTaskbar:!0,resizable:!0,width:r.width,height:r.height,minWidth:300,minHeight:200,x:r.x,y:r.y,title:s.title,backgroundColor:s.backgroundColor||Mt.DEFAULT_BACKGROUND_COLOR,webPreferences:{preload:P.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",V).fsPath,additionalArguments:[`--vscode-window-config=${i.resource.toString()}`,`--vscode-window-kind=${a}`],v8CacheOptions:this.environmentMainService.useCodeCache?"bypassHeatCheck":"none",enableWebSQL:!1,spellcheck:!1,nativeWindowOpen:!0,zoomFactor:(0,c.zoomLevelToZoomFactor)(s.zoomLevel),sandbox:!0,contextIsolation:!0},alwaysOnTop:s.alwaysOnTop,experimentalDarkMode:!0});return l.setMenuBarVisibility(!1),l}async getSystemStatus(){const[r,i]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.diagnosticsMainService.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]);return this.diagnosticsService.getDiagnostics(r,i)}getWindowPosition(r,i,s){let a;const l=w.screen.getAllDisplays();if(l.length===1)a=l[0];else{if(S.isMacintosh){const R=w.screen.getCursorScreenPoint();a=w.screen.getDisplayNearestPoint(R)}!a&&r&&(a=w.screen.getDisplayMatching(r.getBounds())),a||(a=w.screen.getPrimaryDisplay()||l[0])}const y={width:i,height:s},C=a.bounds;return y.x=C.x+C.width/2-y.width/2,y.y=C.y+C.height/2-y.height/2,C.width>0&&C.height>0&&(y.x<C.x&&(y.x=C.x),y.y<C.y&&(y.y=C.y),y.x>C.x+C.width&&(y.x=C.x),y.y>C.y+C.height&&(y.y=C.y),y.width>C.width&&(y.width=C.width),y.height>C.height&&(y.height=C.height)),y}async getPerformanceInfo(){try{const[r,i]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.diagnosticsMainService.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0})]);return await this.diagnosticsService.getPerformanceInfo(r,i)}catch(r){throw this.logService.warn("issueService#getPerformanceInfo ",r.message),r}}};o.DEFAULT_BACKGROUND_COLOR="#1E1E1E",o=ue([te(1,p.IEnvironmentMainService),te(2,d.ILaunchMainService),te(3,g.ILogService),te(4,I.IDiagnosticsService),te(5,k.IDiagnosticsMainService),te(6,b.IDialogMainService),te(7,v.INativeHostMainService),te(8,h.IProtocolMainService),te(9,f.IProductService)],o),e.IssueMainService=o}),define(Z[241],x([0,1,23,19,22,18,6,58,21,56,32,41,82]),function(V,e,w,n,L,D,P,S,m,E,I,k,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxUpdateService=void 0;let p=class extends b.AbstractUpdateService{constructor(d,g,v,M,f,h,c,o){super(d,g,M,f,h,o);this.telemetryService=v,this.nativeHostMainService=c}buildUpdateFeedUrl(d){return(0,b.createUpdateURL)(`linux-${process.arch}`,d,this.productService)}doCheckForUpdates(d){!this.url||(this.setState(k.State.CheckingForUpdates(d)),this.requestService.request({url:this.url},w.CancellationToken.None).then(E.asJson).then(g=>{!g||!g.url||!g.version||!g.productVersion?(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!d}),this.setState(k.State.Idle(1))):this.setState(k.State.AvailableForDownload(g))}).then(void 0,g=>{this.logService.error(g),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!d});const v=d?g.message||g:void 0;this.setState(k.State.Idle(1,v))}))}async doDownloadUpdate(d){this.productService.downloadUrl&&this.productService.downloadUrl.length>0?this.nativeHostMainService.openExternal(void 0,this.productService.downloadUrl):d.update.url&&this.nativeHostMainService.openExternal(void 0,d.update.url),this.setState(k.State.Idle(1))}};p=ue([te(0,D.ILifecycleMainService),te(1,n.IConfigurationService),te(2,I.ITelemetryService),te(3,L.IEnvironmentMainService),te(4,E.IRequestService),te(5,P.ILogService),te(6,S.INativeHostMainService),te(7,m.IProductService)],p),e.LinuxUpdateService=p}),define(Z[242],x([0,1,45,29,26,9,23,46,7,8,119,24,19,22,20,18,6,58,21,56,32,41,82]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g,v,M,f,h,c,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Win32UpdateService=void 0;async function u(a,l=1e3){for(;!a();)await(0,D.timeout)(l)}let r;function i(){return typeof r=="undefined"&&(r=n.existsSync(m.join(m.dirname(process.execPath),"unins000.exe"))?0:1),r}let s=class extends o.AbstractUpdateService{constructor(l,y,C,R,T,U,Y,ee,X){super(l,y,R,T,U,X);this.telemetryService=C,this.fileService=Y,this.nativeHostMainService=ee}get cachePath(){const l=m.join((0,L.tmpdir)(),`vscode-update-${this.productService.target}-${process.arch}`);return k.Promises.mkdir(l,{recursive:!0}).then(()=>l)}initialize(){super.initialize()}buildUpdateFeedUrl(l){let y="win32";return process.arch!=="ia32"&&(y+=`-${process.arch}`),i()===1?y+="-archive":this.productService.target==="user"&&(y+="-user"),(0,o.createUpdateURL)(y,l,this.productService)}doCheckForUpdates(l){!this.url||(this.setState(c.State.CheckingForUpdates(l)),this.requestService.request({url:this.url},P.CancellationToken.None).then(f.asJson).then(y=>{const C=i();return!y||!y.url||!y.version||!y.productVersion?(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!l}),this.setState(c.State.Idle(C)),Promise.resolve(null)):C===1?(this.setState(c.State.AvailableForDownload(y)),Promise.resolve(null)):(this.setState(c.State.Downloading(y)),this.cleanup(y.version).then(()=>this.getUpdatePackagePath(y.version).then(R=>k.Promises.exists(R).then(T=>{if(T)return Promise.resolve(R);const U=y.url,Y=y.hash,ee=`${R}.tmp`;return this.requestService.request({url:U},P.CancellationToken.None).then(X=>this.fileService.writeFile(E.URI.file(ee),X.stream)).then(Y?()=>(0,I.checksum)(ee,y.hash):()=>{}).then(()=>k.Promises.rename(ee,R)).then(()=>R)})).then(R=>{const T=this.configurationService.getValue("update.enableWindowsBackgroundUpdates");this.availableUpdate={packagePath:R},T&&y.supportsFastUpdate?this.productService.target==="user"?this.doApplyUpdate():this.setState(c.State.Downloaded(y)):this.setState(c.State.Ready(y))})))}).then(void 0,y=>{this.logService.error(y),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!l});const C=l?y.message||y:void 0;this.setState(c.State.Idle(i(),C))}))}async doDownloadUpdate(l){l.update.url&&this.nativeHostMainService.openExternal(void 0,l.update.url),this.setState(c.State.Idle(i()))}async getUpdatePackagePath(l){const y=await this.cachePath;return m.join(y,`CodeSetup-${this.productService.quality}-${l}.exe`)}async cleanup(l=null){const y=l?U=>!new RegExp(`${this.productService.quality}-${l}\\.exe$`).test(U):()=>!0,C=await this.cachePath,T=(await k.Promises.readdir(C)).filter(y).map(async U=>{try{await k.Promises.unlink(m.join(C,U))}catch{}});await Promise.all(T)}async doApplyUpdate(){if(this.state.type!=="downloaded"&&this.state.type!=="downloading"||!this.availableUpdate)return Promise.resolve(void 0);const l=this.state.update;this.setState(c.State.Updating(l));const y=await this.cachePath;this.availableUpdate.updateFilePath=m.join(y,`CodeSetup-${this.productService.quality}-${l.version}.flag`),await k.Promises.writeFile(this.availableUpdate.updateFilePath,"flag"),(0,w.spawn)(this.availableUpdate.packagePath,["/verysilent",`/update="${this.availableUpdate.updateFilePath}"`,"/nocloseapplications","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"],windowsVerbatimArguments:!0}).once("exit",()=>{this.availableUpdate=void 0,this.setState(c.State.Idle(i()))});const R=`${this.productService.win32MutexName}-ready`,T=await new Promise((U,Y)=>{V(["windows-mutex"],U,Y)});u(()=>T.isActive(R)).then(()=>this.setState(c.State.Ready(l)))}doQuitAndInstall(){this.state.type!=="ready"||!this.availableUpdate||(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.state.update.supportsFastUpdate&&this.availableUpdate.updateFilePath?n.unlinkSync(this.availableUpdate.updateFilePath):(0,w.spawn)(this.availableUpdate.packagePath,["/silent","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"]}))}getUpdateType(){return i()}};ue([S.memoize],s.prototype,"cachePath",null),s=ue([te(0,d.ILifecycleMainService),te(1,b.IConfigurationService),te(2,h.ITelemetryService),te(3,p.IEnvironmentMainService),te(4,f.IRequestService),te(5,g.ILogService),te(6,t.IFileService),te(7,v.INativeHostMainService),te(8,M.IProductService)],s),e.Win32UpdateService=s}),define(Z[243],x([0,1,12,9,23,39,4,33,2,10,7,63,3,8,157,51,19,47,22,50,20,18,6,21,54,210,81,32,213,65,66,34,25,42,101]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g,v,M,f,h,c,o,u,r,i,s,a,l,y,C,R,T,U,Y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeWindow=void 0;var ee;(function(J){J[J.NONE=0]="NONE",J[J.NAVIGATING=1]="NAVIGATING",J[J.READY=2]="READY"})(ee||(ee={}));let X=class extends m.Disposable{constructor(H,B,Q,se,q,z,j,$,F,N,W,A,O,_,G){super();this.logService=B,this.environmentMainService=Q,this.fileService=se,this.globalStorageMainService=q,this.configurationService=z,this.themeMainService=j,this.workspacesManagementMainService=$,this.backupMainService=F,this.telemetryService=N,this.dialogMainService=W,this.lifecycleMainService=A,this.productService=O,this.protocolMainService=_,this.windowsMainService=G,this._onWillLoad=this._register(new P.Emitter),this.onWillLoad=this._onWillLoad.event,this._onDidSignalReady=this._register(new P.Emitter),this.onDidSignalReady=this._onDidSignalReady.event,this._onDidClose=this._register(new P.Emitter),this.onDidClose=this._onDidClose.event,this._onDidDestroy=this._register(new P.Emitter),this.onDidDestroy=this._onDidDestroy.event,this._lastFocusTime=-1,this.whenReadyCallbacks=[],this.touchBarGroups=[],this.currentHttpProxy=void 0,this.currentNoProxy=void 0,this.configObjectUrl=this._register(this.protocolMainService.createIPCObjectUrl()),this.wasLoaded=!1,this.readyState=0;{const[ie,ae]=this.restoreWindowState(H.state);this.windowState=ie,this.logService.trace("window#ctor: using window state",ie);const ce=this.windowState.mode===0||this.windowState.mode===3,ne=this.configurationService.getValue("window"),le={width:this.windowState.width,height:this.windowState.height,x:this.windowState.x,y:this.windowState.y,backgroundColor:this.themeMainService.getBackgroundColor(),minWidth:C.WindowMinimumSize.WIDTH,minHeight:C.WindowMinimumSize.HEIGHT,show:!ce,title:this.productService.nameLong,webPreferences:{preload:E.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",V).fsPath,additionalArguments:[`--vscode-window-config=${this.configObjectUrl.resource.toString()}`],v8CacheOptions:this.environmentMainService.useCodeCache?"bypassHeatCheck":"none",enableWebSQL:!1,spellcheck:!1,nativeWindowOpen:!0,zoomFactor:(0,C.zoomLevelToZoomFactor)(ne?.zoomLevel),enableBlinkFeatures:"HighlightAPI",...this.environmentMainService.sandbox?{sandbox:!0}:{nodeIntegration:!0,contextIsolation:!1}},experimentalDarkMode:!0};b.isLinux?le.icon=(0,I.join)(this.environmentMainService.appRoot,"resources/linux/code.png"):b.isWindows&&!this.environmentMainService.isBuilt&&(le.icon=(0,I.join)(this.environmentMainService.appRoot,"resources/win32/code_150x150.png")),b.isMacintosh&&!this.useNativeFullScreen()&&(le.fullscreenable=!1),b.isMacintosh&&(le.acceptFirstMouse=!0,ne?.clickThroughInactive===!1&&(le.acceptFirstMouse=!1));const he=b.isMacintosh&&ne?.nativeTabs===!0;he&&(le.tabbingIdentifier=this.productService.nameShort);const we=(0,C.getTitleBarStyle)(this.configurationService)==="custom";if(we&&(le.titleBarStyle="hidden",this.hiddenTitleBarStyle=!0,b.isMacintosh||(le.frame=!1)),(0,k.mark)("code/willCreateCodeBrowserWindow"),this._win=new w.BrowserWindow(le),(0,k.mark)("code/didCreateCodeBrowserWindow"),this._id=this._win.id,this.environmentMainService.args["open-devtools"]===!0&&this._win.webContents.openDevTools(),b.isMacintosh&&we&&this._win.setSheetOffset(22),b.isMacintosh&&ae&&(!he||w.BrowserWindow.getAllWindows().length===1)&&[this.windowState.width,this.windowState.height,this.windowState.x,this.windowState.y].every(be=>typeof be=="number")){const be=this.windowState;this._win.setBounds({width:be.width,height:be.height,x:be.x,y:be.y})}ce&&((0,k.mark)("code/willMaximizeCodeWindow"),this._win.maximize(),this.windowState.mode===3&&this.setFullScreen(!0),this._win.isVisible()||this._win.show(),(0,k.mark)("code/didMaximizeCodeWindow")),this._lastFocusTime=Date.now()}this.onConfigurationUpdated(),this.createTouchBar(),this.registerListeners()}get id(){return this._id}get win(){return this._win}get lastFocusTime(){return this._lastFocusTime}get backupPath(){return this.currentConfig?.backupPath}get openedWorkspace(){return this.currentConfig?.workspace}get remoteAuthority(){return this.currentConfig?.remoteAuthority}get config(){return this.currentConfig}get hasHiddenTitleBarStyle(){return!!this.hiddenTitleBarStyle}get isExtensionDevelopmentHost(){return!!this.currentConfig?.extensionDevelopmentPath}get isExtensionTestHost(){return!!this.currentConfig?.extensionTestsPath}get isExtensionDevelopmentTestFromCli(){return this.isExtensionDevelopmentHost&&this.isExtensionTestHost&&!this.currentConfig?.debugId}setRepresentedFilename(H){b.isMacintosh?this._win.setRepresentedFilename(H):this.representedFilename=H}getRepresentedFilename(){return b.isMacintosh?this._win.getRepresentedFilename():this.representedFilename}setDocumentEdited(H){b.isMacintosh&&this._win.setDocumentEdited(H),this.documentEdited=H}isDocumentEdited(){return b.isMacintosh?this._win.isDocumentEdited():!!this.documentEdited}focus(H){b.isMacintosh&&H?.force&&w.app.focus({steal:!0}),!!this._win&&(this._win.isMinimized()&&this._win.restore(),this._win.focus())}setReady(){for(this.logService.info(`window#load: window reported ready (id: ${this._id})`),this.readyState=2;this.whenReadyCallbacks.length;)this.whenReadyCallbacks.pop()(this);this._onDidSignalReady.fire()}ready(){return new Promise(H=>{if(this.isReady)return H(this);this.whenReadyCallbacks.push(H)})}get isReady(){return this.readyState===2}get whenClosedOrLoaded(){return new Promise(H=>{function B(){Q.dispose(),se.dispose(),H()}const Q=this.onDidClose(()=>B()),se=this.onWillLoad(()=>B())})}registerListeners(){this._win.on("unresponsive",()=>this.onWindowError(1)),this._win.webContents.on("render-process-gone",(B,Q)=>this.onWindowError(2,Q)),this._win.webContents.on("did-fail-load",(B,Q,se)=>this.onWindowError(3,{reason:se,exitCode:Q})),this._win.webContents.on("will-prevent-unload",B=>{B.preventDefault()}),this._win.on("closed",()=>{this._onDidClose.fire(),this.dispose()}),this._win.webContents.on("did-finish-load",()=>{this.pendingLoadConfig&&(this.currentConfig=this.pendingLoadConfig,this.pendingLoadConfig=void 0)}),this._win.on("focus",()=>{this._lastFocusTime=Date.now()}),this._win.on("maximize",B=>{this.currentConfig&&(this.currentConfig.maximized=!0),w.app.emit("browser-window-maximize",B,this._win)}),this._win.on("unmaximize",B=>{this.currentConfig&&(this.currentConfig.maximized=!1),w.app.emit("browser-window-unmaximize",B,this._win)}),this._win.on("enter-full-screen",()=>{this.sendWhenReady("vscode:enterFullScreen",L.CancellationToken.None)}),this._win.on("leave-full-screen",()=>{this.sendWhenReady("vscode:leaveFullScreen",L.CancellationToken.None)}),this._register(this.configurationService.onDidChangeConfiguration(()=>this.onConfigurationUpdated())),this._register(this.workspacesManagementMainService.onDidDeleteUntitledWorkspace(B=>this.onDidDeleteUntitledWorkspace(B)));const H=["https://marketplace.visualstudio.com/*","https://*.vsassets.io/*"];this._win.webContents.session.webRequest.onBeforeSendHeaders({urls:H},async(B,Q)=>{const se=await this.getMarketplaceHeaders();Q({cancel:!1,requestHeaders:Object.assign(B.requestHeaders,se)})})}getMarketplaceHeaders(){return this.marketplaceHeadersPromise||(this.marketplaceHeadersPromise=(0,i.resolveMarketplaceHeaders)(this.productService.version,this.productService,this.environmentMainService,this.configurationService,this.fileService,this.globalStorageMainService)),this.marketplaceHeadersPromise}async onWindowError(H,B){switch(H){case 2:this.logService.error(`CodeWindow: renderer process crashed (reason: ${B?.reason||"<unknown>"}, code: ${B?.exitCode||"<unknown>"})`);break;case 1:this.logService.error("CodeWindow: detected unresponsive");break;case 3:this.logService.error(`CodeWindow: failed to load (reason: ${B?.reason||"<unknown>"}, code: ${B?.exitCode||"<unknown>"})`);break}switch(this.telemetryService.publicLog2("windowerror",{type:H,reason:B?.reason,code:B?.exitCode}),H){case 1:case 2:if(this.isExtensionDevelopmentTestFromCli){this.lifecycleMainService.kill(1);return}if(this.environmentMainService.driverHandle){this.destroyWindow(!1);return}if(H===1){if(this.isExtensionDevelopmentHost||this.isExtensionTestHost||this._win&&this._win.webContents&&this._win.webContents.isDevToolsOpened())return;const Q=await this.dialogMainService.showMessageBox({title:this.productService.nameLong,type:"warning",buttons:[(0,S.mnemonicButtonLabel)((0,t.localize)(0,null)),(0,S.mnemonicButtonLabel)((0,t.localize)(1,null)),(0,S.mnemonicButtonLabel)((0,t.localize)(2,null))],message:(0,t.localize)(3,null),detail:(0,t.localize)(4,null),noLink:!0,defaultId:0,cancelId:1},this._win);if(Q.response!==1){const se=Q.response===0;this.destroyWindow(se)}}else if(H===2){let Q;B?Q=(0,t.localize)(6,null,B.reason,B.exitCode??"<unknown>"):Q=(0,t.localize)(5,null);const q=(await this.dialogMainService.showMessageBox({title:this.productService.nameLong,type:"warning",buttons:[(0,S.mnemonicButtonLabel)((0,t.localize)(7,null)),(0,S.mnemonicButtonLabel)((0,t.localize)(8,null))],message:Q,detail:(0,t.localize)(9,null),noLink:!0,defaultId:0},this._win)).response===0;this.destroyWindow(q)}break}}destroyWindow(H){if(this._onDidDestroy.fire(),this._win?.destroy(),H&&this.config){let B,Q;(0,T.isSingleFolderWorkspaceIdentifier)(this.openedWorkspace)?B={folderUri:this.openedWorkspace.uri}:(0,T.isWorkspaceIdentifier)(this.openedWorkspace)?B={workspaceUri:this.openedWorkspace.configPath}:Q=!0;const[se]=this.windowsMainService.open({context:5,userEnv:this.config.userEnv,cli:{...this.environmentMainService.args,_:[]},urisToOpen:B?[B]:void 0,forceEmpty:Q,forceNewWindow:!0,remoteAuthority:this.remoteAuthority});se.focus()}}onDidDeleteUntitledWorkspace(H){this.openedWorkspace?.id===H.id&&this.currentConfig&&(this.currentConfig.workspace=void 0)}onConfigurationUpdated(){const H=this.getMenuBarVisibility();H!==this.currentMenuBarVisibility&&(this.currentMenuBarVisibility=H,this.setMenuBarVisibility(H));let B=(this.configurationService.getValue("http.proxy")||"").trim()||(process.env.https_proxy||process.env.HTTPS_PROXY||process.env.http_proxy||process.env.HTTP_PROXY||"").trim()||void 0;B?.endsWith("/")&&(B=B.substr(0,B.length-1));const Q=(process.env.no_proxy||process.env.NO_PROXY||"").trim()||void 0;if((B||"").indexOf("@")===-1&&(B!==this.currentHttpProxy||Q!==this.currentNoProxy)){this.currentHttpProxy=B,this.currentNoProxy=Q;const se=B||"",q=Q?`${Q},<local>`:"<local>";this.logService.trace(`Setting proxy to '${se}', bypassing '${q}'`),this._win.webContents.session.setProxy({proxyRules:se,proxyBypassRules:q,pacScript:""})}}addTabbedWindow(H){b.isMacintosh&&H.win&&this._win.addTabbedWindow(H.win)}load(H,B=Object.create(null)){this.logService.info(`window#load: attempt to load window (id: ${this._id})`),this.isDocumentEdited()&&(!B.isReload||!this.backupMainService.isHotExitEnabled())&&this.setDocumentEdited(!1),B.isReload||(this.getRepresentedFilename()&&this.setRepresentedFilename(""),this._win.setTitle(this.productService.nameLong)),this.updateConfiguration(H,B),this.readyState===0?this.currentConfig=H:this.pendingLoadConfig=H,this.readyState=1,this._win.loadURL(E.FileAccess.asBrowserUri(this.environmentMainService.sandbox?"vs/code/electron-sandbox/workbench/workbench.html":"vs/code/electron-browser/workbench/workbench.html",V).toString(!0));const Q=this.wasLoaded;this.wasLoaded=!0,!this.environmentMainService.isBuilt&&!this.environmentMainService.extensionTestsLocationURI&&this._register(new n.RunOnceScheduler(()=>{this._win&&!this._win.isVisible()&&!this._win.isMinimized()&&(this._win.show(),this.focus({force:!0}),this._win.webContents.openDevTools())},1e4)).schedule(),this._onWillLoad.fire({workspace:H.workspace,reason:B.isReload?3:Q?2:1})}updateConfiguration(H,B){const Q=(this.currentConfig??this.pendingLoadConfig)?.userEnv;if(Q){const se=(0,f.isLaunchedFromCli)(Q)&&!(0,f.isLaunchedFromCli)(H.userEnv),q=this.isExtensionDevelopmentHost;(se||q)&&(H.userEnv={...Q,...H.userEnv})}process.env.CHROME_CRASHPAD_PIPE_NAME&&Object.assign(H.userEnv,{CHROME_CRASHPAD_PIPE_NAME:process.env.CHROME_CRASHPAD_PIPE_NAME}),B.disableExtensions!==void 0&&(H["disable-extensions"]=B.disableExtensions),H.fullscreen=this.isFullScreen,H.maximized=this._win.isMaximized(),H.partsSplash=this.themeMainService.getWindowSplash(),(0,k.mark)("code/willOpenNewWindow"),H.perfMarks=(0,k.getMarks)(),this.configObjectUrl.update(H)}async reload(H){const B=Object.assign({},this.currentConfig);B.workspace=await this.validateWorkspaceBeforeReload(B),delete B.filesToOpenOrCreate,delete B.filesToDiff,delete B.filesToWait,this.isExtensionDevelopmentHost&&H&&(B.verbose=H.verbose,B.debugId=H.debugId,B.extensionEnvironment=H.extensionEnvironment,B["inspect-extensions"]=H["inspect-extensions"],B["inspect-brk-extensions"]=H["inspect-brk-extensions"],B["extensions-dir"]=H["extensions-dir"]),B.isInitialStartup=!1,this.load(B,{isReload:!0,disableExtensions:H?.["disable-extensions"]})}async validateWorkspaceBeforeReload(H){if((0,T.isWorkspaceIdentifier)(H.workspace)){const B=H.workspace.configPath;if(B.scheme===E.Schemas.file&&!await this.fileService.exists(B))return}else if((0,T.isSingleFolderWorkspaceIdentifier)(H.workspace)){const B=H.workspace.uri;if(B.scheme===E.Schemas.file&&!await this.fileService.exists(B))return}return H.workspace}serializeWindowState(){if(!this._win)return(0,Y.defaultWindowState)();if(this.isFullScreen){let Q;try{Q=w.screen.getDisplayMatching(this.getBounds())}catch{}const se=(0,Y.defaultWindowState)();return{mode:3,display:Q?Q.id:void 0,width:this.windowState.width||se.width,height:this.windowState.height||se.height,x:this.windowState.x||0,y:this.windowState.y||0}}const H=Object.create(null);let B;if(!b.isMacintosh&&this._win.isMaximized()?B=0:B=1,B===0?H.mode=0:H.mode=1,B===1||B===0){let Q;B===1?Q=this.getBounds():Q=this._win.getNormalBounds(),H.x=Q.x,H.y=Q.y,H.width=Q.width,H.height=Q.height}return H}restoreWindowState(H){(0,k.mark)("code/willRestoreCodeWindowState");let B=!1;if(H)try{const Q=w.screen.getAllDisplays();B=Q.length>1,H=this.validateWindowState(H,Q)}catch(Q){this.logService.warn(`Unexpected error validating window state: ${Q}
${Q.stack}`)}return(0,k.mark)("code/didRestoreCodeWindowState"),[H||(0,Y.defaultWindowState)(),B]}validateWindowState(H,B){if(this.logService.trace(`window#validateWindowState: validating window state on ${B.length} display(s)`,H),typeof H.x!="number"||typeof H.y!="number"||typeof H.width!="number"||typeof H.height!="number"){this.logService.trace("window#validateWindowState: unexpected type of state values");return}if(H.width<=0||H.height<=0){this.logService.trace("window#validateWindowState: unexpected negative values");return}if(B.length===1){const q=this.getWorkingArea(B[0]);if(q){let z=function(){!H||typeof H.x!="number"||typeof H.y!="number"||!q||(H.x<q.x&&(H.x=q.x),H.y<q.y&&(H.y=q.y))};this.logService.trace("window#validateWindowState: 1 monitor working area",q),z(),H.width>q.width&&(H.width=q.width),H.height>q.height&&(H.height=q.height),H.x>q.x+q.width-128&&(H.x=q.x+q.width-H.width),H.y>q.y+q.height-128&&(H.y=q.y+q.height-H.height),z()}return H}if(H.display&&H.mode===3){const q=B.find(z=>z.id===H.display);if(q&&typeof q.bounds?.x=="number"&&typeof q.bounds?.y=="number"){this.logService.trace("window#validateWindowState: restoring fullscreen to previous display");const z=(0,Y.defaultWindowState)(3);return z.x=q.bounds.x,z.y=q.bounds.y,z}}let Q,se;try{Q=w.screen.getDisplayMatching({x:H.x,y:H.y,width:H.width,height:H.height}),se=this.getWorkingArea(Q)}catch{}if(Q&&se&&H.x+H.width>se.x&&H.y+H.height>se.y&&H.x<se.x+se.width&&H.y<se.y+se.height)return this.logService.trace("window#validateWindowState: multi-monitor working area",se),H}getWorkingArea(H){if(H.workArea.width>0&&H.workArea.height>0)return H.workArea;if(H.bounds.width>0&&H.bounds.height>0)return H.bounds}getBounds(){const[H,B]=this._win.getPosition(),[Q,se]=this._win.getSize();return{x:H,y:B,width:Q,height:se}}toggleFullScreen(){this.setFullScreen(!this.isFullScreen)}setFullScreen(H){this.useNativeFullScreen()?this.setNativeFullScreen(H):this.setSimpleFullScreen(H),this.sendWhenReady(H?"vscode:enterFullScreen":"vscode:leaveFullScreen",L.CancellationToken.None),this.currentMenuBarVisibility&&this.setMenuBarVisibility(this.currentMenuBarVisibility,!1)}get isFullScreen(){return this._win.isFullScreen()||this._win.isSimpleFullScreen()}setNativeFullScreen(H){this._win.isSimpleFullScreen()&&this._win.setSimpleFullScreen(!1),this._win.setFullScreen(H)}setSimpleFullScreen(H){this._win.isFullScreen()&&this._win.setFullScreen(!1),this._win.setSimpleFullScreen(H),this._win.webContents.focus()}useNativeFullScreen(){const H=this.configurationService.getValue("window");return!H||typeof H.nativeFullScreen!="boolean"||H.nativeTabs?!0:H.nativeFullScreen!==!1}isMinimized(){return this._win.isMinimized()}getMenuBarVisibility(){let H=(0,C.getMenuBarVisibility)(this.configurationService);return["visible","toggle","hidden"].indexOf(H)<0&&(H="classic"),H}setMenuBarVisibility(H,B=!0){b.isMacintosh||(H==="toggle"&&B&&this.send("vscode:showInfoMessage",(0,t.localize)(10,null)),H==="hidden"?setTimeout(()=>{this.doSetMenuBarVisibility(H)}):this.doSetMenuBarVisibility(H))}doSetMenuBarVisibility(H){const B=this.isFullScreen;switch(H){case"classic":this._win.setMenuBarVisibility(!B),this._win.autoHideMenuBar=B;break;case"visible":this._win.setMenuBarVisibility(!0),this._win.autoHideMenuBar=!1;break;case"toggle":this._win.setMenuBarVisibility(!1),this._win.autoHideMenuBar=!0;break;case"hidden":this._win.setMenuBarVisibility(!1),this._win.autoHideMenuBar=!1;break}}handleTitleDoubleClick(){if(b.isMacintosh)switch(w.systemPreferences.getUserDefault("AppleActionOnDoubleClick","string")){case"Minimize":this._win.minimize();break;case"None":break;case"Maximize":default:this._win.isMaximized()?this._win.unmaximize():this._win.maximize()}else this._win.isMaximized()?this._win.unmaximize():this._win.maximize()}close(){this._win&&this._win.close()}sendWhenReady(H,B,...Q){this.isReady?this.send(H,...Q):this.ready().then(()=>{B.isCancellationRequested||this.send(H,...Q)})}send(H,...B){if(this._win){if(this._win.isDestroyed()||this._win.webContents.isDestroyed()){this.logService.warn(`Sending IPC message to channel '${H}' for window that is destroyed`);return}try{this._win.webContents.send(H,...B)}catch(Q){this.logService.warn(`Error sending IPC message to channel '${H}' of window ${this._id}: ${(0,D.toErrorMessage)(Q)}`)}}}updateTouchBar(H){!b.isMacintosh||this.touchBarGroups.forEach((B,Q)=>{const se=H[Q];B.segments=this.createTouchBarGroupSegments(se)})}createTouchBar(){if(!!b.isMacintosh){for(let H=0;H<10;H++){const B=this.createTouchBarGroup();this.touchBarGroups.push(B)}this._win.setTouchBar(new w.TouchBar({items:this.touchBarGroups}))}}createTouchBarGroup(H=[]){const B=this.createTouchBarGroupSegments(H),Q=new w.TouchBar.TouchBarSegmentedControl({segments:B,mode:"buttons",segmentStyle:"automatic",change:se=>{this.sendWhenReady("vscode:runAction",L.CancellationToken.None,{id:Q.segments[se].id,from:"touchbar"})}});return Q}createTouchBarGroupSegments(H=[]){return H.map(Q=>{let se;Q.icon&&!l.ThemeIcon.isThemeIcon(Q.icon)&&Q.icon?.dark?.scheme===E.Schemas.file&&(se=w.nativeImage.createFromPath(p.URI.revive(Q.icon.dark).fsPath),se.isEmpty()&&(se=void 0));let q;return typeof Q.title=="string"?q=Q.title:q=Q.title.value,{id:Q.id,label:se?void 0:q,icon:se}})}dispose(){super.dispose(),this._win=null}};X=ue([te(1,o.ILogService),te(2,M.IEnvironmentMainService),te(3,h.IFileService),te(4,s.IGlobalStorageMainService),te(5,g.IConfigurationService),te(6,y.IThemeMainService),te(7,U.IWorkspacesManagementMainService),te(8,d.IBackupMainService),te(9,a.ITelemetryService),te(10,v.IDialogMainService),te(11,c.ILifecycleMainService),te(12,u.IProductService),te(13,r.IProtocolMainService),te(14,R.IWindowsMainService)],X),e.CodeWindow=X}),define(Z[67],x([0,1,12,30,9,4,33,2,10,3,17,8,24,160,5,18,6,38,81,80,25,42]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g,v,M,f,h,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesHistoryMainService=e.IWorkspacesHistoryMainService=void 0,e.IWorkspacesHistoryMainService=(0,t.createDecorator)("workspacesHistoryMainService");let o=class $e extends S.Disposable{constructor(r,i,s,a,l){super();this.stateMainService=r,this.logService=i,this.workspacesManagementMainService=s,this.lifecycleMainService=a,this.globalStorageMainService=l,this._onDidChangeRecentlyOpened=this._register(new D.Emitter),this.onDidChangeRecentlyOpened=this._onDidChangeRecentlyOpened.event,this.macOSRecentDocumentsUpdater=this._register(new L.ThrottledDelayer(800)),this.registerListeners()}registerListeners(){this.lifecycleMainService.when(3).then(()=>this.handleWindowsJumpList()),this._register(this.workspacesManagementMainService.onDidEnterWorkspace(r=>this.addRecentlyOpened([{workspace:r.workspace,remoteAuthority:r.window.remoteAuthority}])))}async addRecentlyOpened(r){const i=[],s=[];for(let a of r)if((0,f.isRecentWorkspace)(a))!this.workspacesManagementMainService.isUntitledWorkspace(a.workspace)&&this.indexOfWorkspace(i,a.workspace)===-1&&i.push(a);else if((0,f.isRecentFolder)(a))this.indexOfFolder(i,a.folderUri)===-1&&i.push(a);else{const l=this.indexOfFile(s,a.fileUri)>=0,y=a.fileUri.scheme===m.Schemas.file&&$e.COMMON_FILES_FILTER.indexOf((0,I.basename)(a.fileUri))>=0;!l&&!y&&(s.push(a),E.isWindows&&a.fileUri.scheme===m.Schemas.file&&w.app.addRecentDocument(a.fileUri.fsPath))}await this.addEntriesFromStorage(i,s),i.length>$e.MAX_TOTAL_RECENT_ENTRIES&&(i.length=$e.MAX_TOTAL_RECENT_ENTRIES),s.length>$e.MAX_TOTAL_RECENT_ENTRIES&&(s.length=$e.MAX_TOTAL_RECENT_ENTRIES),await this.saveRecentlyOpened({workspaces:i,files:s}),this._onDidChangeRecentlyOpened.fire(),E.isMacintosh&&this.macOSRecentDocumentsUpdater.trigger(()=>this.updateMacOSRecentDocuments())}async removeRecentlyOpened(r){const i=y=>{const C=this.location(y);for(const R of r)if(I.extUriBiasedIgnorePathCase.isEqual(R,C))return!1;return!0},s=await this.getRecentlyOpened(),a=s.workspaces.filter(i),l=s.files.filter(i);(a.length!==s.workspaces.length||l.length!==s.files.length)&&(await this.saveRecentlyOpened({files:l,workspaces:a}),this._onDidChangeRecentlyOpened.fire(),E.isMacintosh&&this.macOSRecentDocumentsUpdater.trigger(()=>this.updateMacOSRecentDocuments()))}async clearRecentlyOpened(){await this.saveRecentlyOpened({workspaces:[],files:[]}),w.app.clearRecentDocuments(),this._onDidChangeRecentlyOpened.fire()}async getRecentlyOpened(r){const i=[],s=[];if(r){const l=r.config?.workspace;(0,h.isWorkspaceIdentifier)(l)&&!this.workspacesManagementMainService.isUntitledWorkspace(l)?i.push({workspace:l,remoteAuthority:r.remoteAuthority}):(0,h.isSingleFolderWorkspaceIdentifier)(l)&&i.push({folderUri:l.uri,remoteAuthority:r.remoteAuthority})}const a=r?.config?.filesToOpenOrCreate;if(a)for(let l of a){const y=l.fileUri;y&&this.indexOfFile(s,y)===-1&&s.push({fileUri:y})}return await this.addEntriesFromStorage(i,s),{workspaces:i,files:s}}async addEntriesFromStorage(r,i){let s=await this.getRecentlyOpenedFromStorage();for(let a of s.workspaces){let l=(0,f.isRecentFolder)(a)?this.indexOfFolder(r,a.folderUri):this.indexOfWorkspace(r,a.workspace);l>=0?r[l].label=r[l].label||a.label:r.push(a)}for(let a of s.files){let l=this.indexOfFile(i,a.fileUri);l>=0?i[l].label=i[l].label||a.label:i.push(a)}}async getRecentlyOpenedFromStorage(){await this.globalStorageMainService.whenReady;let r;const i=this.globalStorageMainService.get($e.RECENTLY_OPENED_STORAGE_KEY,0);if(typeof i=="string")try{r=JSON.parse(i)}catch(s){this.logService.error("Unexpected error parsing opened paths list",s)}else r=this.stateMainService.getItem($e.legacyRecentlyOpenedStorageKey),r&&(this.stateMainService.removeItem($e.legacyRecentlyOpenedStorageKey),this.globalStorageMainService.store($e.RECENTLY_OPENED_STORAGE_KEY,JSON.stringify(r),0,1));return(0,f.restoreRecentlyOpened)(r,this.logService)}async saveRecentlyOpened(r){await this.globalStorageMainService.whenReady,this.globalStorageMainService.store($e.RECENTLY_OPENED_STORAGE_KEY,JSON.stringify((0,f.toStoreData)(r)),0,1)}location(r){return(0,f.isRecentFolder)(r)?r.folderUri:(0,f.isRecentFile)(r)?r.fileUri:r.workspace.configPath}indexOfWorkspace(r,i){return r.findIndex(s=>(0,f.isRecentWorkspace)(s)&&s.workspace.id===i.id)}indexOfFolder(r,i){return r.findIndex(s=>(0,f.isRecentFolder)(s)&&I.extUriBiasedIgnorePathCase.isEqual(s.folderUri,i))}indexOfFile(r,i){return r.findIndex(s=>I.extUriBiasedIgnorePathCase.isEqual(s.fileUri,i))}async handleWindowsJumpList(){!E.isWindows||(await this.updateWindowsJumpList(),this._register(this.onDidChangeRecentlyOpened(()=>this.updateWindowsJumpList())))}async updateWindowsJumpList(){if(!E.isWindows)return;const r=[];if(r.push({type:"tasks",items:[{type:"task",title:(0,p.localize)(0,null),description:(0,p.localize)(1,null),program:process.execPath,args:"-n",iconPath:process.execPath,iconIndex:0}]}),(await this.getRecentlyOpened()).workspaces.length>0){let i=[];for(let l of w.app.getJumpListSettings().removedItems){const y=l.args;if(y){const C=/^--(folder|file)-uri\s+"([^"]+)"$/.exec(y);C&&i.push(k.URI.parse(C[2]))}}await this.removeRecentlyOpened(i);let s=!1;const a=(0,n.coalesce)((await this.getRecentlyOpened()).workspaces.slice(0,$e.MAX_WINDOWS_JUMP_LIST_ENTRIES).map(l=>{const y=(0,f.isRecentWorkspace)(l)?l.workspace:l.folderUri,{title:C,description:R}=this.getWindowsJumpListLabel(y,l.label);let T;return k.URI.isUri(y)?T=`--folder-uri "${y.toString()}"`:(s=!0,T=`--file-uri "${y.configPath.toString()}"`),{type:"task",title:C.substr(0,255),description:R.substr(0,255),program:process.execPath,args:T,iconPath:"explorer.exe",iconIndex:0}}));a.length>0&&r.push({type:"custom",name:s?(0,p.localize)(2,null):(0,p.localize)(3,null),items:a})}r.push({type:"recent"});try{w.app.setJumpList(r)}catch(i){this.logService.warn("updateWindowsJumpList#setJumpList",i)}}getWindowsJumpListLabel(r,i){if(i)return{title:(0,P.splitName)(i).name,description:i};if(k.URI.isUri(r))return{title:(0,I.basename)(r),description:this.renderJumpListPathDescription(r)};if(this.workspacesManagementMainService.isUntitledWorkspace(r))return{title:(0,p.localize)(4,null),description:""};let s=(0,I.basename)(r.configPath);return s.endsWith(h.WORKSPACE_EXTENSION)&&(s=s.substr(0,s.length-h.WORKSPACE_EXTENSION.length-1)),{title:(0,p.localize)(5,null,s),description:this.renderJumpListPathDescription(r.configPath)}}renderJumpListPathDescription(r){return r.scheme==="file"?(0,P.normalizeDriveLetter)(r.fsPath):r.toString()}async updateMacOSRecentDocuments(){if(!E.isMacintosh)return;w.app.clearRecentDocuments();const r=await this.getRecentlyOpened(),i=[];let s=0;for(let l=0;l<r.workspaces.length&&s<$e.MAX_MACOS_DOCK_RECENT_WORKSPACES;l++){const y=this.location(r.workspaces[l]);if(y.scheme===m.Schemas.file){const C=(0,I.originalFSPath)(y);await b.Promises.exists(C)&&(i.push(C),s++)}}const a=[];for(let l=0;l<r.files.length&&s<$e.MAX_MACOS_DOCK_RECENT_ENTRIES_TOTAL;l++){const y=this.location(r.files[l]);if(y.scheme===m.Schemas.file){const C=(0,I.originalFSPath)(y);if($e.COMMON_FILES_FILTER.includes((0,I.basename)(y))||i.includes(C))continue;await b.Promises.exists(C)&&(a.push(C),s++)}}a.reverse().forEach(l=>w.app.addRecentDocument(l)),i.reverse().forEach(l=>w.app.addRecentDocument(l))}};o.MAX_TOTAL_RECENT_ENTRIES=500,o.RECENTLY_OPENED_STORAGE_KEY="history.recentlyOpenedPathsList",o.legacyRecentlyOpenedStorageKey="openedPathsList",o.MAX_MACOS_DOCK_RECENT_WORKSPACES=7,o.MAX_MACOS_DOCK_RECENT_ENTRIES_TOTAL=10,o.MAX_WINDOWS_JUMP_LIST_ENTRIES=7,o.COMMON_FILES_FILTER=["COMMIT_EDITMSG","MERGE_MSG"],o=ue([te(0,v.IStateMainService),te(1,g.ILogService),te(2,c.IWorkspacesManagementMainService),te(3,d.ILifecycleMainService),te(4,M.IGlobalStorageMainService)],o),e.WorkspacesHistoryMainService=o}),define(Z[244],x([0,1,12,9,23,33,3,8,151,19,22,18,6,194,58,21,38,32,41,66,34,67]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g,v,M,f,h,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Menubar=void 0;const o="menu";let u=class It{constructor(s,a,l,y,C,R,T,U,Y,ee,X){this.updateService=s,this.configurationService=a,this.windowsMainService=l,this.environmentMainService=y,this.telemetryService=C,this.workspacesHistoryMainService=R,this.stateMainService=T,this.lifecycleMainService=U,this.logService=Y,this.nativeHostMainService=ee,this.productService=X,this.fallbackMenuHandlers=Object.create(null),this.menuUpdater=new n.RunOnceScheduler(()=>this.doUpdateMenu(),0),this.menuGC=new n.RunOnceScheduler(()=>{this.oldMenus=[]},1e4),this.menubarMenus=Object.create(null),this.keybindings=Object.create(null),(P.isMacintosh||(0,f.getTitleBarStyle)(this.configurationService)==="native")&&this.restoreCachedMenubarData(),this.addFallbackHandlers(),this.closedLastWindow=!1,this.noActiveWindow=!1,this.oldMenus=[],this.install(),this.registerListeners()}restoreCachedMenubarData(){const s=this.stateMainService.getItem(It.lastKnownMenubarStorageKey);s&&(s.menus&&(this.menubarMenus=s.menus),s.keybindings&&(this.keybindings=s.keybindings))}addFallbackHandlers(){this.fallbackMenuHandlers["workbench.action.files.newUntitledFile"]=(R,T,U)=>this.windowsMainService.openEmptyWindow({context:2,contextWindowId:T?.id}),this.fallbackMenuHandlers["workbench.action.newWindow"]=(R,T,U)=>this.windowsMainService.openEmptyWindow({context:2,contextWindowId:T?.id}),this.fallbackMenuHandlers["workbench.action.files.openFileFolder"]=(R,T,U)=>this.nativeHostMainService.pickFileFolderAndOpen(void 0,{forceNewWindow:this.isOptionClick(U),telemetryExtraData:{from:o}}),this.fallbackMenuHandlers["workbench.action.openWorkspace"]=(R,T,U)=>this.nativeHostMainService.pickWorkspaceAndOpen(void 0,{forceNewWindow:this.isOptionClick(U),telemetryExtraData:{from:o}}),this.fallbackMenuHandlers["workbench.action.clearRecentFiles"]=()=>this.workspacesHistoryMainService.clearRecentlyOpened();const s=this.productService.twitterUrl;s&&(this.fallbackMenuHandlers["workbench.action.openTwitterUrl"]=()=>this.openUrl(s,"openTwitterUrl"));const a=this.productService.requestFeatureUrl;a&&(this.fallbackMenuHandlers["workbench.action.openRequestFeatureUrl"]=()=>this.openUrl(a,"openUserVoiceUrl"));const l=this.productService.reportIssueUrl;l&&(this.fallbackMenuHandlers["workbench.action.openIssueReporter"]=()=>this.openUrl(l,"openReportIssues"));const y=this.productService.licenseUrl;y&&(this.fallbackMenuHandlers["workbench.action.openLicenseUrl"]=()=>{if(P.language){const R=y.indexOf("?")>0?"&":"?";this.openUrl(`${y}${R}lang=${P.language}`,"openLicenseUrl")}else this.openUrl(y,"openLicenseUrl")});const C=this.productService.privacyStatementUrl;C&&y&&(this.fallbackMenuHandlers["workbench.action.openPrivacyStatementUrl"]=()=>{this.openUrl(C,"openPrivacyStatement")})}registerListeners(){this.lifecycleMainService.onWillShutdown(()=>this.willShutdown=!0),this.windowsMainService.onDidChangeWindowsCount(s=>this.onDidChangeWindowsCount(s)),this.nativeHostMainService.onDidBlurWindow(()=>this.onDidChangeWindowFocus()),this.nativeHostMainService.onDidFocusWindow(()=>this.onDidChangeWindowFocus())}get currentEnableMenuBarMnemonics(){let s=this.configurationService.getValue("window.enableMenuBarMnemonics");return typeof s!="boolean"?!0:s}get currentEnableNativeTabs(){if(!P.isMacintosh)return!1;let s=this.configurationService.getValue("window.nativeTabs");return typeof s!="boolean"?!1:s}updateMenu(s,a){this.menubarMenus=s.menus,this.keybindings=s.keybindings,this.stateMainService.setItem(It.lastKnownMenubarStorageKey,s),this.scheduleUpdateMenu()}scheduleUpdateMenu(){this.menuUpdater.schedule()}doUpdateMenu(){this.willShutdown||setTimeout(()=>{this.willShutdown||this.install()},10)}onDidChangeWindowsCount(s){!P.isMacintosh||(s.oldCount===0&&s.newCount>0||s.oldCount>0&&s.newCount===0)&&(this.closedLastWindow=s.newCount===0,this.scheduleUpdateMenu())}onDidChangeWindowFocus(){!P.isMacintosh||(this.noActiveWindow=!w.BrowserWindow.getFocusedWindow(),this.scheduleUpdateMenu())}install(){const s=w.Menu.getApplicationMenu();if(s&&this.oldMenus.push(s),Object.keys(this.menubarMenus).length===0){w.Menu.setApplicationMenu(P.isMacintosh?new w.Menu:null);return}const a=new w.Menu;let l;if(P.isMacintosh){const C=new w.Menu;l=new w.MenuItem({label:this.productService.nameShort,submenu:C}),this.setMacApplicationMenu(C),a.append(l)}if(P.isMacintosh&&!this.appMenuInstalled){this.appMenuInstalled=!0;const C=new w.Menu;C.append(new w.MenuItem({label:this.mnemonicLabel(m.localize(0,null)),click:()=>this.windowsMainService.openEmptyWindow({context:1})})),w.app.dock.setMenu(C)}if(this.shouldDrawMenu("File")){const C=new w.Menu,R=new w.MenuItem({label:this.mnemonicLabel(m.localize(1,null)),submenu:C});this.setMenuById(C,"File"),a.append(R)}if(this.shouldDrawMenu("Edit")){const C=new w.Menu,R=new w.MenuItem({label:this.mnemonicLabel(m.localize(2,null)),submenu:C});this.setMenuById(C,"Edit"),a.append(R)}if(this.shouldDrawMenu("Selection")){const C=new w.Menu,R=new w.MenuItem({label:this.mnemonicLabel(m.localize(3,null)),submenu:C});this.setMenuById(C,"Selection"),a.append(R)}if(this.shouldDrawMenu("View")){const C=new w.Menu,R=new w.MenuItem({label:this.mnemonicLabel(m.localize(4,null)),submenu:C});this.setMenuById(C,"View"),a.append(R)}if(this.shouldDrawMenu("Go")){const C=new w.Menu,R=new w.MenuItem({label:this.mnemonicLabel(m.localize(5,null)),submenu:C});this.setMenuById(C,"Go"),a.append(R)}if(this.shouldDrawMenu("Run")){const C=new w.Menu,R=new w.MenuItem({label:this.mnemonicLabel(m.localize(6,null)),submenu:C});this.setMenuById(C,"Run"),a.append(R)}if(this.shouldDrawMenu("Terminal")){const C=new w.Menu,R=new w.MenuItem({label:this.mnemonicLabel(m.localize(7,null)),submenu:C});this.setMenuById(C,"Terminal"),a.append(R)}let y;if(this.shouldDrawMenu("Window")){const C=new w.Menu;y=new w.MenuItem({label:this.mnemonicLabel(m.localize(8,null)),submenu:C,role:"window"}),this.setMacWindowMenu(C)}if(y&&a.append(y),this.shouldDrawMenu("Help")){const C=new w.Menu,R=new w.MenuItem({label:this.mnemonicLabel(m.localize(9,null)),submenu:C,role:"help"});this.setMenuById(C,"Help"),a.append(R)}a.items&&a.items.length>0?w.Menu.setApplicationMenu(a):w.Menu.setApplicationMenu(null),this.menuGC.schedule()}setMacApplicationMenu(s){const a=this.createMenuItem(m.localize(10,null,this.productService.nameLong),"workbench.action.showAboutDialog"),l=this.getUpdateMenuItems();let y;if(this.shouldDrawMenu("Preferences")){const J=new w.Menu;this.setMenuById(J,"Preferences"),y=new w.MenuItem({label:this.mnemonicLabel(m.localize(11,null)),submenu:J})}const C=new w.Menu,R=new w.MenuItem({label:m.localize(12,null),role:"services",submenu:C}),T=new w.MenuItem({label:m.localize(13,null,this.productService.nameLong),role:"hide",accelerator:"Command+H"}),U=new w.MenuItem({label:m.localize(14,null),role:"hideOthers",accelerator:"Command+Alt+H"}),Y=new w.MenuItem({label:m.localize(15,null),role:"unhide"}),ee=new w.MenuItem(this.likeAction("workbench.action.quit",{label:m.localize(16,null,this.productService.nameLong),click:()=>{const J=this.windowsMainService.getLastActiveWindow();(this.windowsMainService.getWindowCount()===0||!!w.BrowserWindow.getFocusedWindow()||J?.isMinimized())&&this.nativeHostMainService.quit(void 0)}})),X=[a];X.push(...l),y&&X.push(r(),y),X.push(r(),R,r(),T,U,Y,r(),ee),X.forEach(J=>s.append(J))}shouldDrawMenu(s){if(!P.isMacintosh&&(0,f.getTitleBarStyle)(this.configurationService)==="custom")return!1;switch(s){case"File":case"Help":if(P.isMacintosh)return this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow||!!this.menubarMenus&&!!this.menubarMenus[s];case"Window":if(P.isMacintosh)return this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow||!!this.menubarMenus;default:return this.windowsMainService.getWindowCount()>0&&!!this.menubarMenus&&!!this.menubarMenus[s]}}setMenu(s,a){a.forEach(l=>{if((0,p.isMenubarMenuItemSeparator)(l))s.append(r());else if((0,p.isMenubarMenuItemSubmenu)(l)){const y=new w.Menu,C=new w.MenuItem({label:this.mnemonicLabel(l.label),submenu:y});this.setMenu(y,l.submenu.items),s.append(C)}else(0,p.isMenubarMenuItemRecentAction)(l)?s.append(this.createOpenRecentMenuItem(l)):(0,p.isMenubarMenuItemAction)(l)&&(l.id==="workbench.action.showAboutDialog"&&this.insertCheckForUpdatesItems(s),P.isMacintosh?this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow?this.fallbackMenuHandlers[l.id]?s.append(new w.MenuItem(this.likeAction(l.id,{label:this.mnemonicLabel(l.label),click:this.fallbackMenuHandlers[l.id]}))):s.append(this.createMenuItem(l.label,l.id,!1,l.checked)):s.append(this.createMenuItem(l.label,l.id,l.enabled!==!1,!!l.checked)):s.append(this.createMenuItem(l.label,l.id,l.enabled!==!1,!!l.checked)))})}setMenuById(s,a){this.menubarMenus&&this.menubarMenus[a]&&this.setMenu(s,this.menubarMenus[a].items)}insertCheckForUpdatesItems(s){const a=this.getUpdateMenuItems();a.length&&(a.forEach(l=>s.append(l)),s.append(r()))}createOpenRecentMenuItem(s){const a=S.URI.revive(s.uri),l=s.id,y=l==="openRecentFile"?{fileUri:a}:l==="openRecentWorkspace"?{workspaceUri:a}:{folderUri:a};return new w.MenuItem(this.likeAction(l,{label:s.label,click:(C,R,T)=>{const U=this.isOptionClick(T);this.windowsMainService.open({context:2,cli:this.environmentMainService.args,urisToOpen:[y],forceNewWindow:U,gotoLineMode:!1,remoteAuthority:s.remoteAuthority}).length>0||this.workspacesHistoryMainService.removeRecentlyOpened([a])}},!1))}isOptionClick(s){return!!(s&&(!P.isMacintosh&&(s.ctrlKey||s.shiftKey)||P.isMacintosh&&(s.metaKey||s.altKey)))}createRoleMenuItem(s,a,l){const y={label:this.mnemonicLabel(s),role:l,enabled:!0};return new w.MenuItem(this.withKeybinding(a,y))}setMacWindowMenu(s){const a=new w.MenuItem({label:m.localize(17,null),role:"minimize",accelerator:"Command+M",enabled:this.windowsMainService.getWindowCount()>0}),l=new w.MenuItem({label:m.localize(18,null),role:"zoom",enabled:this.windowsMainService.getWindowCount()>0}),y=new w.MenuItem({label:m.localize(19,null),role:"front",enabled:this.windowsMainService.getWindowCount()>0}),C=this.createMenuItem(m.localize(20,null),"workbench.action.switchWindow"),R=[];this.currentEnableNativeTabs&&(R.push(r()),R.push(this.createMenuItem(m.localize(21,null),"workbench.action.newWindowTab")),R.push(this.createRoleMenuItem(m.localize(22,null),"workbench.action.showPreviousWindowTab","selectPreviousTab")),R.push(this.createRoleMenuItem(m.localize(23,null),"workbench.action.showNextWindowTab","selectNextTab")),R.push(this.createRoleMenuItem(m.localize(24,null),"workbench.action.moveWindowTabToNewWindow","moveTabToNewWindow")),R.push(this.createRoleMenuItem(m.localize(25,null),"workbench.action.mergeAllWindowTabs","mergeAllWindows"))),[a,l,r(),C,...R,r(),y].forEach(T=>s.append(T))}getUpdateMenuItems(){switch(this.updateService.state.type){case"uninitialized":return[];case"idle":return[new w.MenuItem({label:this.mnemonicLabel(m.localize(26,null)),click:()=>setTimeout(()=>{this.reportMenuActionTelemetry("CheckForUpdate"),this.updateService.checkForUpdates(!0)},0)})];case"checking for updates":return[new w.MenuItem({label:m.localize(27,null),enabled:!1})];case"available for download":return[new w.MenuItem({label:this.mnemonicLabel(m.localize(28,null)),click:()=>{this.updateService.downloadUpdate()}})];case"downloading":return[new w.MenuItem({label:m.localize(29,null),enabled:!1})];case"downloaded":return[new w.MenuItem({label:this.mnemonicLabel(m.localize(30,null)),click:()=>{this.reportMenuActionTelemetry("InstallUpdate"),this.updateService.applyUpdate()}})];case"updating":return[new w.MenuItem({label:m.localize(31,null),enabled:!1})];case"ready":return[new w.MenuItem({label:this.mnemonicLabel(m.localize(32,null)),click:()=>{this.reportMenuActionTelemetry("RestartToUpdate"),this.updateService.quitAndInstall()}})]}}createMenuItem(s,a,l,y){const C=this.mnemonicLabel(s),R=typeof a=="function"?a:(X,J,H)=>{const B=X?X.userSettingsLabel:null;let Q=a;Array.isArray(a)&&(Q=this.isOptionClick(H)?a[1]:a[0]),B&&H.triggeredByAccelerator?this.runActionInRenderer({type:"keybinding",userSettingsLabel:B}):this.runActionInRenderer({type:"commandId",commandId:Q})},T=typeof l=="boolean"?l:this.windowsMainService.getWindowCount()>0,U=typeof y=="boolean"?y:!1,Y={label:C,click:R,enabled:T};U&&(Y.type="checkbox",Y.checked=U);let ee;return typeof a=="string"?ee=a:Array.isArray(a)&&(ee=a[0]),P.isMacintosh&&(ee==="editor.action.clipboardCutAction"?Y.role="cut":ee==="editor.action.clipboardCopyAction"?Y.role="copy":ee==="editor.action.clipboardPasteAction"&&(Y.role="paste"),ee==="undo"?Y.click=this.makeContextAwareClickHandler(R,{inDevTools:X=>X.undo(),inNoWindow:()=>w.Menu.sendActionToFirstResponder("undo:")}):ee==="redo"?Y.click=this.makeContextAwareClickHandler(R,{inDevTools:X=>X.redo(),inNoWindow:()=>w.Menu.sendActionToFirstResponder("redo:")}):ee==="editor.action.selectAll"&&(Y.click=this.makeContextAwareClickHandler(R,{inDevTools:X=>X.selectAll(),inNoWindow:()=>w.Menu.sendActionToFirstResponder("selectAll:")}))),new w.MenuItem(this.withKeybinding(ee,Y))}makeContextAwareClickHandler(s,a){return(l,y,C)=>{const R=w.BrowserWindow.getFocusedWindow();if(!R)return a.inNoWindow();if(R.webContents.isDevToolsFocused()&&R.webContents.devToolsWebContents)return a.inDevTools(R.webContents.devToolsWebContents);s(l,y||R,C)}}runActionInRenderer(s){let a=w.BrowserWindow.getFocusedWindow();if(!a){const y=this.windowsMainService.getLastActiveWindow();y?.isMinimized()&&(a=y.win)}const l=a?this.windowsMainService.getWindowById(a.id):void 0;if(l){if(this.logService.trace("menubar#runActionInRenderer",s),P.isMacintosh&&!this.environmentMainService.isBuilt&&!l.isReady&&(s.type==="commandId"&&s.commandId==="workbench.action.toggleDevTools"||s.type!=="commandId"&&s.userSettingsLabel==="alt+cmd+i"))return;if(s.type==="commandId"){const y={id:s.commandId,from:"menu"};l.sendWhenReady("vscode:runAction",L.CancellationToken.None,y)}else{const y={userSettingsLabel:s.userSettingsLabel};l.sendWhenReady("vscode:runKeybinding",L.CancellationToken.None,y)}}else this.logService.trace("menubar#runActionInRenderer: no active window found",s)}withKeybinding(s,a){const l=typeof s=="string"?this.keybindings[s]:void 0;if(l?.label){if(l.isNative!==!1)a.accelerator=l.label,a.userSettingsLabel=l.userSettingsLabel;else if(typeof a.label=="string"){const y=a.label.indexOf("[");y>=0?a.label=`${a.label.substr(0,y)} [${l.label}]`:a.label=`${a.label} [${l.label}]`}}else a.accelerator=void 0;return a}likeAction(s,a,l=!a.accelerator){l&&(a=this.withKeybinding(s,a));const y=a.click;return a.click=(C,R,T)=>{this.reportMenuActionTelemetry(s),y&&y(C,R,T)},a}openUrl(s,a){this.nativeHostMainService.openExternal(void 0,s),this.reportMenuActionTelemetry(a)}reportMenuActionTelemetry(s){this.telemetryService.publicLog2("workbenchActionExecuted",{id:s,from:o})}mnemonicLabel(s){return(0,D.mnemonicMenuLabel)(s,!this.currentEnableMenuBarMnemonics)}};u.lastKnownMenubarStorageKey="lastKnownMenubarData",u=ue([te(0,M.IUpdateService),te(1,E.IConfigurationService),te(2,h.IWindowsMainService),te(3,I.IEnvironmentMainService),te(4,v.ITelemetryService),te(5,c.IWorkspacesHistoryMainService),te(6,g.IStateMainService),te(7,k.ILifecycleMainService),te(8,b.ILogService),te(9,t.INativeHostMainService),te(10,d.IProductService)],u),e.Menubar=u;function r(){return new w.MenuItem({type:"separator"})}}),define(Z[245],x([0,1,5,18,6,244]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MenubarMainService=e.IMenubarMainService=void 0,e.IMenubarMainService=(0,w.createDecorator)("menubarMainService");let P=class{constructor(m,E,I){this.instantiationService=m,this.lifecycleMainService=E,this.logService=I,this.menubar=this.installMenuBarAfterWindowOpen()}async installMenuBarAfterWindowOpen(){return await this.lifecycleMainService.when(3),this.instantiationService.createInstance(D.Menubar)}async updateMenubar(m,E){this.logService.trace("menubarService#updateMenubar",m),(await this.menubar).updateMenu(E,m)}};P=ue([te(0,w.IInstantiationService),te(1,n.ILifecycleMainService),te(2,L.ILogService)],P),e.MenubarMainService=P}),define(Z[246],x([0,1,12,29,26,30,23,4,28,43,33,2,10,7,63,3,36,17,14,8,158,51,19,47,22,20,5,18,6,53,21,54,78,38,66,243,102,226,25,103,67,42]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g,v,M,f,h,c,o,u,r,i,s,a,l,y,C,R,T,U,Y,ee,X,J,H,B,Q,se){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowsMainService=void 0;function q($){return(0,H.isWorkspaceIdentifier)($?.workspace)}function z($){return(0,H.isSingleFolderWorkspaceIdentifier)($?.workspace)}let j=class rt extends k.Disposable{constructor(F,N,W,A,O,_,G,ie,ae,ce,ne,le,he,we,be){super();this.machineId=F,this.initialUserEnv=N,this.logService=W,this.stateMainService=A,this.environmentMainService=O,this.lifecycleMainService=_,this.backupMainService=G,this.configurationService=ie,this.workspacesHistoryMainService=ae,this.workspacesManagementMainService=ce,this.instantiationService=ne,this.dialogMainService=le,this.fileService=he,this.productService=we,this.protocolMainService=be,this._onDidOpenWindow=this._register(new S.Emitter),this.onDidOpenWindow=this._onDidOpenWindow.event,this._onDidSignalReadyWindow=this._register(new S.Emitter),this.onDidSignalReadyWindow=this._onDidSignalReadyWindow.event,this._onDidDestroyWindow=this._register(new S.Emitter),this.onDidDestroyWindow=this._onDidDestroyWindow.event,this._onDidChangeWindowsCount=this._register(new S.Emitter),this.onDidChangeWindowsCount=this._onDidChangeWindowsCount.event,this.windowsStateHandler=this._register(new J.WindowsStateHandler(this,this.stateMainService,this.lifecycleMainService,this.logService,this.configurationService)),this.registerListeners()}registerListeners(){this._register(this.workspacesManagementMainService.onDidEnterWorkspace(F=>this._onDidSignalReadyWindow.fire(F.window))),this._register(this.onDidSignalReadyWindow(F=>{if(F.config?.extensionDevelopmentPath||F.config?.extensionTestsPath){const N=new k.DisposableStore;if(N.add(S.Event.any(F.onDidClose,F.onDidDestroy)(()=>N.dispose())),F.config.extensionDevelopmentPath)for(const W of F.config.extensionDevelopmentPath)N.add(this.protocolMainService.addValidFileRoot(W));F.config.extensionTestsPath&&N.add(this.protocolMainService.addValidFileRoot(F.config.extensionTestsPath))}}))}openEmptyWindow(F,N){let W=this.environmentMainService.args;const A=N?.remoteAuthority||void 0,O=!0,_=N?.forceReuseWindow,G=!_;return this.open({...F,cli:W,forceEmpty:O,forceNewWindow:G,forceReuseWindow:_,remoteAuthority:A})}openExistingWindow(F,N){F.focus(),this.handleWaitMarkerFile(N,[F])}open(F){this.logService.trace("windowsManager#open"),F.addMode&&(F.initialStartup||!this.getLastActiveWindow())&&(F.addMode=!1);const N=[],W=[],A=[],O=[],_=[];let G,ie=0;const ae=this.getPathsToOpen(F);this.logService.trace("windowsManager#open pathsToOpen",ae);for(const he of ae)z(he)?F.addMode?N.push(he):W.push(he):q(he)?A.push(he):he.fileUri?(G||(G={filesToOpenOrCreate:[],filesToDiff:[],remoteAuthority:he.remoteAuthority}),G.filesToOpenOrCreate.push(he)):he.backupPath?_.push({backupFolder:(0,p.basename)(he.backupPath),remoteAuthority:he.remoteAuthority}):ie++;F.diffMode&&G&&G.filesToOpenOrCreate.length>=2&&(G.filesToDiff=G.filesToOpenOrCreate.slice(0,2),G.filesToOpenOrCreate=[]),G&&F.waitMarkerFileURI&&(G.filesToWait={paths:[...G.filesToDiff,...G.filesToOpenOrCreate],waitMarkerFileUri:F.waitMarkerFileURI}),F.initialStartup?(O.push(...this.workspacesManagementMainService.getUntitledWorkspacesSync()),A.push(...O),_.push(...this.backupMainService.getEmptyWindowBackupPaths())):_.length=0;const{windows:ce,filesOpenedInWindow:ne}=this.doOpen(F,A,W,_,ie,G,N);if(this.logService.trace(`windowsManager#open used window count ${ce.length} (workspacesToOpen: ${A.length}, foldersToOpen: ${W.length}, emptyToRestore: ${_.length}, emptyToOpen: ${ie})`),ce.length>1)if(ne)ne.focus();else{const he=this.windowsStateHandler.state.lastActiveWindow&&!F.forceEmpty&&!F.cli._.length&&!F.cli["file-uri"]&&!F.cli["folder-uri"]&&!(F.urisToOpen&&F.urisToOpen.length);let we=!0,be=!0;if(he){const Me=ce.filter(Se=>this.windowsStateHandler.state.lastActiveWindow&&Se.backupPath===this.windowsStateHandler.state.lastActiveWindow.backupPath);Me.length&&(Me[0].focus(),we=!1,be=!1)}if(we)for(let Me=ce.length-1;Me>=0;Me--){const Se=ce[Me];if(!(Se.openedWorkspace&&O.some(pe=>Se.openedWorkspace&&pe.workspace.id===Se.openedWorkspace.id)||Se.backupPath&&_.some(pe=>Se.backupPath&&pe.backupFolder===(0,p.basename)(Se.backupPath)))){Se.focus(),be=!1;break}}be&&ce[ce.length-1].focus()}const le=G&&G.filesToDiff.length>0;if(!ce.some(he=>he.isExtensionDevelopmentHost)&&!le&&!F.noRecentEntry){const he=[];for(const we of ae)q(we)&&!we.transient?he.push({label:we.label,workspace:we.workspace,remoteAuthority:we.remoteAuthority}):z(we)?he.push({label:we.label,folderUri:we.workspace.uri,remoteAuthority:we.remoteAuthority}):we.fileUri&&he.push({label:we.label,fileUri:we.fileUri,remoteAuthority:we.remoteAuthority});this.workspacesHistoryMainService.addRecentlyOpened(he)}return this.handleWaitMarkerFile(F,ce),ce}handleWaitMarkerFile(F,N){const W=F.waitMarkerFileURI;F.context===0&&W&&N.length===1&&N[0]&&(async()=>{await N[0].whenClosedOrLoaded;try{await this.fileService.del(W)}catch{}})()}doOpen(F,N,W,A,O,_,G){const ie=[];let ae;function ce(Se,pe){ie.push(Se),pe&&(ae=Se,_=void 0)}let{openFolderInNewWindow:ne,openFilesInNewWindow:le}=this.shouldOpenNewWindow(F);if(!F.initialStartup&&G.length>0){const Se=G[0].remoteAuthority,pe=this.getLastActiveWindowForAuthority(Se);pe&&ce(this.doAddFoldersToExistingWindow(pe,G.map(Ee=>Ee.workspace.uri)))}const he=W.length+N.length+A.length;if(_&&he===0){const Se=_.filesToOpenOrCreate[0]||_.filesToDiff[0],pe=this.getWindows().filter(Le=>_&&(0,v.isEqualAuthority)(Le.remoteAuthority,_.remoteAuthority));let Ee;Se?.fileUri&&!le&&((F.context===4||F.context===0||F.context===1)&&(Ee=(0,X.findWindowOnFile)(pe,Se.fileUri,Le=>Le.configPath.scheme===b.Schemas.file?this.workspacesManagementMainService.resolveLocalWorkspaceSync(Le.configPath):void 0)),Ee||(Ee=this.doGetLastActiveWindow(pe))),Ee?(0,H.isWorkspaceIdentifier)(Ee.openedWorkspace)?N.push({workspace:Ee.openedWorkspace,remoteAuthority:Ee.remoteAuthority}):(0,H.isSingleFolderWorkspaceIdentifier)(Ee.openedWorkspace)?W.push({workspace:Ee.openedWorkspace,remoteAuthority:Ee.remoteAuthority}):ce(this.doOpenFilesInExistingWindow(F,Ee,_),!0):ce(this.openInBrowserWindow({userEnv:F.userEnv,cli:F.cli,initialStartup:F.initialStartup,filesToOpen:_,forceNewWindow:!0,remoteAuthority:_.remoteAuthority,forceNewTabbedWindow:F.forceNewTabbedWindow}),!0)}const we=(0,D.distinct)(N,Se=>Se.workspace.id);if(we.length>0){const Se=(0,D.coalesce)(we.map(pe=>(0,X.findWindowOnWorkspaceOrFolder)(this.getWindows(),pe.workspace.configPath)));if(Se.length>0){const pe=Se[0],Ee=(0,v.isEqualAuthority)(_?.remoteAuthority,pe.remoteAuthority)?_:void 0;ce(this.doOpenFilesInExistingWindow(F,pe,Ee),!!Ee),ne=!0}we.forEach(pe=>{if(Se.some(Ne=>Ne.openedWorkspace&&Ne.openedWorkspace.id===pe.workspace.id))return;const Ee=pe.remoteAuthority,Le=(0,v.isEqualAuthority)(_?.remoteAuthority,Ee)?_:void 0;ce(this.doOpenFolderOrWorkspace(F,pe,ne,Le),!!Le),ne=!0})}const be=(0,D.distinct)(W,Se=>v.extUriBiasedIgnorePathCase.getComparisonKey(Se.workspace.uri));if(be.length>0){const Se=(0,D.coalesce)(be.map(pe=>(0,X.findWindowOnWorkspaceOrFolder)(this.getWindows(),pe.workspace.uri)));if(Se.length>0){const pe=Se[0],Ee=(0,v.isEqualAuthority)(_?.remoteAuthority,pe.remoteAuthority)?_:void 0;ce(this.doOpenFilesInExistingWindow(F,pe,Ee),!!Ee),ne=!0}be.forEach(pe=>{if(Se.some(Ne=>(0,H.isSingleFolderWorkspaceIdentifier)(Ne.openedWorkspace)&&v.extUriBiasedIgnorePathCase.isEqual(Ne.openedWorkspace.uri,pe.workspace.uri)))return;const Ee=pe.remoteAuthority,Le=(0,v.isEqualAuthority)(_?.remoteAuthority,Ee)?_:void 0;ce(this.doOpenFolderOrWorkspace(F,pe,ne,Le),!!Le),ne=!0})}const Me=(0,D.distinct)(A,Se=>Se.backupFolder);if(Me.length>0&&Me.forEach(Se=>{const pe=Se.remoteAuthority,Ee=(0,v.isEqualAuthority)(_?.remoteAuthority,pe)?_:void 0;ce(this.doOpenEmpty(F,!0,pe,Ee,Se),!!Ee),ne=!0}),ie.length===0||_){_&&!O&&O++;const Se=_?_.remoteAuthority:F.remoteAuthority;for(let pe=0;pe<O;pe++)ce(this.doOpenEmpty(F,ne,Se,_),!!_),ne=!0}return{windows:(0,D.distinct)(ie),filesOpenedInWindow:ae}}doOpenFilesInExistingWindow(F,N,W){this.logService.trace("windowsManager#doOpenFilesInExistingWindow",{filesToOpen:W}),N.focus();const A={filesToOpenOrCreate:W?.filesToOpenOrCreate,filesToDiff:W?.filesToDiff,filesToWait:W?.filesToWait,termProgram:F?.userEnv?.TERM_PROGRAM};return N.sendWhenReady("vscode:openFiles",P.CancellationToken.None,A),N}doAddFoldersToExistingWindow(F,N){this.logService.trace("windowsManager#doAddFoldersToExistingWindow",{foldersToAdd:N}),F.focus();const W={foldersToAdd:N};return F.sendWhenReady("vscode:addFolders",P.CancellationToken.None,W),F}doOpenEmpty(F,N,W,A,O){this.logService.trace("windowsManager#doOpenEmpty",{restore:!!O,remoteAuthority:W,filesToOpen:A,forceNewWindow:N});let _;return!N&&typeof F.contextWindowId=="number"&&(_=this.getWindowById(F.contextWindowId)),this.openInBrowserWindow({userEnv:F.userEnv,cli:F.cli,initialStartup:F.initialStartup,remoteAuthority:W,forceNewWindow:N,forceNewTabbedWindow:F.forceNewTabbedWindow,filesToOpen:A,windowToUse:_,emptyWindowBackupInfo:O})}doOpenFolderOrWorkspace(F,N,W,A,O){return this.logService.trace("windowsManager#doOpenFolderOrWorkspace",{folderOrWorkspace:N,filesToOpen:A}),!W&&!O&&typeof F.contextWindowId=="number"&&(O=this.getWindowById(F.contextWindowId)),this.openInBrowserWindow({workspace:N.workspace,userEnv:F.userEnv,cli:F.cli,initialStartup:F.initialStartup,remoteAuthority:N.remoteAuthority,forceNewWindow:W,forceNewTabbedWindow:F.forceNewTabbedWindow,filesToOpen:A,windowToUse:O})}getPathsToOpen(F){let N,W=!1,A=!1;if(F.urisToOpen&&F.urisToOpen.length>0?(N=this.doExtractPathsFromAPI(F),W=!0):F.forceEmpty?N=[Object.create(null)]:F.cli._.length||F.cli["folder-uri"]||F.cli["file-uri"]?(N=this.doExtractPathsFromCLI(F.cli),N.length===0&&N.push(Object.create(null)),W=!0):(N=this.doGetPathsFromLastSession(),N.length===0&&N.push(Object.create(null)),A=!0),!F.addMode&&W){const O=N.filter(_=>z(_));if(O.length>1){const _=O[0].remoteAuthority;if(O.every(G=>(0,v.isEqualAuthority)(G.remoteAuthority,_))){const G=this.workspacesManagementMainService.createUntitledWorkspaceSync(O.map(ie=>({uri:ie.workspace.uri})));N.push({workspace:G,remoteAuthority:_}),N=N.filter(ie=>!z(ie))}}}return F.initialStartup&&!A&&this.configurationService.getValue("window")?.restoreWindows==="preserve"&&N.unshift(...this.doGetPathsFromLastSession().filter(O=>q(O)||z(O)||O.backupPath)),N}doExtractPathsFromAPI(F){const N=[],W={gotoLineMode:F.gotoLineMode,remoteAuthority:F.remoteAuthority};for(const A of(0,D.coalesce)(F.urisToOpen||[])){const O=this.resolveOpenable(A,W);if(O)O.label=A.label,N.push(O);else{const _=this.resourceFromOpenable(A),G={title:this.productService.nameLong,type:"info",buttons:[(0,I.mnemonicButtonLabel)((0,h.localize)(0,null))],defaultId:0,message:_.scheme===b.Schemas.file?(0,h.localize)(1,null):(0,h.localize)(2,null),detail:_.scheme===b.Schemas.file?(0,h.localize)(3,null,(0,I.getPathLabel)(_.fsPath,this.environmentMainService)):(0,h.localize)(4,null,_.toString()),noLink:!0};this.dialogMainService.showMessageBox(G,(0,M.withNullAsUndefined)(w.BrowserWindow.getFocusedWindow()))}}return N}doExtractPathsFromCLI(F){const N=[],W={ignoreFileNotFound:!0,gotoLineMode:F.goto,remoteAuthority:F.remote||void 0,forceOpenWorkspaceAsFile:!1},A=F["folder-uri"];if(A)for(const G of A){const ie=this.cliArgToUri(G);if(ie){const ae=this.resolveOpenable({folderUri:ie},W);ae&&N.push(ae)}}const O=F["file-uri"];if(O)for(const G of O){const ie=this.cliArgToUri(G);if(ie){const ae=this.resolveOpenable((0,H.hasWorkspaceFileExtension)(G)?{workspaceUri:ie}:{fileUri:ie},W);ae&&N.push(ae)}}const _=F._;for(const G of _){const ie=W.remoteAuthority?this.doResolvePathRemote(G,W):this.doResolveFilePath(G,W);ie&&N.push(ie)}return N}cliArgToUri(F){try{const N=f.URI.parse(F);if(!N.scheme){this.logService.error(`Invalid URI input string, scheme missing: ${F}`);return}return N}catch(N){this.logService.error(`Invalid URI input string: ${F}, ${N.message}`)}}doGetPathsFromLastSession(){const F=this.getRestoreWindowsSetting();switch(F){case"none":return[];case"one":case"all":case"preserve":case"folders":{const N=[];F!=="one"&&N.push(...this.windowsStateHandler.state.openedWindows),this.windowsStateHandler.state.lastActiveWindow&&N.push(this.windowsStateHandler.state.lastActiveWindow);const W=[];for(const A of N)if(A.workspace){const O=this.resolveOpenable({workspaceUri:A.workspace.configPath},{remoteAuthority:A.remoteAuthority,rejectTransientWorkspaces:!0});q(O)&&W.push(O)}else if(A.folderUri){const O=this.resolveOpenable({folderUri:A.folderUri},{remoteAuthority:A.remoteAuthority});z(O)&&W.push(O)}else F!=="folders"&&A.backupPath&&W.push({backupPath:A.backupPath,remoteAuthority:A.remoteAuthority});return W}}}getRestoreWindowsSetting(){let F;return this.lifecycleMainService.wasRestarted?F="all":(F=this.configurationService.getValue("window")?.restoreWindows||"all",["preserve","all","folders","one","none"].includes(F)||(F="all")),F}resolveOpenable(F,N=Object.create(null)){let W=this.resourceFromOpenable(F);return W.scheme===b.Schemas.file?((0,Y.isFileToOpen)(F)&&(N={...N,forceOpenWorkspaceAsFile:!0}),this.doResolveFilePath(W.fsPath,N)):this.doResolveRemoteOpenable(F,N)}doResolveRemoteOpenable(F,N){let W=this.resourceFromOpenable(F);const A=(0,T.getRemoteAuthority)(W)||N.remoteAuthority;if(W=(0,v.removeTrailingPathSeparator)((0,v.normalizePath)(W)),(0,Y.isFileToOpen)(F)){if(N.gotoLineMode){const{path:O,line:_,column:G}=(0,m.parseLineAndColumnAware)(W.path);return{fileUri:W.with({path:O}),selection:_?{startLineNumber:_,startColumn:G||1}:void 0,remoteAuthority:A}}return{fileUri:W,remoteAuthority:A}}else if((0,Y.isWorkspaceToOpen)(F))return{workspace:(0,B.getWorkspaceIdentifier)(W),remoteAuthority:A};return{workspace:(0,B.getSingleFolderWorkspaceIdentifier)(W),remoteAuthority:A}}resourceFromOpenable(F){return(0,Y.isWorkspaceToOpen)(F)?F.workspaceUri:(0,Y.isFolderToOpen)(F)?F.folderUri:F.fileUri}doResolveFilePath(F,N){let W,A;N.gotoLineMode&&({path:F,line:W,column:A}=(0,m.parseLineAndColumnAware)(F)),F=(0,m.sanitizeFilePath)((0,p.normalize)(F),(0,g.cwd)());try{const O=(0,n.statSync)(F);if(O.isFile()){if(!N.forceOpenWorkspaceAsFile){const _=this.workspacesManagementMainService.resolveLocalWorkspaceSync(f.URI.file(F));if(_)return _.transient&&N.rejectTransientWorkspaces?void 0:{workspace:{id:_.id,configPath:_.configPath},type:i.FileType.File,exists:!0,remoteAuthority:_.remoteAuthority,transient:_.transient}}return{fileUri:f.URI.file(F),type:i.FileType.File,exists:!0,selection:W?{startLineNumber:W,startColumn:A||1}:void 0}}else{if(O.isDirectory())return{workspace:(0,B.getSingleFolderWorkspaceIdentifier)(f.URI.file(F),O),type:i.FileType.Directory,exists:!0};if(!d.isWindows&&F==="/dev/null")return{fileUri:f.URI.file(F),type:i.FileType.File,exists:!0}}}catch{const _=f.URI.file(F);if(this.workspacesHistoryMainService.removeRecentlyOpened([_]),N.ignoreFileNotFound)return{fileUri:_,type:i.FileType.File,exists:!1}}}doResolvePathRemote(F,N){const W=F.charCodeAt(0),A=N.remoteAuthority;let O,_;N.gotoLineMode&&({path:F,line:O,column:_}=(0,m.parseLineAndColumnAware)(F)),W!==47&&((0,m.isWindowsDriveLetter)(W)&&F.charCodeAt(F.charCodeAt(1))===58&&(F=(0,m.toSlashes)(F)),F=`/${F}`);const G=f.URI.from({scheme:b.Schemas.vscodeRemote,authority:A,path:F});if(F.charCodeAt(F.length-1)!==47){if((0,H.hasWorkspaceFileExtension)(F))return N.forceOpenWorkspaceAsFile?{fileUri:G,selection:O?{startLineNumber:O,startColumn:_||1}:void 0,remoteAuthority:N.remoteAuthority}:{workspace:(0,B.getWorkspaceIdentifier)(G),remoteAuthority:A};if(N.gotoLineMode||p.posix.basename(F).indexOf(".")!==-1)return{fileUri:G,selection:O?{startLineNumber:O,startColumn:_||1}:void 0,remoteAuthority:A}}return{workspace:(0,B.getSingleFolderWorkspaceIdentifier)(G),remoteAuthority:A}}shouldOpenNewWindow(F){const N=this.configurationService.getValue("window"),W=N?.openFoldersInNewWindow||"default",A=N?.openFilesInNewWindow||"off";let O=(F.preferNewWindow||F.forceNewWindow)&&!F.forceReuseWindow;!F.forceNewWindow&&!F.forceReuseWindow&&(W==="on"||W==="off")&&(O=W==="on");let _=!1;return F.forceNewWindow||F.forceReuseWindow?_=!!F.forceNewWindow&&!F.forceReuseWindow:(d.isMacintosh?F.context===1&&(_=!0):F.context!==3&&F.context!==2&&!(F.userEnv&&F.userEnv.TERM_PROGRAM==="vscode")&&(_=!0),!F.cli.extensionDevelopmentPath&&(A==="on"||A==="off")&&(_=A==="on")),{openFolderInNewWindow:!!O,openFilesInNewWindow:_}}openExtensionDevelopmentHostWindow(F,N){const W=(0,X.findWindowOnExtensionDevelopmentPath)(this.getWindows(),F);if(W)return this.lifecycleMainService.reload(W,N.cli),W.focus(),[W];let A=N.cli["folder-uri"]||[],O=N.cli["file-uri"]||[],_=N.cli._;if(!_.length&&!A.length&&!O.length&&!N.cli.extensionTestsPath){const ce=this.windowsStateHandler.state.lastPluginDevelopmentHostWindow,ne=ce&&(ce.workspace||ce.folderUri);ne&&(f.URI.isUri(ne)?ne.scheme===b.Schemas.file?_=[ne.fsPath]:A=[ne.toString()]:ne.configPath.scheme===b.Schemas.file?_=[(0,v.originalFSPath)(ne.configPath)]:O=[ne.configPath.toString()])}let G=N.remoteAuthority;for(const ce of F)if(ce.match(/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/)){const ne=f.URI.parse(ce),le=(0,T.getRemoteAuthority)(ne);le&&(G?(0,v.isEqualAuthority)(le,G)||this.logService.error("more than one extension development path authority"):G=le)}_=_.filter(ce=>{const ne=f.URI.file(ce);return(0,X.findWindowOnWorkspaceOrFolder)(this.getWindows(),ne)?!1:(0,v.isEqualAuthority)((0,T.getRemoteAuthority)(ne),G)}),A=A.filter(ce=>{const ne=this.cliArgToUri(ce);return ne&&!!(0,X.findWindowOnWorkspaceOrFolder)(this.getWindows(),ne)?!1:ne?(0,v.isEqualAuthority)((0,T.getRemoteAuthority)(ne),G):!1}),O=O.filter(ce=>{const ne=this.cliArgToUri(ce);return ne&&!!(0,X.findWindowOnWorkspaceOrFolder)(this.getWindows(),ne)?!1:ne?(0,v.isEqualAuthority)((0,T.getRemoteAuthority)(ne),G):!1}),N.cli._=_,N.cli["folder-uri"]=A,N.cli["file-uri"]=O;const ie=!_.length&&!A.length&&!O.length,ae={context:N.context,cli:N.cli,forceNewWindow:!0,forceEmpty:ie,userEnv:N.userEnv,noRecentEntry:!0,waitMarkerFileURI:N.waitMarkerFileURI,remoteAuthority:G};return this.open(ae)}openInBrowserWindow(F){const N=this.configurationService.getValue("window"),W={...this.environmentMainService.args,...F.cli,machineId:this.machineId,windowId:-1,mainPid:process.pid,appRoot:this.environmentMainService.appRoot,execPath:process.execPath,codeCachePath:this.environmentMainService.codeCachePath,backupPath:F.emptyWindowBackupInfo?(0,p.join)(this.environmentMainService.backupHome,F.emptyWindowBackupInfo.backupFolder):void 0,homeDir:this.environmentMainService.userHome.fsPath,tmpDir:this.environmentMainService.tmpDir.fsPath,userDataDir:this.environmentMainService.userDataPath,remoteAuthority:F.remoteAuthority,workspace:F.workspace,userEnv:{...this.initialUserEnv,...F.userEnv},filesToOpenOrCreate:F.filesToOpen?.filesToOpenOrCreate,filesToDiff:F.filesToOpen?.filesToDiff,filesToWait:F.filesToOpen?.filesToWait,logLevel:this.logService.getLevel(),logsPath:this.environmentMainService.logsPath,product:y.default,isInitialStartup:F.initialStartup,perfMarks:(0,t.getMarks)(),os:{release:(0,L.release)(),hostname:(0,L.hostname)()},zoomLevel:typeof N?.zoomLevel=="number"?N.zoomLevel:void 0,autoDetectHighContrast:N?.autoDetectHighContrast??!0,accessibilitySupport:w.app.accessibilitySupportEnabled,colorScheme:{dark:w.nativeTheme.shouldUseDarkColors,highContrast:w.nativeTheme.shouldUseInvertedColorScheme||w.nativeTheme.shouldUseHighContrastColors}};let A;if(!F.forceNewWindow&&!F.forceNewTabbedWindow&&(A=F.windowToUse||this.getLastActiveWindow(),A&&A.focus()),A){const O=A.config;!W.extensionDevelopmentPath&&O&&!!O.extensionDevelopmentPath&&(W.extensionDevelopmentPath=O.extensionDevelopmentPath,W.verbose=O.verbose,W["inspect-brk-extensions"]=O["inspect-brk-extensions"],W.debugId=O.debugId,W.extensionEnvironment=O.extensionEnvironment,W["inspect-extensions"]=O["inspect-extensions"],W["extensions-dir"]=O["extensions-dir"])}else{const O=this.windowsStateHandler.getNewWindowState(W);(0,t.mark)("code/willCreateCodeWindow");const _=A=this.instantiationService.createInstance(ee.CodeWindow,{state:O,extensionDevelopmentPath:W.extensionDevelopmentPath,isExtensionTestHost:!!W.extensionTestsPath});if((0,t.mark)("code/didCreateCodeWindow"),F.forceNewTabbedWindow){const ie=this.getLastActiveWindow();ie&&ie.addTabbedWindow(_)}rt.WINDOWS.push(_),this._onDidOpenWindow.fire(_),this._onDidChangeWindowsCount.fire({oldCount:this.getWindowCount()-1,newCount:this.getWindowCount()}),(0,E.once)(_.onDidSignalReady)(()=>this._onDidSignalReadyWindow.fire(_)),(0,E.once)(_.onDidClose)(()=>this.onWindowClosed(_)),(0,E.once)(_.onDidDestroy)(()=>this._onDidDestroyWindow.fire(_));const G=(0,M.assertIsDefined)(_.win?.webContents);G.removeAllListeners("devtools-reload-page"),G.on("devtools-reload-page",()=>this.lifecycleMainService.reload(_)),this.lifecycleMainService.registerWindow(_)}return W.windowId=A.id,A.isReady?this.lifecycleMainService.unload(A,4).then(O=>{O||this.doOpenInBrowserWindow(A,W,F)}):this.doOpenInBrowserWindow(A,W,F),A}doOpenInBrowserWindow(F,N,W){if(!N.extensionDevelopmentPath)if((0,H.isWorkspaceIdentifier)(N.workspace))N.backupPath=this.backupMainService.registerWorkspaceBackupSync({workspace:N.workspace,remoteAuthority:N.remoteAuthority});else if((0,H.isSingleFolderWorkspaceIdentifier)(N.workspace))N.backupPath=this.backupMainService.registerFolderBackupSync({folderUri:N.workspace.uri,remoteAuthority:N.remoteAuthority});else{const A=W.emptyWindowBackupInfo&&W.emptyWindowBackupInfo.backupFolder;N.backupPath=this.backupMainService.registerEmptyWindowBackupSync(A,N.remoteAuthority)}F.load(N)}onWindowClosed(F){const N=rt.WINDOWS.indexOf(F);rt.WINDOWS.splice(N,1),this._onDidChangeWindowsCount.fire({oldCount:this.getWindowCount()+1,newCount:this.getWindowCount()})}getFocusedWindow(){const F=w.BrowserWindow.getFocusedWindow();if(F)return this.getWindowById(F.id)}getLastActiveWindow(){return this.doGetLastActiveWindow(this.getWindows())}getLastActiveWindowForAuthority(F){return this.doGetLastActiveWindow(this.getWindows().filter(N=>(0,v.isEqualAuthority)(N.remoteAuthority,F)))}doGetLastActiveWindow(F){const N=Math.max.apply(Math,F.map(W=>W.lastFocusTime));return F.find(W=>W.lastFocusTime===N)}sendToFocused(F,...N){const W=this.getFocusedWindow()||this.getLastActiveWindow();W&&W.sendWhenReady(F,P.CancellationToken.None,...N)}sendToAll(F,N,W){for(const A of this.getWindows())W&&W.indexOf(A.id)>=0||A.sendWhenReady(F,P.CancellationToken.None,N)}getWindows(){return rt.WINDOWS}getWindowCount(){return rt.WINDOWS.length}getWindowById(F){const N=this.getWindows().filter(W=>W.id===F);return(0,D.firstOrDefault)(N)}getWindowByWebContents(F){const N=w.BrowserWindow.fromWebContents(F);if(!!N)return this.getWindowById(N.id)}};j.WINDOWS=[],j=ue([te(2,l.ILogService),te(3,U.IStateMainService),te(4,r.IEnvironmentMainService),te(5,a.ILifecycleMainService),te(6,c.IBackupMainService),te(7,o.IConfigurationService),te(8,Q.IWorkspacesHistoryMainService),te(9,se.IWorkspacesManagementMainService),te(10,s.IInstantiationService),te(11,u.IDialogMainService),te(12,i.IFileService),te(13,C.IProductService),te(14,R.IProtocolMainService)],j),e.WindowsMainService=j}),define(Z[247],x([0,1,51,34,67,42]),function(V,e,w,n,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesMainService=void 0;let P=class{constructor(m,E,I,k){this.workspacesManagementMainService=m,this.windowsMainService=E,this.workspacesHistoryMainService=I,this.backupMainService=k,this.onDidChangeRecentlyOpened=this.workspacesHistoryMainService.onDidChangeRecentlyOpened}async enterWorkspace(m,E){const I=this.windowsMainService.getWindowById(m);if(I)return this.workspacesManagementMainService.enterWorkspace(I,this.windowsMainService.getWindows(),E)}createUntitledWorkspace(m,E,I){return this.workspacesManagementMainService.createUntitledWorkspace(E,I)}deleteUntitledWorkspace(m,E){return this.workspacesManagementMainService.deleteUntitledWorkspace(E)}getWorkspaceIdentifier(m,E){return this.workspacesManagementMainService.getWorkspaceIdentifier(E)}getRecentlyOpened(m){return this.workspacesHistoryMainService.getRecentlyOpened(this.windowsMainService.getWindowById(m))}addRecentlyOpened(m,E){return this.workspacesHistoryMainService.addRecentlyOpened(E)}removeRecentlyOpened(m,E){return this.workspacesHistoryMainService.removeRecentlyOpened(E)}clearRecentlyOpened(m){return this.workspacesHistoryMainService.clearRecentlyOpened()}async getDirtyWorkspaces(){return this.backupMainService.getDirtyWorkspaces()}};P=ue([te(0,D.IWorkspacesManagementMainService),te(1,n.IWindowsMainService),te(2,L.IWorkspacesHistoryMainService),te(3,w.IBackupMainService)],P),e.WorkspacesMainService=P}),define(Z[248],x([0,1,12,29,26,16,39,15,28,43,44,33,2,10,7,3,14,8,31,71,126,37,129,89,221,139,51,230,19,74,195,168,75,104,47,231,92,166,22,50,98,174,196,175,227,93,176,177,20,190,77,73,5,76,240,206,105,18,6,192,245,58,21,78,235,79,38,224,81,207,32,209,211,64,41,215,238,241,239,242,100,216,217,218,219,222,34,246,223,25,80,67,247,42]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g,v,M,f,h,c,o,u,r,i,s,a,l,y,C,R,T,U,Y,ee,X,J,H,B,Q,se,q,z,j,$,F,N,W,A,O,_,G,ie,ae,ce,ne,le,he,we,be,Me,Se,pe,Ee,Le,Ne,Ze,Fe,ze,Ge,st,wt,ot,Ye,He,Qe,K,re,oe,fe,ye,Re,Oe,Ke,Ve,Ae,qe,je,xe,tt,kt,Lt,Pt){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeApplication=void 0;let pt=class extends b.Disposable{constructor(de,me,ve,ge,Pe,De,Ce,Ie,ke,Te){super();this.mainProcessNodeIpcServer=de,this.userEnv=me,this.mainInstantiationService=ve,this.logService=ge,this.environmentMainService=Pe,this.lifecycleMainService=De,this.configurationService=Ce,this.stateMainService=Ie,this.fileService=ke,this.productService=Te,this.configureSession(),this.registerListeners()}configureSession(){const de=Ie=>Ie?.startsWith(`${p.Schemas.vscodeWebview}://`),me=new Set(["clipboard-read","clipboard-sanitized-write"]);w.session.defaultSession.setPermissionRequestHandler((Ie,ke,Te,_e)=>de(_e.requestingUrl)?Te(me.has(ke)):Te(!1)),w.session.defaultSession.setPermissionCheckHandler((Ie,ke,Te,_e)=>de(_e.requestingUrl)?me.has(ke):!1);const ve=new Set([p.Schemas.file,p.Schemas.vscodeFileResource,p.Schemas.vscodeRemoteResource,"devtools"]),ge=Ie=>{for(let ke=Ie;ke;ke=ke.parent)if(ke.url.startsWith(`${p.Schemas.vscodeWebview}://`))return!0;return!1},Pe=Ie=>Ie.resourceType==="xhr"||ge(Ie.frame),De=Ie=>{const ke=Ie.frame;if(!ke||!this.windowsMainService)return!1;const Te=w.BrowserWindow.getAllWindows();for(const _e of Te)if(ke.processId===_e.webContents.mainFrame.processId)return!0;return!1};w.session.defaultSession.webRequest.onBeforeRequest((Ie,ke)=>{const Te=v.URI.parse(Ie.url);return Te.scheme===p.Schemas.vscodeFileResource&&!De(Ie)?(this.logService.error("Blocked vscode-file request",Ie.url),ke({cancel:!0})):Te.path.endsWith(".svg")&&!ve.has(Te.scheme)?ke({cancel:!Pe(Ie)}):ke({cancel:!1})}),w.session.defaultSession.webRequest.onHeadersReceived((Ie,ke)=>{const Te=Ie.responseHeaders,_e=Te["content-type"]||Te["Content-Type"];if(_e&&Array.isArray(_e)){const Xe=v.URI.parse(Ie.url);if(Xe.path.endsWith(".svg")&&ve.has(Xe.scheme))return Te["Content-Type"]=["image/svg+xml"],ke({cancel:!1,responseHeaders:Te});if(!Xe.path.includes(p.Schemas.vscodeRemoteResource)&&_e.some(et=>et.toLowerCase().includes("image/svg")))return ke({cancel:!Pe(Ie)})}return ke({cancel:!1})});const Ce=w.session.defaultSession;typeof Ce.setCodeCachePath=="function"&&this.environmentMainService.codeCachePath&&Ce.setCodeCachePath((0,t.join)(this.environmentMainService.codeCachePath,"chrome"))}registerListeners(){(0,S.setUnexpectedErrorHandler)(ve=>this.onUnexpectedError(ve)),process.on("uncaughtException",ve=>(0,S.onUnexpectedError)(ve)),process.on("unhandledRejection",ve=>(0,S.onUnexpectedError)(ve)),this.lifecycleMainService.onWillShutdown(()=>this.dispose()),(0,h.registerContextMenuListener)(),w.app.on("accessibility-support-changed",(ve,ge)=>{this.windowsMainService?.sendToAll("vscode:accessibilitySupportChanged",ge)}),w.app.on("activate",(ve,ge)=>{this.logService.trace("app#activate"),ge||this.windowsMainService?.openEmptyWindow({context:1})}),w.app.on("web-contents-created",(ve,ge)=>{ge.on("will-navigate",Pe=>{this.logService.error("webContents#will-navigate: Prevented webcontent navigation"),Pe.preventDefault()}),ge.setWindowOpenHandler(({url:Pe})=>(this.nativeHostMainService?.openExternal(void 0,Pe),{action:"deny"}))});let de=[],me;w.app.on("open-file",(ve,ge)=>{this.logService.trace("app#open-file: ",ge),ve.preventDefault(),de.push(this.getWindowOpenableFromPathSync(ge)),me!==void 0&&(clearTimeout(me),me=void 0),me=setTimeout(()=>{this.windowsMainService?.open({context:1,cli:this.environmentMainService.args,urisToOpen:de,gotoLineMode:!1,preferNewWindow:!0}),de=[],me=void 0},100)}),w.app.on("new-window-for-tab",()=>{this.windowsMainService?.openEmptyWindow({context:4})}),w.ipcMain.handle("vscode:fetchShellEnv",ve=>{const ge=this.windowsMainService?.getWindowByWebContents(ve.sender);let Pe,De;return ge?.config?(Pe=ge.config,De={...process.env,...ge.config.userEnv}):(Pe=this.environmentMainService.args,De=process.env),this.resolveShellEnvironment(Pe,De,!1)}),w.ipcMain.handle("vscode:writeNlsFile",(ve,ge,Pe)=>{const De=this.validateNlsPath([ge]);if(!De||typeof Pe!="string")throw new Error("Invalid operation (vscode:writeNlsFile)");return this.fileService.writeFile(De,D.VSBuffer.fromString(Pe))}),w.ipcMain.handle("vscode:readNlsFile",async(ve,...ge)=>{const Pe=this.validateNlsPath(ge);if(!Pe)throw new Error("Invalid operation (vscode:readNlsFile)");return(await this.fileService.readFile(Pe)).value.toString()}),w.ipcMain.on("vscode:toggleDevTools",ve=>ve.sender.toggleDevTools()),w.ipcMain.on("vscode:openDevTools",ve=>ve.sender.openDevTools()),w.ipcMain.on("vscode:reloadWindow",ve=>ve.sender.reload())}validateNlsPath(de){let me;for(const ve of de)typeof ve=="string"&&(typeof me!="string"?me=ve:me=(0,t.join)(me,ve));if(!(typeof me!="string"||!(0,t.isAbsolute)(me)||!(0,m.isEqualOrParent)(me,this.environmentMainService.cachedLanguagesPath,!d.isLinux)))return v.URI.file(me)}onUnexpectedError(de){if(de){const me={message:`[uncaught exception in main]: ${de.message}`,stack:de.stack};this.windowsMainService?.sendToFocused("vscode:reportError",JSON.stringify(me))}this.logService.error(`[uncaught exception in main]: ${de}`),de.stack&&this.logService.error(de.stack)}async startup(){this.logService.debug("Starting VS Code"),this.logService.debug(`from: ${this.environmentMainService.appRoot}`),this.logService.debug("args:",this.environmentMainService.args);const de=this.productService.win32AppUserModelId;d.isWindows&&de&&w.app.setAppUserModelId(de);try{d.isMacintosh&&this.configurationService.getValue("window.nativeTabs")===!0&&!w.systemPreferences.getUserDefault("NSUseImprovedLayoutPass","boolean")&&w.systemPreferences.setUserDefault("NSUseImprovedLayoutPass","boolean",!0)}catch(ke){this.logService.error(ke)}const me=new o.Server;this.logService.trace("Resolving machine identifier...");const ve=await this.resolveMachineId();this.logService.trace(`Resolved machine identifier: ${ve}`);const{sharedProcess:ge,sharedProcessReady:Pe,sharedProcessClient:De}=this.setupSharedProcess(ve),Ce=await this.initServices(ve,ge,Pe);if(this.environmentMainService.driverHandle){const ke=await(0,ee.serve)(me,this.environmentMainService.driverHandle,this.environmentMainService,Ce);this.logService.info("Driver started at:",this.environmentMainService.driverHandle),this._register(ke)}this._register(Ce.createInstance(r.ProxyAuthHandler)),Ce.invokeFunction(ke=>this.initChannels(ke,me,De));const Ie=Ce.invokeFunction(ke=>this.openFirstWindow(ke,me));Ce.invokeFunction(ke=>this.afterWindowOpen(ke,ge)),this.environmentMainService.args.trace&&Ce.invokeFunction(ke=>this.stopTracingEventually(ke,Ie))}async resolveMachineId(){let de=this.stateMainService.getItem(Ge.machineIdKey);return(!de||d.isMacintosh&&de==="6c9d2bc8f91b89624add29c0abeae7fb42bf539fa1cdb2e3e57cd668fa9bcead")&&(de=await(0,f.getMachineId)(),this.stateMainService.setItem(Ge.machineIdKey,de)),de}setupSharedProcess(de){const me=this._register(this.mainInstantiationService.createInstance(Ee.SharedProcess,de,this.userEnv)),ve=(async()=>{this.logService.trace("Main->SharedProcess#connect");const Pe=await me.connect();return this.logService.trace("Main->SharedProcess#connect: connection established"),new u.Client(Pe,"main")})(),ge=(async()=>(await me.whenReady(),ve))();return{sharedProcess:me,sharedProcessReady:ge,sharedProcessClient:ve}}async initServices(de,me,ve){const ge=new ie.ServiceCollection;switch(process.platform){case"win32":ge.set(Ye.IUpdateService,new _.SyncDescriptor(oe.Win32UpdateService));break;case"linux":d.isLinuxSnap?ge.set(Ye.IUpdateService,new _.SyncDescriptor(re.SnapUpdateService,[process.env.SNAP,process.env.SNAP_REVISION])):ge.set(Ye.IUpdateService,new _.SyncDescriptor(K.LinuxUpdateService));break;case"darwin":ge.set(Ye.IUpdateService,new _.SyncDescriptor(Qe.DarwinUpdateService));break}ge.set(Ae.IWindowsMainService,new _.SyncDescriptor(qe.WindowsMainService,[de,this.userEnv])),ge.set(Y.IDialogMainService,new _.SyncDescriptor(Y.DialogMainService)),ge.set(ne.ILaunchMainService,new _.SyncDescriptor(ne.LaunchMainService)),ge.set(U.IDiagnosticsMainService,new _.SyncDescriptor(U.DiagnosticsMainService)),ge.set(T.IDiagnosticsService,c.ProxyChannel.toService((0,c.getDelayedChannel)(ve.then(De=>De.getChannel("diagnostics"))))),ge.set(ae.IIssueMainService,new _.SyncDescriptor(ae.IssueMainService,[this.userEnv])),ge.set(X.IEncryptionMainService,new _.SyncDescriptor(J.EncryptionMainService,[de])),ge.set(ce.IKeyboardLayoutMainService,new _.SyncDescriptor(ce.KeyboardLayoutMainService)),ge.set(Me.INativeHostMainService,new _.SyncDescriptor(Me.NativeHostMainService,[me])),ge.set(y.ICredentialsMainService,new _.SyncDescriptor(C.CredentialsMainService,[!1])),ge.set(Ke.IWebviewManagerService,new _.SyncDescriptor(Ve.WebviewMainService)),ge.set(tt.IWorkspacesService,new _.SyncDescriptor(Lt.WorkspacesMainService)),ge.set(Pt.IWorkspacesManagementMainService,new _.SyncDescriptor(Pt.WorkspacesManagementMainService)),ge.set(kt.IWorkspacesHistoryMainService,new _.SyncDescriptor(kt.WorkspacesHistoryMainService)),ge.set(be.IMenubarMainService,new _.SyncDescriptor(be.MenubarMainService)),ge.set(se.IExtensionUrlTrustService,new _.SyncDescriptor(q.ExtensionUrlTrustService)),ge.set(z.IExtensionHostStarter,new _.SyncDescriptor(j.WorkerMainProcessExtensionHostStarter)),ge.set(Fe.IStorageMainService,new _.SyncDescriptor(Fe.StorageMainService)),ge.set(Fe.IGlobalStorageMainService,new _.SyncDescriptor(Fe.GlobalStorageMainService)),d.isWindows?ge.set($.IExternalTerminalMainService,new _.SyncDescriptor(F.WindowsExternalTerminalService)):d.isMacintosh?ge.set($.IExternalTerminalMainService,new _.SyncDescriptor(F.MacExternalTerminalService)):d.isLinux&&ge.set($.IExternalTerminalMainService,new _.SyncDescriptor(F.LinuxExternalTerminalService));const Pe=new a.BackupMainService(this.environmentMainService,this.configurationService,this.logService);if(ge.set(s.IBackupMainService,Pe),ge.set(fe.IURLService,new _.SyncDescriptor(Re.NativeURLService)),(0,ot.supportsTelemetry)(this.productService,this.environmentMainService)){const De=(0,c.getDelayedChannel)(ve.then(_e=>_e.getChannel("telemetryAppender"))),Ce=new st.TelemetryAppenderClient(De),Ie=(0,ze.resolveCommonProperties)(this.fileService,(0,L.release)(),(0,L.hostname)(),process.arch,this.productService.commit,this.productService.version,de,this.productService.msftInternalDomains,this.environmentMainService.installSourcePath),ke=[this.environmentMainService.appRoot,this.environmentMainService.extensionsPath],Te={appenders:[Ce],commonProperties:Ie,piiPaths:ke,sendErrorTelemetry:!0};ge.set(Ge.ITelemetryService,new _.SyncDescriptor(wt.TelemetryService,[Te]))}else ge.set(Ge.ITelemetryService,ot.NullTelemetryService);return await Pe.initialize(),this.mainInstantiationService.createChild(ge)}initChannels(de,me,ve){const ge=c.ProxyChannel.fromService(de.get(ne.ILaunchMainService),{disableMarshalling:!0});this.mainProcessNodeIpcServer.registerChannel("launch",ge);const Pe=c.ProxyChannel.fromService(de.get(U.IDiagnosticsMainService),{disableMarshalling:!0});this.mainProcessNodeIpcServer.registerChannel("diagnostics",Pe);const De=this.fileService.getProvider(p.Schemas.file);(0,g.assertType)(De instanceof O.DiskFileSystemProvider);const Ce=new A.DiskFileSystemProviderChannel(De,this.logService,this.environmentMainService);me.registerChannel(N.LOCAL_FILE_SYSTEM_CHANNEL_NAME,Ce),ve.then(Be=>Be.registerChannel(N.LOCAL_FILE_SYSTEM_CHANNEL_NAME,Ce));const Ie=new He.UpdateChannel(de.get(Ye.IUpdateService));me.registerChannel("update",Ie);const ke=c.ProxyChannel.fromService(de.get(ae.IIssueMainService));me.registerChannel("issue",ke);const Te=c.ProxyChannel.fromService(de.get(X.IEncryptionMainService));me.registerChannel("encryption",Te);const _e=c.ProxyChannel.fromService(de.get(y.ICredentialsMainService));me.registerChannel("credentials",_e);const Xe=c.ProxyChannel.fromService(de.get(Le.ISignService));me.registerChannel("sign",Xe);const et=c.ProxyChannel.fromService(de.get(ce.IKeyboardLayoutMainService));me.registerChannel("keyboardLayout",et),this.nativeHostMainService=de.get(Me.INativeHostMainService);const ut=c.ProxyChannel.fromService(this.nativeHostMainService);me.registerChannel("nativeHost",ut),ve.then(Be=>Be.registerChannel("nativeHost",ut));const vt=c.ProxyChannel.fromService(de.get(tt.IWorkspacesService));me.registerChannel("workspaces",vt);const Ue=c.ProxyChannel.fromService(de.get(be.IMenubarMainService));me.registerChannel("menubar",Ue);const ht=c.ProxyChannel.fromService(de.get(fe.IURLService));me.registerChannel("url",ht);const at=c.ProxyChannel.fromService(de.get(se.IExtensionUrlTrustService));me.registerChannel("extensionUrlTrust",at);const ct=c.ProxyChannel.fromService(de.get(Ke.IWebviewManagerService));me.registerChannel("webview",ct);const lt=this._register(new Ze.StorageDatabaseChannel(this.logService,de.get(Fe.IStorageMainService)));me.registerChannel("storage",lt),ve.then(Be=>Be.registerChannel("storage",lt));const dt=c.ProxyChannel.fromService(de.get($.IExternalTerminalMainService));me.registerChannel("externalTerminal",dt);const it=new we.LogLevelChannel(de.get(he.ILogService));me.registerChannel("logLevel",it),ve.then(Be=>Be.registerChannel("logLevel",it));const nt=new we.LoggerChannel(de.get(he.ILoggerService));me.registerChannel("logger",nt),ve.then(Be=>Be.registerChannel("logger",nt));const ft=new R.ElectronExtensionHostDebugBroadcastChannel(de.get(Ae.IWindowsMainService));me.registerChannel("extensionhostdebugservice",ft);const We=c.ProxyChannel.fromService(de.get(z.IExtensionHostStarter));me.registerChannel(z.ipcExtensionHostStarterChannelName,We)}openFirstWindow(de,me){const ve=this.windowsMainService=de.get(Ae.IWindowsMainService),ge=de.get(fe.IURLService),Pe=de.get(Me.INativeHostMainService);this.lifecycleMainService.phase=2;const De=[],Ce=[...this.environmentMainService.args["open-url"]?this.environmentMainService.args._urls||[]:[],...global.getOpenUrls()||[]].map(We=>{try{return{uri:v.URI.parse(We),url:We}}catch{return}}).filter(We=>{if(!We||this.shouldBlockURI(We.uri))return!1;const Be=this.getWindowOpenableFromProtocolLink(We.uri);return Be?(De.push(Be),!1):!0}),Ie=this,ke=this.environmentMainService,Te=this.productService,_e=this.logService;ge.registerHandler({async handleURL(We,Be){if(_e.trace("app#handleURL: ",We.toString(!0),Be),We.scheme===Te.urlProtocol&&We.path==="workspace"&&(We=We.with({authority:"file",path:v.URI.parse(We.query).path,query:""})),Ie.shouldBlockURI(We))return!0;const yt=Ie.getWindowOpenableFromProtocolLink(We);if(_e.trace("app#handleURL: windowOpenableFromProtocolLink = ",yt),yt){const[St]=ve.open({context:5,cli:{...ke.args},urisToOpen:[yt],gotoLineMode:!0});return St.focus(),!0}if(d.isMacintosh&&ve.getWindowCount()===0){const[St]=ve.open({context:5,cli:{...ke.args},forceEmpty:!0,gotoLineMode:!0,remoteAuthority:(0,pe.getRemoteAuthority)(We)});return await St.ready(),ge.open(We,Be)}return!1}});const Xe=this._register(new je.ActiveWindowManager({onDidOpenWindow:Pe.onDidOpenWindow,onDidFocusWindow:Pe.onDidFocusWindow,getActiveWindowId:()=>Pe.getActiveWindowId(-1)})),et=new c.StaticRouter(We=>Xe.getActiveClientId().then(Be=>We===Be)),ut=new ye.URLHandlerRouter(et),vt=me.getChannel("urlHandler",ut);ge.registerHandler(new ye.URLHandlerChannelClient(vt)),this._register(new Oe.ElectronURLListener(Ce,ge,ve,this.environmentMainService,this.productService));const Ue=this.environmentMainService.args,ht=global.macOpenFiles,at=(0,B.isLaunchedFromCli)(process.env)?0:4,ct=Ue._.length,lt=!!Ue["folder-uri"],dt=!!Ue["file-uri"],it=Ue["skip-add-to-recently-opened"]===!0,nt=Ue.wait&&Ue.waitMarkerFilePath?v.URI.file(Ue.waitMarkerFilePath):void 0,ft=Ue.remote||void 0;return De.length>0?ve.open({context:at,cli:Ue,urisToOpen:De,gotoLineMode:!0,initialStartup:!0}):Ue["new-window"]&&!ct&&!lt&&!dt?ve.open({context:at,cli:Ue,forceNewWindow:!0,forceEmpty:!0,noRecentEntry:it,waitMarkerFileURI:nt,initialStartup:!0,remoteAuthority:ft}):ht.length&&!ct&&!lt&&!dt?ve.open({context:1,cli:Ue,urisToOpen:ht.map(We=>this.getWindowOpenableFromPathSync(We)),noRecentEntry:it,waitMarkerFileURI:nt,initialStartup:!0}):ve.open({context:at,cli:Ue,forceNewWindow:Ue["new-window"]||!ct&&Ue["unity-launch"],diffMode:Ue.diff,noRecentEntry:it,waitMarkerFileURI:nt,gotoLineMode:Ue.goto,initialStartup:!0,remoteAuthority:ft})}shouldBlockURI(de){return!!(de.authority===p.Schemas.file&&d.isWindows&&w.dialog.showMessageBoxSync({title:this.productService.nameLong,type:"question",buttons:[(0,k.mnemonicButtonLabel)((0,i.localize)(0,null)),(0,k.mnemonicButtonLabel)((0,i.localize)(1,null))],defaultId:0,cancelId:1,message:(0,i.localize)(2,null,(0,k.getPathLabel)(de.fsPath,this.environmentMainService),this.productService.nameShort),detail:(0,i.localize)(3,null),noLink:!0})===1)}getWindowOpenableFromProtocolLink(de){if(!!de.path){if(de.authority===p.Schemas.file){const me=v.URI.file(de.fsPath);return(0,xe.hasWorkspaceFileExtension)(me)?{workspaceUri:me}:{fileUri:me}}else if(de.authority===p.Schemas.vscodeRemote){const me=de.path.indexOf(t.posix.sep,1);if(me!==-1){const ve=de.path.substring(1,me),ge=de.path.substring(me),Pe=v.URI.from({scheme:p.Schemas.vscodeRemote,authority:ve,path:ge,query:de.query,fragment:de.fragment});return(0,xe.hasWorkspaceFileExtension)(ge)?{workspaceUri:Pe}:/:[\d]+$/.test(ge)?{fileUri:Pe}:{folderUri:Pe}}}}}getWindowOpenableFromPathSync(de){try{if((0,n.statSync)(de).isDirectory())return{folderUri:v.URI.file(de)};if((0,xe.hasWorkspaceFileExtension)(de))return{workspaceUri:v.URI.file(de)}}catch{}return{fileUri:v.URI.file(de)}}async afterWindowOpen(de,me){this.lifecycleMainService.phase=3;let ve=!1;(0,E.once)(this.lifecycleMainService.onWillShutdown)(()=>ve=!0);const ge=de.get(Ge.ITelemetryService);this._register(me.onDidError(({type:Ce,details:Ie})=>{let ke;switch(Ce){case 1:ke="SharedProcess: detected unresponsive window";break;case 2:ke=`SharedProcess: crashed (detail: ${Ie?.reason??"<unknown>"}, code: ${Ie?.exitCode??"<unknown>"})`;break;case 3:ke=`SharedProcess: failed to load (detail: ${Ie?.reason??"<unknown>"}, code: ${Ie?.exitCode??"<unknown>"})`;break}(0,S.onUnexpectedError)(new Error(ke)),ge.publicLog2("sharedprocesserror",{type:Ce,reason:Ie?.reason,code:Ie?.exitCode,visible:me.isVisible(),shuttingdown:ve})}));const Pe=this.productService.win32MutexName;if(d.isWindows&&Pe)try{const Ce=V.__$__nodeRequire("windows-mutex").Mutex,Ie=new Ce(Pe);(0,E.once)(this.lifecycleMainService.onWillShutdown)(()=>Ie.release())}catch(Ce){this.logService.error(Ce)}w.protocol.registerHttpProtocol(p.Schemas.vscodeRemoteResource,(Ce,Ie)=>{Ie({url:Ce.url.replace(/^vscode-remote-resource:/,"http:"),method:Ce.method})});const De=de.get(Ye.IUpdateService);(De instanceof oe.Win32UpdateService||De instanceof K.LinuxUpdateService||De instanceof Qe.DarwinUpdateService)&&De.initialize(),this.resolveShellEnvironment(this.environmentMainService.args,process.env,!0);try{const Ie=(await this.fileService.readFile(this.environmentMainService.argvResource)).value.toString();if(JSON.parse((0,I.stripComments)(Ie))["enable-crash-reporter"]===void 0){const _e=(0,ot.getTelemetryLevel)(this.configurationService)>=1,Xe=["","	// Allows to disable crash reporting.","	// Should restart the app if the value is changed.",`	"enable-crash-reporter": ${_e},`,"","	// Unique id used for correlating crash reports sent from this instance.","	// Do not edit this value.",`	"crash-reporter-id": "${(0,M.generateUuid)()}"`,"}"],et=Ie.substring(0,Ie.length-2).concat(`,
`,Xe.join(`
`));await this.fileService.writeFile(this.environmentMainService.argvResource,D.VSBuffer.fromString(et))}}catch(Ce){this.logService.error(Ce)}}async resolveShellEnvironment(de,me,ve){try{return await(0,Q.getResolvedShellEnv)(this.logService,de,me)}catch(ge){const Pe=(0,P.toErrorMessage)(ge);ve?this.windowsMainService?.sendToFocused("vscode:showResolveShellEnvError",Pe):this.logService.error(Pe)}return{}}stopTracingEventually(de,me){this.logService.info("Tracing: waiting for windows to get ready...");const ve=de.get(Y.IDialogMainService);let ge=!1;const Pe=async Ce=>{if(ge)return;ge=!0;const Ie=await w.contentTracing.stopRecording(`${(0,m.randomPath)(this.environmentMainService.userHome.fsPath,this.productService.applicationName)}.trace.txt`);Ce?this.logService.info(`Tracing: data recorded (after 30s timeout) to ${Ie}`):ve.showMessageBox({title:this.productService.nameLong,type:"info",message:(0,i.localize)(4,null),detail:(0,i.localize)(5,null,Ie),buttons:[(0,k.mnemonicButtonLabel)((0,i.localize)(6,null))],defaultId:0,noLink:!0},(0,g.withNullAsUndefined)(w.BrowserWindow.getFocusedWindow()))},De=setTimeout(()=>Pe(!0),3e4);Promise.all(me.map(Ce=>Ce.ready())).then(()=>{clearTimeout(De),Pe(!1)})}};pt=ue([te(2,G.IInstantiationService),te(3,he.ILogService),te(4,H.IEnvironmentMainService),te(5,le.ILifecycleMainService),te(6,l.IConfigurationService),te(7,Ne.IStateMainService),te(8,W.IFileService),te(9,Se.IProductService)],pt),e.CodeApplication=pt}),define(Z[255],x([0,1,12,29,30,9,39,15,28,43,33,10,7,63,3,36,27,24,37,57,248,11,19,200,208,22,50,171,20,188,77,73,182,76,18,95,6,193,96,53,21,54,197,99,237,56,234,79,205,38,236,64,65,214]),function(V,e,w,n,L,D,P,S,m,E,I,k,b,p,t,d,g,v,M,f,h,c,o,u,r,i,s,a,l,y,C,R,T,U,Y,ee,X,J,H,B,Q,se,q,z,j,$,F,N,W,A,O,_,G){"use strict";Object.defineProperty(e,"__esModule",{value:!0});class ie{main(){try{this.startup()}catch(ne){console.error(ne.message),w.app.exit(1)}}async startup(){(0,S.setUnexpectedErrorHandler)(pe=>console.error(pe));const[ne,le,he,we,be,Me,Se]=this.createServices();try{try{await this.initServices(he,we,be)}catch(pe){throw this.handleStartupDataDirError(he,Se.nameLong,pe),pe}await ne.invokeFunction(async pe=>{const Ee=pe.get(X.ILogService),Le=pe.get(Y.ILifecycleMainService),Ne=pe.get(l.IFileService),Ze=await this.claimInstance(Ee,he,Le,ne,Se,!0);return v.Promises.writeFile(he.mainLockfile,String(process.pid)).catch(Fe=>{Ee.warn(`Error writing main lockfile: ${Fe.stack}`)}),Me.logger=new H.SpdLogLogger("main",(0,b.join)(he.logsPath,"main.log"),!0,!1,Me.getLevel()),(0,E.once)(Le.onWillShutdown)(Fe=>{Ne.dispose(),we.dispose(),Fe.join(v.Promises.unlink(he.mainLockfile).catch(()=>{}))}),ne.createInstance(h.CodeApplication,Ze,le).startup()})}catch(pe){ne.invokeFunction(this.quit,pe)}}createServices(){const ne=new U.ServiceCollection,le={_serviceBrand:void 0,...B.default};ne.set(Q.IProductService,le);const he=new i.EnvironmentMainService(this.resolveArgs(),le),we=this.patchEnvironment(he);ne.set(i.IEnvironmentMainService,he);const be=new ee.BufferLogService,Me=new X.MultiplexLogService([new X.ConsoleMainLogger((0,X.getLogLevel)(he)),be]);process.once("exit",()=>Me.dispose()),ne.set(X.ILogService,Me);const Se=new y.FileService(Me);ne.set(l.IFileService,Se);const pe=new C.DiskFileSystemProvider(Me);Se.registerProvider(k.Schemas.file,pe),ne.set(X.ILoggerService,new J.LoggerService(Me,Se));const Ee=new u.ConfigurationService(he.settingsResource,Se);ne.set(o.IConfigurationService,Ee),ne.set(Y.ILifecycleMainService,new R.SyncDescriptor(Y.LifecycleMainService));const Le=new O.StateMainService(he,Me,Se);return ne.set(A.IStateMainService,Le),ne.set($.IRequestService,new R.SyncDescriptor(F.RequestMainService)),ne.set(G.IThemeMainService,new R.SyncDescriptor(G.ThemeMainService)),ne.set(N.ISignService,new R.SyncDescriptor(W.SignService)),ne.set(z.ITunnelService,new R.SyncDescriptor(j.TunnelService)),ne.set(se.IProtocolMainService,new R.SyncDescriptor(q.ProtocolMainService)),[new T.InstantiationService(ne,!0),we,he,Ee,Le,be,le]}patchEnvironment(ne){const le={VSCODE_IPC_HOOK:ne.mainIPCHandle};return["VSCODE_NLS_CONFIG","VSCODE_PORTABLE"].forEach(he=>{const we=process.env[he];typeof we=="string"&&(le[he]=we)}),Object.assign(process.env,le),le}initServices(ne,le,he){return D.Promises.settled([Promise.all([ne.extensionsPath,ne.codeCachePath,ne.logsPath,ne.globalStorageHome.fsPath,ne.workspaceStorageHome.fsPath,ne.backupHome].map(we=>we?v.Promises.mkdir(we,{recursive:!0}):void 0)),le.initialize(),he.init()])}async claimInstance(ne,le,he,we,be,Me){let Se;try{(0,p.mark)("code/willStartMainServer"),Se=await(0,f.serve)(le.mainIPCHandle),(0,p.mark)("code/didStartMainServer"),(0,E.once)(he.onWillShutdown)(()=>Se.dispose())}catch(pe){if(pe.code!=="EADDRINUSE")throw this.handleStartupDataDirError(le,be.nameLong,pe),pe;let Ee;try{Ee=await(0,f.connect)(le.mainIPCHandle,"main")}catch(Fe){if(!Me||t.isWindows||Fe.code!=="ECONNREFUSED")throw Fe.code==="EPERM"&&this.showStartupWarningDialog((0,c.localize)(0,null,be.nameShort),(0,c.localize)(1,null),be.nameLong),Fe;try{(0,n.unlinkSync)(le.mainIPCHandle)}catch(ze){throw ne.warn("Could not delete obsolete instance handle",ze),ze}return this.claimInstance(ne,le,he,we,be,!1)}if(le.extensionTestsLocationURI&&!le.debugExtensionHost.break){const Fe="Running extension tests from the command line is currently only supported if no other instance of Code is running.";throw ne.error(Fe),Ee.dispose(),new Error(Fe)}let Le;!le.args.wait&&!le.args.status&&(Le=setTimeout(()=>{this.showStartupWarningDialog((0,c.localize)(2,null,be.nameShort),(0,c.localize)(3,null),be.nameLong)},1e4));const Ne=M.ProxyChannel.toService(Ee.getChannel("launch"),{disableMarshalling:!0}),Ze=M.ProxyChannel.toService(Ee.getChannel("diagnostics"),{disableMarshalling:!0});if(le.args.status)return we.invokeFunction(async()=>{const Fe=new r.DiagnosticsService(_.NullTelemetryService,be),ze=await Ne.getMainProcessInfo(),Ge=await Ze.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0}),st=await Fe.getDiagnostics(ze,Ge);throw console.log(st),new S.ExpectedError});throw t.isWindows&&await this.windowsAllowSetForegroundWindow(Ne,ne),ne.trace("Sending env to running instance..."),await Ne.start(le.args,process.env),Ee.dispose(),Le&&clearTimeout(Le),new S.ExpectedError("Sent env to running instance. Terminating...")}if(le.args.status)throw ne.warn("Warning: The --status argument can only be used if Code is already running. Please run it again after Code has started."),new S.ExpectedError("Terminating...");return process.env.VSCODE_PID=String(process.pid),Se}handleStartupDataDirError(ne,le,he){if(he.code==="EACCES"||he.code==="EPERM"){const we=(0,L.coalesce)([ne.userDataPath,ne.extensionsPath,f.XDG_RUNTIME_DIR]).map(be=>(0,I.getPathLabel)(be,ne));this.showStartupWarningDialog((0,c.localize)(4,null),(0,c.localize)(5,null,(0,P.toErrorMessage)(he),we.join(`
`)),le)}}showStartupWarningDialog(ne,le,he){w.dialog.showMessageBoxSync({title:he,type:"warning",buttons:[(0,I.mnemonicButtonLabel)((0,c.localize)(6,null))],message:ne,detail:le,defaultId:0,noLink:!0})}async windowsAllowSetForegroundWindow(ne,le){if(t.isWindows){const he=await ne.getMainProcessId();le.trace("Sending some foreground love to the running instance:",he);try{(await new Promise((we,be)=>{V(["windows-foreground-love"],we,be)})).allowSetForegroundWindow(he)}catch(we){le.error(we)}}}quit(ne,le){const he=ne.get(X.ILogService),we=ne.get(Y.ILifecycleMainService);let be=0;le&&(le.isExpected?le.message&&he.trace(le.message):(be=1,le.stack?he.error(le.stack):he.error(`Startup error: ${le.toString()}`))),we.kill(be)}resolveArgs(){const ne=this.validatePaths((0,s.parseMainProcessArgv)(process.argv));if(ne.wait&&!ne.waitMarkerFilePath){const le=(0,a.createWaitMarkerFile)(ne.verbose);le&&((0,s.addArg)(process.argv,"--waitMarkerFilePath",le),ne.waitMarkerFilePath=le)}return ne}validatePaths(ne){if(ne["open-url"]&&(ne._urls=ne._,ne._=[]),!ne.remote){const le=this.doValidatePaths(ne._,ne.goto);ne._=le}return ne}doValidatePaths(ne,le){const he=(0,d.cwd)(),we=ne.map(Se=>{let pe=String(Se),Ee;le&&(Ee=(0,m.parseLineAndColumnAware)(pe),pe=Ee.path),pe&&(pe=this.preparePath(he,pe));const Le=(0,m.sanitizeFilePath)(pe,he),Ne=(0,b.basename)(Le);return Ne&&!(0,m.isValidBasename)(Ne)?null:le&&Ee?(Ee.path=Le,this.toPath(Ee)):Le}),be=t.isWindows||t.isMacintosh,Me=(0,L.distinct)(we,Se=>Se&&be?Se.toLowerCase():Se||"");return(0,L.coalesce)(Me)}preparePath(ne,le){return t.isWindows&&(le=(0,g.rtrim)(le,'"')),le=(0,g.trim)((0,g.trim)(le," "),"	"),t.isWindows&&(le=(0,b.resolve)(ne,le),le=(0,g.rtrim)(le,".")),le}toPath(ne){const le=[ne.path];return typeof ne.line=="number"&&le.push(String(ne.line)),typeof ne.column=="number"&&le.push(String(ne.column)),le.join(":")}}new ie().main()})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/86200d542474b26aa28034e0fd5789c45c747d8b/core/vs/code/electron-main/main.js.map
