/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Y=["require","exports","vs/base/common/lifecycle","vs/base/common/async","vs/nls","vs/nls!vs/code/node/cliProcessMain","vs/base/common/types","vs/base/common/event","vs/base/common/errors","vs/base/common/uri","vs/base/common/network","vs/base/common/path","vs/base/common/platform","vs/platform/instantiation/common/instantiation","vs/platform/log/common/log","vs/base/node/pfs","vs/platform/files/common/files","vs/base/common/buffer","vs/base/common/arrays","vs/base/common/resources","vs/platform/environment/common/environment","vs/platform/extensionManagement/common/extensionManagementUtil","vs/base/common/objects","vs/platform/extensionManagement/common/extensionManagement","vs/base/common/cancellation","vs/platform/configuration/common/configuration","vs/base/common/strings","vs/base/common/uuid","vs/base/common/errorMessage","vs/base/common/process","vs/platform/registry/common/platform","vs/platform/telemetry/common/telemetry","vs/platform/product/common/productService","os","vs/platform/configuration/common/configurationRegistry","vs/platform/extensions/common/extensions","vs/platform/telemetry/common/telemetryUtils","vs/platform/uriIdentity/common/uriIdentity","vs/base/common/stream","child_process","vs/platform/instantiation/common/descriptors","vs/base/common/semver/semver","vs/platform/request/common/request","vs/base/node/zip","vs/base/common/decorators","vs/base/common/extpath","vs/base/parts/ipc/common/ipc","vs/base/node/processes","vs/platform/extensions/common/extensionValidator","vs/platform/download/common/download","vs/platform/files/common/io","vs/platform/files/common/watcher","vs/platform/instantiation/common/serviceCollection","vs/platform/localizations/common/localizations","vs/base/common/map","vs/base/common/assert","vs/base/common/json","vs/base/common/processes","vs/base/common/skipList","vs/base/common/hash","vs/base/common/console","vs/base/common/marshalling","vs/base/common/labels","vs/base/node/decoder","vs/base/node/powershell","vs/base/parts/storage/common/storage","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/base/parts/ipc/node/ipc.cp","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/common/extensionManagementCLIService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensionManagement/node/extensionsScanner","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/terminal/node/shellEnv","vs/platform/environment/common/environmentService","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/extensionManagement/common/extensionNls","vs/platform/externalServices/common/serviceMachineId","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/graph","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/instantiation/common/instantiationService","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/common/fileService","vs/base/common/performance","vs/platform/files/node/diskFileSystemProvider","fs","vs/platform/log/node/spdlogLog","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteHosts","vs/platform/extensionManagement/common/extensionManagementCLIService","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/localizations/node/localizations","vs/platform/download/common/downloadService","vs/platform/request/node/proxy","url","vs/platform/storage/common/storage","vs/platform/telemetry/common/commonProperties","vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/platform/externalServices/common/marketplace","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/telemetry/common/telemetryService","vs/platform/product/common/product","vs/platform/telemetry/node/appInsightsAppender","vs/platform/telemetry/node/telemetry","vs/platform/terminal/node/shellEnv","vs/platform/extensionManagement/node/extensionsWatcher","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/extensionManagement/node/extensionManagementUtil","vs/platform/extensionManagement/node/extensionsScanner","vs/platform/extensionManagement/node/extensionManagementService","vs/platform/request/node/requestService","string_decoder","path","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","vs/base/common/iterator","graceful-fs","crypto","vs/platform/environment/node/argvHelper","yauzl","yazl","zlib","vs/code/node/cliProcessMain"],Q=function(j){for(var i=[],C=0,D=j.length;C<D;C++)i[C]=Y[j[C]];return i};define(Y[55],Q([0,1]),function(j,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ok=void 0;function C(D,b){if(!D)throw new Error(b?`Assertion failed (${b})`:"Assertion Failed")}i.ok=C}),define(Y[44],Q([0,1]),function(j,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.throttle=i.debounce=i.memoize=i.createDecorator=void 0;function C(T){return(P,c,w)=>{let I=null,L=null;if(typeof w.value=="function"?(I="value",L=w.value):typeof w.get=="function"&&(I="get",L=w.get),!L)throw new Error("not supported");w[I]=T(L,c)}}i.createDecorator=C;function D(T,P,c){let w=null,I=null;if(typeof c.value=="function"?(w="value",I=c.value,I.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof c.get=="function"&&(w="get",I=c.get),!I)throw new Error("not supported");const L=`$memoize$${P}`;c[w]=function(...h){return this.hasOwnProperty(L)||Object.defineProperty(this,L,{configurable:!1,enumerable:!1,writable:!1,value:I.apply(this,h)}),this[L]}}i.memoize=D;function b(T,P,c){return C((w,I)=>{const L=`$debounce$${I}`,h=`$debounce$result$${I}`;return function(...y){this[h]||(this[h]=c?c():void 0),clearTimeout(this[L]),P&&(this[h]=P(this[h],...y),y=[this[h]]),this[L]=setTimeout(()=>{w.apply(this,y),this[h]=c?c():void 0},T)}})}i.debounce=b;function R(T,P,c){return C((w,I)=>{const L=`$throttle$timer$${I}`,h=`$throttle$result$${I}`,y=`$throttle$lastRun$${I}`,E=`$throttle$pending$${I}`;return function(...g){if(this[h]||(this[h]=c?c():void 0),(this[y]===null||this[y]===void 0)&&(this[y]=-Number.MAX_VALUE),P&&(this[h]=P(this[h],...g)),this[E])return;const a=this[y]+T;a<=Date.now()?(this[y]=Date.now(),w.apply(this,[this[h]]),this[h]=c?c():void 0):(this[E]=!0,this[L]=setTimeout(()=>{this[E]=!1,this[y]=Date.now(),w.apply(this,[this[h]]),this[h]=c?c():void 0},a-Date.now()))}})}i.throttle=R}),define(Y[56],Q([0,1]),function(j,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getNodeType=i.stripComments=i.visit=i.findNodeAtOffset=i.contains=i.getNodeValue=i.getNodePath=i.findNodeAtLocation=i.parseTree=i.parse=i.getLocation=i.createScanner=i.ParseOptions=i.ParseErrorCode=i.SyntaxKind=i.ScanError=void 0;var C;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(C=i.ScanError||(i.ScanError={}));var D;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(D=i.SyntaxKind||(i.SyntaxKind={}));var b;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(b=i.ParseErrorCode||(i.ParseErrorCode={}));var R;(function(t){t.DEFAULT={allowTrailingComma:!0}})(R=i.ParseOptions||(i.ParseOptions={}));function T(t,r=!1){let e=0,n=t.length,s="",l=0,u=16,d=0;function S(ie){let he=0,ue=0;for(;he<ie;){const x=t.charCodeAt(e);if(x>=48&&x<=57)ue=ue*16+x-48;else if(x>=65&&x<=70)ue=ue*16+x-65+10;else if(x>=97&&x<=102)ue=ue*16+x-97+10;else break;e++,he++}return he<ie&&(ue=-1),ue}function O(ie){e=ie,s="",l=0,u=16,d=0}function N(){const ie=e;if(t.charCodeAt(e)===48)e++;else for(e++;e<t.length&&w(t.charCodeAt(e));)e++;if(e<t.length&&t.charCodeAt(e)===46)if(e++,e<t.length&&w(t.charCodeAt(e)))for(e++;e<t.length&&w(t.charCodeAt(e));)e++;else return d=3,t.substring(ie,e);let he=e;if(e<t.length&&(t.charCodeAt(e)===69||t.charCodeAt(e)===101))if(e++,(e<t.length&&t.charCodeAt(e)===43||t.charCodeAt(e)===45)&&e++,e<t.length&&w(t.charCodeAt(e))){for(e++;e<t.length&&w(t.charCodeAt(e));)e++;he=e}else d=3;return t.substring(ie,he)}function _(){let ie="",he=e;for(;;){if(e>=n){ie+=t.substring(he,e),d=2;break}const ue=t.charCodeAt(e);if(ue===34){ie+=t.substring(he,e),e++;break}if(ue===92){if(ie+=t.substring(he,e),e++,e>=n){d=2;break}switch(t.charCodeAt(e++)){case 34:ie+='"';break;case 92:ie+="\\";break;case 47:ie+="/";break;case 98:ie+="\b";break;case 102:ie+="\f";break;case 110:ie+=`
`;break;case 114:ie+="\r";break;case 116:ie+="	";break;case 117:{const te=S(4);te>=0?ie+=String.fromCharCode(te):d=4;break}default:d=5}he=e;continue}if(ue>=0&&ue<=31)if(c(ue)){ie+=t.substring(he,e),d=2;break}else d=6;e++}return ie}function J(){if(s="",d=0,l=e,e>=n)return l=n,u=17;let ie=t.charCodeAt(e);if(P(ie)){do e++,s+=String.fromCharCode(ie),ie=t.charCodeAt(e);while(P(ie));return u=15}if(c(ie))return e++,s+=String.fromCharCode(ie),ie===13&&t.charCodeAt(e)===10&&(e++,s+=`
`),u=14;switch(ie){case 123:return e++,u=1;case 125:return e++,u=2;case 91:return e++,u=3;case 93:return e++,u=4;case 58:return e++,u=6;case 44:return e++,u=5;case 34:return e++,s=_(),u=10;case 47:{const he=e-1;if(t.charCodeAt(e+1)===47){for(e+=2;e<n&&!c(t.charCodeAt(e));)e++;return s=t.substring(he,e),u=12}if(t.charCodeAt(e+1)===42){e+=2;const ue=n-1;let x=!1;for(;e<ue;){if(t.charCodeAt(e)===42&&t.charCodeAt(e+1)===47){e+=2,x=!0;break}e++}return x||(e++,d=1),s=t.substring(he,e),u=13}return s+=String.fromCharCode(ie),e++,u=16}case 45:if(s+=String.fromCharCode(ie),e++,e===n||!w(t.charCodeAt(e)))return u=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return s+=N(),u=11;default:for(;e<n&&re(ie);)e++,ie=t.charCodeAt(e);if(l!==e){switch(s=t.substring(l,e),s){case"true":return u=8;case"false":return u=9;case"null":return u=7}return u=16}return s+=String.fromCharCode(ie),e++,u=16}}function re(ie){if(P(ie)||c(ie))return!1;switch(ie){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function ee(){let ie;do ie=J();while(ie>=12&&ie<=15);return ie}return{setPosition:O,getPosition:()=>e,scan:r?ee:J,getToken:()=>u,getTokenValue:()=>s,getTokenOffset:()=>l,getTokenLength:()=>e-l,getTokenError:()=>d}}i.createScanner=T;function P(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function c(t){return t===10||t===13||t===8232||t===8233}function w(t){return t>=48&&t<=57}var I;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(I||(I={}));function L(t,r){const e=[],n=new Object;let s;const l={value:{},offset:0,length:0,type:"object",parent:void 0};let u=!1;function d(S,O,N,_){l.value=S,l.offset=O,l.length=N,l.type=_,l.colonOffset=void 0,s=l}try{p(t,{onObjectBegin:(S,O)=>{if(r<=S)throw n;s=void 0,u=r>S,e.push("")},onObjectProperty:(S,O,N)=>{if(r<O||(d(S,O,N,"property"),e[e.length-1]=S,r<=O+N))throw n},onObjectEnd:(S,O)=>{if(r<=S)throw n;s=void 0,e.pop()},onArrayBegin:(S,O)=>{if(r<=S)throw n;s=void 0,e.push(0)},onArrayEnd:(S,O)=>{if(r<=S)throw n;s=void 0,e.pop()},onLiteralValue:(S,O,N)=>{if(r<O||(d(S,O,N,o(S)),r<=O+N))throw n},onSeparator:(S,O,N)=>{if(r<=O)throw n;if(S===":"&&s&&s.type==="property")s.colonOffset=O,u=!1,s=void 0;else if(S===","){const _=e[e.length-1];typeof _=="number"?e[e.length-1]=_+1:(u=!0,e[e.length-1]=""),s=void 0}}})}catch(S){if(S!==n)throw S}return{path:e,previousNode:s,isAtPropertyKey:u,matches:S=>{let O=0;for(let N=0;O<S.length&&N<e.length;N++)if(S[O]===e[N]||S[O]==="*")O++;else if(S[O]!=="**")return!1;return O===S.length}}}i.getLocation=L;function h(t,r=[],e=R.DEFAULT){let n=null,s=[];const l=[];function u(S){Array.isArray(s)?s.push(S):n!==null&&(s[n]=S)}return p(t,{onObjectBegin:()=>{const S={};u(S),l.push(s),s=S,n=null},onObjectProperty:S=>{n=S},onObjectEnd:()=>{s=l.pop()},onArrayBegin:()=>{const S=[];u(S),l.push(s),s=S,n=null},onArrayEnd:()=>{s=l.pop()},onLiteralValue:u,onError:(S,O,N)=>{r.push({error:S,offset:O,length:N})}},e),s[0]}i.parse=h;function y(t,r=[],e=R.DEFAULT){let n={type:"array",offset:-1,length:-1,children:[],parent:void 0};function s(S){n.type==="property"&&(n.length=S-n.offset,n=n.parent)}function l(S){return n.children.push(S),S}p(t,{onObjectBegin:S=>{n=l({type:"object",offset:S,length:-1,parent:n,children:[]})},onObjectProperty:(S,O,N)=>{n=l({type:"property",offset:O,length:-1,parent:n,children:[]}),n.children.push({type:"string",value:S,offset:O,length:N,parent:n})},onObjectEnd:(S,O)=>{n.length=S+O-n.offset,n=n.parent,s(S+O)},onArrayBegin:(S,O)=>{n=l({type:"array",offset:S,length:-1,parent:n,children:[]})},onArrayEnd:(S,O)=>{n.length=S+O-n.offset,n=n.parent,s(S+O)},onLiteralValue:(S,O,N)=>{l({type:o(S),offset:O,length:N,parent:n,value:S}),s(O+N)},onSeparator:(S,O,N)=>{n.type==="property"&&(S===":"?n.colonOffset=O:S===","&&s(O))},onError:(S,O,N)=>{r.push({error:S,offset:O,length:N})}},e);const d=n.children[0];return d&&delete d.parent,d}i.parseTree=y;function E(t,r){if(!t)return;let e=t;for(let n of r)if(typeof n=="string"){if(e.type!=="object"||!Array.isArray(e.children))return;let s=!1;for(const l of e.children)if(Array.isArray(l.children)&&l.children[0].value===n){e=l.children[1],s=!0;break}if(!s)return}else{const s=n;if(e.type!=="array"||s<0||!Array.isArray(e.children)||s>=e.children.length)return;e=e.children[s]}return e}i.findNodeAtLocation=E;function g(t){if(!t.parent||!t.parent.children)return[];const r=g(t.parent);if(t.parent.type==="property"){const e=t.parent.children[0].value;r.push(e)}else if(t.parent.type==="array"){const e=t.parent.children.indexOf(t);e!==-1&&r.push(e)}return r}i.getNodePath=g;function a(t){switch(t.type){case"array":return t.children.map(a);case"object":{const r=Object.create(null);for(let e of t.children){const n=e.children[1];n&&(r[e.children[0].value]=a(n))}return r}case"null":case"string":case"number":case"boolean":return t.value;default:return}}i.getNodeValue=a;function f(t,r,e=!1){return r>=t.offset&&r<t.offset+t.length||e&&r===t.offset+t.length}i.contains=f;function v(t,r,e=!1){if(f(t,r,e)){const n=t.children;if(Array.isArray(n))for(let s=0;s<n.length&&n[s].offset<=r;s++){const l=v(n[s],r,e);if(l)return l}return t}}i.findNodeAtOffset=v;function p(t,r,e=R.DEFAULT){const n=T(t,!1);function s(K){return K?()=>K(n.getTokenOffset(),n.getTokenLength()):()=>!0}function l(K){return K?Z=>K(Z,n.getTokenOffset(),n.getTokenLength()):()=>!0}const u=s(r.onObjectBegin),d=l(r.onObjectProperty),S=s(r.onObjectEnd),O=s(r.onArrayBegin),N=s(r.onArrayEnd),_=l(r.onLiteralValue),J=l(r.onSeparator),re=s(r.onComment),ee=l(r.onError),ie=e&&e.disallowComments,he=e&&e.allowTrailingComma;function ue(){for(;;){const K=n.scan();switch(n.getTokenError()){case 4:x(14);break;case 5:x(15);break;case 3:x(13);break;case 1:ie||x(11);break;case 2:x(12);break;case 6:x(16);break}switch(K){case 12:case 13:ie?x(10):re();break;case 16:x(1);break;case 15:case 14:break;default:return K}}}function x(K,Z=[],q=[]){if(ee(K),Z.length+q.length>0){let M=n.getToken();for(;M!==17;){if(Z.indexOf(M)!==-1){ue();break}else if(q.indexOf(M)!==-1)break;M=ue()}}}function te(K){const Z=n.getTokenValue();return K?_(Z):d(Z),ue(),!0}function U(){switch(n.getToken()){case 11:{let K=0;try{K=JSON.parse(n.getTokenValue()),typeof K!="number"&&(x(2),K=0)}catch{x(2)}_(K);break}case 7:_(null);break;case 8:_(!0);break;case 9:_(!1);break;default:return!1}return ue(),!0}function k(){return n.getToken()!==10?(x(3,[],[2,5]),!1):(te(!1),n.getToken()===6?(J(":"),ue(),ne()||x(4,[],[2,5])):x(5,[],[2,5]),!0)}function z(){u(),ue();let K=!1;for(;n.getToken()!==2&&n.getToken()!==17;){if(n.getToken()===5){if(K||x(4,[],[]),J(","),ue(),n.getToken()===2&&he)break}else K&&x(6,[],[]);k()||x(4,[],[2,5]),K=!0}return S(),n.getToken()!==2?x(7,[2],[]):ue(),!0}function G(){O(),ue();let K=!1;for(;n.getToken()!==4&&n.getToken()!==17;){if(n.getToken()===5){if(K||x(4,[],[]),J(","),ue(),n.getToken()===4&&he)break}else K&&x(6,[],[]);ne()||x(4,[],[4,5]),K=!0}return N(),n.getToken()!==4?x(8,[4],[]):ue(),!0}function ne(){switch(n.getToken()){case 3:return G();case 1:return z();case 10:return te(!0);default:return U()}}return ue(),n.getToken()===17?e.allowEmptyContent?!0:(x(4,[],[]),!1):ne()?(n.getToken()!==17&&x(9,[],[]),!0):(x(4,[],[]),!1)}i.visit=p;function m(t,r){let e=T(t),n=[],s,l=0,u;do switch(u=e.getPosition(),s=e.scan(),s){case 12:case 13:case 17:l!==u&&n.push(t.substring(l,u)),r!==void 0&&n.push(e.getTokenValue().replace(/[^\r\n]/g,r)),l=e.getPosition();break}while(s!==17);return n.join("")}i.stripComments=m;function o(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}i.getNodeType=o}),function(){function j(b){const R=[];typeof b=="number"&&R.push("code/timeOrigin",b);function T(c){R.push(c,Date.now())}function P(){const c=[];for(let w=0;w<R.length;w+=2)c.push({name:R[w],startTime:R[w+1]});return c}return{mark:T,getMarks:P}}function i(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?j():{mark(b){performance.mark(b)},getMarks(){let b=performance.timeOrigin;typeof b!="number"&&(b=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const R=[{name:"code/timeOrigin",startTime:Math.round(b)}];for(const T of performance.getEntriesByType("mark"))R.push({name:T.name,startTime:Math.round(b+T.startTime)});return R}};if(typeof process=="object"){const b=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return j(b)}else return console.trace("perf-util loaded in UNKNOWN environment"),j()}function C(b){return b.MonacoPerformanceMarks||(b.MonacoPerformanceMarks=i()),b.MonacoPerformanceMarks}var D;typeof global=="object"?D=global:typeof self=="object"?D=self:D={},typeof define=="function"?define("vs/base/common/performance",[],function(){return C(D)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=C(D):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),D.perf=C(D))}(),define(Y[57],Q([0,1]),function(j,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.sanitizeProcessEnvironment=i.TerminateResponseCode=i.Source=void 0;var C;(function(R){R[R.stdout=0]="stdout",R[R.stderr=1]="stderr"})(C=i.Source||(i.Source={}));var D;(function(R){R[R.Success=0]="Success",R[R.Unknown=1]="Unknown",R[R.AccessDenied=2]="AccessDenied",R[R.ProcessNotFound=3]="ProcessNotFound"})(D=i.TerminateResponseCode||(i.TerminateResponseCode={}));function b(R,...T){const P=T.reduce((I,L)=>(I[L]=!0,I),{}),c=[/^ELECTRON_.+$/,/^VSCODE_(?!SHELL_LOGIN).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(R).filter(I=>!P[I]).forEach(I=>{for(let L=0;L<c.length;L++)if(I.search(c[L])!==-1){delete R[I];break}})}i.sanitizeProcessEnvironment=b}),function(j,i){if(typeof exports=="object"&&typeof module=="object")module.exports=i();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],i);else{var C=i();for(var D in C)(typeof exports=="object"?exports:j)[D]=C[D]}}(typeof self!="undefined"?self:this,function(){return function(j){var i={};function C(D){if(i[D])return i[D].exports;var b=i[D]={i:D,l:!1,exports:{}};return j[D].call(b.exports,b,b.exports,C),b.l=!0,b.exports}return C.m=j,C.c=i,C.d=function(D,b,R){C.o(D,b)||Object.defineProperty(D,b,{enumerable:!0,get:R})},C.r=function(D){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(D,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(D,"__esModule",{value:!0})},C.t=function(D,b){if(1&b&&(D=C(D)),8&b||4&b&&typeof D=="object"&&D&&D.__esModule)return D;var R=Object.create(null);if(C.r(R),Object.defineProperty(R,"default",{enumerable:!0,value:D}),2&b&&typeof D!="string")for(var T in D)C.d(R,T,function(P){return D[P]}.bind(null,T));return R},C.n=function(D){var b=D&&D.__esModule?function(){return D.default}:function(){return D};return C.d(b,"a",b),b},C.o=function(D,b){return Object.prototype.hasOwnProperty.call(D,b)},C.p="",C(C.s=0)}([function(j,i,C){(function(D){var b;i=j.exports=q,b=typeof D=="object"&&D.env&&D.env.NODE_DEBUG&&/\bsemver\b/i.test(D.env.NODE_DEBUG)?function(){var F=Array.prototype.slice.call(arguments,0);F.unshift("SEMVER"),console.log.apply(console,F)}:function(){},i.SEMVER_SPEC_VERSION="2.0.0";var R=256,T=Number.MAX_SAFE_INTEGER||9007199254740991,P=i.re=[],c=i.src=[],w=0,I=w++;c[I]="0|[1-9]\\d*";var L=w++;c[L]="[0-9]+";var h=w++;c[h]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var y=w++;c[y]="("+c[I]+")\\.("+c[I]+")\\.("+c[I]+")";var E=w++;c[E]="("+c[L]+")\\.("+c[L]+")\\.("+c[L]+")";var g=w++;c[g]="(?:"+c[I]+"|"+c[h]+")";var a=w++;c[a]="(?:"+c[L]+"|"+c[h]+")";var f=w++;c[f]="(?:-("+c[g]+"(?:\\."+c[g]+")*))";var v=w++;c[v]="(?:-?("+c[a]+"(?:\\."+c[a]+")*))";var p=w++;c[p]="[0-9A-Za-z-]+";var m=w++;c[m]="(?:\\+("+c[p]+"(?:\\."+c[p]+")*))";var o=w++,t="v?"+c[y]+c[f]+"?"+c[m]+"?";c[o]="^"+t+"$";var r="[v=\\s]*"+c[E]+c[v]+"?"+c[m]+"?",e=w++;c[e]="^"+r+"$";var n=w++;c[n]="((?:<|>)?=?)";var s=w++;c[s]=c[L]+"|x|X|\\*";var l=w++;c[l]=c[I]+"|x|X|\\*";var u=w++;c[u]="[v=\\s]*("+c[l]+")(?:\\.("+c[l]+")(?:\\.("+c[l]+")(?:"+c[f]+")?"+c[m]+"?)?)?";var d=w++;c[d]="[v=\\s]*("+c[s]+")(?:\\.("+c[s]+")(?:\\.("+c[s]+")(?:"+c[v]+")?"+c[m]+"?)?)?";var S=w++;c[S]="^"+c[n]+"\\s*"+c[u]+"$";var O=w++;c[O]="^"+c[n]+"\\s*"+c[d]+"$";var N=w++;c[N]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var _=w++;c[_]="(?:~>?)";var J=w++;c[J]="(\\s*)"+c[_]+"\\s+",P[J]=new RegExp(c[J],"g");var re=w++;c[re]="^"+c[_]+c[u]+"$";var ee=w++;c[ee]="^"+c[_]+c[d]+"$";var ie=w++;c[ie]="(?:\\^)";var he=w++;c[he]="(\\s*)"+c[ie]+"\\s+",P[he]=new RegExp(c[he],"g");var ue=w++;c[ue]="^"+c[ie]+c[u]+"$";var x=w++;c[x]="^"+c[ie]+c[d]+"$";var te=w++;c[te]="^"+c[n]+"\\s*("+r+")$|^$";var U=w++;c[U]="^"+c[n]+"\\s*("+t+")$|^$";var k=w++;c[k]="(\\s*)"+c[n]+"\\s*("+r+"|"+c[u]+")",P[k]=new RegExp(c[k],"g");var z=w++;c[z]="^\\s*("+c[u]+")\\s+-\\s+("+c[u]+")\\s*$";var G=w++;c[G]="^\\s*("+c[d]+")\\s+-\\s+("+c[d]+")\\s*$";var ne=w++;c[ne]="(<|>)?=?\\s*\\*";for(var K=0;K<35;K++)b(K,c[K]),P[K]||(P[K]=new RegExp(c[K]));function Z(F,W){if(F instanceof q)return F;if(typeof F!="string"||F.length>R||!(W?P[e]:P[o]).test(F))return null;try{return new q(F,W)}catch{return null}}function q(F,W){if(F instanceof q){if(F.loose===W)return F;F=F.version}else if(typeof F!="string")throw new TypeError("Invalid Version: "+F);if(F.length>R)throw new TypeError("version is longer than "+R+" characters");if(!(this instanceof q))return new q(F,W);b("SemVer",F,W),this.loose=W;var $=F.trim().match(W?P[e]:P[o]);if(!$)throw new TypeError("Invalid Version: "+F);if(this.raw=F,this.major=+$[1],this.minor=+$[2],this.patch=+$[3],this.major>T||this.major<0)throw new TypeError("Invalid major version");if(this.minor>T||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>T||this.patch<0)throw new TypeError("Invalid patch version");$[4]?this.prerelease=$[4].split(".").map(function(le){if(/^[0-9]+$/.test(le)){var de=+le;if(de>=0&&de<T)return de}return le}):this.prerelease=[],this.build=$[5]?$[5].split("."):[],this.format()}i.parse=Z,i.valid=function(F,W){var $=Z(F,W);return $?$.version:null},i.clean=function(F,W){var $=Z(F.trim().replace(/^[=v]+/,""),W);return $?$.version:null},i.SemVer=q,q.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},q.prototype.toString=function(){return this.version},q.prototype.compare=function(F){return b("SemVer.compare",this.version,this.loose,F),F instanceof q||(F=new q(F,this.loose)),this.compareMain(F)||this.comparePre(F)},q.prototype.compareMain=function(F){return F instanceof q||(F=new q(F,this.loose)),A(this.major,F.major)||A(this.minor,F.minor)||A(this.patch,F.patch)},q.prototype.comparePre=function(F){if(F instanceof q||(F=new q(F,this.loose)),this.prerelease.length&&!F.prerelease.length)return-1;if(!this.prerelease.length&&F.prerelease.length)return 1;if(!this.prerelease.length&&!F.prerelease.length)return 0;var W=0;do{var $=this.prerelease[W],le=F.prerelease[W];if(b("prerelease compare",W,$,le),$===void 0&&le===void 0)return 0;if(le===void 0)return 1;if($===void 0)return-1;if($!==le)return A($,le)}while(++W)},q.prototype.inc=function(F,W){switch(F){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",W);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",W);break;case"prepatch":this.prerelease.length=0,this.inc("patch",W),this.inc("pre",W);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",W),this.inc("pre",W);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var $=this.prerelease.length;--$>=0;)typeof this.prerelease[$]=="number"&&(this.prerelease[$]++,$=-2);$===-1&&this.prerelease.push(0)}W&&(this.prerelease[0]===W?isNaN(this.prerelease[1])&&(this.prerelease=[W,0]):this.prerelease=[W,0]);break;default:throw new Error("invalid increment argument: "+F)}return this.format(),this.raw=this.version,this},i.inc=function(F,W,$,le){typeof $=="string"&&(le=$,$=void 0);try{return new q(F,$).inc(W,le).version}catch{return null}},i.diff=function(F,W){if(X(F,W))return null;var $=Z(F),le=Z(W);if($.prerelease.length||le.prerelease.length){for(var de in $)if((de==="major"||de==="minor"||de==="patch")&&$[de]!==le[de])return"pre"+de;return"prerelease"}for(var de in $)if((de==="major"||de==="minor"||de==="patch")&&$[de]!==le[de])return de},i.compareIdentifiers=A;var M=/^[0-9]+$/;function A(F,W){var $=M.test(F),le=M.test(W);return $&&le&&(F=+F,W=+W),$&&!le?-1:le&&!$?1:F<W?-1:F>W?1:0}function V(F,W,$){return new q(F,$).compare(new q(W,$))}function B(F,W,$){return V(F,W,$)>0}function H(F,W,$){return V(F,W,$)<0}function X(F,W,$){return V(F,W,$)===0}function ae(F,W,$){return V(F,W,$)!==0}function ce(F,W,$){return V(F,W,$)>=0}function we(F,W,$){return V(F,W,$)<=0}function fe(F,W,$,le){var de;switch(W){case"===":typeof F=="object"&&(F=F.version),typeof $=="object"&&($=$.version),de=F===$;break;case"!==":typeof F=="object"&&(F=F.version),typeof $=="object"&&($=$.version),de=F!==$;break;case"":case"=":case"==":de=X(F,$,le);break;case"!=":de=ae(F,$,le);break;case">":de=B(F,$,le);break;case">=":de=ce(F,$,le);break;case"<":de=H(F,$,le);break;case"<=":de=we(F,$,le);break;default:throw new TypeError("Invalid operator: "+W)}return de}function se(F,W){if(F instanceof se){if(F.loose===W)return F;F=F.value}if(!(this instanceof se))return new se(F,W);b("comparator",F,W),this.loose=W,this.parse(F),this.semver===pe?this.value="":this.value=this.operator+this.semver.version,b("comp",this)}i.rcompareIdentifiers=function(F,W){return A(W,F)},i.major=function(F,W){return new q(F,W).major},i.minor=function(F,W){return new q(F,W).minor},i.patch=function(F,W){return new q(F,W).patch},i.compare=V,i.compareLoose=function(F,W){return V(F,W,!0)},i.rcompare=function(F,W,$){return V(W,F,$)},i.sort=function(F,W){return F.sort(function($,le){return i.compare($,le,W)})},i.rsort=function(F,W){return F.sort(function($,le){return i.rcompare($,le,W)})},i.gt=B,i.lt=H,i.eq=X,i.neq=ae,i.gte=ce,i.lte=we,i.cmp=fe,i.Comparator=se;var pe={};function me(F,W){if(F instanceof me)return F.loose===W?F:new me(F.raw,W);if(F instanceof se)return new me(F.value,W);if(!(this instanceof me))return new me(F,W);if(this.loose=W,this.raw=F,this.set=F.split(/\s*\|\|\s*/).map(function($){return this.parseRange($.trim())},this).filter(function($){return $.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+F);this.format()}function Ee(F){return!F||F.toLowerCase()==="x"||F==="*"}function Ie(F,W,$,le,de,Ce,Se,ke,Re,Oe,Ne,De,Le){return((W=Ee($)?"":Ee(le)?">="+$+".0.0":Ee(de)?">="+$+"."+le+".0":">="+W)+" "+(ke=Ee(Re)?"":Ee(Oe)?"<"+(+Re+1)+".0.0":Ee(Ne)?"<"+Re+"."+(+Oe+1)+".0":De?"<="+Re+"."+Oe+"."+Ne+"-"+De:"<="+ke)).trim()}function Me(F,W){for(var $=0;$<F.length;$++)if(!F[$].test(W))return!1;if(W.prerelease.length){for($=0;$<F.length;$++)if(b(F[$].semver),F[$].semver!==pe&&F[$].semver.prerelease.length>0){var le=F[$].semver;if(le.major===W.major&&le.minor===W.minor&&le.patch===W.patch)return!0}return!1}return!0}function xe(F,W,$){try{W=new me(W,$)}catch{return!1}return W.test(F)}function Ve(F,W,$,le){var de,Ce,Se,ke,Re;switch(F=new q(F,le),W=new me(W,le),$){case">":de=B,Ce=we,Se=H,ke=">",Re=">=";break;case"<":de=H,Ce=ce,Se=B,ke="<",Re="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(xe(F,W,le))return!1;for(var Oe=0;Oe<W.set.length;++Oe){var Ne=W.set[Oe],De=null,Le=null;if(Ne.forEach(function(Ae){Ae.semver===pe&&(Ae=new se(">=0.0.0")),De=De||Ae,Le=Le||Ae,de(Ae.semver,De.semver,le)?De=Ae:Se(Ae.semver,Le.semver,le)&&(Le=Ae)}),De.operator===ke||De.operator===Re||(!Le.operator||Le.operator===ke)&&Ce(F,Le.semver)||Le.operator===Re&&Se(F,Le.semver))return!1}return!0}se.prototype.parse=function(F){var W=this.loose?P[te]:P[U],$=F.match(W);if(!$)throw new TypeError("Invalid comparator: "+F);this.operator=$[1],this.operator==="="&&(this.operator=""),$[2]?this.semver=new q($[2],this.loose):this.semver=pe},se.prototype.toString=function(){return this.value},se.prototype.test=function(F){return b("Comparator.test",F,this.loose),this.semver===pe||(typeof F=="string"&&(F=new q(F,this.loose)),fe(F,this.operator,this.semver,this.loose))},se.prototype.intersects=function(F,W){if(!(F instanceof se))throw new TypeError("a Comparator is required");var $;if(this.operator==="")return $=new me(F.value,W),xe(this.value,$,W);if(F.operator==="")return $=new me(this.value,W),xe(F.semver,$,W);var le=!(this.operator!==">="&&this.operator!==">"||F.operator!==">="&&F.operator!==">"),de=!(this.operator!=="<="&&this.operator!=="<"||F.operator!=="<="&&F.operator!=="<"),Ce=this.semver.version===F.semver.version,Se=!(this.operator!==">="&&this.operator!=="<="||F.operator!==">="&&F.operator!=="<="),ke=fe(this.semver,"<",F.semver,W)&&(this.operator===">="||this.operator===">")&&(F.operator==="<="||F.operator==="<"),Re=fe(this.semver,">",F.semver,W)&&(this.operator==="<="||this.operator==="<")&&(F.operator===">="||F.operator===">");return le||de||Ce&&Se||ke||Re},i.Range=me,me.prototype.format=function(){return this.range=this.set.map(function(F){return F.join(" ").trim()}).join("||").trim(),this.range},me.prototype.toString=function(){return this.range},me.prototype.parseRange=function(F){var W=this.loose;F=F.trim(),b("range",F,W);var $=W?P[G]:P[z];F=F.replace($,Ie),b("hyphen replace",F),F=F.replace(P[k],"$1$2$3"),b("comparator trim",F,P[k]),F=(F=(F=F.replace(P[J],"$1~")).replace(P[he],"$1^")).split(/\s+/).join(" ");var le=W?P[te]:P[U],de=F.split(" ").map(function(Ce){return function(Se,ke){return b("comp",Se),Se=function(Re,Oe){return Re.trim().split(/\s+/).map(function(Ne){return function(De,Le){b("caret",De,Le);var Ae=Le?P[x]:P[ue];return De.replace(Ae,function(Fe,ve,ye,be,Pe){var Te;return b("caret",De,Fe,ve,ye,be,Pe),Ee(ve)?Te="":Ee(ye)?Te=">="+ve+".0.0 <"+(+ve+1)+".0.0":Ee(be)?Te=ve==="0"?">="+ve+"."+ye+".0 <"+ve+"."+(+ye+1)+".0":">="+ve+"."+ye+".0 <"+(+ve+1)+".0.0":Pe?(b("replaceCaret pr",Pe),Pe.charAt(0)!=="-"&&(Pe="-"+Pe),Te=ve==="0"?ye==="0"?">="+ve+"."+ye+"."+be+Pe+" <"+ve+"."+ye+"."+(+be+1):">="+ve+"."+ye+"."+be+Pe+" <"+ve+"."+(+ye+1)+".0":">="+ve+"."+ye+"."+be+Pe+" <"+(+ve+1)+".0.0"):(b("no pr"),Te=ve==="0"?ye==="0"?">="+ve+"."+ye+"."+be+" <"+ve+"."+ye+"."+(+be+1):">="+ve+"."+ye+"."+be+" <"+ve+"."+(+ye+1)+".0":">="+ve+"."+ye+"."+be+" <"+(+ve+1)+".0.0"),b("caret return",Te),Te})}(Ne,Oe)}).join(" ")}(Se,ke),b("caret",Se),Se=function(Re,Oe){return Re.trim().split(/\s+/).map(function(Ne){return function(De,Le){var Ae=Le?P[ee]:P[re];return De.replace(Ae,function(Fe,ve,ye,be,Pe){var Te;return b("tilde",De,Fe,ve,ye,be,Pe),Ee(ve)?Te="":Ee(ye)?Te=">="+ve+".0.0 <"+(+ve+1)+".0.0":Ee(be)?Te=">="+ve+"."+ye+".0 <"+ve+"."+(+ye+1)+".0":Pe?(b("replaceTilde pr",Pe),Pe.charAt(0)!=="-"&&(Pe="-"+Pe),Te=">="+ve+"."+ye+"."+be+Pe+" <"+ve+"."+(+ye+1)+".0"):Te=">="+ve+"."+ye+"."+be+" <"+ve+"."+(+ye+1)+".0",b("tilde return",Te),Te})}(Ne,Oe)}).join(" ")}(Se,ke),b("tildes",Se),Se=function(Re,Oe){return b("replaceXRanges",Re,Oe),Re.split(/\s+/).map(function(Ne){return function(De,Le){De=De.trim();var Ae=Le?P[O]:P[S];return De.replace(Ae,function(Fe,ve,ye,be,Pe,Te){b("xRange",De,Fe,ve,ye,be,Pe,Te);var je=Ee(ye),Ue=je||Ee(be),ze=Ue||Ee(Pe);return ve==="="&&ze&&(ve=""),je?Fe=ve===">"||ve==="<"?"<0.0.0":"*":ve&&ze?(Ue&&(be=0),ze&&(Pe=0),ve===">"?(ve=">=",Ue?(ye=+ye+1,be=0,Pe=0):ze&&(be=+be+1,Pe=0)):ve==="<="&&(ve="<",Ue?ye=+ye+1:be=+be+1),Fe=ve+ye+"."+be+"."+Pe):Ue?Fe=">="+ye+".0.0 <"+(+ye+1)+".0.0":ze&&(Fe=">="+ye+"."+be+".0 <"+ye+"."+(+be+1)+".0"),b("xRange return",Fe),Fe})}(Ne,Oe)}).join(" ")}(Se,ke),b("xrange",Se),Se=function(Re,Oe){return b("replaceStars",Re,Oe),Re.trim().replace(P[ne],"")}(Se,ke),b("stars",Se),Se}(Ce,W)}).join(" ").split(/\s+/);return this.loose&&(de=de.filter(function(Ce){return!!Ce.match(le)})),de=de.map(function(Ce){return new se(Ce,W)})},me.prototype.intersects=function(F,W){if(!(F instanceof me))throw new TypeError("a Range is required");return this.set.some(function($){return $.every(function(le){return F.set.some(function(de){return de.every(function(Ce){return le.intersects(Ce,W)})})})})},i.toComparators=function(F,W){return new me(F,W).set.map(function($){return $.map(function(le){return le.value}).join(" ").trim().split(" ")})},me.prototype.test=function(F){if(!F)return!1;typeof F=="string"&&(F=new q(F,this.loose));for(var W=0;W<this.set.length;W++)if(Me(this.set[W],F))return!0;return!1},i.satisfies=xe,i.maxSatisfying=function(F,W,$){var le=null,de=null;try{var Ce=new me(W,$)}catch{return null}return F.forEach(function(Se){Ce.test(Se)&&(le&&de.compare(Se)!==-1||(de=new q(le=Se,$)))}),le},i.minSatisfying=function(F,W,$){var le=null,de=null;try{var Ce=new me(W,$)}catch{return null}return F.forEach(function(Se){Ce.test(Se)&&(le&&de.compare(Se)!==1||(de=new q(le=Se,$)))}),le},i.validRange=function(F,W){try{return new me(F,W).range||"*"}catch{return null}},i.ltr=function(F,W,$){return Ve(F,W,"<",$)},i.gtr=function(F,W,$){return Ve(F,W,">",$)},i.outside=Ve,i.prerelease=function(F,W){var $=Z(F,W);return $&&$.prerelease.length?$.prerelease:null},i.intersects=function(F,W,$){return F=new me(F,$),W=new me(W,$),F.intersects(W)},i.coerce=function(F){if(F instanceof q)return F;if(typeof F!="string")return null;var W=F.match(P[N]);return W==null?null:Z((W[1]||"0")+"."+(W[2]||"0")+"."+(W[3]||"0"))}}).call(this,C(1))},function(j,i){var C,D,b=j.exports={};function R(){throw new Error("setTimeout has not been defined")}function T(){throw new Error("clearTimeout has not been defined")}function P(a){if(C===setTimeout)return setTimeout(a,0);if((C===R||!C)&&setTimeout)return C=setTimeout,setTimeout(a,0);try{return C(a,0)}catch{try{return C.call(null,a,0)}catch{return C.call(this,a,0)}}}(function(){try{C=typeof setTimeout=="function"?setTimeout:R}catch{C=R}try{D=typeof clearTimeout=="function"?clearTimeout:T}catch{D=T}})();var c,w=[],I=!1,L=-1;function h(){I&&c&&(I=!1,c.length?w=c.concat(w):L=-1,w.length&&y())}function y(){if(!I){var a=P(h);I=!0;for(var f=w.length;f;){for(c=w,w=[];++L<f;)c&&c[L].run();L=-1,f=w.length}c=null,I=!1,function(v){if(D===clearTimeout)return clearTimeout(v);if((D===T||!D)&&clearTimeout)return D=clearTimeout,clearTimeout(v);try{D(v)}catch{try{return D.call(null,v)}catch{return D.call(this,v)}}}(a)}}function E(a,f){this.fun=a,this.array=f}function g(){}b.nextTick=function(a){var f=new Array(arguments.length-1);if(arguments.length>1)for(var v=1;v<arguments.length;v++)f[v-1]=arguments[v];w.push(new E(a,f)),w.length!==1||I||P(y)},E.prototype.run=function(){this.fun.apply(null,this.array)},b.title="browser",b.browser=!0,b.env={},b.argv=[],b.version="",b.versions={},b.on=g,b.addListener=g,b.once=g,b.off=g,b.removeListener=g,b.removeAllListeners=g,b.emit=g,b.prependListener=g,b.prependOnceListener=g,b.listeners=function(a){return[]},b.binding=function(a){throw new Error("process.binding is not supported")},b.cwd=function(){return"/"},b.chdir=function(a){throw new Error("process.chdir is not supported")},b.umask=function(){return 0}}])}),define(Y[58],Q([0,1]),function(j,i){"use strict";var C;Object.defineProperty(i,"__esModule",{value:!0}),i.SkipList=void 0;class D{constructor(P,c,w){this.level=P,this.key=c,this.value=w,this.forward=[]}}const b=void 0;class R{constructor(P,c=2**16){this.comparator=P,this[C]="SkipList",this._level=0,this._size=0,this._maxLevel=Math.max(1,Math.log2(c)|0),this._header=new D(this._maxLevel,b,b)}get size(){return this._size}clear(){this._header=new D(this._maxLevel,b,b)}has(P){return Boolean(R._search(this,P,this.comparator))}get(P){return R._search(this,P,this.comparator)?.value}set(P,c){return R._insert(this,P,c,this.comparator)&&(this._size+=1),this}delete(P){const c=R._delete(this,P,this.comparator);return c&&(this._size-=1),c}forEach(P,c){let w=this._header.forward[0];for(;w;)P.call(c,w.value,w.key,this),w=w.forward[0]}[(C=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let P=this._header.forward[0];for(;P;)yield[P.key,P.value],P=P.forward[0]}*keys(){let P=this._header.forward[0];for(;P;)yield P.key,P=P.forward[0]}*values(){let P=this._header.forward[0];for(;P;)yield P.value,P=P.forward[0]}toString(){let P="[SkipList]:",c=this._header.forward[0];for(;c;)P+=`node(${c.key}, ${c.value}, lvl:${c.level})`,c=c.forward[0];return P}static _search(P,c,w){let I=P._header;for(let L=P._level-1;L>=0;L--)for(;I.forward[L]&&w(I.forward[L].key,c)<0;)I=I.forward[L];if(I=I.forward[0],I&&w(I.key,c)===0)return I}static _insert(P,c,w,I){let L=[],h=P._header;for(let y=P._level-1;y>=0;y--){for(;h.forward[y]&&I(h.forward[y].key,c)<0;)h=h.forward[y];L[y]=h}if(h=h.forward[0],h&&I(h.key,c)===0)return h.value=w,!1;{let y=R._randomLevel(P);if(y>P._level){for(let E=P._level;E<y;E++)L[E]=P._header;P._level=y}h=new D(y,c,w);for(let E=0;E<y;E++)h.forward[E]=L[E].forward[E],L[E].forward[E]=h;return!0}}static _randomLevel(P,c=.5){let w=1;for(;Math.random()<c&&w<P._maxLevel;)w+=1;return w}static _delete(P,c,w){let I=[],L=P._header;for(let h=P._level-1;h>=0;h--){for(;L.forward[h]&&w(L.forward[h].key,c)<0;)L=L.forward[h];I[h]=L}if(L=L.forward[0],!L||w(L.key,c)!==0)return!1;for(let h=0;h<P._level&&I[h].forward[h]===L;h++)I[h].forward[h]=L.forward[h];for(;P._level>0&&P._header.forward[P._level-1]===b;)P._level-=1;return!0}}i.SkipList=R}),define(Y[38],Q([0,1,8,2]),function(j,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.prefixedStream=i.prefixedReadable=i.transform=i.toReadable=i.emptyStream=i.toStream=i.peekStream=i.listenStream=i.consumeStream=i.peekReadable=i.consumeReadable=i.newWriteableStream=i.isReadableBufferedStream=i.isReadableStream=void 0;function b(p){const m=p;return m?[m.on,m.pause,m.resume,m.destroy].every(o=>typeof o=="function"):!1}i.isReadableStream=b;function R(p){const m=p;return m?b(m.stream)&&Array.isArray(m.buffer)&&typeof m.ended=="boolean":!1}i.isReadableBufferedStream=R;function T(p,m){return new P(p,m)}i.newWriteableStream=T;class P{constructor(m,o){this.reducer=m,this.options=o,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(m){if(!this.state.destroyed){if(this.state.flowing)this.emitData(m);else if(this.buffer.data.push(m),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(o=>this.pendingWritePromises.push(o))}}error(m){this.state.destroyed||(this.state.flowing?this.emitError(m):this.buffer.error.push(m))}end(m){this.state.destroyed||(typeof m!="undefined"&&this.write(m),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(m){this.listeners.data.slice(0).forEach(o=>o(m))}emitError(m){this.listeners.error.length===0?(0,C.onUnexpectedError)(m):this.listeners.error.slice(0).forEach(o=>o(m))}emitEnd(){this.listeners.end.slice(0).forEach(m=>m())}on(m,o){if(!this.state.destroyed)switch(m){case"data":this.listeners.data.push(o),this.resume();break;case"end":this.listeners.end.push(o),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(o),this.state.flowing&&this.flowErrors();break}}removeListener(m,o){if(this.state.destroyed)return;let t;switch(m){case"data":t=this.listeners.data;break;case"end":t=this.listeners.end;break;case"error":t=this.listeners.error;break}if(t){const r=t.indexOf(o);r>=0&&t.splice(r,1)}}flowData(){if(this.buffer.data.length>0){const m=this.reducer(this.buffer.data);this.emitData(m),this.buffer.data.length=0;const o=[...this.pendingWritePromises];this.pendingWritePromises.length=0,o.forEach(t=>t())}}flowErrors(){if(this.listeners.error.length>0){for(const m of this.buffer.error)this.emitError(m);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function c(p,m){const o=[];let t;for(;(t=p.read())!==null;)o.push(t);return m(o)}i.consumeReadable=c;function w(p,m,o){const t=[];let r;for(;(r=p.read())!==null&&t.length<o;)t.push(r);return r===null&&t.length>0?m(t):{read:()=>{if(t.length>0)return t.shift();if(typeof r!="undefined"){const e=r;return r=void 0,e}return p.read()}}}i.peekReadable=w;function I(p,m){return new Promise((o,t)=>{const r=[];L(p,{onData:e=>{m&&r.push(e)},onError:e=>{m?t(e):o(void 0)},onEnd:()=>{o(m?m(r):void 0)}})})}i.consumeStream=I;function L(p,m){let o=!1;return p.on("error",t=>{o||m.onError(t)}),p.on("end",()=>{o||m.onEnd()}),p.on("data",t=>{o||m.onData(t)}),(0,D.toDisposable)(()=>o=!0)}i.listenStream=L;function h(p,m){return new Promise((o,t)=>{const r=new D.DisposableStore,e=[],n=u=>{if(e.push(u),e.length>m)return r.dispose(),p.pause(),o({stream:p,buffer:e,ended:!1})},s=u=>t(u),l=()=>o({stream:p,buffer:e,ended:!0});r.add((0,D.toDisposable)(()=>p.removeListener("error",s))),p.on("error",s),r.add((0,D.toDisposable)(()=>p.removeListener("end",l))),p.on("end",l),r.add((0,D.toDisposable)(()=>p.removeListener("data",n))),p.on("data",n)})}i.peekStream=h;function y(p,m){const o=T(m);return o.end(p),o}i.toStream=y;function E(){const p=T(()=>{throw new Error("not supported")});return p.end(),p}i.emptyStream=E;function g(p){let m=!1;return{read:()=>m?null:(m=!0,p)}}i.toReadable=g;function a(p,m,o){const t=T(o);return L(p,{onData:r=>t.write(m.data(r)),onError:r=>t.error(m.error?m.error(r):r),onEnd:()=>t.end()}),t}i.transform=a;function f(p,m,o){let t=!1;return{read:()=>{const r=m.read();return t?r:(t=!0,r!==null?o([p,r]):p)}}}i.prefixedReadable=f;function v(p,m,o){let t=!1;const r=T(o);return L(m,{onData:e=>t?r.write(e):(t=!0,r.write(o([p,e]))),onError:e=>r.error(e),onEnd:()=>{t||(t=!0,r.write(p)),r.end()}}),r}i.prefixedStream=v}),define(Y[17],Q([0,1,38]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.encodeBase64=i.decodeBase64=i.prefixedBufferStream=i.prefixedBufferReadable=i.newWriteableBufferStream=i.streamToBufferReadableStream=i.bufferToStream=i.bufferedStreamToBuffer=i.streamToBuffer=i.bufferToReadable=i.readableToBuffer=i.writeUInt8=i.readUInt8=i.writeUInt32LE=i.readUInt32LE=i.writeUInt32BE=i.readUInt32BE=i.writeUInt16LE=i.readUInt16LE=i.VSBuffer=void 0;const D=typeof Buffer!="undefined";let b,R;class T{constructor(d){this.buffer=d,this.byteLength=this.buffer.byteLength}static alloc(d){return D?new T(Buffer.allocUnsafe(d)):new T(new Uint8Array(d))}static wrap(d){return D&&!Buffer.isBuffer(d)&&(d=Buffer.from(d.buffer,d.byteOffset,d.byteLength)),new T(d)}static fromString(d,S){return!(S?.dontUseNodeBuffer||!1)&&D?new T(Buffer.from(d)):(b||(b=new TextEncoder),new T(b.encode(d)))}static fromByteArray(d){const S=T.alloc(d.length);for(let O=0,N=d.length;O<N;O++)S.buffer[O]=d[O];return S}static concat(d,S){if(typeof S=="undefined"){S=0;for(let _=0,J=d.length;_<J;_++)S+=d[_].byteLength}const O=T.alloc(S);let N=0;for(let _=0,J=d.length;_<J;_++){const re=d[_];O.set(re,N),N+=re.byteLength}return O}clone(){const d=T.alloc(this.byteLength);return d.set(this),d}toString(){return D?this.buffer.toString():(R||(R=new TextDecoder),R.decode(this.buffer))}slice(d,S){return new T(this.buffer.subarray(d,S))}set(d,S){if(d instanceof T)this.buffer.set(d.buffer,S);else if(d instanceof Uint8Array)this.buffer.set(d,S);else if(d instanceof ArrayBuffer)this.buffer.set(new Uint8Array(d),S);else if(ArrayBuffer.isView(d))this.buffer.set(new Uint8Array(d.buffer,d.byteOffset,d.byteLength),S);else throw new Error("Unknown argument 'array'")}readUInt32BE(d){return w(this.buffer,d)}writeUInt32BE(d,S){I(this.buffer,d,S)}readUInt32LE(d){return L(this.buffer,d)}writeUInt32LE(d,S){h(this.buffer,d,S)}readUInt8(d){return y(this.buffer,d)}writeUInt8(d,S){E(this.buffer,d,S)}}i.VSBuffer=T;function P(u,d){return u[d+0]<<0>>>0|u[d+1]<<8>>>0}i.readUInt16LE=P;function c(u,d,S){u[S+0]=d&255,d=d>>>8,u[S+1]=d&255}i.writeUInt16LE=c;function w(u,d){return u[d]*2**24+u[d+1]*2**16+u[d+2]*2**8+u[d+3]}i.readUInt32BE=w;function I(u,d,S){u[S+3]=d,d=d>>>8,u[S+2]=d,d=d>>>8,u[S+1]=d,d=d>>>8,u[S]=d}i.writeUInt32BE=I;function L(u,d){return u[d+0]<<0>>>0|u[d+1]<<8>>>0|u[d+2]<<16>>>0|u[d+3]<<24>>>0}i.readUInt32LE=L;function h(u,d,S){u[S+0]=d&255,d=d>>>8,u[S+1]=d&255,d=d>>>8,u[S+2]=d&255,d=d>>>8,u[S+3]=d&255}i.writeUInt32LE=h;function y(u,d){return u[d]}i.readUInt8=y;function E(u,d,S){u[S]=d}i.writeUInt8=E;function g(u){return C.consumeReadable(u,d=>T.concat(d))}i.readableToBuffer=g;function a(u){return C.toReadable(u)}i.bufferToReadable=a;function f(u){return C.consumeStream(u,d=>T.concat(d))}i.streamToBuffer=f;async function v(u){return u.ended?T.concat(u.buffer):T.concat([...u.buffer,await f(u.stream)])}i.bufferedStreamToBuffer=v;function p(u){return C.toStream(u,d=>T.concat(d))}i.bufferToStream=p;function m(u){return C.transform(u,{data:d=>typeof d=="string"?T.fromString(d):T.wrap(d)},d=>T.concat(d))}i.streamToBufferReadableStream=m;function o(u){return C.newWriteableStream(d=>T.concat(d),u)}i.newWriteableBufferStream=o;function t(u,d){return C.prefixedReadable(u,d,S=>T.concat(S))}i.prefixedBufferReadable=t;function r(u,d){return C.prefixedStream(u,d,S=>T.concat(S))}i.prefixedBufferStream=r;function e(u){let d=0,S=0,O=0;const N=new Uint8Array(Math.floor(u.length/4*3)),_=re=>{switch(S){case 3:N[O++]=d|re,S=0;break;case 2:N[O++]=d|re>>>2,d=re<<6,S=3;break;case 1:N[O++]=d|re>>>4,d=re<<4,S=2;break;default:d=re<<2,S=1}};for(let re=0;re<u.length;re++){const ee=u.charCodeAt(re);if(ee>=65&&ee<=90)_(ee-65);else if(ee>=97&&ee<=122)_(ee-97+26);else if(ee>=48&&ee<=57)_(ee-48+52);else if(ee===43||ee===45)_(62);else if(ee===47||ee===95)_(63);else{if(ee===61)break;throw new SyntaxError(`Unexpected base64 character ${u[re]}`)}}const J=O;for(;S>0;)_(0);return T.wrap(N).slice(0,J)}i.decodeBase64=e;const n="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",s="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function l({buffer:u},d=!0,S=!1){const O=S?s:n;let N="";const _=u.byteLength%3;let J=0;for(;J<u.byteLength-_;J+=3){const re=u[J+0],ee=u[J+1],ie=u[J+2];N+=O[re>>>2],N+=O[(re<<4|ee>>>4)&63],N+=O[(ee<<2|ie>>>6)&63],N+=O[ie&63]}if(_===1){const re=u[J+0];N+=O[re>>>2],N+=O[re<<4&63],d&&(N+="==")}else if(_===2){const re=u[J+0],ee=u[J+1];N+=O[re>>>2],N+=O[(re<<4|ee>>>4)&63],N+=O[ee<<2&63],d&&(N+="=")}return N}i.encodeBase64=l}),define(Y[59],Q([0,1,26]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.StringSHA1=i.toHexString=i.Hasher=i.stringHash=i.numberHash=i.doHash=i.hash=void 0;function D(f){return b(f,0)}i.hash=D;function b(f,v){switch(typeof f){case"object":return f===null?R(349,v):Array.isArray(f)?c(f,v):w(f,v);case"string":return P(f,v);case"boolean":return T(f,v);case"number":return R(f,v);case"undefined":return R(937,v);default:return R(617,v)}}i.doHash=b;function R(f,v){return(v<<5)-v+f|0}i.numberHash=R;function T(f,v){return R(f?433:863,v)}function P(f,v){v=R(149417,v);for(let p=0,m=f.length;p<m;p++)v=R(f.charCodeAt(p),v);return v}i.stringHash=P;function c(f,v){return v=R(104579,v),f.reduce((p,m)=>b(m,p),v)}function w(f,v){return v=R(181387,v),Object.keys(f).sort().reduce((p,m)=>(p=P(m,p),b(f[m],p)),v)}class I{constructor(){this._value=0}get value(){return this._value}hash(v){return this._value=b(v,this._value),this._value}}i.Hasher=I;var L;(function(f){f[f.BLOCK_SIZE=64]="BLOCK_SIZE",f[f.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(L||(L={}));function h(f,v,p=32){const m=p-v,o=~((1<<m)-1);return(f<<v|(o&f)>>>m)>>>0}function y(f,v=0,p=f.byteLength,m=0){for(let o=0;o<p;o++)f[v+o]=m}function E(f,v,p="0"){for(;f.length<v;)f=p+f;return f}function g(f,v=32){return f instanceof ArrayBuffer?Array.from(new Uint8Array(f)).map(p=>p.toString(16).padStart(2,"0")).join(""):E((f>>>0).toString(16),v/4)}i.toHexString=g;class a{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(v){const p=v.length;if(p===0)return;const m=this._buff;let o=this._buffLen,t=this._leftoverHighSurrogate,r,e;for(t!==0?(r=t,e=-1,t=0):(r=v.charCodeAt(0),e=0);;){let n=r;if(C.isHighSurrogate(r))if(e+1<p){const s=v.charCodeAt(e+1);C.isLowSurrogate(s)?(e++,n=C.computeCodePoint(r,s)):n=65533}else{t=r;break}else C.isLowSurrogate(r)&&(n=65533);if(o=this._push(m,o,n),e++,e<p)r=v.charCodeAt(e);else break}this._buffLen=o,this._leftoverHighSurrogate=t}_push(v,p,m){return m<128?v[p++]=m:m<2048?(v[p++]=192|(m&1984)>>>6,v[p++]=128|(m&63)>>>0):m<65536?(v[p++]=224|(m&61440)>>>12,v[p++]=128|(m&4032)>>>6,v[p++]=128|(m&63)>>>0):(v[p++]=240|(m&1835008)>>>18,v[p++]=128|(m&258048)>>>12,v[p++]=128|(m&4032)>>>6,v[p++]=128|(m&63)>>>0),p>=64&&(this._step(),p-=64,this._totalLen+=64,v[0]=v[64+0],v[1]=v[64+1],v[2]=v[64+2]),p}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),g(this._h0)+g(this._h1)+g(this._h2)+g(this._h3)+g(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,y(this._buff,this._buffLen),this._buffLen>56&&(this._step(),y(this._buff));const v=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(v/4294967296),!1),this._buffDV.setUint32(60,v%4294967296,!1),this._step()}_step(){const v=a._bigBlock32,p=this._buffDV;for(let u=0;u<64;u+=4)v.setUint32(u,p.getUint32(u,!1),!1);for(let u=64;u<320;u+=4)v.setUint32(u,h(v.getUint32(u-12,!1)^v.getUint32(u-32,!1)^v.getUint32(u-56,!1)^v.getUint32(u-64,!1),1),!1);let m=this._h0,o=this._h1,t=this._h2,r=this._h3,e=this._h4,n,s,l;for(let u=0;u<80;u++)u<20?(n=o&t|~o&r,s=1518500249):u<40?(n=o^t^r,s=1859775393):u<60?(n=o&t|o&r|t&r,s=2400959708):(n=o^t^r,s=3395469782),l=h(m,5)+n+e+s+v.getUint32(u*4,!1)&4294967295,e=r,r=t,t=h(o,30),o=m,m=l;this._h0=this._h0+m&4294967295,this._h1=this._h1+o&4294967295,this._h2=this._h2+t&4294967295,this._h3=this._h3+r&4294967295,this._h4=this._h4+e&4294967295}}i.StringSHA1=a,a._bigBlock32=new DataView(new ArrayBuffer(320))}),define(Y[22],Q([0,1,6]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.filter=i.getCaseInsensitive=i.distinct=i.getOrDefault=i.safeStringify=i.equals=i.mixin=i.cloneAndChange=i.deepFreeze=i.deepClone=void 0;function D(g){if(!g||typeof g!="object"||g instanceof RegExp)return g;const a=Array.isArray(g)?[]:{};return Object.keys(g).forEach(f=>{g[f]&&typeof g[f]=="object"?a[f]=D(g[f]):a[f]=g[f]}),a}i.deepClone=D;function b(g){if(!g||typeof g!="object")return g;const a=[g];for(;a.length>0;){const f=a.shift();Object.freeze(f);for(const v in f)if(R.call(f,v)){const p=f[v];typeof p=="object"&&!Object.isFrozen(p)&&a.push(p)}}return g}i.deepFreeze=b;const R=Object.prototype.hasOwnProperty;function T(g,a){return P(g,a,new Set)}i.cloneAndChange=T;function P(g,a,f){if((0,C.isUndefinedOrNull)(g))return g;const v=a(g);if(typeof v!="undefined")return v;if((0,C.isArray)(g)){const p=[];for(const m of g)p.push(P(m,a,f));return p}if((0,C.isObject)(g)){if(f.has(g))throw new Error("Cannot clone recursive data-structure");f.add(g);const p={};for(let m in g)R.call(g,m)&&(p[m]=P(g[m],a,f));return f.delete(g),p}return g}function c(g,a,f=!0){return(0,C.isObject)(g)?((0,C.isObject)(a)&&Object.keys(a).forEach(v=>{v in g?f&&((0,C.isObject)(g[v])&&(0,C.isObject)(a[v])?c(g[v],a[v],f):g[v]=a[v]):g[v]=a[v]}),g):a}i.mixin=c;function w(g,a){if(g===a)return!0;if(g==null||a===null||a===void 0||typeof g!=typeof a||typeof g!="object"||Array.isArray(g)!==Array.isArray(a))return!1;let f,v;if(Array.isArray(g)){if(g.length!==a.length)return!1;for(f=0;f<g.length;f++)if(!w(g[f],a[f]))return!1}else{const p=[];for(v in g)p.push(v);p.sort();const m=[];for(v in a)m.push(v);if(m.sort(),!w(p,m))return!1;for(f=0;f<p.length;f++)if(!w(g[p[f]],a[p[f]]))return!1}return!0}i.equals=w;function I(g){const a=new Set;return JSON.stringify(g,(f,v)=>{if((0,C.isObject)(v)||Array.isArray(v)){if(a.has(v))return"[Circular]";a.add(v)}return v})}i.safeStringify=I;function L(g,a,f){const v=a(g);return typeof v=="undefined"?f:v}i.getOrDefault=L;function h(g,a){const f=Object.create(null);return!g||!a||Object.keys(a).forEach(p=>{const m=g[p],o=a[p];w(m,o)||(f[p]=o)}),f}i.distinct=h;function y(g,a){const f=a.toLowerCase(),v=Object.keys(g).find(p=>p.toLowerCase()===f);return v?g[v]:g[a]}i.getCaseInsensitive=y;function E(g,a){const f=Object.create(null);for(const[v,p]of Object.entries(g))a(v,p)&&(f[v]=p);return f}i.filter=E}),define(Y[60],Q([0,1,9]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.log=i.getFirstFrame=i.parse=i.isRemoteConsoleLog=void 0;function D(w){const I=w;return I&&typeof I.type=="string"&&typeof I.severity=="string"}i.isRemoteConsoleLog=D;function b(w){const I=[];let L;try{const h=JSON.parse(w.arguments),y=h[h.length-1];y&&y.__$stack&&(h.pop(),L=y.__$stack),I.push(...h)}catch{I.push("Unable to log remote console arguments",w.arguments)}return{args:I,stack:L}}i.parse=b;function R(w){if(typeof w!="string")return R(b(w).stack);const I=w;if(I){const L=T(I),h=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(L||"");if(h&&h.length===4)return{uri:C.URI.file(h[1]),line:Number(h[2]),column:Number(h[3])}}}i.getFirstFrame=R;function T(w){if(!w)return w;const I=w.indexOf(`
`);return I===-1?w:w.substring(0,I)}function P(w,I){const{args:L,stack:h}=b(w),y=typeof L[0]=="string"&&L.length===1;let E=T(h);E&&(E=`(${E.trim()})`);let g=[];if(typeof L[0]=="string"?E&&y?g=[`%c[${I}] %c${L[0]} %c${E}`,c("blue"),c(""),c("grey")]:g=[`%c[${I}] %c${L[0]}`,c("blue"),c(""),...L.slice(1)]:g=[`%c[${I}]%`,c("blue"),...L],E&&!y&&g.push(E),typeof console[w.severity]!="function")throw new Error("Unknown console method");console[w.severity].apply(console,g)}i.log=P;function c(w){return`color: ${w}`}}),define(Y[61],Q([0,1,17,26,9]),function(j,i,C,D,b){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.revive=i.MarshalledId=i.parse=i.stringify=void 0;function R(I){return JSON.stringify(I,c)}i.stringify=R;function T(I){let L=JSON.parse(I);return L=w(L),L}i.parse=T;var P;(function(I){I[I.Uri=1]="Uri",I[I.Regexp=2]="Regexp",I[I.ScmResource=3]="ScmResource",I[I.ScmResourceGroup=4]="ScmResourceGroup",I[I.ScmProvider=5]="ScmProvider",I[I.CommentController=6]="CommentController",I[I.CommentThread=7]="CommentThread",I[I.CommentThreadReply=8]="CommentThreadReply",I[I.CommentNode=9]="CommentNode",I[I.CommentThreadNode=10]="CommentThreadNode",I[I.TimelineActionContext=11]="TimelineActionContext",I[I.NotebookCellActionContext=12]="NotebookCellActionContext",I[I.TestItemContext=13]="TestItemContext",I[I.Date=14]="Date"})(P=i.MarshalledId||(i.MarshalledId={}));function c(I,L){return L instanceof RegExp?{$mid:2,source:L.source,flags:(0,D.regExpFlags)(L)}:L}function w(I,L=0){if(!I||L>200)return I;if(typeof I=="object"){switch(I.$mid){case 1:return b.URI.revive(I);case 2:return new RegExp(I.source,I.flags);case 14:return new Date(I.source)}if(I instanceof C.VSBuffer||I instanceof Uint8Array)return I;if(Array.isArray(I))for(let h=0;h<I.length;++h)I[h]=w(I[h],L+1);else for(const h in I)Object.hasOwnProperty.call(I,h)&&(I[h]=w(I[h],L+1))}return I}i.revive=w}),define(Y[62],Q([0,1,45,10,11,12,19,26,9]),function(j,i,C,D,b,R,T,P,c){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.splitName=i.unmnemonicLabel=i.mnemonicButtonLabel=i.mnemonicMenuLabel=i.template=i.shorten=i.untildify=i.tildify=i.normalizeDriveLetter=i.getBaseLabel=i.getPathLabel=void 0;function w(n,s,l){if(typeof n=="string"&&(n=c.URI.file(n)),l){const d=l.getWorkspaceFolder(n);if(d){const S=l.getWorkspace().folders.length>1;let O;if((0,T.isEqual)(d.uri,n)?O="":O=(0,T.relativePath)(d.uri,n),S){const N=d.name?d.name:(0,T.basename)(d.uri);O=O?N+" \u2022 "+O:N}return O}}if(n.scheme!==D.Schemas.file&&n.scheme!==D.Schemas.untitled)return n.with({query:null,fragment:null}).toString(!0);if((0,C.hasDriveLetter)(n.fsPath))return(0,b.normalize)(L(n.fsPath));let u=(0,b.normalize)(n.fsPath);return!R.isWindows&&s?.userHome&&(u=y(u,s.userHome.fsPath)),u}i.getPathLabel=w;function I(n){if(!n)return;typeof n=="string"&&(n=c.URI.file(n));const s=(0,T.basename)(n)||(n.scheme===D.Schemas.file?n.fsPath:n.path);return R.isWindows&&(0,C.isRootOrDriveLetter)(s)?L(s):s}i.getBaseLabel=I;function L(n,s){return(0,C.hasDriveLetter)(n,s)?n.charAt(0).toUpperCase()+n.slice(1):n}i.normalizeDriveLetter=L;let h=Object.create(null);function y(n,s){if(R.isWindows||!n||!s)return n;let l=h.original===s?h.normalized:void 0;return l||(l=`${(0,P.rtrim)(s,b.posix.sep)}${b.posix.sep}`,h={original:s,normalized:l}),(R.isLinux?n.startsWith(l):(0,P.startsWithIgnoreCase)(n,l))&&(n=`~/${n.substr(l.length)}`),n}i.tildify=y;function E(n,s){return n.replace(/^~($|\/|\\)/,`${s}$1`)}i.untildify=E;const g="\u2026",a="\\\\",f="~";function v(n,s=b.sep){const l=new Array(n.length);let u=!1;for(let d=0;d<n.length;d++){let S=n[d];if(S===""){l[d]=`.${s}`;continue}if(!S){l[d]=S;continue}u=!0;let O="";S.indexOf(a)===0?(O=S.substr(0,S.indexOf(a)+a.length),S=S.substr(S.indexOf(a)+a.length)):S.indexOf(s)===0?(O=S.substr(0,S.indexOf(s)+s.length),S=S.substr(S.indexOf(s)+s.length)):S.indexOf(f)===0&&(O=S.substr(0,S.indexOf(f)+f.length),S=S.substr(S.indexOf(f)+f.length));const N=S.split(s);for(let _=1;u&&_<=N.length;_++)for(let J=N.length-_;u&&J>=0;J--){u=!1;let re=N.slice(J,J+_).join(s);for(let ee=0;!u&&ee<n.length;ee++)if(ee!==d&&n[ee]&&n[ee].indexOf(re)>-1){const ie=J+_===N.length,he=J>0&&n[ee].indexOf(s)>-1?s+re:re,ue=n[ee].endsWith(he);u=!ie||ue}if(!u){let ee="";(N[0].endsWith(":")||O!=="")&&(J===1&&(J=0,_++,re=N[0]+s+re),J>0&&(ee=N[0]+s),ee=O+ee),J>0&&(ee=ee+g+s),ee=ee+re,J+_<N.length&&(ee=ee+s+g),l[d]=ee}}u&&(l[d]=S)}return l}i.shorten=v;var p;(function(n){n[n.TEXT=0]="TEXT",n[n.VARIABLE=1]="VARIABLE",n[n.SEPARATOR=2]="SEPARATOR"})(p||(p={}));function m(n,s=Object.create(null)){const l=[];let u=!1,d="";for(const S of n)if(S==="$"||u&&S==="{")d&&l.push({value:d,type:p.TEXT}),d="",u=!0;else if(S==="}"&&u){const O=s[d];if(typeof O=="string")O.length&&l.push({value:O,type:p.VARIABLE});else if(O){const N=l[l.length-1];(!N||N.type!==p.SEPARATOR)&&l.push({value:O.label,type:p.SEPARATOR})}d="",u=!1}else d+=S;return d&&!u&&l.push({value:d,type:p.TEXT}),l.filter((S,O)=>{if(S.type===p.SEPARATOR){const N=l[O-1],_=l[O+1];return[N,_].every(J=>J&&(J.type===p.VARIABLE||J.type===p.TEXT)&&J.value.length>0)}return!0}).map(S=>S.value).join("")}i.template=m;function o(n,s){return R.isMacintosh||s?n.replace(/\(&&\w\)|&&/g,"").replace(/&/g,R.isMacintosh?"&":"&&"):n.replace(/&&|&/g,l=>l==="&"?"&&":"&")}i.mnemonicMenuLabel=o;function t(n,s){return R.isMacintosh||s?n.replace(/\(&&\w\)|&&/g,""):R.isWindows?n.replace(/&&|&/g,l=>l==="&"?"&&":"&"):n.replace(/&&/g,"_")}i.mnemonicButtonLabel=t;function r(n){return n.replace(/&/g,"&&")}i.unmnemonicLabel=r;function e(n){const s=n.indexOf("/")!==-1?b.posix:b.win32,l=s.basename(n),u=s.dirname(n);return l.length?{name:l,parentPath:u}:{name:u,parentPath:""}}i.splitName=e}),define(Y[27],Q([0,1]),function(j,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.generateUuid=i.isUUID=void 0;const C=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function D(c){return C.test(c)}i.isUUID=D;const b=new Uint8Array(16),R=[];for(let c=0;c<256;c++)R.push(c.toString(16).padStart(2,"0"));let T;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?T=crypto.getRandomValues.bind(crypto):T=function(c){for(let w=0;w<c.length;w++)c[w]=Math.floor(Math.random()*256);return c};function P(){T(b),b[6]=b[6]&15|64,b[8]=b[8]&63|128;let c=0,w="";return w+=R[b[c++]],w+=R[b[c++]],w+=R[b[c++]],w+=R[b[c++]],w+="-",w+=R[b[c++]],w+=R[b[c++]],w+="-",w+=R[b[c++]],w+=R[b[c++]],w+="-",w+=R[b[c++]],w+=R[b[c++]],w+="-",w+=R[b[c++]],w+=R[b[c++]],w+=R[b[c++]],w+=R[b[c++]],w+=R[b[c++]],w+=R[b[c++]],w}i.generateUuid=P}),define(Y[63],Q([0,1,132]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.LineDecoder=void 0;class D{constructor(R="utf8"){this.stringDecoder=new C.StringDecoder(R),this.remaining=null}write(R){const T=[],P=this.remaining?this.remaining+this.stringDecoder.write(R):this.stringDecoder.write(R);if(P.length<1)return T;let c=0,w,I=c;for(;I<P.length;)if(w=P.charCodeAt(I),w===13||w===10){if(T.push(P.substring(c,I)),I++,I<P.length){const L=w;w=P.charCodeAt(I),(L===13&&w===10||L===10&&w===13)&&I++}c=I}else I++;return this.remaining=c<P.length?P.substr(c):null,T}end(){return this.remaining}}i.LineDecoder=D}),define(Y[64],Q([0,1,33,11,15]),function(j,i,C,D,b){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getFirstAvailablePowerShellInstallation=i.enumeratePowerShellInstallations=void 0;const R=/^\d+$/,T=/^Microsoft.PowerShell_.*/,P=/^Microsoft.PowerShellPreview_.*/;var c;(function(m){m[m.x64=0]="x64",m[m.x86=1]="x86",m[m.ARM=2]="ARM"})(c||(c={}));let w;switch(process.arch){case"ia32":case"x32":w=1;break;case"arm":case"arm64":w=2;break;default:w=0;break}let I;process.env.PROCESSOR_ARCHITEW6432?I=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?I=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?I=1:I=0;class L{constructor(o,t,r){this.exePath=o,this.displayName=t,this.knownToExist=r}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await b.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function h({useAlternateBitness:m=!1}={}){return m?w===0?process.env["ProgramFiles(x86)"]||null:I===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function y({useAlternateBitness:m=!1,findPreview:o=!1}={}){const t=h({useAlternateBitness:m});if(!t)return null;const r=D.join(t,"PowerShell");if(!await b.SymlinkSupport.existsDirectory(r))return null;let e=-1,n=null;for(const u of await b.Promises.readdir(r)){let d=-1;if(o){const O=u.indexOf("-");if(O<0)continue;const N=u.substring(0,O);if(!R.test(N)||u.substring(O+1)!=="preview")continue;d=parseInt(N,10)}else{if(!R.test(u))continue;d=parseInt(u,10)}if(d<=e)continue;const S=D.join(r,u,"pwsh.exe");!await b.SymlinkSupport.existsFile(S)||(n=S,e=d)}if(!n)return null;const s=t.includes("x86")?" (x86)":"",l=o?" Preview":"";return new L(n,`PowerShell${l}${s}`,!0)}async function E({findPreview:m}={}){if(!process.env.LOCALAPPDATA)return null;const o=D.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await b.SymlinkSupport.existsDirectory(o))return null;const{pwshMsixDirRegex:t,pwshMsixName:r}=m?{pwshMsixDirRegex:P,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:T,pwshMsixName:"PowerShell (Store)"};for(const e of await b.Promises.readdir(o))if(t.test(e)){const n=D.join(o,e,"pwsh.exe");return new L(n,r)}return null}function g(){const m=D.join(C.homedir(),".dotnet","tools","pwsh.exe");return new L(m,".NET Core PowerShell Global Tool")}function a(){const m=D.join(process.env.windir,w===1&&I!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new L(m,"Windows PowerShell",!0)}async function*f(){let m=await y();m&&(yield m),m=await y({useAlternateBitness:!0}),m&&(yield m),m=await E(),m&&(yield m),m=g(),m&&(yield m),m=await y({findPreview:!0}),m&&(yield m),m=await E({findPreview:!0}),m&&(yield m),m=await y({useAlternateBitness:!0,findPreview:!0}),m&&(yield m),m=a(),m&&(yield m)}async function*v(){for await(const m of f())await m.exists()&&(yield m)}i.enumeratePowerShellInstallations=v;async function p(){for await(const m of v())return m;return null}i.getFirstAvailablePowerShellInstallation=p});var ge=this&&this.__decorate||function(j,i,C,D){var b=arguments.length,R=b<3?i:D===null?D=Object.getOwnPropertyDescriptor(i,C):D,T;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")R=Reflect.decorate(j,i,C,D);else for(var P=j.length-1;P>=0;P--)(T=j[P])&&(R=(b<3?T(R):b>3?T(i,C,R):T(i,C))||R);return b>3&&R&&Object.defineProperty(i,C,R),R};define(Y[46],Q([0,1,18,3,17,24,44,8,7,2,61,26,6]),function(j,i,C,D,b,R,T,P,c,w,I,L,h){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.IPCLogger=i.logWithColors=i.ProxyChannel=i.StaticRouter=i.getNextTickChannel=i.getDelayedChannel=i.IPCClient=i.IPCServer=i.ChannelClient=i.RequestInitiator=i.ChannelServer=i.ResponseType=i.RequestType=void 0;var y;(function(U){U[U.Promise=100]="Promise",U[U.PromiseCancel=101]="PromiseCancel",U[U.EventListen=102]="EventListen",U[U.EventDispose=103]="EventDispose"})(y=i.RequestType||(i.RequestType={}));function E(U){switch(U){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var g;(function(U){U[U.Initialize=200]="Initialize",U[U.PromiseSuccess=201]="PromiseSuccess",U[U.PromiseError=202]="PromiseError",U[U.PromiseErrorObj=203]="PromiseErrorObj",U[U.EventFire=204]="EventFire"})(g=i.ResponseType||(i.ResponseType={}));function a(U){switch(U){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var f;(function(U){U[U.Uninitialized=0]="Uninitialized",U[U.Idle=1]="Idle"})(f||(f={}));class v{constructor(k){this.buffer=k,this.pos=0}read(k){const z=this.buffer.slice(this.pos,this.pos+k);return this.pos+=z.byteLength,z}}class p{constructor(){this.buffers=[]}get buffer(){return b.VSBuffer.concat(this.buffers)}write(k){this.buffers.push(k)}}var m;(function(U){U[U.Undefined=0]="Undefined",U[U.String=1]="String",U[U.Buffer=2]="Buffer",U[U.VSBuffer=3]="VSBuffer",U[U.Array=4]="Array",U[U.Object=5]="Object"})(m||(m={}));function o(U){const k=b.VSBuffer.alloc(4);return k.writeUInt32BE(U,0),k}function t(U){return U.read(4).readUInt32BE(0)}function r(U){const k=b.VSBuffer.alloc(1);return k.writeUInt8(U,0),k}const e={Undefined:r(m.Undefined),String:r(m.String),Buffer:r(m.Buffer),VSBuffer:r(m.VSBuffer),Array:r(m.Array),Object:r(m.Object)},n=typeof Buffer!="undefined";function s(U,k){if(typeof k=="undefined")U.write(e.Undefined);else if(typeof k=="string"){const z=b.VSBuffer.fromString(k);U.write(e.String),U.write(o(z.byteLength)),U.write(z)}else if(n&&Buffer.isBuffer(k)){const z=b.VSBuffer.wrap(k);U.write(e.Buffer),U.write(o(z.byteLength)),U.write(z)}else if(k instanceof b.VSBuffer)U.write(e.VSBuffer),U.write(o(k.byteLength)),U.write(k);else if(Array.isArray(k)){U.write(e.Array),U.write(o(k.length));for(const z of k)s(U,z)}else{const z=b.VSBuffer.fromString(JSON.stringify(k));U.write(e.Object),U.write(o(z.byteLength)),U.write(z)}}function l(U){switch(U.read(1).readUInt8(0)){case m.Undefined:return;case m.String:return U.read(t(U)).toString();case m.Buffer:return U.read(t(U)).buffer;case m.VSBuffer:return U.read(t(U));case m.Array:{const z=t(U),G=[];for(let ne=0;ne<z;ne++)G.push(l(U));return G}case m.Object:return JSON.parse(U.read(t(U)).toString())}}class u{constructor(k,z,G=null,ne=1e3){this.protocol=k,this.ctx=z,this.logger=G,this.timeoutDelay=ne,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(K=>this.onRawMessage(K)),this.sendResponse({type:200})}registerChannel(k,z){this.channels.set(k,z),setTimeout(()=>this.flushPendingRequests(k),0)}sendResponse(k){switch(k.type){case 200:{const z=this.send([k.type]);this.logger?.logOutgoing(z,0,1,a(k.type));return}case 201:case 202:case 204:case 203:{const z=this.send([k.type,k.id],k.data);this.logger?.logOutgoing(z,k.id,1,a(k.type),k.data);return}}}send(k,z=void 0){const G=new p;return s(G,k),s(G,z),this.sendBuffer(G.buffer)}sendBuffer(k){try{return this.protocol.send(k),k.byteLength}catch{return 0}}onRawMessage(k){const z=new v(k),G=l(z),ne=l(z),K=G[0];switch(K){case 100:return this.logger?.logIncoming(k.byteLength,G[1],1,`${E(K)}: ${G[2]}.${G[3]}`,ne),this.onPromise({type:K,id:G[1],channelName:G[2],name:G[3],arg:ne});case 102:return this.logger?.logIncoming(k.byteLength,G[1],1,`${E(K)}: ${G[2]}.${G[3]}`,ne),this.onEventListen({type:K,id:G[1],channelName:G[2],name:G[3],arg:ne});case 101:return this.logger?.logIncoming(k.byteLength,G[1],1,`${E(K)}`),this.disposeActiveRequest({type:K,id:G[1]});case 103:return this.logger?.logIncoming(k.byteLength,G[1],1,`${E(K)}`),this.disposeActiveRequest({type:K,id:G[1]})}}onPromise(k){const z=this.channels.get(k.channelName);if(!z){this.collectPendingRequest(k);return}const G=new R.CancellationTokenSource;let ne;try{ne=z.call(this.ctx,k.name,k.arg,G.token)}catch(q){ne=Promise.reject(q)}const K=k.id;ne.then(q=>{this.sendResponse({id:K,data:q,type:201}),this.activeRequests.delete(k.id)},q=>{q instanceof Error?this.sendResponse({id:K,data:{message:q.message,name:q.name,stack:q.stack?q.stack.split?q.stack.split(`
`):q.stack:void 0},type:202}):this.sendResponse({id:K,data:q,type:203}),this.activeRequests.delete(k.id)});const Z=(0,w.toDisposable)(()=>G.cancel());this.activeRequests.set(k.id,Z)}onEventListen(k){const z=this.channels.get(k.channelName);if(!z){this.collectPendingRequest(k);return}const G=k.id,K=z.listen(this.ctx,k.name,k.arg)(Z=>this.sendResponse({id:G,data:Z,type:204}));this.activeRequests.set(k.id,K)}disposeActiveRequest(k){const z=this.activeRequests.get(k.id);z&&(z.dispose(),this.activeRequests.delete(k.id))}collectPendingRequest(k){let z=this.pendingRequests.get(k.channelName);z||(z=[],this.pendingRequests.set(k.channelName,z));const G=setTimeout(()=>{console.error(`Unknown channel: ${k.channelName}`),k.type===100&&this.sendResponse({id:k.id,data:{name:"Unknown channel",message:`Channel name '${k.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);z.push({request:k,timeoutTimer:G})}flushPendingRequests(k){const z=this.pendingRequests.get(k);if(z){for(const G of z)switch(clearTimeout(G.timeoutTimer),G.request.type){case 100:this.onPromise(G.request);break;case 102:this.onEventListen(G.request);break}this.pendingRequests.delete(k)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,w.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}i.ChannelServer=u;var d;(function(U){U[U.LocalSide=0]="LocalSide",U[U.OtherSide=1]="OtherSide"})(d=i.RequestInitiator||(i.RequestInitiator={}));class S{constructor(k,z=null){this.protocol=k,this.isDisposed=!1,this.state=f.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new c.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(G=>this.onBuffer(G)),this.logger=z}getChannel(k){const z=this;return{call(G,ne,K){return z.isDisposed?Promise.reject(P.canceled()):z.requestPromise(k,G,ne,K)},listen(G,ne){return z.isDisposed?Promise.reject(P.canceled()):z.requestEvent(k,G,ne)}}}requestPromise(k,z,G,ne=R.CancellationToken.None){const K=this.lastRequestId++,q={id:K,type:100,channelName:k,name:z,arg:G};if(ne.isCancellationRequested)return Promise.reject(P.canceled());let M;return new Promise((V,B)=>{if(ne.isCancellationRequested)return B(P.canceled());const H=()=>{const we=fe=>{switch(fe.type){case 201:this.handlers.delete(K),V(fe.data);break;case 202:{this.handlers.delete(K);const se=new Error(fe.data.message);se.stack=fe.data.stack,se.name=fe.data.name,B(se);break}case 203:this.handlers.delete(K),B(fe.data);break}};this.handlers.set(K,we),this.sendRequest(q)};let X=null;this.state===f.Idle?H():(X=(0,D.createCancelablePromise)(we=>this.whenInitialized()),X.then(()=>{X=null,H()}));const ae=()=>{X?(X.cancel(),X=null):this.sendRequest({id:K,type:101}),B(P.canceled())},ce=ne.onCancellationRequested(ae);M=(0,w.combinedDisposable)((0,w.toDisposable)(ae),ce),this.activeRequests.add(M)}).finally(()=>{this.activeRequests.delete(M)})}requestEvent(k,z,G){const ne=this.lastRequestId++,Z={id:ne,type:102,channelName:k,name:z,arg:G};let q=null;const M=new c.Emitter({onFirstListenerAdd:()=>{q=(0,D.createCancelablePromise)(V=>this.whenInitialized()),q.then(()=>{q=null,this.activeRequests.add(M),this.sendRequest(Z)})},onLastListenerRemove:()=>{q?(q.cancel(),q=null):(this.activeRequests.delete(M),this.sendRequest({id:ne,type:103}))}}),A=V=>M.fire(V.data);return this.handlers.set(ne,A),M.event}sendRequest(k){switch(k.type){case 100:case 102:{const z=this.send([k.type,k.id,k.channelName,k.name],k.arg);this.logger&&this.logger.logOutgoing(z,k.id,0,`${E(k.type)}: ${k.channelName}.${k.name}`,k.arg);return}case 101:case 103:{const z=this.send([k.type,k.id]);this.logger&&this.logger.logOutgoing(z,k.id,0,E(k.type));return}}}send(k,z=void 0){const G=new p;return s(G,k),s(G,z),this.sendBuffer(G.buffer)}sendBuffer(k){try{return this.protocol.send(k),k.byteLength}catch{return 0}}onBuffer(k){const z=new v(k),G=l(z),ne=l(z),K=G[0];switch(K){case 200:return this.logger&&this.logger.logIncoming(k.byteLength,0,0,a(K)),this.onResponse({type:G[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(k.byteLength,G[1],0,a(K),ne),this.onResponse({type:G[0],id:G[1],data:ne})}}onResponse(k){if(k.type===200){this.state=f.Idle,this._onDidInitialize.fire();return}const z=this.handlers.get(k.id);z&&z(k)}get onDidInitializePromise(){return c.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===f.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,w.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}ge([T.memoize],S.prototype,"onDidInitializePromise",null),i.ChannelClient=S;class O{constructor(k){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new c.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new c.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,k(({protocol:z,onDidClientDisconnect:G})=>{c.Event.once(z.onMessage)(K=>{const Z=new v(K),q=l(Z),M=new u(z,q),A=new S(z);this.channels.forEach((B,H)=>M.registerChannel(H,B));const V={channelServer:M,channelClient:A,ctx:q};this._connections.add(V),this._onDidAddConnection.fire(V),G(()=>{M.dispose(),A.dispose(),this._connections.delete(V),this._onDidRemoveConnection.fire(V)})})})}get connections(){const k=[];return this._connections.forEach(z=>k.push(z)),k}getChannel(k,z){const G=this;return{call(ne,K,Z){let q;if((0,h.isFunction)(z)){let A=(0,C.getRandomElement)(G.connections.filter(z));q=A?Promise.resolve(A):c.Event.toPromise(c.Event.filter(G.onDidAddConnection,z))}else q=z.routeCall(G,ne,K);const M=q.then(A=>A.channelClient.getChannel(k));return _(M).call(ne,K,Z)},listen(ne,K){if((0,h.isFunction)(z))return G.getMulticastEvent(k,z,ne,K);const Z=z.routeEvent(G,ne,K).then(q=>q.channelClient.getChannel(k));return _(Z).listen(ne,K)}}}getMulticastEvent(k,z,G,ne){const K=this;let Z=new w.DisposableStore;const q=new c.Emitter({onFirstListenerAdd:()=>{Z=new w.DisposableStore;const M=new c.EventMultiplexer,A=new Map,V=H=>{const ae=H.channelClient.getChannel(k).listen(G,ne),ce=M.add(ae);A.set(H,ce)},B=H=>{const X=A.get(H);!X||(X.dispose(),A.delete(H))};K.connections.filter(z).forEach(V),c.Event.filter(K.onDidAddConnection,z)(V,void 0,Z),K.onDidRemoveConnection(B,void 0,Z),M.event(q.fire,q,Z),Z.add(M)},onLastListenerRemove:()=>{Z.dispose()}});return q.event}registerChannel(k,z){this.channels.set(k,z),this._connections.forEach(G=>{G.channelServer.registerChannel(k,z)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}i.IPCServer=O;class N{constructor(k,z,G=null){const ne=new p;s(ne,z),k.send(ne.buffer),this.channelClient=new S(k,G),this.channelServer=new u(k,z,G)}getChannel(k){return this.channelClient.getChannel(k)}registerChannel(k,z){this.channelServer.registerChannel(k,z)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}i.IPCClient=N;function _(U){return{call(k,z,G){return U.then(ne=>ne.call(k,z,G))},listen(k,z){const G=new c.Relay;return U.then(ne=>G.input=ne.listen(k,z)),G.event}}}i.getDelayedChannel=_;function J(U){let k=!1;return{call(z,G,ne){return k?U.call(z,G,ne):(0,D.timeout)(0).then(()=>k=!0).then(()=>U.call(z,G,ne))},listen(z,G){if(k)return U.listen(z,G);const ne=new c.Relay;return(0,D.timeout)(0).then(()=>k=!0).then(()=>ne.input=U.listen(z,G)),ne.event}}}i.getNextTickChannel=J;class re{constructor(k){this.fn=k}routeCall(k){return this.route(k)}routeEvent(k){return this.route(k)}async route(k){for(const z of k.connections)if(await Promise.resolve(this.fn(z.ctx)))return Promise.resolve(z);return await c.Event.toPromise(k.onDidAddConnection),await this.route(k)}}i.StaticRouter=re;var ee;(function(U){function k(K,Z){const q=K,M=Z&&Z.disableMarshalling,A=new Map;for(const V in q)G(V)&&A.set(V,c.Event.buffer(q[V],!0));return new class{listen(V,B,H){const X=A.get(B);if(X)return X;if(ne(B)){const ae=q[B];if(typeof ae=="function")return ae.call(q,H)}throw new Error(`Event not found: ${B}`)}call(V,B,H){const X=q[B];if(typeof X=="function"){if(!M&&Array.isArray(H))for(let ae=0;ae<H.length;ae++)H[ae]=(0,I.revive)(H[ae]);return X.apply(q,H)}throw new Error(`Method not found: ${B}`)}}}U.fromService=k;function z(K,Z){const q=Z&&Z.disableMarshalling;return new Proxy({},{get(M,A){if(typeof A=="string")return Z?.properties?.has(A)?Z.properties.get(A):ne(A)?function(V){return K.listen(A,V)}:G(A)?K.listen(A):async function(...V){let B;Z&&!(0,h.isUndefinedOrNull)(Z.context)?B=[Z.context,...V]:B=V;const H=await K.call(A,B);return q?H:(0,I.revive)(H)};throw new Error(`Property not found: ${String(A)}`)}})}U.toService=z;function G(K){return K[0]==="o"&&K[1]==="n"&&L.isUpperAsciiLetter(K.charCodeAt(2))}function ne(K){return/^onDynamic/.test(K)&&L.isUpperAsciiLetter(K.charCodeAt(9))}})(ee=i.ProxyChannel||(i.ProxyChannel={}));const ie=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function he(U){if(Array.isArray(U))return U;if(U&&typeof U=="object"&&typeof U.toString=="function"){let k=U.toString();if(k!=="[object Object]")return k}return U}function ue(U){return Array.isArray(U)?U.map(he):he(U)}function x(U,k,z,G,ne,K,Z){Z=ue(Z);const q=ie[ne],M=q[G%q.length];let A=[`%c[${U}]%c[${String(k).padStart(7," ")}]%c[len: ${String(z).padStart(5," ")}]%c${String(G).padStart(5," ")} - ${K}`,"color: darkgreen","color: grey","color: grey",`color: ${M}`];/\($/.test(K)?(A=A.concat(Z),A.push(")")):A.push(Z),console.log.apply(console,A)}i.logWithColors=x;class te{constructor(k,z){this._outgoingPrefix=k,this._incomingPrefix=z,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(k,z,G,ne,K){this._totalOutgoing+=k,x(this._outgoingPrefix,this._totalOutgoing,k,z,G,ne,K)}logIncoming(k,z,G,ne,K){this._totalIncoming+=k,x(this._incomingPrefix,this._totalIncoming,k,z,G,ne,K)}}i.IPCLogger=te}),define(Y[65],Q([0,1,3,7,2,6]),function(j,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.InMemoryStorageDatabase=i.Storage=i.isStorageItemsChangeEvent=i.StorageHint=void 0;var T;(function(L){L[L.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(T=i.StorageHint||(i.StorageHint={}));function P(L){const h=L;return h?.changed instanceof Map||h?.deleted instanceof Set}i.isStorageItemsChangeEvent=P;var c;(function(L){L[L.None=0]="None",L[L.Initialized=1]="Initialized",L[L.Closed=2]="Closed"})(c||(c={}));class w extends b.Disposable{constructor(h,y=Object.create(null)){super();this.database=h,this.options=y,this._onDidChangeStorage=this._register(new D.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=c.None,this.cache=new Map,this.flushDelayer=new C.ThrottledDelayer(w.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(h=>this.onDidChangeItemsExternal(h)))}onDidChangeItemsExternal(h){h.changed?.forEach((y,E)=>this.accept(E,y)),h.deleted?.forEach(y=>this.accept(y,void 0))}accept(h,y){if(this.state===c.Closed)return;let E=!1;(0,R.isUndefinedOrNull)(y)?E=this.cache.delete(h):this.cache.get(h)!==y&&(this.cache.set(h,y),E=!0),E&&this._onDidChangeStorage.fire(h)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===c.None&&(this.state=c.Initialized,this.options.hint!==T.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(h,y){const E=this.cache.get(h);return(0,R.isUndefinedOrNull)(E)?y:E}getBoolean(h,y){const E=this.get(h);return(0,R.isUndefinedOrNull)(E)?y:E==="true"}getNumber(h,y){const E=this.get(h);return(0,R.isUndefinedOrNull)(E)?y:parseInt(E,10)}async set(h,y){if(this.state===c.Closed)return;if((0,R.isUndefinedOrNull)(y))return this.delete(h);const E=String(y);if(this.cache.get(h)!==E)return this.cache.set(h,E),this.pendingInserts.set(h,E),this.pendingDeletes.delete(h),this._onDidChangeStorage.fire(h),this.doFlush()}async delete(h){if(!(this.state===c.Closed||!this.cache.delete(h)))return this.pendingDeletes.has(h)||this.pendingDeletes.add(h),this.pendingInserts.delete(h),this._onDidChangeStorage.fire(h),this.doFlush()}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=c.Closed;try{await this.doFlush(0)}catch{}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const h={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(h).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async flush(h){if(!!this.hasPending)return this.doFlush(h)}async doFlush(h){return this.flushDelayer.trigger(()=>this.flushPending(),h)}async whenFlushed(){if(!!this.hasPending)return new Promise(h=>this.whenFlushedCallbacks.push(h))}dispose(){this.flushDelayer.dispose(),super.dispose()}}i.Storage=w,w.DEFAULT_FLUSH_DELAY=100;class I{constructor(){this.onDidChangeItemsExternal=D.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(h){h.insert&&h.insert.forEach((y,E)=>this.items.set(E,y)),h.delete&&h.delete.forEach(y=>this.items.delete(y))}async close(){}}i.InMemoryStorageDatabase=I}),define(Y[66],Q([4,5]),function(j,i){return j.create("vs/base/common/date",i)}),define(Y[67],Q([0,1,66]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.toLocalISOString=i.fromNow=void 0;const D=60,b=D*60,R=b*24,T=R*7,P=R*30,c=R*365;function w(L,h,y){typeof L!="number"&&(L=L.getTime());const E=Math.round((new Date().getTime()-L)/1e3);if(E<-30)return(0,C.localize)(0,null,w(new Date().getTime()+E*1e3,!1));if(E<30)return(0,C.localize)(1,null);let g;return E<D?(g=E,h?g===1?y?(0,C.localize)(2,null,g):(0,C.localize)(3,null,g):y?(0,C.localize)(4,null,g):(0,C.localize)(5,null,g):g===1?y?(0,C.localize)(6,null,g):(0,C.localize)(7,null,g):y?(0,C.localize)(8,null,g):(0,C.localize)(9,null,g)):E<b?(g=Math.floor(E/D),h?g===1?y?(0,C.localize)(10,null,g):(0,C.localize)(11,null,g):y?(0,C.localize)(12,null,g):(0,C.localize)(13,null,g):g===1?y?(0,C.localize)(14,null,g):(0,C.localize)(15,null,g):y?(0,C.localize)(16,null,g):(0,C.localize)(17,null,g)):E<R?(g=Math.floor(E/b),h?g===1?y?(0,C.localize)(18,null,g):(0,C.localize)(19,null,g):y?(0,C.localize)(20,null,g):(0,C.localize)(21,null,g):g===1?y?(0,C.localize)(22,null,g):(0,C.localize)(23,null,g):y?(0,C.localize)(24,null,g):(0,C.localize)(25,null,g)):E<T?(g=Math.floor(E/R),h?g===1?(0,C.localize)(26,null,g):(0,C.localize)(27,null,g):g===1?(0,C.localize)(28,null,g):(0,C.localize)(29,null,g)):E<P?(g=Math.floor(E/T),h?g===1?y?(0,C.localize)(30,null,g):(0,C.localize)(31,null,g):y?(0,C.localize)(32,null,g):(0,C.localize)(33,null,g):g===1?y?(0,C.localize)(34,null,g):(0,C.localize)(35,null,g):y?(0,C.localize)(36,null,g):(0,C.localize)(37,null,g)):E<c?(g=Math.floor(E/P),h?g===1?y?(0,C.localize)(38,null,g):(0,C.localize)(39,null,g):y?(0,C.localize)(40,null,g):(0,C.localize)(41,null,g):g===1?y?(0,C.localize)(42,null,g):(0,C.localize)(43,null,g):y?(0,C.localize)(44,null,g):(0,C.localize)(45,null,g)):(g=Math.floor(E/c),h?g===1?y?(0,C.localize)(46,null,g):(0,C.localize)(47,null,g):y?(0,C.localize)(48,null,g):(0,C.localize)(49,null,g):g===1?y?(0,C.localize)(50,null,g):(0,C.localize)(51,null,g):y?(0,C.localize)(52,null,g):(0,C.localize)(53,null,g))}i.fromNow=w;function I(L){return L.getFullYear()+"-"+String(L.getMonth()+1).padStart(2,"0")+"-"+String(L.getDate()).padStart(2,"0")+"T"+String(L.getHours()).padStart(2,"0")+":"+String(L.getMinutes()).padStart(2,"0")+":"+String(L.getSeconds()).padStart(2,"0")+"."+(L.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}i.toLocalISOString=I}),define(Y[68],Q([4,5]),function(j,i){return j.create("vs/base/common/errorMessage",i)}),define(Y[28],Q([0,1,18,6,68]),function(j,i,C,D,b){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.createErrorWithActions=i.isErrorWithActions=i.toErrorMessage=void 0;function R(L,h){return h&&(L.stack||L.stacktrace)?b.localize(0,null,P(L),T(L.stack)||T(L.stacktrace)):P(L)}function T(L){return Array.isArray(L)?L.join(`
`):L}function P(L){return typeof L.code=="string"&&typeof L.errno=="number"&&typeof L.syscall=="string"?b.localize(1,null,L.message):L.message||b.localize(2,null)}function c(L=null,h=!1){if(!L)return b.localize(3,null);if(Array.isArray(L)){const y=C.coalesce(L),E=c(y[0],h);return y.length>1?b.localize(4,null,E,y.length):E}if(D.isString(L))return L;if(L.detail){const y=L.detail;if(y.error)return R(y.error,h);if(y.exception)return R(y.exception,h)}return L.stack?R(L,h):L.message?L.message:b.localize(5,null)}i.toErrorMessage=c;function w(L){const h=L;return h instanceof Error&&Array.isArray(h.actions)}i.isErrorWithActions=w;function I(L,h=Object.create(null)){const y=new Error(L);return h.actions&&(y.actions=h.actions),y}i.createErrorWithActions=I}),define(Y[69],Q([4,5]),function(j,i){return j.create("vs/base/node/processes",i)}),define(Y[47],Q([0,1,39,45,10,22,11,12,29,57,6,63,15,69]),function(j,i,C,D,b,R,T,P,c,w,I,L,h,y){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.win32=i.createQueuedSender=i.LineProcess=i.AbstractProcess=i.getWindowsShell=i.removeDangerousEnvVariables=i.TerminateResponseCode=i.Source=void 0,Object.defineProperty(i,"Source",{enumerable:!0,get:function(){return w.Source}}),Object.defineProperty(i,"TerminateResponseCode",{enumerable:!0,get:function(){return w.TerminateResponseCode}});function E(t){switch(t){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function g(t,r){if(P.isWindows)try{const e={stdio:["pipe","pipe","ignore"]};r&&(e.cwd=r);const n=C.execFile("taskkill",["/T","/F","/PID",t.pid.toString()],e);return new Promise(s=>{n.once("error",l=>{s({success:!1,error:l})}),n.once("exit",(l,u)=>{s(l===0?{success:!0}:{success:!1,code:l!==null?l:1})})})}catch(e){return Promise.resolve({success:!1,error:e,code:e.status?E(e.status):1})}else if(P.isLinux||P.isMacintosh)try{const e=b.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",j).fsPath;return new Promise(n=>{C.execFile(e,[t.pid.toString()],{encoding:"utf8",shell:!0},(s,l,u)=>{n(s?{success:!1,error:s}:{success:!0})})})}catch(e){return Promise.resolve({success:!1,error:e})}else t.kill("SIGKILL");return Promise.resolve({success:!0})}function a(t){!t||(delete t.DEBUG,P.isMacintosh&&delete t.DYLD_LIBRARY_PATH,P.isLinux&&delete t.LD_PRELOAD)}i.removeDangerousEnvVariables=a;function f(t=c.env){return t.comspec||"cmd.exe"}i.getWindowsShell=f;class v{constructor(r,e,n,s){if(e!==void 0&&n!==void 0&&s!==void 0)this.cmd=r,this.args=e,this.shell=n,this.options=s;else{const l=r;this.cmd=l.command,this.shell=l.isShellCommand,this.args=l.args.slice(0),this.options=l.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const l=Object.create(null);Object.keys(c.env).forEach(u=>{l[u]=c.env[u]}),Object.keys(this.options.env).forEach(u=>{l[u]=this.options.env[u]}),this.options.env=l}}getSanitizedCommand(){let r=this.cmd.toLowerCase();const e=r.lastIndexOf(T.sep);return e!==-1&&(r=r.substring(e+1)),v.WellKnowCommands[r]?r:"other"}start(r){return P.isWindows&&(this.options&&this.options.cwd&&D.isUNC(this.options.cwd)||!this.options&&D.isUNC(c.cwd()))?Promise.reject(new Error(y.localize(0,null))):this.useExec().then(e=>{let n,s;const l=new Promise((u,d)=>{n=u,s=d});if(e){let u=this.cmd;this.args&&(u=u+" "+this.args.join(" ")),this.childProcess=C.exec(u,this.options,(d,S,O)=>{this.childProcess=null;const N=d;N&&N.killed?s({killed:this.terminateRequested,stdout:S.toString(),stderr:O.toString()}):this.handleExec(n,r,d,S,O)})}else{let u=null;const d=S=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(S,n,r,s);const O={terminated:this.terminateRequested};I.isNumber(S)&&(O.cmdCode=S),n(O)};if(this.shell&&P.isWindows){const S=R.deepClone(this.options);S.windowsVerbatimArguments=!0,S.detached=!1;let O=!1,N=!1;const _=[];let J=this.ensureQuotes(this.cmd);_.push(J.value),O=J.quoted,this.args&&this.args.forEach(ee=>{J=this.ensureQuotes(ee),_.push(J.value),N=N&&J.quoted});const re=["/s","/c"];O?N?re.push('"'+_.join(" ")+'"'):_.length>1?re.push('"'+_[0]+'" '+_.slice(1).join(" ")):re.push('"'+_[0]+'"'):re.push(_.join(" ")),u=C.spawn(f(),re,S)}else this.cmd&&(u=C.spawn(this.cmd,this.args,this.options));u&&(this.childProcess=u,this.childProcessPromise=Promise.resolve(u),this.pidResolve&&(this.pidResolve(I.isNumber(u.pid)?u.pid:-1),this.pidResolve=void 0),u.on("error",S=>{this.childProcess=null,s({terminated:this.terminateRequested,error:S})}),u.pid&&(this.childProcess.on("close",d),this.handleSpawn(u,n,r,s,!0)))}return l})}handleClose(r,e,n,s){}ensureQuotes(r){return v.regexp.test(r)?{value:'"'+r+'"',quoted:!0}:{value:r,quoted:r.length>0&&r[0]==='"'&&r[r.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(r=>r.pid,r=>-1):new Promise(r=>{this.pidResolve=r})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(r=>(this.terminateRequested=!0,g(r,this.options.cwd).then(e=>(e.success&&(this.childProcess=null),e))),r=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(r=>{if(!this.shell||!P.isWindows)return r(!1);const e=C.spawn(f(),["/s","/c"]);e.on("error",n=>r(!0)),e.on("exit",n=>r(!1))})}}i.AbstractProcess=v,v.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},v.regexp=/^[^"].* .*[^"]/;class p extends v{constructor(r,e,n,s){super(r,e,n,s);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(r,e,n,s,l){[s,l].forEach((u,d)=>{const S=new L.LineDecoder;S.write(u).forEach(_=>{e({line:_,source:d===0?0:1})});const N=S.end();N&&e({line:N,source:d===0?0:1})}),r({terminated:this.terminateRequested,error:n})}handleSpawn(r,e,n,s,l){const u=new L.LineDecoder,d=new L.LineDecoder;r.stdout.on("data",S=>{u.write(S).forEach(N=>n({line:N,source:0}))}),r.stderr.on("data",S=>{d.write(S).forEach(N=>n({line:N,source:1}))}),this.stdoutLineDecoder=u,this.stderrLineDecoder=d}handleClose(r,e,n,s){const l=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;l&&n({line:l,source:0});const u=this.stderrLineDecoder?this.stderrLineDecoder.end():null;u&&n({line:u,source:1})}}i.LineProcess=p;function m(t){let r=[],e=!1;const n=function(s){if(e){r.push(s);return}(!t.send(s,u=>{if(u&&console.error(u),e=!1,r.length>0){const d=r.slice(0);r=[],d.forEach(S=>n(S))}})||P.isWindows)&&(e=!0)};return{send:n}}i.createQueuedSender=m;var o;(function(t){async function r(e,n,s){if(T.isAbsolute(e))return e;if(n===void 0&&(n=c.cwd()),T.dirname(e)!=="."||(s===void 0&&I.isString(c.env.PATH)&&(s=c.env.PATH.split(T.delimiter)),s===void 0||s.length===0))return T.join(n,e);async function u(d){if(await h.Promises.exists(d)){let S;try{S=await h.Promises.stat(d)}catch(O){O.message.startsWith("EACCES")&&(S=await h.Promises.lstat(d))}return S?!S.isDirectory():!1}return!1}for(let d of s){let S;if(T.isAbsolute(d)?S=T.join(d,e):S=T.join(n,d,e),await u(S))return S;let O=S+".com";if(await u(O)||(O=S+".exe",await u(O)))return O}return T.join(n,e)}t.findExecutable=r})(o=i.win32||(i.win32={}))}),define(Y[70],Q([0,1,33,12,64,47]),function(j,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getSystemShellSync=i.getSystemShell=void 0;async function T(y,E){return y===1?D.isWindows?L():R.getWindowsShell(E):w(y,E)}i.getSystemShell=T;function P(y,E){return y===1?D.isWindows?h(E):R.getWindowsShell(E):w(y,E)}i.getSystemShellSync=P;let c=null;function w(y,E){if(D.isLinux&&y===2||D.isMacintosh&&y===3)return"/bin/bash";if(!c){let g;if(D.isWindows)g="/bin/bash";else{if(g=E.SHELL,!g)try{g=(0,C.userInfo)().shell}catch{}g||(g="sh"),g==="/bin/false"&&(g="/bin/bash")}c=g}return c}let I=null;async function L(){return I||(I=(await(0,b.getFirstAvailablePowerShellInstallation)()).exePath),I}function h(y){if(I)return I;const E=D.isWindows&&parseFloat((0,C.release)())>=10,g=y.hasOwnProperty("PROCESSOR_ARCHITEW6432"),a=`${y.windir}\\${g?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return E?a:R.getWindowsShell(y)}}),define(Y[71],Q([0,1,39,3,17,24,60,8,7,2,22,47,46]),function(j,i,C,D,b,R,T,P,c,w,I,L,h){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.Client=i.Server=void 0;class y extends h.ChannelServer{constructor(a){super({send:f=>{try{process.send&&process.send(f.buffer.toString("base64"))}catch{}},onMessage:c.Event.fromNodeEventEmitter(process,"message",f=>b.VSBuffer.wrap(Buffer.from(f,"base64")))},a);process.once("disconnect",()=>this.dispose())}}i.Server=y;class E{constructor(a,f){this.modulePath=a,this.options=f,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new c.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const v=f&&f.timeout?f.timeout:6e4;this.disposeDelayer=new D.Delayer(v),this.child=null,this._client=null}getChannel(a){const f=this;return{call(v,p,m){return f.requestPromise(a,v,p,m)},listen(v,p){return f.requestEvent(a,v,p)}}}requestPromise(a,f,v,p=R.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(p.isCancellationRequested)return Promise.reject(P.canceled());this.disposeDelayer.cancel();const m=this.getCachedChannel(a),o=(0,D.createCancelablePromise)(e=>m.call(f,v,e)),t=p.onCancellationRequested(()=>o.cancel()),r=(0,w.toDisposable)(()=>o.cancel());return this.activeRequests.add(r),o.finally(()=>{t.dispose(),this.activeRequests.delete(r),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),o}requestEvent(a,f,v){if(!this.disposeDelayer)return c.Event.None;this.disposeDelayer.cancel();let p;const m=new c.Emitter({onFirstListenerAdd:()=>{p=this.getCachedChannel(a).listen(f,v)(m.fire,m),this.activeRequests.add(p)},onLastListenerRemove:()=>{this.activeRequests.delete(p),p.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return m.event}get client(){if(!this._client){const a=this.options&&this.options.args?this.options.args:[],f=Object.create(null);f.env={...(0,I.deepClone)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(f.env={...f.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(f.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(f.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(f.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),f.execArgv===void 0&&(f.execArgv=process.execArgv.filter(n=>!/^--inspect(-brk)?=/.test(n))),(0,L.removeDangerousEnvVariables)(f.env),this.child=(0,C.fork)(this.modulePath,a,f);const v=new c.Emitter;c.Event.fromNodeEventEmitter(this.child,"message",n=>n)(n=>{if((0,T.isRemoteConsoleLog)(n)){(0,T.log)(n,`IPC Library: ${this.options.serverName}`);return}v.fire(b.VSBuffer.wrap(Buffer.from(n,"base64")))});const m=this.options.useQueue?(0,L.createQueuedSender)(this.child):this.child,o=n=>this.child&&this.child.connected&&m.send(n.buffer.toString("base64")),t=v.event,r={send:o,onMessage:t};this._client=new h.ChannelClient(r);const e=()=>this.disposeClient();process.once("exit",e),this.child.on("error",n=>console.warn('IPC "'+this.options.serverName+'" errored with '+n)),this.child.on("exit",(n,s)=>{process.removeListener("exit",e),this.activeRequests.forEach(l=>(0,w.dispose)(l)),this.activeRequests.clear(),n!==0&&s!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+n+" and signal "+s),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:n,signal:s})})}return this._client}getCachedChannel(a){let f=this.channels.get(a);return f||(f=this.client.getChannel(a),this.channels.set(a,f)),f}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}i.Client=E}),define(Y[72],Q([4,5]),function(j,i){return j.create("vs/base/node/zip",i)}),define(Y[73],Q([4,5]),function(j,i){return j.create("vs/platform/configuration/common/configurationRegistry",i)}),define(Y[74],Q([4,5]),function(j,i){return j.create("vs/platform/extensionManagement/common/abstractExtensionManagementService",i)}),define(Y[75],Q([4,5]),function(j,i){return j.create("vs/platform/extensionManagement/common/extensionManagement",i)}),define(Y[76],Q([4,5]),function(j,i){return j.create("vs/platform/extensionManagement/common/extensionManagementCLIService",i)}),define(Y[77],Q([4,5]),function(j,i){return j.create("vs/platform/extensionManagement/node/extensionManagementService",i)}),define(Y[78],Q([4,5]),function(j,i){return j.create("vs/platform/extensionManagement/node/extensionManagementUtil",i)}),define(Y[79],Q([4,5]),function(j,i){return j.create("vs/platform/extensionManagement/node/extensionsScanner",i)}),define(Y[80],Q([4,5]),function(j,i){return j.create("vs/platform/extensions/common/extensionValidator",i)}),define(Y[81],Q([4,5]),function(j,i){return j.create("vs/platform/files/common/fileService",i)}),define(Y[82],Q([4,5]),function(j,i){return j.create("vs/platform/files/common/io",i)}),define(Y[83],Q([4,5]),function(j,i){return j.create("vs/platform/files/node/diskFileSystemProvider",i)}),define(Y[84],Q([4,5]),function(j,i){return j.create("vs/platform/request/common/request",i)}),define(Y[85],Q([4,5]),function(j,i){return j.create("vs/platform/telemetry/common/telemetryService",i)}),define(Y[86],Q([4,5]),function(j,i){return j.create("vs/platform/terminal/node/shellEnv",i)}),define(Y[87],Q([0,1,67,44,10,11,29,19,9]),function(j,i,C,D,b,R,T,P,c){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.parsePtyHostPort=i.parseSearchPort=i.parseExtensionHostPort=i.AbstractNativeEnvironmentService=void 0;class w{constructor(g,a,f){this._args=g,this.paths=a,this.productService=f}get appRoot(){return(0,R.dirname)(b.FileAccess.asFileUri("",j).fsPath)}get userHome(){return c.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return c.URI.file((0,R.join)(this.userDataPath,"User"))}get tmpDir(){return c.URI.file(this.paths.tmpDir)}get cacheHome(){return c.URI.file(this.userDataPath)}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return(0,P.joinPath)(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return(0,P.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const g=(0,C.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,R.join)(this.userDataPath,"logs",g)}return this.args.logsPath}get userDataSyncLogResource(){return c.URI.file((0,R.join)(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,P.joinPath)(c.URI.file((0,R.join)(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return c.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return c.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return(0,P.joinPath)(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return(0,P.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const g=T.env.VSCODE_PORTABLE;return g?c.URI.file((0,R.join)(g,"argv.json")):(0,P.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get snippetsHome(){return(0,P.joinPath)(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return c.URI.file((0,R.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,R.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const g=this.args["builtin-extensions-dir"];return g?(0,R.resolve)(g):(0,R.normalize)((0,R.join)(b.FileAccess.asFileUri("",j).fsPath,"..","extensions"))}get extensionsDownloadPath(){const g=this.args["extensions-download-dir"];return g?(0,R.resolve)(g):(0,R.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const g=this.args["extensions-dir"];if(g)return(0,R.resolve)(g);const a=T.env.VSCODE_EXTENSIONS;if(a)return a;const f=T.env.VSCODE_PORTABLE;return f?(0,R.join)(f,"extensions"):(0,P.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const g=this.args.extensionDevelopmentPath;if(Array.isArray(g))return g.map(a=>/^[^:/?#]+?:\/\//.test(a)?c.URI.parse(a):c.URI.file((0,R.normalize)(a)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(g=>g==="ui"||g==="workspace"||g==="web"?g:"workspace")}get extensionTestsLocationURI(){const g=this.args.extensionTestsPath;if(g)return/^[^:/?#]+?:\/\//.test(g)?c.URI.parse(g):c.URI.file((0,R.normalize)(g))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const g=this.args["disable-extension"];if(g){if(typeof g=="string")return[g];if(Array.isArray(g)&&g.length>0)return g}return!1}get debugExtensionHost(){return I(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!T.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,P.joinPath)(c.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get driverHandle(){return this.args.driver}get telemetryLogResource(){return c.URI.file((0,R.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get args(){return this._args}}ge([D.memoize],w.prototype,"appRoot",null),ge([D.memoize],w.prototype,"userHome",null),ge([D.memoize],w.prototype,"userDataPath",null),ge([D.memoize],w.prototype,"appSettingsHome",null),ge([D.memoize],w.prototype,"tmpDir",null),ge([D.memoize],w.prototype,"cacheHome",null),ge([D.memoize],w.prototype,"userRoamingDataHome",null),ge([D.memoize],w.prototype,"settingsResource",null),ge([D.memoize],w.prototype,"userDataSyncHome",null),ge([D.memoize],w.prototype,"userDataSyncLogResource",null),ge([D.memoize],w.prototype,"sync",null),ge([D.memoize],w.prototype,"machineSettingsResource",null),ge([D.memoize],w.prototype,"globalStorageHome",null),ge([D.memoize],w.prototype,"workspaceStorageHome",null),ge([D.memoize],w.prototype,"keybindingsResource",null),ge([D.memoize],w.prototype,"keyboardLayoutResource",null),ge([D.memoize],w.prototype,"argvResource",null),ge([D.memoize],w.prototype,"snippetsHome",null),ge([D.memoize],w.prototype,"isExtensionDevelopment",null),ge([D.memoize],w.prototype,"untitledWorkspacesHome",null),ge([D.memoize],w.prototype,"installSourcePath",null),ge([D.memoize],w.prototype,"builtinExtensionsPath",null),ge([D.memoize],w.prototype,"extensionsPath",null),ge([D.memoize],w.prototype,"extensionDevelopmentLocationURI",null),ge([D.memoize],w.prototype,"extensionDevelopmentKind",null),ge([D.memoize],w.prototype,"extensionTestsLocationURI",null),ge([D.memoize],w.prototype,"debugExtensionHost",null),ge([D.memoize],w.prototype,"serviceMachineIdResource",null),ge([D.memoize],w.prototype,"telemetryLogResource",null),ge([D.memoize],w.prototype,"disableWorkspaceTrust",null),i.AbstractNativeEnvironmentService=w;function I(E,g){return y(E["inspect-extensions"],E["inspect-brk-extensions"],5870,g,E.debugId,E.extensionEnvironment)}i.parseExtensionHostPort=I;function L(E,g){return y(E["inspect-search"],E["inspect-brk-search"],5876,g,E.extensionEnvironment)}i.parseSearchPort=L;function h(E,g){return y(E["inspect-ptyhost"],E["inspect-brk-ptyhost"],5877,g,E.extensionEnvironment)}i.parsePtyHostPort=h;function y(E,g,a,f,v,p){const o=Number(g||E)||(f?null:a),t=o?Boolean(!!g):!1;let r;if(p)try{r=JSON.parse(p)}catch{}return{port:o,break:t,debugId:v,env:r}}}),function(){"use strict";function j(i,C,D,b){function R(P){const c=T(P),w=[c];return i.isAbsolute(c)||w.unshift(b),i.resolve(...w)}function T(P){const c=process.env.VSCODE_PORTABLE;if(c)return i.join(c,"user-data");let w=process.env.VSCODE_APPDATA;if(w)return i.join(w,D);const I=P["user-data-dir"];if(I)return I;switch(process.platform){case"win32":if(w=process.env.APPDATA,!w){const L=process.env.USERPROFILE;if(typeof L!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");w=i.join(L,"AppData","Roaming")}break;case"darwin":w=i.join(C.homedir(),"Library","Application Support");break;case"linux":w=process.env.XDG_CONFIG_HOME||i.join(C.homedir(),".config");break;default:throw new Error("Platform not supported")}return i.join(w,D)}return{getUserDataPath:R}}if(typeof define=="function")define(Y[88],Q([0,133,33,10,19,29]),function(i,C,D,b,R,T){const P=R.dirname(b.FileAccess.asFileUri("",i)),c=i.__$__nodeRequire(R.joinPath(P,"package.json").fsPath);return j(C,D,c.name,T.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const i=require("../../../../../package.json"),C=require("path"),D=require("os");module.exports=j(C,D,i.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(Y[89],Q([0,1,33,87,88]),function(j,i,C,D,b){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.NativeEnvironmentService=void 0;class R extends D.AbstractNativeEnvironmentService{constructor(P,c){super(P,{homeDir:(0,C.homedir)(),tmpDir:(0,C.tmpdir)(),userDataDir:(0,b.getUserDataPath)(P)},c)}}i.NativeEnvironmentService=R}),define(Y[90],Q([0,1,22]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.localizeManifest=void 0;const D=/^%([\w\d.-]+)%$/i;function b(R,T){const P=c=>{if(typeof c!="string")return;const w=D.exec(c);if(!w)return;const I=T[w[1]]??c;return typeof I=="string"?I:typeof I.message=="string"?I.message:c};return(0,C.cloneAndChange)(R,P)}i.localizeManifest=b}),define(Y[48],Q([0,1,80]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.isEngineValid=i.isValidExtensionVersion=i.isValidVersion=i.normalizeVersion=i.parseVersion=i.isValidVersionStr=void 0;const D=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,b=/^-(\d{4})(\d{2})(\d{2})$/;function R(h){return h=h.trim(),h==="*"||D.test(h)}i.isValidVersionStr=R;function T(h){if(!R(h))return null;if(h=h.trim(),h==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let y=h.match(D);return y?{hasCaret:y[1]==="^",hasGreaterEquals:y[1]===">=",majorBase:y[2]==="x"?0:parseInt(y[2],10),majorMustEqual:y[2]!=="x",minorBase:y[4]==="x"?0:parseInt(y[4],10),minorMustEqual:y[4]!=="x",patchBase:y[6]==="x"?0:parseInt(y[6],10),patchMustEqual:y[6]!=="x",preRelease:y[8]||null}:null}i.parseVersion=T;function P(h){if(!h)return null;let y=h.majorBase,E=h.majorMustEqual,g=h.minorBase,a=h.minorMustEqual,f=h.patchBase,v=h.patchMustEqual;h.hasCaret&&(y===0||(a=!1),v=!1);let p=0;if(h.preRelease){const m=b.exec(h.preRelease);if(m){const[,o,t,r]=m;p=Date.UTC(Number(o),Number(t)-1,Number(r))}}return{majorBase:y,majorMustEqual:E,minorBase:g,minorMustEqual:a,patchBase:f,patchMustEqual:v,isMinimum:h.hasGreaterEquals,notBefore:p}}i.normalizeVersion=P;function c(h,y,E){let g;typeof h=="string"?g=P(T(h)):g=h;let a;y instanceof Date?a=y.getTime():typeof y=="string"&&(a=new Date(y).getTime());let f;if(typeof E=="string"?f=P(T(E)):f=E,!g||!f)return!1;let v=g.majorBase,p=g.minorBase,m=g.patchBase,o=f.majorBase,t=f.minorBase,r=f.patchBase,e=f.notBefore,n=f.majorMustEqual,s=f.minorMustEqual,l=f.patchMustEqual;return f.isMinimum?v>o?!0:v<o?!1:p>t?!0:p<t||a&&a<e?!1:m>=r:(v===1&&o===0&&(!n||!s||!l)&&(o=1,t=0,r=0,n=!0,s=!1,l=!1),v<o?!1:v>o?!n:p<t?!1:p>t?!s:m<r?!1:m>r?!l:!(a&&a<e))}i.isValidVersion=c;function w(h,y,E,g){return E.isBuiltin||typeof E.main=="undefined"?!0:L(h,y,E.engines.vscode,g)}i.isValidExtensionVersion=w;function I(h,y,E){return h==="*"||L(y,E,h)}i.isEngineValid=I;function L(h,y,E,g=[]){let a=P(T(E));if(!a)return g.push(C.localize(0,null,E)),!1;if(a.majorBase===0){if(!a.majorMustEqual||!a.minorMustEqual)return g.push(C.localize(1,null,E)),!1}else if(!a.majorMustEqual)return g.push(C.localize(2,null,E)),!1;return c(h,y,a)?!0:(g.push(C.localize(3,null,h,E)),!1)}}),define(Y[91],Q([0,1,17,27]),function(j,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getServiceMachineId=void 0;async function b(R,T,P){let c=P&&P.get("storage.serviceMachineId",0)||null;if(c)return c;try{const I=(await T.readFile(R.serviceMachineIdResource)).value.toString();c=(0,D.isUUID)(I)?I:null}catch{c=null}if(!c){c=(0,D.generateUuid)();try{await T.writeFile(R.serviceMachineIdResource,C.VSBuffer.fromString(c))}catch{}}return P&&P.store("storage.serviceMachineId",c,0,1),c}i.getServiceMachineId=b}),define(Y[40],Q([0,1]),function(j,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.SyncDescriptor=void 0;class C{constructor(b,R=[],T=!1){this.ctor=b,this.staticArguments=R,this.supportsDelayedInstantiation=T}}i.SyncDescriptor=C}),define(Y[92],Q([0,1,40]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getSingletonServiceDescriptors=i.registerSingleton=void 0;const D=[];function b(T,P,c){P instanceof C.SyncDescriptor||(P=new C.SyncDescriptor(P,[],c)),D.push([T,P])}i.registerSingleton=b;function R(){return D}i.getSingletonServiceDescriptors=R}),define(Y[93],Q([0,1]),function(j,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.Graph=i.Node=void 0;class C{constructor(R){this.incoming=new Map,this.outgoing=new Map,this.data=R}}i.Node=C;class D{constructor(R){this._hashFn=R,this._nodes=new Map}roots(){const R=[];for(let T of this._nodes.values())T.outgoing.size===0&&R.push(T);return R}insertEdge(R,T){const P=this.lookupOrInsertNode(R),c=this.lookupOrInsertNode(T);P.outgoing.set(this._hashFn(T),c),c.incoming.set(this._hashFn(R),P)}removeNode(R){const T=this._hashFn(R);this._nodes.delete(T);for(let P of this._nodes.values())P.outgoing.delete(T),P.incoming.delete(T)}lookupOrInsertNode(R){const T=this._hashFn(R);let P=this._nodes.get(T);return P||(P=new C(R),this._nodes.set(T,P)),P}lookup(R){return this._nodes.get(this._hashFn(R))}isEmpty(){return this._nodes.size===0}toString(){let R=[];for(let[T,P]of this._nodes)R.push(`${T}, (incoming)[${[...P.incoming.keys()].join(", ")}], (outgoing)[${[...P.outgoing.keys()].join(",")}]`);return R.join(`
`)}findCycleSlow(){for(let[R,T]of this._nodes){const P=new Set([R]),c=this._findCycle(T,P);if(c)return c}}_findCycle(R,T){for(let[P,c]of R.outgoing){if(T.has(P))return[...T,P].join(" -> ");T.add(P);const w=this._findCycle(c,T);if(w)return w;T.delete(P)}}}i.Graph=D}),define(Y[25],Q([0,1,6,9,13]),function(j,i,C,D,b){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getMigratedSettingValue=i.merge=i.getConfigurationValue=i.removeFromValueTree=i.addToValueTree=i.toValuesTree=i.ConfigurationTargetToString=i.ConfigurationTarget=i.isConfigurationUpdateOverrides=i.isConfigurationOverrides=i.IConfigurationService=void 0,i.IConfigurationService=(0,b.createDecorator)("configurationService");function R(a){return a&&typeof a=="object"&&(!a.overrideIdentifier||typeof a.overrideIdentifier=="string")&&(!a.resource||a.resource instanceof D.URI)}i.isConfigurationOverrides=R;function T(a){return a&&typeof a=="object"&&(!a.overrideIdentifiers||C.isArray(a.overrideIdentifiers))&&!a.overrideIdentifier&&(!a.resource||a.resource instanceof D.URI)}i.isConfigurationUpdateOverrides=T;var P;(function(a){a[a.USER=1]="USER",a[a.USER_LOCAL=2]="USER_LOCAL",a[a.USER_REMOTE=3]="USER_REMOTE",a[a.WORKSPACE=4]="WORKSPACE",a[a.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",a[a.DEFAULT=6]="DEFAULT",a[a.MEMORY=7]="MEMORY"})(P=i.ConfigurationTarget||(i.ConfigurationTarget={}));function c(a){switch(a){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}i.ConfigurationTargetToString=c;function w(a,f){const v=Object.create(null);for(let p in a)I(v,p,a[p],f);return v}i.toValuesTree=w;function I(a,f,v,p){const m=f.split("."),o=m.pop();let t=a;for(let r=0;r<m.length;r++){let e=m[r],n=t[e];switch(typeof n){case"undefined":n=t[e]=Object.create(null);break;case"object":break;default:p(`Ignoring ${f} as ${m.slice(0,r+1).join(".")} is ${JSON.stringify(n)}`);return}t=n}if(typeof t=="object"&&t!==null)try{t[o]=v}catch{p(`Ignoring ${f} as ${m.join(".")} is ${JSON.stringify(t)}`)}else p(`Ignoring ${f} as ${m.join(".")} is ${JSON.stringify(t)}`)}i.addToValueTree=I;function L(a,f){const v=f.split(".");h(a,v)}i.removeFromValueTree=L;function h(a,f){const v=f.shift();if(f.length===0){delete a[v];return}if(Object.keys(a).indexOf(v)!==-1){const p=a[v];typeof p=="object"&&!Array.isArray(p)&&(h(p,f),Object.keys(p).length===0&&delete a[v])}}function y(a,f,v){function p(t,r){let e=t;for(const n of r){if(typeof e!="object"||e===null)return;e=e[n]}return e}const m=f.split("."),o=p(a,m);return typeof o=="undefined"?v:o}i.getConfigurationValue=y;function E(a,f,v){Object.keys(f).forEach(p=>{p!=="__proto__"&&(p in a?C.isObject(a[p])&&C.isObject(f[p])?E(a[p],f[p],v):v&&(a[p]=f[p]):a[p]=f[p])})}i.merge=E;function g(a,f,v){const p=a.inspect(f),m=a.inspect(v);return typeof p.userValue!="undefined"||typeof p.workspaceValue!="undefined"||typeof p.workspaceFolderValue!="undefined"?p.value:typeof m.userValue!="undefined"||typeof m.workspaceValue!="undefined"||typeof m.workspaceFolderValue!="undefined"?m.value:p.defaultValue}i.getMigratedSettingValue=g}),define(Y[49],Q([0,1,13]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.IDownloadService=void 0,i.IDownloadService=(0,C.createDecorator)("downloadService")}),define(Y[20],Q([0,1,13]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.INativeEnvironmentService=i.IEnvironmentService=void 0,i.IEnvironmentService=(0,C.createDecorator)("environmentService"),i.INativeEnvironmentService=(0,C.refineServiceDecorator)(i.IEnvironmentService)}),define(Y[50],Q([0,1,17,8,82,16]),function(j,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.readFileIntoStream=void 0;async function T(I,L,h,y,E,g){let a;try{await P(I,L,h,y,E,g)}catch(f){a=f}finally{a&&E.errorTransformer&&(a=E.errorTransformer(a)),typeof a!="undefined"&&h.error(a),h.end()}}i.readFileIntoStream=T;async function P(I,L,h,y,E,g){c(g);const a=await I.open(L,{create:!1});try{c(g);let f=0,v=0,p=E&&typeof E.length=="number"?E.length:void 0,m=C.VSBuffer.alloc(Math.min(E.bufferSize,typeof p=="number"?p:E.bufferSize)),o=E&&typeof E.position=="number"?E.position:0,t=0;do v=await I.read(a,o,m.buffer,t,m.byteLength-t),o+=v,t+=v,f+=v,typeof p=="number"&&(p-=v),t===m.byteLength&&(await h.write(y(m)),m=C.VSBuffer.alloc(Math.min(E.bufferSize,typeof p=="number"?p:E.bufferSize)),t=0);while(v>0&&(typeof p!="number"||p>0)&&c(g)&&w(f,E));if(t>0){let r=t;typeof p=="number"&&(r=Math.min(t,p)),h.write(y(m.slice(0,r)))}}catch(f){throw(0,R.ensureFileSystemProviderError)(f)}finally{await I.close(a)}}function c(I){if(I.isCancellationRequested)throw(0,D.canceled)();return!0}function w(I,L){if(L?.limits){if(typeof L.limits.memory=="number"&&I>L.limits.memory)throw(0,R.createFileSystemProviderError)((0,b.localize)(0,null),R.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof L.limits.size=="number"&&I>L.limits.size)throw(0,R.createFileSystemProviderError)((0,b.localize)(1,null),R.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(Y[94],Q([0,1,18,7,2,12,134]),function(j,i,C,D,b,R,T){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.NodeJSWatcher=void 0;class P extends b.Disposable{constructor(){super(...arguments);this._onDidChangeFile=this._register(new D.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidLogMessage=this._register(new D.Emitter),this.onDidLogMessage=this._onDidLogMessage.event,this.onDidError=D.Event.None,this.watchers=new Map,this.verboseLogging=!1}async watch(w){const I=this.normalizeRequests(w),L=I.filter(y=>{const E=this.watchers.get(y.path);return E?!(0,C.equals)(E.request.excludes,y.excludes):!0}),h=Array.from(this.watchers.values()).filter(({request:y})=>!I.find(E=>E.path===y.path&&(0,C.equals)(E.excludes,y.excludes))).map(({request:y})=>y.path);L.length&&this.trace(`Request to start watching: ${L.map(y=>`${y.path} (excludes: ${y.excludes.length>0?y.excludes:"<none>"})`).join(",")}`),h.length&&this.trace(`Request to stop watching: ${h.join(",")}`);for(const y of h)this.stopWatching(y);for(const y of L)this.startWatching(y)}startWatching(w){const I=new T.NodeJSFileWatcherLibrary(w,h=>this._onDidChangeFile.fire(h),h=>this._onDidLogMessage.fire(h),this.verboseLogging),L={request:w,instance:I};this.watchers.set(w.path,L)}async stop(){for(const[w]of this.watchers)this.stopWatching(w);this.watchers.clear()}stopWatching(w){const I=this.watchers.get(w);I&&(this.watchers.delete(w),I.instance.dispose())}normalizeRequests(w){const I=new Map;for(const L of w){const h=R.isLinux?L.path:L.path.toLowerCase();I.set(h,L)}return Array.from(I.values())}async setVerboseLogging(w){this.verboseLogging=w;for(const[,I]of this.watchers)I.instance.setVerboseLogging(w)}trace(w){this.verboseLogging&&this._onDidLogMessage.fire({type:"trace",message:this.toMessage(w)})}toMessage(w,I){return I?`[File Watcher (node.js)] ${w} (path: ${I.request.path})`:`[File Watcher (node.js)] ${w}`}}i.NodeJSWatcher=P}),define(Y[95],Q([0,1,51,94]),function(j,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.NodeJSWatcherClient=void 0;class b extends C.AbstractNonRecursiveWatcherClient{constructor(T,P,c){super(T,P,c);this.init()}createWatcher(){return new D.NodeJSWatcher}}i.NodeJSWatcherClient=b}),define(Y[96],Q([0,1,10,46,71,51]),function(j,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.UniversalWatcherClient=void 0;class T extends R.AbstractUniversalWatcherClient{constructor(c,w,I){super(c,w,I);this.init()}createWatcher(c){const w=c.add(new b.Client(C.FileAccess.asFileUri("bootstrap-fork",j).fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return c.add(w.onDidProcessExit(({code:I,signal:L})=>this.onError(`terminated by itself with code ${I}, signal: ${L}`))),D.ProxyChannel.toService((0,D.getNextTickChannel)(w.getChannel("watcher")))}}i.UniversalWatcherClient=T}),define(Y[52],Q([0,1]),function(j,i){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ServiceCollection=void 0;class C{constructor(...b){this._entries=new Map;for(let[R,T]of b)this.set(R,T)}set(b,R){const T=this._entries.get(b);return this._entries.set(b,R),T}has(b){return this._entries.has(b)}get(b){return this._entries.get(b)}}i.ServiceCollection=C}),define(Y[97],Q([0,1,3,8,40,93,13,52]),function(j,i,C,D,b,R,T,P){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.Trace=i.InstantiationService=void 0;const c=!1;class w extends Error{constructor(E){super("cyclic dependency between services");this.message=E.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${E.toString()}`}}class I{constructor(E=new P.ServiceCollection,g=!1,a){this._activeInstantiations=new Set,this._services=E,this._strict=g,this._parent=a,this._services.set(T.IInstantiationService,this)}createChild(E){return new I(E,this._strict,this)}invokeFunction(E,...g){let a=h.traceInvocation(E),f=!1;try{return E({get:p=>{if(f)throw(0,D.illegalState)("service accessor is only valid during the invocation of its target method");const m=this._getOrCreateServiceInstance(p,a);if(!m)throw new Error(`[invokeFunction] unknown service '${p}'`);return m}},...g)}finally{f=!0,a.stop()}}createInstance(E,...g){let a,f;return E instanceof b.SyncDescriptor?(a=h.traceCreation(E.ctor),f=this._createInstance(E.ctor,E.staticArguments.concat(g),a)):(a=h.traceCreation(E),f=this._createInstance(E,g,a)),a.stop(),f}_createInstance(E,g=[],a){let f=T._util.getServiceDependencies(E).sort((m,o)=>m.index-o.index),v=[];for(const m of f){let o=this._getOrCreateServiceInstance(m.id,a);if(!o&&this._strict&&!m.optional)throw new Error(`[createInstance] ${E.name} depends on UNKNOWN service ${m.id}.`);v.push(o)}let p=f.length>0?f[0].index:g.length;if(g.length!==p){console.warn(`[createInstance] First service dependency of ${E.name} at position ${p+1} conflicts with ${g.length} static arguments`);let m=p-g.length;m>0?g=g.concat(new Array(m)):g=g.slice(0,p)}return new E(...[...g,...v])}_setServiceInstance(E,g){if(this._services.get(E)instanceof b.SyncDescriptor)this._services.set(E,g);else if(this._parent)this._parent._setServiceInstance(E,g);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(E){let g=this._services.get(E);return!g&&this._parent?this._parent._getServiceInstanceOrDescriptor(E):g}_getOrCreateServiceInstance(E,g){let a=this._getServiceInstanceOrDescriptor(E);return a instanceof b.SyncDescriptor?this._safeCreateAndCacheServiceInstance(E,a,g.branch(E,!0)):(g.branch(E,!1),a)}_safeCreateAndCacheServiceInstance(E,g,a){if(this._activeInstantiations.has(E))throw new Error(`illegal state - RECURSIVELY instantiating service '${E}'`);this._activeInstantiations.add(E);try{return this._createAndCacheServiceInstance(E,g,a)}finally{this._activeInstantiations.delete(E)}}_createAndCacheServiceInstance(E,g,a){const f=new R.Graph(m=>m.id.toString());let v=0;const p=[{id:E,desc:g,_trace:a}];for(;p.length;){const m=p.pop();if(f.lookupOrInsertNode(m),v++>1e3)throw new w(f);for(let o of T._util.getServiceDependencies(m.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(o.id);if(!t&&!o.optional&&console.warn(`[createInstance] ${E} depends on ${o.id} which is NOT registered.`),t instanceof b.SyncDescriptor){const r={id:o.id,desc:t,_trace:m._trace.branch(o.id,!0)};f.insertEdge(m,r),p.push(r)}}}for(;;){const m=f.roots();if(m.length===0){if(!f.isEmpty())throw new w(f);break}for(const{data:o}of m){if(this._getServiceInstanceOrDescriptor(o.id)instanceof b.SyncDescriptor){const r=this._createServiceInstanceWithOwner(o.id,o.desc.ctor,o.desc.staticArguments,o.desc.supportsDelayedInstantiation,o._trace);this._setServiceInstance(o.id,r)}f.removeNode(o)}}return this._getServiceInstanceOrDescriptor(E)}_createServiceInstanceWithOwner(E,g,a=[],f,v){if(this._services.get(E)instanceof b.SyncDescriptor)return this._createServiceInstance(g,a,f,v);if(this._parent)return this._parent._createServiceInstanceWithOwner(E,g,a,f,v);throw new Error(`illegalState - creating UNKNOWN service instance ${g.name}`)}_createServiceInstance(E,g=[],a,f){if(a){const v=new C.IdleValue(()=>this._createInstance(E,g,f));return new Proxy(Object.create(null),{get(p,m){if(m in p)return p[m];let o=v.value,t=o[m];return typeof t!="function"||(t=t.bind(o),p[m]=t),t},set(p,m,o){return v.value[m]=o,!0}})}else return this._createInstance(E,g,f)}}i.InstantiationService=I;var L;(function(y){y[y.Creation=0]="Creation",y[y.Invocation=1]="Invocation",y[y.Branch=2]="Branch"})(L||(L={}));class h{constructor(E,g){this.type=E,this.name=g,this._start=Date.now(),this._dep=[]}static traceInvocation(E){return c?new h(1,E.name||E.toString().substring(0,42).replace(/\n/g,"")):h._None}static traceCreation(E){return c?new h(0,E.name):h._None}branch(E,g){let a=new h(2,E.toString());return this._dep.push([E,g,a]),a}stop(){let E=Date.now()-this._start;h._totals+=E;let g=!1;function a(v,p){let m=[],o=new Array(v+1).join("	");for(const[t,r,e]of p._dep)if(r&&e){g=!0,m.push(`${o}CREATES -> ${t}`);let n=a(v+1,e);n&&m.push(n)}else m.push(`${o}uses -> ${t}`);return m.join(`
`)}let f=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${a(1,this)}`,`DONE, took ${E.toFixed(2)}ms (grand total ${h._totals.toFixed(2)}ms)`];(E>2||g)&&console.log(f.join(`
`))}}i.Trace=h,h._None=new class extends h{constructor(){super(-1,null)}stop(){}branch(){return this}},h._totals=0}),define(Y[53],Q([0,1,13]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.isValidLocalization=i.ILocalizationsService=void 0,i.ILocalizationsService=(0,C.createDecorator)("localizationsService");function D(b){if(typeof b.languageId!="string"||!Array.isArray(b.translations)||b.translations.length===0)return!1;for(const R of b.translations)if(typeof R.id!="string"||typeof R.path!="string")return!1;return!(b.languageName&&typeof b.languageName!="string"||b.localizedLanguageName&&typeof b.localizedLanguageName!="string")}i.isValidLocalization=D}),define(Y[14],Q([0,1,28,7,2,12,13]),function(j,i,C,D,b,R,T){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.LogLevelToString=i.parseLogLevel=i.getLogLevel=i.NullLogService=i.AbstractLoggerService=i.LogService=i.MultiplexLogService=i.AdapterLogger=i.ConsoleLogger=i.ConsoleMainLogger=i.AbstractMessageLogger=i.AbstractLogger=i.format=i.log=i.DEFAULT_LOG_LEVEL=i.LogLevel=i.ILoggerService=i.ILogService=void 0,i.ILogService=(0,T.createDecorator)("logService"),i.ILoggerService=(0,T.createDecorator)("loggerService");function P(){return new Date().toISOString()}var c;(function(r){r[r.Trace=0]="Trace",r[r.Debug=1]="Debug",r[r.Info=2]="Info",r[r.Warning=3]="Warning",r[r.Error=4]="Error",r[r.Critical=5]="Critical",r[r.Off=6]="Off"})(c=i.LogLevel||(i.LogLevel={})),i.DEFAULT_LOG_LEVEL=c.Info;function w(r,e,n){switch(e){case c.Trace:r.trace(n);break;case c.Debug:r.debug(n);break;case c.Info:r.info(n);break;case c.Warning:r.warn(n);break;case c.Error:r.error(n);break;case c.Critical:r.critical(n);break;default:throw new Error("Invalid log level")}}i.log=w;function I(r){let e="";for(let n=0;n<r.length;n++){let s=r[n];if(typeof s=="object")try{s=JSON.stringify(s)}catch{}e+=(n>0?" ":"")+s}return e}i.format=I;class L extends b.Disposable{constructor(){super(...arguments);this.level=i.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new D.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(e){this.level!==e&&(this.level=e,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}i.AbstractLogger=L;class h extends L{constructor(e){super();this.logAlways=e}checkLogLevel(e){return this.logAlways||this.getLevel()<=e}trace(e,...n){this.checkLogLevel(c.Trace)&&this.log(c.Trace,I([e,...n]))}debug(e,...n){this.checkLogLevel(c.Debug)&&this.log(c.Debug,I([e,...n]))}info(e,...n){this.checkLogLevel(c.Info)&&this.log(c.Info,I([e,...n]))}warn(e,...n){this.checkLogLevel(c.Warning)&&this.log(c.Warning,I([e,...n]))}error(e,...n){if(this.checkLogLevel(c.Error))if(e instanceof Error){const s=Array.prototype.slice.call(arguments);s[0]=e.stack,this.log(c.Error,I(s))}else this.log(c.Error,I([e,...n]))}critical(e,...n){this.checkLogLevel(c.Critical)&&this.log(c.Critical,I([e,...n]))}flush(){}}i.AbstractMessageLogger=h;class y extends L{constructor(e=i.DEFAULT_LOG_LEVEL){super();this.setLevel(e),this.useColors=!R.isWindows}trace(e,...n){this.getLevel()<=c.Trace&&(this.useColors?console.log(`[90m[main ${P()}][0m`,e,...n):console.log(`[main ${P()}]`,e,...n))}debug(e,...n){this.getLevel()<=c.Debug&&(this.useColors?console.log(`[90m[main ${P()}][0m`,e,...n):console.log(`[main ${P()}]`,e,...n))}info(e,...n){this.getLevel()<=c.Info&&(this.useColors?console.log(`[90m[main ${P()}][0m`,e,...n):console.log(`[main ${P()}]`,e,...n))}warn(e,...n){this.getLevel()<=c.Warning&&(this.useColors?console.warn(`[93m[main ${P()}][0m`,e,...n):console.warn(`[main ${P()}]`,e,...n))}error(e,...n){this.getLevel()<=c.Error&&(this.useColors?console.error(`[91m[main ${P()}][0m`,e,...n):console.error(`[main ${P()}]`,e,...n))}critical(e,...n){this.getLevel()<=c.Critical&&(this.useColors?console.error(`[90m[main ${P()}][0m`,e,...n):console.error(`[main ${P()}]`,e,...n))}dispose(){}flush(){}}i.ConsoleMainLogger=y;class E extends L{constructor(e=i.DEFAULT_LOG_LEVEL){super();this.setLevel(e)}trace(e,...n){this.getLevel()<=c.Trace&&console.log("%cTRACE","color: #888",e,...n)}debug(e,...n){this.getLevel()<=c.Debug&&console.log("%cDEBUG","background: #eee; color: #888",e,...n)}info(e,...n){this.getLevel()<=c.Info&&console.log("%c INFO","color: #33f",e,...n)}warn(e,...n){this.getLevel()<=c.Warning&&console.log("%c WARN","color: #993",e,...n)}error(e,...n){this.getLevel()<=c.Error&&console.log("%c  ERR","color: #f33",e,...n)}critical(e,...n){this.getLevel()<=c.Critical&&console.log("%cCRITI","background: #f33; color: white",e,...n)}dispose(){}flush(){}}i.ConsoleLogger=E;class g extends L{constructor(e,n=i.DEFAULT_LOG_LEVEL){super();this.adapter=e,this.setLevel(n)}trace(e,...n){this.getLevel()<=c.Trace&&this.adapter.log(c.Trace,[this.extractMessage(e),...n])}debug(e,...n){this.getLevel()<=c.Debug&&this.adapter.log(c.Debug,[this.extractMessage(e),...n])}info(e,...n){this.getLevel()<=c.Info&&this.adapter.log(c.Info,[this.extractMessage(e),...n])}warn(e,...n){this.getLevel()<=c.Warning&&this.adapter.log(c.Warning,[this.extractMessage(e),...n])}error(e,...n){this.getLevel()<=c.Error&&this.adapter.log(c.Error,[this.extractMessage(e),...n])}critical(e,...n){this.getLevel()<=c.Critical&&this.adapter.log(c.Critical,[this.extractMessage(e),...n])}extractMessage(e){return typeof e=="string"?e:(0,C.toErrorMessage)(e,this.getLevel()<=c.Trace)}dispose(){}flush(){}}i.AdapterLogger=g;class a extends L{constructor(e){super();this.logServices=e,e.length&&this.setLevel(e[0].getLevel())}setLevel(e){for(const n of this.logServices)n.setLevel(e);super.setLevel(e)}trace(e,...n){for(const s of this.logServices)s.trace(e,...n)}debug(e,...n){for(const s of this.logServices)s.debug(e,...n)}info(e,...n){for(const s of this.logServices)s.info(e,...n)}warn(e,...n){for(const s of this.logServices)s.warn(e,...n)}error(e,...n){for(const s of this.logServices)s.error(e,...n)}critical(e,...n){for(const s of this.logServices)s.critical(e,...n)}flush(){for(const e of this.logServices)e.flush()}dispose(){for(const e of this.logServices)e.dispose()}}i.MultiplexLogService=a;class f extends b.Disposable{constructor(e){super();this.logger=e,this._register(e)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(e){this.logger.setLevel(e)}getLevel(){return this.logger.getLevel()}trace(e,...n){this.logger.trace(e,...n)}debug(e,...n){this.logger.debug(e,...n)}info(e,...n){this.logger.info(e,...n)}warn(e,...n){this.logger.warn(e,...n)}error(e,...n){this.logger.error(e,...n)}critical(e,...n){this.logger.critical(e,...n)}flush(){this.logger.flush()}}i.LogService=f;class v extends b.Disposable{constructor(e,n){super();this.logLevel=e,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(n(s=>{this.logLevel=s,this.logLevelChangeableLoggers.forEach(l=>l.setLevel(s))}))}getLogger(e){return this.loggers.get(e.toString())}createLogger(e,n){let s=this.loggers.get(e.toString());return s||(s=this.doCreateLogger(e,n?.always?c.Trace:this.logLevel,n),this.loggers.set(e.toString(),s),n?.always||this.logLevelChangeableLoggers.push(s)),s}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(e=>e.dispose()),this.loggers.clear(),super.dispose()}}i.AbstractLoggerService=v;class p{constructor(){this.onDidChangeLogLevel=new D.Emitter().event}setLevel(e){}getLevel(){return c.Info}trace(e,...n){}debug(e,...n){}info(e,...n){}warn(e,...n){}error(e,...n){}critical(e,...n){}dispose(){}flush(){}}i.NullLogService=p;function m(r){if(r.verbose)return c.Trace;if(typeof r.logLevel=="string"){const e=o(r.logLevel.toLowerCase());if(e!==void 0)return e}return i.DEFAULT_LOG_LEVEL}i.getLogLevel=m;function o(r){switch(r){case"trace":return c.Trace;case"debug":return c.Debug;case"info":return c.Info;case"warn":return c.Warning;case"error":return c.Error;case"critical":return c.Critical;case"off":return c.Off}}i.parseLogLevel=o;function t(r){switch(r){case c.Trace:return"trace";case c.Debug:return"debug";case c.Info:return"info";case c.Warning:return"warn";case c.Error:return"error";case c.Critical:return"critical";case c.Off:return"off"}}i.LogLevelToString=t});var oe=this&&this.__param||function(j,i){return function(C,D){i(C,D,j)}};define(Y[98],Q([0,1,39,3,28,7,2,10,11,15,20,14]),function(j,i,C,D,b,R,T,P,c,w,I,L){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionsLifecycle=void 0;let h=class extends T.Disposable{constructor(E,g){super();this.environmentService=E,this.logService=g,this.processesLimiter=new D.Limiter(5)}async postUninstall(E){const g=this.parseScript(E,"uninstall");return g&&(this.logService.info(E.identifier.id,E.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(g.script,"uninstall",g.args,!0,E).then(()=>this.logService.info(E.identifier.id,E.manifest.version,"Finished running post uninstall script"),a=>this.logService.error(E.identifier.id,E.manifest.version,`Failed to run post uninstall script: ${a}`)))),w.Promises.rm(this.getExtensionStoragePath(E)).then(void 0,a=>this.logService.error("Error while removing extension storage path",a))}parseScript(E,g){const a=`vscode:${g}`;if(E.location.scheme===P.Schemas.file&&E.manifest&&E.manifest.scripts&&typeof E.manifest.scripts[a]=="string"){const f=E.manifest.scripts[a].split(" ");return f.length<2||f[0]!=="node"||!f[1]?(this.logService.warn(E.identifier.id,E.manifest.version,`${a} should be a node script`),null):{script:(0,c.join)(E.location.fsPath,f[1]),args:f.slice(2)||[]}}return null}runLifecycleHook(E,g,a,f,v){return new Promise((p,m)=>{const o=this.start(E,g,a,v);let t;const r=e=>{t&&(clearTimeout(t),t=null),e?m(e):p(void 0)};o.on("error",e=>{r((0,b.toErrorMessage)(e)||"Unknown")}),o.on("exit",(e,n)=>{r(e?`post-${g} process exited with code ${e}`:void 0)}),f&&(t=setTimeout(()=>{t=null,o.kill(),m("timed out")},5e3))})}start(E,g,a,f){const v={silent:!0,execArgv:void 0},p=(0,C.fork)(E,[`--type=extension-post-${g}`,...a],v);p.stdout.setEncoding("utf8"),p.stderr.setEncoding("utf8");const m=R.Event.fromNodeEventEmitter(p.stdout,"data"),o=R.Event.fromNodeEventEmitter(p.stderr,"data");m(e=>this.logService.info(f.identifier.id,f.manifest.version,`post-${g}`,e)),o(e=>this.logService.error(f.identifier.id,f.manifest.version,`post-${g}`,e));const t=R.Event.any(R.Event.map(m,e=>({data:`%c${e}`,format:[""]})),R.Event.map(o,e=>({data:`%c${e}`,format:["color: red"]})));return R.Event.debounce(t,(e,n)=>e?{data:e.data+n.data,format:[...e.format,...n.format]}:{data:n.data,format:n.format},100)(e=>{console.group(f.identifier.id),console.log(e.data,...e.format),console.groupEnd()}),p}getExtensionStoragePath(E){return(0,c.join)(this.environmentService.globalStorageHome.fsPath,E.identifier.id.toLowerCase())}};h=ge([oe(0,I.IEnvironmentService),oe(1,L.ILogService)],h),i.ExtensionsLifecycle=h}),define(Y[99],Q([0,1,18,3,8,7,2,11,51,14]),function(j,i,C,D,b,R,T,P,c,w){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.AbstractDiskFileSystemProvider=void 0;class I extends T.Disposable{constructor(h,y){super();this.logService=h,this.options=y,this._onDidChangeFile=this._register(new R.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidWatchError=this._register(new R.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.universalPathsToWatch=[],this.universalWatchRequestDelayer=this._register(new D.ThrottledDelayer(0)),this.nonRecursivePathsToWatch=[],this.nonRecursiveWatchRequestDelayer=this._register(new D.ThrottledDelayer(0))}watch(h,y){return y.recursive||this.options?.watcher?.forceUniversal?this.watchUniversal(h,y):this.watchNonRecursive(h,y)}watchUniversal(h,y){const E={path:this.toFilePath(h),excludes:y.excludes,recursive:y.recursive},g=(0,C.insert)(this.universalPathsToWatch,E);return this.refreshUniversalWatchers(),(0,T.toDisposable)(()=>{g(),this.refreshUniversalWatchers()})}refreshUniversalWatchers(){this.universalWatchRequestDelayer.trigger(()=>this.doRefreshUniversalWatchers()).catch(h=>(0,b.onUnexpectedError)(h))}doRefreshUniversalWatchers(){this.universalWatcher||(this.universalWatcher=this._register(this.createUniversalWatcher(y=>this._onDidChangeFile.fire((0,c.toFileChanges)(y)),y=>this.onWatcherLogMessage(y),this.logService.getLevel()===w.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.universalWatcher?.setVerboseLogging(this.logService.getLevel()===w.LogLevel.Trace)})));const h=this.options?.watcher?.recursive?.usePolling;if(h===!0)for(const y of this.universalPathsToWatch)(0,c.isRecursiveWatchRequest)(y)&&(y.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(h))for(const y of this.universalPathsToWatch)(0,c.isRecursiveWatchRequest)(y)&&h.includes(y.path)&&(y.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);return this.universalWatcher.watch(this.universalPathsToWatch)}watchNonRecursive(h,y){const E={path:this.toFilePath(h),excludes:y.excludes,recursive:!1},g=(0,C.insert)(this.nonRecursivePathsToWatch,E);return this.refreshNonRecursiveWatchers(),(0,T.toDisposable)(()=>{g(),this.refreshNonRecursiveWatchers()})}refreshNonRecursiveWatchers(){this.nonRecursiveWatchRequestDelayer.trigger(()=>this.doRefreshNonRecursiveWatchers()).catch(h=>(0,b.onUnexpectedError)(h))}doRefreshNonRecursiveWatchers(){return this.nonRecursiveWatcher||(this.nonRecursiveWatcher=this._register(this.createNonRecursiveWatcher(h=>this._onDidChangeFile.fire((0,c.toFileChanges)(h)),h=>this.onWatcherLogMessage(h),this.logService.getLevel()===w.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.nonRecursiveWatcher?.setVerboseLogging(this.logService.getLevel()===w.LogLevel.Trace)}))),this.nonRecursiveWatcher.watch(this.nonRecursivePathsToWatch)}onWatcherLogMessage(h){h.type==="error"&&this._onDidWatchError.fire(h.message),this.logService[h.type](h.message)}toFilePath(h){return(0,P.normalize)(h.fsPath)}}i.AbstractDiskFileSystemProvider=I}),define(Y[100],Q([0,1,18,3,17,24,7,59,135,2,54,10,101,19,38,81,16,50,14]),function(j,i,C,D,b,R,T,P,c,w,I,L,h,y,E,g,a,f,v){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.FileService=void 0;let p=class extends w.Disposable{constructor(o){super();this.logService=o,this.BUFFER_SIZE=256*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new T.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new T.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new T.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new T.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onDidFilesChange=this._register(new T.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidWatchError=this._register(new T.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.activeWatchers=new Map,this.writeQueue=this._register(new D.ResourceQueue)}registerProvider(o,t){if(this.provider.has(o))throw new Error(`A filesystem provider for the scheme '${o}' is already registered.`);(0,h.mark)(`code/registerFilesystem/${o}`);const r=new w.DisposableStore;return this.provider.set(o,t),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:o,provider:t}),r.add(t.onDidChangeFile(e=>this._onDidFilesChange.fire(new a.FileChangesEvent(e,!this.isPathCaseSensitive(t))))),typeof t.onDidWatchError=="function"&&r.add(t.onDidWatchError(e=>this._onDidWatchError.fire(new Error(e)))),r.add(t.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:t,scheme:o}))),(0,w.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:o,provider:t}),this.provider.delete(o),(0,w.dispose)(r)})}getProvider(o){return this.provider.get(o)}async activateProvider(o){const t=[];this._onWillActivateFileSystemProvider.fire({scheme:o,join(r){t.push(r)}}),!this.provider.has(o)&&await D.Promises.settled(t)}async canHandleResource(o){return await this.activateProvider(o.scheme),this.hasProvider(o)}hasProvider(o){return this.provider.has(o.scheme)}hasCapability(o,t){const r=this.provider.get(o.scheme);return!!(r&&r.capabilities&t)}listCapabilities(){return c.Iterable.map(this.provider,([o,t])=>({scheme:o,capabilities:t.capabilities}))}async withProvider(o){if(!(0,y.isAbsolutePath)(o))throw new a.FileOperationError((0,g.localize)(0,null,this.resourceForError(o)),8);await this.activateProvider(o.scheme);const t=this.provider.get(o.scheme);if(!t){const r=new Error;throw r.name="ENOPRO",r.message=(0,g.localize)(1,null,o.toString()),r}return t}async withReadProvider(o){const t=await this.withProvider(o);if((0,a.hasOpenReadWriteCloseCapability)(t)||(0,a.hasReadWriteCapability)(t)||(0,a.hasFileReadStreamCapability)(t))return t;throw new Error(`Filesystem provider for scheme '${o.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(o){const t=await this.withProvider(o);if((0,a.hasOpenReadWriteCloseCapability)(t)||(0,a.hasReadWriteCapability)(t))return t;throw new Error(`Filesystem provider for scheme '${o.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(o,t){try{return await this.doResolveFile(o,t)}catch(r){throw(0,a.toFileSystemProviderErrorCode)(r)===a.FileSystemProviderErrorCode.FileNotFound?new a.FileOperationError((0,g.localize)(2,null,this.resourceForError(o)),1):(0,a.ensureFileSystemProviderError)(r)}}async doResolveFile(o,t){const r=await this.withProvider(o),e=this.isPathCaseSensitive(r),n=t?.resolveTo,s=t?.resolveSingleChildDescendants,l=t?.resolveMetadata,u=await r.stat(o);let d;return this.toFileStat(r,o,u,void 0,!!l,(S,O)=>(d||(d=I.TernarySearchTree.forUris(()=>!e),d.set(o,!0),n&&d.fill(!0,n)),d.get(S.resource)||d.findSuperstr(S.resource.with({query:null,fragment:null}))?!0:S.isDirectory&&s?O===1:!1))}async toFileStat(o,t,r,e,n,s){const{providerExtUri:l}=this.getExtUri(o),u={resource:t,name:l.basename(t),isFile:(r.type&a.FileType.File)!=0,isDirectory:(r.type&a.FileType.Directory)!=0,isSymbolicLink:(r.type&a.FileType.SymbolicLink)!=0,mtime:r.mtime,ctime:r.ctime,size:r.size,readonly:Boolean((r.permissions??0)&a.FilePermission.Readonly)||Boolean(o.capabilities&2048),etag:(0,a.etag)({mtime:r.mtime,size:r.size})};if(u.isDirectory&&s(u,e)){try{const d=await o.readdir(t),S=await D.Promises.settled(d.map(async([O,N])=>{try{const _=l.joinPath(t,O),J=n?await o.stat(_):{type:N};return await this.toFileStat(o,_,J,d.length,n,s)}catch(_){return this.logService.trace(_),null}}));u.children=(0,C.coalesce)(S)}catch(d){this.logService.trace(d),u.children=[]}return u}return u}async resolveAll(o){return D.Promises.settled(o.map(async t=>{try{return{stat:await this.doResolveFile(t.resource,t.options),success:!0}}catch(r){return this.logService.trace(r),{stat:void 0,success:!1}}}))}async exists(o){const t=await this.withProvider(o);try{return!!await t.stat(o)}catch{return!1}}async canCreateFile(o,t){try{await this.doValidateCreateFile(o,t)}catch(r){return r}return!0}async doValidateCreateFile(o,t){if(!t?.overwrite&&await this.exists(o))throw new a.FileOperationError((0,g.localize)(3,null,this.resourceForError(o)),3,t)}async createFile(o,t=b.VSBuffer.fromString(""),r){await this.doValidateCreateFile(o,r);const e=await this.writeFile(o,t);return this._onDidRunOperation.fire(new a.FileOperationEvent(o,0,e)),e}async writeFile(o,t,r){const e=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),{providerExtUri:n}=this.getExtUri(e);try{await this.validateWriteFile(e,o,r)||await this.mkdirp(e,n.dirname(o));let l;if((0,a.hasReadWriteCapability)(e)&&!(t instanceof b.VSBuffer))if((0,E.isReadableStream)(t)){const u=await(0,E.peekStream)(t,3);u.ended?l=b.VSBuffer.concat(u.buffer):l=u}else l=(0,E.peekReadable)(t,u=>b.VSBuffer.concat(u),3);else l=t;!(0,a.hasOpenReadWriteCloseCapability)(e)||(0,a.hasReadWriteCapability)(e)&&l instanceof b.VSBuffer?await this.doWriteUnbuffered(e,o,r,l):await this.doWriteBuffered(e,o,r,l instanceof b.VSBuffer?(0,b.bufferToReadable)(l):l),this._onDidRunOperation.fire(new a.FileOperationEvent(o,4))}catch(s){throw new a.FileOperationError((0,g.localize)(4,null,this.resourceForError(o),(0,a.ensureFileSystemProviderError)(s).toString()),(0,a.toFileOperationResult)(s),r)}return this.resolve(o,{resolveMetadata:!0})}async validateWriteFile(o,t,r){if(!!r?.unlock&&!(o.capabilities&8192))throw new Error((0,g.localize)(5,null,this.resourceForError(t)));let n;try{n=await o.stat(t)}catch{return}if((n.type&a.FileType.Directory)!=0)throw new a.FileOperationError((0,g.localize)(6,null,this.resourceForError(t)),0,r);if(this.throwIfFileIsReadonly(t,n),typeof r?.mtime=="number"&&typeof r.etag=="string"&&r.etag!==a.ETAG_DISABLED&&typeof n.mtime=="number"&&typeof n.size=="number"&&r.mtime<n.mtime&&r.etag!==(0,a.etag)({mtime:r.mtime,size:n.size}))throw new a.FileOperationError((0,g.localize)(7,null),3,r);return n}async readFile(o,t,r){const e=await this.withReadProvider(o);return t?.atomic?this.doReadFileAtomic(e,o,t,r):this.doReadFile(e,o,t,r)}async doReadFileAtomic(o,t,r,e){return new Promise((n,s)=>{this.writeQueue.queueFor(t,this.getExtUri(o).providerExtUri).queue(async()=>{try{const l=await this.doReadFile(o,t,r,e);n(l)}catch(l){s(l)}})})}async doReadFile(o,t,r,e){const n=await this.doReadFileStream(o,t,{...r,preferUnbuffered:!0},e);return{...n,value:await(0,b.streamToBuffer)(n.value)}}async readFileStream(o,t,r){const e=await this.withReadProvider(o);return this.doReadFileStream(e,o,t,r)}async doReadFileStream(o,t,r,e){const n=new R.CancellationTokenSource(e),s=this.validateReadFile(t,r).then(u=>u,u=>{throw n.cancel(),u});let l;try{return typeof r?.etag=="string"&&r.etag!==a.ETAG_DISABLED&&await s,r?.atomic&&(0,a.hasFileAtomicReadCapability)(o)||!((0,a.hasOpenReadWriteCloseCapability)(o)||(0,a.hasFileReadStreamCapability)(o))||(0,a.hasReadWriteCapability)(o)&&r?.preferUnbuffered?l=this.readFileUnbuffered(o,t,r):(0,a.hasFileReadStreamCapability)(o)?l=this.readFileStreamed(o,t,n.token,r):l=this.readFileBuffered(o,t,n.token,r),{...await s,value:l}}catch(u){l&&await(0,E.consumeStream)(l);const d=(0,g.localize)(8,null,this.resourceForError(t),(0,a.ensureFileSystemProviderError)(u).toString());throw u instanceof a.NotModifiedSinceFileOperationError?new a.NotModifiedSinceFileOperationError(d,u.stat,r):new a.FileOperationError(d,(0,a.toFileOperationResult)(u),r)}}readFileStreamed(o,t,r,e=Object.create(null)){const n=o.readFileStream(t,e,r);return(0,E.transform)(n,{data:s=>s instanceof b.VSBuffer?s:b.VSBuffer.wrap(s),error:s=>new a.FileOperationError((0,g.localize)(9,null,this.resourceForError(t),(0,a.ensureFileSystemProviderError)(s).toString()),(0,a.toFileOperationResult)(s),e)},s=>b.VSBuffer.concat(s))}readFileBuffered(o,t,r,e=Object.create(null)){const n=(0,b.newWriteableBufferStream)();return(0,f.readFileIntoStream)(o,t,n,s=>s,{...e,bufferSize:this.BUFFER_SIZE,errorTransformer:s=>new a.FileOperationError((0,g.localize)(10,null,this.resourceForError(t),(0,a.ensureFileSystemProviderError)(s).toString()),(0,a.toFileOperationResult)(s),e)},r),n}readFileUnbuffered(o,t,r){const e=(0,E.newWriteableStream)(n=>b.VSBuffer.concat(n));return(async()=>{try{let n;r?.atomic&&(0,a.hasFileAtomicReadCapability)(o)?n=await o.readFile(t,{atomic:!0}):n=await o.readFile(t),typeof r?.position=="number"&&(n=n.slice(r.position)),typeof r?.length=="number"&&(n=n.slice(0,r.length)),this.validateReadFileLimits(t,n.byteLength,r),e.end(b.VSBuffer.wrap(n))}catch(n){e.error(n),e.end()}})(),e}async validateReadFile(o,t){const r=await this.resolve(o,{resolveMetadata:!0});if(r.isDirectory)throw new a.FileOperationError((0,g.localize)(11,null,this.resourceForError(o)),0,t);if(typeof t?.etag=="string"&&t.etag!==a.ETAG_DISABLED&&t.etag===r.etag)throw new a.NotModifiedSinceFileOperationError((0,g.localize)(12,null),r,t);return this.validateReadFileLimits(o,r.size,t),r}validateReadFileLimits(o,t,r){if(r?.limits){let e;if(typeof r.limits.memory=="number"&&t>r.limits.memory&&(e=9),typeof r.limits.size=="number"&&t>r.limits.size&&(e=7),typeof e=="number")throw new a.FileOperationError((0,g.localize)(13,null,this.resourceForError(o)),e)}}async canMove(o,t,r){return this.doCanMoveCopy(o,t,"move",r)}async canCopy(o,t,r){return this.doCanMoveCopy(o,t,"copy",r)}async doCanMoveCopy(o,t,r,e){if(o.toString()!==t.toString())try{const n=r==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o):await this.withReadProvider(o),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(t),t);await this.doValidateMoveCopy(n,o,s,t,r,e)}catch(n){return n}return!0}async move(o,t,r){const e=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(t),t),s=await this.doMoveCopy(e,o,n,t,"move",!!r),l=await this.resolve(t,{resolveMetadata:!0});return this._onDidRunOperation.fire(new a.FileOperationEvent(o,s==="move"?2:3,l)),l}async copy(o,t,r){const e=await this.withReadProvider(o),n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(t),t),s=await this.doMoveCopy(e,o,n,t,"copy",!!r),l=await this.resolve(t,{resolveMetadata:!0});return this._onDidRunOperation.fire(new a.FileOperationEvent(o,s==="copy"?3:2,l)),l}async doMoveCopy(o,t,r,e,n,s){if(t.toString()===e.toString())return n;const{exists:l,isSameResourceWithDifferentPathCase:u}=await this.doValidateMoveCopy(o,t,r,e,n,s);if(l&&!u&&s&&await this.del(e,{recursive:!0}),await this.mkdirp(r,this.getExtUri(r).providerExtUri.dirname(e)),n==="copy"){if(o===r&&(0,a.hasFileFolderCopyCapability)(o))await o.copy(t,e,{overwrite:s});else{const d=await this.resolve(t);d.isDirectory?await this.doCopyFolder(o,d,r,e):await this.doCopyFile(o,t,r,e)}return n}else return o===r?(await o.rename(t,e,{overwrite:s}),n):(await this.doMoveCopy(o,t,r,e,"copy",s),await this.del(t,{recursive:!0}),"copy")}async doCopyFile(o,t,r,e){if((0,a.hasOpenReadWriteCloseCapability)(o)&&(0,a.hasOpenReadWriteCloseCapability)(r))return this.doPipeBuffered(o,t,r,e);if((0,a.hasOpenReadWriteCloseCapability)(o)&&(0,a.hasReadWriteCapability)(r))return this.doPipeBufferedToUnbuffered(o,t,r,e);if((0,a.hasReadWriteCapability)(o)&&(0,a.hasOpenReadWriteCloseCapability)(r))return this.doPipeUnbufferedToBuffered(o,t,r,e);if((0,a.hasReadWriteCapability)(o)&&(0,a.hasReadWriteCapability)(r))return this.doPipeUnbuffered(o,t,r,e)}async doCopyFolder(o,t,r,e){await r.mkdir(e),Array.isArray(t.children)&&await D.Promises.settled(t.children.map(async n=>{const s=this.getExtUri(r).providerExtUri.joinPath(e,n.name);return n.isDirectory?this.doCopyFolder(o,await this.resolve(n.resource),r,s):this.doCopyFile(o,n.resource,r,s)}))}async doValidateMoveCopy(o,t,r,e,n,s){let l=!1;if(o===r){const{providerExtUri:d,isPathCaseSensitive:S}=this.getExtUri(o);if(S||(l=d.isEqual(t,e)),l&&n==="copy")throw new Error((0,g.localize)(14,null,this.resourceForError(t),this.resourceForError(e)));if(!l&&d.isEqualOrParent(e,t))throw new Error((0,g.localize)(15,null,this.resourceForError(t),this.resourceForError(e)))}const u=await this.exists(e);if(u&&!l){if(!s)throw new a.FileOperationError((0,g.localize)(16,null,this.resourceForError(t),this.resourceForError(e)),4);if(o===r){const{providerExtUri:d}=this.getExtUri(o);if(d.isEqualOrParent(t,e))throw new Error((0,g.localize)(17,null,this.resourceForError(t),this.resourceForError(e)))}}return{exists:u,isSameResourceWithDifferentPathCase:l}}getExtUri(o){const t=this.isPathCaseSensitive(o);return{providerExtUri:t?y.extUri:y.extUriIgnorePathCase,isPathCaseSensitive:t}}isPathCaseSensitive(o){return!!(o.capabilities&1024)}async createFolder(o){const t=this.throwIfFileSystemIsReadonly(await this.withProvider(o),o);await this.mkdirp(t,o);const r=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new a.FileOperationEvent(o,0,r)),r}async mkdirp(o,t){const r=[],{providerExtUri:e}=this.getExtUri(o);for(;!e.isEqual(t,e.dirname(t));)try{if(((await o.stat(t)).type&a.FileType.Directory)==0)throw new Error((0,g.localize)(18,null,this.resourceForError(t)));break}catch(n){if((0,a.toFileSystemProviderErrorCode)(n)!==a.FileSystemProviderErrorCode.FileNotFound)throw n;r.push(e.basename(t)),t=e.dirname(t)}for(let n=r.length-1;n>=0;n--){t=e.joinPath(t,r[n]);try{await o.mkdir(t)}catch(s){if((0,a.toFileSystemProviderErrorCode)(s)!==a.FileSystemProviderErrorCode.FileExists)throw s}}}async canDelete(o,t){try{await this.doValidateDelete(o,t)}catch(r){return r}return!0}async doValidateDelete(o,t){const r=this.throwIfFileSystemIsReadonly(await this.withProvider(o),o);if(!!t?.useTrash&&!(r.capabilities&4096))throw new Error((0,g.localize)(19,null,this.resourceForError(o)));let n;try{n=await r.stat(o)}catch{}if(n)this.throwIfFileIsReadonly(o,n);else throw new a.FileOperationError((0,g.localize)(20,null,this.resourceForError(o)),1);if(!!!t?.recursive){const l=await this.resolve(o);if(l.isDirectory&&Array.isArray(l.children)&&l.children.length>0)throw new Error((0,g.localize)(21,null,this.resourceForError(o)))}return r}async del(o,t){const r=await this.doValidateDelete(o,t),e=!!t?.useTrash,n=!!t?.recursive;await r.delete(o,{recursive:n,useTrash:e}),this._onDidRunOperation.fire(new a.FileOperationEvent(o,1))}watch(o,t={recursive:!1,excludes:[]}){const r=new w.DisposableStore;let e=!1,n=()=>{e=!0};return r.add((0,w.toDisposable)(()=>n())),(async()=>{try{const s=await this.doWatch(o,t);e?(0,w.dispose)(s):n=()=>(0,w.dispose)(s)}catch(s){this.logService.error(s)}})(),r}async doWatch(o,t){const r=await this.withProvider(o),e=(0,P.hash)([this.getExtUri(r).providerExtUri.getComparisonKey(o),t]);let n=this.activeWatchers.get(e);return n||(n={count:0,disposable:r.watch(o,t)},this.activeWatchers.set(e,n)),n.count+=1,(0,w.toDisposable)(()=>{n&&(n.count--,n.count===0&&((0,w.dispose)(n.disposable),this.activeWatchers.delete(e)))})}dispose(){super.dispose();for(const[,o]of this.activeWatchers)(0,w.dispose)(o.disposable);this.activeWatchers.clear()}async doWriteBuffered(o,t,r,e){return this.writeQueue.queueFor(t,this.getExtUri(o).providerExtUri).queue(async()=>{const n=await o.open(t,{create:!0,unlock:r?.unlock??!1});try{(0,E.isReadableStream)(e)||(0,E.isReadableBufferedStream)(e)?await this.doWriteStreamBufferedQueued(o,n,e):await this.doWriteReadableBufferedQueued(o,n,e)}catch(s){throw(0,a.ensureFileSystemProviderError)(s)}finally{await o.close(n)}})}async doWriteStreamBufferedQueued(o,t,r){let e=0,n;if((0,E.isReadableBufferedStream)(r)){if(r.buffer.length>0){const s=b.VSBuffer.concat(r.buffer);await this.doWriteBuffer(o,t,s,s.byteLength,e,0),e+=s.byteLength}if(r.ended)return;n=r.stream}else n=r;return new Promise((s,l)=>{(0,E.listenStream)(n,{onData:async u=>{n.pause();try{await this.doWriteBuffer(o,t,u,u.byteLength,e,0)}catch(d){return l(d)}e+=u.byteLength,setTimeout(()=>n.resume())},onError:u=>l(u),onEnd:()=>s()})})}async doWriteReadableBufferedQueued(o,t,r){let e=0,n;for(;(n=r.read())!==null;)await this.doWriteBuffer(o,t,n,n.byteLength,e,0),e+=n.byteLength}async doWriteBuffer(o,t,r,e,n,s){let l=0;for(;l<e;)l+=await o.write(t,n+l,r.buffer,s+l,e-l)}async doWriteUnbuffered(o,t,r,e){return this.writeQueue.queueFor(t,this.getExtUri(o).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(o,t,r,e))}async doWriteUnbufferedQueued(o,t,r,e){let n;e instanceof b.VSBuffer?n=e:(0,E.isReadableStream)(e)?n=await(0,b.streamToBuffer)(e):(0,E.isReadableBufferedStream)(e)?n=await(0,b.bufferedStreamToBuffer)(e):n=(0,b.readableToBuffer)(e),await o.writeFile(t,n.buffer,{create:!0,overwrite:!0,unlock:r?.unlock??!1})}async doPipeBuffered(o,t,r,e){return this.writeQueue.queueFor(e,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeBufferedQueued(o,t,r,e))}async doPipeBufferedQueued(o,t,r,e){let n,s;try{n=await o.open(t,{create:!1}),s=await r.open(e,{create:!0,unlock:!1});const l=b.VSBuffer.alloc(this.BUFFER_SIZE);let u=0,d=0,S=0;do S=await o.read(n,u,l.buffer,d,l.byteLength-d),await this.doWriteBuffer(r,s,l,S,u,d),u+=S,d+=S,d===l.byteLength&&(d=0);while(S>0)}catch(l){throw(0,a.ensureFileSystemProviderError)(l)}finally{await D.Promises.settled([typeof n=="number"?o.close(n):Promise.resolve(),typeof s=="number"?r.close(s):Promise.resolve()])}}async doPipeUnbuffered(o,t,r,e){return this.writeQueue.queueFor(e,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(o,t,r,e))}async doPipeUnbufferedQueued(o,t,r,e){return r.writeFile(e,await o.readFile(t),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(o,t,r,e){return this.writeQueue.queueFor(e,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(o,t,r,e))}async doPipeUnbufferedToBufferedQueued(o,t,r,e){const n=await r.open(e,{create:!0,unlock:!1});try{const s=await o.readFile(t);await this.doWriteBuffer(r,n,b.VSBuffer.wrap(s),s.byteLength,0,0)}catch(s){throw(0,a.ensureFileSystemProviderError)(s)}finally{await r.close(n)}}async doPipeBufferedToUnbuffered(o,t,r,e){const n=await(0,b.streamToBuffer)(this.readFileBuffered(o,t,R.CancellationToken.None));await this.doWriteUnbuffered(r,e,void 0,n)}throwIfFileSystemIsReadonly(o,t){if(o.capabilities&2048)throw new a.FileOperationError((0,g.localize)(22,null,this.resourceForError(t)),6);return o}throwIfFileIsReadonly(o,t){if((t.permissions??0)&a.FilePermission.Readonly)throw new a.FileOperationError((0,g.localize)(23,null,this.resourceForError(o)),6)}resourceForError(o){return o.scheme===L.Schemas.file?o.fsPath:o.toString(!0)}};p=ge([oe(0,v.ILogService)],p),i.FileService=p}),define(Y[102],Q([0,1,103,136,3,54,17,7,45,2,11,12,19,38,15,83,16,50,99,28,96,95]),function(j,i,C,D,b,R,T,P,c,w,I,L,h,y,E,g,a,f,v,p,m,o){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.DiskFileSystemProvider=void 0,(()=>{try{(0,D.gracefulify)(C)}catch(r){console.error(`Error enabling graceful-fs: ${(0,p.toErrorMessage)(r)}`)}})();class t extends v.AbstractDiskFileSystemProvider{constructor(e,n){super(e,n);this.onDidChangeCapabilities=P.Event.None,this.resourceLocks=new R.ResourceMap(s=>h.extUriBiasedIgnorePathCase.getComparisonKey(s)),this.mapHandleToPos=new Map,this.mapHandleToLock=new Map,this.writeHandles=new Map,this.canFlush=!0}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384,L.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(e){try{const{stat:n,symbolicLink:s}=await E.SymlinkSupport.stat(this.toFilePath(e));return{type:this.toType(n,s),ctime:n.birthtime.getTime(),mtime:n.mtime.getTime(),size:n.size}}catch(n){throw this.toFileSystemProviderError(n)}}async readdir(e){try{const n=await E.Promises.readdir(this.toFilePath(e),{withFileTypes:!0}),s=[];return await Promise.all(n.map(async l=>{try{let u;l.isSymbolicLink()?u=(await this.stat((0,h.joinPath)(e,l.name))).type:u=this.toType(l),s.push([l.name,u])}catch(u){this.logService.trace(u)}})),s}catch(n){throw this.toFileSystemProviderError(n)}}toType(e,n){let s;return n?.dangling?s=a.FileType.Unknown:e.isFile()?s=a.FileType.File:e.isDirectory()?s=a.FileType.Directory:s=a.FileType.Unknown,n&&(s|=a.FileType.SymbolicLink),s}async createResourceLock(e){this.logService.trace(`[Disk FileSystemProvider]: request to acquire resource lock (${this.toFilePath(e)})`);let n;for(;n=this.resourceLocks.get(e);)this.logService.trace(`[Disk FileSystemProvider]: waiting for resource lock to be released (${this.toFilePath(e)})`),await n.wait();const s=new b.Barrier;return this.resourceLocks.set(e,s),this.logService.trace(`[Disk FileSystemProvider]: new resource lock created (${this.toFilePath(e)})`),(0,w.toDisposable)(()=>{this.logService.trace(`[Disk FileSystemProvider]: resource lock disposed (${this.toFilePath(e)})`),this.resourceLocks.delete(e),s.open()})}async readFile(e,n){let s;try{n?.atomic&&(this.logService.trace(`[Disk FileSystemProvider]: atomic read operation started (${this.toFilePath(e)})`),s=await this.createResourceLock(e));const l=this.toFilePath(e);return await E.Promises.readFile(l)}catch(l){throw this.toFileSystemProviderError(l)}finally{s?.dispose()}}readFileStream(e,n,s){const l=(0,y.newWriteableStream)(u=>T.VSBuffer.concat(u.map(d=>T.VSBuffer.wrap(d))).buffer);return(0,f.readFileIntoStream)(this,e,l,u=>u.buffer,{...n,bufferSize:256*1024},s),l}async writeFile(e,n,s){let l;try{const u=this.toFilePath(e);if(!s.create||!s.overwrite){if(await E.Promises.exists(u)){if(!s.overwrite)throw(0,a.createFileSystemProviderError)((0,g.localize)(0,null),a.FileSystemProviderErrorCode.FileExists)}else if(!s.create)throw(0,a.createFileSystemProviderError)((0,g.localize)(1,null),a.FileSystemProviderErrorCode.FileNotFound)}l=await this.open(e,{create:!0,unlock:s.unlock}),await this.write(l,0,n,0,n.byteLength)}catch(u){throw await this.toFileSystemProviderWriteError(e,u)}finally{typeof l=="number"&&await this.close(l)}}async open(e,n){let s;(0,a.isFileOpenForWriteOptions)(n)&&(s=await this.createResourceLock(e));let l;try{const u=this.toFilePath(e);if((0,a.isFileOpenForWriteOptions)(n)&&n.unlock)try{const{stat:S}=await E.SymlinkSupport.stat(u);S.mode&128||await E.Promises.chmod(u,S.mode|128)}catch(S){this.logService.trace(S)}let d;if((0,a.isFileOpenForWriteOptions)(n)){if(L.isWindows)try{await E.Promises.truncate(u,0),d="r+"}catch(S){S.code!=="ENOENT"&&this.logService.trace(S)}d||(d="w")}else d="r";l=await E.Promises.open(u,d)}catch(u){throw s?.dispose(),(0,a.isFileOpenForWriteOptions)(n)?await this.toFileSystemProviderWriteError(e,u):this.toFileSystemProviderError(u)}return this.mapHandleToPos.set(l,0),(0,a.isFileOpenForWriteOptions)(n)&&this.writeHandles.set(l,e),s&&this.mapHandleToLock.set(l,s),l}async close(e){try{if(this.mapHandleToPos.delete(e),this.writeHandles.delete(e)&&this.canFlush)try{await E.Promises.fdatasync(e)}catch(n){this.canFlush=!1,this.logService.error(n)}return await E.Promises.close(e)}catch(n){throw this.toFileSystemProviderError(n)}finally{const n=this.mapHandleToLock.get(e);n&&(this.mapHandleToLock.delete(e),n.dispose())}}async read(e,n,s,l,u){const d=this.normalizePos(e,n);let S=null;try{S=(await E.Promises.read(e,s,l,u,d)).bytesRead}catch(O){throw this.toFileSystemProviderError(O)}finally{this.updatePos(e,d,S)}return S}normalizePos(e,n){return n===this.mapHandleToPos.get(e)?null:n}updatePos(e,n,s){const l=this.mapHandleToPos.get(e);typeof l=="number"&&(typeof n=="number"||(typeof s=="number"?this.mapHandleToPos.set(e,l+s):this.mapHandleToPos.delete(e)))}async write(e,n,s,l,u){return(0,b.retry)(()=>this.doWrite(e,n,s,l,u),100,3)}async doWrite(e,n,s,l,u){const d=this.normalizePos(e,n);let S=null;try{S=(await E.Promises.write(e,s,l,u,d)).bytesWritten}catch(O){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(e),O)}finally{this.updatePos(e,d,S)}return S}async mkdir(e){try{await E.Promises.mkdir(this.toFilePath(e))}catch(n){throw this.toFileSystemProviderError(n)}}async delete(e,n){try{const s=this.toFilePath(e);n.recursive?await E.Promises.rm(s,E.RimRafMode.MOVE):await E.Promises.unlink(s)}catch(s){throw this.toFileSystemProviderError(s)}}async rename(e,n,s){const l=this.toFilePath(e),u=this.toFilePath(n);if(l!==u)try{await this.validateTargetDeleted(e,n,"move",s.overwrite),await E.Promises.move(l,u)}catch(d){throw(d.code==="EINVAL"||d.code==="EBUSY"||d.code==="ENAMETOOLONG")&&(d=new Error((0,g.localize)(2,null,(0,I.basename)(l),(0,I.basename)((0,I.dirname)(u)),d.toString()))),this.toFileSystemProviderError(d)}}async copy(e,n,s){const l=this.toFilePath(e),u=this.toFilePath(n);if(l!==u)try{await this.validateTargetDeleted(e,n,"copy",s.overwrite),await E.Promises.copy(l,u,{preserveSymlinks:!0})}catch(d){throw(d.code==="EINVAL"||d.code==="EBUSY"||d.code==="ENAMETOOLONG")&&(d=new Error((0,g.localize)(3,null,(0,I.basename)(l),(0,I.basename)((0,I.dirname)(u)),d.toString()))),this.toFileSystemProviderError(d)}}async validateTargetDeleted(e,n,s,l){const u=this.toFilePath(e),d=this.toFilePath(n);let S=!1;if(!!(this.capabilities&1024)||(S=(0,c.isEqual)(u,d,!0)),S&&s==="copy")throw(0,a.createFileSystemProviderError)((0,g.localize)(4,null),a.FileSystemProviderErrorCode.FileExists);if(!S&&await E.Promises.exists(d)){if(!l)throw(0,a.createFileSystemProviderError)((0,g.localize)(5,null),a.FileSystemProviderErrorCode.FileExists);await this.delete(n,{recursive:!0,useTrash:!1})}}createUniversalWatcher(e,n,s){return new m.UniversalWatcherClient(l=>e(l),l=>n(l),s)}createNonRecursiveWatcher(e,n,s){return new o.NodeJSWatcherClient(l=>e(l),l=>n(l),s)}toFileSystemProviderError(e){if(e instanceof a.FileSystemProviderError)return e;let n;switch(e.code){case"ENOENT":n=a.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":n=a.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":n=a.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":n=a.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":n=a.FileSystemProviderErrorCode.NoPermissions;break;default:n=a.FileSystemProviderErrorCode.Unknown}return(0,a.createFileSystemProviderError)(e,n)}async toFileSystemProviderWriteError(e,n){let s=this.toFileSystemProviderError(n);if(e&&s.code===a.FileSystemProviderErrorCode.NoPermissions)try{const{stat:l}=await E.SymlinkSupport.stat(this.toFilePath(e));l.mode&128||(s=(0,a.createFileSystemProviderError)(n,a.FileSystemProviderErrorCode.FileWriteLocked))}catch(l){this.logService.trace(l)}return s}}i.DiskFileSystemProvider=t}),define(Y[104],Q([0,1,16,14]),function(j,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.SpdLogLogger=void 0;async function b(P,c,w,I,L){try{const h=await new Promise((E,g)=>{j(["spdlog"],E,g)});h.setFlushOn(D.LogLevel.Trace);const y=await h.createAsyncRotatingLogger(P,c,w,I);return L&&y.clearFormatters(),y}catch(h){console.error(h)}return null}function R(P,c,w){switch(c){case D.LogLevel.Trace:P.trace(w);break;case D.LogLevel.Debug:P.debug(w);break;case D.LogLevel.Info:P.info(w);break;case D.LogLevel.Warning:P.warn(w);break;case D.LogLevel.Error:P.error(w);break;case D.LogLevel.Critical:P.critical(w);break;default:throw new Error("Invalid log level")}}class T extends D.AbstractMessageLogger{constructor(c,w,I,L,h){super();this.buffer=[],this.setLevel(h),this._loggerCreationPromise=this._createSpdLogLogger(c,w,I,L),this._register(this.onDidChangeLogLevel(y=>{this._logger&&this._logger.setLevel(y)}))}async _createSpdLogLogger(c,w,I,L){const h=I?6:1,y=30/h*C.ByteSize.MB,E=await b(c,w,y,h,L);if(E){this._logger=E,this._logger.setLevel(this.getLevel());for(const{level:g,message:a}of this.buffer)R(this._logger,g,a);this.buffer=[]}}log(c,w){this._logger?R(this._logger,c,w):this.getLevel()<=c&&this.buffer.push({level:c,message:w})}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}i.SpdLogLogger=T}),define(Y[32],Q([0,1,13]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.productSchemaId=i.IProductService=void 0,i.IProductService=(0,C.createDecorator)("productService"),i.productSchemaId="vscode://schemas/vscode-product"}),define(Y[30],Q([0,1,55,6]),function(j,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.Registry=void 0;class b{constructor(){this.data=new Map}add(T,P){C.ok(D.isString(T)),C.ok(D.isObject(P)),C.ok(!this.data.has(T),"There is already an extension with this id"),this.data.set(T,P)}knows(T){return this.data.has(T)}as(T){return this.data.get(T)||null}}i.Registry=new b}),define(Y[105],Q([0,1,7,30]),function(j,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.Extensions=void 0,i.Extensions={JSONContribution:"base.contributions.json"};function b(P){return P.length>0&&P.charAt(P.length-1)==="#"?P.substring(0,P.length-1):P}class R{constructor(){this._onDidChangeSchema=new C.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(c,w){this.schemasById[b(c)]=w,this._onDidChangeSchema.fire(c)}notifySchemaChanged(c){this._onDidChangeSchema.fire(c)}getSchemaContributions(){return{schemas:this.schemasById}}}const T=new R;D.Registry.add(i.Extensions.JSONContribution,T)}),define(Y[34],Q([0,1,18,7,6,73,105,30]),function(j,i,C,D,b,R,T,P){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getScopes=i.validateProperty=i.getDefaultValue=i.keyFromOverrideIdentifiers=i.overrideIdentifiersFromKey=i.OVERRIDE_PROPERTY_REGEX=i.OVERRIDE_PROPERTY_PATTERN=i.configurationDefaultsSchemaId=i.resourceLanguageSettingsSchemaId=i.resourceSettings=i.windowSettings=i.machineOverridableSettings=i.machineSettings=i.applicationSettings=i.allSettings=i.ConfigurationScope=i.Extensions=i.EditPresentationTypes=void 0;var c;(function(m){m.Multiline="multilineText",m.Singleline="singlelineText"})(c=i.EditPresentationTypes||(i.EditPresentationTypes={})),i.Extensions={Configuration:"base.contributions.configuration"};var w;(function(m){m[m.APPLICATION=1]="APPLICATION",m[m.MACHINE=2]="MACHINE",m[m.WINDOW=3]="WINDOW",m[m.RESOURCE=4]="RESOURCE",m[m.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",m[m.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(w=i.ConfigurationScope||(i.ConfigurationScope={})),i.allSettings={properties:{},patternProperties:{}},i.applicationSettings={properties:{},patternProperties:{}},i.machineSettings={properties:{},patternProperties:{}},i.machineOverridableSettings={properties:{},patternProperties:{}},i.windowSettings={properties:{},patternProperties:{}},i.resourceSettings={properties:{},patternProperties:{}},i.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",i.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const I=P.Registry.as(T.Extensions.JSONContribution);class L{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new D.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new D.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:R.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},I.registerSchema(i.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(o,t=!0){this.registerConfigurations([o],t)}registerConfigurations(o,t=!0){const r=this.doRegisterConfigurations(o,t);I.registerSchema(i.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r})}deregisterConfigurations(o){const t=this.doDeregisterConfigurations(o);I.registerSchema(i.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:t})}updateConfigurations({add:o,remove:t}){const r=[];r.push(...this.doDeregisterConfigurations(t)),r.push(...this.doRegisterConfigurations(o,!1)),I.registerSchema(i.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,C.distinct)(r)})}registerDefaultConfigurations(o){const t=[],r=[];for(const{overrides:e,source:n}of o)for(const s in e)if(t.push(s),i.OVERRIDE_PROPERTY_REGEX.test(s)){const l={...this.configurationDefaultsOverrides.get(s)?.value||{},...e[s]};this.configurationDefaultsOverrides.set(s,{source:n,value:l});const u={type:"object",default:l,description:R.localize(1,null,s),$ref:i.resourceLanguageSettingsSchemaId,defaultDefaultValue:l,source:b.isString(n)?void 0:n};r.push(...E(s)),this.configurationProperties[s]=u,this.defaultLanguageConfigurationOverridesNode.properties[s]=u}else{this.configurationDefaultsOverrides.set(s,{value:e[s],source:n});const l=this.configurationProperties[s];l&&(this.updatePropertyDefaultValue(s,l),this.updateSchema(s,l))}this.registerOverrideIdentifiers(r),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:t,defaultsOverrides:!0})}deregisterDefaultConfigurations(o){const t=[];for(const{overrides:r,source:e}of o)for(const n in r){const s=this.configurationDefaultsOverrides.get(n),l=b.isString(e)?e:e?.id,u=b.isString(s?.source)?s?.source:s?.source?.id;if(l===u)if(t.push(n),this.configurationDefaultsOverrides.delete(n),i.OVERRIDE_PROPERTY_REGEX.test(n))delete this.configurationProperties[n],delete this.defaultLanguageConfigurationOverridesNode.properties[n];else{const d=this.configurationProperties[n];d&&(this.updatePropertyDefaultValue(n,d),this.updateSchema(n,d))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:t,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...o){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(o){for(const t of o)this.overrideIdentifiers.add(t);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(o,t){const r=[];return o.forEach(e=>{r.push(...this.validateAndRegisterProperties(e,t,e.extensionInfo,e.restrictedProperties)),this.configurationContributors.push(e),this.registerJSONConfiguration(e)}),r}doDeregisterConfigurations(o){const t=[],r=e=>{if(e.properties)for(const n in e.properties)t.push(n),delete this.configurationProperties[n],this.removeFromSchema(n,e.properties[n]);e.allOf&&e.allOf.forEach(n=>r(n))};for(const e of o){r(e);const n=this.configurationContributors.indexOf(e);n!==-1&&this.configurationContributors.splice(n,1)}return t}validateAndRegisterProperties(o,t=!0,r,e,n=3){n=b.isUndefinedOrNull(o.scope)?n:o.scope;let s=[],l=o.properties;if(l)for(let d in l){if(t&&v(d)){delete l[d];continue}const S=l[d];if(S.source=r,S.defaultDefaultValue=l[d].default,this.updatePropertyDefaultValue(d,S),i.OVERRIDE_PROPERTY_REGEX.test(d)?S.scope=void 0:(S.scope=b.isUndefinedOrNull(S.scope)?n:S.scope,S.restricted=b.isUndefinedOrNull(S.restricted)?!!e?.includes(d):S.restricted),l[d].hasOwnProperty("included")&&!l[d].included){this.excludedConfigurationProperties[d]=l[d],delete l[d];continue}else this.configurationProperties[d]=l[d];!l[d].deprecationMessage&&l[d].markdownDeprecationMessage&&(l[d].deprecationMessage=l[d].markdownDeprecationMessage),s.push(d)}let u=o.allOf;if(u)for(let d of u)s.push(...this.validateAndRegisterProperties(d,t,r,e,n));return s}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(o){const t=r=>{let e=r.properties;if(e)for(const s in e)this.updateSchema(s,e[s]);let n=r.allOf;n&&n.forEach(t)};t(o)}updateSchema(o,t){switch(i.allSettings.properties[o]=t,t.scope){case 1:i.applicationSettings.properties[o]=t;break;case 2:i.machineSettings.properties[o]=t;break;case 6:i.machineOverridableSettings.properties[o]=t;break;case 3:i.windowSettings.properties[o]=t;break;case 4:i.resourceSettings.properties[o]=t;break;case 5:i.resourceSettings.properties[o]=t,this.resourceLanguageSettingsSchema.properties[o]=t;break}}removeFromSchema(o,t){switch(delete i.allSettings.properties[o],t.scope){case 1:delete i.applicationSettings.properties[o];break;case 2:delete i.machineSettings.properties[o];break;case 6:delete i.machineOverridableSettings.properties[o];break;case 3:delete i.windowSettings.properties[o];break;case 4:case 5:delete i.resourceSettings.properties[o],delete this.resourceLanguageSettingsSchema.properties[o];break}}updateOverridePropertyPatternKey(){for(const o of this.overrideIdentifiers.values()){const t=`[${o}]`,r={type:"object",description:R.localize(2,null),errorMessage:R.localize(3,null),$ref:i.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(t,r),i.allSettings.properties[t]=r,i.applicationSettings.properties[t]=r,i.machineSettings.properties[t]=r,i.machineOverridableSettings.properties[t]=r,i.windowSettings.properties[t]=r,i.resourceSettings.properties[t]=r}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const o={type:"object",description:R.localize(4,null),errorMessage:R.localize(5,null),$ref:i.resourceLanguageSettingsSchemaId};i.allSettings.patternProperties[i.OVERRIDE_PROPERTY_PATTERN]=o,i.applicationSettings.patternProperties[i.OVERRIDE_PROPERTY_PATTERN]=o,i.machineSettings.patternProperties[i.OVERRIDE_PROPERTY_PATTERN]=o,i.machineOverridableSettings.patternProperties[i.OVERRIDE_PROPERTY_PATTERN]=o,i.windowSettings.patternProperties[i.OVERRIDE_PROPERTY_PATTERN]=o,i.resourceSettings.patternProperties[i.OVERRIDE_PROPERTY_PATTERN]=o,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(o,t){const r=this.configurationDefaultsOverrides.get(o);let e=r?.value,n=r?.source;b.isUndefined(e)&&(e=t.defaultDefaultValue,n=void 0),b.isUndefined(e)&&(e=a(t.type)),t.default=e,t.defaultValueSource=n}}const h="\\[([^\\]]+)\\]",y=new RegExp(h,"g");i.OVERRIDE_PROPERTY_PATTERN=`^(${h})+$`,i.OVERRIDE_PROPERTY_REGEX=new RegExp(i.OVERRIDE_PROPERTY_PATTERN);function E(m){const o=[];if(i.OVERRIDE_PROPERTY_REGEX.test(m)){let t=y.exec(m);for(;t?.length;){const r=t[1].trim();r&&o.push(r),t=y.exec(m)}}return(0,C.distinct)(o)}i.overrideIdentifiersFromKey=E;function g(m){return m.reduce((o,t)=>`${o}[${t}]`,"")}i.keyFromOverrideIdentifiers=g;function a(m){switch(Array.isArray(m)?m[0]:m){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}i.getDefaultValue=a;const f=new L;P.Registry.add(i.Extensions.Configuration,f);function v(m){return m.trim()?i.OVERRIDE_PROPERTY_REGEX.test(m)?R.localize(7,null,m):f.getConfigurationProperties()[m]!==void 0?R.localize(8,null,m):null:R.localize(6,null)}i.validateProperty=v;function p(){const m=[],o=f.getConfigurationProperties();for(const t of Object.keys(o))m.push([t,o[t].scope]);return m.push(["launch",4]),m.push(["task",4]),m}i.getScopes=p}),define(Y[106],Q([0,1,18,7,56,2,54,22,6,9,25,34,30]),function(j,i,C,D,b,R,T,P,c,w,I,L,h){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.AllKeysConfigurationChangeEvent=i.ConfigurationChangeEvent=i.mergeChanges=i.Configuration=i.UserSettings=i.ConfigurationModelParser=i.DefaultConfigurationModel=i.ConfigurationModel=void 0;class y{constructor(e={},n=[],s=[]){this._contents=e,this._keys=n,this._overrides=s,this.isFrozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(e){return e?(0,I.getConfigurationValue)(this.contents,e):this.contents}getOverrideValue(e,n){const s=this.getContentsForOverrideIdentifer(n);return s?e?(0,I.getConfigurationValue)(s,e):s:void 0}getKeysForOverrideIdentifier(e){const n=[];for(const s of this.overrides)s.identifiers.includes(e)&&n.push(...s.keys);return C.distinct(n)}getAllOverrideIdentifiers(){const e=[];for(const n of this.overrides)e.push(...n.identifiers);return C.distinct(e)}override(e){let n=this.overrideConfigurations.get(e);return n||(n=this.createOverrideConfigurationModel(e),this.overrideConfigurations.set(e,n)),n}merge(...e){const n=P.deepClone(this.contents),s=P.deepClone(this.overrides),l=[...this.keys];for(const u of e){this.mergeContents(n,u.contents);for(const d of u.overrides){const[S]=s.filter(O=>C.equals(O.identifiers,d.identifiers));S?(this.mergeContents(S.contents,d.contents),S.keys.push(...d.keys),S.keys=C.distinct(S.keys)):s.push(P.deepClone(d))}for(const d of u.keys)l.indexOf(d)===-1&&l.push(d)}return new y(n,l,s)}freeze(){return this.isFrozen=!0,this}createOverrideConfigurationModel(e){const n=this.getContentsForOverrideIdentifer(e);if(!n||typeof n!="object"||!Object.keys(n).length)return this;let s={};for(const l of C.distinct([...Object.keys(this.contents),...Object.keys(n)])){let u=this.contents[l],d=n[l];d&&(typeof u=="object"&&typeof d=="object"?(u=P.deepClone(u),this.mergeContents(u,d)):u=d),s[l]=u}return new y(s,this.keys,this.overrides)}mergeContents(e,n){for(const s of Object.keys(n)){if(s in e&&c.isObject(e[s])&&c.isObject(n[s])){this.mergeContents(e[s],n[s]);continue}e[s]=P.deepClone(n[s])}}checkAndFreeze(e){return this.isFrozen&&!Object.isFrozen(e)?P.deepFreeze(e):e}getContentsForOverrideIdentifer(e){let n=null,s=null;const l=u=>{u&&(s?this.mergeContents(s,u):s=P.deepClone(u))};for(const u of this.overrides)C.equals(u.identifiers,[e])?n=u.contents:u.identifiers.includes(e)&&l(u.contents);return l(n),s}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(e,n){this.addKey(e),(0,I.addToValueTree)(this.contents,e,n,s=>{throw new Error(s)})}removeValue(e){this.removeKey(e)&&(0,I.removeFromValueTree)(this.contents,e)}addKey(e){let n=this.keys.length;for(let s=0;s<n;s++)e.indexOf(this.keys[s])===0&&(n=s);this.keys.splice(n,1,e)}removeKey(e){let n=this.keys.indexOf(e);return n!==-1?(this.keys.splice(n,1),!0):!1}}i.ConfigurationModel=y;class E extends y{constructor(e={}){const n=h.Registry.as(L.Extensions.Configuration).getConfigurationProperties(),s=Object.keys(n),l=Object.create(null),u=[];for(const d in n){const S=e[d],O=S!==void 0?S:n[d].default;(0,I.addToValueTree)(l,d,O,N=>console.error(`Conflict in default settings: ${N}`))}for(const d of Object.keys(l))L.OVERRIDE_PROPERTY_REGEX.test(d)&&u.push({identifiers:(0,L.overrideIdentifiersFromKey)(d),keys:Object.keys(l[d]),contents:(0,I.toValuesTree)(l[d],S=>console.error(`Conflict in default settings file: ${S}`))});super(l,s,u)}}i.DefaultConfigurationModel=E;class g{constructor(e){this._name=e,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new y}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(e,n){if(!c.isUndefinedOrNull(e)){const s=this.doParseContent(e);this.parseRaw(s,n)}}reparse(e){this._raw&&this.parseRaw(this._raw,e)}parseRaw(e,n){this._raw=e;const{contents:s,keys:l,overrides:u,restricted:d}=this.doParseRaw(e,n);this._configurationModel=new y(s,l,u),this._restrictedConfigurations=d||[]}doParseContent(e){let n={},s=null,l=[],u=[],d=[];function S(N){Array.isArray(l)?l.push(N):s!==null&&(l[s]=N)}let O={onObjectBegin:()=>{let N={};S(N),u.push(l),l=N,s=null},onObjectProperty:N=>{s=N},onObjectEnd:()=>{l=u.pop()},onArrayBegin:()=>{let N=[];S(N),u.push(l),l=N,s=null},onArrayEnd:()=>{l=u.pop()},onLiteralValue:S,onError:(N,_,J)=>{d.push({error:N,offset:_,length:J})}};if(e)try{b.visit(e,O),n=l[0]||{}}catch(N){console.error(`Error while parsing settings file ${this._name}: ${N}`),this._parseErrors=[N]}return n}doParseRaw(e,n){const s=h.Registry.as(L.Extensions.Configuration).getConfigurationProperties(),l=this.filter(e,s,!0,n);e=l.raw;const u=(0,I.toValuesTree)(e,O=>console.error(`Conflict in settings file ${this._name}: ${O}`)),d=Object.keys(e),S=this.toOverrides(e,O=>console.error(`Conflict in settings file ${this._name}: ${O}`));return{contents:u,keys:d,overrides:S,restricted:l.restricted}}filter(e,n,s,l){if(!l?.scopes&&!l?.skipRestricted)return{raw:e,restricted:[]};const u={},d=[];for(let S in e)if(L.OVERRIDE_PROPERTY_REGEX.test(S)&&s){const O=this.filter(e[S],n,!1,l);u[S]=O.raw,d.push(...O.restricted)}else{const O=n[S],N=O?typeof O.scope!="undefined"?O.scope:3:void 0;O?.restricted&&d.push(S),(N===void 0||l.scopes===void 0||l.scopes.includes(N))&&(l.skipRestricted&&O?.restricted||(u[S]=e[S]))}return{raw:u,restricted:d}}toOverrides(e,n){const s=[];for(const l of Object.keys(e))if(L.OVERRIDE_PROPERTY_REGEX.test(l)){const u={};for(const d in e[l])u[d]=e[l][d];s.push({identifiers:(0,L.overrideIdentifiersFromKey)(l),keys:Object.keys(u),contents:(0,I.toValuesTree)(u,n)})}return s}}i.ConfigurationModelParser=g;class a extends R.Disposable{constructor(e,n,s,l){super();this.userSettingsResource=e,this.scopes=n,this.fileService=l,this._onDidChange=this._register(new D.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new g(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(s.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(D.Event.any(D.Event.filter(this.fileService.onDidFilesChange,u=>u.contains(this.userSettingsResource)),D.Event.filter(this.fileService.onDidRunOperation,u=>(u.isOperation(0)||u.isOperation(1)||u.isOperation(4))&&s.isEqual(u.resource,e)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const e=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(e.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new y}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}i.UserSettings=a;class f{constructor(e,n,s=new y,l=new y,u=new T.ResourceMap,d=new y,S=new T.ResourceMap,O=!0){this._defaultConfiguration=e,this._localUserConfiguration=n,this._remoteUserConfiguration=s,this._workspaceConfiguration=l,this._folderConfigurations=u,this._memoryConfiguration=d,this._memoryConfigurationByResource=S,this._freeze=O,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new T.ResourceMap,this._userConfiguration=null}getValue(e,n,s){return this.getConsolidateConfigurationModel(n,s).getValue(e)}updateValue(e,n,s={}){let l;s.resource?(l=this._memoryConfigurationByResource.get(s.resource),l||(l=new y,this._memoryConfigurationByResource.set(s.resource,l))):l=this._memoryConfiguration,n===void 0?l.removeValue(e):l.setValue(e,n),s.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(e,n,s){const l=this.getConsolidateConfigurationModel(n,s),u=this.getFolderConfigurationModelForResource(n.resource,s),d=n.resource?this._memoryConfigurationByResource.get(n.resource)||this._memoryConfiguration:this._memoryConfiguration,S=n.overrideIdentifier?this._defaultConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this._defaultConfiguration.freeze().getValue(e),O=n.overrideIdentifier?this.userConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this.userConfiguration.freeze().getValue(e),N=n.overrideIdentifier?this.localUserConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this.localUserConfiguration.freeze().getValue(e),_=n.overrideIdentifier?this.remoteUserConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this.remoteUserConfiguration.freeze().getValue(e),J=s?n.overrideIdentifier?this._workspaceConfiguration.freeze().override(n.overrideIdentifier).getValue(e):this._workspaceConfiguration.freeze().getValue(e):void 0,re=u?n.overrideIdentifier?u.freeze().override(n.overrideIdentifier).getValue(e):u.freeze().getValue(e):void 0,ee=n.overrideIdentifier?d.override(n.overrideIdentifier).getValue(e):d.getValue(e),ie=l.getValue(e),he=C.distinct(C.flatten(l.overrides.map(ue=>ue.identifiers))).filter(ue=>l.getOverrideValue(e,ue)!==void 0);return{defaultValue:S,userValue:O,userLocalValue:N,userRemoteValue:_,workspaceValue:J,workspaceFolderValue:re,memoryValue:ee,value:ie,default:S!==void 0?{value:this._defaultConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,user:O!==void 0?{value:this.userConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,userLocal:N!==void 0?{value:this.localUserConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,userRemote:_!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,workspace:J!==void 0?{value:this._workspaceConfiguration.freeze().getValue(e),override:n.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,workspaceFolder:re!==void 0?{value:u?.freeze().getValue(e),override:n.overrideIdentifier?u?.freeze().getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,memory:ee!==void 0?{value:d.getValue(e),override:n.overrideIdentifier?d.getOverrideValue(e,n.overrideIdentifier):void 0}:void 0,overrideIdentifiers:he.length?he:void 0}}keys(e){const n=this.getFolderConfigurationModelForResource(void 0,e);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:n?n.freeze().keys:[]}}updateDefaultConfiguration(e){this._defaultConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(e){this._localUserConfiguration=e,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(e){this._remoteUserConfiguration=e,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(e){this._workspaceConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(e,n){this._folderConfigurations.set(e,n),this._foldersConsolidatedConfigurations.delete(e)}deleteFolderConfiguration(e){this.folderConfigurations.delete(e),this._foldersConsolidatedConfigurations.delete(e)}compareAndUpdateDefaultConfiguration(e,n){const s=[];if(!n){const{added:l,updated:u,removed:d}=o(this._defaultConfiguration,e);n=[...l,...u,...d]}for(const l of n)for(const u of(0,L.overrideIdentifiersFromKey)(l)){const d=this._defaultConfiguration.getKeysForOverrideIdentifier(u),S=e.getKeysForOverrideIdentifier(u),O=[...S.filter(N=>d.indexOf(N)===-1),...d.filter(N=>S.indexOf(N)===-1),...d.filter(N=>!P.equals(this._defaultConfiguration.override(u).getValue(N),e.override(u).getValue(N)))];s.push([u,O])}return this.updateDefaultConfiguration(e),{keys:n,overrides:s}}compareAndUpdateLocalUserConfiguration(e){const{added:n,updated:s,removed:l,overrides:u}=o(this.localUserConfiguration,e),d=[...n,...s,...l];return d.length&&this.updateLocalUserConfiguration(e),{keys:d,overrides:u}}compareAndUpdateRemoteUserConfiguration(e){const{added:n,updated:s,removed:l,overrides:u}=o(this.remoteUserConfiguration,e);let d=[...n,...s,...l];return d.length&&this.updateRemoteUserConfiguration(e),{keys:d,overrides:u}}compareAndUpdateWorkspaceConfiguration(e){const{added:n,updated:s,removed:l,overrides:u}=o(this.workspaceConfiguration,e);let d=[...n,...s,...l];return d.length&&this.updateWorkspaceConfiguration(e),{keys:d,overrides:u}}compareAndUpdateFolderConfiguration(e,n){const s=this.folderConfigurations.get(e),{added:l,updated:u,removed:d,overrides:S}=o(s,n);let O=[...l,...u,...d];return(O.length||!s)&&this.updateFolderConfiguration(e,n),{keys:O,overrides:S}}compareAndDeleteFolderConfiguration(e){const n=this.folderConfigurations.get(e);if(!n)throw new Error("Unknown folder");this.deleteFolderConfiguration(e);const{added:s,updated:l,removed:u,overrides:d}=o(n,void 0);return{keys:[...s,...l,...u],overrides:d}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(e,n){let s=this.getConsolidatedConfigurationModelForResource(e,n);return e.overrideIdentifier?s.override(e.overrideIdentifier):s}getConsolidatedConfigurationModelForResource({resource:e},n){let s=this.getWorkspaceConsolidatedConfiguration();if(n&&e){const l=n.getFolder(e);l&&(s=this.getFolderConsolidatedConfiguration(l.uri)||s);const u=this._memoryConfigurationByResource.get(e);u&&(s=s.merge(u))}return s}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(e){let n=this._foldersConsolidatedConfigurations.get(e);if(!n){const s=this.getWorkspaceConsolidatedConfiguration(),l=this._folderConfigurations.get(e);l?(n=s.merge(l),this._freeze&&(n=n.freeze()),this._foldersConsolidatedConfigurations.set(e,n)):n=s}return n}getFolderConfigurationModelForResource(e,n){if(n&&e){const s=n.getFolder(e);if(s)return this._folderConfigurations.get(s.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((e,n)=>{const{contents:s,overrides:l,keys:u}=this._folderConfigurations.get(n);return e.push([n,{contents:s,overrides:l,keys:u}]),e},[])}}allKeys(){const e=new Set;return this._defaultConfiguration.freeze().keys.forEach(n=>e.add(n)),this.userConfiguration.freeze().keys.forEach(n=>e.add(n)),this._workspaceConfiguration.freeze().keys.forEach(n=>e.add(n)),this._folderConfigurations.forEach(n=>n.freeze().keys.forEach(s=>e.add(s))),[...e.values()]}allOverrideIdentifiers(){const e=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>e.add(n)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>e.add(n)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>e.add(n)),this._folderConfigurations.forEach(n=>n.freeze().getAllOverrideIdentifiers().forEach(s=>e.add(s))),[...e.values()]}getAllKeysForOverrideIdentifier(e){const n=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(e).forEach(s=>n.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(e).forEach(s=>n.add(s)),this._workspaceConfiguration.getKeysForOverrideIdentifier(e).forEach(s=>n.add(s)),this._folderConfigurations.forEach(s=>s.getKeysForOverrideIdentifier(e).forEach(l=>n.add(l))),[...n.values()]}static parse(e){const n=this.parseConfigurationModel(e.defaults),s=this.parseConfigurationModel(e.user),l=this.parseConfigurationModel(e.workspace),u=e.folders.reduce((d,S)=>(d.set(w.URI.revive(S[0]),this.parseConfigurationModel(S[1])),d),new T.ResourceMap);return new f(n,s,new y,l,u,new y,new T.ResourceMap,!1)}static parseConfigurationModel(e){return new y(e.contents,e.keys,e.overrides).freeze()}}i.Configuration=f;function v(...r){if(r.length===0)return{keys:[],overrides:[]};if(r.length===1)return r[0];const e=new Set,n=new Map;for(const l of r)l.keys.forEach(u=>e.add(u)),l.overrides.forEach(([u,d])=>{const S=(0,T.getOrSet)(n,u,new Set);d.forEach(O=>S.add(O))});const s=[];return n.forEach((l,u)=>s.push([u,[...l.values()]])),{keys:[...e.values()],overrides:s}}i.mergeChanges=v;class p{constructor(e,n,s,l){this.change=e,this.previous=n,this.currentConfiguraiton=s,this.currentWorkspace=l,this._previousConfiguration=void 0;const u=new Set;e.keys.forEach(S=>u.add(S)),e.overrides.forEach(([,S])=>S.forEach(O=>u.add(O))),this.affectedKeys=[...u.values()];const d=new y;this.affectedKeys.forEach(S=>d.setValue(S,{})),this.affectedKeysTree=d.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=f.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(e,n){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,e)){if(n){const s=this.previousConfiguration?this.previousConfiguration.getValue(e,n,this.previous?.workspace):void 0,l=this.currentConfiguraiton.getValue(e,n,this.currentWorkspace);return!P.equals(s,l)}return!0}return!1}doesAffectedKeysTreeContains(e,n){let s=(0,I.toValuesTree)({[n]:!0},()=>{}),l;for(;typeof s=="object"&&(l=Object.keys(s)[0]);){if(e=e[l],!e)return!1;s=s[l]}return!0}}i.ConfigurationChangeEvent=p;class m extends p{constructor(e,n,s,l){super({keys:e.allKeys(),overrides:[]},void 0,e,n);this.source=s,this.sourceConfig=l}}i.AllKeysConfigurationChangeEvent=m;function o(r,e){const{added:n,removed:s,updated:l}=t(e,r),u=[],d=r?.getAllOverrideIdentifiers()||[],S=e?.getAllOverrideIdentifiers()||[];if(e){const O=S.filter(N=>!d.includes(N));for(const N of O)u.push([N,e.getKeysForOverrideIdentifier(N)])}if(r){const O=d.filter(N=>!S.includes(N));for(const N of O)u.push([N,r.getKeysForOverrideIdentifier(N)])}if(e&&r){for(const O of d)if(S.includes(O)){const N=t({contents:r.getOverrideValue(void 0,O)||{},keys:r.getKeysForOverrideIdentifier(O)},{contents:e.getOverrideValue(void 0,O)||{},keys:e.getKeysForOverrideIdentifier(O)});u.push([O,[...N.added,...N.removed,...N.updated]])}}return{added:n,removed:s,updated:l,overrides:u}}function t(r,e){const n=r?e?r.keys.filter(u=>e.keys.indexOf(u)===-1):[...r.keys]:[],s=e?r?e.keys.filter(u=>r.keys.indexOf(u)===-1):[...e.keys]:[],l=[];if(r&&e){for(const u of e.keys)if(r.keys.indexOf(u)!==-1){const d=(0,I.getConfigurationValue)(e.contents,u),S=(0,I.getConfigurationValue)(r.contents,u);P.equals(d,S)||l.push(u)}}return{added:n,removed:s,updated:l}}}),define(Y[107],Q([0,1,3,7,2,19,25,106,34,30]),function(j,i,C,D,b,R,T,P,c,w){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ConfigurationService=void 0;class I extends b.Disposable{constructor(h,y){super();this.settingsResource=h,this._onDidChangeConfiguration=this._register(new D.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new P.UserSettings(this.settingsResource,void 0,R.extUriBiasedIgnorePathCase,y)),this.configuration=new P.Configuration(new P.DefaultConfigurationModel,new P.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new C.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(w.Registry.as(c.Extensions.Configuration).onDidUpdateConfiguration(({properties:E})=>this.onDidDefaultConfigurationChange(E))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const h=await this.userConfiguration.loadConfiguration();this.configuration=new P.Configuration(new P.DefaultConfigurationModel,h)}getConfigurationData(){return this.configuration.toData()}getValue(h,y){const E=typeof h=="string"?h:void 0,g=(0,T.isConfigurationOverrides)(h)?h:(0,T.isConfigurationOverrides)(y)?y:{};return this.configuration.getValue(E,g,void 0)}updateValue(h,y,E,g){return Promise.reject(new Error("not supported"))}inspect(h){return this.configuration.inspect(h,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const h=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(h)}onDidChangeUserConfiguration(h){const y=this.configuration.toData(),E=this.configuration.compareAndUpdateLocalUserConfiguration(h);this.trigger(E,y,1)}onDidDefaultConfigurationChange(h){const y=this.configuration.toData(),E=this.configuration.compareAndUpdateDefaultConfiguration(new P.DefaultConfigurationModel,h);this.trigger(E,y,6)}trigger(h,y,E){const g=new P.ConfigurationChangeEvent(h,{data:y},this.configuration);g.source=E,g.sourceConfig=this.getTargetConfiguration(E),this._onDidChangeConfiguration.fire(g)}getTargetConfiguration(h){switch(h){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}i.ConfigurationService=I}),define(Y[108],Q([0,1,10]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getRemoteName=i.getRemoteAuthority=void 0;function D(R){return R.scheme===C.Schemas.vscodeRemote?R.authority:void 0}i.getRemoteAuthority=D;function b(R){if(!R)return;const T=R.indexOf("+");return T<0?R:R.substr(0,T)}i.getRemoteName=b}),define(Y[35],Q([0,1,26,13,108]),function(j,i,C,D,b){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.IBuiltinExtensionsScannerService=i.isResolverExtension=i.isAuthenticationProviderExtension=i.isLanguagePackExtension=i.ExtensionIdentifier=i.ExtensionType=i.EXTENSION_CATEGORIES=i.isIExtensionIdentifier=i.getWorkspaceSupportTypeMessage=i.ALL_EXTENSION_KINDS=i.UNDEFINED_PUBLISHER=i.BUILTIN_MANIFEST_CACHE_FILE=i.USER_MANIFEST_CACHE_FILE=i.MANIFEST_CACHE_FOLDER=void 0,i.MANIFEST_CACHE_FOLDER="CachedExtensions",i.USER_MANIFEST_CACHE_FILE="user",i.BUILTIN_MANIFEST_CACHE_FILE="builtin",i.UNDEFINED_PUBLISHER="undefined_publisher",i.ALL_EXTENSION_KINDS=["ui","workspace","web"];function R(h){if(typeof h=="object"&&h!==null&&h.supported!==!0)return h.description}i.getWorkspaceSupportTypeMessage=R;function T(h){return h&&typeof h=="object"&&typeof h.id=="string"&&(!h.uuid||typeof h.uuid=="string")}i.isIExtensionIdentifier=T,i.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var P;(function(h){h[h.System=0]="System",h[h.User=1]="User"})(P=i.ExtensionType||(i.ExtensionType={}));class c{constructor(y){this.value=y,this._lower=y.toLowerCase()}static equals(y,E){if(typeof y=="undefined"||y===null)return typeof E=="undefined"||E===null;if(typeof E=="undefined"||E===null)return!1;if(typeof y=="string"||typeof E=="string"){let g=typeof y=="string"?y:y.value,a=typeof E=="string"?E:E.value;return C.equalsIgnoreCase(g,a)}return y._lower===E._lower}static toKey(y){return typeof y=="string"?y.toLowerCase():y._lower}}i.ExtensionIdentifier=c;function w(h){return h.contributes&&h.contributes.localizations?h.contributes.localizations.length>0:!1}i.isLanguagePackExtension=w;function I(h){return h.contributes&&h.contributes.authentication?h.contributes.authentication.length>0:!1}i.isAuthenticationProviderExtension=I;function L(h,y){if(y){const E=`onResolveRemoteAuthority:${(0,b.getRemoteName)(y)}`;return h.activationEvents?.indexOf(E)!==-1}return!1}i.isResolverExtension=L,i.IBuiltinExtensionsScannerService=(0,D.createDecorator)("IBuiltinExtensionsScannerService")}),define(Y[21],Q([0,1,26,35]),function(j,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getExtensionDependencies=i.getMaliciousExtensionsSet=i.BetterMergeId=i.getGalleryExtensionTelemetryData=i.getLocalExtensionTelemetryData=i.groupByExtension=i.getGalleryExtensionId=i.adoptToGalleryExtensionId=i.getExtensionId=i.ExtensionIdentifierWithVersion=i.areSameExtensions=void 0;function b(E,g){return E.uuid&&g.uuid?E.uuid===g.uuid:E.id===g.id?!0:(0,C.compareIgnoreCase)(E.id,g.id)===0}i.areSameExtensions=b;class R{constructor(g,a){this.version=a,this.id=g.id,this.uuid=g.uuid}key(){return`${this.id}-${this.version}`}equals(g){return g instanceof R?b(this,g)&&this.version===g.version:!1}}i.ExtensionIdentifierWithVersion=R;function T(E,g){return`${E}.${g}`}i.getExtensionId=T;function P(E){return E.toLocaleLowerCase()}i.adoptToGalleryExtensionId=P;function c(E,g){return P(T(E,g))}i.getGalleryExtensionId=c;function w(E,g){const a=[],f=v=>{for(const p of a)if(p.some(m=>b(g(m),g(v))))return p;return null};for(const v of E){const p=f(v);p?p.push(v):a.push([v])}return a}i.groupByExtension=w;function I(E){return{id:E.identifier.id,name:E.manifest.name,galleryId:null,publisherId:E.publisherId,publisherName:E.manifest.publisher,publisherDisplayName:E.publisherDisplayName,dependencies:E.manifest.extensionDependencies&&E.manifest.extensionDependencies.length>0}}i.getLocalExtensionTelemetryData=I;function L(E){return{id:E.identifier.id,name:E.name,galleryId:E.identifier.uuid,publisherId:E.publisherId,publisherName:E.publisher,publisherDisplayName:E.publisherDisplayName,isPreReleaseVersion:E.properties.isPreReleaseVersion,dependencies:!!(E.properties.dependencies&&E.properties.dependencies.length>0),...E.telemetryData}}i.getGalleryExtensionTelemetryData=L,i.BetterMergeId=new D.ExtensionIdentifier("pprice.better-merge");function h(E){const g=new Set;if(E.malicious)for(const a of E.malicious)g.add(a.id);return g}i.getMaliciousExtensionsSet=h;function y(E,g){const a=[],f=g.manifest.extensionDependencies?.slice(0)??[];for(;f.length;){const v=f.shift();if(v&&a.every(p=>!b(p.identifier,{id:v}))){const p=E.filter(m=>b(m.identifier,{id:v}));p.length===1&&(a.push(p[0]),f.push(...p[0].manifest.extensionDependencies?.slice(0)??[]))}}return a}i.getExtensionDependencies=y}),define(Y[23],Q([0,1,10,75,21,13]),function(j,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.IExtensionManagementCLIService=i.PreferencesLocalizedLabel=i.PreferencesLabel=i.ExtensionsChannelId=i.ExtensionsLocalizedLabel=i.ExtensionsLabel=i.DefaultIconPath=i.IExtensionTipsService=i.IGlobalExtensionEnablementService=i.ENABLED_EXTENSIONS_STORAGE_PATH=i.DISABLED_EXTENSIONS_STORAGE_PATH=i.IExtensionManagementService=i.ExtensionManagementError=i.ExtensionManagementErrorCode=i.IExtensionGalleryService=i.InstallOperation=i.StatisticType=i.SortOrder=i.SortBy=i.isIExtensionIdentifier=i.getFallbackTargetPlarforms=i.isTargetPlatformCompatible=i.isNotWebExtensionInWebTargetPlatform=i.getTargetPlatform=i.toTargetPlatform=i.TargetPlatformToString=i.TargetPlatform=i.getIdAndVersion=i.WEB_EXTENSION_TAG=i.EXTENSION_IDENTIFIER_REGEX=i.EXTENSION_IDENTIFIER_PATTERN=void 0,i.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",i.EXTENSION_IDENTIFIER_REGEX=new RegExp(i.EXTENSION_IDENTIFIER_PATTERN),i.WEB_EXTENSION_TAG="__web_extension";const T=/^([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;function P(t){const r=T.exec(t);return r&&r[1]?[(0,b.adoptToGalleryExtensionId)(r[1]),r[2]]:[(0,b.adoptToGalleryExtensionId)(t),void 0]}i.getIdAndVersion=P;var c;(function(t){t.WIN32_X64="win32-x64",t.WIN32_IA32="win32-ia32",t.WIN32_ARM64="win32-arm64",t.LINUX_X64="linux-x64",t.LINUX_ARM64="linux-arm64",t.LINUX_ARMHF="linux-armhf",t.ALPINE_X64="alpine-x64",t.ALPINE_ARM64="alpine-arm64",t.DARWIN_X64="darwin-x64",t.DARWIN_ARM64="darwin-arm64",t.WEB="web",t.UNIVERSAL="universal",t.UNKNOWN="unknown",t.UNDEFINED="undefined"})(c=i.TargetPlatform||(i.TargetPlatform={}));function w(t){switch(t){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}i.TargetPlatformToString=w;function I(t){switch(t){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}i.toTargetPlatform=I;function L(t,r){switch(t){case 3:return r==="x64"?"win32-x64":r==="ia32"?"win32-ia32":r==="arm64"?"win32-arm64":"unknown";case 2:return r==="x64"?"linux-x64":r==="arm64"?"linux-arm64":r==="arm"?"linux-armhf":"unknown";case"alpine":return r==="x64"?"alpine-x64":r==="arm64"?"alpine-arm64":"unknown";case 1:return r==="x64"?"darwin-x64":r==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}i.getTargetPlatform=L;function h(t,r){return r==="web"&&!t.includes("web")}i.isNotWebExtensionInWebTargetPlatform=h;function y(t,r,e){return h(r,e)?!1:t==="undefined"||t==="universal"?!0:t==="unknown"?!1:t===e?!0:E(e).includes(t)}i.isTargetPlatformCompatible=y;function E(t){switch(t){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}i.getFallbackTargetPlarforms=E;function g(t){return t&&typeof t=="object"&&typeof t.id=="string"&&(!t.uuid||typeof t.uuid=="string")}i.isIExtensionIdentifier=g;var a;(function(t){t[t.NoneOrRelevance=0]="NoneOrRelevance",t[t.LastUpdatedDate=1]="LastUpdatedDate",t[t.Title=2]="Title",t[t.PublisherName=3]="PublisherName",t[t.InstallCount=4]="InstallCount",t[t.PublishedDate=10]="PublishedDate",t[t.AverageRating=6]="AverageRating",t[t.WeightedRating=12]="WeightedRating"})(a=i.SortBy||(i.SortBy={}));var f;(function(t){t[t.Default=0]="Default",t[t.Ascending=1]="Ascending",t[t.Descending=2]="Descending"})(f=i.SortOrder||(i.SortOrder={}));var v;(function(t){t.Install="install",t.Uninstall="uninstall"})(v=i.StatisticType||(i.StatisticType={}));var p;(function(t){t[t.None=1]="None",t[t.Install=2]="Install",t[t.Update=3]="Update",t[t.Migrate=4]="Migrate"})(p=i.InstallOperation||(i.InstallOperation={})),i.IExtensionGalleryService=(0,R.createDecorator)("extensionGalleryService");var m;(function(t){t.Unsupported="Unsupported",t.UnsupportedPreRelease="UnsupportedPreRelease",t.Malicious="Malicious",t.Incompatible="Incompatible",t.IncompatiblePreRelease="IncompatiblePreRelease",t.IncompatibleTargetPlatform="IncompatibleTargetPlatform",t.ReleaseVersionNotFound="ReleaseVersionNotFound",t.Invalid="Invalid",t.Download="Download",t.Extract="Extract",t.Delete="Delete",t.Rename="Rename",t.CorruptZip="CorruptZip",t.IncompleteZip="IncompleteZip",t.Internal="Internal"})(m=i.ExtensionManagementErrorCode||(i.ExtensionManagementErrorCode={}));class o extends Error{constructor(r,e){super(r);this.code=e,this.name=e}}i.ExtensionManagementError=o,i.IExtensionManagementService=(0,R.createDecorator)("extensionManagementService"),i.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",i.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",i.IGlobalExtensionEnablementService=(0,R.createDecorator)("IGlobalExtensionEnablementService"),i.IExtensionTipsService=(0,R.createDecorator)("IExtensionTipsService"),i.DefaultIconPath=C.FileAccess.asBrowserUri("./media/defaultIcon.png",j).toString(!0),i.ExtensionsLabel=(0,D.localize)(0,null),i.ExtensionsLocalizedLabel={value:i.ExtensionsLabel,original:"Extensions"},i.ExtensionsChannelId="extensions",i.PreferencesLabel=(0,D.localize)(1,null),i.PreferencesLocalizedLabel={value:i.PreferencesLabel,original:"Preferences"},i.IExtensionManagementCLIService=(0,R.createDecorator)("IExtensionManagementCLIService")}),define(Y[109],Q([0,1,24,8,62,10,41,9,76,23,21,35]),function(j,i,C,D,b,R,T,P,c,w,I,L){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionManagementCLIService=void 0;const h=a=>(0,c.localize)(0,null,a),y=(0,c.localize)(1,null,"ms-dotnettools.csharp");function E(a,f){return f?`${a.publisher}.${a.name}@${a.version}`:`${a.publisher}.${a.name}`}let g=class{constructor(f,v){this.extensionManagementService=f,this.extensionGalleryService=v}get location(){}async listExtensions(f,v,p=console){let m=await this.extensionManagementService.getInstalled(1);const o=L.EXTENSION_CATEGORIES.map(r=>r.toLowerCase());if(v&&v!==""){if(o.indexOf(v.toLowerCase())<0){p.log("Invalid category please enter a valid category. To list valid categories run --category without a category specified");return}m=m.filter(r=>r.manifest.categories?r.manifest.categories.map(n=>n.toLowerCase()).indexOf(v.toLowerCase())>-1:!1)}else if(v===""){p.log("Possible Categories: "),o.forEach(r=>{p.log(r)});return}this.location&&p.log((0,c.localize)(2,null,this.location)),m=m.sort((r,e)=>r.identifier.id.localeCompare(e.identifier.id));let t;for(let r of m)t!==r.identifier.id&&(t=r.identifier.id,p.log(E(r.manifest,f)))}async installExtensions(f,v,p,m,o=console){const t=[],r=[];f.length&&o.log(this.location?(0,c.localize)(3,null,this.location):(0,c.localize)(4,null));const e=await this.extensionManagementService.getInstalled(1),n=(u,d)=>{const S=e.find(O=>(0,I.areSameExtensions)(O.identifier,{id:u}));if(S){if(!d&&!m)return o.log((0,c.localize)(5,null,u,S.manifest.version,u)),!1;if(d&&S.manifest.version===d)return o.log((0,c.localize)(6,null,`${u}@${d}`)),!1}return!0},s=[],l=[];for(const u of f)if(u instanceof P.URI)s.push(u);else{const[d,S]=(0,w.getIdAndVersion)(u);n(d,S)&&l.push({id:d,version:S,installOptions:{...p,isBuiltin:!1}})}for(const u of v){const[d,S]=(0,w.getIdAndVersion)(u);n(d,S)&&l.push({id:d,version:S,installOptions:{...p,isBuiltin:!0}})}if(s.length&&await Promise.all(s.map(async u=>{try{const d=await this.installVSIX(u,{...p,isBuiltin:!1},m,o);d&&r.push(d)}catch(d){o.error(d.message||d.stack||d),t.push(u.toString())}})),l.length){const u=await this.getGalleryExtensions(l);await Promise.all(l.map(async d=>{const S=u.get(d.id.toLowerCase());if(S)try{const O=await this.installFromGallery(d,S,e,m,o);O&&r.push(O)}catch(O){o.error(O.message||O.stack||O),t.push(d.id)}else o.error(`${h(d.version?`${d.id}@${d.version}`:d.id)}
${y}`),t.push(d.id)}))}if(t.length)throw new Error((0,c.localize)(7,null,t.join(", ")))}async installVSIX(f,v,p,m){const o=await this.extensionManagementService.getManifest(f);if(!o)throw new Error("Invalid vsix");if(await this.validateVSIX(o,p,m))try{return await this.extensionManagementService.install(f,v),m.log((0,c.localize)(8,null,(0,b.getBaseLabel)(f))),o}catch(r){if((0,D.isCancellationError)(r))return m.log((0,c.localize)(9,null,(0,b.getBaseLabel)(f))),null;throw r}return null}async getGalleryExtensions(f){const v=new Map,p=f.some(o=>o.installOptions.installPreReleaseVersion),m=await this.extensionGalleryService.getExtensions(f.map(o=>({...o,preRelease:p})),C.CancellationToken.None);for(const o of m)v.set(o.identifier.id.toLowerCase(),o);return v}async installFromGallery({id:f,version:v,installOptions:p},m,o,t,r){const e=await this.extensionGalleryService.getManifest(m,C.CancellationToken.None);if(e&&!this.validateExtensionKind(e,r))return null;const n=o.find(s=>(0,I.areSameExtensions)(s.identifier,m.identifier));if(n){if(m.version===n.manifest.version)return r.log((0,c.localize)(10,null,v?`${f}@${v}`:f)),null;r.log((0,c.localize)(11,null,f,m.version))}try{return p.isBuiltin?r.log(v?(0,c.localize)(12,null,f,v):(0,c.localize)(13,null,f)):r.log(v?(0,c.localize)(14,null,f,v):(0,c.localize)(15,null,f)),await this.extensionManagementService.installFromGallery(m,{...p,installGivenVersion:!!v}),r.log((0,c.localize)(16,null,f,m.version)),e}catch(s){if((0,D.isCancellationError)(s))return r.log((0,c.localize)(17,null,f)),null;throw s}}validateExtensionKind(f,v){return!0}async validateVSIX(f,v,p){const m={id:(0,I.getGalleryExtensionId)(f.publisher,f.name)},t=(await this.extensionManagementService.getInstalled(1)).find(r=>(0,I.areSameExtensions)(m,r.identifier)&&(0,T.gt)(r.manifest.version,f.version));return t&&!v?(p.log((0,c.localize)(18,null,t.identifier.id,t.manifest.version,f.version)),!1):this.validateExtensionKind(f,p)}async uninstallExtensions(f,v,p=console){const m=async t=>{if(t instanceof P.URI){const r=await this.extensionManagementService.getManifest(t);return E(r)}return t},o=[];for(const t of f){const r=await m(t),n=(await this.extensionManagementService.getInstalled()).filter(s=>(0,I.areSameExtensions)(s.identifier,{id:r}));if(!n.length)throw new Error(`${this.notInstalled(r)}
${y}`);if(n.some(s=>s.type===0)){p.log((0,c.localize)(19,null,r));return}if(!v&&n.some(s=>s.isBuiltin)){p.log((0,c.localize)(20,null,r));return}p.log((0,c.localize)(21,null,r));for(const s of n)await this.extensionManagementService.uninstall(s),o.push(s);this.location?p.log((0,c.localize)(22,null,r,this.location)):p.log((0,c.localize)(23,null,r))}}async locateExtension(f,v=console){const p=await this.extensionManagementService.getInstalled();f.forEach(m=>{p.forEach(o=>{if(o.identifier.id===m&&o.location.scheme===R.Schemas.file){v.log(o.location.fsPath);return}})})}notInstalled(f){return this.location?(0,c.localize)(24,null,f,this.location):(0,c.localize)(25,null,f)}};g=ge([oe(0,w.IExtensionManagementService),oe(1,w.IExtensionGalleryService)],g),i.ExtensionManagementCLIService=g}),define(Y[110],Q([0,1,3,8,2,12,19,41,9,27,15,20,23,21,16,14]),function(j,i,C,D,b,R,T,P,c,w,I,L,h,y,E,g){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionsDownloader=void 0;const a=/^([^.]+\..+)-(\d+\.\d+\.\d+)$/;let f=class extends b.Disposable{constructor(p,m,o,t){super();this.fileService=m,this.extensionGalleryService=o,this.logService=t,this.extensionsDownloadDir=c.URI.file(p.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(p,m){await this.cleanUpPromise;const o=this.getName(p),t=(0,T.joinPath)(this.extensionsDownloadDir,o);if(!await this.fileService.exists(t)){const r=(0,T.joinPath)(this.extensionsDownloadDir,`.${(0,w.generateUuid)()}`);await this.fileService.exists(r)||await this.extensionGalleryService.download(p,r,m);try{await this.rename(r,t,Date.now()+2*60*1e3)}catch(e){try{await this.fileService.del(r)}catch{}if(e.code==="ENOTEMPTY")this.logService.info("Rename failed because vsix was downloaded by another source. So ignoring renaming.",p.identifier.id);else throw this.logService.info(`Rename failed because of ${(0,D.getErrorMessage)(e)}. Deleted the vsix from downloaded location`,r.path),e}}return t}async delete(p){await this.cleanUpPromise,await this.fileService.del(p)}async rename(p,m,o){try{await I.Promises.rename(p.fsPath,m.fsPath)}catch(t){if(R.isWindows&&t&&t.code==="EPERM"&&Date.now()<o)return this.logService.info(`Failed renaming ${p} to ${m} with 'EPERM' error. Trying again...`),this.rename(p,m,o);throw t}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const p=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(p.children){const m=[],o=[];for(const e of p.children){const n=this.parse(e.name);n&&o.push([n,e])}const t=(0,y.groupByExtension)(o,([e])=>e),r=[];for(const e of t)e.sort((n,s)=>P.rcompare(n[0].version,s[0].version)),m.push(...e.slice(1).map(n=>n[1].resource)),r.push(e[0][1]);r.sort((e,n)=>e.mtime-n.mtime),m.push(...r.slice(0,Math.max(0,r.length-this.cache)).map(e=>e.resource)),await C.Promises.settled(m.map(e=>(this.logService.trace("Deleting vsix from cache",e.path),this.fileService.del(e))))}}catch(p){this.logService.error(p)}}getName(p){return this.cache?`${new y.ExtensionIdentifierWithVersion(p.identifier,p.version).key().toLowerCase()}${p.properties.targetPlatform!=="undefined"?`-${p.properties.targetPlatform}`:""}`:(0,w.generateUuid)()}parse(p){const m=a.exec(p);return m&&m[1]&&m[2]?new y.ExtensionIdentifierWithVersion({id:m[1]},m[2]):null}};f=ge([oe(0,L.INativeEnvironmentService),oe(1,E.IFileService),oe(2,h.IExtensionGalleryService),oe(3,g.ILogService)],f),i.ExtensionsDownloader=f}),define(Y[111],Q([0,1,2,11,15,35]),function(j,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionsManifestCache=void 0;class T extends C.Disposable{constructor(c,w){super();this.environmentService=c,this.extensionsManifestCache=(0,D.join)(this.environmentService.userDataPath,R.MANIFEST_CACHE_FOLDER,R.USER_MANIFEST_CACHE_FILE),this._register(w.onDidInstallExtensions(I=>this.onDidInstallExtensions(I))),this._register(w.onDidUninstallExtension(I=>this.onDidUnInstallExtension(I)))}onDidInstallExtensions(c){c.some(w=>!!w.local)&&this.invalidate()}onDidUnInstallExtension(c){c.error||this.invalidate()}invalidate(){b.Promises.rm(this.extensionsManifestCache,b.RimRafMode.MOVE).then(()=>{},()=>{})}}i.ExtensionsManifestCache=T}),define(Y[112],Q([0,1,137,18,3,2,10,11,15,20,23,21,53,14]),function(j,i,C,D,b,R,T,P,c,w,I,L,h,y){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.LocalizationsService=void 0;let E=class extends R.Disposable{constructor(f,v,p){super();this.extensionManagementService=f,this.logService=p,this.cache=this._register(new g(v,p)),this.extensionManagementService.registerParticipant({postInstall:async m=>this.postInstallExtension(m),postUninstall:async m=>this.postUninstallExtension(m)})}async getLanguageIds(){const f=await this.cache.getLanguagePacks(),v=["en",...Object.keys(f)];return(0,D.distinct)(v)}async postInstallExtension(f){f&&f.manifest&&f.manifest.contributes&&f.manifest.contributes.localizations&&f.manifest.contributes.localizations.length&&(this.logService.info("Adding language packs from the extension",f.identifier.id),await this.update())}async postUninstallExtension(f){const v=await this.cache.getLanguagePacks();Object.keys(v).some(p=>v[p]&&v[p].extensions.some(m=>(0,L.areSameExtensions)(m.extensionIdentifier,f.identifier)))&&(this.logService.info("Removing language packs from the extension",f.identifier.id),await this.update())}async update(){const[f,v]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),p=await this.cache.update(v);return!(0,D.equals)(Object.keys(f),Object.keys(p))}};E=ge([oe(0,I.IExtensionManagementService),oe(1,w.INativeEnvironmentService),oe(2,y.ILogService)],E),i.LocalizationsService=E;let g=class extends R.Disposable{constructor(f,v){super();this.logService=v,this.languagePacks={},this.languagePacksFilePath=(0,P.join)(f.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new b.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(f){return this.withLanguagePacks(v=>{Object.keys(v).forEach(p=>delete v[p]),this.createLanguagePacksFromExtensions(v,...f)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(f,...v){for(const p of v)p&&p.manifest&&p.manifest.contributes&&p.manifest.contributes.localizations&&p.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(f,p);Object.keys(f).forEach(p=>this.updateHash(f[p]))}createLanguagePacksFromExtension(f,v){const p=v.identifier,m=v.manifest.contributes&&v.manifest.contributes.localizations?v.manifest.contributes.localizations:[];for(const o of m)if(v.location.scheme===T.Schemas.file&&(0,h.isValidLocalization)(o)){let t=f[o.languageId];t||(t={hash:"",extensions:[],translations:{}},f[o.languageId]=t);let r=t.extensions.filter(e=>(0,L.areSameExtensions)(e.extensionIdentifier,p))[0];r?r.version=v.manifest.version:t.extensions.push({extensionIdentifier:p,version:v.manifest.version});for(const e of o.translations)t.translations[e.id]=(0,P.join)(v.location.fsPath,e.path)}}updateHash(f){if(f){const v=(0,C.createHash)("md5");for(const p of f.extensions)v.update(p.extensionIdentifier.uuid||p.extensionIdentifier.id).update(p.version);f.hash=v.digest("hex")}}withLanguagePacks(f=()=>null){return this.languagePacksFileLimiter.queue(()=>{let v=null;return c.Promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,p=>p.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(p)).then(p=>{try{return JSON.parse(p)}catch{return{}}}).then(p=>(v=f(p),p)).then(p=>{for(const o of Object.keys(p))p[o]||delete p[o];this.languagePacks=p,this.initializedCache=!0;const m=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",m),c.Promises.writeFile(this.languagePacksFilePath,m)}).then(()=>v,p=>this.logService.error(p))})}};g=ge([oe(0,w.INativeEnvironmentService),oe(1,y.ILogService)],g)}),define(Y[42],Q([0,1,17,84,34,13,30]),function(j,i,C,D,b,R,T){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.updateProxyConfigurationsScope=i.asJson=i.asText=i.isSuccess=i.IRequestService=void 0,i.IRequestService=(0,R.createDecorator)("requestService");function P(E){return E.res.statusCode&&E.res.statusCode>=200&&E.res.statusCode<300||E.res.statusCode===1223}i.isSuccess=P;function c(E){return E.res.statusCode===204}async function w(E){if(!P(E))throw new Error("Server returned "+E.res.statusCode);return c(E)?null:(await(0,C.streamToBuffer)(E.stream)).toString()}i.asText=w;async function I(E){if(!P(E))throw new Error("Server returned "+E.res.statusCode);if(c(E))return null;const a=(await(0,C.streamToBuffer)(E.stream)).toString();try{return JSON.parse(a)}catch(f){throw f.message+=`:
`+a,f}}i.asJson=I;function L(E){y(E)}i.updateProxyConfigurationsScope=L;let h;function y(E){const g=T.Registry.as(b.Extensions.Configuration),a=h;h={id:"http",order:15,title:(0,D.localize)(0,null),type:"object",scope:E,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,D.localize)(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,D.localize)(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,D.localize)(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,D.localize)(4,null),(0,D.localize)(5,null),(0,D.localize)(6,null),(0,D.localize)(7,null)],default:"override",description:(0,D.localize)(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,D.localize)(9,null),restricted:!0}}},g.updateConfigurations({add:[h],remove:a?[a]:[]})}y(2)}),define(Y[113],Q([0,1,24,10,16,42]),function(j,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.DownloadService=void 0;let T=class{constructor(c,w){this.requestService=c,this.fileService=w}async download(c,w,I=C.CancellationToken.None){if(c.scheme===D.Schemas.file||c.scheme===D.Schemas.vscodeRemote){await this.fileService.copy(c,w);return}const L={type:"GET",url:c.toString()},h=await this.requestService.request(L,I);if(h.res.statusCode===200)await this.fileService.writeFile(w,h.stream);else{const y=await(0,R.asText)(h);throw new Error(`Expected 200, got back ${h.res.statusCode} instead.

${y}`)}}};T=ge([oe(0,R.IRequestService),oe(1,b.IFileService)],T),i.DownloadService=T}),define(Y[114],Q([0,1,115,6]),function(j,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getProxyAgent=void 0;function b(T,P){return T.protocol==="http:"?P.HTTP_PROXY||P.http_proxy||null:T.protocol==="https:"&&(P.HTTPS_PROXY||P.https_proxy||P.HTTP_PROXY||P.http_proxy)||null}async function R(T,P,c={}){const w=(0,C.parse)(T),I=c.proxyUrl||b(w,P);if(!I)return null;const L=(0,C.parse)(I);if(!/^https?:$/.test(L.protocol||""))return null;const h={host:L.hostname||"",port:L.port||(L.protocol==="https"?"443":"80"),auth:L.auth,rejectUnauthorized:(0,D.isBoolean)(c.strictSSL)?c.strictSSL:!0};return w.protocol==="http:"?new(await new Promise((y,E)=>{j(["http-proxy-agent"],y,E)}))(h):new(await new Promise((y,E)=>{j(["https-proxy-agent"],y,E)}))(h)}i.getProxyAgent=R}),define(Y[116],Q([0,1,3,7,2,101,6,65,13]),function(j,i,C,D,b,R,T,P,c){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.logStorage=i.InMemoryStorageService=i.AbstractStorageService=i.StorageTarget=i.StorageScope=i.WillSaveStateReason=i.IStorageService=i.IS_NEW_KEY=void 0,i.IS_NEW_KEY="__$__isNewStorageMarker";const w="__$__targetStorageMarker";i.IStorageService=(0,c.createDecorator)("storageService");var I;(function(a){a[a.NONE=0]="NONE",a[a.SHUTDOWN=1]="SHUTDOWN"})(I=i.WillSaveStateReason||(i.WillSaveStateReason={}));var L;(function(a){a[a.GLOBAL=0]="GLOBAL",a[a.WORKSPACE=1]="WORKSPACE"})(L=i.StorageScope||(i.StorageScope={}));var h;(function(a){a[a.USER=0]="USER",a[a.MACHINE=1]="MACHINE"})(h=i.StorageTarget||(i.StorageTarget={}));class y extends b.Disposable{constructor(f={flushInterval:y.DEFAULT_FLUSH_INTERVAL}){super();this.options=f,this._onDidChangeValue=this._register(new D.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new D.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new D.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new C.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new b.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,C.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,b.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{(0,R.mark)("code/willInitStorage");try{await this.doInitialize()}finally{(0,R.mark)("code/didInitStorage")}this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(f,v){v===w?(f===0?this._globalKeyTargets=void 0:f===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:f})):this._onDidChangeValue.fire({scope:f,key:v,target:this.getKeyTargets(f)[v]})}emitWillSaveState(f){this._onWillSaveState.fire({reason:f})}get(f,v,p){return this.getStorage(v)?.get(f,p)}getBoolean(f,v,p){return this.getStorage(v)?.getBoolean(f,p)}getNumber(f,v,p){return this.getStorage(v)?.getNumber(f,p)}store(f,v,p,m){if((0,T.isUndefinedOrNull)(v)){this.remove(f,p);return}this.withPausedEmitters(()=>{this.updateKeyTarget(f,p,m),this.getStorage(p)?.set(f,v)})}remove(f,v){this.withPausedEmitters(()=>{this.updateKeyTarget(f,v,void 0),this.getStorage(v)?.delete(f)})}withPausedEmitters(f){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{f()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(f,v){const p=[],m=this.getKeyTargets(f);for(const o of Object.keys(m))m[o]===v&&p.push(o);return p}updateKeyTarget(f,v,p){const m=this.getKeyTargets(v);typeof p=="number"?m[f]!==p&&(m[f]=p,this.getStorage(v)?.set(w,JSON.stringify(m))):typeof m[f]=="number"&&(delete m[f],this.getStorage(v)?.set(w,JSON.stringify(m)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(f){return f===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(f){const v=this.get(w,f);if(v)try{return JSON.parse(v)}catch{}return Object.create(null)}isNew(f){return this.getBoolean(i.IS_NEW_KEY,f)===!0}async flush(f=I.NONE){this._onWillSaveState.fire({reason:f});const v=this.getStorage(0),p=this.getStorage(1);switch(f){case I.NONE:await C.Promises.settled([v?.whenFlushed()??Promise.resolve(),p?.whenFlushed()??Promise.resolve()]);break;case I.SHUTDOWN:await C.Promises.settled([v?.flush(0)??Promise.resolve(),p?.flush(0)??Promise.resolve()]);break}}async logStorage(){const f=this.getStorage(0)?.items??new Map,v=this.getStorage(1)?.items??new Map;return g(f,v,this.getLogDetails(0)??"",this.getLogDetails(1)??"")}}i.AbstractStorageService=y,y.DEFAULT_FLUSH_INTERVAL=60*1e3;class E extends y{constructor(){super();this.globalStorage=this._register(new P.Storage(new P.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new P.Storage(new P.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(f=>this.emitDidChangeValue(1,f))),this._register(this.globalStorage.onDidChangeStorage(f=>this.emitDidChangeValue(0,f)))}getStorage(f){return f===0?this.globalStorage:this.workspaceStorage}getLogDetails(f){return f===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(f){}}i.InMemoryStorageService=E;async function g(a,f,v,p){const m=l=>{try{return JSON.parse(l)}catch{return l}},o=new Map,t=new Map;a.forEach((l,u)=>{o.set(u,l),t.set(u,m(l))});const r=new Map,e=new Map;f.forEach((l,u)=>{r.set(u,l),e.set(u,m(l))}),console.group(`Storage: Global (path: ${v})`);let n=[];o.forEach((l,u)=>{n.push({key:u,value:l})}),console.table(n),console.groupEnd(),console.log(t),console.group(`Storage: Workspace (path: ${p})`);let s=[];r.forEach((l,u)=>{s.push({key:u,value:l})}),console.table(s),console.groupEnd(),console.log(e)}i.logStorage=g}),define(Y[117],Q([0,1,12,29,9,27]),function(j,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.verifyMicrosoftInternalDomain=i.resolveCommonProperties=void 0;function T(w){if(C.platform===2&&/^penguin(\.|$)/i.test(w))return"chromebook"}async function P(w,I,L,h,y,E,g,a,f,v){const p=Object.create(null);p["common.machineId"]=g,p.sessionID=(0,R.generateUuid)()+Date.now(),p.commitHash=y,p.version=E,p["common.platformVersion"]=(I||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),p["common.platform"]=(0,C.PlatformToString)(C.platform),p["common.nodePlatform"]=D.platform,p["common.nodeArch"]=h,p["common.product"]=v||"desktop";const m=c(a||[]);m&&(p["common.msftInternal"]=m);let o=0;const t=Date.now();Object.defineProperties(p,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-t,enumerable:!0},"common.sequence":{get:()=>o++,enumerable:!0}}),C.isLinuxSnap&&(p["common.snap"]="true");const r=T(L);r&&(p["common.platformDetail"]=r);try{const e=await w.readFile(b.URI.file(f));p["common.source"]=e.value.toString().slice(0,30)}catch{}return p}i.resolveCommonProperties=P;function c(w){const I=D.env.USERDNSDOMAIN;if(!I)return!1;const L=I.toLowerCase();return w.some(h=>L===h)}i.verifyMicrosoftInternalDomain=c}),define(Y[31],Q([0,1,13]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.TelemetryConfiguration=i.TelemetryLevel=i.TELEMETRY_OLD_SETTING_ID=i.TELEMETRY_SETTING_ID=i.TELEMETRY_SECTION_ID=i.machineIdKey=i.lastSessionDateStorageKey=i.firstSessionDateStorageKey=i.currentSessionDateStorageKey=i.ICustomEndpointTelemetryService=i.ITelemetryService=void 0,i.ITelemetryService=(0,C.createDecorator)("telemetryService"),i.ICustomEndpointTelemetryService=(0,C.createDecorator)("customEndpointTelemetryService"),i.currentSessionDateStorageKey="telemetry.currentSessionDate",i.firstSessionDateStorageKey="telemetry.firstSessionDate",i.lastSessionDateStorageKey="telemetry.lastSessionDate",i.machineIdKey="telemetry.machineId",i.TELEMETRY_SECTION_ID="telemetry",i.TELEMETRY_SETTING_ID="telemetry.telemetryLevel",i.TELEMETRY_OLD_SETTING_ID="telemetry.enableTelemetry";var D;(function(R){R[R.NONE=0]="NONE",R[R.CRASH=1]="CRASH",R[R.ERROR=2]="ERROR",R[R.USAGE=3]="USAGE"})(D=i.TelemetryLevel||(i.TelemetryLevel={}));var b;(function(R){R.OFF="off",R.CRASH="crash",R.ERROR="error",R.ON="all"})(b=i.TelemetryConfiguration||(i.TelemetryConfiguration={}))}),define(Y[118],Q([0,1,18,3,24,8,7,2,12,6,9,74,23,21,14,32,31]),function(j,i,C,D,b,R,T,P,c,w,I,L,h,y,E,g,a){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.AbstractExtensionTask=i.reportTelemetry=i.joinErrors=i.AbstractExtensionManagementService=void 0;let f=class extends P.Disposable{constructor(r,e,n,s){super();this.galleryService=r,this.telemetryService=e,this.logService=n,this.productService=s,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new T.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtensions=this._register(new T.Emitter),this.onDidInstallExtensions=this._onDidInstallExtensions.event,this._onUninstallExtension=this._register(new T.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new T.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this.participants=[],this._register((0,P.toDisposable)(()=>{this.installingExtensions.forEach(l=>l.cancel()),this.uninstallingExtensions.forEach(l=>l.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async canInstall(r){const e=await this.getTargetPlatform();return r.allTargetPlatforms.some(n=>(0,h.isTargetPlatformCompatible)(n,r.allTargetPlatforms,e))}async installFromGallery(r,e={}){try{if(!this.galleryService.isEnabled())throw new h.ExtensionManagementError(L.localize(0,null),h.ExtensionManagementErrorCode.Internal);const n=await this.checkAndGetCompatibleVersion(r,!e.installGivenVersion,!!e.installPreReleaseVersion);return await this.installExtension(n.manifest,n.extension,e)}catch(n){throw m(this.telemetryService,"extensionGallery:install",(0,y.getGalleryExtensionTelemetryData)(r),void 0,n),this.logService.error("Failed to install extension.",r.identifier.id),this.logService.error(n),p(n)}}async uninstall(r,e={}){return this.logService.trace("ExtensionManagementService#uninstall",r.identifier.id),this.unininstallExtension(r,e)}async reinstallFromGallery(r){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",r.identifier.id),!this.galleryService.isEnabled())throw new Error(L.localize(1,null));const e=await this.getTargetPlatform(),[n]=await this.galleryService.getExtensions([{...r.identifier,preRelease:r.preRelease}],{targetPlatform:e,compatible:!0},b.CancellationToken.None);if(!n)throw new Error(L.localize(2,null));await this.createUninstallExtensionTask(r,{remove:!0,versionOnly:!0}).run(),await this.installFromGallery(n)}getExtensionsControlManifest(){const r=new Date().getTime();return(!this.extensionsControlManifest||r-this.lastReportTimestamp>1e3*60*5)&&(this.extensionsControlManifest=this.updateControlCache(),this.lastReportTimestamp=r),this.extensionsControlManifest}registerParticipant(r){this.participants.push(r)}async installExtension(r,e,n){if(!I.URI.isUri(e)){let S=this.installingExtensions.get(new y.ExtensionIdentifierWithVersion(e.identifier,e.version).key());if(S)return this.logService.info("Extensions is already requested to install",e.identifier.id),S.waitUntilTaskIsFinished();n={...n,installOnlyNewlyAddedFromExtensionPack:!0}}const s=[],l=[],u=this.createInstallExtensionTask(r,e,n);I.URI.isUri(e)||this.installingExtensions.set(new y.ExtensionIdentifierWithVersion(u.identifier,r.version).key(),u),this._onInstallExtension.fire({identifier:u.identifier,source:e}),this.logService.info("Installing extension:",u.identifier.id),s.push({task:u,manifest:r});let d=!1;try{if(n.donotIncludePackAndDependencies)this.logService.info("Installing the extension without checking dependencies and pack",u.identifier.id);else try{const O=await this.getAllDepsAndPackExtensionsToInstall(u.identifier,r,!!n.installOnlyNewlyAddedFromExtensionPack,!!n.installPreReleaseVersion);for(const{gallery:N,manifest:_}of O)if(d=d||!!_.extensionDependencies?.some(J=>(0,y.areSameExtensions)({id:J},u.identifier)),this.installingExtensions.has(new y.ExtensionIdentifierWithVersion(N.identifier,N.version).key()))this.logService.info("Extension is already requested to install",N.identifier.id);else{const J=this.createInstallExtensionTask(_,N,{...n,donotIncludePackAndDependencies:!0});this.installingExtensions.set(new y.ExtensionIdentifierWithVersion(J.identifier,_.version).key(),J),this._onInstallExtension.fire({identifier:J.identifier,source:N}),this.logService.info("Installing extension:",J.identifier.id),s.push({task:J,manifest:_})}}catch(O){if(I.URI.isUri(u.source))(0,C.isNonEmptyArray)(r.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",u.identifier.id,O.message),(0,C.isNonEmptyArray)(r.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",u.identifier.id,O.message);else throw this.logService.error("Error while preparing to install dependencies and extension packs of the extension:",u.identifier.id),O}const S=s.reduce((O,{task:N,manifest:_})=>(O.set(N.identifier.id.toLowerCase(),{task:N,manifest:_}),O),new Map);for(;S.size;){let O;const N=[...S.values()].filter(({manifest:_})=>!_.extensionDependencies?.some(J=>S.has(J.toLowerCase())));N.length?O=S.size===1?N:N.filter(({task:_})=>!(_===u&&!d)):(this.logService.info("Found extensions with circular dependencies",N.map(({task:_})=>_.identifier.id)),O=[...S.values()]),await this.joinAllSettled(O.map(async({task:_})=>{const J=new Date().getTime(),re=(0,w.isUndefined)(n.operation)?_.operation:n.operation;try{const ee=await _.run();if(await this.joinAllSettled(this.participants.map(ie=>ie.postInstall(ee,_.source,n,b.CancellationToken.None))),!I.URI.isUri(_.source)&&(m(this.telemetryService,re===3?"extensionGallery:update":"extensionGallery:install",(0,y.getGalleryExtensionTelemetryData)(_.source),new Date().getTime()-J,void 0),c.isWeb&&re!==3))try{await this.galleryService.reportStatistic(ee.manifest.publisher,ee.manifest.name,ee.manifest.version,"install")}catch{}l.push({local:ee,identifier:_.identifier,operation:re,source:_.source})}catch(ee){throw I.URI.isUri(_.source)||m(this.telemetryService,re===3?"extensionGallery:update":"extensionGallery:install",(0,y.getGalleryExtensionTelemetryData)(_.source),new Date().getTime()-J,ee),this.logService.error("Error while installing the extension:",_.identifier.id),ee}finally{S.delete(_.identifier.id.toLowerCase())}}))}return l.forEach(({identifier:O})=>this.logService.info("Extension installed successfully:",O.id)),this._onDidInstallExtensions.fire(l),l.filter(({identifier:O})=>(0,y.areSameExtensions)(O,u.identifier))[0].local}catch(S){if(s.forEach(({task:O})=>O.cancel()),l.length)try{const O=await Promise.allSettled(l.map(({local:N})=>this.createUninstallExtensionTask(N,{versionOnly:!0}).run()));for(let N=0;N<O.length;N++){const _=O[N],{identifier:J}=l[N];_.status==="fulfilled"?this.logService.info("Rollback: Uninstalled extension",J.id):this.logService.warn("Rollback: Error while uninstalling extension",J.id,(0,R.getErrorMessage)(_.reason))}}catch(O){this.logService.warn("Error while rolling back extensions",(0,R.getErrorMessage)(O),l.map(({identifier:N})=>N.id))}throw this._onDidInstallExtensions.fire(s.map(({task:O})=>({identifier:O.identifier,operation:2,source:O.source}))),S}finally{for(const{task:S,manifest:O}of s)if(!I.URI.isUri(S.source)){const N=new y.ExtensionIdentifierWithVersion(S.identifier,O.version).key();this.installingExtensions.delete(N)||this.logService.warn("Installation task is not found in the cache",N)}}}async joinAllSettled(r){const e=[],n=[],s=await Promise.allSettled(r);for(const l of s)l.status==="fulfilled"?e.push(l.value):n.push(l.reason);if(n.length)throw v(n);return e}async getAllDepsAndPackExtensionsToInstall(r,e,n,s){if(!this.galleryService.isEnabled())return[];let l=await this.getInstalled();const u=[r,...l.map(O=>O.identifier)],d=[],S=async(O,N)=>{const _=N.extensionDependencies||[],J=[..._];if(N.extensionPack){const re=n?l.find(ee=>(0,y.areSameExtensions)(ee.identifier,O)):void 0;for(const ee of N.extensionPack)re&&re.manifest.extensionPack&&re.manifest.extensionPack.some(ie=>(0,y.areSameExtensions)({id:ie},{id:ee}))||J.every(ie=>!(0,y.areSameExtensions)({id:ie},{id:ee}))&&J.push(ee)}if(J.length){const re=[...u,...d.map(ie=>ie.gallery.identifier)],ee=J.filter(ie=>re.every(he=>!(0,y.areSameExtensions)(he,{id:ie})));if(ee.length){const ie=await this.galleryService.getExtensions(ee.map(he=>({id:he,preRelease:s})),b.CancellationToken.None);for(const he of ie){if(re.find(te=>(0,y.areSameExtensions)(te,he.identifier)))continue;const ue=_.some(te=>(0,y.areSameExtensions)({id:te},he.identifier));let x;try{x=await this.checkAndGetCompatibleVersion(he,!0,s)}catch(te){if(te instanceof h.ExtensionManagementError&&te.code===h.ExtensionManagementErrorCode.IncompatibleTargetPlatform&&!ue){this.logService.info("Skipping the packed extension as it cannot be installed",he.identifier.id);continue}else throw te}d.push({gallery:x.extension,manifest:x.manifest}),await S(x.extension.identifier,x.manifest)}}}};return await S(r,e),l=await this.getInstalled(),d.filter(O=>!l.some(N=>(0,y.areSameExtensions)(N.identifier,O.gallery.identifier)))}async checkAndGetCompatibleVersion(r,e,n){const s=await this.getExtensionsControlManifest();if((0,y.getMaliciousExtensionsSet)(s).has(r.identifier.id))throw new h.ExtensionManagementError(L.localize(3,null,r.identifier.id),h.ExtensionManagementErrorCode.Malicious);if(!!s.unsupportedPreReleaseExtensions&&!!s.unsupportedPreReleaseExtensions[r.identifier.id])throw new h.ExtensionManagementError(L.localize(4,null,r.identifier.id,s.unsupportedPreReleaseExtensions[r.identifier.id].displayName),h.ExtensionManagementErrorCode.UnsupportedPreRelease);if(!await this.canInstall(r)){const d=await this.getTargetPlatform();throw new h.ExtensionManagementError(L.localize(5,null,r.identifier.id,this.productService.nameLong,(0,h.TargetPlatformToString)(d)),h.ExtensionManagementErrorCode.IncompatibleTargetPlatform)}const l=await this.getCompatibleVersion(r,e,n);if(l){if(n&&e&&r.hasPreReleaseVersion&&!l.properties.isPreReleaseVersion)throw new h.ExtensionManagementError(L.localize(6,null,r.identifier.id,this.productService.nameLong,this.productService.version),h.ExtensionManagementErrorCode.IncompatiblePreRelease)}else throw!n&&r.properties.isPreReleaseVersion&&(await this.galleryService.getExtensions([r.identifier],b.CancellationToken.None))[0]?new h.ExtensionManagementError(L.localize(7,null,r.identifier.id),h.ExtensionManagementErrorCode.ReleaseVersionNotFound):new h.ExtensionManagementError(L.localize(8,null,r.identifier.id,this.productService.nameLong,this.productService.version),h.ExtensionManagementErrorCode.Incompatible);this.logService.info("Getting Manifest...",l.identifier.id);const u=await this.galleryService.getManifest(l,b.CancellationToken.None);if(u===null)throw new h.ExtensionManagementError(`Missing manifest for extension ${r.identifier.id}`,h.ExtensionManagementErrorCode.Invalid);if(u.version!==l.version)throw new h.ExtensionManagementError(`Cannot install '${r.identifier.id}' extension because of version mismatch in Marketplace`,h.ExtensionManagementErrorCode.Invalid);return{extension:l,manifest:u}}async getCompatibleVersion(r,e,n){const s=await this.getTargetPlatform();let l=null;return e&&r.hasPreReleaseVersion&&r.properties.isPreReleaseVersion!==n&&(l=(await this.galleryService.getExtensions([{...r.identifier,preRelease:n}],{targetPlatform:s,compatible:!0},b.CancellationToken.None))[0]||null),!l&&await this.galleryService.isExtensionCompatible(r,n,s)&&(l=r),!l&&e&&(l=await this.galleryService.getCompatibleExtension(r,n,s)),l}async unininstallExtension(r,e){const n=this.uninstallingExtensions.get(r.identifier.id.toLowerCase());if(n)return this.logService.info("Extensions is already requested to uninstall",r.identifier.id),n.waitUntilTaskIsFinished();const s=(S,O)=>{const N=this.createUninstallExtensionTask(S,O);return this.uninstallingExtensions.set(N.extension.identifier.id.toLowerCase(),N),this.logService.info("Uninstalling extension:",S.identifier.id),this._onUninstallExtension.fire(S.identifier),N},l=(S,O)=>{O?this.logService.error("Failed to uninstall extension:",S.identifier.id,O.message):this.logService.info("Successfully uninstalled extension:",S.identifier.id),m(this.telemetryService,"extensionGallery:uninstall",(0,y.getLocalExtensionTelemetryData)(S),void 0,O),this._onDidUninstallExtension.fire({identifier:S.identifier,error:O?.code})},u=[],d=[];try{u.push(s(r,{}));const S=await this.getInstalled(1);if(e.donotIncludePack)this.logService.info("Uninstalling the extension without including packed extension",r.identifier.id);else{const O=this.getAllPackExtensionsToUninstall(r,S);for(const N of O)this.uninstallingExtensions.has(N.identifier.id.toLowerCase())?this.logService.info("Extensions is already requested to uninstall",N.identifier.id):u.push(s(N,{}))}e.donotCheckDependents?this.logService.info("Uninstalling the extension without checking dependents",r.identifier.id):this.checkForDependents(u.map(O=>O.extension),S,r),await this.joinAllSettled(u.map(async O=>{try{if(await O.run(),await this.joinAllSettled(this.participants.map(N=>N.postUninstall(O.extension,e,b.CancellationToken.None))),O.extension.identifier.uuid)try{await this.galleryService.reportStatistic(O.extension.manifest.publisher,O.extension.manifest.name,O.extension.manifest.version,"uninstall")}catch{}l(O.extension)}catch(N){const _=N instanceof h.ExtensionManagementError?N:new h.ExtensionManagementError((0,R.getErrorMessage)(N),h.ExtensionManagementErrorCode.Internal);throw l(O.extension,_),_}finally{d.push(O)}}))}catch(S){const O=S instanceof h.ExtensionManagementError?S:new h.ExtensionManagementError((0,R.getErrorMessage)(S),h.ExtensionManagementErrorCode.Internal);for(const N of u){try{N.cancel()}catch{}d.includes(N)||l(N.extension,O)}throw O}finally{for(const S of u)this.uninstallingExtensions.delete(S.extension.identifier.id.toLowerCase())||this.logService.warn("Uninstallation task is not found in the cache",S.extension.identifier.id)}}checkForDependents(r,e,n){for(const s of r){const l=this.getDependents(s,e);if(l.length){const u=l.filter(d=>!r.some(S=>(0,y.areSameExtensions)(S.identifier,d.identifier)));if(u.length)throw new Error(this.getDependentsErrorMessage(s,u,n))}}}getDependentsErrorMessage(r,e,n){return n===r?e.length===1?L.localize(9,null,n.manifest.displayName||n.manifest.name,e[0].manifest.displayName||e[0].manifest.name):e.length===2?L.localize(10,null,n.manifest.displayName||n.manifest.name,e[0].manifest.displayName||e[0].manifest.name,e[1].manifest.displayName||e[1].manifest.name):L.localize(11,null,n.manifest.displayName||n.manifest.name,e[0].manifest.displayName||e[0].manifest.name,e[1].manifest.displayName||e[1].manifest.name):e.length===1?L.localize(12,null,n.manifest.displayName||n.manifest.name,r.manifest.displayName||r.manifest.name,e[0].manifest.displayName||e[0].manifest.name):e.length===2?L.localize(13,null,n.manifest.displayName||n.manifest.name,r.manifest.displayName||r.manifest.name,e[0].manifest.displayName||e[0].manifest.name,e[1].manifest.displayName||e[1].manifest.name):L.localize(14,null,n.manifest.displayName||n.manifest.name,r.manifest.displayName||r.manifest.name,e[0].manifest.displayName||e[0].manifest.name,e[1].manifest.displayName||e[1].manifest.name)}getAllPackExtensionsToUninstall(r,e,n=[]){if(n.indexOf(r)!==-1)return[];n.push(r);const s=r.manifest.extensionPack?r.manifest.extensionPack:[];if(s.length){const l=e.filter(d=>!d.isBuiltin&&s.some(S=>(0,y.areSameExtensions)({id:S},d.identifier))),u=[];for(const d of l)u.push(...this.getAllPackExtensionsToUninstall(d,e,n));return[...l,...u]}return[]}getDependents(r,e){return e.filter(n=>n.manifest.extensionDependencies&&n.manifest.extensionDependencies.some(s=>(0,y.areSameExtensions)({id:s},r.identifier)))}async updateControlCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const r=await this.galleryService.getExtensionsControlManifest();return this.logService.trace("ExtensionManagementService.refreshControlCache",r),r}catch{return this.logService.trace("ExtensionManagementService.refreshControlCache - failed to get extension control manifest"),{malicious:[]}}}};f=ge([oe(0,h.IExtensionGalleryService),oe(1,a.ITelemetryService),oe(2,E.ILogService),oe(3,g.IProductService)],f),i.AbstractExtensionManagementService=f;function v(t){const r=Array.isArray(t)?t:[t];return r.length===1?r[0]instanceof Error?r[0]:new Error(r[0]):r.reduce((e,n)=>new Error(`${e.message}${e.message?",":""}${n instanceof Error?n.message:n}`),new Error(""))}i.joinErrors=v;function p(t){if(t instanceof h.ExtensionManagementError)return t;const r=new h.ExtensionManagementError(t.message,h.ExtensionManagementErrorCode.Internal);return r.stack=t.stack,r}function m(t,r,e,n,s){const l=s?s instanceof h.ExtensionManagementError?s.code:h.ExtensionManagementErrorCode.Internal:void 0;t.publicLogError(r,{...e,success:!s,duration:n,errorcode:l})}i.reportTelemetry=m;class o{constructor(){this.barrier=new D.Barrier}async waitUntilTaskIsFinished(){return await this.barrier.wait(),this.cancellablePromise}async run(){return this.cancellablePromise||(this.cancellablePromise=(0,D.createCancelablePromise)(r=>this.doRun(r))),this.barrier.open(),this.cancellablePromise}cancel(){this.cancellablePromise||(this.cancellablePromise=(0,D.createCancelablePromise)(r=>new Promise((e,n)=>{const s=r.onCancellationRequested(()=>{s.dispose(),n((0,R.canceled)())})})),this.barrier.open()),this.cancellablePromise.cancel()}}i.AbstractExtensionTask=o}),define(Y[36],Q([0,1,22,6,25,31]),function(j,i,C,D,b,R){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.cleanRemoteAuthority=i.validateTelemetryData=i.getTelemetryLevel=i.supportsTelemetry=i.configurationTelemetry=i.NullAppender=i.NullEndpointTelemetryService=i.NullTelemetryService=i.NullTelemetryServiceShape=void 0;class T{constructor(){this.sendErrorTelemetry=!1,this.telemetryLevel=0}publicLog(f,v){return Promise.resolve(void 0)}publicLog2(f,v){return this.publicLog(f,v)}publicLogError(f,v){return Promise.resolve(void 0)}publicLogError2(f,v){return this.publicLogError(f,v)}setExperimentProperty(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}}i.NullTelemetryServiceShape=T,i.NullTelemetryService=new T;class P{async publicLog(f,v,p){}async publicLogError(f,v,p){}}i.NullEndpointTelemetryService=P,i.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function c(a,f){return f.onDidChangeConfiguration(v=>{v.source!==6&&a.publicLog2("updateConfiguration",{configurationSource:(0,b.ConfigurationTargetToString)(v.source),configurationKeys:E(v.sourceConfig)})})}i.configurationTelemetry=c;function w(a,f){return!(f.disableTelemetry||!a.enableTelemetry||f.extensionTestsLocationURI)}i.supportsTelemetry=w;function I(a){const f=a.getValue(R.TELEMETRY_SETTING_ID),v=a.getValue("telemetry.enableCrashReporter");if(a.getValue(R.TELEMETRY_OLD_SETTING_ID)===!1||v===!1)return 0;switch(f??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}i.getTelemetryLevel=I;function L(a){const f=Object.create(null),v=Object.create(null),p=Object.create(null);y(a,p);for(let m in p){m=m.length>150?m.substr(m.length-149):m;const o=p[m];typeof o=="number"?v[m]=o:typeof o=="boolean"?v[m]=o?1:0:typeof o=="string"?(o.length>8192&&console.warn(`Telemetry property: ${m} has been trimmed to 8192, the original length is ${o.length}`),f[m]=o.substring(0,8191)):typeof o!="undefined"&&o!==null&&(f[m]=o)}return{properties:f,measurements:v}}i.validateTelemetryData=L;function h(a){if(!a)return"none";let f="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(p=>{a.indexOf(`${p}+`)===0&&(f=p)}),f}i.cleanRemoteAuthority=h;function y(a,f,v=0,p){if(!!a)for(let m of Object.getOwnPropertyNames(a)){const o=a[m],t=p?p+m:m;Array.isArray(o)?f[t]=(0,C.safeStringify)(o):o instanceof Date?f[t]=o.toISOString():(0,D.isObject)(o)?v<2?y(o,f,v+1,t+"."):f[t]=(0,C.safeStringify)(o):f[t]=o}}function E(a){if(!a)return[];const f=[];return g(f,"",a),f}function g(a,f,v){v&&typeof v=="object"&&!Array.isArray(v)?Object.keys(v).forEach(p=>g(a,f?`${f}.${p}`:p,v[p])):a.push(f)}}),define(Y[119],Q([0,1,91,36]),function(j,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.resolveMarketplaceHeaders=void 0;async function b(R,T,P,c,w,I){const L={"X-Market-Client-Id":`VSCode ${R}`,"User-Agent":`VSCode ${R} (${T.nameShort})`},h=await(0,C.getServiceMachineId)(P,w,I);return(0,D.supportsTelemetry)(T,P)&&(0,D.getTelemetryLevel)(c)===3&&(L["X-Market-User-Id"]=h),L}i.resolveMarketplaceHeaders=b}),define(Y[120],Q([0,1,18,24,8,22,12,29,6,9,25,20,23,21,48,16,14,32,42,119,116,31]),function(j,i,C,D,b,R,T,P,c,w,I,L,h,y,E,g,a,f,v,p,m,o){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionGalleryServiceWithNoStorageService=i.ExtensionGalleryService=i.sortExtensionVersions=void 0;const t=T.isWeb?"web":(0,h.getTargetPlatform)(T.platform,P.arch);var r;(function(M){M[M.None=0]="None",M[M.IncludeVersions=1]="IncludeVersions",M[M.IncludeFiles=2]="IncludeFiles",M[M.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",M[M.IncludeSharedAccounts=8]="IncludeSharedAccounts",M[M.IncludeVersionProperties=16]="IncludeVersionProperties",M[M.ExcludeNonValidated=32]="ExcludeNonValidated",M[M.IncludeInstallationTargets=64]="IncludeInstallationTargets",M[M.IncludeAssetUri=128]="IncludeAssetUri",M[M.IncludeStatistics=256]="IncludeStatistics",M[M.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",M[M.Unpublished=4096]="Unpublished",M[M.IncludeNameConflictInfo=32768]="IncludeNameConflictInfo"})(r||(r={}));function e(...M){return String(M.reduce((A,V)=>A|V,0))}var n;(function(M){M[M.Tag=1]="Tag",M[M.ExtensionId=4]="ExtensionId",M[M.Category=5]="Category",M[M.ExtensionName=7]="ExtensionName",M[M.Target=8]="Target",M[M.Featured=9]="Featured",M[M.SearchText=10]="SearchText",M[M.ExcludeWithFlags=12]="ExcludeWithFlags"})(n||(n={}));const s={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},l={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",PreRelease:"Microsoft.VisualStudio.Code.PreRelease",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},d={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:r.None,criteria:[],assetTypes:[]};class S{constructor(A=d){this.state=A}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(A,V=this.state.pageSize){return new S({...this.state,pageNumber:A,pageSize:V})}withFilter(A,...V){const B=[...this.state.criteria,...V.length?V.map(H=>({filterType:A,value:H})):[{filterType:A}]];return new S({...this.state,criteria:B})}withSortBy(A){return new S({...this.state,sortBy:A})}withSortOrder(A){return new S({...this.state,sortOrder:A})}withFlags(...A){return new S({...this.state,flags:A.reduce((V,B)=>V|B,0)})}withAssetTypes(...A){return new S({...this.state,assetTypes:A})}get raw(){const{criteria:A,pageNumber:V,pageSize:B,sortBy:H,sortOrder:X,flags:ae,assetTypes:ce}=this.state;return{filters:[{criteria:A,pageNumber:V,pageSize:B,sortBy:H,sortOrder:X}],assetTypes:ce,flags:ae}}get searchText(){const A=this.state.criteria.filter(V=>V.filterType===n.SearchText)[0];return A&&A.value?A.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(A=>String(A.filterType)),flags:this.state.flags,sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function O(M,A){const V=(M||[]).filter(B=>B.statisticName===A)[0];return V?V.value:0}function N(M){const A="Microsoft.VisualStudio.Code.Translation.";return M.files.filter(B=>B.assetType.indexOf(A)===0).reduce((B,H)=>{const X=ee(M,H.assetType);return X&&B.push([H.assetType.substring(A.length),X]),B},[])}function _(M){if(M.properties){const A=M.properties.filter(H=>H.key===s.Repository),V=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),B=A.filter(H=>V.test(H.value))[0];return B?{uri:B.value,fallbackUri:B.value}:null}return ee(M,s.Repository)}function J(M){return{uri:`${M.fallbackAssetUri}/${s.VSIX}?redirect=true${M.targetPlatform?`&targetPlatform=${M.targetPlatform}`:""}`,fallbackUri:`${M.fallbackAssetUri}/${s.VSIX}${M.targetPlatform?`?targetPlatform=${M.targetPlatform}`:""}`}}function re(M){const A=ee(M,s.Icon);if(A)return A;const V=h.DefaultIconPath;return{uri:V,fallbackUri:V}}function ee(M,A){return M.files.filter(B=>B.assetType===A)[0]?{uri:`${M.assetUri}/${A}${M.targetPlatform?`?targetPlatform=${M.targetPlatform}`:""}`,fallbackUri:`${M.fallbackAssetUri}/${A}${M.targetPlatform?`?targetPlatform=${M.targetPlatform}`:""}`}:null}function ie(M,A){const V=M.properties?M.properties.filter(H=>H.key===A):[],B=V.length>0&&V[0].value;return B?B.split(",").map(H=>(0,y.adoptToGalleryExtensionId)(H)):[]}function he(M){const A=M.properties?M.properties.filter(V=>V.key===l.Engine):[];return A.length>0&&A[0].value||""}function ue(M){const A=M.properties?M.properties.filter(V=>V.key===l.PreRelease):[];return A.length>0&&A[0].value==="true"}function x(M){const A=M.properties?M.properties.filter(B=>B.key===l.LocalizedLanguages):[],V=A.length>0&&A[0].value||"";return V?V.split(","):[]}function te(M){return M.indexOf("preview")!==-1}function U(M){return M.targetPlatform?(0,h.toTargetPlatform)(M.targetPlatform):"undefined"}function k(M){const A=(0,C.distinct)(M.versions.map(U)),V=!!M.tags?.includes(h.WEB_EXTENSION_TAG),B=A.indexOf("web");return V?B===-1&&A.push("web"):B!==-1&&A.splice(B,1),A}function z(M,A){const V=(0,h.getFallbackTargetPlarforms)(A);for(let B=0;B<M.length;B++){const H=M[B];if(H.version===M[B-1]?.version){let X=B;const ae=U(H);if(ae===A)for(;X>0&&M[X-1].version===H.version;)X--;else if(V.includes(ae))for(;X>0&&M[X-1].version===H.version&&U(M[X-1])!==A;)X--;X!==B&&(M.splice(B,1),M.splice(X,0,H))}}return M}i.sortExtensionVersions=z;function G(M,A,V){M.telemetryData={index:A,querySource:V}}function ne(M,A,V){const B=M.versions[0],H={manifest:ee(A,s.Manifest),readme:ee(A,s.Details),changelog:ee(A,s.Changelog),license:ee(A,s.License),repository:_(A),download:J(A),icon:re(A),coreTranslations:N(A)};return{identifier:{id:(0,y.getGalleryExtensionId)(M.publisher.publisherName,M.extensionName),uuid:M.extensionId},name:M.extensionName,version:A.version,displayName:M.displayName,publisherId:M.publisher.publisherId,publisher:M.publisher.publisherName,publisherDisplayName:M.publisher.displayName,publisherDomain:M.publisher.domain?{link:M.publisher.domain,verified:!!M.publisher.isDomainVerified}:void 0,description:M.shortDescription||"",installCount:O(M.statistics,"install"),rating:O(M.statistics,"averagerating"),ratingCount:O(M.statistics,"ratingcount"),categories:M.categories||[],tags:M.tags||[],releaseDate:Date.parse(M.releaseDate),lastUpdated:Date.parse(M.lastUpdated),allTargetPlatforms:V,assets:H,properties:{dependencies:ie(A,l.Dependency),extensionPack:ie(A,l.ExtensionPack),engine:he(A),localizedLanguages:x(A),targetPlatform:U(A),isPreReleaseVersion:ue(A)},hasPreReleaseVersion:ue(B),hasReleaseVersion:!0,preview:te(M.flags)}}let K=class{constructor(A,V,B,H,X,ae,ce,we){this.requestService=V,this.logService=B,this.environmentService=H,this.telemetryService=X,this.fileService=ae,this.productService=ce,this.configurationService=we;const fe=ce.extensionsGallery;this.extensionsGalleryUrl=fe&&fe.serviceUrl,this.extensionsControlUrl=fe&&fe.controlUrl,this.commonHeadersPromise=(0,p.resolveMarketplaceHeaders)(ce.version,ce,this.environmentService,this.configurationService,this.fileService,A)}api(A=""){return`${this.extensionsGalleryUrl}${A}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(A,V,B){const H=D.CancellationToken.isCancellationToken(V)?{}:V,X=D.CancellationToken.isCancellationToken(V)?V:B,ae=[],ce=[],we=[],fe=[];let se=!0;for(const Ee of A){Ee.uuid?ce.push(Ee.uuid):ae.push(Ee.id);const Ie=!!(Ee.version||Ee.preRelease);we.push({id:Ee.id,uuid:Ee.uuid,includePreRelease:Ie}),Ee.version&&fe.push({id:Ee.id,uuid:Ee.uuid,version:Ee.version}),se=se&&!!Ee.hasPreRelease&&!Ie}if(!ce.length&&!ae.length)return[];let pe=new S().withPage(1,A.length);ce.length&&(pe=pe.withFilter(n.ExtensionId,...ce)),ae.length&&(pe=pe.withFilter(n.ExtensionName,...ae)),(H.queryAllVersions||se)&&(pe=pe.withFlags(pe.flags,r.IncludeVersions));const{extensions:me}=await this.queryGalleryExtensions(pe,{targetPlatform:H.targetPlatform??t,includePreRelease:we,versions:fe,compatible:!!H.compatible},X);return H.source&&me.forEach((Ee,Ie)=>G(Ee,Ie,H.source)),me}async getCompatibleExtension(A,V,B){if((0,h.isNotWebExtensionInWebTargetPlatform)(A.allTargetPlatforms,B))return null;if(await this.isExtensionCompatible(A,V,B))return A;const H=new S().withFlags(r.IncludeVersions).withPage(1,1).withFilter(n.ExtensionId,A.identifier.uuid),{extensions:X}=await this.queryGalleryExtensions(H,{targetPlatform:B,compatible:!0,includePreRelease:V},D.CancellationToken.None);return X[0]||null}async isExtensionCompatible(A,V,B){if(!(0,h.isTargetPlatformCompatible)(A.properties.targetPlatform,A.allTargetPlatforms,B)||!V&&A.properties.isPreReleaseVersion)return!1;let H=A.properties.engine;if(!H){const X=await this.getManifest(A,D.CancellationToken.None);if(!X)throw new Error("Manifest was not found");H=X.engines.vscode}return(0,E.isEngineValid)(H,this.productService.version,this.productService.date)}async isValidVersion(A,V,B,H,X){if(!(0,h.isTargetPlatformCompatible)(U(A),H,X)||V!=="any"&&ue(A)!==(V==="prerelease"))return!1;if(B){const ae=await this.getEngine(A);if(!(0,E.isEngineValid)(ae,this.productService.version,this.productService.date))return!1}return!0}async query(A,V){if(!this.isEnabled())throw new Error("No extension gallery service configured.");let B=A.text||"";const H=(0,R.getOrDefault)(A,se=>se.pageSize,50);let X=new S().withPage(1,H);B?(B=B.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(se,pe,me)=>(X=X.withFilter(n.Category,me||pe),"")),B=B.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(se,pe,me)=>(X=X.withFilter(n.Tag,me||pe),"")),B=B.replace(/\bfeatured(\s+|\b|$)/g,()=>(X=X.withFilter(n.Featured),"")),B=B.trim(),B&&(B=B.length<200?B:B.substring(0,200),X=X.withFilter(n.SearchText,B)),X=X.withSortBy(0)):A.ids?X=X.withFilter(n.ExtensionId,...A.ids):A.names?X=X.withFilter(n.ExtensionName,...A.names):X=X.withSortBy(4),typeof A.sortBy=="number"&&(X=X.withSortBy(A.sortBy)),typeof A.sortOrder=="number"&&(X=X.withSortOrder(A.sortOrder));const ae=async(se,pe)=>{const{extensions:me,total:Ee}=await this.queryGalleryExtensions(se,{targetPlatform:t,compatible:!1,includePreRelease:!!A.includePreRelease},pe);return me.forEach((Ie,Me)=>G(Ie,(se.pageNumber-1)*se.pageSize+Me,A.source)),{extensions:me,total:Ee}},{extensions:ce,total:we}=await ae(X,V),fe=async(se,pe)=>{if(pe.isCancellationRequested)throw new b.CancellationError;const{extensions:me}=await ae(X.withPage(se+1),pe);return me};return{firstPage:ce,total:we,pageSize:X.pageSize,getPage:fe}}async queryGalleryExtensions(A,V,B){const H=A.flags;!!(A.flags&r.IncludeLatestVersionOnly)&&!!(A.flags&r.IncludeVersions)&&(A=A.withFlags(A.flags&~r.IncludeVersions,r.IncludeLatestVersionOnly)),!(A.flags&r.IncludeLatestVersionOnly)&&!(A.flags&r.IncludeVersions)&&(A=A.withFlags(A.flags,r.IncludeLatestVersionOnly)),V.versions?.length&&(A=A.withFlags(A.flags&~r.IncludeLatestVersionOnly,r.IncludeVersions)),A=A.withFlags(A.flags,r.IncludeAssetUri,r.IncludeCategoryAndTags,r.IncludeFiles,r.IncludeStatistics,r.IncludeVersionProperties);const{galleryExtensions:X,total:ae}=await this.queryRawGalleryExtensions(A,B);if(!(A.flags&r.IncludeLatestVersionOnly)){const se=[];for(const pe of X){const me=await this.toGalleryExtensionWithCriteria(pe,V,!0);me&&se.push(me)}return{extensions:se,total:ae}}const we=[],fe=new Map;for(let se=0;se<X.length;se++){const pe=X[se],me={id:(0,y.getGalleryExtensionId)(pe.publisher.publisherName,pe.extensionName),uuid:pe.extensionId},Ee=(0,c.isBoolean)(V.includePreRelease)?V.includePreRelease:!!V.includePreRelease.find(Me=>(0,y.areSameExtensions)(Me,me))?.includePreRelease;let Ie=await this.toGalleryExtensionWithCriteria(pe,V,!1);!Ie||Ie.properties.isPreReleaseVersion&&(!Ee||!Ie.hasReleaseVersion)||!Ie.properties.isPreReleaseVersion&&Ie.properties.targetPlatform!==V.targetPlatform&&Ie.hasPreReleaseVersion?fe.set(pe.extensionId,se):we.push([se,Ie])}if(fe.size){const se=new Date().getTime(),pe=new S().withFlags(H&~r.IncludeLatestVersionOnly,r.IncludeVersions).withPage(1,fe.size).withFilter(n.ExtensionId,...fe.keys()),{extensions:me}=await this.queryGalleryExtensions(pe,V,B);this.telemetryService.publicLog2("galleryService:additionalQuery",{duration:new Date().getTime()-se,count:fe.size});for(const Ee of me){const Ie=fe.get(Ee.identifier.uuid);we.push([Ie,Ee])}}return{extensions:we.sort((se,pe)=>se[0]-pe[0]).map(([,se])=>se),total:ae}}async toGalleryExtensionWithCriteria(A,V,B){const H={id:(0,y.getGalleryExtensionId)(A.publisher.publisherName,A.extensionName),uuid:A.extensionId},X=V.versions?.find(fe=>(0,y.areSameExtensions)(fe,H))?.version,ae=(0,c.isBoolean)(V.includePreRelease)?V.includePreRelease:!!V.includePreRelease.find(fe=>(0,y.areSameExtensions)(fe,H))?.includePreRelease,ce=k(A),we=z(A.versions,V.targetPlatform);if(V.compatible&&B&&(0,h.isNotWebExtensionInWebTargetPlatform)(ce,V.targetPlatform))return null;for(let fe=0;fe<we.length;fe++){const se=we[fe];if(!(X&&se.version!==X)){if(await this.isValidVersion(se,ae?"any":"release",V.compatible,ce,V.targetPlatform))return ne(A,se,ce);if(X&&se.version===X)return null}}return X||V.compatible?null:ne(A,A.versions[0],ce)}async queryRawGalleryExtensions(A,V){if(!this.isEnabled())throw new Error("No extension gallery service configured.");A=A.withFlags(A.flags,r.ExcludeNonValidated).withFilter(n.Target,"Microsoft.VisualStudio.Code").withFilter(n.ExcludeWithFlags,e(r.Unpublished));const B=await this.commonHeadersPromise,H=JSON.stringify(A.raw),X={...B,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(H.length)},ae=new Date().getTime();let ce,we,fe=0;try{if(ce=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:H,headers:X},V),ce.res.statusCode&&ce.res.statusCode>=400&&ce.res.statusCode<500)return{galleryExtensions:[],total:fe};const se=await(0,v.asJson)(ce);if(se){const pe=se.results[0],me=pe.extensions,Ee=pe.resultMetadata&&pe.resultMetadata.filter(Ie=>Ie.metadataType==="ResultCount")[0];return fe=Ee&&Ee.metadataItems.filter(Ie=>Ie.name==="TotalCount")[0].count||0,{galleryExtensions:me,total:fe}}return{galleryExtensions:[],total:fe}}catch(se){throw we=se,se}finally{this.telemetryService.publicLog2("galleryService:query",{...A.telemetryData,requestBodySize:String(H.length),duration:new Date().getTime()-ae,success:!!ce&&(0,v.isSuccess)(ce),responseBodySize:ce?.res.headers["Content-Length"],statusCode:ce?String(ce.res.statusCode):void 0,errorCode:we?(0,b.isCancellationError)(we)?"canceled":(0,b.getErrorMessage)(we).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(fe)})}}async reportStatistic(A,V,B,H){if(!this.isEnabled())return;const X=T.isWeb?this.api(`/itemName/${A}.${V}/version/${B}/statType/${H==="install"?"1":"3"}/vscodewebextension`):this.api(`/publishers/${A}/extensions/${V}/${B}/stats?statType=${H}`),ae=T.isWeb?"api-version=6.1-preview.1":"*/*;api-version=4.0-preview.1",we={...await this.commonHeadersPromise,Accept:ae};try{await this.requestService.request({type:"POST",url:X,headers:we},D.CancellationToken.None)}catch{}}async download(A,V,B){this.logService.trace("ExtensionGalleryService#download",A.identifier.id);const H=(0,y.getGalleryExtensionTelemetryData)(A),X=new Date().getTime(),ae=se=>this.telemetryService.publicLog("galleryService:downloadVSIX",{...H,duration:se}),ce=B===2?"install":B===3?"update":"",we=ce?{uri:`${A.assets.download.uri}${w.URI.parse(A.assets.download.uri).query?"&":"?"}${ce}=true`,fallbackUri:`${A.assets.download.fallbackUri}${w.URI.parse(A.assets.download.fallbackUri).query?"&":"?"}${ce}=true`}:A.assets.download,fe=await this.getAsset(we);await this.fileService.writeFile(V,fe.stream),ae(new Date().getTime()-X)}async getReadme(A,V){if(A.assets.readme){const B=await this.getAsset(A.assets.readme,{},V);return await(0,v.asText)(B)||""}return""}async getManifest(A,V){if(A.assets.manifest){const B=await this.getAsset(A.assets.manifest,{},V),H=await(0,v.asText)(B);return H?JSON.parse(H):null}return null}async getManifestFromRawExtensionVersion(A,V){const B=ee(A,s.Manifest);if(!B)throw new Error("Manifest was not found");const H={"Accept-Encoding":"gzip"},X=await this.getAsset(B,{headers:H});return await(0,v.asJson)(X)}async getCoreTranslation(A,V){const B=A.assets.coreTranslations.filter(H=>H[0]===V.toUpperCase())[0];if(B){const H=await this.getAsset(B[1]),X=await(0,v.asText)(H);return X?JSON.parse(X):null}return null}async getChangelog(A,V){if(A.assets.changelog){const B=await this.getAsset(A.assets.changelog,{},V);return await(0,v.asText)(B)||""}return""}async getAllCompatibleVersions(A,V,B){let H=new S().withFlags(r.IncludeVersions,r.IncludeCategoryAndTags,r.IncludeFiles,r.IncludeVersionProperties).withPage(1,1);A.identifier.uuid?H=H.withFilter(n.ExtensionId,A.identifier.uuid):H=H.withFilter(n.ExtensionName,A.identifier.id);const{galleryExtensions:X}=await this.queryRawGalleryExtensions(H,D.CancellationToken.None);if(!X.length)return[];const ae=k(X[0]);if((0,h.isNotWebExtensionInWebTargetPlatform)(ae,B))return[];const ce=[],we=new Set;return await Promise.all(X[0].versions.map(async fe=>{try{if(we.has(fe.version))return;await this.isValidVersion(fe,V?"any":"release",!0,ae,B)&&(ce.push({version:fe.version,date:fe.lastUpdated,isPreReleaseVersion:ue(fe)}),we.add(fe.version))}catch{}})),ce}async getAsset(A,V={},B=D.CancellationToken.None){const H=await this.commonHeadersPromise,X={type:"GET"},ae={...H,...V.headers||{}};V={...V,...X,headers:ae};const ce=A.uri,we=A.fallbackUri,fe={...V,url:ce};try{const se=await this.requestService.request(fe,B);if(se.res.statusCode===200)return se;const pe=await(0,v.asText)(se);throw new Error(`Expected 200, got back ${se.res.statusCode} instead.

${pe}`)}catch(se){if((0,b.isCancellationError)(se))throw se;const pe=(0,b.getErrorMessage)(se);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:ce,message:pe});const me={...V,url:we};return this.requestService.request(me,B)}}async getEngine(A){let V=he(A);if(!V){const B=await this.getManifestFromRawExtensionVersion(A,D.CancellationToken.None);if(!B)throw new Error("Manifest was not found");V=B.engines.vscode}return V}async getExtensionsControlManifest(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return{malicious:[]};const A=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},D.CancellationToken.None);if(A.res.statusCode!==200)throw new Error("Could not get extensions report.");const V=await(0,v.asJson)(A),B=[],H={};if(V){for(const X of V.malicious)B.push({id:X});if(V.unsupported)for(const X of Object.keys(V.unsupported)){const ae=V.unsupported[X];(0,c.isBoolean)(ae)||(H[X.toLowerCase()]=ae.preReleaseExtension)}if(V.migrateToPreRelease)for(const[X,ae]of Object.entries(V.migrateToPreRelease))(!ae.engine||(0,E.isEngineValid)(ae.engine,this.productService.version,this.productService.date))&&(H[X.toLowerCase()]=ae)}return{malicious:B,unsupportedPreReleaseExtensions:H}}};K=ge([oe(1,v.IRequestService),oe(2,a.ILogService),oe(3,L.IEnvironmentService),oe(4,o.ITelemetryService),oe(5,g.IFileService),oe(6,f.IProductService),oe(7,I.IConfigurationService)],K);let Z=class extends K{constructor(A,V,B,H,X,ae,ce,we){super(A,V,B,H,X,ae,ce,we)}};Z=ge([oe(0,m.IStorageService),oe(1,v.IRequestService),oe(2,a.ILogService),oe(3,L.IEnvironmentService),oe(4,o.ITelemetryService),oe(5,g.IFileService),oe(6,f.IProductService),oe(7,I.IConfigurationService)],Z),i.ExtensionGalleryService=Z;let q=class extends K{constructor(A,V,B,H,X,ae,ce){super(void 0,A,V,B,H,X,ae,ce)}};q=ge([oe(0,v.IRequestService),oe(1,a.ILogService),oe(2,L.IEnvironmentService),oe(3,o.ITelemetryService),oe(4,g.IFileService),oe(5,f.IProductService),oe(6,I.IConfigurationService)],q),i.ExtensionGalleryServiceWithNoStorageService=q}),define(Y[121],Q([0,1,2,22,12,26,85,25,34,122,30,31,36]),function(j,i,C,D,b,R,T,P,c,w,I,L,h){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.TelemetryService=void 0;let y=class{constructor(a,f){this._configurationService=f,this._experimentProperties={},this._disposables=new C.DisposableStore,this._cleanupPatterns=[],this._appenders=a.appenders,this._commonProperties=a.commonProperties||Promise.resolve({}),this._piiPaths=a.piiPaths||[],this._telemetryLevel=3,this.sendErrorTelemetry=!!a.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let v of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,R.escapeRegExpCharacters)(v),"gi"));this._updateTelemetryLevel(),this._configurationService.onDidChangeConfiguration(this._updateTelemetryLevel,this,this._disposables)}setExperimentProperty(a,f){this._experimentProperties[a]=f}_updateTelemetryLevel(){this._telemetryLevel=(0,h.getTelemetryLevel)(this._configurationService)}get telemetryLevel(){return this._telemetryLevel}async getTelemetryInfo(){const a=await this._commonProperties;let f=a.sessionID,v=a["common.machineId"],p=a["common.firstSessionDate"],m=a["common.msftInternal"];return{sessionId:f,machineId:v,firstSessionDate:p,msftInternal:m}}dispose(){this._disposables.dispose()}_log(a,f,v,p){return this.telemetryLevel<f?Promise.resolve(void 0):this._commonProperties.then(m=>{v=(0,D.mixin)(v,m),v=(0,D.mixin)(v,this._experimentProperties),v=(0,D.cloneAndChange)(v,o=>{if(typeof o=="string")return this._cleanupInfo(o,p)}),this._appenders.forEach(o=>o.log(a,v))},m=>{console.error(m)})}publicLog(a,f,v){return this._log(a,3,f,v)}publicLog2(a,f,v){return this.publicLog(a,f,v)}publicLogError(a,f){return this.sendErrorTelemetry?this._log(a,2,f,!0):Promise.resolve(void 0)}publicLogError2(a,f){return this.publicLogError(a,f)}_anonymizeFilePaths(a){let f=a;const v=[];for(let t of this._cleanupPatterns)for(;;){const r=t.exec(a);if(!r)break;v.push([r.index,t.lastIndex])}const p=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,m=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let o=0;for(f="";;){const t=m.exec(a);if(!t)break;!p.test(t[0])&&v.every(([r,e])=>t.index<r||t.index>=e)&&(f+=a.substring(o,t.index)+"<REDACTED: user-file-path>",o=m.lastIndex)}return o<a.length&&(f+=a.substr(o)),f}_removePropertiesWithPossibleUserInfo(a){if(!a)return a;const f=a.toLowerCase(),v=/@[a-zA-Z0-9-.]+/,p=/(key|token|sig|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/,m=/xox[pbaors]\-[a-zA-Z0-9]+\-[a-zA-Z0-9\-]+?/;return p.test(f)?"<REDACTED: secret>":v.test(f)?"<REDACTED: email>":m.test(f)?"<REDACTED: token>":a}_cleanupInfo(a,f){let v=a;f&&(v=this._anonymizeFilePaths(v));for(let p of this._cleanupPatterns)v=v.replace(p,"");return v=this._removePropertiesWithPossibleUserInfo(v),v}};y.IDLE_START_EVENT_NAME="UserIdleStart",y.IDLE_STOP_EVENT_NAME="UserIdleStop",y=ge([oe(1,P.IConfigurationService)],y),i.TelemetryService=y;function E(){const g=(0,T.localize)(0,null,w.default.nameLong),a=w.default.privacyStatementUrl?(0,T.localize)(2,null,"https://aka.ms/vscode-telemetry",w.default.privacyStatementUrl):(0,T.localize)(1,null,"https://aka.ms/vscode-telemetry"),f=b.isWeb?"":(0,T.localize)(3,null),v=(0,T.localize)(4,null),p=(0,T.localize)(5,null),m=(0,T.localize)(6,null),o=(0,T.localize)(7,null),t=`
|       | ${v} | ${p} | ${m} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,r=(0,T.localize)(8,null);return`
${g} ${a} ${f}

&nbsp;

${o}
${t}

&nbsp;

${r}
`}I.Registry.as(c.Extensions.Configuration).registerConfiguration({id:L.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,T.localize)(9,null),properties:{[L.TELEMETRY_SETTING_ID]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,T.localize)(10,null),(0,T.localize)(11,null),(0,T.localize)(12,null),(0,T.localize)(13,null)],markdownDescription:E(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),I.Registry.as(c.Extensions.Configuration).registerConfiguration({id:L.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,T.localize)(14,null),properties:{[L.TELEMETRY_OLD_SETTING_ID]:{type:"boolean",markdownDescription:w.default.privacyStatementUrl?(0,T.localize)(16,null,w.default.nameLong,w.default.privacyStatementUrl):(0,T.localize)(15,null,w.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,T.localize)(17,null,`\`#${L.TELEMETRY_SETTING_ID}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(Y[123],Q([0,1,8,22,36]),function(j,i,C,D,b){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.AppInsightsAppender=void 0;async function R(P,c){const w=await new Promise((L,h)=>{j(["applicationinsights"],L,h)});let I;return w.defaultClient?(I=new w.TelemetryClient(P),I.channel.setUseDiskRetryCaching(!0)):(w.setup(P).setAutoCollectRequests(!1).setAutoCollectPerformance(!1).setAutoCollectExceptions(!1).setAutoCollectDependencies(!1).setAutoDependencyCorrelation(!1).setAutoCollectConsole(!1).setInternalLogging(!1,!1).setUseDiskRetryCaching(!0).start(),I=w.defaultClient),P.indexOf("AIF-")===0&&(I.config.endpointUrl=c?"https://mobile.events.data.microsoft.com/collect/v1":"https://vortex.data.microsoft.com/collect/v1"),I}class T{constructor(c,w,I,L,h){this._eventPrefix=c,this._defaultData=w,this.testCollector=L,this.mirrored=h,this._defaultData||(this._defaultData=Object.create(null)),typeof I=="function"?this._aiClient=I():this._aiClient=I,this._asyncAIClient=null}_withAIClient(c){if(!!this._aiClient){if(typeof this._aiClient!="string"){c(this._aiClient);return}this._asyncAIClient||(this._asyncAIClient=R(this._aiClient,this.testCollector??!1)),this._asyncAIClient.then(w=>{c(w)},w=>{(0,C.onUnexpectedError)(w),console.error(w)})}}log(c,w){if(!!this._aiClient){w=(0,D.mixin)(w,this._defaultData),w=(0,b.validateTelemetryData)(w),this.testCollector&&(w.properties["common.useragent"]=this.mirrored?"mirror-collector++":"collector++");try{this._withAIClient(I=>I.trackEvent({name:this._eventPrefix+"/"+c,properties:w.properties,measurements:w.measurements}))}catch{}}}flush(){return this._aiClient?new Promise(c=>{this._withAIClient(w=>{try{w.flush({callback:()=>{this._aiClient=void 0,c(void 0)}})}catch{}})}):Promise.resolve(void 0)}}i.AppInsightsAppender=T}),define(Y[124],Q([0,1,11,15]),function(j,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.buildTelemetryMessage=void 0;async function b(R,T){const P=Object.create(null),c=(I,L)=>{const h=JSON.parse(I);P[L]=h};if(T){const I=[],L=await D.Promises.readdir(T);for(const y of L)try{(await D.Promises.stat((0,C.join)(T,y))).isDirectory()&&I.push(y)}catch{}const h=[];for(const y of I)(await D.Promises.readdir((0,C.join)(T,y))).filter(g=>g==="telemetry.json").length===1&&h.push(y);for(const y of h){const E=(await D.Promises.readFile((0,C.join)(T,y,"telemetry.json"))).toString();c(E,y)}}let w=(await D.Promises.readFile((0,C.join)(R,"telemetry-core.json"))).toString();return c(w,"vscode-core"),w=(await D.Promises.readFile((0,C.join)(R,"telemetry-extensions.json"))).toString(),c(w,"vscode-extensions"),JSON.stringify(P,null,4)}i.buildTelemetryMessage=b}),define(Y[125],Q([0,1,39,11,86,24,28,8,12,27,70,138,3]),function(j,i,C,D,b,R,T,P,c,w,I,L,h){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getResolvedShellEnv=void 0;const y=1e4;let E;async function g(f,v,p){return v["force-disable-user-env"]?(f.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):c.isWindows?(f.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,L.isLaunchedFromCli)(p)&&!v["force-user-env"]?(f.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,L.isLaunchedFromCli)(p)?f.trace("resolveShellEnv(): running (--force-user-env)"):f.trace("resolveShellEnv(): running (macOS/Linux)"),E||(E=h.Promises.withAsyncBody(async(m,o)=>{const t=new R.CancellationTokenSource,r=setTimeout(()=>{t.dispose(!0),o(new Error((0,b.localize)(0,null)))},y);try{m(await a(f,t.token))}catch(e){!(0,P.isCancellationError)(e)&&!t.token.isCancellationRequested?o(new Error((0,b.localize)(1,null,(0,T.toErrorMessage)(e)))):m({})}finally{clearTimeout(r),t.dispose()}})),E)}i.getResolvedShellEnv=g;async function a(f,v){const p=process.env.ELECTRON_RUN_AS_NODE;f.trace("getUnixShellEnvironment#runAsNode",p);const m=process.env.ELECTRON_NO_ATTACH_CONSOLE;f.trace("getUnixShellEnvironment#noAttach",m);const o=(0,w.generateUuid)().replace(/-/g,"").substr(0,12),t=new RegExp(o+"(.*)"+o),r={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};f.trace("getUnixShellEnvironment#env",r);const e=await(0,I.getSystemShell)(c.OS,r);return f.trace("getUnixShellEnvironment#shell",e),new Promise((n,s)=>{if(v.isCancellationRequested)return s((0,P.canceled)());const l=(0,D.basename)(e);let u,d;const S=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(l)?(u=`& '${process.execPath}' ${S} -p '''${o}'' + JSON.stringify(process.env) + ''${o}'''`,d=["-Login","-Command"]):(u=`'${process.execPath}' ${S} -p '"${o}" + JSON.stringify(process.env) + "${o}"'`,l==="tcsh"?d=["-ic"]:d=["-ilc"]),f.trace("getUnixShellEnvironment#spawn",JSON.stringify(d),u);const O=(0,C.spawn)(e,[...d,u],{detached:!0,stdio:["ignore","pipe","pipe"],env:r});v.onCancellationRequested(()=>(O.kill(),s((0,P.canceled)()))),O.on("error",J=>{f.error("getUnixShellEnvironment#errorChildProcess",(0,T.toErrorMessage)(J)),s(J)});const N=[];O.stdout.on("data",J=>N.push(J));const _=[];O.stderr.on("data",J=>_.push(J)),O.on("close",(J,re)=>{const ee=Buffer.concat(N).toString("utf8");f.trace("getUnixShellEnvironment#raw",ee);const ie=Buffer.concat(_).toString("utf8");if(ie.trim()&&f.trace("getUnixShellEnvironment#stderr",ie),J||re)return s(new Error((0,b.localize)(2,null,J,re)));const he=t.exec(ee),ue=he?he[1]:"{}";try{const x=JSON.parse(ue);p?x.ELECTRON_RUN_AS_NODE=p:delete x.ELECTRON_RUN_AS_NODE,m?x.ELECTRON_NO_ATTACH_CONSOLE=m:delete x.ELECTRON_NO_ATTACH_CONSOLE,delete x.XDG_RUNTIME_DIR,f.trace("getUnixShellEnvironment#result",x),n(x)}catch(x){f.error("getUnixShellEnvironment#errorCaught",(0,T.toErrorMessage)(x)),s(x)}})})}}),define(Y[37],Q([0,1,13]),function(j,i,C){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.IUriIdentityService=void 0,i.IUriIdentityService=(0,C.createDecorator)("IUriIdentityService")}),define(Y[126],Q([0,1,7,2,9,20,21,16,14,37]),function(j,i,C,D,b,R,T,P,c,w){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionsWatcher=void 0;let I=class extends D.Disposable{constructor(h,y,E,g,a){super();this.extensionsManagementService=h,this.logService=g,this.uriIdentityService=a,this._onDidChangeExtensionsByAnotherSource=this._register(new C.Emitter),this.onDidChangeExtensionsByAnotherSource=this._onDidChangeExtensionsByAnotherSource.event,this.startTimestamp=0,this.installingExtensions=[],this.extensionsManagementService.getInstalled(1).then(v=>{this.installedExtensions=v.map(p=>p.identifier),this.startTimestamp=Date.now()}),this._register(h.onInstallExtension(v=>this.onInstallExtension(v))),this._register(h.onDidInstallExtensions(v=>this.onDidInstallExtensions(v))),this._register(h.onDidUninstallExtension(v=>this.onDidUninstallExtension(v)));const f=b.URI.file(E.extensionsPath);this._register(y.watch(f)),this._register(C.Event.filter(y.onDidFilesChange,v=>v.rawChanges.some(p=>this.doesChangeAffects(p,f)))(()=>this.onDidChange()))}doesChangeAffects(h,y){return this.uriIdentityService.extUri.isEqual(this.uriIdentityService.extUri.dirname(h.resource),y)?this.uriIdentityService.extUri.isEqual(h.resource,this.uriIdentityService.extUri.joinPath(y,".obsolete"))?!0:!(h.type!==1&&h.type!==2||this.uriIdentityService.extUri.basename(h.resource).startsWith(".")):!1}onInstallExtension(h){this.addInstallingExtension(h.identifier)}onDidInstallExtensions(h){for(const y of h)this.removeInstallingExtension(y.identifier),y.local&&this.addInstalledExtension(y.identifier)}onDidUninstallExtension(h){h.error||this.removeInstalledExtension(h.identifier)}addInstallingExtension(h){this.removeInstallingExtension(h),this.installingExtensions.push(h)}removeInstallingExtension(h){this.installingExtensions=this.installingExtensions.filter(y=>!(0,T.areSameExtensions)(y,h))}addInstalledExtension(h){this.installedExtensions&&(this.removeInstalledExtension(h),this.installedExtensions.push(h))}removeInstalledExtension(h){this.installedExtensions&&(this.installedExtensions=this.installedExtensions.filter(y=>!(0,T.areSameExtensions)(y,h)))}async onDidChange(){if(this.installedExtensions){const h=await this.extensionsManagementService.getInstalled(1),y=h.filter(g=>[...this.installingExtensions,...this.installedExtensions].some(a=>(0,T.areSameExtensions)(a,g.identifier))?!1:g.installedTimestamp&&g.installedTimestamp>this.startTimestamp?(this.logService.info("Detected extension installed from another source",g.identifier.id),!0):(this.logService.info("Ignored extension installed by another source because of invalid timestamp",g.identifier.id),!1)),E=this.installedExtensions.filter(g=>this.installingExtensions.some(a=>(0,T.areSameExtensions)(a,g))?!1:h.every(a=>!(0,T.areSameExtensions)(a.identifier,g))?(this.logService.info("Detected extension removed from another source",g.id),!0):!1);this.installedExtensions=h.map(g=>g.identifier),(y.length||E.length)&&this._onDidChangeExtensionsByAnotherSource.fire({added:y,removed:E})}}};I=ge([oe(1,P.IFileService),oe(2,R.INativeEnvironmentService),oe(3,c.ILogService),oe(4,w.IUriIdentityService)],I),i.ExtensionsWatcher=I}),define(Y[127],Q([0,1,37,92,16,19,58,7,2]),function(j,i,C,D,b,R,T,P,c){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.UriIdentityService=void 0;class w{constructor(h){this.uri=h,this.time=w._clock++}touch(){return this.time=w._clock++,this}}w._clock=0;let I=class{constructor(h){this._fileService=h,this._dispooables=new c.DisposableStore,this._limit=2**16;const y=new Map,E=g=>{let a=y.get(g.scheme);return a===void 0&&(a=h.hasProvider(g)&&!this._fileService.hasCapability(g,1024),y.set(g.scheme,a)),a};this._dispooables.add(P.Event.any(h.onDidChangeFileSystemProviderRegistrations,h.onDidChangeFileSystemProviderCapabilities)(g=>{y.delete(g.scheme)})),this.extUri=new R.ExtUri(E),this._canonicalUris=new T.SkipList((g,a)=>this.extUri.compare(g,a,!0),this._limit)}dispose(){this._dispooables.dispose(),this._canonicalUris.clear()}asCanonicalUri(h){this._fileService.hasProvider(h)&&(h=(0,R.normalizePath)(h));let y=this._canonicalUris.get(h);return y?y.touch().uri.with({fragment:h.fragment}):(this._canonicalUris.set(h,new w(h)),this._checkTrim(),h)}_checkTrim(){if(this._canonicalUris.size<this._limit)return;const h=[...this._canonicalUris.entries()].sort((E,g)=>E[1].touch<g[1].touch?1:E[1].touch>g[1].touch?-1:0);w._clock=0,this._canonicalUris.clear();const y=this._limit*.5;for(let E=0;E<y;E++)this._canonicalUris.set(h[E][0],h[E][1].touch())}};I=ge([oe(0,b.IFileService)],I),i.UriIdentityService=I,(0,D.registerSingleton)(C.IUriIdentityService,I,!0)}),define(Y[43],Q([0,1,103,3,11,6,15,72,139,140]),function(j,i,C,D,b,R,T,P,c,w){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.buffer=i.extract=i.zip=i.ExtractError=void 0;class I extends Error{constructor(t,r){let e=r.message;switch(t){case"CorruptZip":e=`Corrupt ZIP: ${e}`;break}super(e);this.type=t,this.cause=r}}i.ExtractError=I;function L(o){const t=o.externalFileAttributes>>16||33188;return[448,56,7].map(r=>t&r).reduce((r,e)=>r+e,t&61440)}function h(o){if(o instanceof I)return o;let t;return/end of central directory record signature not found/.test(o.message)&&(t="CorruptZip"),new I(t,o)}function y(o,t,r,e,n,s){const l=b.dirname(t),u=b.join(e,l);if(!u.startsWith(e))return Promise.reject(new Error(P.localize(0,null,t)));const d=b.join(e,t);let S;return s.onCancellationRequested(()=>{S&&S.destroy()}),Promise.resolve(T.Promises.mkdir(u,{recursive:!0})).then(()=>new Promise((O,N)=>{if(!s.isCancellationRequested)try{S=(0,C.createWriteStream)(d,{mode:r}),S.once("close",()=>O()),S.once("error",N),o.once("error",N),o.pipe(S)}catch(_){N(_)}}))}function E(o,t,r,e){let n=(0,D.createCancelablePromise)(()=>Promise.resolve()),s=0;return e.onCancellationRequested(()=>{n.cancel(),o.close()}),new Promise((l,u)=>{const d=new D.Sequencer,S=O=>{O.isCancellationRequested||(s++,o.readEntry())};o.once("error",u),o.once("close",()=>n.then(()=>{e.isCancellationRequested||o.entryCount===s?l():u(new I("Incomplete",new Error(P.localize(1,null,s,o.entryCount))))},u)),o.readEntry(),o.on("entry",O=>{if(e.isCancellationRequested)return;if(!r.sourcePathRegex.test(O.fileName)){S(e);return}const N=O.fileName.replace(r.sourcePathRegex,"");if(/\/$/.test(N)){const re=b.join(t,N);n=(0,D.createCancelablePromise)(ee=>T.Promises.mkdir(re,{recursive:!0}).then(()=>S(ee)).then(void 0,u));return}const _=a(o,O),J=L(O);n=(0,D.createCancelablePromise)(re=>d.queue(()=>_.then(ee=>y(ee,N,J,t,r,re).then(()=>S(re)))).then(null,u))})})}function g(o,t=!1){return new Promise((r,e)=>{(0,c.open)(o,t?{lazyEntries:!0}:void 0,(n,s)=>{n?e(h(n)):r((0,R.assertIsDefined)(s))})})}function a(o,t){return new Promise((r,e)=>{o.openReadStream(t,(n,s)=>{n?e(h(n)):r((0,R.assertIsDefined)(s))})})}function f(o,t){return new Promise((r,e)=>{const n=new w.ZipFile;t.forEach(l=>{l.contents?n.addBuffer(typeof l.contents=="string"?Buffer.from(l.contents,"utf8"):l.contents,l.path):l.localPath&&n.addFile(l.localPath,l.path)}),n.end();const s=(0,C.createWriteStream)(o);n.outputStream.pipe(s),n.outputStream.once("error",e),s.once("error",e),s.once("finish",()=>r(o))})}i.zip=f;function v(o,t,r={},e){const n=new RegExp(r.sourcePath?`^${r.sourcePath}`:"");let s=g(o,!0);return r.overwrite&&(s=s.then(l=>T.Promises.rm(t).then(()=>l))),s.then(l=>E(l,t,{sourcePathRegex:n},e))}i.extract=v;function p(o,t){return g(o).then(r=>new Promise((e,n)=>{r.on("entry",s=>{s.fileName===t&&a(r,s).then(l=>e(l),l=>n(l))}),r.once("close",()=>n(new Error(P.localize(2,null,t))))}))}function m(o,t){return p(o,t).then(r=>new Promise((e,n)=>{const s=[];r.once("error",n),r.on("data",l=>s.push(l)),r.on("end",()=>e(Buffer.concat(s)))}))}i.buffer=m}),define(Y[128],Q([0,1,43,78]),function(j,i,C,D){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.getManifest=void 0;function b(R){return(0,C.buffer)(R,"extension/package.json").then(T=>{try{return JSON.parse(T.toString("utf8"))}catch{throw new Error((0,D.localize)(0,null))}})}i.getManifest=b}),define(Y[129],Q([0,1,18,3,8,2,10,11,12,19,41,9,27,15,43,79,20,23,21,90,35,16,14,32]),function(j,i,C,D,b,R,T,P,c,w,I,L,h,y,E,g,a,f,v,p,m,o,t,r){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionsScanner=void 0;let e=class extends R.Disposable{constructor(s,l,u,d,S){super();this.beforeRemovingExtension=s,this.fileService=l,this.logService=u,this.environmentService=d,this.productService=S,this._devSystemExtensionsPath=null,this.systemExtensionsPath=d.builtinExtensionsPath,this.extensionsPath=d.extensionsPath,this.uninstalledPath=P.join(this.extensionsPath,".obsolete"),this.uninstalledFileLimiter=new D.Queue}async cleanUp(){await this.removeUninstalledExtensions(),await this.removeOutdatedExtensions()}async scanExtensions(s){const l=[];(s===null||s===0)&&l.push(this.scanSystemExtensions().then(null,u=>Promise.reject(new f.ExtensionManagementError(this.joinErrors(u).message,f.ExtensionManagementErrorCode.Internal)))),(s===null||s===1)&&l.push(this.scanUserExtensions(!0).then(null,u=>Promise.reject(new f.ExtensionManagementError(this.joinErrors(u).message,f.ExtensionManagementErrorCode.Internal))));try{const u=await Promise.all(l);return(0,C.flatten)(u)}catch(u){throw this.joinErrors(u)}}async scanUserExtensions(s){this.logService.trace("Started scanning user extensions");let[l,u]=await Promise.all([this.getUninstalledExtensions(),this.scanAllUserExtensions()]);return u=u.filter(d=>!l[new v.ExtensionIdentifierWithVersion(d.identifier,d.manifest.version).key()]),s&&(u=(0,v.groupByExtension)(u,S=>S.identifier).map(S=>S.sort((O,N)=>I.rcompare(O.manifest.version,N.manifest.version))[0])),this.logService.trace("Scanned user extensions:",u.length),u}async scanAllUserExtensions(){return this.scanExtensionsInDir(this.extensionsPath,1)}async extractUserExtension(s,l,u,d){const S=s.key(),O=P.join(this.extensionsPath,`.${(0,h.generateUuid)()}`),N=P.join(this.extensionsPath,S);try{await y.Promises.rm(N)}catch{try{await y.Promises.rm(N)}catch{}throw new f.ExtensionManagementError((0,g.localize)(0,null,N,s.id),f.ExtensionManagementErrorCode.Delete)}await this.extractAtLocation(s,l,O,d);let _=await this.scanExtension(L.URI.file(O),1);if(!_)throw new Error((0,g.localize)(1,null,O));await this.storeMetadata(_,{...u,installedTimestamp:Date.now()});try{await this.rename(s,O,N,Date.now()+2*60*1e3),this.logService.info("Renamed to",N)}catch(J){try{await y.Promises.rm(O)}catch{}if(J.code==="ENOTEMPTY")this.logService.info("Rename failed because extension was installed by another source. So ignoring renaming.",s.id);else throw this.logService.info(`Rename failed because of ${(0,b.getErrorMessage)(J)}. Deleted from extracted location`,O),J}try{_=await this.scanExtension(L.URI.file(N),1)}catch{}if(_)return _;throw new Error((0,g.localize)(2,null,this.extensionsPath))}async saveMetadataForLocalExtension(s,l){return this.setMetadata(s,l),await this.storeMetadata(s,{...l,installedTimestamp:s.installedTimestamp}),s}async storeMetadata(s,l){l.isMachineScoped=l.isMachineScoped||void 0,l.isBuiltin=l.isBuiltin||void 0,l.installedTimestamp=l.installedTimestamp||void 0;const u=P.join(s.location.fsPath,"package.json"),d=await y.Promises.readFile(u,"utf8"),{manifest:S}=await this.parseManifest(d);return S.__metadata=l,await y.Promises.writeFile(u,JSON.stringify(S,null,"	")),s}getUninstalledExtensions(){return this.withUninstalledExtensions()}async setUninstalled(...s){const l=s.map(u=>new v.ExtensionIdentifierWithVersion(u.identifier,u.manifest.version));await this.withUninstalledExtensions(u=>{l.forEach(d=>u[d.key()]=!0)})}async setInstalled(s){await this.withUninstalledExtensions(d=>delete d[s.key()]);const u=(await this.scanExtensions(1)).find(d=>new v.ExtensionIdentifierWithVersion(d.identifier,d.manifest.version).equals(s))||null;return u?(await this.storeMetadata(u,{installedTimestamp:Date.now()}),this.scanExtension(u.location,1)):null}async withUninstalledExtensions(s){return this.uninstalledFileLimiter.queue(async()=>{let l;try{l=await y.Promises.readFile(this.uninstalledPath,"utf8")}catch(d){if(d.code!=="ENOENT")throw d}let u={};if(l)try{u=JSON.parse(l)}catch{}return s&&(s(u),Object.keys(u).length?await y.Promises.writeFile(this.uninstalledPath,JSON.stringify(u)):await y.Promises.rm(this.uninstalledPath)),u})}async removeExtension(s,l){this.logService.trace(`Deleting ${l} extension from disk`,s.identifier.id,s.location.fsPath),await y.Promises.rm(s.location.fsPath),this.logService.info("Deleted from disk",s.identifier.id,s.location.fsPath)}async removeUninstalledExtension(s){await this.removeExtension(s,"uninstalled"),await this.withUninstalledExtensions(l=>delete l[new v.ExtensionIdentifierWithVersion(s.identifier,s.manifest.version).key()])}async extractAtLocation(s,l,u,d){this.logService.trace(`Started extracting the extension from ${l} to ${u}`);try{await y.Promises.rm(u)}catch(S){throw new f.ExtensionManagementError(this.joinErrors(S).message,f.ExtensionManagementErrorCode.Delete)}try{await(0,E.extract)(l,u,{sourcePath:"extension",overwrite:!0},d),this.logService.info(`Extracted extension to ${u}:`,s.id)}catch(S){try{await y.Promises.rm(u)}catch{}let O=f.ExtensionManagementErrorCode.Extract;throw S instanceof E.ExtractError&&(S.type==="CorruptZip"?O=f.ExtensionManagementErrorCode.CorruptZip:S.type==="Incomplete"&&(O=f.ExtensionManagementErrorCode.IncompleteZip)),new f.ExtensionManagementError(S.message,O)}}async rename(s,l,u,d){try{await y.Promises.rename(l,u)}catch(S){if(c.isWindows&&S&&S.code==="EPERM"&&Date.now()<d)return this.logService.info(`Failed renaming ${l} to ${u} with 'EPERM' error. Trying again...`,s.id),this.rename(s,l,u,d);throw new f.ExtensionManagementError(S.message||(0,g.localize)(3,null,l,u),S.code||f.ExtensionManagementErrorCode.Rename)}}async scanSystemExtensions(){this.logService.trace("Started scanning system extensions");const s=this.scanDefaultSystemExtensions();if(this.environmentService.isBuilt)return s;const l=this.scanDevSystemExtensions(),[u,d]=await Promise.all([s,l]);return[...u,...d]}async scanExtensionsInDir(s,l){const u=new D.Limiter(10),d=await this.fileService.resolve(L.URI.file(s));return d.children?(await Promise.all(d.children.filter(O=>O.isDirectory).map(O=>u.queue(async()=>l===1&&(0,w.basename)(O.resource).indexOf(".")===0?null:this.scanExtension(O.resource,l))))).filter(O=>O&&O.identifier):[]}async scanExtension(s,l){try{const u=await this.fileService.resolve(s);if(u.children){const{manifest:d,metadata:S}=await this.readManifest(s.fsPath),O=u.children.find(({name:re})=>/^readme(\.txt|\.md|)$/i.test(re))?.resource,N=u.children.find(({name:re})=>/^changelog(\.txt|\.md|)$/i.test(re))?.resource,_={id:(0,v.getGalleryExtensionId)(d.publisher,d.name)},J={type:l,identifier:_,manifest:d,location:s,readmeUrl:O,changelogUrl:N,publisherDisplayName:null,publisherId:null,isMachineScoped:!1,isBuiltin:l===0};return this.setMetadata(J,S),J}}catch(u){l!==0&&this.logService.trace(u)}return null}async scanDefaultSystemExtensions(){const s=await this.scanExtensionsInDir(this.systemExtensionsPath,0);return this.logService.trace("Scanned system extensions:",s.length),s}async scanDevSystemExtensions(){const s=this.getDevSystemExtensionsList();if(s.length){const l=await this.scanExtensionsInDir(this.devSystemExtensionsPath,0);return this.logService.trace("Scanned dev system extensions:",l.length),l.filter(u=>s.some(d=>(0,v.areSameExtensions)(u.identifier,{id:d})))}else return[]}setMetadata(s,l){s.publisherDisplayName=l?.publisherDisplayName||null,s.publisherId=l?.publisherId||null,s.identifier.uuid=l?.id,s.isMachineScoped=!!l?.isMachineScoped,s.isPreReleaseVersion=!!l?.isPreReleaseVersion,s.preRelease=!!l?.preRelease,s.isBuiltin=s.type===0||!!l?.isBuiltin,s.installedTimestamp=l?.installedTimestamp}async removeUninstalledExtensions(){const s=await this.getUninstalledExtensions(),l=await this.scanAllUserExtensions(),u=new Set;for(const O of l)s[new v.ExtensionIdentifierWithVersion(O.identifier,O.manifest.version).key()]||u.add(O.identifier.id.toLowerCase());const d=(0,v.groupByExtension)(l,O=>O.identifier);await D.Promises.settled(d.map(async O=>{const N=O.sort((_,J)=>I.rcompare(_.manifest.version,J.manifest.version))[0];u.has(N.identifier.id.toLowerCase())||await this.beforeRemovingExtension(N)}));const S=l.filter(O=>s[new v.ExtensionIdentifierWithVersion(O.identifier,O.manifest.version).key()]);await D.Promises.settled(S.map(O=>this.removeUninstalledExtension(O)))}async removeOutdatedExtensions(){const s=await this.scanAllUserExtensions(),l=[],u=(0,v.groupByExtension)(s,d=>d.identifier);l.push(...(0,C.flatten)(u.map(d=>d.sort((S,O)=>I.rcompare(S.manifest.version,O.manifest.version)).slice(1)))),await D.Promises.settled(l.map(d=>this.removeExtension(d,"outdated")))}getDevSystemExtensionsList(){return(this.productService.builtInExtensions||[]).map(s=>s.name)}joinErrors(s){const l=Array.isArray(s)?s:[s];return l.length===1?l[0]instanceof Error?l[0]:new Error(l[0]):l.reduce((u,d)=>new Error(`${u.message}${u.message?",":""}${d instanceof Error?d.message:d}`),new Error(""))}get devSystemExtensionsPath(){return this._devSystemExtensionsPath||(this._devSystemExtensionsPath=P.normalize(P.join(T.FileAccess.asFileUri("",j).fsPath,"..",".build","builtInExtensions"))),this._devSystemExtensionsPath}async readManifest(s){const l=[y.Promises.readFile(P.join(s,"package.json"),"utf8").then(O=>this.parseManifest(O)),y.Promises.readFile(P.join(s,"package.nls.json"),"utf8").then(void 0,O=>O.code!=="ENOENT"?Promise.reject(O):"{}").then(O=>JSON.parse(O))],[{manifest:u,metadata:d},S]=await Promise.all(l);return{manifest:(0,p.localizeManifest)(u,S),metadata:d}}parseManifest(s){return new Promise((l,u)=>{try{const d=JSON.parse(s);d.publisher||(d.publisher=m.UNDEFINED_PUBLISHER);const S=d.__metadata||null;l({manifest:d,metadata:S})}catch{u(new Error((0,g.localize)(4,null)))}})}};e=ge([oe(1,o.IFileService),oe(2,t.ILogService),oe(3,a.INativeEnvironmentService),oe(4,r.IProductService)],e),i.ExtensionsScanner=e}),define(Y[130],Q([0,1,28,8,10,11,12,29,19,41,6,9,27,15,43,77,49,20,118,23,21,110,98,128,111,129,126,48,16,13,14,32,31,37]),function(j,i,C,D,b,R,T,P,c,w,I,L,h,y,E,g,a,f,v,p,m,o,t,r,e,n,s,l,u,d,S,O,N,_){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.ExtensionManagementService=void 0;let J=class extends v.AbstractExtensionManagementService{constructor(x,te,U,k,z,G,ne,K,Z){super(x,te,U,K);this.environmentService=k,this.downloadService=z,this.fileService=ne;const q=this._register(G.createInstance(t.ExtensionsLifecycle));this.extensionsScanner=this._register(G.createInstance(n.ExtensionsScanner,A=>q.postUninstall(A))),this.manifestCache=this._register(new e.ExtensionsManifestCache(k,this)),this.extensionsDownloader=this._register(G.createInstance(o.ExtensionsDownloader));const M=this._register(new s.ExtensionsWatcher(this,ne,k,U,Z));this._register(M.onDidChangeExtensionsByAnotherSource(({added:A,removed:V})=>{A.length&&this._onDidInstallExtensions.fire(A.map(B=>({identifier:B.identifier,operation:1,local:B}))),V.forEach(B=>this._onDidUninstallExtension.fire({identifier:B}))}))}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=(async()=>{const x=await this.isAlpineLinux(),te=(0,p.getTargetPlatform)(x?"alpine":T.platform,P.arch);return this.logService.debug("ExtensionManagementService#TargetPlatform:",te),te})()),this._targetPlatformPromise}async isAlpineLinux(){if(!T.isLinux)return!1;let x;try{x=(await this.fileService.readFile(L.URI.file("/etc/os-release"))).value.toString()}catch{try{x=(await this.fileService.readFile(L.URI.file("/usr/lib/os-release"))).value.toString()}catch(U){this.logService.debug("Error while getting the os-release file.",(0,D.getErrorMessage)(U))}}return!!x&&(x.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}async zip(x){this.logService.trace("ExtensionManagementService#zip",x.identifier.id);const te=await this.collectFiles(x),U=await(0,E.zip)((0,c.joinPath)(this.environmentService.tmpDir,(0,h.generateUuid)()).fsPath,te);return L.URI.file(U)}async unzip(x){return this.logService.trace("ExtensionManagementService#unzip",x.toString()),(await this.install(x)).identifier}async getManifest(x){const te=await this.downloadVsix(x),U=R.resolve(te.fsPath);return(0,r.getManifest)(U)}getInstalled(x=null){return this.extensionsScanner.scanExtensions(x)}async install(x,te={}){this.logService.trace("ExtensionManagementService#install",x.toString());const U=await this.downloadVsix(x),k=await(0,r.getManifest)(R.resolve(U.fsPath));if(k.engines&&k.engines.vscode&&!(0,l.isEngineValid)(k.engines.vscode,this.productService.version,this.productService.date))throw new Error(g.localize(0,null,(0,m.getGalleryExtensionId)(k.publisher,k.name),this.productService.version));return this.installExtension(k,U,te)}async updateMetadata(x,te){this.logService.trace("ExtensionManagementService#updateMetadata",x.identifier.id);const U={...x.manifest.__metadata||{},...te};return te.isPreReleaseVersion&&(U.preRelease=!0),x=await this.extensionsScanner.saveMetadataForLocalExtension(x,U),this.manifestCache.invalidate(),x}async updateExtensionScope(x,te){return this.logService.trace("ExtensionManagementService#updateExtensionScope",x.identifier.id),x=await this.extensionsScanner.saveMetadataForLocalExtension(x,{...x.manifest.__metadata||{},isMachineScoped:te}),this.manifestCache.invalidate(),x}removeDeprecatedExtensions(){return this.extensionsScanner.cleanUp()}async downloadVsix(x){if(x.scheme===b.Schemas.file)return x;const te=(0,c.joinPath)(this.environmentService.tmpDir,(0,h.generateUuid)());return await this.downloadService.download(x,te),te}createInstallExtensionTask(x,te,U){return L.URI.isUri(te)?new ie(x,te,U,this.galleryService,this.extensionsScanner,this.logService):new ee(te,U,this.extensionsDownloader,this.extensionsScanner,this.logService)}createUninstallExtensionTask(x,te){return new he(x,te,this.extensionsScanner)}async collectFiles(x){const te=async k=>{let z=await y.Promises.readdir(k);z=z.map(K=>R.join(k,K));const G=await Promise.all(z.map(K=>y.Promises.stat(K)));let ne=Promise.resolve([]);return G.forEach((K,Z)=>{const q=z[Z];K.isFile()&&(ne=ne.then(M=>[...M,q])),K.isDirectory()&&(ne=ne.then(M=>te(q).then(A=>[...M,...A])))}),ne};return(await te(x.location.fsPath)).map(k=>({path:`extension/${R.relative(x.location.fsPath,k)}`,localPath:k}))}};J=ge([oe(0,p.IExtensionGalleryService),oe(1,N.ITelemetryService),oe(2,S.ILogService),oe(3,f.INativeEnvironmentService),oe(4,a.IDownloadService),oe(5,d.IInstantiationService),oe(6,u.IFileService),oe(7,O.IProductService),oe(8,_.IUriIdentityService)],J),i.ExtensionManagementService=J;class re extends v.AbstractExtensionTask{constructor(x,te,U,k){super();this.identifier=x,this.source=te,this.extensionsScanner=U,this.logService=k,this._operation=2}get operation(){return this._operation}async installExtension(x,te){try{const U=await this.unsetUninstalledAndGetLocal(x.identifierWithVersion);if(U)return x.metadata?this.extensionsScanner.saveMetadataForLocalExtension(U,{...U.manifest.__metadata||{},...x.metadata}):U}catch{throw T.isMacintosh?new p.ExtensionManagementError(g.localize(1,null),p.ExtensionManagementErrorCode.Internal):new p.ExtensionManagementError(g.localize(2,null),p.ExtensionManagementErrorCode.Internal)}return this.extract(x,te)}async unsetUninstalledAndGetLocal(x){if(!await this.isUninstalled(x))return null;this.logService.trace("Removing the extension from uninstalled list:",x.id);const U=await this.extensionsScanner.setInstalled(x);return this.logService.info("Removed the extension from uninstalled list:",x.id),U}async isUninstalled(x){return!!(await this.extensionsScanner.getUninstalledExtensions())[x.key()]}async extract({zipPath:x,identifierWithVersion:te,metadata:U},k){let z=await this.extensionsScanner.extractUserExtension(te,x,U,k);return this.logService.info("Extracting completed.",te.id),z}}class ee extends re{constructor(x,te,U,k,z){super(x.identifier,x,k,z);this.gallery=x,this.options=te,this.extensionsDownloader=U}async doRun(x){const U=(await this.extensionsScanner.scanExtensions(null)).find(z=>(0,m.areSameExtensions)(z.identifier,this.gallery.identifier));U&&(this._operation=3);const k=await this.downloadInstallableExtension(this.gallery,this._operation);k.metadata.isMachineScoped=this.options.isMachineScoped||U?.isMachineScoped,k.metadata.isBuiltin=this.options.isBuiltin||U?.isBuiltin,k.metadata.isPreReleaseVersion=this.gallery.properties.isPreReleaseVersion,k.metadata.preRelease=this.gallery.properties.isPreReleaseVersion||((0,I.isBoolean)(this.options.installPreReleaseVersion)?this.options.installPreReleaseVersion:U?.preRelease);try{const z=await this.installExtension(k,x);return U&&w.neq(U.manifest.version,this.gallery.version)&&await this.extensionsScanner.setUninstalled(U),z}catch(z){throw await this.deleteDownloadedVSIX(k.zipPath),z}}async deleteDownloadedVSIX(x){try{await this.extensionsDownloader.delete(L.URI.file(x))}catch(te){this.logService.warn("Error while deleting the downloaded vsix",x.toString(),(0,D.getErrorMessage)(te))}}async downloadInstallableExtension(x,te){const U={id:x.identifier.uuid,publisherId:x.publisherId,publisherDisplayName:x.publisherDisplayName};let k;try{this.logService.trace("Started downloading extension:",x.identifier.id),k=(await this.extensionsDownloader.downloadExtension(x,te)).fsPath,this.logService.info("Downloaded extension:",x.identifier.id,k)}catch(z){throw new p.ExtensionManagementError((0,v.joinErrors)(z).message,p.ExtensionManagementErrorCode.Download)}try{const z=await(0,r.getManifest)(k);return{zipPath:k,identifierWithVersion:new m.ExtensionIdentifierWithVersion(x.identifier,z.version),metadata:U}}catch(z){throw await this.deleteDownloadedVSIX(k),new p.ExtensionManagementError((0,v.joinErrors)(z).message,p.ExtensionManagementErrorCode.Invalid)}}}class ie extends re{constructor(x,te,U,k,z,G){super({id:(0,m.getGalleryExtensionId)(x.publisher,x.name)},te,z,G);this.manifest=x,this.location=te,this.options=U,this.galleryService=k}async doRun(x){const te=new m.ExtensionIdentifierWithVersion(this.identifier,this.manifest.version),k=(await this.extensionsScanner.scanExtensions(1)).find(G=>(0,m.areSameExtensions)(this.identifier,G.identifier)),z=await this.getMetadata(this.identifier.id,this.manifest.version,x);if(z.isMachineScoped=this.options.isMachineScoped||k?.isMachineScoped,z.isBuiltin=this.options.isBuiltin||k?.isBuiltin,k)if(this._operation=3,te.equals(new m.ExtensionIdentifierWithVersion(k.identifier,k.manifest.version)))try{await this.extensionsScanner.removeExtension(k,"existing")}catch{throw new Error(g.localize(3,null,this.manifest.displayName||this.manifest.name))}else w.gt(k.manifest.version,this.manifest.version)&&await this.extensionsScanner.setUninstalled(k);else{const G=await this.unsetUninstalledAndGetLocal(te);if(G)try{await this.extensionsScanner.removeExtension(G,"existing")}catch{throw new Error(g.localize(4,null,this.manifest.displayName||this.manifest.name))}}return this.installExtension({zipPath:R.resolve(this.location.fsPath),identifierWithVersion:te,metadata:z},x)}async getMetadata(x,te,U){try{let[k]=await this.galleryService.getExtensions([{id:x,version:te}],U);if(k||([k]=await this.galleryService.getExtensions([{id:x}],U)),k)return{id:k.identifier.uuid,publisherDisplayName:k.publisherDisplayName,publisherId:k.publisherId,isPreReleaseVersion:k.properties.isPreReleaseVersion,preRelease:k.properties.isPreReleaseVersion||this.options.installPreReleaseVersion}}catch{}return{}}}class he extends v.AbstractExtensionTask{constructor(x,te,U){super();this.extension=x,this.options=te,this.extensionsScanner=U}async doRun(x){const te=[],U=await this.extensionsScanner.scanUserExtensions(!1);if(this.options.versionOnly){const k=new m.ExtensionIdentifierWithVersion(this.extension.identifier,this.extension.manifest.version);te.push(...U.filter(z=>k.equals(new m.ExtensionIdentifierWithVersion(z.identifier,z.manifest.version))))}else te.push(...U.filter(k=>(0,m.areSameExtensions)(k.identifier,this.extension.identifier)));if(!te.length)throw new Error(g.localize(5,null,this.extension.manifest.displayName||this.extension.manifest.name));if(await this.extensionsScanner.setUninstalled(...te),this.options.remove)for(const k of te)try{x.isCancellationRequested||await this.extensionsScanner.removeUninstalledExtension(k)}catch(z){throw new Error(g.localize(6,null,(0,C.toErrorMessage)(z)))}}}}),define(Y[131],Q([0,1,115,3,17,8,2,6,25,20,125,14,114,141]),function(j,i,C,D,b,R,T,P,c,w,I,L,h,y){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.RequestService=void 0;let E=class extends T.Disposable{constructor(a,f,v){super();this.environmentService=f,this.logService=v,this.configure(a.getValue()),this._register(a.onDidChangeConfiguration(()=>this.configure(a.getValue()),this))}configure(a){this.proxyUrl=a.http&&a.http.proxy,this.strictSSL=!!(a.http&&a.http.proxyStrictSSL),this.authorization=a.http&&a.http.proxyAuthorization}async request(a,f){this.logService.trace("RequestService#request",a.url);const{proxyUrl:v,strictSSL:p}=this;let m;try{m=await(0,I.getResolvedShellEnv)(this.logService,this.environmentService.args,process.env)}catch(r){this.shellEnvErrorLogged||(this.shellEnvErrorLogged=!0,this.logService.error("RequestService#request resolving shell environment failed",r))}const o={...process.env,...m},t=a.agent?a.agent:await(0,h.getProxyAgent)(a.url||"",o,{proxyUrl:v,strictSSL:p});return a.agent=t,a.strictSSL=p,this.authorization&&(a.headers={...a.headers||{},"Proxy-Authorization":this.authorization}),this._request(a,f)}async getNodeRequest(a){return((0,C.parse)(a.url).protocol==="https:"?await new Promise((p,m)=>{j(["https"],p,m)}):await new Promise((p,m)=>{j(["http"],p,m)})).request}_request(a,f){return D.Promises.withAsyncBody(async(v,p)=>{let m;const o=(0,C.parse)(a.url),t=a.getRawRequest?a.getRawRequest(a):await this.getNodeRequest(a),r={hostname:o.hostname,port:o.port?parseInt(o.port):o.protocol==="https:"?443:80,protocol:o.protocol,path:o.path,method:a.type||"GET",headers:a.headers,agent:a.agent,rejectUnauthorized:(0,P.isBoolean)(a.strictSSL)?a.strictSSL:!0};a.user&&a.password&&(r.auth=a.user+":"+a.password),m=t(r,e=>{const n=(0,P.isNumber)(a.followRedirects)?a.followRedirects:3;if(e.statusCode&&e.statusCode>=300&&e.statusCode<400&&n>0&&e.headers.location)this._request({...a,url:e.headers.location,followRedirects:n-1},f).then(v,p);else{let s=e;e.headers["content-encoding"]==="gzip"&&(s=e.pipe((0,y.createGunzip)())),v({res:e,stream:(0,b.streamToBufferReadableStream)(s)})}}),m.on("error",p),a.timeout&&m.setTimeout(a.timeout),a.data&&typeof a.data=="string"&&m.write(a.data),m.end(),f.onCancellationRequested(()=>{m.abort(),p((0,R.canceled)())})})}async resolveProxy(a){}};E=ge([oe(0,c.IConfigurationService),oe(1,w.INativeEnvironmentService),oe(2,L.ILogService)],E),i.RequestService=E}),define(Y[142],Q([0,1,33,3,17,28,8,2,10,11,29,9,15,25,107,49,113,20,89,120,23,109,130,16,100,102,40,97,52,53,112,14,104,122,32,42,131,117,31,121,36,123,124,37,127]),function(j,i,C,D,b,R,T,P,c,w,I,L,h,y,E,g,a,f,v,p,m,o,t,r,e,n,s,l,u,d,S,O,N,_,J,re,ee,ie,he,ue,x,te,U,k,z){"use strict";Object.defineProperty(i,"__esModule",{value:!0}),i.main=void 0;class G extends P.Disposable{constructor(Z){super();this.argv=Z,this.registerListeners()}registerListeners(){process.once("exit",()=>this.dispose())}async run(){const[Z,q]=await this.initServices();return Z.invokeFunction(async M=>{const A=M.get(O.ILogService),V=M.get(r.IFileService),B=M.get(f.INativeEnvironmentService),H=M.get(m.IExtensionManagementCLIService);A.info("CLI main",this.argv),this.registerErrorHandler(A),await this.doRun(B,H,V),await Promise.all(q.map(X=>{(0,D.raceTimeout)(X.flush(),1e3)}))})}async initServices(){const Z=new u.ServiceCollection,q={_serviceBrand:void 0,..._.default};Z.set(J.IProductService,q);const M=new v.NativeEnvironmentService(this.argv,q);Z.set(f.INativeEnvironmentService,M),await Promise.all([M.appSettingsHome.fsPath,M.extensionsPath].map(we=>we?h.Promises.mkdir(we,{recursive:!0}):void 0));const A=(0,O.getLogLevel)(M),V=[];V.push(new N.SpdLogLogger("cli",(0,w.join)(M.logsPath,"cli.log"),!0,!1,A)),A===O.LogLevel.Trace&&V.push(new O.ConsoleLogger(A));const B=this._register(new O.MultiplexLogService(V));Z.set(O.ILogService,B);const H=this._register(new e.FileService(B));Z.set(r.IFileService,H);const X=this._register(new n.DiskFileSystemProvider(B));H.registerProvider(c.Schemas.file,X);const ae=this._register(new E.ConfigurationService(M.settingsResource,H));Z.set(y.IConfigurationService,ae),await ae.initialize(),Z.set(k.IUriIdentityService,new z.UriIdentityService(H)),Z.set(re.IRequestService,new s.SyncDescriptor(ee.RequestService)),Z.set(g.IDownloadService,new s.SyncDescriptor(a.DownloadService)),Z.set(m.IExtensionManagementService,new s.SyncDescriptor(t.ExtensionManagementService)),Z.set(m.IExtensionGalleryService,new s.SyncDescriptor(p.ExtensionGalleryServiceWithNoStorageService)),Z.set(m.IExtensionManagementCLIService,new s.SyncDescriptor(o.ExtensionManagementCLIService)),Z.set(d.ILocalizationsService,new s.SyncDescriptor(S.LocalizationsService));const ce=[];if((0,x.supportsTelemetry)(q,M)){q.aiConfig&&q.aiConfig.asimovKey&&ce.push(new te.AppInsightsAppender("monacoworkbench",null,q.aiConfig.asimovKey));const{appRoot:we,extensionsPath:fe,installSourcePath:se}=M,pe={appenders:ce,sendErrorTelemetry:!1,commonProperties:(async()=>{let me;try{const Ee=await h.Promises.readFile((0,w.join)(M.userDataPath,"storage.json"));me=JSON.parse(Ee.toString())[he.machineIdKey]}catch(Ee){Ee.code!=="ENOENT"&&B.error(Ee)}return(0,ie.resolveCommonProperties)(H,(0,C.release)(),(0,C.hostname)(),process.arch,q.commit,q.version,me,q.msftInternalDomains,se)})(),piiPaths:[we,fe]};Z.set(he.ITelemetryService,new s.SyncDescriptor(ue.TelemetryService,[pe]))}else Z.set(he.ITelemetryService,x.NullTelemetryService);return[new l.InstantiationService(Z),ce]}registerErrorHandler(Z){(0,T.setUnexpectedErrorHandler)(q=>{const M=(0,R.toErrorMessage)(q,!0);!M||Z.error(`[uncaught exception in CLI]: ${M}`)}),process.on("uncaughtException",q=>(0,T.onUnexpectedError)(q)),process.on("unhandledRejection",q=>(0,T.onUnexpectedError)(q))}async doRun(Z,q,M){if(this.argv["install-source"])return this.setInstallSource(Z,M,this.argv["install-source"]);if(this.argv["list-extensions"])return q.listExtensions(!!this.argv["show-versions"],this.argv.category);if(this.argv["install-extension"]||this.argv["install-builtin-extension"]){const A={isMachineScoped:!!this.argv["do-not-sync"],installPreReleaseVersion:!!this.argv["pre-release"]};return q.installExtensions(this.asExtensionIdOrVSIX(this.argv["install-extension"]||[]),this.argv["install-builtin-extension"]||[],A,!!this.argv.force)}else{if(this.argv["uninstall-extension"])return q.uninstallExtensions(this.asExtensionIdOrVSIX(this.argv["uninstall-extension"]),!!this.argv.force);if(this.argv["locate-extension"])return q.locateExtension(this.argv["locate-extension"]);this.argv.telemetry&&console.log(await(0,U.buildTelemetryMessage)(Z.appRoot,Z.extensionsPath))}}asExtensionIdOrVSIX(Z){return Z.map(q=>/\.vsix$/i.test(q)?L.URI.file((0,w.isAbsolute)(q)?q:(0,w.join)((0,I.cwd)(),q)):q)}async setInstallSource(Z,q,M){await q.writeFile(L.URI.file(Z.installSourcePath),b.VSBuffer.fromString(M.slice(0,30)))}}async function ne(K){const Z=new G(K);try{await Z.run()}finally{Z.dispose()}}i.main=ne})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/86200d542474b26aa28034e0fd5789c45c747d8b/core/vs/code/node/cliProcessMain.js.map
