/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var pe=["exports","require","vs/base/common/uri","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/base/common/lifecycle","vs/workbench/api/common/extHostTypes","vs/base/common/strings","vs/base/common/path","vs/base/common/network","vs/platform/log/common/log","vs/base/common/platform","vs/base/common/types","vs/workbench/api/common/extHostTypeConverters","vs/base/common/async","vs/workbench/api/common/extHostRpcService","vs/base/common/errors","vs/base/common/arrays","vs/nls","vs/nls!vs/workbench/api/node/extensionHostProcess","vs/base/common/cancellation","vs/base/common/buffer","vs/base/common/resources","vs/base/common/map","vs/base/common/objects","vs/workbench/api/common/extHostInitDataService","vs/platform/extensions/common/extensions","vs/base/node/pfs","vs/base/common/extpath","vs/workbench/services/extensions/common/extensions","vs/workbench/services/search/common/search","vs/base/common/glob","vs/base/common/uuid","vs/workbench/api/common/extHostTerminalService","vs/editor/common/core/range","vs/workbench/api/common/extHostWorkspace","vs/workbench/api/common/extHostConfiguration","child_process","vs/workbench/api/common/extHostCommands","vs/workbench/api/common/extHostExtensionService","vs/base/common/process","vs/platform/files/common/files","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostDocumentsAndEditors","vs/base/common/stopwatch","vs/base/common/severity","vs/editor/common/core/position","vs/base/common/errorMessage","vs/platform/registry/common/platform","vs/workbench/api/common/extHostTunnelService","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostDebugService","vs/base/common/assert","vs/base/common/decorators","vs/base/common/hash","vs/base/common/marshalling","fs","os","vs/platform/instantiation/common/extensions","vs/platform/contextkey/common/contextkey","vs/workbench/api/common/extHostTestingPrivateApi","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostStoragePaths","vs/workbench/api/common/extHostWebview","vs/workbench/services/search/common/searchExtTypes","vs/workbench/api/common/extHostTask","vs/base/common/performance","vs/workbench/api/common/extHostSearch","vs/base/common/codicons","vs/base/common/collections","vs/base/common/functional","vs/base/common/idGenerator","vs/base/common/iterator","vs/base/common/normalization","vs/editor/common/languages","vs/platform/instantiation/common/serviceCollection","vs/platform/theme/common/themeService","vs/workbench/api/common/cache","vs/workbench/common/webview","vs/workbench/contrib/testing/common/testCollection","vs/workbench/contrib/testing/common/testId","vs/workbench/api/common/exHostSecretState","vs/workbench/api/common/extHostStorage","vs/workbench/services/search/node/ripgrepSearchUtils","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/numbers","vs/base/common/mime","vs/base/common/processes","vs/base/common/stream","vs/base/common/filters","vs/base/common/uint","vs/base/common/comparers","vs/base/common/fuzzyScorer","vs/base/common/htmlContent","vs/base/common/labels","vs/base/common/uriIpc","string_decoder","vs/base/node/extpath","vs/base/parts/ipc/common/ipc","vs/base/parts/ipc/common/ipc.net","vs/editor/common/core/characterClassifier","vs/editor/common/core/wordHelper","vs/editor/common/languageSelector","vs/editor/common/model","vs/editor/common/model/prefixSumComputer","vs/editor/common/services/semanticTokensDto","vs/base/node/processes","vs/editor/common/config/editorOptions","vs/platform/instantiation/common/descriptors","vs/platform/configuration/common/configuration","vs/platform/markers/common/markers","vs/platform/opener/common/opener","vs/platform/progress/common/progress","vs/platform/configuration/common/configurationRegistry","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteHosts","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/tunnel/common/tunnel","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostDocumentData","vs/workbench/contrib/debug/common/abstractDebugAdapter","net","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostLoggerService","vs/workbench/api/common/extHostOutput","vs/workbench/api/common/extHostWindow","vs/workbench/services/search/common/textSearchManager","vs/workbench/services/search/node/textSearchManager","vs/workbench/services/search/node/ripgrepTextSearchEngine","vs/base/parts/ipc/node/ipc.net","vs/base/common/json","vs/base/common/marked/marked","vs/base/common/cache","vs/base/common/iconLabels","vs/base/node/decoder","vs/editor/common/core/selection","vs/editor/common/core/textModelDefaults","vs/editor/common/core/wordCharacterClassifier","vs/editor/common/languages/languageConfiguration","vs/editor/common/languages/linkComputer","vs/editor/common/model/mirrorTextModel","vs/editor/common/model/textModelSearch","vs/editor/common/tokenizationRegistry","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/nls!vs/editor/common/config/editorOptions","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/externalTerminal/node/externalTerminalService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/api/node/extHostDebugService","vs/nls!vs/workbench/api/node/extHostTunnelService","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/debug/common/debug","vs/nls!vs/workbench/contrib/debug/node/debugAdapter","vs/nls!vs/workbench/contrib/tasks/common/taskService","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/nls!vs/workbench/services/search/common/queryBuilder","vs/platform/editor/common/editor","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/graph","vs/platform/environment/common/environment","vs/platform/externalTerminal/common/externalTerminal","vs/platform/externalTerminal/node/externalTerminalService","vs/platform/instantiation/common/instantiationService","vs/platform/log/node/spdlogLog","vs/platform/notification/common/notification","vs/platform/product/common/product","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/extensionManagement/common/extensionManagement","vs/platform/sign/node/signService","vs/platform/terminal/common/terminalDataBuffering","vs/platform/theme/common/theme","vs/platform/workspace/common/virtualWorkspace","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostNotebookDocuments","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostNotebookConcatDocument","vs/workbench/api/common/extHostTheming","vs/workbench/api/common/extHostWebviewMessaging","vs/workbench/api/common/shared/treeDataTransfer","vs/workbench/api/node/uriTransformer","vs/workbench/common/editor","vs/workbench/api/common/extHostCodeInsets","vs/workbench/contrib/debug/common/debug","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/contrib/debug/node/debugAdapter","vs/workbench/contrib/debug/node/terminals","vs/workbench/contrib/notebook/common/notebookExecutionService","vs/workbench/contrib/output/common/output","vs/workbench/contrib/tasks/common/taskService","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostProgress","vs/workbench/contrib/testing/common/ownedTestCollection","vs/workbench/services/environment/common/environmentService","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/api/common/extHostLogService","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostInteractive","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostNotebookEditors","vs/workbench/api/common/extHostNotebookKernels","vs/workbench/api/common/extHostNotebookRenderers","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTesting","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/node/extHostDownloadService","vs/workbench/api/node/extHostLoggerService","vs/workbench/api/node/extHostStoragePaths","vs/workbench/api/node/extHostTerminalService","vs/workbench/api/node/extHostTunnelService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/services/search/common/fileSearchManager","vs/workbench/services/search/common/queryBuilder","vs/workbench/services/extensions/common/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/api/common/extensionHostMain","vs/workbench/api/node/extHostDebugService","vs/workbench/api/node/extHostTask","vs/workbench/api/common/extHost.common.services","vs/workbench/services/search/node/ripgrepFileSearch","@vscode/ripgrep","vs/workbench/services/search/node/fileSearch","vs/workbench/services/textfile/common/encoding","vs/workbench/services/views/common/treeViewsDragAndDropService","vs/workbench/api/common/extHostTreeViews","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/node/proxyResolver","http","vs/workbench/services/search/node/ripgrepSearchProvider","vs/workbench/services/search/node/textSearchAdapter","vs/workbench/services/search/node/rawSearchService","vs/workbench/api/node/extHostSearch","vs/workbench/api/node/extHostCLIServer","vs/workbench/api/node/extHostExtensionService","vs/workbench/api/node/extHost.node.services","util","https","tls","vscode-proxy-agent","events","vscode-regexpp","crypto","zlib","vs/workbench/api/node/extensionHostProcess","minimist"],ve=function(ee){for(var e=[],h=0,t=ee.length;h<t;h++)e[h]=pe[ee[h]];return e};define(pe[55],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function h(t,P){if(!t)throw new Error(P?`Assertion failed (${P})`:"Assertion Failed")}e.ok=h}),define(pe[73],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=void 0;function h(C){return C?C.replace(/\$\((.*?)\)/g,(k,_)=>` ${_} `).trim():""}e.getCodiconAriaLabel=h;class t{constructor(k,_,R){this.id=k,this.definition=_,this.description=R,t._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return t._allCodicons}}e.Codicon=t,t._allCodicons=[],t.add=new t("add",{fontCharacter:"\\ea60"}),t.plus=new t("plus",t.add.definition),t.gistNew=new t("gist-new",t.add.definition),t.repoCreate=new t("repo-create",t.add.definition),t.lightbulb=new t("lightbulb",{fontCharacter:"\\ea61"}),t.lightBulb=new t("light-bulb",{fontCharacter:"\\ea61"}),t.repo=new t("repo",{fontCharacter:"\\ea62"}),t.repoDelete=new t("repo-delete",{fontCharacter:"\\ea62"}),t.gistFork=new t("gist-fork",{fontCharacter:"\\ea63"}),t.repoForked=new t("repo-forked",{fontCharacter:"\\ea63"}),t.gitPullRequest=new t("git-pull-request",{fontCharacter:"\\ea64"}),t.gitPullRequestAbandoned=new t("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),t.recordKeys=new t("record-keys",{fontCharacter:"\\ea65"}),t.keyboard=new t("keyboard",{fontCharacter:"\\ea65"}),t.tag=new t("tag",{fontCharacter:"\\ea66"}),t.tagAdd=new t("tag-add",{fontCharacter:"\\ea66"}),t.tagRemove=new t("tag-remove",{fontCharacter:"\\ea66"}),t.person=new t("person",{fontCharacter:"\\ea67"}),t.personFollow=new t("person-follow",{fontCharacter:"\\ea67"}),t.personOutline=new t("person-outline",{fontCharacter:"\\ea67"}),t.personFilled=new t("person-filled",{fontCharacter:"\\ea67"}),t.gitBranch=new t("git-branch",{fontCharacter:"\\ea68"}),t.gitBranchCreate=new t("git-branch-create",{fontCharacter:"\\ea68"}),t.gitBranchDelete=new t("git-branch-delete",{fontCharacter:"\\ea68"}),t.sourceControl=new t("source-control",{fontCharacter:"\\ea68"}),t.mirror=new t("mirror",{fontCharacter:"\\ea69"}),t.mirrorPublic=new t("mirror-public",{fontCharacter:"\\ea69"}),t.star=new t("star",{fontCharacter:"\\ea6a"}),t.starAdd=new t("star-add",{fontCharacter:"\\ea6a"}),t.starDelete=new t("star-delete",{fontCharacter:"\\ea6a"}),t.starEmpty=new t("star-empty",{fontCharacter:"\\ea6a"}),t.comment=new t("comment",{fontCharacter:"\\ea6b"}),t.commentAdd=new t("comment-add",{fontCharacter:"\\ea6b"}),t.alert=new t("alert",{fontCharacter:"\\ea6c"}),t.warning=new t("warning",{fontCharacter:"\\ea6c"}),t.search=new t("search",{fontCharacter:"\\ea6d"}),t.searchSave=new t("search-save",{fontCharacter:"\\ea6d"}),t.logOut=new t("log-out",{fontCharacter:"\\ea6e"}),t.signOut=new t("sign-out",{fontCharacter:"\\ea6e"}),t.logIn=new t("log-in",{fontCharacter:"\\ea6f"}),t.signIn=new t("sign-in",{fontCharacter:"\\ea6f"}),t.eye=new t("eye",{fontCharacter:"\\ea70"}),t.eyeUnwatch=new t("eye-unwatch",{fontCharacter:"\\ea70"}),t.eyeWatch=new t("eye-watch",{fontCharacter:"\\ea70"}),t.circleFilled=new t("circle-filled",{fontCharacter:"\\ea71"}),t.primitiveDot=new t("primitive-dot",{fontCharacter:"\\ea71"}),t.closeDirty=new t("close-dirty",{fontCharacter:"\\ea71"}),t.debugBreakpoint=new t("debug-breakpoint",{fontCharacter:"\\ea71"}),t.debugBreakpointDisabled=new t("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),t.debugHint=new t("debug-hint",{fontCharacter:"\\ea71"}),t.primitiveSquare=new t("primitive-square",{fontCharacter:"\\ea72"}),t.edit=new t("edit",{fontCharacter:"\\ea73"}),t.pencil=new t("pencil",{fontCharacter:"\\ea73"}),t.info=new t("info",{fontCharacter:"\\ea74"}),t.issueOpened=new t("issue-opened",{fontCharacter:"\\ea74"}),t.gistPrivate=new t("gist-private",{fontCharacter:"\\ea75"}),t.gitForkPrivate=new t("git-fork-private",{fontCharacter:"\\ea75"}),t.lock=new t("lock",{fontCharacter:"\\ea75"}),t.mirrorPrivate=new t("mirror-private",{fontCharacter:"\\ea75"}),t.close=new t("close",{fontCharacter:"\\ea76"}),t.removeClose=new t("remove-close",{fontCharacter:"\\ea76"}),t.x=new t("x",{fontCharacter:"\\ea76"}),t.repoSync=new t("repo-sync",{fontCharacter:"\\ea77"}),t.sync=new t("sync",{fontCharacter:"\\ea77"}),t.clone=new t("clone",{fontCharacter:"\\ea78"}),t.desktopDownload=new t("desktop-download",{fontCharacter:"\\ea78"}),t.beaker=new t("beaker",{fontCharacter:"\\ea79"}),t.microscope=new t("microscope",{fontCharacter:"\\ea79"}),t.vm=new t("vm",{fontCharacter:"\\ea7a"}),t.deviceDesktop=new t("device-desktop",{fontCharacter:"\\ea7a"}),t.file=new t("file",{fontCharacter:"\\ea7b"}),t.fileText=new t("file-text",{fontCharacter:"\\ea7b"}),t.more=new t("more",{fontCharacter:"\\ea7c"}),t.ellipsis=new t("ellipsis",{fontCharacter:"\\ea7c"}),t.kebabHorizontal=new t("kebab-horizontal",{fontCharacter:"\\ea7c"}),t.mailReply=new t("mail-reply",{fontCharacter:"\\ea7d"}),t.reply=new t("reply",{fontCharacter:"\\ea7d"}),t.organization=new t("organization",{fontCharacter:"\\ea7e"}),t.organizationFilled=new t("organization-filled",{fontCharacter:"\\ea7e"}),t.organizationOutline=new t("organization-outline",{fontCharacter:"\\ea7e"}),t.newFile=new t("new-file",{fontCharacter:"\\ea7f"}),t.fileAdd=new t("file-add",{fontCharacter:"\\ea7f"}),t.newFolder=new t("new-folder",{fontCharacter:"\\ea80"}),t.fileDirectoryCreate=new t("file-directory-create",{fontCharacter:"\\ea80"}),t.trash=new t("trash",{fontCharacter:"\\ea81"}),t.trashcan=new t("trashcan",{fontCharacter:"\\ea81"}),t.history=new t("history",{fontCharacter:"\\ea82"}),t.clock=new t("clock",{fontCharacter:"\\ea82"}),t.folder=new t("folder",{fontCharacter:"\\ea83"}),t.fileDirectory=new t("file-directory",{fontCharacter:"\\ea83"}),t.symbolFolder=new t("symbol-folder",{fontCharacter:"\\ea83"}),t.logoGithub=new t("logo-github",{fontCharacter:"\\ea84"}),t.markGithub=new t("mark-github",{fontCharacter:"\\ea84"}),t.github=new t("github",{fontCharacter:"\\ea84"}),t.terminal=new t("terminal",{fontCharacter:"\\ea85"}),t.console=new t("console",{fontCharacter:"\\ea85"}),t.repl=new t("repl",{fontCharacter:"\\ea85"}),t.zap=new t("zap",{fontCharacter:"\\ea86"}),t.symbolEvent=new t("symbol-event",{fontCharacter:"\\ea86"}),t.error=new t("error",{fontCharacter:"\\ea87"}),t.stop=new t("stop",{fontCharacter:"\\ea87"}),t.variable=new t("variable",{fontCharacter:"\\ea88"}),t.symbolVariable=new t("symbol-variable",{fontCharacter:"\\ea88"}),t.array=new t("array",{fontCharacter:"\\ea8a"}),t.symbolArray=new t("symbol-array",{fontCharacter:"\\ea8a"}),t.symbolModule=new t("symbol-module",{fontCharacter:"\\ea8b"}),t.symbolPackage=new t("symbol-package",{fontCharacter:"\\ea8b"}),t.symbolNamespace=new t("symbol-namespace",{fontCharacter:"\\ea8b"}),t.symbolObject=new t("symbol-object",{fontCharacter:"\\ea8b"}),t.symbolMethod=new t("symbol-method",{fontCharacter:"\\ea8c"}),t.symbolFunction=new t("symbol-function",{fontCharacter:"\\ea8c"}),t.symbolConstructor=new t("symbol-constructor",{fontCharacter:"\\ea8c"}),t.symbolBoolean=new t("symbol-boolean",{fontCharacter:"\\ea8f"}),t.symbolNull=new t("symbol-null",{fontCharacter:"\\ea8f"}),t.symbolNumeric=new t("symbol-numeric",{fontCharacter:"\\ea90"}),t.symbolNumber=new t("symbol-number",{fontCharacter:"\\ea90"}),t.symbolStructure=new t("symbol-structure",{fontCharacter:"\\ea91"}),t.symbolStruct=new t("symbol-struct",{fontCharacter:"\\ea91"}),t.symbolParameter=new t("symbol-parameter",{fontCharacter:"\\ea92"}),t.symbolTypeParameter=new t("symbol-type-parameter",{fontCharacter:"\\ea92"}),t.symbolKey=new t("symbol-key",{fontCharacter:"\\ea93"}),t.symbolText=new t("symbol-text",{fontCharacter:"\\ea93"}),t.symbolReference=new t("symbol-reference",{fontCharacter:"\\ea94"}),t.goToFile=new t("go-to-file",{fontCharacter:"\\ea94"}),t.symbolEnum=new t("symbol-enum",{fontCharacter:"\\ea95"}),t.symbolValue=new t("symbol-value",{fontCharacter:"\\ea95"}),t.symbolRuler=new t("symbol-ruler",{fontCharacter:"\\ea96"}),t.symbolUnit=new t("symbol-unit",{fontCharacter:"\\ea96"}),t.activateBreakpoints=new t("activate-breakpoints",{fontCharacter:"\\ea97"}),t.archive=new t("archive",{fontCharacter:"\\ea98"}),t.arrowBoth=new t("arrow-both",{fontCharacter:"\\ea99"}),t.arrowDown=new t("arrow-down",{fontCharacter:"\\ea9a"}),t.arrowLeft=new t("arrow-left",{fontCharacter:"\\ea9b"}),t.arrowRight=new t("arrow-right",{fontCharacter:"\\ea9c"}),t.arrowSmallDown=new t("arrow-small-down",{fontCharacter:"\\ea9d"}),t.arrowSmallLeft=new t("arrow-small-left",{fontCharacter:"\\ea9e"}),t.arrowSmallRight=new t("arrow-small-right",{fontCharacter:"\\ea9f"}),t.arrowSmallUp=new t("arrow-small-up",{fontCharacter:"\\eaa0"}),t.arrowUp=new t("arrow-up",{fontCharacter:"\\eaa1"}),t.bell=new t("bell",{fontCharacter:"\\eaa2"}),t.bold=new t("bold",{fontCharacter:"\\eaa3"}),t.book=new t("book",{fontCharacter:"\\eaa4"}),t.bookmark=new t("bookmark",{fontCharacter:"\\eaa5"}),t.debugBreakpointConditionalUnverified=new t("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),t.debugBreakpointConditional=new t("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),t.debugBreakpointConditionalDisabled=new t("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),t.debugBreakpointDataUnverified=new t("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),t.debugBreakpointData=new t("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),t.debugBreakpointDataDisabled=new t("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),t.debugBreakpointLogUnverified=new t("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),t.debugBreakpointLog=new t("debug-breakpoint-log",{fontCharacter:"\\eaab"}),t.debugBreakpointLogDisabled=new t("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),t.briefcase=new t("briefcase",{fontCharacter:"\\eaac"}),t.broadcast=new t("broadcast",{fontCharacter:"\\eaad"}),t.browser=new t("browser",{fontCharacter:"\\eaae"}),t.bug=new t("bug",{fontCharacter:"\\eaaf"}),t.calendar=new t("calendar",{fontCharacter:"\\eab0"}),t.caseSensitive=new t("case-sensitive",{fontCharacter:"\\eab1"}),t.check=new t("check",{fontCharacter:"\\eab2"}),t.checklist=new t("checklist",{fontCharacter:"\\eab3"}),t.chevronDown=new t("chevron-down",{fontCharacter:"\\eab4"}),t.dropDownButton=new t("drop-down-button",t.chevronDown.definition),t.chevronLeft=new t("chevron-left",{fontCharacter:"\\eab5"}),t.chevronRight=new t("chevron-right",{fontCharacter:"\\eab6"}),t.chevronUp=new t("chevron-up",{fontCharacter:"\\eab7"}),t.chromeClose=new t("chrome-close",{fontCharacter:"\\eab8"}),t.chromeMaximize=new t("chrome-maximize",{fontCharacter:"\\eab9"}),t.chromeMinimize=new t("chrome-minimize",{fontCharacter:"\\eaba"}),t.chromeRestore=new t("chrome-restore",{fontCharacter:"\\eabb"}),t.circleOutline=new t("circle-outline",{fontCharacter:"\\eabc"}),t.debugBreakpointUnverified=new t("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),t.circleSlash=new t("circle-slash",{fontCharacter:"\\eabd"}),t.circuitBoard=new t("circuit-board",{fontCharacter:"\\eabe"}),t.clearAll=new t("clear-all",{fontCharacter:"\\eabf"}),t.clippy=new t("clippy",{fontCharacter:"\\eac0"}),t.closeAll=new t("close-all",{fontCharacter:"\\eac1"}),t.cloudDownload=new t("cloud-download",{fontCharacter:"\\eac2"}),t.cloudUpload=new t("cloud-upload",{fontCharacter:"\\eac3"}),t.code=new t("code",{fontCharacter:"\\eac4"}),t.collapseAll=new t("collapse-all",{fontCharacter:"\\eac5"}),t.colorMode=new t("color-mode",{fontCharacter:"\\eac6"}),t.commentDiscussion=new t("comment-discussion",{fontCharacter:"\\eac7"}),t.compareChanges=new t("compare-changes",{fontCharacter:"\\eafd"}),t.creditCard=new t("credit-card",{fontCharacter:"\\eac9"}),t.dash=new t("dash",{fontCharacter:"\\eacc"}),t.dashboard=new t("dashboard",{fontCharacter:"\\eacd"}),t.database=new t("database",{fontCharacter:"\\eace"}),t.debugContinue=new t("debug-continue",{fontCharacter:"\\eacf"}),t.debugDisconnect=new t("debug-disconnect",{fontCharacter:"\\ead0"}),t.debugPause=new t("debug-pause",{fontCharacter:"\\ead1"}),t.debugRestart=new t("debug-restart",{fontCharacter:"\\ead2"}),t.debugStart=new t("debug-start",{fontCharacter:"\\ead3"}),t.debugStepInto=new t("debug-step-into",{fontCharacter:"\\ead4"}),t.debugStepOut=new t("debug-step-out",{fontCharacter:"\\ead5"}),t.debugStepOver=new t("debug-step-over",{fontCharacter:"\\ead6"}),t.debugStop=new t("debug-stop",{fontCharacter:"\\ead7"}),t.debug=new t("debug",{fontCharacter:"\\ead8"}),t.deviceCameraVideo=new t("device-camera-video",{fontCharacter:"\\ead9"}),t.deviceCamera=new t("device-camera",{fontCharacter:"\\eada"}),t.deviceMobile=new t("device-mobile",{fontCharacter:"\\eadb"}),t.diffAdded=new t("diff-added",{fontCharacter:"\\eadc"}),t.diffIgnored=new t("diff-ignored",{fontCharacter:"\\eadd"}),t.diffModified=new t("diff-modified",{fontCharacter:"\\eade"}),t.diffRemoved=new t("diff-removed",{fontCharacter:"\\eadf"}),t.diffRenamed=new t("diff-renamed",{fontCharacter:"\\eae0"}),t.diff=new t("diff",{fontCharacter:"\\eae1"}),t.discard=new t("discard",{fontCharacter:"\\eae2"}),t.editorLayout=new t("editor-layout",{fontCharacter:"\\eae3"}),t.emptyWindow=new t("empty-window",{fontCharacter:"\\eae4"}),t.exclude=new t("exclude",{fontCharacter:"\\eae5"}),t.extensions=new t("extensions",{fontCharacter:"\\eae6"}),t.eyeClosed=new t("eye-closed",{fontCharacter:"\\eae7"}),t.fileBinary=new t("file-binary",{fontCharacter:"\\eae8"}),t.fileCode=new t("file-code",{fontCharacter:"\\eae9"}),t.fileMedia=new t("file-media",{fontCharacter:"\\eaea"}),t.filePdf=new t("file-pdf",{fontCharacter:"\\eaeb"}),t.fileSubmodule=new t("file-submodule",{fontCharacter:"\\eaec"}),t.fileSymlinkDirectory=new t("file-symlink-directory",{fontCharacter:"\\eaed"}),t.fileSymlinkFile=new t("file-symlink-file",{fontCharacter:"\\eaee"}),t.fileZip=new t("file-zip",{fontCharacter:"\\eaef"}),t.files=new t("files",{fontCharacter:"\\eaf0"}),t.filter=new t("filter",{fontCharacter:"\\eaf1"}),t.flame=new t("flame",{fontCharacter:"\\eaf2"}),t.foldDown=new t("fold-down",{fontCharacter:"\\eaf3"}),t.foldUp=new t("fold-up",{fontCharacter:"\\eaf4"}),t.fold=new t("fold",{fontCharacter:"\\eaf5"}),t.folderActive=new t("folder-active",{fontCharacter:"\\eaf6"}),t.folderOpened=new t("folder-opened",{fontCharacter:"\\eaf7"}),t.gear=new t("gear",{fontCharacter:"\\eaf8"}),t.gift=new t("gift",{fontCharacter:"\\eaf9"}),t.gistSecret=new t("gist-secret",{fontCharacter:"\\eafa"}),t.gist=new t("gist",{fontCharacter:"\\eafb"}),t.gitCommit=new t("git-commit",{fontCharacter:"\\eafc"}),t.gitCompare=new t("git-compare",{fontCharacter:"\\eafd"}),t.gitMerge=new t("git-merge",{fontCharacter:"\\eafe"}),t.githubAction=new t("github-action",{fontCharacter:"\\eaff"}),t.githubAlt=new t("github-alt",{fontCharacter:"\\eb00"}),t.globe=new t("globe",{fontCharacter:"\\eb01"}),t.grabber=new t("grabber",{fontCharacter:"\\eb02"}),t.graph=new t("graph",{fontCharacter:"\\eb03"}),t.gripper=new t("gripper",{fontCharacter:"\\eb04"}),t.heart=new t("heart",{fontCharacter:"\\eb05"}),t.home=new t("home",{fontCharacter:"\\eb06"}),t.horizontalRule=new t("horizontal-rule",{fontCharacter:"\\eb07"}),t.hubot=new t("hubot",{fontCharacter:"\\eb08"}),t.inbox=new t("inbox",{fontCharacter:"\\eb09"}),t.issueClosed=new t("issue-closed",{fontCharacter:"\\eba4"}),t.issueReopened=new t("issue-reopened",{fontCharacter:"\\eb0b"}),t.issues=new t("issues",{fontCharacter:"\\eb0c"}),t.italic=new t("italic",{fontCharacter:"\\eb0d"}),t.jersey=new t("jersey",{fontCharacter:"\\eb0e"}),t.json=new t("json",{fontCharacter:"\\eb0f"}),t.kebabVertical=new t("kebab-vertical",{fontCharacter:"\\eb10"}),t.key=new t("key",{fontCharacter:"\\eb11"}),t.law=new t("law",{fontCharacter:"\\eb12"}),t.lightbulbAutofix=new t("lightbulb-autofix",{fontCharacter:"\\eb13"}),t.linkExternal=new t("link-external",{fontCharacter:"\\eb14"}),t.link=new t("link",{fontCharacter:"\\eb15"}),t.listOrdered=new t("list-ordered",{fontCharacter:"\\eb16"}),t.listUnordered=new t("list-unordered",{fontCharacter:"\\eb17"}),t.liveShare=new t("live-share",{fontCharacter:"\\eb18"}),t.loading=new t("loading",{fontCharacter:"\\eb19"}),t.location=new t("location",{fontCharacter:"\\eb1a"}),t.mailRead=new t("mail-read",{fontCharacter:"\\eb1b"}),t.mail=new t("mail",{fontCharacter:"\\eb1c"}),t.markdown=new t("markdown",{fontCharacter:"\\eb1d"}),t.megaphone=new t("megaphone",{fontCharacter:"\\eb1e"}),t.mention=new t("mention",{fontCharacter:"\\eb1f"}),t.milestone=new t("milestone",{fontCharacter:"\\eb20"}),t.mortarBoard=new t("mortar-board",{fontCharacter:"\\eb21"}),t.move=new t("move",{fontCharacter:"\\eb22"}),t.multipleWindows=new t("multiple-windows",{fontCharacter:"\\eb23"}),t.mute=new t("mute",{fontCharacter:"\\eb24"}),t.noNewline=new t("no-newline",{fontCharacter:"\\eb25"}),t.note=new t("note",{fontCharacter:"\\eb26"}),t.octoface=new t("octoface",{fontCharacter:"\\eb27"}),t.openPreview=new t("open-preview",{fontCharacter:"\\eb28"}),t.package_=new t("package",{fontCharacter:"\\eb29"}),t.paintcan=new t("paintcan",{fontCharacter:"\\eb2a"}),t.pin=new t("pin",{fontCharacter:"\\eb2b"}),t.play=new t("play",{fontCharacter:"\\eb2c"}),t.run=new t("run",{fontCharacter:"\\eb2c"}),t.plug=new t("plug",{fontCharacter:"\\eb2d"}),t.preserveCase=new t("preserve-case",{fontCharacter:"\\eb2e"}),t.preview=new t("preview",{fontCharacter:"\\eb2f"}),t.project=new t("project",{fontCharacter:"\\eb30"}),t.pulse=new t("pulse",{fontCharacter:"\\eb31"}),t.question=new t("question",{fontCharacter:"\\eb32"}),t.quote=new t("quote",{fontCharacter:"\\eb33"}),t.radioTower=new t("radio-tower",{fontCharacter:"\\eb34"}),t.reactions=new t("reactions",{fontCharacter:"\\eb35"}),t.references=new t("references",{fontCharacter:"\\eb36"}),t.refresh=new t("refresh",{fontCharacter:"\\eb37"}),t.regex=new t("regex",{fontCharacter:"\\eb38"}),t.remoteExplorer=new t("remote-explorer",{fontCharacter:"\\eb39"}),t.remote=new t("remote",{fontCharacter:"\\eb3a"}),t.remove=new t("remove",{fontCharacter:"\\eb3b"}),t.replaceAll=new t("replace-all",{fontCharacter:"\\eb3c"}),t.replace=new t("replace",{fontCharacter:"\\eb3d"}),t.repoClone=new t("repo-clone",{fontCharacter:"\\eb3e"}),t.repoForcePush=new t("repo-force-push",{fontCharacter:"\\eb3f"}),t.repoPull=new t("repo-pull",{fontCharacter:"\\eb40"}),t.repoPush=new t("repo-push",{fontCharacter:"\\eb41"}),t.report=new t("report",{fontCharacter:"\\eb42"}),t.requestChanges=new t("request-changes",{fontCharacter:"\\eb43"}),t.rocket=new t("rocket",{fontCharacter:"\\eb44"}),t.rootFolderOpened=new t("root-folder-opened",{fontCharacter:"\\eb45"}),t.rootFolder=new t("root-folder",{fontCharacter:"\\eb46"}),t.rss=new t("rss",{fontCharacter:"\\eb47"}),t.ruby=new t("ruby",{fontCharacter:"\\eb48"}),t.saveAll=new t("save-all",{fontCharacter:"\\eb49"}),t.saveAs=new t("save-as",{fontCharacter:"\\eb4a"}),t.save=new t("save",{fontCharacter:"\\eb4b"}),t.screenFull=new t("screen-full",{fontCharacter:"\\eb4c"}),t.screenNormal=new t("screen-normal",{fontCharacter:"\\eb4d"}),t.searchStop=new t("search-stop",{fontCharacter:"\\eb4e"}),t.server=new t("server",{fontCharacter:"\\eb50"}),t.settingsGear=new t("settings-gear",{fontCharacter:"\\eb51"}),t.settings=new t("settings",{fontCharacter:"\\eb52"}),t.shield=new t("shield",{fontCharacter:"\\eb53"}),t.smiley=new t("smiley",{fontCharacter:"\\eb54"}),t.sortPrecedence=new t("sort-precedence",{fontCharacter:"\\eb55"}),t.splitHorizontal=new t("split-horizontal",{fontCharacter:"\\eb56"}),t.splitVertical=new t("split-vertical",{fontCharacter:"\\eb57"}),t.squirrel=new t("squirrel",{fontCharacter:"\\eb58"}),t.starFull=new t("star-full",{fontCharacter:"\\eb59"}),t.starHalf=new t("star-half",{fontCharacter:"\\eb5a"}),t.symbolClass=new t("symbol-class",{fontCharacter:"\\eb5b"}),t.symbolColor=new t("symbol-color",{fontCharacter:"\\eb5c"}),t.symbolCustomColor=new t("symbol-customcolor",{fontCharacter:"\\eb5c"}),t.symbolConstant=new t("symbol-constant",{fontCharacter:"\\eb5d"}),t.symbolEnumMember=new t("symbol-enum-member",{fontCharacter:"\\eb5e"}),t.symbolField=new t("symbol-field",{fontCharacter:"\\eb5f"}),t.symbolFile=new t("symbol-file",{fontCharacter:"\\eb60"}),t.symbolInterface=new t("symbol-interface",{fontCharacter:"\\eb61"}),t.symbolKeyword=new t("symbol-keyword",{fontCharacter:"\\eb62"}),t.symbolMisc=new t("symbol-misc",{fontCharacter:"\\eb63"}),t.symbolOperator=new t("symbol-operator",{fontCharacter:"\\eb64"}),t.symbolProperty=new t("symbol-property",{fontCharacter:"\\eb65"}),t.wrench=new t("wrench",{fontCharacter:"\\eb65"}),t.wrenchSubaction=new t("wrench-subaction",{fontCharacter:"\\eb65"}),t.symbolSnippet=new t("symbol-snippet",{fontCharacter:"\\eb66"}),t.tasklist=new t("tasklist",{fontCharacter:"\\eb67"}),t.telescope=new t("telescope",{fontCharacter:"\\eb68"}),t.textSize=new t("text-size",{fontCharacter:"\\eb69"}),t.threeBars=new t("three-bars",{fontCharacter:"\\eb6a"}),t.thumbsdown=new t("thumbsdown",{fontCharacter:"\\eb6b"}),t.thumbsup=new t("thumbsup",{fontCharacter:"\\eb6c"}),t.tools=new t("tools",{fontCharacter:"\\eb6d"}),t.triangleDown=new t("triangle-down",{fontCharacter:"\\eb6e"}),t.triangleLeft=new t("triangle-left",{fontCharacter:"\\eb6f"}),t.triangleRight=new t("triangle-right",{fontCharacter:"\\eb70"}),t.triangleUp=new t("triangle-up",{fontCharacter:"\\eb71"}),t.twitter=new t("twitter",{fontCharacter:"\\eb72"}),t.unfold=new t("unfold",{fontCharacter:"\\eb73"}),t.unlock=new t("unlock",{fontCharacter:"\\eb74"}),t.unmute=new t("unmute",{fontCharacter:"\\eb75"}),t.unverified=new t("unverified",{fontCharacter:"\\eb76"}),t.verified=new t("verified",{fontCharacter:"\\eb77"}),t.versions=new t("versions",{fontCharacter:"\\eb78"}),t.vmActive=new t("vm-active",{fontCharacter:"\\eb79"}),t.vmOutline=new t("vm-outline",{fontCharacter:"\\eb7a"}),t.vmRunning=new t("vm-running",{fontCharacter:"\\eb7b"}),t.watch=new t("watch",{fontCharacter:"\\eb7c"}),t.whitespace=new t("whitespace",{fontCharacter:"\\eb7d"}),t.wholeWord=new t("whole-word",{fontCharacter:"\\eb7e"}),t.window=new t("window",{fontCharacter:"\\eb7f"}),t.wordWrap=new t("word-wrap",{fontCharacter:"\\eb80"}),t.zoomIn=new t("zoom-in",{fontCharacter:"\\eb81"}),t.zoomOut=new t("zoom-out",{fontCharacter:"\\eb82"}),t.listFilter=new t("list-filter",{fontCharacter:"\\eb83"}),t.listFlat=new t("list-flat",{fontCharacter:"\\eb84"}),t.listSelection=new t("list-selection",{fontCharacter:"\\eb85"}),t.selection=new t("selection",{fontCharacter:"\\eb85"}),t.listTree=new t("list-tree",{fontCharacter:"\\eb86"}),t.debugBreakpointFunctionUnverified=new t("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),t.debugBreakpointFunction=new t("debug-breakpoint-function",{fontCharacter:"\\eb88"}),t.debugBreakpointFunctionDisabled=new t("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),t.debugStackframeActive=new t("debug-stackframe-active",{fontCharacter:"\\eb89"}),t.debugStackframeDot=new t("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),t.debugStackframe=new t("debug-stackframe",{fontCharacter:"\\eb8b"}),t.debugStackframeFocused=new t("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),t.debugBreakpointUnsupported=new t("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),t.symbolString=new t("symbol-string",{fontCharacter:"\\eb8d"}),t.debugReverseContinue=new t("debug-reverse-continue",{fontCharacter:"\\eb8e"}),t.debugStepBack=new t("debug-step-back",{fontCharacter:"\\eb8f"}),t.debugRestartFrame=new t("debug-restart-frame",{fontCharacter:"\\eb90"}),t.callIncoming=new t("call-incoming",{fontCharacter:"\\eb92"}),t.callOutgoing=new t("call-outgoing",{fontCharacter:"\\eb93"}),t.menu=new t("menu",{fontCharacter:"\\eb94"}),t.expandAll=new t("expand-all",{fontCharacter:"\\eb95"}),t.feedback=new t("feedback",{fontCharacter:"\\eb96"}),t.groupByRefType=new t("group-by-ref-type",{fontCharacter:"\\eb97"}),t.ungroupByRefType=new t("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),t.account=new t("account",{fontCharacter:"\\eb99"}),t.bellDot=new t("bell-dot",{fontCharacter:"\\eb9a"}),t.debugConsole=new t("debug-console",{fontCharacter:"\\eb9b"}),t.library=new t("library",{fontCharacter:"\\eb9c"}),t.output=new t("output",{fontCharacter:"\\eb9d"}),t.runAll=new t("run-all",{fontCharacter:"\\eb9e"}),t.syncIgnored=new t("sync-ignored",{fontCharacter:"\\eb9f"}),t.pinned=new t("pinned",{fontCharacter:"\\eba0"}),t.githubInverted=new t("github-inverted",{fontCharacter:"\\eba1"}),t.debugAlt=new t("debug-alt",{fontCharacter:"\\eb91"}),t.serverProcess=new t("server-process",{fontCharacter:"\\eba2"}),t.serverEnvironment=new t("server-environment",{fontCharacter:"\\eba3"}),t.pass=new t("pass",{fontCharacter:"\\eba4"}),t.stopCircle=new t("stop-circle",{fontCharacter:"\\eba5"}),t.playCircle=new t("play-circle",{fontCharacter:"\\eba6"}),t.record=new t("record",{fontCharacter:"\\eba7"}),t.debugAltSmall=new t("debug-alt-small",{fontCharacter:"\\eba8"}),t.vmConnect=new t("vm-connect",{fontCharacter:"\\eba9"}),t.cloud=new t("cloud",{fontCharacter:"\\ebaa"}),t.merge=new t("merge",{fontCharacter:"\\ebab"}),t.exportIcon=new t("export",{fontCharacter:"\\ebac"}),t.graphLeft=new t("graph-left",{fontCharacter:"\\ebad"}),t.magnet=new t("magnet",{fontCharacter:"\\ebae"}),t.notebook=new t("notebook",{fontCharacter:"\\ebaf"}),t.redo=new t("redo",{fontCharacter:"\\ebb0"}),t.checkAll=new t("check-all",{fontCharacter:"\\ebb1"}),t.pinnedDirty=new t("pinned-dirty",{fontCharacter:"\\ebb2"}),t.passFilled=new t("pass-filled",{fontCharacter:"\\ebb3"}),t.circleLargeFilled=new t("circle-large-filled",{fontCharacter:"\\ebb4"}),t.circleLargeOutline=new t("circle-large-outline",{fontCharacter:"\\ebb5"}),t.combine=new t("combine",{fontCharacter:"\\ebb6"}),t.gather=new t("gather",{fontCharacter:"\\ebb6"}),t.table=new t("table",{fontCharacter:"\\ebb7"}),t.variableGroup=new t("variable-group",{fontCharacter:"\\ebb8"}),t.typeHierarchy=new t("type-hierarchy",{fontCharacter:"\\ebb9"}),t.typeHierarchySub=new t("type-hierarchy-sub",{fontCharacter:"\\ebba"}),t.typeHierarchySuper=new t("type-hierarchy-super",{fontCharacter:"\\ebbb"}),t.gitPullRequestCreate=new t("git-pull-request-create",{fontCharacter:"\\ebbc"}),t.runAbove=new t("run-above",{fontCharacter:"\\ebbd"}),t.runBelow=new t("run-below",{fontCharacter:"\\ebbe"}),t.notebookTemplate=new t("notebook-template",{fontCharacter:"\\ebbf"}),t.debugRerun=new t("debug-rerun",{fontCharacter:"\\ebc0"}),t.workspaceTrusted=new t("workspace-trusted",{fontCharacter:"\\ebc1"}),t.workspaceUntrusted=new t("workspace-untrusted",{fontCharacter:"\\ebc2"}),t.workspaceUnspecified=new t("workspace-unspecified",{fontCharacter:"\\ebc3"}),t.terminalCmd=new t("terminal-cmd",{fontCharacter:"\\ebc4"}),t.terminalDebian=new t("terminal-debian",{fontCharacter:"\\ebc5"}),t.terminalLinux=new t("terminal-linux",{fontCharacter:"\\ebc6"}),t.terminalPowershell=new t("terminal-powershell",{fontCharacter:"\\ebc7"}),t.terminalTmux=new t("terminal-tmux",{fontCharacter:"\\ebc8"}),t.terminalUbuntu=new t("terminal-ubuntu",{fontCharacter:"\\ebc9"}),t.terminalBash=new t("terminal-bash",{fontCharacter:"\\ebca"}),t.arrowSwap=new t("arrow-swap",{fontCharacter:"\\ebcb"}),t.copy=new t("copy",{fontCharacter:"\\ebcc"}),t.personAdd=new t("person-add",{fontCharacter:"\\ebcd"}),t.filterFilled=new t("filter-filled",{fontCharacter:"\\ebce"}),t.wand=new t("wand",{fontCharacter:"\\ebcf"}),t.debugLineByLine=new t("debug-line-by-line",{fontCharacter:"\\ebd0"}),t.inspect=new t("inspect",{fontCharacter:"\\ebd1"}),t.layers=new t("layers",{fontCharacter:"\\ebd2"}),t.layersDot=new t("layers-dot",{fontCharacter:"\\ebd3"}),t.layersActive=new t("layers-active",{fontCharacter:"\\ebd4"}),t.compass=new t("compass",{fontCharacter:"\\ebd5"}),t.compassDot=new t("compass-dot",{fontCharacter:"\\ebd6"}),t.compassActive=new t("compass-active",{fontCharacter:"\\ebd7"}),t.azure=new t("azure",{fontCharacter:"\\ebd8"}),t.issueDraft=new t("issue-draft",{fontCharacter:"\\ebd9"}),t.gitPullRequestClosed=new t("git-pull-request-closed",{fontCharacter:"\\ebda"}),t.gitPullRequestDraft=new t("git-pull-request-draft",{fontCharacter:"\\ebdb"}),t.debugAll=new t("debug-all",{fontCharacter:"\\ebdc"}),t.debugCoverage=new t("debug-coverage",{fontCharacter:"\\ebdd"}),t.runErrors=new t("run-errors",{fontCharacter:"\\ebde"}),t.folderLibrary=new t("folder-library",{fontCharacter:"\\ebdf"}),t.debugContinueSmall=new t("debug-continue-small",{fontCharacter:"\\ebe0"}),t.beakerStop=new t("beaker-stop",{fontCharacter:"\\ebe1"}),t.graphLine=new t("graph-line",{fontCharacter:"\\ebe2"}),t.graphScatter=new t("graph-scatter",{fontCharacter:"\\ebe3"}),t.pieChart=new t("pie-chart",{fontCharacter:"\\ebe4"}),t.bracket=new t("bracket",t.json.definition),t.bracketDot=new t("bracket-dot",{fontCharacter:"\\ebe5"}),t.bracketError=new t("bracket-error",{fontCharacter:"\\ebe6"}),t.lockSmall=new t("lock-small",{fontCharacter:"\\ebe7"}),t.azureDevops=new t("azure-devops",{fontCharacter:"\\ebe8"}),t.verifiedFilled=new t("verified-filled",{fontCharacter:"\\ebe9"}),t.newLine=new t("newline",{fontCharacter:"\\ebea"}),t.layout=new t("layout",{fontCharacter:"\\ebeb"}),t.layoutActivitybarLeft=new t("layout-activitybar-left",{fontCharacter:"\\ebec"}),t.layoutActivitybarRight=new t("layout-activitybar-right",{fontCharacter:"\\ebed"}),t.layoutPanelLeft=new t("layout-panel-left",{fontCharacter:"\\ebee"}),t.layoutPanelCenter=new t("layout-panel-center",{fontCharacter:"\\ebef"}),t.layoutPanelJustify=new t("layout-panel-justify",{fontCharacter:"\\ebf0"}),t.layoutPanelRight=new t("layout-panel-right",{fontCharacter:"\\ebf1"}),t.layoutPanel=new t("layout-panel",{fontCharacter:"\\ebf2"}),t.layoutSidebarLeft=new t("layout-sidebar-left",{fontCharacter:"\\ebf3"}),t.layoutSidebarRight=new t("layout-sidebar-right",{fontCharacter:"\\ebf4"}),t.layoutStatusbar=new t("layout-statusbar",{fontCharacter:"\\ebf5"}),t.layoutMenubar=new t("layout-menubar",{fontCharacter:"\\ebf6"}),t.layoutCentered=new t("layout-centered",{fontCharacter:"\\ebf7"}),t.target=new t("target",{fontCharacter:"\\ebf8"}),t.indent=new t("indent",{fontCharacter:"\\ebf9"}),t.recordSmall=new t("record-small",{fontCharacter:"\\ebfa"}),t.errorSmall=new t("error-small",{fontCharacter:"\\ebfb"}),t.arrowCircleDown=new t("arrow-circle-down",{fontCharacter:"\\ebfc"}),t.arrowCircleLeft=new t("arrow-circle-left",{fontCharacter:"\\ebfd"}),t.arrowCircleRight=new t("arrow-circle-right",{fontCharacter:"\\ebfe"}),t.arrowCircleUp=new t("arrow-circle-up",{fontCharacter:"\\ebff"}),t.dialogError=new t("dialog-error",t.error.definition),t.dialogWarning=new t("dialog-warning",t.warning.definition),t.dialogInfo=new t("dialog-info",t.info.definition),t.dialogClose=new t("dialog-close",t.close.definition),t.treeItemExpanded=new t("tree-item-expanded",t.chevronDown.definition),t.treeFilterOnTypeOn=new t("tree-filter-on-type-on",t.listFilter.definition),t.treeFilterOnTypeOff=new t("tree-filter-on-type-off",t.listSelection.definition),t.treeFilterClear=new t("tree-filter-clear",t.close.definition),t.treeItemLoading=new t("tree-item-loading",t.loading.definition),t.menuSelection=new t("menu-selection",t.check.definition),t.menuSubmenu=new t("menu-submenu",t.chevronRight.definition),t.menuBarMore=new t("menubar-more",t.more.definition),t.scrollbarButtonLeft=new t("scrollbar-button-left",t.triangleLeft.definition),t.scrollbarButtonRight=new t("scrollbar-button-right",t.triangleRight.definition),t.scrollbarButtonUp=new t("scrollbar-button-up",t.triangleUp.definition),t.scrollbarButtonDown=new t("scrollbar-button-down",t.triangleDown.definition),t.toolBarMore=new t("toolbar-more",t.more.definition),t.quickInputBack=new t("quick-input-back",t.arrowLeft.definition);function P(C,k){const _=["codicon","codicon-"+C];return k&&_.push("codicon-modifier-"+k),_}e.getClassNamesArray=P;var A;(function(C){C.iconNameSegment="[A-Za-z0-9]+",C.iconNameExpression="[A-Za-z0-9-]+",C.iconModifierExpression="~[A-Za-z]+",C.iconNameCharacter="[A-Za-z0-9~-]";const k=new RegExp(`^(${C.iconNameExpression})(${C.iconModifierExpression})?$`);function _(D){if(D instanceof t)return["codicon","codicon-"+D.id];const p=k.exec(D.id);if(!p)return _(t.error);let[,b,g]=p;const u=["codicon","codicon-"+b];return g&&u.push("codicon-modifier-"+g.substr(1)),u}C.asClassNameArray=_;function R(D){return _(D).join(" ")}C.asClassName=R;function F(D){return"."+_(D).join(".")}C.asCSSSelector=F})(A=e.CSSIcon||(e.CSSIcon={}))}),define(pe[74],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const h=Object.prototype.hasOwnProperty;function t(F){const D=[];for(let p in F)h.call(F,p)&&D.push(F[p]);return D}e.values=t;function P(F,D){for(let p in F)if(h.call(F,p)&&D({key:p,value:F[p]},function(){delete F[p]})===!1)return}e.forEach=P;function A(F,D){const p=Object.create(null);for(const b of F){const g=D(b);let u=p[g];u||(u=p[g]=[]),u.push(b)}return p}e.groupBy=A;function C(F){const D=Object.create(null);return F&&F.forEach((p,b)=>{D[b]=p}),D}e.fromMap=C;function k(F,D){const p=[],b=[];for(let g of F)D.has(g)||p.push(g);for(let g of D)F.has(g)||b.push(g);return{removed:p,added:b}}e.diffSets=k;function _(F,D){const p=[],b=[];for(let[g,u]of F)D.has(g)||p.push(u);for(let[g,u]of D)F.has(g)||b.push(u);return{removed:p,added:b}}e.diffMaps=_;class R{constructor(){this.map=new Map}add(D,p){let b=this.map.get(D);b||(b=new Set,this.map.set(D,b)),b.add(p)}delete(D,p){const b=this.map.get(D);!b||(b.delete(p),b.size===0&&this.map.delete(D))}forEach(D,p){const b=this.map.get(D);!b||b.forEach(p)}}e.SetMap=R}),define(pe[56],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function h(C){return(k,_,R)=>{let F=null,D=null;if(typeof R.value=="function"?(F="value",D=R.value):typeof R.get=="function"&&(F="get",D=R.get),!D)throw new Error("not supported");R[F]=C(D,_)}}e.createDecorator=h;function t(C,k,_){let R=null,F=null;if(typeof _.value=="function"?(R="value",F=_.value,F.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof _.get=="function"&&(R="get",F=_.get),!F)throw new Error("not supported");const D=`$memoize$${k}`;_[R]=function(...p){return this.hasOwnProperty(D)||Object.defineProperty(this,D,{configurable:!1,enumerable:!1,writable:!1,value:F.apply(this,p)}),this[D]}}e.memoize=t;function P(C,k,_){return h((R,F)=>{const D=`$debounce$${F}`,p=`$debounce$result$${F}`;return function(...b){this[p]||(this[p]=_?_():void 0),clearTimeout(this[D]),k&&(this[p]=k(this[p],...b),b=[this[p]]),this[D]=setTimeout(()=>{R.apply(this,b),this[p]=_?_():void 0},C)}})}e.debounce=P;function A(C,k,_){return h((R,F)=>{const D=`$throttle$timer$${F}`,p=`$throttle$result$${F}`,b=`$throttle$lastRun$${F}`,g=`$throttle$pending$${F}`;return function(...u){if(this[p]||(this[p]=_?_():void 0),(this[b]===null||this[b]===void 0)&&(this[b]=-Number.MAX_VALUE),k&&(this[p]=k(this[p],...u)),this[g])return;const w=this[b]+C;w<=Date.now()?(this[b]=Date.now(),R.apply(this,[this[p]]),this[p]=_?_():void 0):(this[g]=!0,this[D]=setTimeout(()=>{this[g]=!1,this[b]=Date.now(),R.apply(this,[this[p]]),this[p]=_?_():void 0},w-Date.now()))}})}e.throttle=A}),define(pe[17],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isCancellationError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class h{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(c){setTimeout(()=>{throw c.stack?new Error(c.message+`

`+c.stack):c},0)}}addListener(c){return this.listeners.push(c),()=>{this._removeListener(c)}}emit(c){this.listeners.forEach(f=>{f(c)})}_removeListener(c){this.listeners.splice(this.listeners.indexOf(c),1)}setUnexpectedErrorHandler(c){this.unexpectedErrorHandler=c}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(c){this.unexpectedErrorHandler(c),this.emit(c)}onUnexpectedExternalError(c){this.unexpectedErrorHandler(c)}}e.ErrorHandler=h,e.errorHandler=new h;function t(l){e.errorHandler.setUnexpectedErrorHandler(l)}e.setUnexpectedErrorHandler=t;function P(l){_(l)||e.errorHandler.onUnexpectedError(l)}e.onUnexpectedError=P;function A(l){_(l)||e.errorHandler.onUnexpectedExternalError(l)}e.onUnexpectedExternalError=A;function C(l){if(l instanceof Error){let{name:c,message:f}=l;const s=l.stacktrace||l.stack;return{$isError:!0,name:c,message:f,stack:s}}return l}e.transformErrorForSerialization=C;const k="Canceled";function _(l){return l instanceof R?!0:l instanceof Error&&l.name===k&&l.message===k}e.isCancellationError=_;class R extends Error{constructor(){super(k);this.name=this.message}}e.CancellationError=R;function F(){const l=new Error(k);return l.name=l.message,l}e.canceled=F;function D(l){return l?new Error(`Illegal argument: ${l}`):new Error("Illegal argument")}e.illegalArgument=D;function p(l){return l?new Error(`Illegal state: ${l}`):new Error("Illegal state")}e.illegalState=p;function b(l){return l?new Error(`readonly property '${l} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=b;function g(l){const c=new Error(`${l} has been disposed`);return c.name="DISPOSED",c}e.disposed=g;function u(l){return l?l.message?l.message:l.stack?l.stack.split(`
`)[0]:String(l):"Error"}e.getErrorMessage=u;class w extends Error{constructor(c){super("NotImplemented");c&&(this.message=c)}}e.NotImplementedError=w;class S extends Error{constructor(c){super("NotSupported");c&&(this.message=c)}}e.NotSupportedError=S;class I extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=I}),define(pe[18],ve([1,0,17]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.findMinBy=e.findLastMaxBy=e.findMaxBy=e.numberComparator=e.compareBy=e.splice=e.insertInto=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.findLast=e.uniqueFilter=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function t(Z,J=0){return Z[Z.length-(1+J)]}e.tail=t;function P(Z){if(Z.length===0)throw new Error("Invalid tail call");return[Z.slice(0,Z.length-1),Z[Z.length-1]]}e.tail2=P;function A(Z,J,ae=(he,we)=>he===we){if(Z===J)return!0;if(!Z||!J||Z.length!==J.length)return!1;for(let he=0,we=Z.length;he<we;he++)if(!ae(Z[he],J[he]))return!1;return!0}e.equals=A;function C(Z,J,ae){let he=0,we=Z.length-1;for(;he<=we;){const Te=(he+we)/2|0,Ne=ae(Z[Te],J);if(Ne<0)he=Te+1;else if(Ne>0)we=Te-1;else return Te}return-(he+1)}e.binarySearch=C;function k(Z,J){let ae=0,he=Z.length;if(he===0)return 0;for(;ae<he;){const we=Math.floor((ae+he)/2);J(Z[we])?he=we:ae=we+1}return ae}e.findFirstInSorted=k;function _(Z,J,ae){if(Z=Z|0,Z>=J.length)throw new TypeError("invalid index");let he=J[Math.floor(J.length*Math.random())],we=[],Te=[],Ne=[];for(let be of J){const Ee=ae(be,he);Ee<0?we.push(be):Ee>0?Te.push(be):Ne.push(be)}return Z<we.length?_(Z,we,ae):Z<we.length+Ne.length?Ne[0]:_(Z-(we.length+Ne.length),Te,ae)}e.quickSelect=_;function R(Z,J){const ae=[];let he;for(const we of Z.slice(0).sort(J))!he||J(he[0],we)!==0?(he=[we],ae.push(he)):he.push(we);return ae}e.groupBy=R;function F(Z,J,ae){const he=[];function we(be,Ee,$){if(Ee===0&&$.length===0)return;const U=he[he.length-1];U&&U.start+U.deleteCount===be?(U.deleteCount+=Ee,U.toInsert.push(...$)):he.push({start:be,deleteCount:Ee,toInsert:$})}let Te=0,Ne=0;for(;;){if(Te===Z.length){we(Te,0,J.slice(Ne));break}if(Ne===J.length){we(Te,Z.length-Te,[]);break}const be=Z[Te],Ee=J[Ne],$=ae(be,Ee);$===0?(Te+=1,Ne+=1):$<0?(we(Te,1,[]),Te+=1):$>0&&(we(Te,0,[Ee]),Ne+=1)}return he}e.sortedDiff=F;function D(Z,J,ae){const he=F(Z,J,ae),we=[],Te=[];for(const Ne of he)we.push(...Z.slice(Ne.start,Ne.start+Ne.deleteCount)),Te.push(...Ne.toInsert);return{removed:we,added:Te}}e.delta=D;function p(Z,J,ae){if(ae===0)return[];const he=Z.slice(0,ae).sort(J);return g(Z,J,he,ae,Z.length),he}e.top=p;function b(Z,J,ae,he,we){return ae===0?Promise.resolve([]):new Promise((Te,Ne)=>{(async()=>{const be=Z.length,Ee=Z.slice(0,ae).sort(J);for(let $=ae,U=Math.min(ae+he,be);$<be;$=U,U=Math.min(U+he,be)){if($>ae&&await new Promise(N=>setTimeout(N)),we&&we.isCancellationRequested)throw(0,h.canceled)();g(Z,J,Ee,$,U)}return Ee})().then(Te,Ne)})}e.topAsync=b;function g(Z,J,ae,he,we){for(const Te=ae.length;he<we;he++){const Ne=Z[he];if(J(Ne,ae[Te-1])<0){ae.pop();const be=k(ae,Ee=>J(Ne,Ee)<0);ae.splice(be,0,Ne)}}}function u(Z){return Z.filter(J=>!!J)}e.coalesce=u;function w(Z){let J=0;for(let ae=0;ae<Z.length;ae++)Z[ae]&&(Z[J]=Z[ae],J+=1);Z.length=J}e.coalesceInPlace=w;function S(Z,J,ae){Z.splice(ae,0,Z.splice(J,1)[0])}e.move=S;function I(Z){return!Array.isArray(Z)||Z.length===0}e.isFalsyOrEmpty=I;function l(Z){return Array.isArray(Z)&&Z.length>0}e.isNonEmptyArray=l;function c(Z,J=ae=>ae){const ae=new Set;return Z.filter(he=>{const we=J(he);return ae.has(we)?!1:(ae.add(we),!0)})}e.distinct=c;function f(Z){const J=new Set;return ae=>{const he=Z(ae);return J.has(he)?!1:(J.add(he),!0)}}e.uniqueFilter=f;function s(Z,J){const ae=v(Z,J);if(ae!==-1)return Z[ae]}e.findLast=s;function v(Z,J){for(let ae=Z.length-1;ae>=0;ae--){const he=Z[ae];if(J(he))return ae}return-1}e.lastIndex=v;function o(Z,J){return Z.length>0?Z[0]:J}e.firstOrDefault=o;function n(Z,J,ae=(he,we)=>he===we){let he=0;for(let we=0,Te=Math.min(Z.length,J.length);we<Te&&ae(Z[we],J[we]);we++)he++;return he}e.commonPrefixLength=n;function r(Z){return[].concat(...Z)}e.flatten=r;function i(Z,J){let ae=typeof J=="number"?Z:0;typeof J=="number"?ae=Z:(ae=0,J=Z);const he=[];if(ae<=J)for(let we=ae;we<J;we++)he.push(we);else for(let we=ae;we>J;we--)he.push(we);return he}e.range=i;function a(Z,J,ae){return Z.reduce((he,we)=>(he[J(we)]=ae?ae(we):we,he),Object.create(null))}e.index=a;function m(Z,J){return Z.push(J),()=>d(Z,J)}e.insert=m;function d(Z,J){const ae=Z.indexOf(J);if(ae>-1)return Z.splice(ae,1),J}e.remove=d;function E(Z,J,ae){const he=Z.slice(0,J),we=Z.slice(J);return he.concat(ae,we)}e.arrayInsert=E;function T(Z,J){let ae;if(typeof J=="number"){let he=J;ae=()=>{const we=Math.sin(he++)*179426549;return we-Math.floor(we)}}else ae=Math.random;for(let he=Z.length-1;he>0;he-=1){const we=Math.floor(ae()*(he+1)),Te=Z[he];Z[he]=Z[we],Z[we]=Te}}e.shuffle=T;function L(Z,J){const ae=Z.indexOf(J);ae>-1&&(Z.splice(ae,1),Z.unshift(J))}e.pushToStart=L;function O(Z,J){const ae=Z.indexOf(J);ae>-1&&(Z.splice(ae,1),Z.push(J))}e.pushToEnd=O;function y(Z,J){return Array.isArray(Z)?Z.map(J):J(Z)}e.mapArrayOrNot=y;function B(Z){return Array.isArray(Z)?Z:[Z]}e.asArray=B;function M(Z){return Z[Math.floor(Math.random()*Z.length)]}e.getRandomElement=M;function z(Z,J){for(const ae of Z){const he=J(ae);if(he!==void 0)return he}}e.mapFind=z;function V(Z,J,ae){const he=H(Z,J),we=Z.length,Te=ae.length;Z.length=we+Te;for(let Ne=we-1;Ne>=he;Ne--)Z[Ne+Te]=Z[Ne];for(let Ne=0;Ne<Te;Ne++)Z[Ne+he]=ae[Ne]}e.insertInto=V;function Q(Z,J,ae,he){const we=H(Z,J),Te=Z.splice(we,ae);return V(Z,we,he),Te}e.splice=Q;function H(Z,J){return J<0?Math.max(J+Z.length,0):Math.min(J,Z.length)}function K(Z,J){return(ae,he)=>J(Z(ae),Z(he))}e.compareBy=K;const G=(Z,J)=>Z-J;e.numberComparator=G;function j(Z,J){if(Z.length===0)return;let ae=Z[0];for(let he=1;he<Z.length;he++){const we=Z[he];J(we,ae)>0&&(ae=we)}return ae}e.findMaxBy=j;function ie(Z,J){if(Z.length===0)return;let ae=Z[0];for(let he=1;he<Z.length;he++){const we=Z[he];J(we,ae)>=0&&(ae=we)}return ae}e.findLastMaxBy=ie;function oe(Z,J){return j(Z,(ae,he)=>-J(ae,he))}e.findMinBy=oe;class ue{constructor(J){this.items=J,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(J){let ae=this.firstIdx;for(;ae<this.items.length&&J(this.items[ae]);)ae++;const he=ae===this.firstIdx?null:this.items.slice(this.firstIdx,ae);return this.firstIdx=ae,he}takeFromEndWhile(J){let ae=this.lastIdx;for(;ae>=0&&J(this.items[ae]);)ae--;const he=ae===this.lastIdx?null:this.items.slice(ae+1,this.lastIdx+1);return this.lastIdx=ae,he}peek(){return this.items[this.firstIdx]}dequeue(){const J=this.items[this.firstIdx];return this.firstIdx++,J}takeCount(J){const ae=this.items.slice(this.firstIdx,this.firstIdx+J);return this.firstIdx+=J,ae}}e.ArrayQueue=ue}),define(pe[75],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function h(t){const P=this;let A=!1,C;return function(){return A||(A=!0,C=t.apply(P,arguments)),C}}e.once=h}),define(pe[76],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class h{constructor(P){this._prefix=P,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=h,e.defaultGenerator=new h("id#")}),define(pe[77],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var h;(function(t){function P(f){return f&&typeof f=="object"&&typeof f[Symbol.iterator]=="function"}t.is=P;const A=Object.freeze([]);function C(){return A}t.empty=C;function*k(f){yield f}t.single=k;function _(f){return f||A}t.from=_;function R(f){return!f||f[Symbol.iterator]().next().done===!0}t.isEmpty=R;function F(f){return f[Symbol.iterator]().next().value}t.first=F;function D(f,s){for(const v of f)if(s(v))return!0;return!1}t.some=D;function p(f,s){for(const v of f)if(s(v))return v}t.find=p;function*b(f,s){for(const v of f)s(v)&&(yield v)}t.filter=b;function*g(f,s){let v=0;for(const o of f)yield s(o,v++)}t.map=g;function*u(...f){for(const s of f)for(const v of s)yield v}t.concat=u;function*w(f){for(const s of f)for(const v of s)yield v}t.concatNested=w;function S(f,s,v){let o=v;for(const n of f)o=s(o,n);return o}t.reduce=S;function*I(f,s,v=f.length){for(s<0&&(s+=f.length),v<0?v+=f.length:v>f.length&&(v=f.length);s<v;s++)yield f[s]}t.slice=I;function l(f,s=Number.POSITIVE_INFINITY){const v=[];if(s===0)return[v,f];const o=f[Symbol.iterator]();for(let n=0;n<s;n++){const r=o.next();if(r.done)return[v,t.empty()];v.push(r.value)}return[v,{[Symbol.iterator](){return o}}]}t.consume=l;function c(f,s,v=(o,n)=>o===n){const o=f[Symbol.iterator](),n=s[Symbol.iterator]();for(;;){const r=o.next(),i=n.next();if(r.done!==i.done)return!1;if(r.done)return!0;if(!v(r.value,i.value))return!1}}t.equals=c})(h=e.Iterable||(e.Iterable={}))}),define(pe[141],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var h;(function(s){s[s.None=0]="None",s[s.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",s[s.UnexpectedEndOfString=2]="UnexpectedEndOfString",s[s.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",s[s.InvalidUnicode=4]="InvalidUnicode",s[s.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",s[s.InvalidCharacter=6]="InvalidCharacter"})(h=e.ScanError||(e.ScanError={}));var t;(function(s){s[s.OpenBraceToken=1]="OpenBraceToken",s[s.CloseBraceToken=2]="CloseBraceToken",s[s.OpenBracketToken=3]="OpenBracketToken",s[s.CloseBracketToken=4]="CloseBracketToken",s[s.CommaToken=5]="CommaToken",s[s.ColonToken=6]="ColonToken",s[s.NullKeyword=7]="NullKeyword",s[s.TrueKeyword=8]="TrueKeyword",s[s.FalseKeyword=9]="FalseKeyword",s[s.StringLiteral=10]="StringLiteral",s[s.NumericLiteral=11]="NumericLiteral",s[s.LineCommentTrivia=12]="LineCommentTrivia",s[s.BlockCommentTrivia=13]="BlockCommentTrivia",s[s.LineBreakTrivia=14]="LineBreakTrivia",s[s.Trivia=15]="Trivia",s[s.Unknown=16]="Unknown",s[s.EOF=17]="EOF"})(t=e.SyntaxKind||(e.SyntaxKind={}));var P;(function(s){s[s.InvalidSymbol=1]="InvalidSymbol",s[s.InvalidNumberFormat=2]="InvalidNumberFormat",s[s.PropertyNameExpected=3]="PropertyNameExpected",s[s.ValueExpected=4]="ValueExpected",s[s.ColonExpected=5]="ColonExpected",s[s.CommaExpected=6]="CommaExpected",s[s.CloseBraceExpected=7]="CloseBraceExpected",s[s.CloseBracketExpected=8]="CloseBracketExpected",s[s.EndOfFileExpected=9]="EndOfFileExpected",s[s.InvalidCommentToken=10]="InvalidCommentToken",s[s.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",s[s.UnexpectedEndOfString=12]="UnexpectedEndOfString",s[s.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",s[s.InvalidUnicode=14]="InvalidUnicode",s[s.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",s[s.InvalidCharacter=16]="InvalidCharacter"})(P=e.ParseErrorCode||(e.ParseErrorCode={}));var A;(function(s){s.DEFAULT={allowTrailingComma:!0}})(A=e.ParseOptions||(e.ParseOptions={}));function C(s,v=!1){let o=0,n=s.length,r="",i=0,a=16,m=0;function d(M){let z=0,V=0;for(;z<M;){const Q=s.charCodeAt(o);if(Q>=48&&Q<=57)V=V*16+Q-48;else if(Q>=65&&Q<=70)V=V*16+Q-65+10;else if(Q>=97&&Q<=102)V=V*16+Q-97+10;else break;o++,z++}return z<M&&(V=-1),V}function E(M){o=M,r="",i=0,a=16,m=0}function T(){const M=o;if(s.charCodeAt(o)===48)o++;else for(o++;o<s.length&&R(s.charCodeAt(o));)o++;if(o<s.length&&s.charCodeAt(o)===46)if(o++,o<s.length&&R(s.charCodeAt(o)))for(o++;o<s.length&&R(s.charCodeAt(o));)o++;else return m=3,s.substring(M,o);let z=o;if(o<s.length&&(s.charCodeAt(o)===69||s.charCodeAt(o)===101))if(o++,(o<s.length&&s.charCodeAt(o)===43||s.charCodeAt(o)===45)&&o++,o<s.length&&R(s.charCodeAt(o))){for(o++;o<s.length&&R(s.charCodeAt(o));)o++;z=o}else m=3;return s.substring(M,z)}function L(){let M="",z=o;for(;;){if(o>=n){M+=s.substring(z,o),m=2;break}const V=s.charCodeAt(o);if(V===34){M+=s.substring(z,o),o++;break}if(V===92){if(M+=s.substring(z,o),o++,o>=n){m=2;break}switch(s.charCodeAt(o++)){case 34:M+='"';break;case 92:M+="\\";break;case 47:M+="/";break;case 98:M+="\b";break;case 102:M+="\f";break;case 110:M+=`
`;break;case 114:M+="\r";break;case 116:M+="	";break;case 117:{const H=d(4);H>=0?M+=String.fromCharCode(H):m=4;break}default:m=5}z=o;continue}if(V>=0&&V<=31)if(_(V)){M+=s.substring(z,o),m=2;break}else m=6;o++}return M}function O(){if(r="",m=0,i=o,o>=n)return i=n,a=17;let M=s.charCodeAt(o);if(k(M)){do o++,r+=String.fromCharCode(M),M=s.charCodeAt(o);while(k(M));return a=15}if(_(M))return o++,r+=String.fromCharCode(M),M===13&&s.charCodeAt(o)===10&&(o++,r+=`
`),a=14;switch(M){case 123:return o++,a=1;case 125:return o++,a=2;case 91:return o++,a=3;case 93:return o++,a=4;case 58:return o++,a=6;case 44:return o++,a=5;case 34:return o++,r=L(),a=10;case 47:{const z=o-1;if(s.charCodeAt(o+1)===47){for(o+=2;o<n&&!_(s.charCodeAt(o));)o++;return r=s.substring(z,o),a=12}if(s.charCodeAt(o+1)===42){o+=2;const V=n-1;let Q=!1;for(;o<V;){if(s.charCodeAt(o)===42&&s.charCodeAt(o+1)===47){o+=2,Q=!0;break}o++}return Q||(o++,m=1),r=s.substring(z,o),a=13}return r+=String.fromCharCode(M),o++,a=16}case 45:if(r+=String.fromCharCode(M),o++,o===n||!R(s.charCodeAt(o)))return a=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return r+=T(),a=11;default:for(;o<n&&y(M);)o++,M=s.charCodeAt(o);if(i!==o){switch(r=s.substring(i,o),r){case"true":return a=8;case"false":return a=9;case"null":return a=7}return a=16}return r+=String.fromCharCode(M),o++,a=16}}function y(M){if(k(M)||_(M))return!1;switch(M){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function B(){let M;do M=O();while(M>=12&&M<=15);return M}return{setPosition:E,getPosition:()=>o,scan:v?B:O,getToken:()=>a,getTokenValue:()=>r,getTokenOffset:()=>i,getTokenLength:()=>o-i,getTokenError:()=>m}}e.createScanner=C;function k(s){return s===32||s===9||s===11||s===12||s===160||s===5760||s>=8192&&s<=8203||s===8239||s===8287||s===12288||s===65279}function _(s){return s===10||s===13||s===8232||s===8233}function R(s){return s>=48&&s<=57}var F;(function(s){s[s.nullCharacter=0]="nullCharacter",s[s.maxAsciiCharacter=127]="maxAsciiCharacter",s[s.lineFeed=10]="lineFeed",s[s.carriageReturn=13]="carriageReturn",s[s.lineSeparator=8232]="lineSeparator",s[s.paragraphSeparator=8233]="paragraphSeparator",s[s.nextLine=133]="nextLine",s[s.space=32]="space",s[s.nonBreakingSpace=160]="nonBreakingSpace",s[s.enQuad=8192]="enQuad",s[s.emQuad=8193]="emQuad",s[s.enSpace=8194]="enSpace",s[s.emSpace=8195]="emSpace",s[s.threePerEmSpace=8196]="threePerEmSpace",s[s.fourPerEmSpace=8197]="fourPerEmSpace",s[s.sixPerEmSpace=8198]="sixPerEmSpace",s[s.figureSpace=8199]="figureSpace",s[s.punctuationSpace=8200]="punctuationSpace",s[s.thinSpace=8201]="thinSpace",s[s.hairSpace=8202]="hairSpace",s[s.zeroWidthSpace=8203]="zeroWidthSpace",s[s.narrowNoBreakSpace=8239]="narrowNoBreakSpace",s[s.ideographicSpace=12288]="ideographicSpace",s[s.mathematicalSpace=8287]="mathematicalSpace",s[s.ogham=5760]="ogham",s[s._=95]="_",s[s.$=36]="$",s[s._0=48]="_0",s[s._1=49]="_1",s[s._2=50]="_2",s[s._3=51]="_3",s[s._4=52]="_4",s[s._5=53]="_5",s[s._6=54]="_6",s[s._7=55]="_7",s[s._8=56]="_8",s[s._9=57]="_9",s[s.a=97]="a",s[s.b=98]="b",s[s.c=99]="c",s[s.d=100]="d",s[s.e=101]="e",s[s.f=102]="f",s[s.g=103]="g",s[s.h=104]="h",s[s.i=105]="i",s[s.j=106]="j",s[s.k=107]="k",s[s.l=108]="l",s[s.m=109]="m",s[s.n=110]="n",s[s.o=111]="o",s[s.p=112]="p",s[s.q=113]="q",s[s.r=114]="r",s[s.s=115]="s",s[s.t=116]="t",s[s.u=117]="u",s[s.v=118]="v",s[s.w=119]="w",s[s.x=120]="x",s[s.y=121]="y",s[s.z=122]="z",s[s.A=65]="A",s[s.B=66]="B",s[s.C=67]="C",s[s.D=68]="D",s[s.E=69]="E",s[s.F=70]="F",s[s.G=71]="G",s[s.H=72]="H",s[s.I=73]="I",s[s.J=74]="J",s[s.K=75]="K",s[s.L=76]="L",s[s.M=77]="M",s[s.N=78]="N",s[s.O=79]="O",s[s.P=80]="P",s[s.Q=81]="Q",s[s.R=82]="R",s[s.S=83]="S",s[s.T=84]="T",s[s.U=85]="U",s[s.V=86]="V",s[s.W=87]="W",s[s.X=88]="X",s[s.Y=89]="Y",s[s.Z=90]="Z",s[s.ampersand=38]="ampersand",s[s.asterisk=42]="asterisk",s[s.at=64]="at",s[s.backslash=92]="backslash",s[s.bar=124]="bar",s[s.caret=94]="caret",s[s.closeBrace=125]="closeBrace",s[s.closeBracket=93]="closeBracket",s[s.closeParen=41]="closeParen",s[s.colon=58]="colon",s[s.comma=44]="comma",s[s.dot=46]="dot",s[s.doubleQuote=34]="doubleQuote",s[s.equals=61]="equals",s[s.exclamation=33]="exclamation",s[s.greaterThan=62]="greaterThan",s[s.lessThan=60]="lessThan",s[s.minus=45]="minus",s[s.openBrace=123]="openBrace",s[s.openBracket=91]="openBracket",s[s.openParen=40]="openParen",s[s.percent=37]="percent",s[s.plus=43]="plus",s[s.question=63]="question",s[s.semicolon=59]="semicolon",s[s.singleQuote=39]="singleQuote",s[s.slash=47]="slash",s[s.tilde=126]="tilde",s[s.backspace=8]="backspace",s[s.formFeed=12]="formFeed",s[s.byteOrderMark=65279]="byteOrderMark",s[s.tab=9]="tab",s[s.verticalTab=11]="verticalTab"})(F||(F={}));function D(s,v){const o=[],n=new Object;let r;const i={value:{},offset:0,length:0,type:"object",parent:void 0};let a=!1;function m(d,E,T,L){i.value=d,i.offset=E,i.length=T,i.type=L,i.colonOffset=void 0,r=i}try{l(s,{onObjectBegin:(d,E)=>{if(v<=d)throw n;r=void 0,a=v>d,o.push("")},onObjectProperty:(d,E,T)=>{if(v<E||(m(d,E,T,"property"),o[o.length-1]=d,v<=E+T))throw n},onObjectEnd:(d,E)=>{if(v<=d)throw n;r=void 0,o.pop()},onArrayBegin:(d,E)=>{if(v<=d)throw n;r=void 0,o.push(0)},onArrayEnd:(d,E)=>{if(v<=d)throw n;r=void 0,o.pop()},onLiteralValue:(d,E,T)=>{if(v<E||(m(d,E,T,f(d)),v<=E+T))throw n},onSeparator:(d,E,T)=>{if(v<=E)throw n;if(d===":"&&r&&r.type==="property")r.colonOffset=E,a=!1,r=void 0;else if(d===","){const L=o[o.length-1];typeof L=="number"?o[o.length-1]=L+1:(a=!0,o[o.length-1]=""),r=void 0}}})}catch(d){if(d!==n)throw d}return{path:o,previousNode:r,isAtPropertyKey:a,matches:d=>{let E=0;for(let T=0;E<d.length&&T<o.length;T++)if(d[E]===o[T]||d[E]==="*")E++;else if(d[E]!=="**")return!1;return E===d.length}}}e.getLocation=D;function p(s,v=[],o=A.DEFAULT){let n=null,r=[];const i=[];function a(d){Array.isArray(r)?r.push(d):n!==null&&(r[n]=d)}return l(s,{onObjectBegin:()=>{const d={};a(d),i.push(r),r=d,n=null},onObjectProperty:d=>{n=d},onObjectEnd:()=>{r=i.pop()},onArrayBegin:()=>{const d=[];a(d),i.push(r),r=d,n=null},onArrayEnd:()=>{r=i.pop()},onLiteralValue:a,onError:(d,E,T)=>{v.push({error:d,offset:E,length:T})}},o),r[0]}e.parse=p;function b(s,v=[],o=A.DEFAULT){let n={type:"array",offset:-1,length:-1,children:[],parent:void 0};function r(d){n.type==="property"&&(n.length=d-n.offset,n=n.parent)}function i(d){return n.children.push(d),d}l(s,{onObjectBegin:d=>{n=i({type:"object",offset:d,length:-1,parent:n,children:[]})},onObjectProperty:(d,E,T)=>{n=i({type:"property",offset:E,length:-1,parent:n,children:[]}),n.children.push({type:"string",value:d,offset:E,length:T,parent:n})},onObjectEnd:(d,E)=>{n.length=d+E-n.offset,n=n.parent,r(d+E)},onArrayBegin:(d,E)=>{n=i({type:"array",offset:d,length:-1,parent:n,children:[]})},onArrayEnd:(d,E)=>{n.length=d+E-n.offset,n=n.parent,r(d+E)},onLiteralValue:(d,E,T)=>{i({type:f(d),offset:E,length:T,parent:n,value:d}),r(E+T)},onSeparator:(d,E,T)=>{n.type==="property"&&(d===":"?n.colonOffset=E:d===","&&r(E))},onError:(d,E,T)=>{v.push({error:d,offset:E,length:T})}},o);const m=n.children[0];return m&&delete m.parent,m}e.parseTree=b;function g(s,v){if(!s)return;let o=s;for(let n of v)if(typeof n=="string"){if(o.type!=="object"||!Array.isArray(o.children))return;let r=!1;for(const i of o.children)if(Array.isArray(i.children)&&i.children[0].value===n){o=i.children[1],r=!0;break}if(!r)return}else{const r=n;if(o.type!=="array"||r<0||!Array.isArray(o.children)||r>=o.children.length)return;o=o.children[r]}return o}e.findNodeAtLocation=g;function u(s){if(!s.parent||!s.parent.children)return[];const v=u(s.parent);if(s.parent.type==="property"){const o=s.parent.children[0].value;v.push(o)}else if(s.parent.type==="array"){const o=s.parent.children.indexOf(s);o!==-1&&v.push(o)}return v}e.getNodePath=u;function w(s){switch(s.type){case"array":return s.children.map(w);case"object":{const v=Object.create(null);for(let o of s.children){const n=o.children[1];n&&(v[o.children[0].value]=w(n))}return v}case"null":case"string":case"number":case"boolean":return s.value;default:return}}e.getNodeValue=w;function S(s,v,o=!1){return v>=s.offset&&v<s.offset+s.length||o&&v===s.offset+s.length}e.contains=S;function I(s,v,o=!1){if(S(s,v,o)){const n=s.children;if(Array.isArray(n))for(let r=0;r<n.length&&n[r].offset<=v;r++){const i=I(n[r],v,o);if(i)return i}return s}}e.findNodeAtOffset=I;function l(s,v,o=A.DEFAULT){const n=C(s,!1);function r(ue){return ue?()=>ue(n.getTokenOffset(),n.getTokenLength()):()=>!0}function i(ue){return ue?Z=>ue(Z,n.getTokenOffset(),n.getTokenLength()):()=>!0}const a=r(v.onObjectBegin),m=i(v.onObjectProperty),d=r(v.onObjectEnd),E=r(v.onArrayBegin),T=r(v.onArrayEnd),L=i(v.onLiteralValue),O=i(v.onSeparator),y=r(v.onComment),B=i(v.onError),M=o&&o.disallowComments,z=o&&o.allowTrailingComma;function V(){for(;;){const ue=n.scan();switch(n.getTokenError()){case 4:Q(14);break;case 5:Q(15);break;case 3:Q(13);break;case 1:M||Q(11);break;case 2:Q(12);break;case 6:Q(16);break}switch(ue){case 12:case 13:M?Q(10):y();break;case 16:Q(1);break;case 15:case 14:break;default:return ue}}}function Q(ue,Z=[],J=[]){if(B(ue),Z.length+J.length>0){let ae=n.getToken();for(;ae!==17;){if(Z.indexOf(ae)!==-1){V();break}else if(J.indexOf(ae)!==-1)break;ae=V()}}}function H(ue){const Z=n.getTokenValue();return ue?L(Z):m(Z),V(),!0}function K(){switch(n.getToken()){case 11:{let ue=0;try{ue=JSON.parse(n.getTokenValue()),typeof ue!="number"&&(Q(2),ue=0)}catch{Q(2)}L(ue);break}case 7:L(null);break;case 8:L(!0);break;case 9:L(!1);break;default:return!1}return V(),!0}function G(){return n.getToken()!==10?(Q(3,[],[2,5]),!1):(H(!1),n.getToken()===6?(O(":"),V(),oe()||Q(4,[],[2,5])):Q(5,[],[2,5]),!0)}function j(){a(),V();let ue=!1;for(;n.getToken()!==2&&n.getToken()!==17;){if(n.getToken()===5){if(ue||Q(4,[],[]),O(","),V(),n.getToken()===2&&z)break}else ue&&Q(6,[],[]);G()||Q(4,[],[2,5]),ue=!0}return d(),n.getToken()!==2?Q(7,[2],[]):V(),!0}function ie(){E(),V();let ue=!1;for(;n.getToken()!==4&&n.getToken()!==17;){if(n.getToken()===5){if(ue||Q(4,[],[]),O(","),V(),n.getToken()===4&&z)break}else ue&&Q(6,[],[]);oe()||Q(4,[],[4,5]),ue=!0}return T(),n.getToken()!==4?Q(8,[4],[]):V(),!0}function oe(){switch(n.getToken()){case 3:return ie();case 1:return j();case 10:return H(!0);default:return K()}}return V(),n.getToken()===17?o.allowEmptyContent?!0:(Q(4,[],[]),!1):oe()?(n.getToken()!==17&&Q(9,[],[]),!0):(Q(4,[],[]),!1)}e.visit=l;function c(s,v){let o=C(s),n=[],r,i=0,a;do switch(a=o.getPosition(),r=o.scan(),r){case 12:case 13:case 17:i!==a&&n.push(s.substring(i,a)),v!==void 0&&n.push(o.getTokenValue().replace(/[^\r\n]/g,v)),i=o.getPosition();break}while(r!==17);return n.join("")}e.stripComments=c;function f(s){switch(typeof s){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(s){if(Array.isArray(s))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=f}),define(pe[89],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class h{constructor(P){this.executor=P,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(P){this._error=P}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(P){return new h(()=>P(this.getValue()))}}e.Lazy=h}),define(pe[6],ve([1,0,75,77]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.disposeOnReturn=e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.SafeDisposable=e.RefCountedDisposable=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.markAsSingleton=e.setDisposableTracker=void 0;const P=!1;let A=null;function C(r){A=r}if(e.setDisposableTracker=C,P){const r="__is_disposable_tracked__";C(new class{trackDisposable(i){const a=new Error("Potentially leaked disposable").stack;setTimeout(()=>{i[r]||console.log(a)},3e3)}setParent(i,a){if(i&&i!==I.None)try{i[r]=!0}catch{}}markAsDisposed(i){if(i&&i!==I.None)try{i[r]=!0}catch{}}markAsSingleton(i){}})}function k(r){return A?.trackDisposable(r),r}function _(r){A?.markAsDisposed(r)}function R(r,i){A?.setParent(r,i)}function F(r,i){if(!!A)for(const a of r)A.setParent(a,i)}function D(r){return A?.markAsSingleton(r),r}e.markAsSingleton=D;class p extends Error{constructor(i){super(`Encountered errors while disposing of store. Errors: [${i.join(", ")}]`);this.errors=i}}e.MultiDisposeError=p;function b(r){return typeof r.dispose=="function"&&r.dispose.length===0}e.isDisposable=b;function g(r){if(t.Iterable.is(r)){let i=[];for(const a of r)if(a)try{a.dispose()}catch(m){i.push(m)}if(i.length===1)throw i[0];if(i.length>1)throw new p(i);return Array.isArray(r)?[]:r}else if(r)return r.dispose(),r}e.dispose=g;function u(...r){const i=w(()=>g(r));return F(r,i),i}e.combinedDisposable=u;function w(r){const i=k({dispose:(0,h.once)(()=>{_(i),r()})});return i}e.toDisposable=w;class S{constructor(){this._toDispose=new Set,this._isDisposed=!1,k(this)}dispose(){this._isDisposed||(_(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{g(this._toDispose.values())}finally{this._toDispose.clear()}}add(i){if(!i)return i;if(i===this)throw new Error("Cannot register a disposable on itself!");return R(i,this),this._isDisposed?S.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(i),i}}e.DisposableStore=S,S.DISABLE_DISPOSED_WARNING=!1;class I{constructor(){this._store=new S,k(this),R(this._store,this)}dispose(){_(this),this._store.dispose()}_register(i){if(i===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(i)}}e.Disposable=I,I.None=Object.freeze({dispose(){}});class l{constructor(){this._isDisposed=!1,k(this)}get value(){return this._isDisposed?void 0:this._value}set value(i){this._isDisposed||i===this._value||(this._value?.dispose(),i&&R(i,this),this._value=i)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,_(this),this._value?.dispose(),this._value=void 0}clearAndLeak(){const i=this._value;return this._value=void 0,i&&R(i,null),i}}e.MutableDisposable=l;class c{constructor(i){this._disposable=i,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}e.RefCountedDisposable=c;class f{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,k(this)}set(i){let a=i;return this.unset=()=>a=void 0,this.isset=()=>a!==void 0,this.dispose=()=>{a&&(a(),a=void 0,_(this))},this}}e.SafeDisposable=f;class s{constructor(){this.references=new Map}acquire(i,...a){let m=this.references.get(i);m||(m={counter:0,object:this.createReferencedObject(i,...a)},this.references.set(i,m));const{object:d}=m,E=(0,h.once)(()=>{--m.counter==0&&(this.destroyReferencedObject(i,m.object),this.references.delete(i))});return m.counter++,{object:d,dispose:E}}}e.ReferenceCollection=s;class v{constructor(i){this.referenceCollection=i}async acquire(i,...a){const m=this.referenceCollection.acquire(i,...a);try{return{object:await m.object,dispose:()=>m.dispose()}}catch(d){throw m.dispose(),d}}}e.AsyncReferenceCollection=v;class o{constructor(i){this.object=i}dispose(){}}e.ImmortalReference=o;function n(r){const i=new S;try{r(i)}finally{i.dispose()}}e.disposeOnReturn=n}),define(pe[90],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class h{constructor(A){this.element=A,this.next=h.Undefined,this.prev=h.Undefined}}h.Undefined=new h(void 0);class t{constructor(){this._first=h.Undefined,this._last=h.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===h.Undefined}clear(){let A=this._first;for(;A!==h.Undefined;){const C=A.next;A.prev=h.Undefined,A.next=h.Undefined,A=C}this._first=h.Undefined,this._last=h.Undefined,this._size=0}unshift(A){return this._insert(A,!1)}push(A){return this._insert(A,!0)}_insert(A,C){const k=new h(A);if(this._first===h.Undefined)this._first=k,this._last=k;else if(C){const R=this._last;this._last=k,k.prev=R,R.next=k}else{const R=this._first;this._first=k,k.next=R,R.prev=k}this._size+=1;let _=!1;return()=>{_||(_=!0,this._remove(k))}}shift(){if(this._first!==h.Undefined){const A=this._first.element;return this._remove(this._first),A}}pop(){if(this._last!==h.Undefined){const A=this._last.element;return this._remove(this._last),A}}_remove(A){if(A.prev!==h.Undefined&&A.next!==h.Undefined){const C=A.prev;C.next=A.next,A.next.prev=C}else A.prev===h.Undefined&&A.next===h.Undefined?(this._first=h.Undefined,this._last=h.Undefined):A.next===h.Undefined?(this._last=this._last.prev,this._last.next=h.Undefined):A.prev===h.Undefined&&(this._first=this._first.next,this._first.prev=h.Undefined);this._size-=1}*[Symbol.iterator](){let A=this._first;for(;A!==h.Undefined;)yield A.element,A=A.next}}e.LinkedList=t}),function(ee,e){typeof exports=="object"&&typeof module!="undefined"?e(exports):typeof define=="function"&&define.amd?define(pe[142],ve([0]),e):(ee=typeof globalThis!="undefined"?globalThis:ee||self,e(ee.marked={}))}(this,function(ee){"use strict";function e(be,Ee){for(var $=0;$<Ee.length;$++){var U=Ee[$];U.enumerable=U.enumerable||!1,U.configurable=!0,"value"in U&&(U.writable=!0),Object.defineProperty(be,U.key,U)}}function h(be,Ee,$){return Ee&&e(be.prototype,Ee),$&&e(be,$),Object.defineProperty(be,"prototype",{writable:!1}),be}function t(be,Ee){if(!!be){if(typeof be=="string")return P(be,Ee);var $=Object.prototype.toString.call(be).slice(8,-1);if($==="Object"&&be.constructor&&($=be.constructor.name),$==="Map"||$==="Set")return Array.from(be);if($==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test($))return P(be,Ee)}}function P(be,Ee){(Ee==null||Ee>be.length)&&(Ee=be.length);for(var $=0,U=new Array(Ee);$<Ee;$++)U[$]=be[$];return U}function A(be,Ee){var $=typeof Symbol!="undefined"&&be[Symbol.iterator]||be["@@iterator"];if($)return($=$.call(be)).next.bind($);if(Array.isArray(be)||($=t(be))||Ee&&be&&typeof be.length=="number"){$&&(be=$);var U=0;return function(){return U>=be.length?{done:!0}:{done:!1,value:be[U++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function C(){return{baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}ee.defaults=C();function k(be){ee.defaults=be}var _=/[&<>"']/,R=/[&<>"']/g,F=/[<>"']|&(?!#?\w+;)/,D=/[<>"']|&(?!#?\w+;)/g,p={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},b=function(Ee){return p[Ee]};function g(be,Ee){if(Ee){if(_.test(be))return be.replace(R,b)}else if(F.test(be))return be.replace(D,b);return be}var u=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function w(be){return be.replace(u,function(Ee,$){return $=$.toLowerCase(),$==="colon"?":":$.charAt(0)==="#"?$.charAt(1)==="x"?String.fromCharCode(parseInt($.substring(2),16)):String.fromCharCode(+$.substring(1)):""})}var S=/(^|[^\[])\^/g;function I(be,Ee){be=be.source||be,Ee=Ee||"";var $={replace:function(N,W){return W=W.source||W,W=W.replace(S,"$1"),be=be.replace(N,W),$},getRegex:function(){return new RegExp(be,Ee)}};return $}var l=/[^\w:]/g,c=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function f(be,Ee,$){if(be){var U;try{U=decodeURIComponent(w($)).replace(l,"").toLowerCase()}catch{return null}if(U.indexOf("javascript:")===0||U.indexOf("vbscript:")===0||U.indexOf("data:")===0)return null}Ee&&!c.test($)&&($=r(Ee,$));try{$=encodeURI($).replace(/%25/g,"%")}catch{return null}return $}var s={},v=/^[^:]+:\/*[^/]*$/,o=/^([^:]+:)[\s\S]*$/,n=/^([^:]+:\/*[^/]*)[\s\S]*$/;function r(be,Ee){s[" "+be]||(v.test(be)?s[" "+be]=be+"/":s[" "+be]=d(be,"/",!0)),be=s[" "+be];var $=be.indexOf(":")===-1;return Ee.substring(0,2)==="//"?$?Ee:be.replace(o,"$1")+Ee:Ee.charAt(0)==="/"?$?Ee:be.replace(n,"$1")+Ee:be+Ee}var i={exec:function(){}};function a(be){for(var Ee=1,$,U;Ee<arguments.length;Ee++){$=arguments[Ee];for(U in $)Object.prototype.hasOwnProperty.call($,U)&&(be[U]=$[U])}return be}function m(be,Ee){var $=be.replace(/\|/g,function(W,q,re){for(var de=!1,Ce=q;--Ce>=0&&re[Ce]==="\\";)de=!de;return de?"|":" |"}),U=$.split(/ \|/),N=0;if(U[0].trim()||U.shift(),U[U.length-1].trim()||U.pop(),U.length>Ee)U.splice(Ee);else for(;U.length<Ee;)U.push("");for(;N<U.length;N++)U[N]=U[N].trim().replace(/\\\|/g,"|");return U}function d(be,Ee,$){var U=be.length;if(U===0)return"";for(var N=0;N<U;){var W=be.charAt(U-N-1);if(W===Ee&&!$)N++;else if(W!==Ee&&$)N++;else break}return be.substr(0,U-N)}function E(be,Ee){if(be.indexOf(Ee[1])===-1)return-1;for(var $=be.length,U=0,N=0;N<$;N++)if(be[N]==="\\")N++;else if(be[N]===Ee[0])U++;else if(be[N]===Ee[1]&&(U--,U<0))return N;return-1}function T(be){be&&be.sanitize&&!be.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function L(be,Ee){if(Ee<1)return"";for(var $="";Ee>1;)Ee&1&&($+=be),Ee>>=1,be+=be;return $+be}function O(be,Ee,$,U){var N=Ee.href,W=Ee.title?g(Ee.title):null,q=be[1].replace(/\\([\[\]])/g,"$1");if(be[0].charAt(0)!=="!"){U.state.inLink=!0;var re={type:"link",raw:$,href:N,title:W,text:q,tokens:U.inlineTokens(q,[])};return U.state.inLink=!1,re}else return{type:"image",raw:$,href:N,title:W,text:g(q)}}function y(be,Ee){var $=be.match(/^(\s+)(?:```)/);if($===null)return Ee;var U=$[1];return Ee.split(`
`).map(function(N){var W=N.match(/^\s+/);if(W===null)return N;var q=W[0];return q.length>=U.length?N.slice(U.length):N}).join(`
`)}var B=function(){function be($){this.options=$||ee.defaults}var Ee=be.prototype;return Ee.space=function(U){var N=this.rules.block.newline.exec(U);if(N&&N[0].length>0)return{type:"space",raw:N[0]}},Ee.code=function(U){var N=this.rules.block.code.exec(U);if(N){var W=N[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:N[0],codeBlockStyle:"indented",text:this.options.pedantic?W:d(W,`
`)}}},Ee.fences=function(U){var N=this.rules.block.fences.exec(U);if(N){var W=N[0],q=y(W,N[3]||"");return{type:"code",raw:W,lang:N[2]?N[2].trim():N[2],text:q}}},Ee.heading=function(U){var N=this.rules.block.heading.exec(U);if(N){var W=N[2].trim();if(/#$/.test(W)){var q=d(W,"#");(this.options.pedantic||!q||/ $/.test(q))&&(W=q.trim())}var re={type:"heading",raw:N[0],depth:N[1].length,text:W,tokens:[]};return this.lexer.inline(re.text,re.tokens),re}},Ee.hr=function(U){var N=this.rules.block.hr.exec(U);if(N)return{type:"hr",raw:N[0]}},Ee.blockquote=function(U){var N=this.rules.block.blockquote.exec(U);if(N){var W=N[0].replace(/^ *> ?/gm,"");return{type:"blockquote",raw:N[0],tokens:this.lexer.blockTokens(W,[]),text:W}}},Ee.list=function(U){var N=this.rules.block.list.exec(U);if(N){var W,q,re,de,Ce,Ae,We,ze,qe,He,Ue,Je,et=N[1].trim(),Le=et.length>1,it={type:"list",raw:"",ordered:Le,start:Le?+et.slice(0,-1):"",loose:!1,items:[]};et=Le?"\\d{1,9}\\"+et.slice(-1):"\\"+et,this.options.pedantic&&(et=Le?et:"[*+-]");for(var ne=new RegExp("^( {0,3}"+et+")((?: [^\\n]*)?(?:\\n|$))");U&&(Je=!1,!(!(N=ne.exec(U))||this.rules.block.hr.test(U)));){if(W=N[0],U=U.substring(W.length),ze=N[2].split(`
`,1)[0],qe=U.split(`
`,1)[0],this.options.pedantic?(de=2,Ue=ze.trimLeft()):(de=N[2].search(/[^ ]/),de=de>4?1:de,Ue=ze.slice(de),de+=N[1].length),Ae=!1,!ze&&/^ *$/.test(qe)&&(W+=qe+`
`,U=U.substring(qe.length+1),Je=!0),!Je)for(var se=new RegExp("^ {0,"+Math.min(3,de-1)+"}(?:[*+-]|\\d{1,9}[.)])");U&&(He=U.split(`
`,1)[0],ze=He,this.options.pedantic&&(ze=ze.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!se.test(ze));){if(ze.search(/[^ ]/)>=de||!ze.trim())Ue+=`
`+ze.slice(de);else if(!Ae)Ue+=`
`+ze;else break;!Ae&&!ze.trim()&&(Ae=!0),W+=He+`
`,U=U.substring(He.length+1)}it.loose||(We?it.loose=!0:/\n *\n *$/.test(W)&&(We=!0)),this.options.gfm&&(q=/^\[[ xX]\] /.exec(Ue),q&&(re=q[0]!=="[ ] ",Ue=Ue.replace(/^\[[ xX]\] +/,""))),it.items.push({type:"list_item",raw:W,task:!!q,checked:re,loose:!1,text:Ue}),it.raw+=W}it.items[it.items.length-1].raw=W.trimRight(),it.items[it.items.length-1].text=Ue.trimRight(),it.raw=it.raw.trimRight();var Y=it.items.length;for(Ce=0;Ce<Y;Ce++){this.lexer.state.top=!1,it.items[Ce].tokens=this.lexer.blockTokens(it.items[Ce].text,[]);var ge=it.items[Ce].tokens.filter(function(Me){return Me.type==="space"}),Se=ge.every(function(Me){for(var $e=Me.raw.split(""),Ye=0,lt=A($e),vt;!(vt=lt()).done;){var wt=vt.value;if(wt===`
`&&(Ye+=1),Ye>1)return!0}return!1});!it.loose&&ge.length&&Se&&(it.loose=!0,it.items[Ce].loose=!0)}return it}},Ee.html=function(U){var N=this.rules.block.html.exec(U);if(N){var W={type:"html",raw:N[0],pre:!this.options.sanitizer&&(N[1]==="pre"||N[1]==="script"||N[1]==="style"),text:N[0]};return this.options.sanitize&&(W.type="paragraph",W.text=this.options.sanitizer?this.options.sanitizer(N[0]):g(N[0]),W.tokens=[],this.lexer.inline(W.text,W.tokens)),W}},Ee.def=function(U){var N=this.rules.block.def.exec(U);if(N){N[3]&&(N[3]=N[3].substring(1,N[3].length-1));var W=N[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:W,raw:N[0],href:N[2],title:N[3]}}},Ee.table=function(U){var N=this.rules.block.table.exec(U);if(N){var W={type:"table",header:m(N[1]).map(function(We){return{text:We}}),align:N[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:N[3]?N[3].replace(/\n[ \t]*$/,"").split(`
`):[]};if(W.header.length===W.align.length){W.raw=N[0];var q=W.align.length,re,de,Ce,Ae;for(re=0;re<q;re++)/^ *-+: *$/.test(W.align[re])?W.align[re]="right":/^ *:-+: *$/.test(W.align[re])?W.align[re]="center":/^ *:-+ *$/.test(W.align[re])?W.align[re]="left":W.align[re]=null;for(q=W.rows.length,re=0;re<q;re++)W.rows[re]=m(W.rows[re],W.header.length).map(function(We){return{text:We}});for(q=W.header.length,de=0;de<q;de++)W.header[de].tokens=[],this.lexer.inlineTokens(W.header[de].text,W.header[de].tokens);for(q=W.rows.length,de=0;de<q;de++)for(Ae=W.rows[de],Ce=0;Ce<Ae.length;Ce++)Ae[Ce].tokens=[],this.lexer.inlineTokens(Ae[Ce].text,Ae[Ce].tokens);return W}}},Ee.lheading=function(U){var N=this.rules.block.lheading.exec(U);if(N){var W={type:"heading",raw:N[0],depth:N[2].charAt(0)==="="?1:2,text:N[1],tokens:[]};return this.lexer.inline(W.text,W.tokens),W}},Ee.paragraph=function(U){var N=this.rules.block.paragraph.exec(U);if(N){var W={type:"paragraph",raw:N[0],text:N[1].charAt(N[1].length-1)===`
`?N[1].slice(0,-1):N[1],tokens:[]};return this.lexer.inline(W.text,W.tokens),W}},Ee.text=function(U){var N=this.rules.block.text.exec(U);if(N){var W={type:"text",raw:N[0],text:N[0],tokens:[]};return this.lexer.inline(W.text,W.tokens),W}},Ee.escape=function(U){var N=this.rules.inline.escape.exec(U);if(N)return{type:"escape",raw:N[0],text:g(N[1])}},Ee.tag=function(U){var N=this.rules.inline.tag.exec(U);if(N)return!this.lexer.state.inLink&&/^<a /i.test(N[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(N[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(N[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(N[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:N[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(N[0]):g(N[0]):N[0]}},Ee.link=function(U){var N=this.rules.inline.link.exec(U);if(N){var W=N[2].trim();if(!this.options.pedantic&&/^</.test(W)){if(!/>$/.test(W))return;var q=d(W.slice(0,-1),"\\");if((W.length-q.length)%2==0)return}else{var re=E(N[2],"()");if(re>-1){var de=N[0].indexOf("!")===0?5:4,Ce=de+N[1].length+re;N[2]=N[2].substring(0,re),N[0]=N[0].substring(0,Ce).trim(),N[3]=""}}var Ae=N[2],We="";if(this.options.pedantic){var ze=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(Ae);ze&&(Ae=ze[1],We=ze[3])}else We=N[3]?N[3].slice(1,-1):"";return Ae=Ae.trim(),/^</.test(Ae)&&(this.options.pedantic&&!/>$/.test(W)?Ae=Ae.slice(1):Ae=Ae.slice(1,-1)),O(N,{href:Ae&&Ae.replace(this.rules.inline._escapes,"$1"),title:We&&We.replace(this.rules.inline._escapes,"$1")},N[0],this.lexer)}},Ee.reflink=function(U,N){var W;if((W=this.rules.inline.reflink.exec(U))||(W=this.rules.inline.nolink.exec(U))){var q=(W[2]||W[1]).replace(/\s+/g," ");if(q=N[q.toLowerCase()],!q||!q.href){var re=W[0].charAt(0);return{type:"text",raw:re,text:re}}return O(W,q,W[0],this.lexer)}},Ee.emStrong=function(U,N,W){W===void 0&&(W="");var q=this.rules.inline.emStrong.lDelim.exec(U);if(!!q&&!(q[3]&&W.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDD70-\uDD7A\uDD7C-\uDD8A\uDD8C-\uDD92\uDD94\uDD95\uDD97-\uDDA1\uDDA3-\uDDB1\uDDB3-\uDDB9\uDDBB\uDDBC\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67\uDF80-\uDF85\uDF87-\uDFB0\uDFB2-\uDFBA]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDF70-\uDF81\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC71\uDC72\uDC75\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B\uDF40-\uDF46]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEB0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|\uD80B[\uDF90-\uDFF0]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDE70-\uDEBE\uDEC0-\uDEC9\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82B[\uDFF0-\uDFF3\uDFF5-\uDFFB\uDFFD\uDFFE]|\uD82C[\uDC00-\uDD22\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD837[\uDF00-\uDF1E]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDE90-\uDEAD\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD839[\uDFE0-\uDFE6\uDFE8-\uDFEB\uDFED\uDFEE\uDFF0-\uDFFE]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDF\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF38\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var re=q[1]||q[2]||"";if(!re||re&&(W===""||this.rules.inline.punctuation.exec(W))){var de=q[0].length-1,Ce,Ae,We=de,ze=0,qe=q[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(qe.lastIndex=0,N=N.slice(-1*U.length+de);(q=qe.exec(N))!=null;)if(Ce=q[1]||q[2]||q[3]||q[4]||q[5]||q[6],!!Ce){if(Ae=Ce.length,q[3]||q[4]){We+=Ae;continue}else if((q[5]||q[6])&&de%3&&!((de+Ae)%3)){ze+=Ae;continue}if(We-=Ae,!(We>0)){if(Ae=Math.min(Ae,Ae+We+ze),Math.min(de,Ae)%2){var He=U.slice(1,de+q.index+Ae);return{type:"em",raw:U.slice(0,de+q.index+Ae+1),text:He,tokens:this.lexer.inlineTokens(He,[])}}var Ue=U.slice(2,de+q.index+Ae-1);return{type:"strong",raw:U.slice(0,de+q.index+Ae+1),text:Ue,tokens:this.lexer.inlineTokens(Ue,[])}}}}}},Ee.codespan=function(U){var N=this.rules.inline.code.exec(U);if(N){var W=N[2].replace(/\n/g," "),q=/[^ ]/.test(W),re=/^ /.test(W)&&/ $/.test(W);return q&&re&&(W=W.substring(1,W.length-1)),W=g(W,!0),{type:"codespan",raw:N[0],text:W}}},Ee.br=function(U){var N=this.rules.inline.br.exec(U);if(N)return{type:"br",raw:N[0]}},Ee.del=function(U){var N=this.rules.inline.del.exec(U);if(N)return{type:"del",raw:N[0],text:N[2],tokens:this.lexer.inlineTokens(N[2],[])}},Ee.autolink=function(U,N){var W=this.rules.inline.autolink.exec(U);if(W){var q,re;return W[2]==="@"?(q=g(this.options.mangle?N(W[1]):W[1]),re="mailto:"+q):(q=g(W[1]),re=q),{type:"link",raw:W[0],text:q,href:re,tokens:[{type:"text",raw:q,text:q}]}}},Ee.url=function(U,N){var W;if(W=this.rules.inline.url.exec(U)){var q,re;if(W[2]==="@")q=g(this.options.mangle?N(W[0]):W[0]),re="mailto:"+q;else{var de;do de=W[0],W[0]=this.rules.inline._backpedal.exec(W[0])[0];while(de!==W[0]);q=g(W[0]),W[1]==="www."?re="http://"+q:re=q}return{type:"link",raw:W[0],text:q,href:re,tokens:[{type:"text",raw:q,text:q}]}}},Ee.inlineText=function(U,N){var W=this.rules.inline.text.exec(U);if(W){var q;return this.lexer.state.inRawBlock?q=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(W[0]):g(W[0]):W[0]:q=g(this.options.smartypants?N(W[0]):W[0]),{type:"text",raw:W[0],text:q}}},be}(),M={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)( [^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?<?([^\s>]+)>?(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:i,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/};M._label=/(?!\s*\])(?:\\.|[^\[\]\\])+/,M._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,M.def=I(M.def).replace("label",M._label).replace("title",M._title).getRegex(),M.bullet=/(?:[*+-]|\d{1,9}[.)])/,M.listItemStart=I(/^( *)(bull) */).replace("bull",M.bullet).getRegex(),M.list=I(M.list).replace(/bull/g,M.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+M.def.source+")").getRegex(),M._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",M._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,M.html=I(M.html,"i").replace("comment",M._comment).replace("tag",M._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),M.paragraph=I(M._paragraph).replace("hr",M.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",M._tag).getRegex(),M.blockquote=I(M.blockquote).replace("paragraph",M.paragraph).getRegex(),M.normal=a({},M),M.gfm=a({},M.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),M.gfm.table=I(M.gfm.table).replace("hr",M.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",M._tag).getRegex(),M.gfm.paragraph=I(M._paragraph).replace("hr",M.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",M.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",M._tag).getRegex(),M.pedantic=a({},M.normal,{html:I(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",M._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:i,paragraph:I(M.normal._paragraph).replace("hr",M.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",M.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var z={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:i,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/^[^_*]*?\_\_[^_*]*?\*[^_*]*?(?=\_\_)|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?\_[^_*]*?(?=\*\*)|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:i,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};z._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",z.punctuation=I(z.punctuation).replace(/punctuation/g,z._punctuation).getRegex(),z.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,z.escapedEmSt=/\\\*|\\_/g,z._comment=I(M._comment).replace("(?:-->|$)","-->").getRegex(),z.emStrong.lDelim=I(z.emStrong.lDelim).replace(/punct/g,z._punctuation).getRegex(),z.emStrong.rDelimAst=I(z.emStrong.rDelimAst,"g").replace(/punct/g,z._punctuation).getRegex(),z.emStrong.rDelimUnd=I(z.emStrong.rDelimUnd,"g").replace(/punct/g,z._punctuation).getRegex(),z._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,z._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,z._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,z.autolink=I(z.autolink).replace("scheme",z._scheme).replace("email",z._email).getRegex(),z._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,z.tag=I(z.tag).replace("comment",z._comment).replace("attribute",z._attribute).getRegex(),z._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,z._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,z._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,z.link=I(z.link).replace("label",z._label).replace("href",z._href).replace("title",z._title).getRegex(),z.reflink=I(z.reflink).replace("label",z._label).replace("ref",M._label).getRegex(),z.nolink=I(z.nolink).replace("ref",M._label).getRegex(),z.reflinkSearch=I(z.reflinkSearch,"g").replace("reflink",z.reflink).replace("nolink",z.nolink).getRegex(),z.normal=a({},z),z.pedantic=a({},z.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:I(/^!?\[(label)\]\((.*?)\)/).replace("label",z._label).getRegex(),reflink:I(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",z._label).getRegex()}),z.gfm=a({},z.normal,{escape:I(z.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),z.gfm.url=I(z.gfm.url,"i").replace("email",z.gfm._extended_email).getRegex(),z.breaks=a({},z.gfm,{br:I(z.br).replace("{2,}","*").getRegex(),text:I(z.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});function V(be){return be.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function Q(be){var Ee="",$,U,N=be.length;for($=0;$<N;$++)U=be.charCodeAt($),Math.random()>.5&&(U="x"+U.toString(16)),Ee+="&#"+U+";";return Ee}var H=function(){function be($){this.tokens=[],this.tokens.links=Object.create(null),this.options=$||ee.defaults,this.options.tokenizer=this.options.tokenizer||new B,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var U={block:M.normal,inline:z.normal};this.options.pedantic?(U.block=M.pedantic,U.inline=z.pedantic):this.options.gfm&&(U.block=M.gfm,this.options.breaks?U.inline=z.breaks:U.inline=z.gfm),this.tokenizer.rules=U}be.lex=function(U,N){var W=new be(N);return W.lex(U)},be.lexInline=function(U,N){var W=new be(N);return W.inlineTokens(U)};var Ee=be.prototype;return Ee.lex=function(U){U=U.replace(/\r\n|\r/g,`
`).replace(/\t/g,"    "),this.blockTokens(U,this.tokens);for(var N;N=this.inlineQueue.shift();)this.inlineTokens(N.src,N.tokens);return this.tokens},Ee.blockTokens=function(U,N){var W=this;N===void 0&&(N=[]),this.options.pedantic&&(U=U.replace(/^ +$/gm,""));for(var q,re,de,Ce;U;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(We){return(q=We.call({lexer:W},U,N))?(U=U.substring(q.raw.length),N.push(q),!0):!1}))){if(q=this.tokenizer.space(U)){U=U.substring(q.raw.length),q.raw.length===1&&N.length>0?N[N.length-1].raw+=`
`:N.push(q);continue}if(q=this.tokenizer.code(U)){U=U.substring(q.raw.length),re=N[N.length-1],re&&(re.type==="paragraph"||re.type==="text")?(re.raw+=`
`+q.raw,re.text+=`
`+q.text,this.inlineQueue[this.inlineQueue.length-1].src=re.text):N.push(q);continue}if(q=this.tokenizer.fences(U)){U=U.substring(q.raw.length),N.push(q);continue}if(q=this.tokenizer.heading(U)){U=U.substring(q.raw.length),N.push(q);continue}if(q=this.tokenizer.hr(U)){U=U.substring(q.raw.length),N.push(q);continue}if(q=this.tokenizer.blockquote(U)){U=U.substring(q.raw.length),N.push(q);continue}if(q=this.tokenizer.list(U)){U=U.substring(q.raw.length),N.push(q);continue}if(q=this.tokenizer.html(U)){U=U.substring(q.raw.length),N.push(q);continue}if(q=this.tokenizer.def(U)){U=U.substring(q.raw.length),re=N[N.length-1],re&&(re.type==="paragraph"||re.type==="text")?(re.raw+=`
`+q.raw,re.text+=`
`+q.raw,this.inlineQueue[this.inlineQueue.length-1].src=re.text):this.tokens.links[q.tag]||(this.tokens.links[q.tag]={href:q.href,title:q.title});continue}if(q=this.tokenizer.table(U)){U=U.substring(q.raw.length),N.push(q);continue}if(q=this.tokenizer.lheading(U)){U=U.substring(q.raw.length),N.push(q);continue}if(de=U,this.options.extensions&&this.options.extensions.startBlock&&function(){var We=1/0,ze=U.slice(1),qe=void 0;W.options.extensions.startBlock.forEach(function(He){qe=He.call({lexer:this},ze),typeof qe=="number"&&qe>=0&&(We=Math.min(We,qe))}),We<1/0&&We>=0&&(de=U.substring(0,We+1))}(),this.state.top&&(q=this.tokenizer.paragraph(de))){re=N[N.length-1],Ce&&re.type==="paragraph"?(re.raw+=`
`+q.raw,re.text+=`
`+q.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=re.text):N.push(q),Ce=de.length!==U.length,U=U.substring(q.raw.length);continue}if(q=this.tokenizer.text(U)){U=U.substring(q.raw.length),re=N[N.length-1],re&&re.type==="text"?(re.raw+=`
`+q.raw,re.text+=`
`+q.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=re.text):N.push(q);continue}if(U){var Ae="Infinite loop on byte: "+U.charCodeAt(0);if(this.options.silent){console.error(Ae);break}else throw new Error(Ae)}}return this.state.top=!0,N},Ee.inline=function(U,N){this.inlineQueue.push({src:U,tokens:N})},Ee.inlineTokens=function(U,N){var W=this;N===void 0&&(N=[]);var q,re,de,Ce=U,Ae,We,ze;if(this.tokens.links){var qe=Object.keys(this.tokens.links);if(qe.length>0)for(;(Ae=this.tokenizer.rules.inline.reflinkSearch.exec(Ce))!=null;)qe.includes(Ae[0].slice(Ae[0].lastIndexOf("[")+1,-1))&&(Ce=Ce.slice(0,Ae.index)+"["+L("a",Ae[0].length-2)+"]"+Ce.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(Ae=this.tokenizer.rules.inline.blockSkip.exec(Ce))!=null;)Ce=Ce.slice(0,Ae.index)+"["+L("a",Ae[0].length-2)+"]"+Ce.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(Ae=this.tokenizer.rules.inline.escapedEmSt.exec(Ce))!=null;)Ce=Ce.slice(0,Ae.index)+"++"+Ce.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;U;)if(We||(ze=""),We=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(Ue){return(q=Ue.call({lexer:W},U,N))?(U=U.substring(q.raw.length),N.push(q),!0):!1}))){if(q=this.tokenizer.escape(U)){U=U.substring(q.raw.length),N.push(q);continue}if(q=this.tokenizer.tag(U)){U=U.substring(q.raw.length),re=N[N.length-1],re&&q.type==="text"&&re.type==="text"?(re.raw+=q.raw,re.text+=q.text):N.push(q);continue}if(q=this.tokenizer.link(U)){U=U.substring(q.raw.length),N.push(q);continue}if(q=this.tokenizer.reflink(U,this.tokens.links)){U=U.substring(q.raw.length),re=N[N.length-1],re&&q.type==="text"&&re.type==="text"?(re.raw+=q.raw,re.text+=q.text):N.push(q);continue}if(q=this.tokenizer.emStrong(U,Ce,ze)){U=U.substring(q.raw.length),N.push(q);continue}if(q=this.tokenizer.codespan(U)){U=U.substring(q.raw.length),N.push(q);continue}if(q=this.tokenizer.br(U)){U=U.substring(q.raw.length),N.push(q);continue}if(q=this.tokenizer.del(U)){U=U.substring(q.raw.length),N.push(q);continue}if(q=this.tokenizer.autolink(U,Q)){U=U.substring(q.raw.length),N.push(q);continue}if(!this.state.inLink&&(q=this.tokenizer.url(U,Q))){U=U.substring(q.raw.length),N.push(q);continue}if(de=U,this.options.extensions&&this.options.extensions.startInline&&function(){var Ue=1/0,Je=U.slice(1),et=void 0;W.options.extensions.startInline.forEach(function(Le){et=Le.call({lexer:this},Je),typeof et=="number"&&et>=0&&(Ue=Math.min(Ue,et))}),Ue<1/0&&Ue>=0&&(de=U.substring(0,Ue+1))}(),q=this.tokenizer.inlineText(de,V)){U=U.substring(q.raw.length),q.raw.slice(-1)!=="_"&&(ze=q.raw.slice(-1)),We=!0,re=N[N.length-1],re&&re.type==="text"?(re.raw+=q.raw,re.text+=q.text):N.push(q);continue}if(U){var He="Infinite loop on byte: "+U.charCodeAt(0);if(this.options.silent){console.error(He);break}else throw new Error(He)}}return N},h(be,null,[{key:"rules",get:function(){return{block:M,inline:z}}}]),be}(),K=function(){function be($){this.options=$||ee.defaults}var Ee=be.prototype;return Ee.code=function(U,N,W){var q=(N||"").match(/\S*/)[0];if(this.options.highlight){var re=this.options.highlight(U,q);re!=null&&re!==U&&(W=!0,U=re)}return U=U.replace(/\n$/,"")+`
`,q?'<pre><code class="'+this.options.langPrefix+g(q,!0)+'">'+(W?U:g(U,!0))+`</code></pre>
`:"<pre><code>"+(W?U:g(U,!0))+`</code></pre>
`},Ee.blockquote=function(U){return`<blockquote>
`+U+`</blockquote>
`},Ee.html=function(U){return U},Ee.heading=function(U,N,W,q){return this.options.headerIds?"<h"+N+' id="'+this.options.headerPrefix+q.slug(W)+'">'+U+"</h"+N+`>
`:"<h"+N+">"+U+"</h"+N+`>
`},Ee.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},Ee.list=function(U,N,W){var q=N?"ol":"ul",re=N&&W!==1?' start="'+W+'"':"";return"<"+q+re+`>
`+U+"</"+q+`>
`},Ee.listitem=function(U){return"<li>"+U+`</li>
`},Ee.checkbox=function(U){return"<input "+(U?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},Ee.paragraph=function(U){return"<p>"+U+`</p>
`},Ee.table=function(U,N){return N&&(N="<tbody>"+N+"</tbody>"),`<table>
<thead>
`+U+`</thead>
`+N+`</table>
`},Ee.tablerow=function(U){return`<tr>
`+U+`</tr>
`},Ee.tablecell=function(U,N){var W=N.header?"th":"td",q=N.align?"<"+W+' align="'+N.align+'">':"<"+W+">";return q+U+"</"+W+`>
`},Ee.strong=function(U){return"<strong>"+U+"</strong>"},Ee.em=function(U){return"<em>"+U+"</em>"},Ee.codespan=function(U){return"<code>"+U+"</code>"},Ee.br=function(){return this.options.xhtml?"<br/>":"<br>"},Ee.del=function(U){return"<del>"+U+"</del>"},Ee.link=function(U,N,W){if(U=f(this.options.sanitize,this.options.baseUrl,U),U===null)return W;var q='<a href="'+g(U)+'"';return N&&(q+=' title="'+N+'"'),q+=">"+W+"</a>",q},Ee.image=function(U,N,W){if(U=f(this.options.sanitize,this.options.baseUrl,U),U===null)return W;var q='<img src="'+U+'" alt="'+W+'"';return N&&(q+=' title="'+N+'"'),q+=this.options.xhtml?"/>":">",q},Ee.text=function(U){return U},be}(),G=function(){function be(){}var Ee=be.prototype;return Ee.strong=function(U){return U},Ee.em=function(U){return U},Ee.codespan=function(U){return U},Ee.del=function(U){return U},Ee.html=function(U){return U},Ee.text=function(U){return U},Ee.link=function(U,N,W){return""+W},Ee.image=function(U,N,W){return""+W},Ee.br=function(){return""},be}(),j=function(){function be(){this.seen={}}var Ee=be.prototype;return Ee.serialize=function(U){return U.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},Ee.getNextSafeSlug=function(U,N){var W=U,q=0;if(this.seen.hasOwnProperty(W)){q=this.seen[U];do q++,W=U+"-"+q;while(this.seen.hasOwnProperty(W))}return N||(this.seen[U]=q,this.seen[W]=0),W},Ee.slug=function(U,N){N===void 0&&(N={});var W=this.serialize(U);return this.getNextSafeSlug(W,N.dryrun)},be}(),ie=function(){function be($){this.options=$||ee.defaults,this.options.renderer=this.options.renderer||new K,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new G,this.slugger=new j}be.parse=function(U,N){var W=new be(N);return W.parse(U)},be.parseInline=function(U,N){var W=new be(N);return W.parseInline(U)};var Ee=be.prototype;return Ee.parse=function(U,N){N===void 0&&(N=!0);var W="",q,re,de,Ce,Ae,We,ze,qe,He,Ue,Je,et,Le,it,ne,se,Y,ge,Se,Me=U.length;for(q=0;q<Me;q++){if(Ue=U[q],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[Ue.type]&&(Se=this.options.extensions.renderers[Ue.type].call({parser:this},Ue),Se!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(Ue.type))){W+=Se||"";continue}switch(Ue.type){case"space":continue;case"hr":{W+=this.renderer.hr();continue}case"heading":{W+=this.renderer.heading(this.parseInline(Ue.tokens),Ue.depth,w(this.parseInline(Ue.tokens,this.textRenderer)),this.slugger);continue}case"code":{W+=this.renderer.code(Ue.text,Ue.lang,Ue.escaped);continue}case"table":{for(qe="",ze="",Ce=Ue.header.length,re=0;re<Ce;re++)ze+=this.renderer.tablecell(this.parseInline(Ue.header[re].tokens),{header:!0,align:Ue.align[re]});for(qe+=this.renderer.tablerow(ze),He="",Ce=Ue.rows.length,re=0;re<Ce;re++){for(We=Ue.rows[re],ze="",Ae=We.length,de=0;de<Ae;de++)ze+=this.renderer.tablecell(this.parseInline(We[de].tokens),{header:!1,align:Ue.align[de]});He+=this.renderer.tablerow(ze)}W+=this.renderer.table(qe,He);continue}case"blockquote":{He=this.parse(Ue.tokens),W+=this.renderer.blockquote(He);continue}case"list":{for(Je=Ue.ordered,et=Ue.start,Le=Ue.loose,Ce=Ue.items.length,He="",re=0;re<Ce;re++)ne=Ue.items[re],se=ne.checked,Y=ne.task,it="",ne.task&&(ge=this.renderer.checkbox(se),Le?ne.tokens.length>0&&ne.tokens[0].type==="paragraph"?(ne.tokens[0].text=ge+" "+ne.tokens[0].text,ne.tokens[0].tokens&&ne.tokens[0].tokens.length>0&&ne.tokens[0].tokens[0].type==="text"&&(ne.tokens[0].tokens[0].text=ge+" "+ne.tokens[0].tokens[0].text)):ne.tokens.unshift({type:"text",text:ge}):it+=ge),it+=this.parse(ne.tokens,Le),He+=this.renderer.listitem(it,Y,se);W+=this.renderer.list(He,Je,et);continue}case"html":{W+=this.renderer.html(Ue.text);continue}case"paragraph":{W+=this.renderer.paragraph(this.parseInline(Ue.tokens));continue}case"text":{for(He=Ue.tokens?this.parseInline(Ue.tokens):Ue.text;q+1<Me&&U[q+1].type==="text";)Ue=U[++q],He+=`
`+(Ue.tokens?this.parseInline(Ue.tokens):Ue.text);W+=N?this.renderer.paragraph(He):He;continue}default:{var $e='Token with "'+Ue.type+'" type was not found.';if(this.options.silent){console.error($e);return}else throw new Error($e)}}}return W},Ee.parseInline=function(U,N){N=N||this.renderer;var W="",q,re,de,Ce=U.length;for(q=0;q<Ce;q++){if(re=U[q],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[re.type]&&(de=this.options.extensions.renderers[re.type].call({parser:this},re),de!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(re.type))){W+=de||"";continue}switch(re.type){case"escape":{W+=N.text(re.text);break}case"html":{W+=N.html(re.text);break}case"link":{W+=N.link(re.href,re.title,this.parseInline(re.tokens,N));break}case"image":{W+=N.image(re.href,re.title,re.text);break}case"strong":{W+=N.strong(this.parseInline(re.tokens,N));break}case"em":{W+=N.em(this.parseInline(re.tokens,N));break}case"codespan":{W+=N.codespan(re.text);break}case"br":{W+=N.br();break}case"del":{W+=N.del(this.parseInline(re.tokens,N));break}case"text":{W+=N.text(re.text);break}default:{var Ae='Token with "'+re.type+'" type was not found.';if(this.options.silent){console.error(Ae);return}else throw new Error(Ae)}}}return W},be}();function oe(be,Ee,$){if(typeof be=="undefined"||be===null)throw new Error("marked(): input parameter is undefined or null");if(typeof be!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(be)+", string expected");if(typeof Ee=="function"&&($=Ee,Ee=null),Ee=a({},oe.defaults,Ee||{}),T(Ee),$){var U=Ee.highlight,N;try{N=H.lex(be,Ee)}catch(de){return $(de)}var W=function(Ce){var Ae;if(!Ce)try{Ee.walkTokens&&oe.walkTokens(N,Ee.walkTokens),Ae=ie.parse(N,Ee)}catch(We){Ce=We}return Ee.highlight=U,Ce?$(Ce):$(null,Ae)};if(!U||U.length<3||(delete Ee.highlight,!N.length))return W();var q=0;oe.walkTokens(N,function(de){de.type==="code"&&(q++,setTimeout(function(){U(de.text,de.lang,function(Ce,Ae){if(Ce)return W(Ce);Ae!=null&&Ae!==de.text&&(de.text=Ae,de.escaped=!0),q--,q===0&&W()})},0))}),q===0&&W();return}try{var re=H.lex(be,Ee);return Ee.walkTokens&&oe.walkTokens(re,Ee.walkTokens),ie.parse(re,Ee)}catch(de){if(de.message+=`
Please report this to https://github.com/markedjs/marked.`,Ee.silent)return"<p>An error occurred:</p><pre>"+g(de.message+"",!0)+"</pre>";throw de}}oe.options=oe.setOptions=function(be){return a(oe.defaults,be),k(oe.defaults),oe},oe.getDefaults=C,oe.defaults=ee.defaults,oe.use=function(){for(var be=arguments.length,Ee=new Array(be),$=0;$<be;$++)Ee[$]=arguments[$];var U=a.apply(void 0,[{}].concat(Ee)),N=oe.defaults.extensions||{renderers:{},childTokens:{}},W;Ee.forEach(function(q){if(q.extensions&&(W=!0,q.extensions.forEach(function(de){if(!de.name)throw new Error("extension name required");if(de.renderer){var Ce=N.renderers?N.renderers[de.name]:null;Ce?N.renderers[de.name]=function(){for(var Ae=arguments.length,We=new Array(Ae),ze=0;ze<Ae;ze++)We[ze]=arguments[ze];var qe=de.renderer.apply(this,We);return qe===!1&&(qe=Ce.apply(this,We)),qe}:N.renderers[de.name]=de.renderer}if(de.tokenizer){if(!de.level||de.level!=="block"&&de.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");N[de.level]?N[de.level].unshift(de.tokenizer):N[de.level]=[de.tokenizer],de.start&&(de.level==="block"?N.startBlock?N.startBlock.push(de.start):N.startBlock=[de.start]:de.level==="inline"&&(N.startInline?N.startInline.push(de.start):N.startInline=[de.start]))}de.childTokens&&(N.childTokens[de.name]=de.childTokens)})),q.renderer&&function(){var de=oe.defaults.renderer||new K,Ce=function(ze){var qe=de[ze];de[ze]=function(){for(var He=arguments.length,Ue=new Array(He),Je=0;Je<He;Je++)Ue[Je]=arguments[Je];var et=q.renderer[ze].apply(de,Ue);return et===!1&&(et=qe.apply(de,Ue)),et}};for(var Ae in q.renderer)Ce(Ae);U.renderer=de}(),q.tokenizer&&function(){var de=oe.defaults.tokenizer||new B,Ce=function(ze){var qe=de[ze];de[ze]=function(){for(var He=arguments.length,Ue=new Array(He),Je=0;Je<He;Je++)Ue[Je]=arguments[Je];var et=q.tokenizer[ze].apply(de,Ue);return et===!1&&(et=qe.apply(de,Ue)),et}};for(var Ae in q.tokenizer)Ce(Ae);U.tokenizer=de}(),q.walkTokens){var re=oe.defaults.walkTokens;U.walkTokens=function(de){q.walkTokens.call(this,de),re&&re.call(this,de)}}W&&(U.extensions=N),oe.setOptions(U)})},oe.walkTokens=function(be,Ee){for(var $=function(){var q=N.value;switch(Ee.call(oe,q),q.type){case"table":{for(var re=A(q.header),de;!(de=re()).done;){var Ce=de.value;oe.walkTokens(Ce.tokens,Ee)}for(var Ae=A(q.rows),We;!(We=Ae()).done;)for(var ze=We.value,qe=A(ze),He;!(He=qe()).done;){var Ue=He.value;oe.walkTokens(Ue.tokens,Ee)}break}case"list":{oe.walkTokens(q.items,Ee);break}default:oe.defaults.extensions&&oe.defaults.extensions.childTokens&&oe.defaults.extensions.childTokens[q.type]?oe.defaults.extensions.childTokens[q.type].forEach(function(Je){oe.walkTokens(q[Je],Ee)}):q.tokens&&oe.walkTokens(q.tokens,Ee)}},U=A(be),N;!(N=U()).done;)$()},oe.parseInline=function(be,Ee){if(typeof be=="undefined"||be===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof be!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(be)+", string expected");Ee=a({},oe.defaults,Ee||{}),T(Ee);try{var $=H.lexInline(be,Ee);return Ee.walkTokens&&oe.walkTokens($,Ee.walkTokens),ie.parseInline($,Ee)}catch(U){if(U.message+=`
Please report this to https://github.com/markedjs/marked.`,Ee.silent)return"<p>An error occurred:</p><pre>"+g(U.message+"",!0)+"</pre>";throw U}},oe.Parser=ie,oe.parser=ie.parse,oe.Renderer=K,oe.TextRenderer=G,oe.Lexer=H,oe.lexer=H.lex,oe.Tokenizer=B,oe.Slugger=j,oe.parse=oe;var ue=oe.options,Z=oe.setOptions,J=oe.use,ae=oe.walkTokens,he=oe.parseInline,we=oe,Te=ie.parse,Ne=H.lex;ee.Lexer=H,ee.Parser=ie,ee.Renderer=K,ee.Slugger=j,ee.TextRenderer=G,ee.Tokenizer=B,ee.getDefaults=C,ee.lexer=Ne,ee.marked=oe,ee.options=ue,ee.parse=we,ee.parseInline=he,ee.parser=Te,ee.setOptions=Z,ee.use=J,ee.walkTokens=ae,Object.defineProperty(ee,"__esModule",{value:!0})}),define(pe[91],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SlidingWindowAverage=e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function h(k,_,R){return Math.min(Math.max(k,_),R)}e.clamp=h;function t(k,_){return(_+k%_)%_}e.rot=t;class P{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=P;class A{constructor(){this._n=1,this._val=0}update(_){return this._val=this._val+(_-this._val)/this._n,this._n+=1,this._val}get value(){return this._val}}e.MovingAverage=A;class C{constructor(_){this._n=0,this._val=0,this._values=[],this._index=0,this._sum=0,this._values=new Array(_),this._values.fill(0,0,_)}update(_){const R=this._values[this._index];return this._values[this._index]=_,this._index=(this._index+1)%this._values.length,this._sum-=R,this._sum+=_,this._n<this._values.length&&(this._n+=1),this._val=this._sum/this._n,this._val}get value(){return this._val}}e.SlidingWindowAverage=C}),function(){function ee(P){const A=[];typeof P=="number"&&A.push("code/timeOrigin",P);function C(_){A.push(_,Date.now())}function k(){const _=[];for(let R=0;R<A.length;R+=2)_.push({name:A[R],startTime:A[R+1]});return _}return{mark:C,getMarks:k}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?ee():{mark(P){performance.mark(P)},getMarks(){let P=performance.timeOrigin;typeof P!="number"&&(P=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const A=[{name:"code/timeOrigin",startTime:Math.round(P)}];for(const C of performance.getEntriesByType("mark"))A.push({name:C.name,startTime:Math.round(P+C.startTime)});return A}};if(typeof process=="object"){const P=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return ee(P)}else return console.trace("perf-util loaded in UNKNOWN environment"),ee()}function h(P){return P.MonacoPerformanceMarks||(P.MonacoPerformanceMarks=e()),P.MonacoPerformanceMarks}var t;typeof global=="object"?t=global:typeof self=="object"?t=self:t={},typeof define=="function"?define("vs/base/common/performance",[],function(){return h(t)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=h(t):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),t.perf=h(t))}(),define(pe[12],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isAndroid=e.isEdge=e.isSafari=e.isFirefox=e.isChrome=e.isLittleEndian=e.OS=e.OperatingSystem=e.setTimeout0=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isCI=e.isIOS=e.isWeb=e.isElectron=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isElectronSandboxed=e.globals=void 0;const h="en";let t=!1,P=!1,A=!1,C=!1,k=!1,_=!1,R=!1,F=!1,D=!1,p,b=h,g,u;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let w;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?w=e.globals.vscode.process:typeof process!="undefined"&&(w=process);const S=typeof w?.versions?.electron=="string",I=S&&w?.type==="renderer";if(e.isElectronSandboxed=I&&w?.sandboxed,typeof navigator=="object"&&!I)u=navigator.userAgent,t=u.indexOf("Windows")>=0,P=u.indexOf("Macintosh")>=0,F=(u.indexOf("Macintosh")>=0||u.indexOf("iPad")>=0||u.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,A=u.indexOf("Linux")>=0,_=!0,p=navigator.language,b=p;else if(typeof w=="object"){t=w.platform==="win32",P=w.platform==="darwin",A=w.platform==="linux",C=A&&!!w.env.SNAP&&!!w.env.SNAP_REVISION,R=S,D=!!w.env.CI||!!w.env.BUILD_ARTIFACTSTAGINGDIRECTORY,p=h,b=h;const i=w.env.VSCODE_NLS_CONFIG;if(i)try{const a=JSON.parse(i),m=a.availableLanguages["*"];p=a.locale,b=m||h,g=a._translationsConfigFile}catch{}k=!0}else console.error("Unable to resolve platform.");var l;(function(i){i[i.Web=0]="Web",i[i.Mac=1]="Mac",i[i.Linux=2]="Linux",i[i.Windows=3]="Windows"})(l=e.Platform||(e.Platform={}));function c(i){switch(i){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=c;let f=0;P?f=1:t?f=3:A&&(f=2),e.isWindows=t,e.isMacintosh=P,e.isLinux=A,e.isLinuxSnap=C,e.isNative=k,e.isElectron=R,e.isWeb=_,e.isIOS=F,e.isCI=D,e.platform=f,e.userAgent=u,e.language=b;var s;(function(i){function a(){return e.language}i.value=a;function m(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}i.isDefaultVariant=m;function d(){return e.language==="en"}i.isDefault=d})(s=e.Language||(e.Language={})),e.locale=p,e.translationsConfigFile=g,e.setTimeout0=(()=>{if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let i=[];e.globals.addEventListener("message",m=>{if(m.data&&m.data.vscodeScheduleAsyncWork)for(let d=0,E=i.length;d<E;d++){const T=i[d];if(T.id===m.data.vscodeScheduleAsyncWork){i.splice(d,1),T.callback();return}}});let a=0;return m=>{const d=++a;i.push({id:d,callback:m}),e.globals.postMessage({vscodeScheduleAsyncWork:d},"*")}}return i=>setTimeout(i)})();var v;(function(i){i[i.Windows=1]="Windows",i[i.Macintosh=2]="Macintosh",i[i.Linux=3]="Linux"})(v=e.OperatingSystem||(e.OperatingSystem={})),e.OS=P||F?2:t?1:3;let o=!0,n=!1;function r(){if(!n){n=!0;const i=new Uint8Array(2);i[0]=1,i[1]=2,o=new Uint16Array(i.buffer)[0]===(2<<8)+1}return o}e.isLittleEndian=r,e.isChrome=!!(e.userAgent&&e.userAgent.indexOf("Chrome")>=0),e.isFirefox=!!(e.userAgent&&e.userAgent.indexOf("Firefox")>=0),e.isSafari=!!(!e.isChrome&&e.userAgent&&e.userAgent.indexOf("Safari")>=0),e.isEdge=!!(e.userAgent&&e.userAgent.indexOf("Edg/")>=0),e.isAndroid=!!(e.userAgent&&e.userAgent.indexOf("Android")>=0)}),define(pe[41],ve([1,0,12]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.arch=e.platform=e.env=e.cwd=void 0;let t;if(typeof h.globals.vscode!="undefined"&&typeof h.globals.vscode.process!="undefined"){const P=h.globals.vscode.process;t={get platform(){return P.platform},get arch(){return P.arch},get env(){return P.env},cwd(){return P.cwd()}}}else typeof process!="undefined"?t={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:t={get platform(){return h.isWindows?"win32":h.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=t.cwd,e.env=t.env,e.platform=t.platform,e.arch=t.arch}),define(pe[9],ve([1,0,41]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const t=65,P=97,A=90,C=122,k=46,_=47,R=92,F=58,D=63;class p extends Error{constructor(c,f,s){let v;typeof f=="string"&&f.indexOf("not ")===0?(v="must not be",f=f.replace(/^not /,"")):v="must be";const o=c.indexOf(".")!==-1?"property":"argument";let n=`The "${c}" ${o} ${v} of type ${f}`;n+=`. Received type ${typeof s}`;super(n);this.code="ERR_INVALID_ARG_TYPE"}}function b(l,c){if(typeof l!="string")throw new p(c,"string",l)}function g(l){return l===_||l===R}function u(l){return l===_}function w(l){return l>=t&&l<=A||l>=P&&l<=C}function S(l,c,f,s){let v="",o=0,n=-1,r=0,i=0;for(let a=0;a<=l.length;++a){if(a<l.length)i=l.charCodeAt(a);else{if(s(i))break;i=_}if(s(i)){if(!(n===a-1||r===1))if(r===2){if(v.length<2||o!==2||v.charCodeAt(v.length-1)!==k||v.charCodeAt(v.length-2)!==k){if(v.length>2){const m=v.lastIndexOf(f);m===-1?(v="",o=0):(v=v.slice(0,m),o=v.length-1-v.lastIndexOf(f)),n=a,r=0;continue}else if(v.length!==0){v="",o=0,n=a,r=0;continue}}c&&(v+=v.length>0?`${f}..`:"..",o=2)}else v.length>0?v+=`${f}${l.slice(n+1,a)}`:v=l.slice(n+1,a),o=a-n-1;n=a,r=0}else i===k&&r!==-1?++r:r=-1}return v}function I(l,c){if(c===null||typeof c!="object")throw new p("pathObject","Object",c);const f=c.dir||c.root,s=c.base||`${c.name||""}${c.ext||""}`;return f?f===c.root?`${f}${s}`:`${f}${l}${s}`:s}e.win32={resolve(...l){let c="",f="",s=!1;for(let v=l.length-1;v>=-1;v--){let o;if(v>=0){if(o=l[v],b(o,"path"),o.length===0)continue}else c.length===0?o=h.cwd():(o=h.env[`=${c}`]||h.cwd(),(o===void 0||o.slice(0,2).toLowerCase()!==c.toLowerCase()&&o.charCodeAt(2)===R)&&(o=`${c}\\`));const n=o.length;let r=0,i="",a=!1;const m=o.charCodeAt(0);if(n===1)g(m)&&(r=1,a=!0);else if(g(m))if(a=!0,g(o.charCodeAt(1))){let d=2,E=d;for(;d<n&&!g(o.charCodeAt(d));)d++;if(d<n&&d!==E){const T=o.slice(E,d);for(E=d;d<n&&g(o.charCodeAt(d));)d++;if(d<n&&d!==E){for(E=d;d<n&&!g(o.charCodeAt(d));)d++;(d===n||d!==E)&&(i=`\\\\${T}\\${o.slice(E,d)}`,r=d)}}}else r=1;else w(m)&&o.charCodeAt(1)===F&&(i=o.slice(0,2),r=2,n>2&&g(o.charCodeAt(2))&&(a=!0,r=3));if(i.length>0)if(c.length>0){if(i.toLowerCase()!==c.toLowerCase())continue}else c=i;if(s){if(c.length>0)break}else if(f=`${o.slice(r)}\\${f}`,s=a,a&&c.length>0)break}return f=S(f,!s,"\\",g),s?`${c}\\${f}`:`${c}${f}`||"."},normalize(l){b(l,"path");const c=l.length;if(c===0)return".";let f=0,s,v=!1;const o=l.charCodeAt(0);if(c===1)return u(o)?"\\":l;if(g(o))if(v=!0,g(l.charCodeAt(1))){let r=2,i=r;for(;r<c&&!g(l.charCodeAt(r));)r++;if(r<c&&r!==i){const a=l.slice(i,r);for(i=r;r<c&&g(l.charCodeAt(r));)r++;if(r<c&&r!==i){for(i=r;r<c&&!g(l.charCodeAt(r));)r++;if(r===c)return`\\\\${a}\\${l.slice(i)}\\`;r!==i&&(s=`\\\\${a}\\${l.slice(i,r)}`,f=r)}}}else f=1;else w(o)&&l.charCodeAt(1)===F&&(s=l.slice(0,2),f=2,c>2&&g(l.charCodeAt(2))&&(v=!0,f=3));let n=f<c?S(l.slice(f),!v,"\\",g):"";return n.length===0&&!v&&(n="."),n.length>0&&g(l.charCodeAt(c-1))&&(n+="\\"),s===void 0?v?`\\${n}`:n:v?`${s}\\${n}`:`${s}${n}`},isAbsolute(l){b(l,"path");const c=l.length;if(c===0)return!1;const f=l.charCodeAt(0);return g(f)||c>2&&w(f)&&l.charCodeAt(1)===F&&g(l.charCodeAt(2))},join(...l){if(l.length===0)return".";let c,f;for(let o=0;o<l.length;++o){const n=l[o];b(n,"path"),n.length>0&&(c===void 0?c=f=n:c+=`\\${n}`)}if(c===void 0)return".";let s=!0,v=0;if(typeof f=="string"&&g(f.charCodeAt(0))){++v;const o=f.length;o>1&&g(f.charCodeAt(1))&&(++v,o>2&&(g(f.charCodeAt(2))?++v:s=!1))}if(s){for(;v<c.length&&g(c.charCodeAt(v));)v++;v>=2&&(c=`\\${c.slice(v)}`)}return e.win32.normalize(c)},relative(l,c){if(b(l,"from"),b(c,"to"),l===c)return"";const f=e.win32.resolve(l),s=e.win32.resolve(c);if(f===s||(l=f.toLowerCase(),c=s.toLowerCase(),l===c))return"";let v=0;for(;v<l.length&&l.charCodeAt(v)===R;)v++;let o=l.length;for(;o-1>v&&l.charCodeAt(o-1)===R;)o--;const n=o-v;let r=0;for(;r<c.length&&c.charCodeAt(r)===R;)r++;let i=c.length;for(;i-1>r&&c.charCodeAt(i-1)===R;)i--;const a=i-r,m=n<a?n:a;let d=-1,E=0;for(;E<m;E++){const L=l.charCodeAt(v+E);if(L!==c.charCodeAt(r+E))break;L===R&&(d=E)}if(E!==m){if(d===-1)return s}else{if(a>m){if(c.charCodeAt(r+E)===R)return s.slice(r+E+1);if(E===2)return s.slice(r+E)}n>m&&(l.charCodeAt(v+E)===R?d=E:E===2&&(d=3)),d===-1&&(d=0)}let T="";for(E=v+d+1;E<=o;++E)(E===o||l.charCodeAt(E)===R)&&(T+=T.length===0?"..":"\\..");return r+=d,T.length>0?`${T}${s.slice(r,i)}`:(s.charCodeAt(r)===R&&++r,s.slice(r,i))},toNamespacedPath(l){if(typeof l!="string")return l;if(l.length===0)return"";const c=e.win32.resolve(l);if(c.length<=2)return l;if(c.charCodeAt(0)===R){if(c.charCodeAt(1)===R){const f=c.charCodeAt(2);if(f!==D&&f!==k)return`\\\\?\\UNC\\${c.slice(2)}`}}else if(w(c.charCodeAt(0))&&c.charCodeAt(1)===F&&c.charCodeAt(2)===R)return`\\\\?\\${c}`;return l},dirname(l){b(l,"path");const c=l.length;if(c===0)return".";let f=-1,s=0;const v=l.charCodeAt(0);if(c===1)return g(v)?l:".";if(g(v)){if(f=s=1,g(l.charCodeAt(1))){let r=2,i=r;for(;r<c&&!g(l.charCodeAt(r));)r++;if(r<c&&r!==i){for(i=r;r<c&&g(l.charCodeAt(r));)r++;if(r<c&&r!==i){for(i=r;r<c&&!g(l.charCodeAt(r));)r++;if(r===c)return l;r!==i&&(f=s=r+1)}}}}else w(v)&&l.charCodeAt(1)===F&&(f=c>2&&g(l.charCodeAt(2))?3:2,s=f);let o=-1,n=!0;for(let r=c-1;r>=s;--r)if(g(l.charCodeAt(r))){if(!n){o=r;break}}else n=!1;if(o===-1){if(f===-1)return".";o=f}return l.slice(0,o)},basename(l,c){c!==void 0&&b(c,"ext"),b(l,"path");let f=0,s=-1,v=!0,o;if(l.length>=2&&w(l.charCodeAt(0))&&l.charCodeAt(1)===F&&(f=2),c!==void 0&&c.length>0&&c.length<=l.length){if(c===l)return"";let n=c.length-1,r=-1;for(o=l.length-1;o>=f;--o){const i=l.charCodeAt(o);if(g(i)){if(!v){f=o+1;break}}else r===-1&&(v=!1,r=o+1),n>=0&&(i===c.charCodeAt(n)?--n==-1&&(s=o):(n=-1,s=r))}return f===s?s=r:s===-1&&(s=l.length),l.slice(f,s)}for(o=l.length-1;o>=f;--o)if(g(l.charCodeAt(o))){if(!v){f=o+1;break}}else s===-1&&(v=!1,s=o+1);return s===-1?"":l.slice(f,s)},extname(l){b(l,"path");let c=0,f=-1,s=0,v=-1,o=!0,n=0;l.length>=2&&l.charCodeAt(1)===F&&w(l.charCodeAt(0))&&(c=s=2);for(let r=l.length-1;r>=c;--r){const i=l.charCodeAt(r);if(g(i)){if(!o){s=r+1;break}continue}v===-1&&(o=!1,v=r+1),i===k?f===-1?f=r:n!==1&&(n=1):f!==-1&&(n=-1)}return f===-1||v===-1||n===0||n===1&&f===v-1&&f===s+1?"":l.slice(f,v)},format:I.bind(null,"\\"),parse(l){b(l,"path");const c={root:"",dir:"",base:"",ext:"",name:""};if(l.length===0)return c;const f=l.length;let s=0,v=l.charCodeAt(0);if(f===1)return g(v)?(c.root=c.dir=l,c):(c.base=c.name=l,c);if(g(v)){if(s=1,g(l.charCodeAt(1))){let d=2,E=d;for(;d<f&&!g(l.charCodeAt(d));)d++;if(d<f&&d!==E){for(E=d;d<f&&g(l.charCodeAt(d));)d++;if(d<f&&d!==E){for(E=d;d<f&&!g(l.charCodeAt(d));)d++;d===f?s=d:d!==E&&(s=d+1)}}}}else if(w(v)&&l.charCodeAt(1)===F){if(f<=2)return c.root=c.dir=l,c;if(s=2,g(l.charCodeAt(2))){if(f===3)return c.root=c.dir=l,c;s=3}}s>0&&(c.root=l.slice(0,s));let o=-1,n=s,r=-1,i=!0,a=l.length-1,m=0;for(;a>=s;--a){if(v=l.charCodeAt(a),g(v)){if(!i){n=a+1;break}continue}r===-1&&(i=!1,r=a+1),v===k?o===-1?o=a:m!==1&&(m=1):o!==-1&&(m=-1)}return r!==-1&&(o===-1||m===0||m===1&&o===r-1&&o===n+1?c.base=c.name=l.slice(n,r):(c.name=l.slice(n,o),c.base=l.slice(n,r),c.ext=l.slice(o,r))),n>0&&n!==s?c.dir=l.slice(0,n-1):c.dir=c.root,c},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...l){let c="",f=!1;for(let s=l.length-1;s>=-1&&!f;s--){const v=s>=0?l[s]:h.cwd();b(v,"path"),v.length!==0&&(c=`${v}/${c}`,f=v.charCodeAt(0)===_)}return c=S(c,!f,"/",u),f?`/${c}`:c.length>0?c:"."},normalize(l){if(b(l,"path"),l.length===0)return".";const c=l.charCodeAt(0)===_,f=l.charCodeAt(l.length-1)===_;return l=S(l,!c,"/",u),l.length===0?c?"/":f?"./":".":(f&&(l+="/"),c?`/${l}`:l)},isAbsolute(l){return b(l,"path"),l.length>0&&l.charCodeAt(0)===_},join(...l){if(l.length===0)return".";let c;for(let f=0;f<l.length;++f){const s=l[f];b(s,"path"),s.length>0&&(c===void 0?c=s:c+=`/${s}`)}return c===void 0?".":e.posix.normalize(c)},relative(l,c){if(b(l,"from"),b(c,"to"),l===c||(l=e.posix.resolve(l),c=e.posix.resolve(c),l===c))return"";const f=1,s=l.length,v=s-f,o=1,n=c.length-o,r=v<n?v:n;let i=-1,a=0;for(;a<r;a++){const d=l.charCodeAt(f+a);if(d!==c.charCodeAt(o+a))break;d===_&&(i=a)}if(a===r)if(n>r){if(c.charCodeAt(o+a)===_)return c.slice(o+a+1);if(a===0)return c.slice(o+a)}else v>r&&(l.charCodeAt(f+a)===_?i=a:a===0&&(i=0));let m="";for(a=f+i+1;a<=s;++a)(a===s||l.charCodeAt(a)===_)&&(m+=m.length===0?"..":"/..");return`${m}${c.slice(o+i)}`},toNamespacedPath(l){return l},dirname(l){if(b(l,"path"),l.length===0)return".";const c=l.charCodeAt(0)===_;let f=-1,s=!0;for(let v=l.length-1;v>=1;--v)if(l.charCodeAt(v)===_){if(!s){f=v;break}}else s=!1;return f===-1?c?"/":".":c&&f===1?"//":l.slice(0,f)},basename(l,c){c!==void 0&&b(c,"ext"),b(l,"path");let f=0,s=-1,v=!0,o;if(c!==void 0&&c.length>0&&c.length<=l.length){if(c===l)return"";let n=c.length-1,r=-1;for(o=l.length-1;o>=0;--o){const i=l.charCodeAt(o);if(i===_){if(!v){f=o+1;break}}else r===-1&&(v=!1,r=o+1),n>=0&&(i===c.charCodeAt(n)?--n==-1&&(s=o):(n=-1,s=r))}return f===s?s=r:s===-1&&(s=l.length),l.slice(f,s)}for(o=l.length-1;o>=0;--o)if(l.charCodeAt(o)===_){if(!v){f=o+1;break}}else s===-1&&(v=!1,s=o+1);return s===-1?"":l.slice(f,s)},extname(l){b(l,"path");let c=-1,f=0,s=-1,v=!0,o=0;for(let n=l.length-1;n>=0;--n){const r=l.charCodeAt(n);if(r===_){if(!v){f=n+1;break}continue}s===-1&&(v=!1,s=n+1),r===k?c===-1?c=n:o!==1&&(o=1):c!==-1&&(o=-1)}return c===-1||s===-1||o===0||o===1&&c===s-1&&c===f+1?"":l.slice(c,s)},format:I.bind(null,"/"),parse(l){b(l,"path");const c={root:"",dir:"",base:"",ext:"",name:""};if(l.length===0)return c;const f=l.charCodeAt(0)===_;let s;f?(c.root="/",s=1):s=0;let v=-1,o=0,n=-1,r=!0,i=l.length-1,a=0;for(;i>=s;--i){const m=l.charCodeAt(i);if(m===_){if(!r){o=i+1;break}continue}n===-1&&(r=!1,n=i+1),m===k?v===-1?v=i:a!==1&&(a=1):v!==-1&&(a=-1)}if(n!==-1){const m=o===0&&f?1:o;v===-1||a===0||a===1&&v===n-1&&v===o+1?c.base=c.name=l.slice(m,n):(c.name=l.slice(m,v),c.base=l.slice(m,n),c.ext=l.slice(v,n))}return o>0?c.dir=l.slice(0,o-1):f&&(c.dir="/"),c},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=h.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=h.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=h.platform==="win32"?e.win32.join:e.posix.join,e.resolve=h.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=h.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=h.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=h.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=h.platform==="win32"?e.win32.extname:e.posix.extname,e.format=h.platform==="win32"?e.win32.format:e.posix.format,e.parse=h.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=h.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=h.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=h.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(pe[92],ve([1,0,9]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeMimeType=e.getExtensionForMimeType=e.getMediaMime=e.getMediaOrTextMime=e.Mimes=void 0;var t;(function(D){D.text="text/plain",D.binary="application/octet-stream",D.unknown="application/unknown",D.markdown="text/markdown",D.latex="text/latex",D.uriList="text/uri-list"})(t=e.Mimes||(e.Mimes={}));const P={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},A={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function C(D){const p=(0,h.extname)(D),b=P[p.toLowerCase()];return b!==void 0?b:k(D)}e.getMediaOrTextMime=C;function k(D){const p=(0,h.extname)(D);return A[p.toLowerCase()]}e.getMediaMime=k;function _(D){for(const p in A)if(A[p]===D)return p}e.getExtensionForMimeType=_;const R=/^(.+)\/(.+?)(;.+)?$/;function F(D,p){const b=R.exec(D);return b?`${b[1].toLowerCase()}/${b[2].toLowerCase()}${b[3]??""}`:p?void 0:D}e.normalizeMimeType=F}),define(pe[93],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var h;(function(A){A[A.stdout=0]="stdout",A[A.stderr=1]="stderr"})(h=e.Source||(e.Source={}));var t;(function(A){A[A.Success=0]="Success",A[A.Unknown=1]="Unknown",A[A.AccessDenied=2]="AccessDenied",A[A.ProcessNotFound=3]="ProcessNotFound"})(t=e.TerminateResponseCode||(e.TerminateResponseCode={}));function P(A,...C){const k=C.reduce((F,D)=>(F[D]=!0,F),{}),_=[/^ELECTRON_.+$/,/^VSCODE_(?!SHELL_LOGIN).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(A).filter(F=>!k[F]).forEach(F=>{for(let D=0;D<_.length;D++)if(F.search(_[D])!==-1){delete A[F];break}})}e.sanitizeProcessEnvironment=P}),define(pe[46],ve([1,0,12]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const t=h.globals.performance&&typeof h.globals.performance.now=="function";class P{constructor(C){this._highResolution=t&&C,this._startTime=this._now(),this._stopTime=-1}static create(C=!0){return new P(C)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?h.globals.performance.now():Date.now()}}e.StopWatch=P}),define(pe[3],ve([1,0,17,75,6,90,46]),function(ee,e,h,t,P,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.MicrotaskEmitter=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;function k(v){if(!1){const{onListenerDidAdd:n}=v,r=b.create();let i=0;v.onListenerDidAdd=()=>{++i==2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),r.print()),n?.()}}}var _;(function(v){v.None=()=>P.Disposable.None;function o(G){return(j,ie=null,oe)=>{let ue=!1,Z;return Z=G(J=>{if(!ue)return Z?Z.dispose():ue=!0,j.call(ie,J)},null,oe),ue&&Z.dispose(),Z}}v.once=o;function n(G,j,ie){return E((oe,ue=null,Z)=>G(J=>oe.call(ue,j(J)),null,Z),ie)}v.map=n;function r(G,j,ie){return E((oe,ue=null,Z)=>G(J=>{j(J),oe.call(ue,J)},null,Z),ie)}v.forEach=r;function i(G,j,ie){return E((oe,ue=null,Z)=>G(J=>j(J)&&oe.call(ue,J),null,Z),ie)}v.filter=i;function a(G){return G}v.signal=a;function m(...G){return(j,ie=null,oe)=>(0,P.combinedDisposable)(...G.map(ue=>ue(Z=>j.call(ie,Z),null,oe)))}v.any=m;function d(G,j,ie,oe){let ue=ie;return n(G,Z=>(ue=j(ue,Z),ue),oe)}v.reduce=d;function E(G,j){let ie;const oe={onFirstListenerAdd(){ie=G(ue.fire,ue)},onLastListenerRemove(){ie.dispose()}};j||k(oe);const ue=new u(oe);return j&&j.add(ue),ue.event}function T(G,j,ie=100,oe=!1,ue,Z){let J,ae,he,we=0;const Te={leakWarningThreshold:ue,onFirstListenerAdd(){J=G(be=>{we++,ae=j(ae,be),oe&&!he&&(Ne.fire(ae),ae=void 0),clearTimeout(he),he=setTimeout(()=>{const Ee=ae;ae=void 0,he=void 0,(!oe||we>1)&&Ne.fire(Ee),we=0},ie)})},onLastListenerRemove(){J.dispose()}};Z||k(Te);const Ne=new u(Te);return Z&&Z.add(Ne),Ne.event}v.debounce=T;function L(G,j=(oe,ue)=>oe===ue,ie){let oe=!0,ue;return i(G,Z=>{const J=oe||!j(Z,ue);return oe=!1,ue=Z,J},ie)}v.latch=L;function O(G,j,ie){return[v.filter(G,j,ie),v.filter(G,oe=>!j(oe),ie)]}v.split=O;function y(G,j=!1,ie=[]){let oe=ie.slice(),ue=G(ae=>{oe?oe.push(ae):J.fire(ae)});const Z=()=>{oe&&oe.forEach(ae=>J.fire(ae)),oe=null},J=new u({onFirstListenerAdd(){ue||(ue=G(ae=>J.fire(ae)))},onFirstListenerDidAdd(){oe&&(j?setTimeout(Z):Z())},onLastListenerRemove(){ue&&ue.dispose(),ue=null}});return J.event}v.buffer=y;class B{constructor(j){this.event=j}map(j){return new B(n(this.event,j))}forEach(j){return new B(r(this.event,j))}filter(j){return new B(i(this.event,j))}reduce(j,ie){return new B(d(this.event,j,ie))}latch(){return new B(L(this.event))}debounce(j,ie=100,oe=!1,ue){return new B(T(this.event,j,ie,oe,ue))}on(j,ie,oe){return this.event(j,ie,oe)}once(j,ie,oe){return o(this.event)(j,ie,oe)}}function M(G){return new B(G)}v.chain=M;function z(G,j,ie=oe=>oe){const oe=(...ae)=>J.fire(ie(...ae)),ue=()=>G.on(j,oe),Z=()=>G.removeListener(j,oe),J=new u({onFirstListenerAdd:ue,onLastListenerRemove:Z});return J.event}v.fromNodeEventEmitter=z;function V(G,j,ie=oe=>oe){const oe=(...ae)=>J.fire(ie(...ae)),ue=()=>G.addEventListener(j,oe),Z=()=>G.removeEventListener(j,oe),J=new u({onFirstListenerAdd:ue,onLastListenerRemove:Z});return J.event}v.fromDOMEventEmitter=V;function Q(G){return new Promise(j=>o(G)(j))}v.toPromise=Q;function H(G,j){return j(void 0),G(ie=>j(ie))}v.runAndSubscribe=H;function K(G,j){let ie=null;function oe(Z){ie?.dispose(),ie=new P.DisposableStore,j(Z,ie)}oe(void 0);const ue=G(Z=>oe(Z));return(0,P.toDisposable)(()=>{ue.dispose(),ie?.dispose()})}v.runAndSubscribeWithStore=K})(_=e.Event||(e.Event={}));class R{constructor(o){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${o}_${R._idPool++}`}start(o){this._stopWatch=new C.StopWatch(!0),this._listenerCount=o}stop(){if(this._stopWatch){const o=this._stopWatch.elapsed();this._elapsedOverall+=o,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${o.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}R._idPool=0;let F=-1;function D(v){const o=F;return F=v,{dispose(){F=o}}}e.setGlobalLeakWarningThreshold=D;class p{constructor(o,n=Math.random().toString(18).slice(2,5)){this.customThreshold=o,this.name=n,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(o,n){let r=F;if(typeof this.customThreshold=="number"&&(r=this.customThreshold),r<=0||n<r)return;this._stacks||(this._stacks=new Map);const i=this._stacks.get(o.value)||0;if(this._stacks.set(o.value,i+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=r*.5;let a,m=0;for(const[d,E]of this._stacks)(!a||m<E)&&(a=d,m=E);console.warn(`[${this.name}] potential listener LEAK detected, having ${n} listeners already. MOST frequent listener (${m}):`),console.warn(a)}return()=>{const a=this._stacks.get(o.value)||0;this._stacks.set(o.value,a-1)}}}class b{constructor(o){this._error=o}static create(){return new b(new Error)}get value(){return this._error.stack??""}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class g{constructor(o,n,r){this.callback=o,this.callbackThis=n,this.stack=r,this.subscription=new P.SafeDisposable}invoke(o){this.callback.call(this.callbackThis,o)}}class u{constructor(o){this._disposed=!1,this._options=o,this._leakageMon=F>0?new p(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new R(this._options._profName):void 0}get event(){return this._event||(this._event=(o,n,r)=>{this._listeners||(this._listeners=new A.LinkedList);const i=this._listeners.isEmpty();i&&this._options?.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);let a,m;this._leakageMon&&(m=b.create(),a=this._leakageMon.check(m,this._listeners.size+1));const d=new g(o,n,m),E=this._listeners.push(d);i&&this._options?.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options?.onListenerDidAdd&&this._options.onListenerDidAdd(this,o,n);const T=d.subscription.set(()=>{a&&a(),this._disposed||(E(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return r instanceof P.DisposableStore?r.add(T):Array.isArray(r)&&r.push(T),T}),this._event}fire(o){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new A.LinkedList);for(let n of this._listeners)this._deliveryQueue.push([n,o]);for(this._perfMon?.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[n,r]=this._deliveryQueue.shift();try{n.invoke(r)}catch(i){(0,h.onUnexpectedError)(i)}}this._perfMon?.stop()}}hasListeners(){return this._listeners?!this._listeners.isEmpty():!1}dispose(){if(!this._disposed){if(this._disposed=!0,this._listeners){const o=Array.from(this._listeners);this._listeners.clear(),queueMicrotask(()=>{for(const n of o)n.subscription.isset()&&n.subscription.unset()})}this._deliveryQueue?.clear(),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose()}}}e.Emitter=u;class w extends u{async fireAsync(o,n,r){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new A.LinkedList);for(const i of this._listeners)this._asyncDeliveryQueue.push([i,o]);for(;this._asyncDeliveryQueue.size>0&&!n.isCancellationRequested;){const[i,a]=this._asyncDeliveryQueue.shift(),m=[],d={...a,token:n,waitUntil:E=>{if(Object.isFrozen(m))throw new Error("waitUntil can NOT be called asynchronous");r&&(E=r(E,i.callback)),m.push(E)}};try{i.invoke(d)}catch(E){(0,h.onUnexpectedError)(E);continue}Object.freeze(m),await Promise.allSettled(m).then(E=>{for(const T of E)T.status==="rejected"&&(0,h.onUnexpectedError)(T.reason)})}}}}e.AsyncEmitter=w;class S extends u{constructor(o){super(o);this._isPaused=0,this._eventQueue=new A.LinkedList,this._mergeFn=o?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const o=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(o))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(o){this._listeners&&(this._isPaused!==0?this._eventQueue.push(o):super.fire(o))}}e.PauseableEmitter=S;class I extends S{constructor(o){super(o);this._delay=o.delay??100}fire(o){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(o)}}e.DebounceEmitter=I;class l extends u{constructor(o){super(o);this._queuedEvents=[],this._mergeFn=o?.merge}fire(o){this._queuedEvents.push(o),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(n=>super.fire(n)),this._queuedEvents=[]})}}e.MicrotaskEmitter=l;class c{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new u({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(o){const n={event:o,listener:null};this.events.push(n),this.hasListeners&&this.hook(n);const r=()=>{this.hasListeners&&this.unhook(n);const i=this.events.indexOf(n);this.events.splice(i,1)};return(0,P.toDisposable)((0,t.once)(r))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(o=>this.hook(o))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(o=>this.unhook(o))}hook(o){o.listener=o.event(n=>this.emitter.fire(n))}unhook(o){o.listener&&o.listener.dispose(),o.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=c;class f{constructor(){this.buffers=[]}wrapEvent(o){return(n,r,i)=>o(a=>{const m=this.buffers[this.buffers.length-1];m?m.push(()=>n.call(r,a)):n.call(r,a)},void 0,i)}bufferEvents(o){const n=[];this.buffers.push(n);const r=o();return this.buffers.pop(),n.forEach(i=>i()),r}}e.EventBufferer=f;class s{constructor(){this.listening=!1,this.inputEvent=_.None,this.inputEventListener=P.Disposable.None,this.emitter=new u({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(o){this.inputEvent=o,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=o(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=s}),define(pe[21],ve([1,0,3]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const t=Object.freeze(function(k,_){const R=setTimeout(k.bind(_),0);return{dispose(){clearTimeout(R)}}});var P;(function(k){function _(R){return R===k.None||R===k.Cancelled||R instanceof A?!0:!R||typeof R!="object"?!1:typeof R.isCancellationRequested=="boolean"&&typeof R.onCancellationRequested=="function"}k.isCancellationToken=_,k.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:h.Event.None}),k.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:t})})(P=e.CancellationToken||(e.CancellationToken={}));class A{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?t:(this._emitter||(this._emitter=new h.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class C{constructor(_){this._token=void 0,this._parentListener=void 0,this._parentListener=_&&_.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new A),this._token}cancel(){this._token?this._token instanceof A&&this._token.cancel():this._token=P.Cancelled}dispose(_=!1){_&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof A&&this._token.dispose():this._token=P.None}}e.CancellationTokenSource=C}),define(pe[143],ve([1,0,21]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCachedComputed=e.Cache=void 0;class t{constructor(C){this.task=C,this.result=null}get(){if(this.result)return this.result;const C=new h.CancellationTokenSource,k=this.task(C.token);return this.result={promise:k,dispose:()=>{this.result=null,C.cancel(),C.dispose()}},this.result}}e.Cache=t;class P{constructor(C){this.computeFn=C,this.lastCache=void 0,this.lastArgKey=void 0}get(C){const k=JSON.stringify(C);return this.lastArgKey!==k&&(this.lastArgKey=k,this.lastCache=this.computeFn(C)),this.lastCache}}e.LRUCachedComputed=P}),define(pe[94],ve([1,0,17,6]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function P(l){const c=l;return c?[c.on,c.pause,c.resume,c.destroy].every(f=>typeof f=="function"):!1}e.isReadableStream=P;function A(l){const c=l;return c?P(c.stream)&&Array.isArray(c.buffer)&&typeof c.ended=="boolean":!1}e.isReadableBufferedStream=A;function C(l,c){return new k(l,c)}e.newWriteableStream=C;class k{constructor(c,f){this.reducer=c,this.options=f,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(c){if(!this.state.destroyed){if(this.state.flowing)this.emitData(c);else if(this.buffer.data.push(c),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(f=>this.pendingWritePromises.push(f))}}error(c){this.state.destroyed||(this.state.flowing?this.emitError(c):this.buffer.error.push(c))}end(c){this.state.destroyed||(typeof c!="undefined"&&this.write(c),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(c){this.listeners.data.slice(0).forEach(f=>f(c))}emitError(c){this.listeners.error.length===0?(0,h.onUnexpectedError)(c):this.listeners.error.slice(0).forEach(f=>f(c))}emitEnd(){this.listeners.end.slice(0).forEach(c=>c())}on(c,f){if(!this.state.destroyed)switch(c){case"data":this.listeners.data.push(f),this.resume();break;case"end":this.listeners.end.push(f),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(f),this.state.flowing&&this.flowErrors();break}}removeListener(c,f){if(this.state.destroyed)return;let s;switch(c){case"data":s=this.listeners.data;break;case"end":s=this.listeners.end;break;case"error":s=this.listeners.error;break}if(s){const v=s.indexOf(f);v>=0&&s.splice(v,1)}}flowData(){if(this.buffer.data.length>0){const c=this.reducer(this.buffer.data);this.emitData(c),this.buffer.data.length=0;const f=[...this.pendingWritePromises];this.pendingWritePromises.length=0,f.forEach(s=>s())}}flowErrors(){if(this.listeners.error.length>0){for(const c of this.buffer.error)this.emitError(c);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function _(l,c){const f=[];let s;for(;(s=l.read())!==null;)f.push(s);return c(f)}e.consumeReadable=_;function R(l,c,f){const s=[];let v;for(;(v=l.read())!==null&&s.length<f;)s.push(v);return v===null&&s.length>0?c(s):{read:()=>{if(s.length>0)return s.shift();if(typeof v!="undefined"){const o=v;return v=void 0,o}return l.read()}}}e.peekReadable=R;function F(l,c){return new Promise((f,s)=>{const v=[];D(l,{onData:o=>{c&&v.push(o)},onError:o=>{c?s(o):f(void 0)},onEnd:()=>{f(c?c(v):void 0)}})})}e.consumeStream=F;function D(l,c){let f=!1;return l.on("error",s=>{f||c.onError(s)}),l.on("end",()=>{f||c.onEnd()}),l.on("data",s=>{f||c.onData(s)}),(0,t.toDisposable)(()=>f=!0)}e.listenStream=D;function p(l,c){return new Promise((f,s)=>{const v=new t.DisposableStore,o=[],n=a=>{if(o.push(a),o.length>c)return v.dispose(),l.pause(),f({stream:l,buffer:o,ended:!1})},r=a=>s(a),i=()=>f({stream:l,buffer:o,ended:!0});v.add((0,t.toDisposable)(()=>l.removeListener("error",r))),l.on("error",r),v.add((0,t.toDisposable)(()=>l.removeListener("end",i))),l.on("end",i),v.add((0,t.toDisposable)(()=>l.removeListener("data",n))),l.on("data",n)})}e.peekStream=p;function b(l,c){const f=C(c);return f.end(l),f}e.toStream=b;function g(){const l=C(()=>{throw new Error("not supported")});return l.end(),l}e.emptyStream=g;function u(l){let c=!1;return{read:()=>c?null:(c=!0,l)}}e.toReadable=u;function w(l,c,f){const s=C(f);return D(l,{onData:v=>s.write(c.data(v)),onError:v=>s.error(c.error?c.error(v):v),onEnd:()=>s.end()}),s}e.transform=w;function S(l,c,f){let s=!1;return{read:()=>{const v=c.read();return s?v:(s=!0,v!==null?f([l,v]):l)}}}e.prefixedReadable=S;function I(l,c,f){let s=!1;const v=C(f);return D(c,{onData:o=>s?v.write(o):(s=!0,v.write(f([l,o]))),onError:o=>v.error(o),onEnd:()=>{s||(s=!0,v.write(l)),v.end()}}),v}e.prefixedStream=I}),define(pe[22],ve([1,0,94]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const t=typeof Buffer!="undefined";let P,A;class C{constructor(m){this.buffer=m,this.byteLength=this.buffer.byteLength}static alloc(m){return t?new C(Buffer.allocUnsafe(m)):new C(new Uint8Array(m))}static wrap(m){return t&&!Buffer.isBuffer(m)&&(m=Buffer.from(m.buffer,m.byteOffset,m.byteLength)),new C(m)}static fromString(m,d){return!(d?.dontUseNodeBuffer||!1)&&t?new C(Buffer.from(m)):(P||(P=new TextEncoder),new C(P.encode(m)))}static fromByteArray(m){const d=C.alloc(m.length);for(let E=0,T=m.length;E<T;E++)d.buffer[E]=m[E];return d}static concat(m,d){if(typeof d=="undefined"){d=0;for(let L=0,O=m.length;L<O;L++)d+=m[L].byteLength}const E=C.alloc(d);let T=0;for(let L=0,O=m.length;L<O;L++){const y=m[L];E.set(y,T),T+=y.byteLength}return E}clone(){const m=C.alloc(this.byteLength);return m.set(this),m}toString(){return t?this.buffer.toString():(A||(A=new TextDecoder),A.decode(this.buffer))}slice(m,d){return new C(this.buffer.subarray(m,d))}set(m,d){if(m instanceof C)this.buffer.set(m.buffer,d);else if(m instanceof Uint8Array)this.buffer.set(m,d);else if(m instanceof ArrayBuffer)this.buffer.set(new Uint8Array(m),d);else if(ArrayBuffer.isView(m))this.buffer.set(new Uint8Array(m.buffer,m.byteOffset,m.byteLength),d);else throw new Error("Unknown argument 'array'")}readUInt32BE(m){return R(this.buffer,m)}writeUInt32BE(m,d){F(this.buffer,m,d)}readUInt32LE(m){return D(this.buffer,m)}writeUInt32LE(m,d){p(this.buffer,m,d)}readUInt8(m){return b(this.buffer,m)}writeUInt8(m,d){g(this.buffer,m,d)}}e.VSBuffer=C;function k(a,m){return a[m+0]<<0>>>0|a[m+1]<<8>>>0}e.readUInt16LE=k;function _(a,m,d){a[d+0]=m&255,m=m>>>8,a[d+1]=m&255}e.writeUInt16LE=_;function R(a,m){return a[m]*2**24+a[m+1]*2**16+a[m+2]*2**8+a[m+3]}e.readUInt32BE=R;function F(a,m,d){a[d+3]=m,m=m>>>8,a[d+2]=m,m=m>>>8,a[d+1]=m,m=m>>>8,a[d]=m}e.writeUInt32BE=F;function D(a,m){return a[m+0]<<0>>>0|a[m+1]<<8>>>0|a[m+2]<<16>>>0|a[m+3]<<24>>>0}e.readUInt32LE=D;function p(a,m,d){a[d+0]=m&255,m=m>>>8,a[d+1]=m&255,m=m>>>8,a[d+2]=m&255,m=m>>>8,a[d+3]=m&255}e.writeUInt32LE=p;function b(a,m){return a[m]}e.readUInt8=b;function g(a,m,d){a[d]=m}e.writeUInt8=g;function u(a){return h.consumeReadable(a,m=>C.concat(m))}e.readableToBuffer=u;function w(a){return h.toReadable(a)}e.bufferToReadable=w;function S(a){return h.consumeStream(a,m=>C.concat(m))}e.streamToBuffer=S;async function I(a){return a.ended?C.concat(a.buffer):C.concat([...a.buffer,await S(a.stream)])}e.bufferedStreamToBuffer=I;function l(a){return h.toStream(a,m=>C.concat(m))}e.bufferToStream=l;function c(a){return h.transform(a,{data:m=>typeof m=="string"?C.fromString(m):C.wrap(m)},m=>C.concat(m))}e.streamToBufferReadableStream=c;function f(a){return h.newWriteableStream(m=>C.concat(m),a)}e.newWriteableBufferStream=f;function s(a,m){return h.prefixedReadable(a,m,d=>C.concat(d))}e.prefixedBufferReadable=s;function v(a,m){return h.prefixedStream(a,m,d=>C.concat(d))}e.prefixedBufferStream=v;function o(a){let m=0,d=0,E=0;const T=new Uint8Array(Math.floor(a.length/4*3)),L=y=>{switch(d){case 3:T[E++]=m|y,d=0;break;case 2:T[E++]=m|y>>>2,m=y<<6,d=3;break;case 1:T[E++]=m|y>>>4,m=y<<4,d=2;break;default:m=y<<2,d=1}};for(let y=0;y<a.length;y++){const B=a.charCodeAt(y);if(B>=65&&B<=90)L(B-65);else if(B>=97&&B<=122)L(B-97+26);else if(B>=48&&B<=57)L(B-48+52);else if(B===43||B===45)L(62);else if(B===47||B===95)L(63);else{if(B===61)break;throw new SyntaxError(`Unexpected base64 character ${a[y]}`)}}const O=E;for(;d>0;)L(0);return C.wrap(T).slice(0,O)}e.decodeBase64=o;const n="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function i({buffer:a},m=!0,d=!1){const E=d?r:n;let T="";const L=a.byteLength%3;let O=0;for(;O<a.byteLength-L;O+=3){const y=a[O+0],B=a[O+1],M=a[O+2];T+=E[y>>>2],T+=E[(y<<4|B>>>4)&63],T+=E[(B<<2|M>>>6)&63],T+=E[M&63]}if(L===1){const y=a[O+0];T+=E[y>>>2],T+=E[y<<4&63],m&&(T+="==")}else if(L===2){const y=a[O+0],B=a[O+1];T+=E[y>>>2],T+=E[(y<<4|B>>>4)&63],T+=E[B<<2&63],m&&(T+="=")}return T}e.encodeBase64=i}),define(pe[8],ve([1,0,143,89]),function(ee,e,h,t){"use strict";var P;Object.defineProperty(e,"__esModule",{value:!0}),e.InvisibleCharacters=e.AmbiguousCharacters=e.noBreakWhitespace=e.getLeftDeleteOffset=e.GraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsRTL=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.GraphemeIterator=e.CodePointIterator=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function A(Y){return!Y||typeof Y!="string"?!0:Y.trim().length===0}e.isFalsyOrWhitespace=A;const C=/{(\d+)}/g;function k(Y,...ge){return ge.length===0?Y:Y.replace(C,function(Se,Me){const $e=parseInt(Me,10);return isNaN($e)||$e<0||$e>=ge.length?Se:ge[$e]})}e.format=k;const _=/{([^}]+)}/g;function R(Y,ge){return Y.replace(_,(Se,Me)=>ge[Me]??Se)}e.format2=R;function F(Y){return Y.replace(/[<>&]/g,function(ge){switch(ge){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return ge}})}e.escape=F;function D(Y){return Y.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=D;function p(Y,ge){let Se=0;const Me=ge.charCodeAt(0);for(let $e=Y.length-1;$e>=0;$e--)Y.charCodeAt($e)===Me&&Se++;return Se}e.count=p;function b(Y,ge,Se="\u2026"){return Y.length<=ge?Y:`${Y.substr(0,ge)}${Se}`}e.truncate=b;function g(Y,ge=" "){const Se=u(Y,ge);return w(Se,ge)}e.trim=g;function u(Y,ge){if(!Y||!ge)return Y;const Se=ge.length;if(Se===0||Y.length===0)return Y;let Me=0;for(;Y.indexOf(ge,Me)===Me;)Me=Me+Se;return Y.substring(Me)}e.ltrim=u;function w(Y,ge){if(!Y||!ge)return Y;const Se=ge.length,Me=Y.length;if(Se===0||Me===0)return Y;let $e=Me,Ye=-1;for(;Ye=Y.lastIndexOf(ge,$e-1),!(Ye===-1||Ye+Se!==$e);){if(Ye===0)return"";$e=Ye}return Y.substring(0,$e)}e.rtrim=w;function S(Y){return Y.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=S;function I(Y){return Y.replace(/\*/g,"")}e.stripWildcards=I;function l(Y,ge,Se={}){if(!Y)throw new Error("Cannot create regex from empty string");ge||(Y=D(Y)),Se.wholeWord&&(/\B/.test(Y.charAt(0))||(Y="\\b"+Y),/\B/.test(Y.charAt(Y.length-1))||(Y=Y+"\\b"));let Me="";return Se.global&&(Me+="g"),Se.matchCase||(Me+="i"),Se.multiline&&(Me+="m"),Se.unicode&&(Me+="u"),new RegExp(Y,Me)}e.createRegExp=l;function c(Y){return Y.source==="^"||Y.source==="^$"||Y.source==="$"||Y.source==="^\\s*$"?!1:!!(Y.exec("")&&Y.lastIndex===0)}e.regExpLeadsToEndlessLoop=c;function f(Y){return!!Y.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=f;function s(Y){return(Y.global?"g":"")+(Y.ignoreCase?"i":"")+(Y.multiline?"m":"")+(Y.unicode?"u":"")}e.regExpFlags=s;function v(Y){return Y.split(/\r\n|\r|\n/)}e.splitLines=v;function o(Y){for(let ge=0,Se=Y.length;ge<Se;ge++){const Me=Y.charCodeAt(ge);if(Me!==32&&Me!==9)return ge}return-1}e.firstNonWhitespaceIndex=o;function n(Y,ge=0,Se=Y.length){for(let Me=ge;Me<Se;Me++){const $e=Y.charCodeAt(Me);if($e!==32&&$e!==9)return Y.substring(ge,Me)}return Y.substring(ge,Se)}e.getLeadingWhitespace=n;function r(Y,ge=Y.length-1){for(let Se=ge;Se>=0;Se--){const Me=Y.charCodeAt(Se);if(Me!==32&&Me!==9)return Se}return-1}e.lastNonWhitespaceIndex=r;function i(Y,ge){return Y<ge?-1:Y>ge?1:0}e.compare=i;function a(Y,ge,Se=0,Me=Y.length,$e=0,Ye=ge.length){for(;Se<Me&&$e<Ye;Se++,$e++){let wt=Y.charCodeAt(Se),je=ge.charCodeAt($e);if(wt<je)return-1;if(wt>je)return 1}const lt=Me-Se,vt=Ye-$e;return lt<vt?-1:lt>vt?1:0}e.compareSubstring=a;function m(Y,ge){return d(Y,ge,0,Y.length,0,ge.length)}e.compareIgnoreCase=m;function d(Y,ge,Se=0,Me=Y.length,$e=0,Ye=ge.length){for(;Se<Me&&$e<Ye;Se++,$e++){let wt=Y.charCodeAt(Se),je=ge.charCodeAt($e);if(wt===je)continue;if(wt>=128||je>=128)return a(Y.toLowerCase(),ge.toLowerCase(),Se,Me,$e,Ye);E(wt)&&(wt-=32),E(je)&&(je-=32);const st=wt-je;if(st!==0)return st}const lt=Me-Se,vt=Ye-$e;return lt<vt?-1:lt>vt?1:0}e.compareSubstringIgnoreCase=d;function E(Y){return Y>=97&&Y<=122}e.isLowerAsciiLetter=E;function T(Y){return Y>=65&&Y<=90}e.isUpperAsciiLetter=T;function L(Y,ge){return Y.length===ge.length&&d(Y,ge)===0}e.equalsIgnoreCase=L;function O(Y,ge){const Se=ge.length;return ge.length>Y.length?!1:d(Y,ge,0,Se)===0}e.startsWithIgnoreCase=O;function y(Y,ge){let Se,Me=Math.min(Y.length,ge.length);for(Se=0;Se<Me;Se++)if(Y.charCodeAt(Se)!==ge.charCodeAt(Se))return Se;return Me}e.commonPrefixLength=y;function B(Y,ge){let Se,Me=Math.min(Y.length,ge.length);const $e=Y.length-1,Ye=ge.length-1;for(Se=0;Se<Me;Se++)if(Y.charCodeAt($e-Se)!==ge.charCodeAt(Ye-Se))return Se;return Me}e.commonSuffixLength=B;function M(Y){return 55296<=Y&&Y<=56319}e.isHighSurrogate=M;function z(Y){return 56320<=Y&&Y<=57343}e.isLowSurrogate=z;function V(Y,ge){return(Y-55296<<10)+(ge-56320)+65536}e.computeCodePoint=V;function Q(Y,ge,Se){const Me=Y.charCodeAt(Se);if(M(Me)&&Se+1<ge){const $e=Y.charCodeAt(Se+1);if(z($e))return V(Me,$e)}return Me}e.getNextCodePoint=Q;function H(Y,ge){const Se=Y.charCodeAt(ge-1);if(z(Se)&&ge>1){const Me=Y.charCodeAt(ge-2);if(M(Me))return V(Me,Se)}return Se}class K{constructor(ge,Se=0){this._str=ge,this._len=ge.length,this._offset=Se}get offset(){return this._offset}setOffset(ge){this._offset=ge}prevCodePoint(){const ge=H(this._str,this._offset);return this._offset-=ge>=65536?2:1,ge}nextCodePoint(){const ge=Q(this._str,this._len,this._offset);return this._offset+=ge>=65536?2:1,ge}eol(){return this._offset>=this._len}}e.CodePointIterator=K;class G{constructor(ge,Se=0){this._iterator=new K(ge,Se)}get offset(){return this._iterator.offset}nextGraphemeLength(){const ge=He.getInstance(),Se=this._iterator,Me=Se.offset;let $e=ge.getGraphemeBreakType(Se.nextCodePoint());for(;!Se.eol();){const Ye=Se.offset,lt=ge.getGraphemeBreakType(Se.nextCodePoint());if(ze($e,lt)){Se.setOffset(Ye);break}$e=lt}return Se.offset-Me}prevGraphemeLength(){const ge=He.getInstance(),Se=this._iterator,Me=Se.offset;let $e=ge.getGraphemeBreakType(Se.prevCodePoint());for(;Se.offset>0;){const Ye=Se.offset,lt=ge.getGraphemeBreakType(Se.prevCodePoint());if(ze(lt,$e)){Se.setOffset(Ye);break}$e=lt}return Me-Se.offset}eol(){return this._iterator.eol()}}e.GraphemeIterator=G;function j(Y,ge){return new G(Y,ge).nextGraphemeLength()}e.nextCharLength=j;function ie(Y,ge){return new G(Y,ge).prevGraphemeLength()}e.prevCharLength=ie;function oe(Y,ge){ge>0&&z(Y.charCodeAt(ge))&&ge--;const Se=ge+j(Y,ge);return[Se-ie(Y,Se),Se]}e.getCharContainingOffset=oe;const ue=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function Z(Y){return ue.test(Y)}e.containsRTL=Z;const J=/^[\t\n\r\x20-\x7E]*$/;function ae(Y){return J.test(Y)}e.isBasicASCII=ae,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function he(Y){return e.UNUSUAL_LINE_TERMINATORS.test(Y)}e.containsUnusualLineTerminators=he;function we(Y){return Y>=11904&&Y<=55215||Y>=63744&&Y<=64255||Y>=65281&&Y<=65374}e.isFullWidthCharacter=we;function Te(Y){return Y>=127462&&Y<=127487||Y===8986||Y===8987||Y===9200||Y===9203||Y>=9728&&Y<=10175||Y===11088||Y===11093||Y>=127744&&Y<=128591||Y>=128640&&Y<=128764||Y>=128992&&Y<=129008||Y>=129280&&Y<=129535||Y>=129648&&Y<=129782}e.isEmojiImprecise=Te;function Ne(Y,ge){if(Y.length<ge)return Y;const Se=/\b/g;let Me=0;for(;Se.test(Y)&&!(Y.length-Se.lastIndex<ge);)Me=Se.lastIndex,Se.lastIndex+=1;return Y.substring(Me).replace(/^\s/,"")}e.lcut=Ne;const be=/\x1B\x5B[12]?K/g,Ee=/\x1b\[\d+m/g,$=/\x1b\[0?m/g;function U(Y){return Y&&(Y=Y.replace(be,""),Y=Y.replace(Ee,""),Y=Y.replace($,"")),Y}e.removeAnsiEscapeCodes=U,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function N(Y){return!!(Y&&Y.length>0&&Y.charCodeAt(0)===65279)}e.startsWithUTF8BOM=N;function W(Y){return N(Y)?Y.substr(1):Y}e.stripUTF8BOM=W;function q(Y,ge){if(!Y||!ge||Y.length<ge.length)return!1;const Se=ge.length,Me=Y.toLowerCase();let $e=0,Ye=-1;for(;$e<Se;){const lt=Me.indexOf(ge[$e],Ye+1);if(lt<0)return!1;Ye=lt,$e++}return!0}e.fuzzyContains=q;function re(Y,ge=!1){return Y?(ge&&(Y=Y.replace(/\\./g,"")),Y.toLowerCase()!==Y):!1}e.containsUppercaseCharacter=re;function de(Y){return Y.charAt(0).toUpperCase()+Y.slice(1)}e.uppercaseFirstLetter=de;function Ce(Y,ge=1){if(ge===0)return"";let Se=-1;do Se=Y.indexOf(`
`,Se+1),ge--;while(ge>0&&Se>=0);return Se===-1?Y:(Y[Se-1]==="\r"&&Se--,Y.substr(0,Se))}e.getNLines=Ce;function Ae(Y){const ge=90-65+1;return Y=Y%(2*ge),Y<ge?String.fromCharCode(97+Y):String.fromCharCode(65+Y-ge)}e.singleLetterHash=Ae;function We(Y){return He.getInstance().getGraphemeBreakType(Y)}e.getGraphemeBreakType=We;function ze(Y,ge){return Y===0?ge!==5&&ge!==7:Y===2&&ge===3?!1:Y===4||Y===2||Y===3||ge===4||ge===2||ge===3?!0:!(Y===8&&(ge===8||ge===9||ge===11||ge===12)||(Y===11||Y===9)&&(ge===9||ge===10)||(Y===12||Y===10)&&ge===10||ge===5||ge===13||ge===7||Y===1||Y===13&&ge===14||Y===6&&ge===6)}var qe;(function(Y){Y[Y.Other=0]="Other",Y[Y.Prepend=1]="Prepend",Y[Y.CR=2]="CR",Y[Y.LF=3]="LF",Y[Y.Control=4]="Control",Y[Y.Extend=5]="Extend",Y[Y.Regional_Indicator=6]="Regional_Indicator",Y[Y.SpacingMark=7]="SpacingMark",Y[Y.L=8]="L",Y[Y.V=9]="V",Y[Y.T=10]="T",Y[Y.LV=11]="LV",Y[Y.LVT=12]="LVT",Y[Y.ZWJ=13]="ZWJ",Y[Y.Extended_Pictographic=14]="Extended_Pictographic"})(qe=e.GraphemeBreakType||(e.GraphemeBreakType={}));class He{constructor(){this._data=Ue()}static getInstance(){return He._INSTANCE||(He._INSTANCE=new He),He._INSTANCE}getGraphemeBreakType(ge){if(ge<32)return ge===10?3:ge===13?2:4;if(ge<127)return 0;const Se=this._data,Me=Se.length/3;let $e=1;for(;$e<=Me;)if(ge<Se[3*$e])$e=2*$e;else if(ge>Se[3*$e+1])$e=2*$e+1;else return Se[3*$e+2];return 0}}He._INSTANCE=null;function Ue(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function Je(Y,ge){if(Y===0)return 0;const Se=et(Y,ge);if(Se!==void 0)return Se;const Me=new K(ge,Y);return Me.prevCodePoint(),Me.offset}e.getLeftDeleteOffset=Je;function et(Y,ge){const Se=new K(ge,Y);let Me=Se.prevCodePoint();for(;Le(Me)||Me===65039||Me===8419;){if(Se.offset===0)return;Me=Se.prevCodePoint()}if(!Te(Me))return;let $e=Se.offset;return $e>0&&Se.prevCodePoint()===8205&&($e=Se.offset),$e}function Le(Y){return 127995<=Y&&Y<=127999}var it;(function(Y){Y[Y.zwj=8205]="zwj",Y[Y.emojiVariantSelector=65039]="emojiVariantSelector",Y[Y.enclosingKeyCap=8419]="enclosingKeyCap"})(it||(it={})),e.noBreakWhitespace="\xA0";class ne{constructor(ge){this.confusableDictionary=ge}static getInstance(ge){return ne.cache.get(Array.from(ge))}static getLocales(){return ne._locales.getValue()}isAmbiguous(ge){return this.confusableDictionary.has(ge)}getPrimaryConfusable(ge){return this.confusableDictionary.get(ge)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}e.AmbiguousCharacters=ne,P=ne,ne.ambiguousCharacterData=new t.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),ne.cache=new h.LRUCachedComputed(Y=>{function ge(je){const st=new Map;for(let _t=0;_t<je.length;_t+=2)st.set(je[_t],je[_t+1]);return st}function Se(je,st){const _t=new Map(je);for(const[nt,ct]of st)_t.set(nt,ct);return _t}function Me(je,st){if(!je)return st;const _t=new Map;for(const[nt,ct]of je)st.has(nt)&&_t.set(nt,ct);return _t}const $e=P.ambiguousCharacterData.getValue();let Ye=Y.filter(je=>!je.startsWith("_")&&je in $e);Ye.length===0&&(Ye=["_default"]);let lt;for(const je of Ye){const st=ge($e[je]);lt=Me(lt,st)}const vt=ge($e._common),wt=Se(vt,lt);return new ne(wt)}),ne._locales=new t.Lazy(()=>Object.keys(ne.ambiguousCharacterData.getValue()).filter(Y=>!Y.startsWith("_")));class se{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(se.getRawData())),this._data}static isInvisibleCharacter(ge){return se.getData().has(ge)}static get codePoints(){return se.getData()}}e.InvisibleCharacters=se,se._data=void 0}),define(pe[57],ve([1,0,8]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function t(S){return P(S,0)}e.hash=t;function P(S,I){switch(typeof S){case"object":return S===null?A(349,I):Array.isArray(S)?_(S,I):R(S,I);case"string":return k(S,I);case"boolean":return C(S,I);case"number":return A(S,I);case"undefined":return A(937,I);default:return A(617,I)}}e.doHash=P;function A(S,I){return(I<<5)-I+S|0}e.numberHash=A;function C(S,I){return A(S?433:863,I)}function k(S,I){I=A(149417,I);for(let l=0,c=S.length;l<c;l++)I=A(S.charCodeAt(l),I);return I}e.stringHash=k;function _(S,I){return I=A(104579,I),S.reduce((l,c)=>P(c,l),I)}function R(S,I){return I=A(181387,I),Object.keys(S).sort().reduce((l,c)=>(l=k(c,l),P(S[c],l)),I)}class F{constructor(){this._value=0}get value(){return this._value}hash(I){return this._value=P(I,this._value),this._value}}e.Hasher=F;var D;(function(S){S[S.BLOCK_SIZE=64]="BLOCK_SIZE",S[S.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(D||(D={}));function p(S,I,l=32){const c=l-I,f=~((1<<c)-1);return(S<<I|(f&S)>>>c)>>>0}function b(S,I=0,l=S.byteLength,c=0){for(let f=0;f<l;f++)S[I+f]=c}function g(S,I,l="0"){for(;S.length<I;)S=l+S;return S}function u(S,I=32){return S instanceof ArrayBuffer?Array.from(new Uint8Array(S)).map(l=>l.toString(16).padStart(2,"0")).join(""):g((S>>>0).toString(16),I/4)}e.toHexString=u;class w{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(I){const l=I.length;if(l===0)return;const c=this._buff;let f=this._buffLen,s=this._leftoverHighSurrogate,v,o;for(s!==0?(v=s,o=-1,s=0):(v=I.charCodeAt(0),o=0);;){let n=v;if(h.isHighSurrogate(v))if(o+1<l){const r=I.charCodeAt(o+1);h.isLowSurrogate(r)?(o++,n=h.computeCodePoint(v,r)):n=65533}else{s=v;break}else h.isLowSurrogate(v)&&(n=65533);if(f=this._push(c,f,n),o++,o<l)v=I.charCodeAt(o);else break}this._buffLen=f,this._leftoverHighSurrogate=s}_push(I,l,c){return c<128?I[l++]=c:c<2048?(I[l++]=192|(c&1984)>>>6,I[l++]=128|(c&63)>>>0):c<65536?(I[l++]=224|(c&61440)>>>12,I[l++]=128|(c&4032)>>>6,I[l++]=128|(c&63)>>>0):(I[l++]=240|(c&1835008)>>>18,I[l++]=128|(c&258048)>>>12,I[l++]=128|(c&4032)>>>6,I[l++]=128|(c&63)>>>0),l>=64&&(this._step(),l-=64,this._totalLen+=64,I[0]=I[64+0],I[1]=I[64+1],I[2]=I[64+2]),l}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),u(this._h0)+u(this._h1)+u(this._h2)+u(this._h3)+u(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,b(this._buff,this._buffLen),this._buffLen>56&&(this._step(),b(this._buff));const I=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(I/4294967296),!1),this._buffDV.setUint32(60,I%4294967296,!1),this._step()}_step(){const I=w._bigBlock32,l=this._buffDV;for(let a=0;a<64;a+=4)I.setUint32(a,l.getUint32(a,!1),!1);for(let a=64;a<320;a+=4)I.setUint32(a,p(I.getUint32(a-12,!1)^I.getUint32(a-32,!1)^I.getUint32(a-56,!1)^I.getUint32(a-64,!1),1),!1);let c=this._h0,f=this._h1,s=this._h2,v=this._h3,o=this._h4,n,r,i;for(let a=0;a<80;a++)a<20?(n=f&s|~f&v,r=1518500249):a<40?(n=f^s^v,r=1859775393):a<60?(n=f&s|f&v|s&v,r=2400959708):(n=f^s^v,r=3395469782),i=p(c,5)+n+o+r+I.getUint32(a*4,!1)&4294967295,o=v,v=s,s=p(f,30),f=c,c=i;this._h0=this._h0+c&4294967295,this._h1=this._h1+f&4294967295,this._h2=this._h2+s&4294967295,this._h3=this._h3+v&4294967295,this._h4=this._h4+o&4294967295}}e.StringSHA1=w,w._bigBlock32=new DataView(new ArrayBuffer(320))});var Xe=this&&this.__classPrivateFieldSet||function(ee,e,h,t,P){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!P)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ee!==e||!P:!e.has(ee))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?P.call(ee,h):P?P.value=h:e.set(ee,h),h},Pe=this&&this.__classPrivateFieldGet||function(ee,e,h,t){if(h==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ee!==e||!t:!e.has(ee))throw new TypeError("Cannot read private member from an object whose class did not declare it");return h==="m"?t:h==="a"?t.call(ee):t?t.value:e.get(ee)};define(pe[24],ve([1,0,18,8]),function(ee,e,h,t){"use strict";var P,A,C;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function k(o,n,r){let i=o.get(n);return i===void 0&&(i=r,o.set(n,i)),i}e.getOrSet=k;function _(o){const n=[];return o.forEach((r,i)=>{n.push(`${i} => ${r}`)}),`Map(${o.size}) {${n.join(", ")}}`}e.mapToString=_;function R(o){const n=[];return o.forEach(r=>{n.push(r)}),`Set(${o.size}) {${n.join(", ")}}`}e.setToString=R;class F{constructor(){this._value="",this._pos=0}reset(n){return this._value=n,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(n){const r=n.charCodeAt(0),i=this._value.charCodeAt(this._pos);return r-i}value(){return this._value[this._pos]}}e.StringIterator=F;class D{constructor(n=!0){this._caseSensitive=n}reset(n){return this._value=n,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let n=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(n)this._from++;else break;else n=!1;return this}cmp(n){return this._caseSensitive?(0,t.compareSubstring)(n,this._value,0,n.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(n,this._value,0,n.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=D;class p{constructor(n=!0,r=!0){this._splitOnBackslash=n,this._caseSensitive=r}reset(n){this._from=0,this._to=0,this._value=n,this._valueLen=n.length;for(let r=n.length-1;r>=0;r--,this._valueLen--){const i=this._value.charCodeAt(r);if(!(i===47||this._splitOnBackslash&&i===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let n=!0;for(;this._to<this._valueLen;this._to++){const r=this._value.charCodeAt(this._to);if(r===47||this._splitOnBackslash&&r===92)if(n)this._from++;else break;else n=!1}return this}cmp(n){return this._caseSensitive?(0,t.compareSubstring)(n,this._value,0,n.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(n,this._value,0,n.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=p;var b;(function(o){o[o.Scheme=1]="Scheme",o[o.Authority=2]="Authority",o[o.Path=3]="Path",o[o.Query=4]="Query",o[o.Fragment=5]="Fragment"})(b||(b={}));class g{constructor(n){this._ignorePathCasing=n,this._states=[],this._stateIdx=0}reset(n){return this._value=n,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new p(!1,!this._ignorePathCasing(n)),this._pathIterator.reset(n.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(n){if(this._states[this._stateIdx]===1)return(0,t.compareIgnoreCase)(n,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,t.compareIgnoreCase)(n,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(n);if(this._states[this._stateIdx]===4)return(0,t.compare)(n,this._value.query);if(this._states[this._stateIdx]===5)return(0,t.compare)(n,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=g;class u{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const n=this.right;return this.right=n.left,n.left=this,this.updateHeight(),n.updateHeight(),n}rotateRight(){const n=this.left;return this.left=n.right,n.right=this,this.updateHeight(),n.updateHeight(),n}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var w;(function(o){o[o.Left=-1]="Left",o[o.Mid=0]="Mid",o[o.Right=1]="Right"})(w||(w={}));class S{constructor(n){this._iter=n}static forUris(n=()=>!1){return new S(new g(n))}static forPaths(n=!1){return new S(new p(void 0,!n))}static forStrings(){return new S(new F)}static forConfigKeys(){return new S(new D)}clear(){this._root=void 0}fill(n,r){if(r){const i=r.slice(0);(0,h.shuffle)(i);for(let a of i)this.set(a,n)}else{const i=n.slice(0);(0,h.shuffle)(i);for(let a of i)this.set(a[0],a[1])}}set(n,r){const i=this._iter.reset(n);let a;this._root||(this._root=new u,this._root.segment=i.value());const m=[];for(a=this._root;;){const E=i.cmp(a.segment);if(E>0)a.left||(a.left=new u,a.left.segment=i.value()),m.push([-1,a]),a=a.left;else if(E<0)a.right||(a.right=new u,a.right.segment=i.value()),m.push([1,a]),a=a.right;else if(i.hasNext())i.next(),a.mid||(a.mid=new u,a.mid.segment=i.value()),m.push([0,a]),a=a.mid;else break}const d=a.value;a.value=r,a.key=n;for(let E=m.length-1;E>=0;E--){const T=m[E][1];T.updateHeight();const L=T.balanceFactor();if(L<-1||L>1){const O=m[E][0],y=m[E+1][0];if(O===1&&y===1)m[E][1]=T.rotateLeft();else if(O===-1&&y===-1)m[E][1]=T.rotateRight();else if(O===1&&y===-1)T.right=m[E+1][1]=m[E+1][1].rotateRight(),m[E][1]=T.rotateLeft();else if(O===-1&&y===1)T.left=m[E+1][1]=m[E+1][1].rotateLeft(),m[E][1]=T.rotateRight();else throw new Error;if(E>0)switch(m[E-1][0]){case-1:m[E-1][1].left=m[E][1];break;case 1:m[E-1][1].right=m[E][1];break;case 0:m[E-1][1].mid=m[E][1];break}else this._root=m[0][1]}}return d}get(n){return this._getNode(n)?.value}_getNode(n){const r=this._iter.reset(n);let i=this._root;for(;i;){const a=r.cmp(i.segment);if(a>0)i=i.left;else if(a<0)i=i.right;else if(r.hasNext())r.next(),i=i.mid;else break}return i}has(n){const r=this._getNode(n);return!(r?.value===void 0&&r?.mid===void 0)}delete(n){return this._delete(n,!1)}deleteSuperstr(n){return this._delete(n,!0)}_delete(n,r){const i=this._iter.reset(n),a=[];let m=this._root;for(;m;){const d=i.cmp(m.segment);if(d>0)a.push([-1,m]),m=m.left;else if(d<0)a.push([1,m]),m=m.right;else if(i.hasNext())i.next(),a.push([0,m]),m=m.mid;else break}if(!!m){if(r?(m.left=void 0,m.mid=void 0,m.right=void 0,m.height=1):(m.key=void 0,m.value=void 0),!m.mid&&!m.value)if(m.left&&m.right){const d=this._min(m.right),{key:E,value:T,segment:L}=d;this._delete(d.key,!1),m.key=E,m.value=T,m.segment=L}else{const d=m.left??m.right;if(a.length>0){const[E,T]=a[a.length-1];switch(E){case-1:T.left=d;break;case 0:T.mid=d;break;case 1:T.right=d;break}}else this._root=d}for(let d=a.length-1;d>=0;d--){const E=a[d][1];E.updateHeight();const T=E.balanceFactor();if(T>1?(E.right.balanceFactor()>=0||(E.right=E.right.rotateRight()),a[d][1]=E.rotateLeft()):T<-1&&(E.left.balanceFactor()<=0||(E.left=E.left.rotateLeft()),a[d][1]=E.rotateRight()),d>0)switch(a[d-1][0]){case-1:a[d-1][1].left=a[d][1];break;case 1:a[d-1][1].right=a[d][1];break;case 0:a[d-1][1].mid=a[d][1];break}else this._root=a[0][1]}}}_min(n){for(;n.left;)n=n.left;return n}findSubstr(n){const r=this._iter.reset(n);let i=this._root,a;for(;i;){const m=r.cmp(i.segment);if(m>0)i=i.left;else if(m<0)i=i.right;else if(r.hasNext())r.next(),a=i.value||a,i=i.mid;else break}return i&&i.value||a}findSuperstr(n){const r=this._iter.reset(n);let i=this._root;for(;i;){const a=r.cmp(i.segment);if(a>0)i=i.left;else if(a<0)i=i.right;else if(r.hasNext())r.next(),i=i.mid;else return i.mid?this._entries(i.mid):void 0}}forEach(n){for(const[r,i]of this)n(i,r)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(n){!n||(n.left&&(yield*this._entries(n.left)),n.value&&(yield[n.key,n.value]),n.mid&&(yield*this._entries(n.mid)),n.right&&(yield*this._entries(n.right)))}_isBalanced(){const n=r=>{if(!r)return!0;const i=r.balanceFactor();return i<-1||i>1?!1:n(r.left)&&n(r.right)};return n(this._root)}}e.TernarySearchTree=S;class I{constructor(n,r){this.uri=n,this.value=r}}class l{constructor(n,r){this[P]="ResourceMap",n instanceof l?(this.map=new Map(n.map),this.toKey=r??l.defaultToKey):(this.map=new Map,this.toKey=n??l.defaultToKey)}set(n,r){return this.map.set(this.toKey(n),new I(n,r)),this}get(n){return this.map.get(this.toKey(n))?.value}has(n){return this.map.has(this.toKey(n))}get size(){return this.map.size}clear(){this.map.clear()}delete(n){return this.map.delete(this.toKey(n))}forEach(n,r){typeof r!="undefined"&&(n=n.bind(r));for(let[i,a]of this.map)n(a.value,a.uri,this)}*values(){for(let n of this.map.values())yield n.value}*keys(){for(let n of this.map.values())yield n.uri}*entries(){for(let n of this.map.values())yield[n.uri,n.value]}*[(P=Symbol.toStringTag,Symbol.iterator)](){for(let[,n]of this.map)yield[n.uri,n.value]}}e.ResourceMap=l,l.defaultToKey=o=>o.toString();var c;(function(o){o[o.None=0]="None",o[o.AsOld=1]="AsOld",o[o.AsNew=2]="AsNew"})(c=e.Touch||(e.Touch={}));class f{constructor(){this[A]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(n){return this._map.has(n)}get(n,r=0){const i=this._map.get(n);if(!!i)return r!==0&&this.touch(i,r),i.value}set(n,r,i=0){let a=this._map.get(n);if(a)a.value=r,i!==0&&this.touch(a,i);else{switch(a={key:n,value:r,next:void 0,previous:void 0},i){case 0:this.addItemLast(a);break;case 1:this.addItemFirst(a);break;case 2:this.addItemLast(a);break;default:this.addItemLast(a);break}this._map.set(n,a),this._size++}return this}delete(n){return!!this.remove(n)}remove(n){const r=this._map.get(n);if(!!r)return this._map.delete(n),this.removeItem(r),this._size--,r.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const n=this._head;return this._map.delete(n.key),this.removeItem(n),this._size--,n.value}forEach(n,r){const i=this._state;let a=this._head;for(;a;){if(r?n.bind(r)(a.value,a.key,this):n(a.value,a.key,this),this._state!==i)throw new Error("LinkedMap got modified during iteration.");a=a.next}}keys(){const n=this,r=this._state;let i=this._head;const a={[Symbol.iterator](){return a},next(){if(n._state!==r)throw new Error("LinkedMap got modified during iteration.");if(i){const m={value:i.key,done:!1};return i=i.next,m}else return{value:void 0,done:!0}}};return a}values(){const n=this,r=this._state;let i=this._head;const a={[Symbol.iterator](){return a},next(){if(n._state!==r)throw new Error("LinkedMap got modified during iteration.");if(i){const m={value:i.value,done:!1};return i=i.next,m}else return{value:void 0,done:!0}}};return a}entries(){const n=this,r=this._state;let i=this._head;const a={[Symbol.iterator](){return a},next(){if(n._state!==r)throw new Error("LinkedMap got modified during iteration.");if(i){const m={value:[i.key,i.value],done:!1};return i=i.next,m}else return{value:void 0,done:!0}}};return a}[(A=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(n){if(n>=this.size)return;if(n===0){this.clear();return}let r=this._head,i=this.size;for(;r&&i>n;)this._map.delete(r.key),r=r.next,i--;this._head=r,this._size=i,r&&(r.previous=void 0),this._state++}addItemFirst(n){if(!this._head&&!this._tail)this._tail=n;else if(this._head)n.next=this._head,this._head.previous=n;else throw new Error("Invalid list");this._head=n,this._state++}addItemLast(n){if(!this._head&&!this._tail)this._head=n;else if(this._tail)n.previous=this._tail,this._tail.next=n;else throw new Error("Invalid list");this._tail=n,this._state++}removeItem(n){if(n===this._head&&n===this._tail)this._head=void 0,this._tail=void 0;else if(n===this._head){if(!n.next)throw new Error("Invalid list");n.next.previous=void 0,this._head=n.next}else if(n===this._tail){if(!n.previous)throw new Error("Invalid list");n.previous.next=void 0,this._tail=n.previous}else{const r=n.next,i=n.previous;if(!r||!i)throw new Error("Invalid list");r.previous=i,i.next=r}n.next=void 0,n.previous=void 0,this._state++}touch(n,r){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(r!==1&&r!==2)){if(r===1){if(n===this._head)return;const i=n.next,a=n.previous;n===this._tail?(a.next=void 0,this._tail=a):(i.previous=a,a.next=i),n.previous=void 0,n.next=this._head,this._head.previous=n,this._head=n,this._state++}else if(r===2){if(n===this._tail)return;const i=n.next,a=n.previous;n===this._head?(i.previous=void 0,this._head=i):(i.previous=a,a.next=i),n.next=void 0,n.previous=this._tail,this._tail.next=n,this._tail=n,this._state++}}}toJSON(){const n=[];return this.forEach((r,i)=>{n.push([i,r])}),n}fromJSON(n){this.clear();for(const[r,i]of n)this.set(r,i)}}e.LinkedMap=f;class s extends f{constructor(n,r=1){super();this._limit=n,this._ratio=Math.min(Math.max(0,r),1)}get limit(){return this._limit}set limit(n){this._limit=n,this.checkTrim()}get ratio(){return this._ratio}set ratio(n){this._ratio=Math.min(Math.max(0,n),1),this.checkTrim()}get(n,r=2){return super.get(n,r)}peek(n){return super.get(n,0)}set(n,r){return super.set(n,r,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=s;class v{constructor(n){C.set(this,void 0),Xe(this,C,n,"f")}get size(){return Pe(this,C,"f").size}forEach(n,r){Pe(this,C,"f").forEach(n,r)}get(n){return Pe(this,C,"f").get(n)}has(n){return Pe(this,C,"f").has(n)}entries(){return Pe(this,C,"f").entries()}keys(){return Pe(this,C,"f").keys()}values(){return Pe(this,C,"f").values()}[(C=new WeakMap,Symbol.iterator)](){return Pe(this,C,"f").entries()}}e.ReadonlyMapView=v}),define(pe[95],ve([1,0,24,8]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function P(...N){return function(W,q){for(let re=0,de=N.length;re<de;re++){const Ce=N[re](W,q);if(Ce)return Ce}return null}}e.or=P,e.matchesStrictPrefix=A.bind(void 0,!1),e.matchesPrefix=A.bind(void 0,!0);function A(N,W,q){if(!q||q.length<W.length)return null;let re;return N?re=t.startsWithIgnoreCase(q,W):re=q.indexOf(W)===0,re?W.length>0?[{start:0,end:W.length}]:[]:null}function C(N,W){const q=W.toLowerCase().indexOf(N.toLowerCase());return q===-1?null:[{start:q,end:q+N.length}]}e.matchesContiguousSubString=C;function k(N,W){return _(N.toLowerCase(),W.toLowerCase(),0,0)}e.matchesSubString=k;function _(N,W,q,re){if(q===N.length)return[];if(re===W.length)return null;if(N[q]===W[re]){let de=null;return(de=_(N,W,q+1,re+1))?S({start:re,end:re+1},de):null}return _(N,W,q,re+1)}function R(N){return 97<=N&&N<=122}function F(N){return 65<=N&&N<=90}e.isUpper=F;function D(N){return 48<=N&&N<=57}function p(N){return N===32||N===9||N===10||N===13}const b=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(N=>b.add(N.charCodeAt(0)));function g(N){return p(N)||b.has(N)}function u(N,W){return N===W||g(N)&&g(W)}function w(N){return R(N)||F(N)||D(N)}function S(N,W){return W.length===0?W=[N]:N.end===W[0].start?W[0].start=N.start:W.unshift(N),W}function I(N,W){for(let q=W;q<N.length;q++){const re=N.charCodeAt(q);if(F(re)||D(re)||q>0&&!w(N.charCodeAt(q-1)))return q}return N.length}function l(N,W,q,re){if(q===N.length)return[];if(re===W.length)return null;if(N[q]!==W[re].toLowerCase())return null;{let de=null,Ce=re+1;for(de=l(N,W,q+1,re+1);!de&&(Ce=I(W,Ce))<W.length;)de=l(N,W,q+1,Ce),Ce++;return de===null?null:S({start:re,end:re+1},de)}}function c(N){let W=0,q=0,re=0,de=0,Ce=0;for(let He=0;He<N.length;He++)Ce=N.charCodeAt(He),F(Ce)&&W++,R(Ce)&&q++,w(Ce)&&re++,D(Ce)&&de++;const Ae=W/N.length,We=q/N.length,ze=re/N.length,qe=de/N.length;return{upperPercent:Ae,lowerPercent:We,alphaPercent:ze,numericPercent:qe}}function f(N){const{upperPercent:W,lowerPercent:q}=N;return q===0&&W>.6}function s(N){const{upperPercent:W,lowerPercent:q,alphaPercent:re,numericPercent:de}=N;return q>.2&&W<.8&&re>.6&&de<.2}function v(N){let W=0,q=0,re=0,de=0;for(let Ce=0;Ce<N.length;Ce++)re=N.charCodeAt(Ce),F(re)&&W++,R(re)&&q++,p(re)&&de++;return(W===0||q===0)&&de===0?N.length<=30:W<=5}function o(N,W){if(!W||(W=W.trim(),W.length===0)||!v(N)||W.length>60)return null;const q=c(W);if(!s(q)){if(!f(q))return null;W=W.toLowerCase()}let re=null,de=0;for(N=N.toLowerCase();de<W.length&&(re=l(N,W,0,de))===null;)de=I(W,de+1);return re}e.matchesCamelCase=o;function n(N,W,q=!1){if(!W||W.length===0)return null;let re=null,de=0;for(N=N.toLowerCase(),W=W.toLowerCase();de<W.length&&(re=r(N,W,0,de,q))===null;)de=i(W,de+1);return re}e.matchesWords=n;function r(N,W,q,re,de){if(q===N.length)return[];if(re===W.length)return null;if(u(N.charCodeAt(q),W.charCodeAt(re))){let Ce=null,Ae=re+1;if(Ce=r(N,W,q+1,re+1,de),!de)for(;!Ce&&(Ae=i(W,Ae))<W.length;)Ce=r(N,W,q+1,Ae,de),Ae++;return Ce===null?null:S({start:re,end:re+1},Ce)}else return null}function i(N,W){for(let q=W;q<N.length;q++)if(g(N.charCodeAt(q))||q>0&&g(N.charCodeAt(q-1)))return q;return N.length}const a=P(e.matchesPrefix,o,C),m=P(e.matchesPrefix,o,k),d=new h.LRUCache(1e4);function E(N,W,q=!1){if(typeof N!="string"||typeof W!="string")return null;let re=d.get(N);re||(re=new RegExp(t.convertSimple2RegExpPattern(N),"i"),d.set(N,re));const de=re.exec(W);return de?[{start:de.index,end:de.index+de[0].length}]:q?m(N,W):a(N,W)}e.matchesFuzzy=E;function T(N,W){const q=we(N,N.toLowerCase(),0,W,W.toLowerCase(),0,!0);return q?O(q):null}e.matchesFuzzy2=T;function L(N,W,q,re,de,Ce){const Ae=Math.min(13,N.length);for(;q<Ae;q++){const We=we(N,W,q,re,de,Ce,!1);if(We)return We}return[0,Ce]}e.anyScore=L;function O(N){if(typeof N=="undefined")return[];const W=[],q=N[1];for(let re=N.length-1;re>1;re--){const de=N[re]+q,Ce=W[W.length-1];Ce&&Ce.end===de?Ce.end=de+1:W.push({start:de,end:de+1})}return W}e.createMatches=O;const y=128;function B(){const N=[],W=[];for(let q=0;q<=y;q++)W[q]=0;for(let q=0;q<=y;q++)N.push(W.slice(0));return N}function M(N){const W=[];for(let q=0;q<=N;q++)W[q]=0;return W}const z=M(2*y),V=M(2*y),Q=B(),H=B(),K=B(),G=!1;function j(N,W,q,re,de){function Ce(We,ze,qe=" "){for(;We.length<ze;)We=qe+We;return We}let Ae=` |   |${re.split("").map(We=>Ce(We,3)).join("|")}
`;for(let We=0;We<=q;We++)We===0?Ae+=" |":Ae+=`${W[We-1]}|`,Ae+=N[We].slice(0,de+1).map(ze=>Ce(ze.toString(),3)).join("|")+`
`;return Ae}function ie(N,W,q,re){N=N.substr(W),q=q.substr(re),console.log(j(H,N,N.length,q,q.length)),console.log(j(K,N,N.length,q,q.length)),console.log(j(Q,N,N.length,q,q.length))}function oe(N,W){if(W<0||W>=N.length)return!1;const q=N.codePointAt(W);switch(q){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 40:case 91:return!0;case void 0:return!1;default:return!!t.isEmojiImprecise(q)}}function ue(N,W){if(W<0||W>=N.length)return!1;switch(N.charCodeAt(W)){case 32:case 9:return!0;default:return!1}}function Z(N,W,q){return W[N]!==q[N]}function J(N,W,q,re,de,Ce,Ae=!1){for(;W<q&&de<Ce;)N[W]===re[de]&&(Ae&&(z[W]=de),W+=1),de+=1;return W===q}e.isPatternInWord=J;var ae;(function(N){N[N.Diag=1]="Diag",N[N.Left=2]="Left",N[N.LeftLeft=3]="LeftLeft"})(ae||(ae={}));var he;(function(N){N.Default=[-100,0];function W(q){return!q||q.length===2&&q[0]===-100&&q[1]===0}N.isDefault=W})(he=e.FuzzyScore||(e.FuzzyScore={}));function we(N,W,q,re,de,Ce,Ae){const We=N.length>y?y:N.length,ze=re.length>y?y:re.length;if(q>=We||Ce>=ze||We-q>ze-Ce||!J(W,q,We,de,Ce,ze,!0))return;Te(We,ze,q,Ce,W,de);let qe=1,He=1,Ue=q,Je=Ce;const et=[!1];for(qe=1,Ue=q;Ue<We;qe++,Ue++){const Y=z[Ue],ge=V[Ue],Se=Ue+1<We?V[Ue+1]:ze;for(He=Y-Ce+1,Je=Y;Je<Se;He++,Je++){let Me=Number.MIN_SAFE_INTEGER,$e=!1;Je<=ge&&(Me=Ne(N,W,Ue,q,re,de,Je,ze,Ce,Q[qe-1][He-1]===0,et));let Ye=0;Me!==Number.MAX_SAFE_INTEGER&&($e=!0,Ye=Me+H[qe-1][He-1]);const lt=Je>Y,vt=lt?H[qe][He-1]+(Q[qe][He-1]>0?-5:0):0,wt=Je>Y+1&&Q[qe][He-1]>0,je=wt?H[qe][He-2]+(Q[qe][He-2]>0?-5:0):0;if(wt&&(!lt||je>=vt)&&(!$e||je>=Ye))H[qe][He]=je,K[qe][He]=3,Q[qe][He]=0;else if(lt&&(!$e||vt>=Ye))H[qe][He]=vt,K[qe][He]=2,Q[qe][He]=0;else if($e)H[qe][He]=Ye,K[qe][He]=1,Q[qe][He]=Q[qe-1][He-1]+1;else throw new Error("not possible")}}if(G&&ie(N,q,re,Ce),!et[0]&&!Ae)return;qe--,He--;const Le=[H[qe][He],Ce];let it=0,ne=0;for(;qe>=1;){let Y=He;do{const ge=K[qe][Y];if(ge===3)Y=Y-2;else if(ge===2)Y=Y-1;else break}while(Y>=1);it>1&&W[q+qe-1]===de[Ce+He-1]&&!Z(Y+Ce-1,re,de)&&it+1>Q[qe][Y]&&(Y=He),Y===He?it++:it=1,ne||(ne=Y),qe--,He=Y-1,Le.push(He)}ze===We&&(Le[0]+=2);const se=ne-We;return Le[0]-=se,Le}e.fuzzyScore=we;function Te(N,W,q,re,de,Ce){let Ae=N-1,We=W-1;for(;Ae>=q&&We>=re;)de[Ae]===Ce[We]&&(V[Ae]=We,Ae--),We--}function Ne(N,W,q,re,de,Ce,Ae,We,ze,qe,He){if(W[q]!==Ce[Ae])return Number.MIN_SAFE_INTEGER;let Ue=1,Je=!1;return Ae===q-re?Ue=N[q]===de[Ae]?7:5:Z(Ae,de,Ce)&&(Ae===0||!Z(Ae-1,de,Ce))?(Ue=N[q]===de[Ae]?7:5,Je=!0):oe(Ce,Ae)&&(Ae===0||!oe(Ce,Ae-1))?Ue=5:(oe(Ce,Ae-1)||ue(Ce,Ae-1))&&(Ue=5,Je=!0),Ue>1&&q===re&&(He[0]=!0),Je||(Je=Z(Ae,de,Ce)||oe(Ce,Ae-1)||ue(Ce,Ae-1)),q===re?Ae>ze&&(Ue-=Je?3:5):qe?Ue+=Je?2:0:Ue+=Je?0:1,Ae+1===We&&(Ue-=Je?3:5),Ue}function be(N,W,q,re,de,Ce,Ae){return $(N,W,q,re,de,Ce,!0,Ae)}e.fuzzyScoreGracefulAggressive=be;function Ee(N,W,q,re,de,Ce,Ae){return $(N,W,q,re,de,Ce,!1,Ae)}e.fuzzyScoreGraceful=Ee;function $(N,W,q,re,de,Ce,Ae,We){let ze=we(N,W,q,re,de,Ce,We);if(ze&&!Ae)return ze;if(N.length>=3){const qe=Math.min(7,N.length-1);for(let He=q+1;He<qe;He++){const Ue=U(N,He);if(Ue){const Je=we(Ue,Ue.toLowerCase(),q,re,de,Ce,We);Je&&(Je[0]-=3,(!ze||Je[0]>ze[0])&&(ze=Je))}}}return ze}function U(N,W){if(W+1>=N.length)return;const q=N[W],re=N[W+1];if(q!==re)return N.slice(0,W)+re+q+N.slice(W+2)}}),define(pe[144],ve([1,0,73,95,8]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const A=new RegExp(`\\$\\(${h.CSSIcon.iconNameExpression}(?:${h.CSSIcon.iconModifierExpression})?\\)`,"g"),C=new RegExp(h.CSSIcon.iconNameCharacter),k=new RegExp(`(\\\\)?${A.source}`,"g");function _(w){return w.replace(k,(S,I)=>I?S:`\\${S}`)}e.escapeIcons=_;const R=new RegExp(`\\\\${A.source}`,"g");function F(w){return w.replace(R,S=>`\\${S}`)}e.markdownEscapeEscapedIcons=F;const D=new RegExp(`(\\s)?(\\\\)?${A.source}(\\s)?`,"g");function p(w){return w.indexOf(e.iconStartMarker)===-1?w:w.replace(D,(S,I,l,c)=>l?S:I||c||"")}e.stripIcons=p;function b(w){const S=w.indexOf(e.iconStartMarker);return S===-1?{text:w}:g(w,S)}e.parseLabelWithIcons=b;function g(w,S){const I=[];let l="";function c(a){if(a){l+=a;for(const m of a)I.push(v)}}let f=-1,s="",v=0,o,n,r=S;const i=w.length;for(c(w.substr(0,S));r<i;)o=w[r],n=w[r+1],o===e.iconStartMarker[0]&&n===e.iconStartMarker[1]?(f=r,c(s),s=e.iconStartMarker,r++):o===")"&&f!==-1?(v+=r-f+1,f=-1,s=""):f!==-1?C.test(o)?s+=o:(c(s),f=-1,s=""):c(o),r++;return c(s),{text:l,iconOffsets:I}}function u(w,S,I=!1){const{text:l,iconOffsets:c}=S;if(!c||c.length===0)return(0,t.matchesFuzzy)(w,l,I);const f=(0,P.ltrim)(l," "),s=l.length-f.length,v=(0,t.matchesFuzzy)(w,f,I);if(v)for(const o of v){const n=c[o.start+s]+s;o.start+=n,o.end+=n}return v}e.matchesFuzzyIconAware=u}),define(pe[78],ve([1,0,24]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=void 0;const t=new h.LRUCache(1e4);function P(R){return _(R,"NFC",t)}e.normalizeNFC=P;const A=new h.LRUCache(1e4);function C(R){return _(R,"NFD",A)}e.normalizeNFD=C;const k=/[^\u0000-\u0080]/;function _(R,F,D){if(!R)return R;const p=D.get(R);if(p)return p;let b;return k.test(R)?b=R.normalize(F):b=R,D.set(R,b),b}e.removeAccents=function(){const R=/[\u0300-\u036f]/g;return function(F){return C(F).replace(R,"")}}()}),define(pe[47],ve([1,0,8]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t;(function(P){P[P.Ignore=0]="Ignore",P[P.Info=1]="Info",P[P.Warning=2]="Warning",P[P.Error=3]="Error"})(t||(t={})),function(P){const A="error",C="warning",k="warn",_="info",R="ignore";function F(p){return p?h.equalsIgnoreCase(A,p)?P.Error:h.equalsIgnoreCase(C,p)||h.equalsIgnoreCase(k,p)?P.Warning:h.equalsIgnoreCase(_,p)?P.Info:P.Ignore:P.Ignore}P.fromValue=F;function D(p){switch(p){case P.Error:return A;case P.Warning:return C;case P.Info:return _;default:return R}}P.toString=D}(t||(t={})),e.default=t}),define(pe[13],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.assertNever=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function h(i){return Array.isArray(i)}e.isArray=h;function t(i){return typeof i=="string"}e.isString=t;function P(i){return Array.isArray(i)&&i.every(a=>t(a))}e.isStringArray=P;function A(i){return typeof i=="object"&&i!==null&&!Array.isArray(i)&&!(i instanceof RegExp)&&!(i instanceof Date)}e.isObject=A;function C(i){return typeof i=="number"&&!isNaN(i)}e.isNumber=C;function k(i){return!!i&&typeof i[Symbol.iterator]=="function"}e.isIterable=k;function _(i){return i===!0||i===!1}e.isBoolean=_;function R(i){return typeof i=="undefined"}e.isUndefined=R;function F(i){return!D(i)}e.isDefined=F;function D(i){return R(i)||i===null}e.isUndefinedOrNull=D;function p(i,a){if(!i)throw new Error(a?`Unexpected type, expected '${a}'`:"Unexpected type")}e.assertType=p;function b(i){if(D(i))throw new Error("Assertion Failed: argument is undefined or null");return i}e.assertIsDefined=b;function g(...i){const a=[];for(let m=0;m<i.length;m++){const d=i[m];if(D(d))throw new Error(`Assertion Failed: argument at index ${m} is undefined or null`);a.push(d)}return a}e.assertAllDefined=g;const u=Object.prototype.hasOwnProperty;function w(i){if(!A(i))return!1;for(let a in i)if(u.call(i,a))return!1;return!0}e.isEmptyObject=w;function S(i){return typeof i=="function"}e.isFunction=S;function I(...i){return i.length>0&&i.every(S)}e.areFunctions=I;function l(i,a){const m=Math.min(i.length,a.length);for(let d=0;d<m;d++)c(i[d],a[d])}e.validateConstraints=l;function c(i,a){if(t(a)){if(typeof i!==a)throw new Error(`argument does not match constraint: typeof ${a}`)}else if(S(a)){try{if(i instanceof a)return}catch{}if(!D(i)&&i.constructor===a||a.length===1&&a.call(void 0,i)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=c;function f(i){let a=[],m=Object.getPrototypeOf(i);for(;Object.prototype!==m;)a=a.concat(Object.getOwnPropertyNames(m)),m=Object.getPrototypeOf(m);return a}e.getAllPropertyNames=f;function s(i){const a=[];for(const m of f(i))typeof i[m]=="function"&&a.push(m);return a}e.getAllMethodNames=s;function v(i,a){const m=E=>function(){const T=Array.prototype.slice.call(arguments,0);return a(E,T)};let d={};for(const E of i)d[E]=m(E);return d}e.createProxyObject=v;function o(i){return i===null?void 0:i}e.withNullAsUndefined=o;function n(i){return typeof i=="undefined"?null:i}e.withUndefinedAsNull=n;function r(i,a="Unreachable"){throw new Error(a)}e.assertNever=r}),define(pe[29],ve([1,0,9,12,8,13]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function C(r){return r===47||r===92}e.isPathSeparator=C;function k(r){return r.replace(/[\\/]/g,h.posix.sep)}e.toSlashes=k;function _(r){return r.indexOf("/")===-1&&(r=k(r)),/^[a-zA-Z]:(\/|$)/.test(r)&&(r="/"+r),r}e.toPosixPath=_;function R(r,i=h.posix.sep){if(!r)return"";const a=r.length,m=r.charCodeAt(0);if(C(m)){if(C(r.charCodeAt(1))&&!C(r.charCodeAt(2))){let E=3;const T=E;for(;E<a&&!C(r.charCodeAt(E));E++);if(T!==E&&!C(r.charCodeAt(E+1))){for(E+=1;E<a;E++)if(C(r.charCodeAt(E)))return r.slice(0,E+1).replace(/[\\/]/g,i)}}return i}else if(S(m)&&r.charCodeAt(1)===58)return C(r.charCodeAt(2))?r.slice(0,2)+i:r.slice(0,2);let d=r.indexOf("://");if(d!==-1){for(d+=3;d<a;d++)if(C(r.charCodeAt(d)))return r.slice(0,d+1)}return""}e.getRoot=R;function F(r){if(!t.isWindows||!r||r.length<5)return!1;let i=r.charCodeAt(0);if(i!==92||(i=r.charCodeAt(1),i!==92))return!1;let a=2;const m=a;for(;a<r.length&&(i=r.charCodeAt(a),i!==92);a++);return!(m===a||(i=r.charCodeAt(a+1),isNaN(i)||i===92))}e.isUNC=F;const D=/[\\/:\*\?"<>\|]/g,p=/[\\/]/g,b=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function g(r,i=t.isWindows){const a=i?D:p;return!(!r||r.length===0||/^\s+$/.test(r)||(a.lastIndex=0,a.test(r))||i&&b.test(r)||r==="."||r===".."||i&&r[r.length-1]==="."||i&&r.length!==r.trim().length||r.length>255)}e.isValidBasename=g;function u(r,i,a){const m=r===i;return!a||m?m:!r||!i?!1:(0,P.equalsIgnoreCase)(r,i)}e.isEqual=u;function w(r,i,a,m=h.sep){if(r===i)return!0;if(!r||!i||i.length>r.length)return!1;if(a){if(!(0,P.startsWithIgnoreCase)(r,i))return!1;if(i.length===r.length)return!0;let E=i.length;return i.charAt(i.length-1)===m&&E--,r.charAt(E)===m}return i.charAt(i.length-1)!==m&&(i+=m),r.indexOf(i)===0}e.isEqualOrParent=w;function S(r){return r>=65&&r<=90||r>=97&&r<=122}e.isWindowsDriveLetter=S;function I(r,i){return t.isWindows&&r.endsWith(":")&&(r+=h.sep),(0,h.isAbsolute)(r)||(r=(0,h.join)(i,r)),r=(0,h.normalize)(r),t.isWindows?(r=(0,P.rtrim)(r,h.sep),r.endsWith(":")&&(r+=h.sep)):(r=(0,P.rtrim)(r,h.sep),r||(r=h.sep)),r}e.sanitizeFilePath=I;function l(r){const i=(0,h.normalize)(r);return t.isWindows?r.length>3?!1:c(i)&&(r.length===2||i.charCodeAt(2)===92):i===h.posix.sep}e.isRootOrDriveLetter=l;function c(r,i){return(i!==void 0?i:t.isWindows)?S(r.charCodeAt(0))&&r.charCodeAt(1)===58:!1}e.hasDriveLetter=c;function f(r){return c(r)?r[0]:void 0}e.getDriveLetter=f;function s(r,i,a){return i.length>r.length?-1:r===i?0:(a&&(r=r.toLowerCase(),i=i.toLowerCase()),r.indexOf(i))}e.indexOfPath=s;function v(r){const i=r.split(":");let a,m,d;for(const E of i){const T=Number(E);(0,A.isNumber)(T)?m===void 0?m=T:d===void 0&&(d=T):a=a?[a,E].join(":"):E}if(!a)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:a,line:m!==void 0?m:void 0,column:d!==void 0?d:m!==void 0?1:void 0}}e.parseLineAndColumnAware=v;const o="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function n(r,i,a=8){let m="";for(let E=0;E<a;E++)m+=o.charAt(Math.floor(Math.random()*o.length));let d;return i?d=`${i}-${m}`:d=m,r?(0,h.join)(r,d):d}e.randomPath=n}),define(pe[25],ve([1,0,13]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function t(u){if(!u||typeof u!="object"||u instanceof RegExp)return u;const w=Array.isArray(u)?[]:{};return Object.keys(u).forEach(S=>{u[S]&&typeof u[S]=="object"?w[S]=t(u[S]):w[S]=u[S]}),w}e.deepClone=t;function P(u){if(!u||typeof u!="object")return u;const w=[u];for(;w.length>0;){const S=w.shift();Object.freeze(S);for(const I in S)if(A.call(S,I)){const l=S[I];typeof l=="object"&&!Object.isFrozen(l)&&w.push(l)}}return u}e.deepFreeze=P;const A=Object.prototype.hasOwnProperty;function C(u,w){return k(u,w,new Set)}e.cloneAndChange=C;function k(u,w,S){if((0,h.isUndefinedOrNull)(u))return u;const I=w(u);if(typeof I!="undefined")return I;if((0,h.isArray)(u)){const l=[];for(const c of u)l.push(k(c,w,S));return l}if((0,h.isObject)(u)){if(S.has(u))throw new Error("Cannot clone recursive data-structure");S.add(u);const l={};for(let c in u)A.call(u,c)&&(l[c]=k(u[c],w,S));return S.delete(u),l}return u}function _(u,w,S=!0){return(0,h.isObject)(u)?((0,h.isObject)(w)&&Object.keys(w).forEach(I=>{I in u?S&&((0,h.isObject)(u[I])&&(0,h.isObject)(w[I])?_(u[I],w[I],S):u[I]=w[I]):u[I]=w[I]}),u):w}e.mixin=_;function R(u,w){if(u===w)return!0;if(u==null||w===null||w===void 0||typeof u!=typeof w||typeof u!="object"||Array.isArray(u)!==Array.isArray(w))return!1;let S,I;if(Array.isArray(u)){if(u.length!==w.length)return!1;for(S=0;S<u.length;S++)if(!R(u[S],w[S]))return!1}else{const l=[];for(I in u)l.push(I);l.sort();const c=[];for(I in w)c.push(I);if(c.sort(),!R(l,c))return!1;for(S=0;S<l.length;S++)if(!R(u[l[S]],w[l[S]]))return!1}return!0}e.equals=R;function F(u){const w=new Set;return JSON.stringify(u,(S,I)=>{if((0,h.isObject)(I)||Array.isArray(I)){if(w.has(I))return"[Circular]";w.add(I)}return I})}e.safeStringify=F;function D(u,w,S){const I=w(u);return typeof I=="undefined"?S:I}e.getOrDefault=D;function p(u,w){const S=Object.create(null);return!u||!w||Object.keys(w).forEach(l=>{const c=u[l],f=w[l];R(c,f)||(S[l]=f)}),S}e.distinct=p;function b(u,w){const S=w.toLowerCase(),I=Object.keys(u).find(l=>l.toLowerCase()===S);return I?u[I]:u[w]}e.getCaseInsensitive=b;function g(u,w){const S=Object.create(null);for(const[I,l]of Object.entries(u))w(I,l)&&(S[I]=l);return S}e.filter=g}),define(pe[96],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toUint32=e.toUint8=e.Constants=void 0;var h;(function(A){A[A.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",A[A.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",A[A.MAX_UINT_8=255]="MAX_UINT_8",A[A.MAX_UINT_16=65535]="MAX_UINT_16",A[A.MAX_UINT_32=4294967295]="MAX_UINT_32",A[A.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(h=e.Constants||(e.Constants={}));function t(A){return A<0?0:A>255?255:A|0}e.toUint8=t;function P(A){return A<0?0:A>4294967295?4294967295:A|0}e.toUint32=P}),define(pe[2],ve([1,0,9,12]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const P=/^\w[\w\d+.-]*$/,A=/^\//,C=/^\/\//;function k(o,n){if(!o.scheme&&n)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${o.authority}", path: "${o.path}", query: "${o.query}", fragment: "${o.fragment}"}`);if(o.scheme&&!P.test(o.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(o.path){if(o.authority){if(!A.test(o.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(C.test(o.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function _(o,n){return!o&&!n?"file":o}function R(o,n){switch(o){case"https":case"http":case"file":n?n[0]!==D&&(n=D+n):n=D;break}return n}const F="",D="/",p=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class b{constructor(n,r,i,a,m,d=!1){typeof n=="object"?(this.scheme=n.scheme||F,this.authority=n.authority||F,this.path=n.path||F,this.query=n.query||F,this.fragment=n.fragment||F):(this.scheme=_(n,d),this.authority=r||F,this.path=R(this.scheme,i||F),this.query=a||F,this.fragment=m||F,k(this,d))}static isUri(n){return n instanceof b?!0:n?typeof n.authority=="string"&&typeof n.fragment=="string"&&typeof n.path=="string"&&typeof n.query=="string"&&typeof n.scheme=="string"&&typeof n.fsPath=="string"&&typeof n.with=="function"&&typeof n.toString=="function":!1}get fsPath(){return l(this,!1)}with(n){if(!n)return this;let{scheme:r,authority:i,path:a,query:m,fragment:d}=n;return r===void 0?r=this.scheme:r===null&&(r=F),i===void 0?i=this.authority:i===null&&(i=F),a===void 0?a=this.path:a===null&&(a=F),m===void 0?m=this.query:m===null&&(m=F),d===void 0?d=this.fragment:d===null&&(d=F),r===this.scheme&&i===this.authority&&a===this.path&&m===this.query&&d===this.fragment?this:new u(r,i,a,m,d)}static parse(n,r=!1){const i=p.exec(n);return i?new u(i[2]||F,v(i[4]||F),v(i[5]||F),v(i[7]||F),v(i[9]||F),r):new u(F,F,F,F,F)}static file(n){let r=F;if(t.isWindows&&(n=n.replace(/\\/g,D)),n[0]===D&&n[1]===D){const i=n.indexOf(D,2);i===-1?(r=n.substring(2),n=D):(r=n.substring(2,i),n=n.substring(i)||D)}return new u("file",r,n,F,F)}static from(n){const r=new u(n.scheme,n.authority,n.path,n.query,n.fragment);return k(r,!0),r}static joinPath(n,...r){if(!n.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let i;return t.isWindows&&n.scheme==="file"?i=b.file(h.win32.join(l(n,!0),...r)).path:i=h.posix.join(n.path,...r),n.with({path:i})}toString(n=!1){return c(this,n)}toJSON(){return this}static revive(n){if(n){if(n instanceof b)return n;{const r=new u(n);return r._formatted=n.external,r._fsPath=n._sep===g?n.fsPath:null,r}}else return n}}e.URI=b;const g=t.isWindows?1:void 0;class u extends b{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=l(this,!1)),this._fsPath}toString(n=!1){return n?c(this,!0):(this._formatted||(this._formatted=c(this,!1)),this._formatted)}toJSON(){const n={$mid:1};return this._fsPath&&(n.fsPath=this._fsPath,n._sep=g),this._formatted&&(n.external=this._formatted),this.path&&(n.path=this.path),this.scheme&&(n.scheme=this.scheme),this.authority&&(n.authority=this.authority),this.query&&(n.query=this.query),this.fragment&&(n.fragment=this.fragment),n}}const w={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function S(o,n){let r,i=-1;for(let a=0;a<o.length;a++){const m=o.charCodeAt(a);if(m>=97&&m<=122||m>=65&&m<=90||m>=48&&m<=57||m===45||m===46||m===95||m===126||n&&m===47)i!==-1&&(r+=encodeURIComponent(o.substring(i,a)),i=-1),r!==void 0&&(r+=o.charAt(a));else{r===void 0&&(r=o.substr(0,a));const d=w[m];d!==void 0?(i!==-1&&(r+=encodeURIComponent(o.substring(i,a)),i=-1),r+=d):i===-1&&(i=a)}}return i!==-1&&(r+=encodeURIComponent(o.substring(i))),r!==void 0?r:o}function I(o){let n;for(let r=0;r<o.length;r++){const i=o.charCodeAt(r);i===35||i===63?(n===void 0&&(n=o.substr(0,r)),n+=w[i]):n!==void 0&&(n+=o[r])}return n!==void 0?n:o}function l(o,n){let r;return o.authority&&o.path.length>1&&o.scheme==="file"?r=`//${o.authority}${o.path}`:o.path.charCodeAt(0)===47&&(o.path.charCodeAt(1)>=65&&o.path.charCodeAt(1)<=90||o.path.charCodeAt(1)>=97&&o.path.charCodeAt(1)<=122)&&o.path.charCodeAt(2)===58?n?r=o.path.substr(1):r=o.path[1].toLowerCase()+o.path.substr(2):r=o.path,t.isWindows&&(r=r.replace(/\//g,"\\")),r}e.uriToFsPath=l;function c(o,n){const r=n?I:S;let i="",{scheme:a,authority:m,path:d,query:E,fragment:T}=o;if(a&&(i+=a,i+=":"),(m||a==="file")&&(i+=D,i+=D),m){let L=m.indexOf("@");if(L!==-1){const O=m.substr(0,L);m=m.substr(L+1),L=O.indexOf(":"),L===-1?i+=r(O,!1):(i+=r(O.substr(0,L),!1),i+=":",i+=r(O.substr(L+1),!1)),i+="@"}m=m.toLowerCase(),L=m.indexOf(":"),L===-1?i+=r(m,!1):(i+=r(m.substr(0,L),!1),i+=m.substr(L))}if(d){if(d.length>=3&&d.charCodeAt(0)===47&&d.charCodeAt(2)===58){const L=d.charCodeAt(1);L>=65&&L<=90&&(d=`/${String.fromCharCode(L+32)}:${d.substr(3)}`)}else if(d.length>=2&&d.charCodeAt(1)===58){const L=d.charCodeAt(0);L>=65&&L<=90&&(d=`${String.fromCharCode(L+32)}:${d.substr(2)}`)}i+=r(d,!0)}return E&&(i+="?",i+=r(E,!1)),T&&(i+="#",i+=n?T:S(T,!1)),i}function f(o){try{return decodeURIComponent(o)}catch{return o.length>3?o.substr(0,3)+f(o.substr(3)):o}}const s=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function v(o){return o.match(s)?o.replace(s,n=>f(n)):o}}),define(pe[58],ve([1,0,22,8,2]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.MarshalledId=e.parse=e.stringify=void 0;function A(F){return JSON.stringify(F,_)}e.stringify=A;function C(F){let D=JSON.parse(F);return D=R(D),D}e.parse=C;var k;(function(F){F[F.Uri=1]="Uri",F[F.Regexp=2]="Regexp",F[F.ScmResource=3]="ScmResource",F[F.ScmResourceGroup=4]="ScmResourceGroup",F[F.ScmProvider=5]="ScmProvider",F[F.CommentController=6]="CommentController",F[F.CommentThread=7]="CommentThread",F[F.CommentThreadReply=8]="CommentThreadReply",F[F.CommentNode=9]="CommentNode",F[F.CommentThreadNode=10]="CommentThreadNode",F[F.TimelineActionContext=11]="TimelineActionContext",F[F.NotebookCellActionContext=12]="NotebookCellActionContext",F[F.TestItemContext=13]="TestItemContext",F[F.Date=14]="Date"})(k=e.MarshalledId||(e.MarshalledId={}));function _(F,D){return D instanceof RegExp?{$mid:2,source:D.source,flags:(0,t.regExpFlags)(D)}:D}function R(F,D=0){if(!F||D>200)return F;if(typeof F=="object"){switch(F.$mid){case 1:return P.URI.revive(F);case 2:return new RegExp(F.source,F.flags);case 14:return new Date(F.source)}if(F instanceof h.VSBuffer||F instanceof Uint8Array)return F;if(Array.isArray(F))for(let p=0;p<F.length;++p)F[p]=R(F[p],D+1);else for(const p in F)Object.hasOwnProperty.call(F,p)&&(F[p]=R(F[p],D+1))}return F}e.revive=R}),define(pe[10],ve([1,0,12,2]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.connectionTokenQueryName=e.connectionTokenCookieName=e.Schemas=void 0;var P;(function(k){k.inMemory="inmemory",k.vscode="vscode",k.internal="private",k.walkThrough="walkThrough",k.walkThroughSnippet="walkThroughSnippet",k.http="http",k.https="https",k.file="file",k.mailto="mailto",k.untitled="untitled",k.data="data",k.command="command",k.vscodeRemote="vscode-remote",k.vscodeRemoteResource="vscode-remote-resource",k.userData="vscode-userdata",k.vscodeCustomEditor="vscode-custom-editor",k.vscodeNotebook="vscode-notebook",k.vscodeNotebookCell="vscode-notebook-cell",k.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",k.vscodeNotebookCellOutput="vscode-notebook-cell-output",k.vscodeInteractive="vscode-interactive",k.vscodeInteractiveInput="vscode-interactive-input",k.vscodeSettings="vscode-settings",k.vscodeWorkspaceTrust="vscode-workspace-trust",k.vscodeTerminal="vscode-terminal",k.webviewPanel="webview-panel",k.vscodeWebview="vscode-webview",k.extension="extension",k.vscodeFileResource="vscode-file",k.tmp="tmp",k.vsls="vsls"})(P=e.Schemas||(e.Schemas={})),e.connectionTokenCookieName="vscode-tkn",e.connectionTokenQueryName="tkn";class A{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(_){this._preferredWebSchema=_}setDelegate(_){this._delegate=_}set(_,R,F){this._hosts[_]=R,this._ports[_]=F}setConnectionToken(_,R){this._connectionTokens[_]=R}getPreferredWebSchema(){return this._preferredWebSchema}rewrite(_){if(this._delegate)return this._delegate(_);const R=_.authority;let F=this._hosts[R];F&&F.indexOf(":")!==-1&&(F=`[${F}]`);const D=this._ports[R],p=this._connectionTokens[R];let b=`path=${encodeURIComponent(_.path)}`;return typeof p=="string"&&(b+=`&${e.connectionTokenQueryName}=${encodeURIComponent(p)}`),t.URI.from({scheme:h.isWeb?this._preferredWebSchema:P.vscodeRemoteResource,authority:`${F}:${D}`,path:"/vscode-remote-resource",query:b})}}e.RemoteAuthorities=new A;class C{asBrowserUri(_,R){const F=this.toUri(_,R);return F.scheme===P.vscodeRemote?e.RemoteAuthorities.rewrite(F):F.scheme===P.file&&(h.isNative||typeof h.globals.importScripts=="function"&&h.globals.origin===`${P.vscodeFileResource}://${C.FALLBACK_AUTHORITY}`)?F.with({scheme:P.vscodeFileResource,authority:F.authority||C.FALLBACK_AUTHORITY,query:null,fragment:null}):F}asFileUri(_,R){const F=this.toUri(_,R);return F.scheme===P.vscodeFileResource?F.with({scheme:P.file,authority:F.authority!==C.FALLBACK_AUTHORITY?F.authority:null,query:null,fragment:null}):F}toUri(_,R){return t.URI.isUri(_)?_:t.URI.parse(R.toUrl(_))}}C.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new C}),define(pe[23],ve([1,0,29,10,9,12,8,2]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function _(b){return(0,k.uriToFsPath)(b,!0)}e.originalFSPath=_;class R{constructor(g){this._ignorePathCasing=g}compare(g,u,w=!1){return g===u?0:(0,C.compare)(this.getComparisonKey(g,w),this.getComparisonKey(u,w))}isEqual(g,u,w=!1){return g===u?!0:!g||!u?!1:this.getComparisonKey(g,w)===this.getComparisonKey(u,w)}getComparisonKey(g,u=!1){return g.with({path:this._ignorePathCasing(g)?g.path.toLowerCase():void 0,fragment:u?null:void 0}).toString()}ignorePathCasing(g){return this._ignorePathCasing(g)}isEqualOrParent(g,u,w=!1){if(g.scheme===u.scheme){if(g.scheme===t.Schemas.file)return h.isEqualOrParent(_(g),_(u),this._ignorePathCasing(g))&&g.query===u.query&&(w||g.fragment===u.fragment);if((0,e.isEqualAuthority)(g.authority,u.authority))return h.isEqualOrParent(g.path,u.path,this._ignorePathCasing(g),"/")&&g.query===u.query&&(w||g.fragment===u.fragment)}return!1}joinPath(g,...u){return k.URI.joinPath(g,...u)}basenameOrAuthority(g){return(0,e.basename)(g)||g.authority}basename(g){return P.posix.basename(g.path)}extname(g){return P.posix.extname(g.path)}dirname(g){if(g.path.length===0)return g;let u;return g.scheme===t.Schemas.file?u=k.URI.file(P.dirname(_(g))).path:(u=P.posix.dirname(g.path),g.authority&&u.length&&u.charCodeAt(0)!==47&&(console.error(`dirname("${g.toString})) resulted in a relative path`),u="/")),g.with({path:u})}normalizePath(g){if(!g.path.length)return g;let u;return g.scheme===t.Schemas.file?u=k.URI.file(P.normalize(_(g))).path:u=P.posix.normalize(g.path),g.with({path:u})}relativePath(g,u){if(g.scheme!==u.scheme||!(0,e.isEqualAuthority)(g.authority,u.authority))return;if(g.scheme===t.Schemas.file){const I=P.relative(_(g),_(u));return A.isWindows?h.toSlashes(I):I}let w=g.path||"/",S=u.path||"/";if(this._ignorePathCasing(g)){let I=0;for(const l=Math.min(w.length,S.length);I<l&&!(w.charCodeAt(I)!==S.charCodeAt(I)&&w.charAt(I).toLowerCase()!==S.charAt(I).toLowerCase());I++);w=S.substr(0,I)+w.substr(I)}return P.posix.relative(w,S)}resolvePath(g,u){if(g.scheme===t.Schemas.file){const w=k.URI.file(P.resolve(_(g),u));return g.with({authority:w.authority,path:w.path})}return u=h.toPosixPath(u),g.with({path:P.posix.resolve(g.path,u)})}isAbsolutePath(g){return!!g.path&&g.path[0]==="/"}isEqualAuthority(g,u){return g===u||g!==void 0&&u!==void 0&&(0,C.equalsIgnoreCase)(g,u)}hasTrailingPathSeparator(g,u=P.sep){if(g.scheme===t.Schemas.file){const w=_(g);return w.length>h.getRoot(w).length&&w[w.length-1]===u}else{const w=g.path;return w.length>1&&w.charCodeAt(w.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(g.fsPath)}}removeTrailingPathSeparator(g,u=P.sep){return(0,e.hasTrailingPathSeparator)(g,u)?g.with({path:g.path.substr(0,g.path.length-1)}):g}addTrailingPathSeparator(g,u=P.sep){let w=!1;if(g.scheme===t.Schemas.file){const S=_(g);w=S!==void 0&&S.length===h.getRoot(S).length&&S[S.length-1]===u}else{u="/";const S=g.path;w=S.length===1&&S.charCodeAt(S.length-1)===47}return!w&&!(0,e.hasTrailingPathSeparator)(g,u)?g.with({path:g.path+"/"}):g}}e.ExtUri=R,e.extUri=new R(()=>!1),e.extUriBiasedIgnorePathCase=new R(b=>b.scheme===t.Schemas.file?!A.isLinux:!0),e.extUriIgnorePathCase=new R(b=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function F(b,g){const u=[];for(let w=0;w<b.length;w++){const S=g(b[w]);b.some((I,l)=>l===w?!1:(0,e.isEqualOrParent)(S,g(I)))||u.push(b[w])}return u}e.distinctParents=F;var D;(function(b){b.META_DATA_LABEL="label",b.META_DATA_DESCRIPTION="description",b.META_DATA_SIZE="size",b.META_DATA_MIME="mime";function g(u){const w=new Map;u.path.substring(u.path.indexOf(";")+1,u.path.lastIndexOf(";")).split(";").forEach(l=>{const[c,f]=l.split(":");c&&f&&w.set(c,f)});const I=u.path.substring(0,u.path.indexOf(";"));return I&&w.set(b.META_DATA_MIME,I),w}b.parseMetaData=g})(D=e.DataUri||(e.DataUri={}));function p(b,g,u){if(g){let w=b.path;return w&&w[0]!==P.posix.sep&&(w=P.posix.sep+w),b.with({scheme:u,authority:g,path:w})}return b.with({scheme:u})}e.toLocalResource=p}),define(pe[15],ve([1,0,21,17,3,6,23,12]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellationError=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function _(Z){return!!Z&&typeof Z.then=="function"}e.isThenable=_;function R(Z){const J=new h.CancellationTokenSource,ae=Z(J.token),he=new Promise((we,Te)=>{const Ne=J.token.onCancellationRequested(()=>{Ne.dispose(),J.dispose(),Te(new t.CancellationError)});Promise.resolve(ae).then(be=>{Ne.dispose(),J.dispose(),we(be)},be=>{Ne.dispose(),J.dispose(),Te(be)})});return new class{cancel(){J.cancel()}then(we,Te){return he.then(we,Te)}catch(we){return this.then(void 0,we)}finally(we){return he.finally(we)}}}e.createCancelablePromise=R;function F(Z,J,ae){return new Promise((he,we)=>{const Te=J.onCancellationRequested(()=>{Te.dispose(),he(ae)});Z.then(he,we).finally(()=>Te.dispose())})}e.raceCancellation=F;function D(Z,J){return new Promise((ae,he)=>{const we=J.onCancellationRequested(()=>{we.dispose(),he(new t.CancellationError)});Z.then(ae,he).finally(()=>we.dispose())})}e.raceCancellationError=D;async function p(Z){let J=-1;const ae=Z.map((we,Te)=>we.then(Ne=>(J=Te,Ne))),he=await Promise.race(ae);return Z.forEach((we,Te)=>{Te!==J&&we.cancel()}),he}e.raceCancellablePromises=p;function b(Z,J,ae){let he;const we=setTimeout(()=>{he?.(void 0),ae?.()},J);return Promise.race([Z.finally(()=>clearTimeout(we)),new Promise(Te=>he=Te)])}e.raceTimeout=b;function g(Z){return new Promise((J,ae)=>{const he=Z();_(he)?he.then(J,ae):J(he)})}e.asPromise=g;class u{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(J){if(this.activePromise){if(this.queuedPromiseFactory=J,!this.queuedPromise){const ae=()=>{this.queuedPromise=null;const he=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,he};this.queuedPromise=new Promise(he=>{this.activePromise.then(ae,ae).then(he)})}return new Promise((ae,he)=>{this.queuedPromise.then(ae,he)})}return this.activePromise=J(),new Promise((ae,he)=>{this.activePromise.then(we=>{this.activePromise=null,ae(we)},we=>{this.activePromise=null,he(we)})})}}e.Throttler=u;class w{constructor(){this.current=Promise.resolve(null)}queue(J){return this.current=this.current.then(()=>J(),()=>J())}}e.Sequencer=w;class S{constructor(){this.promiseMap=new Map}queue(J,ae){const we=(this.promiseMap.get(J)??Promise.resolve()).catch(()=>{}).then(ae).finally(()=>{this.promiseMap.get(J)===we&&this.promiseMap.delete(J)});return this.promiseMap.set(J,we),we}}e.SequencerByKey=S;const I=(Z,J)=>{let ae=!0;const he=setTimeout(()=>{ae=!1,J()},Z);return{isTriggered:()=>ae,dispose:()=>{clearTimeout(he),ae=!1}}},l=Z=>{let J=!0;return queueMicrotask(()=>{J&&(J=!1,Z())}),{isTriggered:()=>J,dispose:()=>{J=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class c{constructor(J){this.defaultDelay=J,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(J,ae=this.defaultDelay){this.task=J,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((we,Te)=>{this.doResolve=we,this.doReject=Te}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const we=this.task;return this.task=null,we()}}));const he=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=ae===e.MicrotaskDelay?l(he):I(ae,he),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject(new t.CancellationError),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=c;class f{constructor(J){this.delayer=new c(J),this.throttler=new u}trigger(J,ae){return this.delayer.trigger(()=>this.throttler.queue(J),ae)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=f;class s{constructor(){this._isOpen=!1,this._promise=new Promise((J,ae)=>{this._completePromise=J})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=s;class v extends s{constructor(J){super();this._timeout=setTimeout(()=>this.open(),J)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=v;function o(Z,J){return J?new Promise((ae,he)=>{const we=setTimeout(()=>{Te.dispose(),ae()},Z),Te=J.onCancellationRequested(()=>{clearTimeout(we),Te.dispose(),he(new t.CancellationError)})}):R(ae=>o(Z,ae))}e.timeout=o;function n(Z,J=0){const ae=setTimeout(Z,J);return(0,A.toDisposable)(()=>clearTimeout(ae))}e.disposableTimeout=n;function r(Z){const J=[];let ae=0;const he=Z.length;function we(){return ae<he?Z[ae++]():null}function Te(Ne){Ne!=null&&J.push(Ne);const be=we();return be?be.then(Te):Promise.resolve(J)}return Promise.resolve(null).then(Te)}e.sequence=r;function i(Z,J=he=>!!he,ae=null){let he=0;const we=Z.length,Te=()=>{if(he>=we)return Promise.resolve(ae);const Ne=Z[he++];return Promise.resolve(Ne()).then(Ee=>J(Ee)?Promise.resolve(Ee):Te())};return Te()}e.first=i;function a(Z,J=he=>!!he,ae=null){if(Z.length===0)return Promise.resolve(ae);let he=Z.length;const we=()=>{he=-1;for(const Te of Z)Te.cancel?.()};return new Promise((Te,Ne)=>{for(const be of Z)be.then(Ee=>{--he>=0&&J(Ee)?(we(),Te(Ee)):he===0&&Te(ae)}).catch(Ee=>{--he>=0&&(we(),Ne(Ee))})})}e.firstParallel=a;class m{constructor(J){this._size=0,this.maxDegreeOfParalellism=J,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new P.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(J){return this._size++,new Promise((ae,he)=>{this.outstandingPromises.push({factory:J,c:ae,e:he}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const J=this.outstandingPromises.shift();this.runningPromises++;const ae=J.factory();ae.then(J.c,J.e),ae.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=m;class d extends m{constructor(){super(1)}}e.Queue=d;class E{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const J=new K;return this.drainers.add(J),J.p}isDrained(){for(const[,J]of this.queues)if(J.size>0)return!1;return!0}queueFor(J,ae=C.extUri){const he=ae.getComparisonKey(J);let we=this.queues.get(he);return we||(we=new d,P.Event.once(we.onFinished)(()=>{we?.dispose(),this.queues.delete(he),this.onDidQueueFinish()}),this.queues.set(he,we)),we}onDidQueueFinish(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const J of this.drainers)J.complete();this.drainers.clear()}dispose(){for(const[,J]of this.queues)J.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=E;class T{constructor(J,ae){this._token=-1,typeof J=="function"&&typeof ae=="number"&&this.setIfNotSet(J,ae)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(J,ae){this.cancel(),this._token=setTimeout(()=>{this._token=-1,J()},ae)}setIfNotSet(J,ae){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,J()},ae))}}e.TimeoutTimer=T;class L{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(J,ae){this.cancel(),this._token=setInterval(()=>{J()},ae)}}e.IntervalTimer=L;class O{constructor(J,ae){this.timeoutToken=-1,this.runner=J,this.timeout=ae,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(J=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,J)}get delay(){return this.timeout}set delay(J){this.timeout=J}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=O;class y{constructor(J,ae){ae%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${ae}ms is not a multiple of 1000ms.`),this.runner=J,this.timeout=ae,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(J=this.timeout){J%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${J}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(J/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner&&this.runner())}}e.ProcessTimeRunOnceScheduler=y;class B extends O{constructor(J,ae){super(J,ae);this.units=[]}work(J){this.units.push(J),this.isScheduled()||this.schedule()}doRun(){const J=this.units;this.units=[],this.runner&&this.runner(J)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=B;class M extends A.Disposable{constructor(J,ae){super();this.options=J,this.handler=ae,this.pendingWork=[],this.throttler=this._register(new A.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(J){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+J.length>this.options.maxBufferedWork)return!1}else if(this.pending+J.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...J),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new O(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=M,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=Z=>{(0,k.setTimeout0)(()=>{if(J)return;const ae=Date.now()+15;Z(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,ae-Date.now())}}))});let J=!1;return{dispose(){J||(J=!0)}}}:e.runWhenIdle=(Z,J)=>{const ae=requestIdleCallback(Z,typeof J=="number"?{timeout:J}:void 0);let he=!1;return{dispose(){he||(he=!0,cancelIdleCallback(ae))}}}}();class z{constructor(J){this._didRun=!1,this._executor=()=>{try{this._value=J()}catch(ae){this._error=ae}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=z;async function V(Z,J,ae){let he;for(let we=0;we<ae;we++)try{return await Z()}catch(Te){he=Te,await o(J)}throw he}e.retry=V;class Q{hasPending(J){return this._pending?typeof J=="number"?this._pending.taskId===J:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(J,ae,he){return this._pending={taskId:J,cancel:()=>he?.(),promise:ae},ae.then(()=>this.donePending(J),()=>this.donePending(J)),ae}donePending(J){this._pending&&J===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const J=this._next;this._next=void 0,J.run().then(J.promiseResolve,J.promiseReject)}}setNext(J){if(this._next)this._next.run=J;else{let ae,he;const we=new Promise((Te,Ne)=>{ae=Te,he=Ne});this._next={run:J,promise:we,promiseResolve:ae,promiseReject:he}}return this._next.promise}}e.TaskSequentializer=Q;class H{constructor(J,ae=()=>Date.now()){this.interval=J,this.nowFn=ae,this.lastIncrementTime=0,this.value=0}increment(){const J=this.nowFn();return J-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=J,this.value=0),this.value++,this.value}}e.IntervalCounter=H;class K{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((J,ae)=>{this.completeCallback=J,this.errorCallback=ae})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(J){return new Promise(ae=>{this.completeCallback(J),this.resolved=!0,ae()})}error(J){return new Promise(ae=>{this.errorCallback(J),this.rejected=!0,ae()})}cancel(){new Promise(J=>{this.errorCallback(new t.CancellationError),this.rejected=!0,J()})}}e.DeferredPromise=K;var G;(function(Z){async function J(he){let we;const Te=await Promise.all(he.map(Ne=>Ne.then(be=>be,be=>{we||(we=be)})));if(typeof we!="undefined")throw we;return Te}Z.settled=J;function ae(he){return new Promise(async(we,Te)=>{try{await he(we,Te)}catch(Ne){Te(Ne)}})}Z.withAsyncBody=ae})(G=e.Promises||(e.Promises={}));var j;(function(Z){Z[Z.Initial=0]="Initial",Z[Z.DoneOK=1]="DoneOK",Z[Z.DoneError=2]="DoneError"})(j||(j={}));class ie{constructor(J){this._state=0,this._results=[],this._error=null,this._onStateChanged=new P.Emitter,queueMicrotask(async()=>{const ae={emitOne:he=>this.emitOne(he),emitMany:he=>this.emitMany(he),reject:he=>this.reject(he)};try{await Promise.resolve(J(ae)),this.resolve()}catch(he){this.reject(he)}finally{ae.emitOne=void 0,ae.emitMany=void 0,ae.reject=void 0}})}static fromArray(J){return new ie(ae=>{ae.emitMany(J)})}static fromPromise(J){return new ie(async ae=>{ae.emitMany(await J)})}static fromPromises(J){return new ie(async ae=>{await Promise.all(J.map(async he=>ae.emitOne(await he)))})}static merge(J){return new ie(async ae=>{await Promise.all(J.map(async he=>{for await(const we of he)ae.emitOne(we)}))})}[Symbol.asyncIterator](){let J=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(J<this._results.length)return{done:!1,value:this._results[J++]};if(this._state===1)return{done:!0,value:void 0};await P.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(J,ae){return new ie(async he=>{for await(const we of J)he.emitOne(ae(we))})}map(J){return ie.map(this,J)}static filter(J,ae){return new ie(async he=>{for await(const we of J)ae(we)&&he.emitOne(we)})}filter(J){return ie.filter(this,J)}static coalesce(J){return ie.filter(J,ae=>!!ae)}coalesce(){return ie.coalesce(this)}static async toPromise(J){const ae=[];for await(const he of J)ae.push(he);return ae}toPromise(){return ie.toPromise(this)}emitOne(J){this._state===0&&(this._results.push(J),this._onStateChanged.fire())}emitMany(J){this._state===0&&(this._results=this._results.concat(J),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(J){this._state===0&&(this._state=2,this._error=J,this._onStateChanged.fire())}}e.AsyncIterableObject=ie,ie.EMPTY=ie.fromArray([]);class oe extends ie{constructor(J,ae){super(ae);this._source=J}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=oe;function ue(Z){const J=new h.CancellationTokenSource,ae=Z(J.token);return new oe(J,async he=>{const we=J.token.onCancellationRequested(()=>{we.dispose(),J.dispose(),he.reject(new t.CancellationError)});try{for await(const Te of ae){if(J.token.isCancellationRequested)return;he.emitOne(Te)}we.dispose(),J.dispose()}catch(Te){we.dispose(),J.dispose(),he.reject(Te)}})}e.createCancelableAsyncIterable=ue}),define(pe[97],ve([1,0,15,9]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsUnicode=e.compareFileExtensionsLower=e.compareFileExtensionsUpper=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesUnicode=e.compareFileNamesLower=e.compareFileNamesUpper=e.compareFileNamesDefault=e.compareFileNames=void 0;const P=new h.IdleValue(()=>{const d=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:d,collatorIsNumeric:d.resolvedOptions().numeric}}),A=new h.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),C=new h.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function k(d,E,T=!1){const L=d||"",O=E||"",y=P.value.collator.compare(L,O);return P.value.collatorIsNumeric&&y===0&&L!==O?L<O?-1:1:y}e.compareFileNames=k;function _(d,E){const T=A.value.collator;return d=d||"",E=E||"",f(T,d,E)}e.compareFileNamesDefault=_;function R(d,E){const T=A.value.collator;return d=d||"",E=E||"",n(d,E)||f(T,d,E)}e.compareFileNamesUpper=R;function F(d,E){const T=A.value.collator;return d=d||"",E=E||"",o(d,E)||f(T,d,E)}e.compareFileNamesLower=F;function D(d,E){return d=d||"",E=E||"",d===E?0:d<E?-1:1}e.compareFileNamesUnicode=D;function p(d,E,T=!1){T||(d=d&&d.toLowerCase(),E=E&&E.toLowerCase());const[L,O]=l(d),[y,B]=l(E);return L!==y?L<y?-1:1:O===B?0:O<B?-1:1}e.noIntlCompareFileNames=p;function b(d,E){const[T,L]=l(d),[O,y]=l(E);let B=P.value.collator.compare(L,y);if(B===0){if(P.value.collatorIsNumeric&&L!==y)return L<y?-1:1;if(B=P.value.collator.compare(T,O),P.value.collatorIsNumeric&&B===0&&T!==O)return T<O?-1:1}return B}e.compareFileExtensions=b;function g(d,E){d=d||"",E=E||"";const T=c(d),L=c(E),O=A.value.collator,y=C.value.collator;return f(y,T,L)||f(O,d,E)}e.compareFileExtensionsDefault=g;function u(d,E){d=d||"",E=E||"";const T=c(d),L=c(E),O=A.value.collator,y=C.value.collator;return f(y,T,L)||n(d,E)||f(O,d,E)}e.compareFileExtensionsUpper=u;function w(d,E){d=d||"",E=E||"";const T=c(d),L=c(E),O=A.value.collator,y=C.value.collator;return f(y,T,L)||o(d,E)||f(O,d,E)}e.compareFileExtensionsLower=w;function S(d,E){d=d||"",E=E||"";const T=c(d).toLowerCase(),L=c(E).toLowerCase();return T!==L?T<L?-1:1:d!==E?d<E?-1:1:0}e.compareFileExtensionsUnicode=S;const I=/^(.*?)(\.([^.]*))?$/;function l(d,E=!1){const T=d?I.exec(d):[];let L=[T&&T[1]||"",T&&T[3]||""];return E&&(!L[0]&&L[1]||L[0]&&L[0].charAt(0)===".")&&(L=[L[0]+"."+L[1],""]),L}function c(d){const E=d?I.exec(d):[];return E&&E[1]&&E[1].charAt(0)!=="."&&E[3]||""}function f(d,E,T){let L=d.compare(E,T);return L!==0?L:E.length!==T.length?E.length<T.length?-1:1:0}function s(d){const E=d.charAt(0);return E.toLocaleUpperCase()!==E}function v(d){const E=d.charAt(0);return E.toLocaleLowerCase()!==E}function o(d,E){return s(d)&&v(E)?-1:v(d)&&s(E)?1:0}function n(d,E){return v(d)&&s(E)?-1:s(d)&&v(E)?1:0}function r(d,E,T=!1){return T||(d=d&&d.toLowerCase(),E=E&&E.toLowerCase()),d===E?0:d<E?-1:1}function i(d,E,T=!1){const L=d.split(t.sep),O=E.split(t.sep),y=L.length-1,B=O.length-1;let M,z;for(let V=0;;V++){if(M=y===V,z=B===V,M&&z)return k(L[V],O[V],T);if(M)return-1;if(z)return 1;const Q=r(L[V],O[V],T);if(Q!==0)return Q}}e.comparePaths=i;function a(d,E,T){const L=d.toLowerCase(),O=E.toLowerCase(),y=m(d,E,T);if(y)return y;const B=L.endsWith(T),M=O.endsWith(T);if(B!==M)return B?-1:1;const z=k(L,O);return z!==0?z:L.localeCompare(O)}e.compareAnything=a;function m(d,E,T){const L=d.toLowerCase(),O=E.toLowerCase(),y=L.startsWith(T),B=O.startsWith(T);if(y!==B)return y?-1:1;if(y&&B){if(L.length<O.length)return-1;if(L.length>O.length)return 1}return 0}e.compareByPrefix=m}),define(pe[98],ve([1,0,97,95,57,9,12,8]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.pieceToQuery=e.prepareQuery=e.compareItemsByFuzzyScore=e.scoreItemFuzzy=e.scoreFuzzy2=e.scoreFuzzy=void 0;const _=0,R=[_,[]];function F(Q,H,K,G){if(!Q||!H)return R;const j=Q.length,ie=H.length;if(j<ie)return R;const oe=Q.toLowerCase();return D(H,K,ie,Q,oe,j,G)}e.scoreFuzzy=F;function D(Q,H,K,G,j,ie,oe){const ue=[],Z=[];for(let we=0;we<K;we++){const Te=we*ie,Ne=Te-ie,be=we>0,Ee=Q[we],$=H[we];for(let U=0;U<ie;U++){const N=U>0,W=Te+U,q=W-1,re=Ne+U-1,de=N?ue[q]:0,Ce=be&&N?ue[re]:0,Ae=be&&N?Z[re]:0;let We;!Ce&&be?We=0:We=p(Ee,$,G,j,U,Ae),We&&Ce+We>=de&&(oe||be||j.startsWith(H,U))?(Z[W]=Ae+1,ue[W]=Ce+We):(Z[W]=_,ue[W]=de)}}const J=[];let ae=K-1,he=ie-1;for(;ae>=0&&he>=0;){const we=ae*ie+he;Z[we]===_||(J.push(he),ae--),he--}return[ue[K*ie-1],J.reverse()]}function p(Q,H,K,G,j,ie){let oe=0;if(!b(H,G[j]))return oe;if(oe+=1,ie>0&&(oe+=ie*5),Q===K[j]&&(oe+=1),j===0)oe+=8;else{const ue=g(K.charCodeAt(j-1));ue?oe+=ue:(0,t.isUpper)(K.charCodeAt(j))&&ie===0&&(oe+=2)}return oe}function b(Q,H){return Q===H?!0:Q==="/"||Q==="\\"?H==="/"||H==="\\":!1}function g(Q){switch(Q){case 47:case 92:return 5;case 95:case 45:case 46:case 32:case 39:case 34:case 58:return 4;default:return 0}}const u=[void 0,[]];function w(Q,H,K=0,G=0){const j=H;return j.values&&j.values.length>1?S(Q,j.values,K,G):I(Q,H,K,G)}e.scoreFuzzy2=w;function S(Q,H,K,G){let j=0;const ie=[];for(const oe of H){const[ue,Z]=I(Q,oe,K,G);if(typeof ue!="number")return u;j+=ue,ie.push(...Z)}return[j,m(ie)]}function I(Q,H,K,G){const j=(0,t.fuzzyScore)(H.original,H.originalLowercase,K,Q,Q.toLowerCase(),G,!0);return j?[j[0],(0,t.createMatches)(j)]:u}const l=Object.freeze({score:0}),c=1<<18,f=1<<17,s=1<<16;function v(Q,H,K,G){const j=G.values?G.values:[G];return(0,P.hash)({[G.normalized]:{values:j.map(oe=>({value:oe.normalized,expectContiguousMatch:oe.expectContiguousMatch})),label:Q,description:H,allowNonContiguousMatches:K}})}function o(Q,H,K,G,j){if(!Q||!H.normalized)return l;const ie=G.getItemLabel(Q);if(!ie)return l;const oe=G.getItemDescription(Q),ue=v(ie,oe,K,H),Z=j[ue];if(Z)return Z;const J=n(ie,oe,G.getItemPath(Q),H,K);return j[ue]=J,J}e.scoreItemFuzzy=o;function n(Q,H,K,G,j){const ie=!K||!G.containsPathSeparator;return K&&(C.isLinux?G.pathNormalized===K:(0,k.equalsIgnoreCase)(G.pathNormalized,K))?{score:c,labelMatch:[{start:0,end:Q.length}],descriptionMatch:H?[{start:0,end:H.length}]:void 0}:G.values&&G.values.length>1?r(Q,H,K,G.values,ie,j):i(Q,H,K,G,ie,j)}function r(Q,H,K,G,j,ie){let oe=0;const ue=[],Z=[];for(const J of G){const{score:ae,labelMatch:he,descriptionMatch:we}=i(Q,H,K,J,j,ie);if(ae===_)return l;oe+=ae,he&&ue.push(...he),we&&Z.push(...we)}return{score:oe,labelMatch:m(ue),descriptionMatch:m(Z)}}function i(Q,H,K,G,j,ie){if(j||!H){const[oe,ue]=F(Q,G.normalized,G.normalizedLowercase,ie&&!G.expectContiguousMatch);if(oe){const Z=(0,t.matchesPrefix)(G.normalized,Q);let J;return Z?(J=f,J+=Math.round(G.normalized.length/Q.length*100)):J=s,{score:J+oe,labelMatch:Z||a(ue)}}}if(H){let oe=H;K&&(oe=`${H}${A.sep}`);const ue=oe.length,Z=`${oe}${Q}`,[J,ae]=F(Z,G.normalized,G.normalizedLowercase,ie&&!G.expectContiguousMatch);if(J){const he=a(ae),we=[],Te=[];return he.forEach(Ne=>{Ne.start<ue&&Ne.end>ue?(we.push({start:0,end:Ne.end-ue}),Te.push({start:Ne.start,end:ue})):Ne.start>=ue?we.push({start:Ne.start-ue,end:Ne.end-ue}):Te.push(Ne)}),{score:J,labelMatch:we,descriptionMatch:Te}}}return l}function a(Q){const H=[];if(!Q)return H;let K;for(const G of Q)K&&K.end===G?K.end+=1:(K={start:G,end:G+1},H.push(K));return H}function m(Q){const H=Q.sort((j,ie)=>j.start-ie.start),K=[];let G;for(const j of H)!G||!d(G,j)?(G=j,K.push(j)):(G.start=Math.min(G.start,j.start),G.end=Math.max(G.end,j.end));return K}function d(Q,H){return!(Q.end<H.start||H.end<Q.start)}function E(Q,H,K,G,j,ie){const oe=o(Q,K,G,j,ie),ue=o(H,K,G,j,ie),Z=oe.score,J=ue.score;if((Z===c||J===c)&&Z!==J)return Z===c?-1:1;if(Z>s||J>s){if(Z!==J)return Z>J?-1:1;if(Z<f&&J<f){const Ee=L(oe.labelMatch,ue.labelMatch);if(Ee!==0)return Ee}const Ne=j.getItemLabel(Q)||"",be=j.getItemLabel(H)||"";if(Ne.length!==be.length)return Ne.length-be.length}if(Z!==J)return Z>J?-1:1;const ae=Array.isArray(oe.labelMatch)&&oe.labelMatch.length>0,he=Array.isArray(ue.labelMatch)&&ue.labelMatch.length>0;if(ae&&!he)return-1;if(he&&!ae)return 1;const we=T(Q,oe,j),Te=T(H,ue,j);return we&&Te&&we!==Te?Te>we?-1:1:O(Q,H,K,j)}e.compareItemsByFuzzyScore=E;function T(Q,H,K){let G=-1,j=-1;if(H.descriptionMatch&&H.descriptionMatch.length?G=H.descriptionMatch[0].start:H.labelMatch&&H.labelMatch.length&&(G=H.labelMatch[0].start),H.labelMatch&&H.labelMatch.length){if(j=H.labelMatch[H.labelMatch.length-1].end,H.descriptionMatch&&H.descriptionMatch.length){const ie=K.getItemDescription(Q);ie&&(j+=ie.length)}}else H.descriptionMatch&&H.descriptionMatch.length&&(j=H.descriptionMatch[H.descriptionMatch.length-1].end);return j-G}function L(Q,H){if(!Q&&!H||(!Q||!Q.length)&&(!H||!H.length))return 0;if(!H||!H.length)return-1;if(!Q||!Q.length)return 1;const K=Q[0].start,j=Q[Q.length-1].end-K,ie=H[0].start,ue=H[H.length-1].end-ie;return j===ue?0:ue<j?1:-1}function O(Q,H,K,G){const j=G.getItemLabel(Q)||"",ie=G.getItemLabel(H)||"",oe=G.getItemDescription(Q),ue=G.getItemDescription(H),Z=j.length+(oe?oe.length:0),J=ie.length+(ue?ue.length:0);if(Z!==J)return Z-J;const ae=G.getItemPath(Q),he=G.getItemPath(H);return ae&&he&&ae.length!==he.length?ae.length-he.length:j!==ie?(0,h.compareAnything)(j,ie,K.normalized):oe&&ue&&oe!==ue?(0,h.compareAnything)(oe,ue,K.normalized):ae&&he&&ae!==he?(0,h.compareAnything)(ae,he,K.normalized):0}function y(Q){return Q.startsWith('"')&&Q.endsWith('"')}const B=" ";function M(Q){typeof Q!="string"&&(Q="");const H=Q.toLowerCase(),{pathNormalized:K,normalized:G,normalizedLowercase:j}=z(Q),ie=K.indexOf(A.sep)>=0,oe=y(Q);let ue;const Z=Q.split(B);if(Z.length>1)for(const J of Z){const ae=y(J),{pathNormalized:he,normalized:we,normalizedLowercase:Te}=z(J);we&&(ue||(ue=[]),ue.push({original:J,originalLowercase:J.toLowerCase(),pathNormalized:he,normalized:we,normalizedLowercase:Te,expectContiguousMatch:ae}))}return{original:Q,originalLowercase:H,pathNormalized:K,normalized:G,normalizedLowercase:j,values:ue,containsPathSeparator:ie,expectContiguousMatch:oe}}e.prepareQuery=M;function z(Q){let H;C.isWindows?H=Q.replace(/\//g,A.sep):H=Q.replace(/\\/g,A.sep);const K=(0,k.stripWildcards)(H).replace(/\s|"/g,"");return{pathNormalized:H,normalized:K,normalizedLowercase:K.toLowerCase()}}function V(Q){return Array.isArray(Q)?M(Q.map(H=>H.original).join(B)):M(Q.original)}e.pieceToQuery=V}),define(pe[32],ve([1,0,15,29,24,9,12,8]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function _(){return Object.create(null)}e.getEmptyExpression=_,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const R="[/\\\\]",F="[^/\\\\]",D=/\//g;function p(K){switch(K){case 0:return"";case 1:return`${F}*?`;default:return`(?:${R}|${F}+${R}|${R}${F}+)*?`}}function b(K,G){if(!K)return[];const j=[];let ie=!1,oe=!1,ue="";for(const Z of K){switch(Z){case G:if(!ie&&!oe){j.push(ue),ue="";continue}break;case"{":ie=!0;break;case"}":ie=!1;break;case"[":oe=!0;break;case"]":oe=!1;break}ue+=Z}return ue&&j.push(ue),j}e.splitGlobAware=b;function g(K){if(!K)return"";let G="";const j=b(K,e.GLOB_SPLIT);if(j.every(ie=>ie===e.GLOBSTAR))G=".*";else{let ie=!1;j.forEach((oe,ue)=>{if(oe===e.GLOBSTAR){ie||(G+=p(2),ie=!0);return}let Z=!1,J="",ae=!1,he="";for(const we of oe){if(we!=="}"&&Z){J+=we;continue}if(ae&&(we!=="]"||!he)){let Te;we==="-"?Te=we:(we==="^"||we==="!")&&!he?Te="^":we===e.GLOB_SPLIT?Te="":Te=(0,k.escapeRegExpCharacters)(we),he+=Te;continue}switch(we){case"{":Z=!0;continue;case"[":ae=!0;continue;case"}":{G+=`(?:${b(J,",").map(be=>g(be)).join("|")})`,Z=!1,J="";break}case"]":G+="["+he+"]",ae=!1,he="";break;case"?":G+=F;continue;case"*":G+=p(1);continue;default:G+=(0,k.escapeRegExpCharacters)(we)}}ue<j.length-1&&(j[ue+1]!==e.GLOBSTAR||ue+2<j.length)&&(G+=R),ie=!1})}return G}const u=/^\*\*\/\*\.[\w\.-]+$/,w=/^\*\*\/([\w\.-]+)\/?$/,S=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,I=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,l=/^\*\*((\/[\w\.-]+)+)\/?$/,c=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,f=new P.LRUCache(1e4),s=function(){return!1},v=function(){return null};function o(K,G){if(!K)return v;let j;typeof K!="string"?j=K.pattern:j=K,j=j.trim();const ie=`${j}_${!!G.trimForExclusions}`;let oe=f.get(ie);if(oe)return n(oe,K);let ue;if(u.test(j)){const Z=j.substr(4);oe=function(J,ae){return typeof J=="string"&&J.endsWith(Z)?j:null}}else(ue=w.exec(r(j,G)))?oe=i(ue[1],j):(G.trimForExclusions?I:S).test(j)?oe=a(j,G):(ue=l.exec(r(j,G)))?oe=m(ue[1].substr(1),j,!0):(ue=c.exec(r(j,G)))?oe=m(ue[1],j,!1):oe=d(j);return f.set(ie,oe),n(oe,K)}function n(K,G){return typeof G=="string"?K:function(j,ie){return(0,t.isEqualOrParent)(j,G.base,!C.isLinux)?K(j.substr(G.base.length+1),ie):null}}function r(K,G){return G.trimForExclusions&&K.endsWith("/**")?K.substr(0,K.length-2):K}function i(K,G){const j=`/${K}`,ie=`\\${K}`,oe=function(Z,J){return typeof Z!="string"?null:J?J===K?G:null:Z===K||Z.endsWith(j)||Z.endsWith(ie)?G:null},ue=[K];return oe.basenames=ue,oe.patterns=[G],oe.allBasenames=ue,oe}function a(K,G){const j=H(K.slice(1,-1).split(",").map(J=>o(J,G)).filter(J=>J!==v),K),ie=j.length;if(!ie)return v;if(ie===1)return j[0];const oe=function(J,ae){for(let he=0,we=j.length;he<we;he++)if(j[he](J,ae))return K;return null},ue=j.find(J=>!!J.allBasenames);ue&&(oe.allBasenames=ue.allBasenames);const Z=j.reduce((J,ae)=>ae.allPaths?J.concat(ae.allPaths):J,[]);return Z.length&&(oe.allPaths=Z),oe}function m(K,G,j){const ie=A.sep===A.posix.sep,oe=ie?K:K.replace(D,A.sep),ue=A.sep+oe,Z=A.posix.sep+K,J=j?function(ae,he){return typeof ae=="string"&&(ae===oe||ae.endsWith(ue)||!ie&&(ae===K||ae.endsWith(Z)))?G:null}:function(ae,he){return typeof ae=="string"&&(ae===oe||!ie&&ae===K)?G:null};return J.allPaths=[(j?"*/":"./")+K],J}function d(K){try{const G=new RegExp(`^${g(K)}$`);return function(j){return G.lastIndex=0,typeof j=="string"&&G.test(j)?K:null}}catch{return v}}function E(K,G,j){return!K||typeof G!="string"?!1:T(K)(G,void 0,j)}e.match=E;function T(K,G={}){if(!K)return s;if(typeof K=="string"||B(K)){const j=o(K,G);if(j===v)return s;const ie=function(oe,ue){return!!j(oe,ue)};return j.allBasenames&&(ie.allBasenames=j.allBasenames),j.allPaths&&(ie.allPaths=j.allPaths),ie}return V(K,G)}e.parse=T;function L(K){if(!K)return;let G;return j=>(G||(G=(K()||Promise.resolve([])).then(ie=>ie?y(ie):{})),G.then(ie=>!!ie[j]))}e.hasSiblingPromiseFn=L;function O(K){if(!K)return;let G;return j=>{if(!G){const ie=K();G=ie?y(ie):{}}return!!G[j]}}e.hasSiblingFn=O;function y(K){const G={};for(const j of K)G[j]=!0;return G}function B(K){const G=K;return G?typeof G.base=="string"&&typeof G.pattern=="string":!1}e.isRelativePattern=B;function M(K){return K.allBasenames||[]}e.getBasenameTerms=M;function z(K){return K.allPaths||[]}e.getPathTerms=z;function V(K,G){const j=H(Object.getOwnPropertyNames(K).map(J=>Q(J,K[J],G)).filter(J=>J!==v)),ie=j.length;if(!ie)return v;if(!j.some(J=>!!J.requiresSiblings)){if(ie===1)return j[0];const J=function(we,Te){for(let Ne=0,be=j.length;Ne<be;Ne++){const Ee=j[Ne](we,Te);if(Ee)return Ee}return null},ae=j.find(we=>!!we.allBasenames);ae&&(J.allBasenames=ae.allBasenames);const he=j.reduce((we,Te)=>Te.allPaths?we.concat(Te.allPaths):we,[]);return he.length&&(J.allPaths=he),J}const oe=function(J,ae,he){let we;for(let Te=0,Ne=j.length;Te<Ne;Te++){const be=j[Te];be.requiresSiblings&&he&&(ae||(ae=(0,A.basename)(J)),we||(we=ae.substr(0,ae.length-(0,A.extname)(J).length)));const Ee=be(J,ae,we,he);if(Ee)return Ee}return null},ue=j.find(J=>!!J.allBasenames);ue&&(oe.allBasenames=ue.allBasenames);const Z=j.reduce((J,ae)=>ae.allPaths?J.concat(ae.allPaths):J,[]);return Z.length&&(oe.allPaths=Z),oe}function Q(K,G,j){if(G===!1)return v;const ie=o(K,j);if(ie===v)return v;if(typeof G=="boolean")return ie;if(G){const oe=G.when;if(typeof oe=="string"){const ue=(Z,J,ae,he)=>{if(!he||!ie(Z,J))return null;const we=oe.replace("$(basename)",ae),Te=he(we);return(0,h.isThenable)(Te)?Te.then(Ne=>Ne?K:null):Te?K:null};return ue.requiresSiblings=!0,ue}}return ie}function H(K,G){const j=K.filter(J=>!!J.basenames);if(j.length<2)return K;const ie=j.reduce((J,ae)=>{const he=ae.basenames;return he?J.concat(he):J},[]);let oe;if(G){oe=[];for(let J=0,ae=ie.length;J<ae;J++)oe.push(G)}else oe=j.reduce((J,ae)=>{const he=ae.patterns;return he?J.concat(he):J},[]);const ue=function(J,ae){if(typeof J!="string")return null;if(!ae){let we;for(we=J.length;we>0;we--){const Te=J.charCodeAt(we-1);if(Te===47||Te===92)break}ae=J.substr(we)}const he=ie.indexOf(ae);return he!==-1?oe[he]:null};ue.basenames=ie,ue.patterns=oe,ue.allBasenames=ie;const Z=K.filter(J=>!J.basenames);return Z.push(ue),Z}}),define(pe[99],ve([1,0,17,144,23,2]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeMarkdownSyntaxTokens=e.markdownStringEqual=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var C;(function(g){g[g.Paragraph=0]="Paragraph",g[g.Break=1]="Break"})(C=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class k{constructor(u="",w=!1){if(this.value=u,typeof this.value!="string")throw(0,h.illegalArgument)("value");typeof w=="boolean"?(this.isTrusted=w,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=w.isTrusted??void 0,this.supportThemeIcons=w.supportThemeIcons??!1,this.supportHtml=w.supportHtml??!1)}appendText(u,w=0){return this.value+=D(this.supportThemeIcons?(0,t.escapeIcons)(u):u).replace(/([ \t]+)/g,(S,I)=>"&nbsp;".repeat(I.length)).replace(/\>/gm,"\\>").replace(/\n/g,w===1?`\\
`:`

`),this}appendMarkdown(u){return this.value+=u,this}appendCodeblock(u,w){return this.value+="\n```",this.value+=u,this.value+=`
`,this.value+=w,this.value+="\n```\n",this}}e.MarkdownString=k;function _(g){return R(g)?!g.value:Array.isArray(g)?g.every(_):!0}e.isEmptyMarkdownString=_;function R(g){return g instanceof k?!0:g&&typeof g=="object"?typeof g.value=="string"&&(typeof g.isTrusted=="boolean"||g.isTrusted===void 0)&&(typeof g.supportThemeIcons=="boolean"||g.supportThemeIcons===void 0):!1}e.isMarkdownString=R;function F(g,u){return g===u?!0:!g||!u?!1:g.value===u.value&&g.isTrusted===u.isTrusted&&g.supportThemeIcons===u.supportThemeIcons&&g.supportHtml===u.supportHtml&&(g.baseUri===u.baseUri||!!g.baseUri&&!!u.baseUri&&(0,P.isEqual)(A.URI.from(g.baseUri),A.URI.from(u.baseUri)))}e.markdownStringEqual=F;function D(g){return g.replace(/[\\`*_{}[\]()#+\-!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=D;function p(g){return g&&g.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=p;function b(g){const u=[],w=g.split("|").map(I=>I.trim());g=w[0];const S=w[1];if(S){const I=/height=(\d+)/.exec(S),l=/width=(\d+)/.exec(S),c=I?I[1]:"",f=l?l[1]:"",s=isFinite(parseInt(f)),v=isFinite(parseInt(c));s&&u.push(`width="${f}"`),v&&u.push(`height="${c}"`)}return{href:g,dimensions:u}}e.parseHrefAndDimensions=b}),define(pe[100],ve([1,0,29,10,9,12,23,8,2]),function(ee,e,h,t,P,A,C,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function R(n,r,i){if(typeof n=="string"&&(n=_.URI.file(n)),i){const m=i.getWorkspaceFolder(n);if(m){const d=i.getWorkspace().folders.length>1;let E;if((0,C.isEqual)(m.uri,n)?E="":E=(0,C.relativePath)(m.uri,n),d){const T=m.name?m.name:(0,C.basename)(m.uri);E=E?T+" \u2022 "+E:T}return E}}if(n.scheme!==t.Schemas.file&&n.scheme!==t.Schemas.untitled)return n.with({query:null,fragment:null}).toString(!0);if((0,h.hasDriveLetter)(n.fsPath))return(0,P.normalize)(D(n.fsPath));let a=(0,P.normalize)(n.fsPath);return!A.isWindows&&r?.userHome&&(a=b(a,r.userHome.fsPath)),a}e.getPathLabel=R;function F(n){if(!n)return;typeof n=="string"&&(n=_.URI.file(n));const r=(0,C.basename)(n)||(n.scheme===t.Schemas.file?n.fsPath:n.path);return A.isWindows&&(0,h.isRootOrDriveLetter)(r)?D(r):r}e.getBaseLabel=F;function D(n,r){return(0,h.hasDriveLetter)(n,r)?n.charAt(0).toUpperCase()+n.slice(1):n}e.normalizeDriveLetter=D;let p=Object.create(null);function b(n,r){if(A.isWindows||!n||!r)return n;let i=p.original===r?p.normalized:void 0;return i||(i=`${(0,k.rtrim)(r,P.posix.sep)}${P.posix.sep}`,p={original:r,normalized:i}),(A.isLinux?n.startsWith(i):(0,k.startsWithIgnoreCase)(n,i))&&(n=`~/${n.substr(i.length)}`),n}e.tildify=b;function g(n,r){return n.replace(/^~($|\/|\\)/,`${r}$1`)}e.untildify=g;const u="\u2026",w="\\\\",S="~";function I(n,r=P.sep){const i=new Array(n.length);let a=!1;for(let m=0;m<n.length;m++){let d=n[m];if(d===""){i[m]=`.${r}`;continue}if(!d){i[m]=d;continue}a=!0;let E="";d.indexOf(w)===0?(E=d.substr(0,d.indexOf(w)+w.length),d=d.substr(d.indexOf(w)+w.length)):d.indexOf(r)===0?(E=d.substr(0,d.indexOf(r)+r.length),d=d.substr(d.indexOf(r)+r.length)):d.indexOf(S)===0&&(E=d.substr(0,d.indexOf(S)+S.length),d=d.substr(d.indexOf(S)+S.length));const T=d.split(r);for(let L=1;a&&L<=T.length;L++)for(let O=T.length-L;a&&O>=0;O--){a=!1;let y=T.slice(O,O+L).join(r);for(let B=0;!a&&B<n.length;B++)if(B!==m&&n[B]&&n[B].indexOf(y)>-1){const M=O+L===T.length,z=O>0&&n[B].indexOf(r)>-1?r+y:y,V=n[B].endsWith(z);a=!M||V}if(!a){let B="";(T[0].endsWith(":")||E!=="")&&(O===1&&(O=0,L++,y=T[0]+r+y),O>0&&(B=T[0]+r),B=E+B),O>0&&(B=B+u+r),B=B+y,O+L<T.length&&(B=B+r+u),i[m]=B}}a&&(i[m]=d)}return i}e.shorten=I;var l;(function(n){n[n.TEXT=0]="TEXT",n[n.VARIABLE=1]="VARIABLE",n[n.SEPARATOR=2]="SEPARATOR"})(l||(l={}));function c(n,r=Object.create(null)){const i=[];let a=!1,m="";for(const d of n)if(d==="$"||a&&d==="{")m&&i.push({value:m,type:l.TEXT}),m="",a=!0;else if(d==="}"&&a){const E=r[m];if(typeof E=="string")E.length&&i.push({value:E,type:l.VARIABLE});else if(E){const T=i[i.length-1];(!T||T.type!==l.SEPARATOR)&&i.push({value:E.label,type:l.SEPARATOR})}m="",a=!1}else m+=d;return m&&!a&&i.push({value:m,type:l.TEXT}),i.filter((d,E)=>{if(d.type===l.SEPARATOR){const T=i[E-1],L=i[E+1];return[T,L].every(O=>O&&(O.type===l.VARIABLE||O.type===l.TEXT)&&O.value.length>0)}return!0}).map(d=>d.value).join("")}e.template=c;function f(n,r){return A.isMacintosh||r?n.replace(/\(&&\w\)|&&/g,"").replace(/&/g,A.isMacintosh?"&":"&&"):n.replace(/&&|&/g,i=>i==="&"?"&&":"&")}e.mnemonicMenuLabel=f;function s(n,r){return A.isMacintosh||r?n.replace(/\(&&\w\)|&&/g,""):A.isWindows?n.replace(/&&|&/g,i=>i==="&"?"&&":"&"):n.replace(/&&/g,"_")}e.mnemonicButtonLabel=s;function v(n){return n.replace(/&/g,"&&")}e.unmnemonicLabel=v;function o(n){const r=n.indexOf("/")!==-1?P.posix:P.win32,i=r.basename(n),a=r.dirname(n);return i.length?{name:i,parentPath:a}:{name:a,parentPath:""}}e.splitName=o}),define(pe[101],ve([1,0,2]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function t(F){return F.toJSON()}class P{constructor(D){this._uriTransformer=D}transformIncoming(D){const p=this._uriTransformer.transformIncoming(D);return p===D?D:t(h.URI.from(p))}transformOutgoing(D){const p=this._uriTransformer.transformOutgoing(D);return p===D?D:t(h.URI.from(p))}transformOutgoingURI(D){const p=this._uriTransformer.transformOutgoing(D);return p===D?D:h.URI.from(p)}transformOutgoingScheme(D){return this._uriTransformer.transformOutgoingScheme(D)}}e.URITransformer=P,e.DefaultURITransformer=new class{transformIncoming(F){return F}transformOutgoing(F){return F}transformOutgoingURI(F){return F}transformOutgoingScheme(F){return F}};function A(F,D,p){if(!F||p>200)return null;if(typeof F=="object"){if(F instanceof h.URI)return D.transformOutgoing(F);for(let b in F)if(Object.hasOwnProperty.call(F,b)){const g=A(F[b],D,p+1);g!==null&&(F[b]=g)}}return null}function C(F,D){const p=A(F,D,0);return p===null?F:p}e.transformOutgoingURIs=C;function k(F,D,p,b){if(!F||b>200)return null;if(typeof F=="object"){if(F.$mid===1)return p?h.URI.revive(D.transformIncoming(F)):D.transformIncoming(F);for(let g in F)if(Object.hasOwnProperty.call(F,g)){const u=k(F[g],D,p,b+1);u!==null&&(F[g]=u)}}return null}function _(F,D){const p=k(F,D,!1,0);return p===null?F:p}e.transformIncomingURIs=_;function R(F,D){const p=k(F,D,!0,0);return p===null?F:p}e.transformAndReviveIncomingURIs=R}),define(pe[33],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const h=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function t(_){return h.test(_)}e.isUUID=t;const P=new Uint8Array(16),A=[];for(let _=0;_<256;_++)A.push(_.toString(16).padStart(2,"0"));let C;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?C=crypto.getRandomValues.bind(crypto):C=function(_){for(let R=0;R<_.length;R++)_[R]=Math.floor(Math.random()*256);return _};function k(){C(P),P[6]=P[6]&15|64,P[8]=P[8]&63|128;let _=0,R="";return R+=A[P[_++]],R+=A[P[_++]],R+=A[P[_++]],R+=A[P[_++]],R+="-",R+=A[P[_++]],R+=A[P[_++]],R+="-",R+=A[P[_++]],R+=A[P[_++]],R+="-",R+=A[P[_++]],R+=A[P[_++]],R+="-",R+=A[P[_++]],R+=A[P[_++]],R+=A[P[_++]],R+=A[P[_++]],R+=A[P[_++]],R+=A[P[_++]],R}e.generateUuid=k}),define(pe[145],ve([1,0,102]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class t{constructor(A="utf8"){this.stringDecoder=new h.StringDecoder(A),this.remaining=null}write(A){const C=[],k=this.remaining?this.remaining+this.stringDecoder.write(A):this.stringDecoder.write(A);if(k.length<1)return C;let _=0,R,F=_;for(;F<k.length;)if(R=k.charCodeAt(F),R===13||R===10){if(C.push(k.substring(_,F)),F++,F<k.length){const D=R;R=k.charCodeAt(F),(D===13&&R===10||D===10&&R===13)&&F++}_=F}else F++;return this.remaining=_<k.length?k.substr(_):null,C}end(){return this.remaining}}e.LineDecoder=t}),define(pe[28],ve([1,0,59,60,291,15,29,78,9,12,23,2]),function(ee,e,h,t,P,A,C,k,_,R,F,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var p;(function(M){M[M.UNLINK=0]="UNLINK",M[M.MOVE=1]="MOVE"})(p=e.RimRafMode||(e.RimRafMode={}));async function b(M,z=p.UNLINK){if((0,C.isRootOrDriveLetter)(M))throw new Error("rimraf - will refuse to recursively delete root");return z===p.UNLINK?u(M):g(M)}async function g(M){try{const z=(0,C.randomPath)((0,t.tmpdir)());try{await h.promises.rename(M,z)}catch{return u(M)}u(z).catch(V=>{})}catch(z){if(z.code!=="ENOENT")throw z}}async function u(M){return(0,P.promisify)(h.rm)(M,{recursive:!0,force:!0,maxRetries:3})}function w(M){if((0,C.isRootOrDriveLetter)(M))throw new Error("rimraf - will refuse to recursively delete root");h.rmSync(M,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=w;async function S(M,z){return c(await(z?I(M):(0,P.promisify)(h.readdir)(M)))}async function I(M){try{return await(0,P.promisify)(h.readdir)(M,{withFileTypes:!0})}catch(Q){console.warn("[node.js fs] readdir with filetypes failed with error: ",Q)}const z=[],V=await S(M);for(const Q of V){let H=!1,K=!1,G=!1;try{const j=await e.Promises.lstat((0,_.join)(M,Q));H=j.isFile(),K=j.isDirectory(),G=j.isSymbolicLink()}catch(j){console.warn("[node.js fs] unexpected error from lstat after readdir: ",j)}z.push({name:Q,isFile:()=>H,isDirectory:()=>K,isSymbolicLink:()=>G})}return z}function l(M){return c(h.readdirSync(M))}e.readdirSync=l;function c(M){return M.map(z=>typeof z=="string"?R.isMacintosh?(0,k.normalizeNFC)(z):z:(z.name=R.isMacintosh?(0,k.normalizeNFC)(z.name):z.name,z))}async function f(M){const z=await S(M),V=[];for(const Q of z)await v.existsDirectory((0,_.join)(M,Q))&&V.push(Q);return V}function s(M,z=1e3){return new Promise(V=>{let Q=!1;const H=setInterval(()=>{Q||(Q=!0,h.access(M,K=>{Q=!1,K&&(clearInterval(H),V(void 0))}))},z)})}e.whenDeleted=s;var v;(function(M){async function z(H){let K;try{if(K=await e.Promises.lstat(H),!K.isSymbolicLink())return{stat:K}}catch{}try{return{stat:await e.Promises.stat(H),symbolicLink:K?.isSymbolicLink()?{dangling:!1}:void 0}}catch(G){if(G.code==="ENOENT"&&K)return{stat:K,symbolicLink:{dangling:!0}};if(R.isWindows&&G.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(H)),symbolicLink:{dangling:!1}}}catch(j){if(j.code==="ENOENT"&&K)return{stat:K,symbolicLink:{dangling:!0}};throw j}throw G}}M.stat=z;async function V(H){try{const{stat:K,symbolicLink:G}=await M.stat(H);return K.isFile()&&G?.dangling!==!0}catch{}return!1}M.existsFile=V;async function Q(H){try{const{stat:K,symbolicLink:G}=await M.stat(H);return K.isDirectory()&&G?.dangling!==!0}catch{}return!1}M.existsDirectory=Q})(v=e.SymlinkSupport||(e.SymlinkSupport={}));const o=new A.ResourceQueue;function n(M,z,V){return o.queueFor(D.URI.file(M),F.extUriBiasedIgnorePathCase).queue(()=>{const Q=m(V);return new Promise((H,K)=>i(M,z,Q,G=>G?K(G):H()))})}let r=!0;function i(M,z,V,Q){if(!r)return h.writeFile(M,z,{mode:V.mode,flag:V.flag},Q);h.open(M,V.flag,V.mode,(H,K)=>{if(H)return Q(H);h.writeFile(K,z,G=>{if(G)return h.close(K,()=>Q(G));h.fdatasync(K,j=>(j&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",j),r=!1),h.close(K,ie=>Q(ie))))})})}function a(M,z,V){const Q=m(V);if(!r)return h.writeFileSync(M,z,{mode:Q.mode,flag:Q.flag});const H=h.openSync(M,Q.flag,Q.mode);try{h.writeFileSync(H,z);try{h.fdatasyncSync(H)}catch(K){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",K),r=!1}}finally{h.closeSync(H)}}e.writeFileSync=a;function m(M){return M?{mode:typeof M.mode=="number"?M.mode:438,flag:typeof M.flag=="string"?M.flag:"w"}:{mode:438,flag:"w"}}async function d(M,z){if(M!==z)try{await e.Promises.rename(M,z)}catch(V){if(M.toLowerCase()!==z.toLowerCase()&&V.code==="EXDEV"||M.endsWith("."))await E(M,z,{preserveSymlinks:!1}),await b(M,p.MOVE);else throw V}}async function E(M,z,V){return L(M,z,{root:{source:M,target:z},options:V,handledSourcePaths:new Set})}const T=511;async function L(M,z,V){if(V.handledSourcePaths.has(M))return;V.handledSourcePaths.add(M);const{stat:Q,symbolicLink:H}=await v.stat(M);if(H){if(V.options.preserveSymlinks)try{return await B(M,z,V)}catch(K){console.warn("[node.js fs] copy of symlink failed: ",K)}if(H.dangling)return}return Q.isDirectory()?O(M,z,Q.mode&T,V):y(M,z,Q.mode&T)}async function O(M,z,V,Q){await e.Promises.mkdir(z,{recursive:!0,mode:V});const H=await S(M);for(const K of H)await L((0,_.join)(M,K),(0,_.join)(z,K),Q)}async function y(M,z,V){await e.Promises.copyFile(M,z),await e.Promises.chmod(z,V)}async function B(M,z,V){let Q=await e.Promises.readlink(M);(0,C.isEqualOrParent)(Q,V.root.source,!R.isLinux)&&(Q=(0,_.join)(V.root.target,Q.substr(V.root.source.length+1))),await e.Promises.symlink(Q,z)}e.Promises=new class{get access(){return(0,P.promisify)(h.access)}get stat(){return(0,P.promisify)(h.stat)}get lstat(){return(0,P.promisify)(h.lstat)}get utimes(){return(0,P.promisify)(h.utimes)}get read(){return(M,z,V,Q,H)=>new Promise((K,G)=>{h.read(M,z,V,Q,H,(j,ie,oe)=>j?G(j):K({bytesRead:ie,buffer:oe}))})}get readFile(){return(0,P.promisify)(h.readFile)}get write(){return(M,z,V,Q,H)=>new Promise((K,G)=>{h.write(M,z,V,Q,H,(j,ie,oe)=>j?G(j):K({bytesWritten:ie,buffer:oe}))})}get appendFile(){return(0,P.promisify)(h.appendFile)}get fdatasync(){return(0,P.promisify)(h.fdatasync)}get truncate(){return(0,P.promisify)(h.truncate)}get rename(){return(0,P.promisify)(h.rename)}get copyFile(){return(0,P.promisify)(h.copyFile)}get open(){return(0,P.promisify)(h.open)}get close(){return(0,P.promisify)(h.close)}get symlink(){return(0,P.promisify)(h.symlink)}get readlink(){return(0,P.promisify)(h.readlink)}get chmod(){return(0,P.promisify)(h.chmod)}get mkdir(){return(0,P.promisify)(h.mkdir)}get unlink(){return(0,P.promisify)(h.unlink)}get rmdir(){return(0,P.promisify)(h.rmdir)}get realpath(){return(0,P.promisify)(h.realpath)}async exists(M){try{return await e.Promises.access(M),!0}catch{return!1}}get readdir(){return S}get readDirsInDir(){return f}get writeFile(){return n}get rm(){return b}get move(){return d}get copy(){return E}}}),define(pe[103],ve([1,0,59,9,12,8,28]),function(ee,e,h,t,P,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcase=e.realcaseSync=void 0;function k(p){if(P.isLinux)return p;const b=(0,t.dirname)(p);if(p===b)return p;const g=((0,t.basename)(p)||p).toLowerCase();try{const w=(0,C.readdirSync)(b).filter(S=>S.toLowerCase()===g);if(w.length===1){const S=k(b);if(S)return(0,t.join)(S,w[0])}else if(w.length>1){const S=w.indexOf(g);if(S>=0){const I=k(b);if(I)return(0,t.join)(I,w[S])}}}catch{}return null}e.realcaseSync=k;async function _(p){if(P.isLinux)return p;const b=(0,t.dirname)(p);if(p===b)return p;const g=((0,t.basename)(p)||p).toLowerCase();try{const w=(await C.Promises.readdir(b)).filter(S=>S.toLowerCase()===g);if(w.length===1){const S=await _(b);if(S)return(0,t.join)(S,w[0])}else if(w.length>1){const S=w.indexOf(g);if(S>=0){const I=await _(b);if(I)return(0,t.join)(I,w[S])}}}catch{}return null}e.realcase=_;async function R(p){try{return await C.Promises.realpath(p)}catch{const g=D(p);return await C.Promises.access(g,h.constants.R_OK),g}}e.realpath=R;function F(p){try{return h.realpathSync(p)}catch{const g=D(p);return h.accessSync(g,h.constants.R_OK),g}}e.realpathSync=F;function D(p){return(0,A.rtrim)((0,t.normalize)(p),t.sep)}});var Be=this&&this.__decorate||function(ee,e,h,t){var P=arguments.length,A=P<3?e:t===null?t=Object.getOwnPropertyDescriptor(e,h):t,C;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")A=Reflect.decorate(ee,e,h,t);else for(var k=ee.length-1;k>=0;k--)(C=ee[k])&&(A=(P<3?C(A):P>3?C(e,h,A):C(e,h))||A);return P>3&&A&&Object.defineProperty(e,h,A),A};define(pe[104],ve([1,0,18,15,22,21,56,17,3,6,58,8,13]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var b;(function(K){K[K.Promise=100]="Promise",K[K.PromiseCancel=101]="PromiseCancel",K[K.EventListen=102]="EventListen",K[K.EventDispose=103]="EventDispose"})(b=e.RequestType||(e.RequestType={}));function g(K){switch(K){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var u;(function(K){K[K.Initialize=200]="Initialize",K[K.PromiseSuccess=201]="PromiseSuccess",K[K.PromiseError=202]="PromiseError",K[K.PromiseErrorObj=203]="PromiseErrorObj",K[K.EventFire=204]="EventFire"})(u=e.ResponseType||(e.ResponseType={}));function w(K){switch(K){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var S;(function(K){K[K.Uninitialized=0]="Uninitialized",K[K.Idle=1]="Idle"})(S||(S={}));class I{constructor(G){this.buffer=G,this.pos=0}read(G){const j=this.buffer.slice(this.pos,this.pos+G);return this.pos+=j.byteLength,j}}class l{constructor(){this.buffers=[]}get buffer(){return P.VSBuffer.concat(this.buffers)}write(G){this.buffers.push(G)}}var c;(function(K){K[K.Undefined=0]="Undefined",K[K.String=1]="String",K[K.Buffer=2]="Buffer",K[K.VSBuffer=3]="VSBuffer",K[K.Array=4]="Array",K[K.Object=5]="Object"})(c||(c={}));function f(K){const G=P.VSBuffer.alloc(4);return G.writeUInt32BE(K,0),G}function s(K){return K.read(4).readUInt32BE(0)}function v(K){const G=P.VSBuffer.alloc(1);return G.writeUInt8(K,0),G}const o={Undefined:v(c.Undefined),String:v(c.String),Buffer:v(c.Buffer),VSBuffer:v(c.VSBuffer),Array:v(c.Array),Object:v(c.Object)},n=typeof Buffer!="undefined";function r(K,G){if(typeof G=="undefined")K.write(o.Undefined);else if(typeof G=="string"){const j=P.VSBuffer.fromString(G);K.write(o.String),K.write(f(j.byteLength)),K.write(j)}else if(n&&Buffer.isBuffer(G)){const j=P.VSBuffer.wrap(G);K.write(o.Buffer),K.write(f(j.byteLength)),K.write(j)}else if(G instanceof P.VSBuffer)K.write(o.VSBuffer),K.write(f(G.byteLength)),K.write(G);else if(Array.isArray(G)){K.write(o.Array),K.write(f(G.length));for(const j of G)r(K,j)}else{const j=P.VSBuffer.fromString(JSON.stringify(G));K.write(o.Object),K.write(f(j.byteLength)),K.write(j)}}function i(K){switch(K.read(1).readUInt8(0)){case c.Undefined:return;case c.String:return K.read(s(K)).toString();case c.Buffer:return K.read(s(K)).buffer;case c.VSBuffer:return K.read(s(K));case c.Array:{const j=s(K),ie=[];for(let oe=0;oe<j;oe++)ie.push(i(K));return ie}case c.Object:return JSON.parse(K.read(s(K)).toString())}}class a{constructor(G,j,ie=null,oe=1e3){this.protocol=G,this.ctx=j,this.logger=ie,this.timeoutDelay=oe,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(ue=>this.onRawMessage(ue)),this.sendResponse({type:200})}registerChannel(G,j){this.channels.set(G,j),setTimeout(()=>this.flushPendingRequests(G),0)}sendResponse(G){switch(G.type){case 200:{const j=this.send([G.type]);this.logger?.logOutgoing(j,0,1,w(G.type));return}case 201:case 202:case 204:case 203:{const j=this.send([G.type,G.id],G.data);this.logger?.logOutgoing(j,G.id,1,w(G.type),G.data);return}}}send(G,j=void 0){const ie=new l;return r(ie,G),r(ie,j),this.sendBuffer(ie.buffer)}sendBuffer(G){try{return this.protocol.send(G),G.byteLength}catch{return 0}}onRawMessage(G){const j=new I(G),ie=i(j),oe=i(j),ue=ie[0];switch(ue){case 100:return this.logger?.logIncoming(G.byteLength,ie[1],1,`${g(ue)}: ${ie[2]}.${ie[3]}`,oe),this.onPromise({type:ue,id:ie[1],channelName:ie[2],name:ie[3],arg:oe});case 102:return this.logger?.logIncoming(G.byteLength,ie[1],1,`${g(ue)}: ${ie[2]}.${ie[3]}`,oe),this.onEventListen({type:ue,id:ie[1],channelName:ie[2],name:ie[3],arg:oe});case 101:return this.logger?.logIncoming(G.byteLength,ie[1],1,`${g(ue)}`),this.disposeActiveRequest({type:ue,id:ie[1]});case 103:return this.logger?.logIncoming(G.byteLength,ie[1],1,`${g(ue)}`),this.disposeActiveRequest({type:ue,id:ie[1]})}}onPromise(G){const j=this.channels.get(G.channelName);if(!j){this.collectPendingRequest(G);return}const ie=new A.CancellationTokenSource;let oe;try{oe=j.call(this.ctx,G.name,G.arg,ie.token)}catch(J){oe=Promise.reject(J)}const ue=G.id;oe.then(J=>{this.sendResponse({id:ue,data:J,type:201}),this.activeRequests.delete(G.id)},J=>{J instanceof Error?this.sendResponse({id:ue,data:{message:J.message,name:J.name,stack:J.stack?J.stack.split?J.stack.split(`
`):J.stack:void 0},type:202}):this.sendResponse({id:ue,data:J,type:203}),this.activeRequests.delete(G.id)});const Z=(0,R.toDisposable)(()=>ie.cancel());this.activeRequests.set(G.id,Z)}onEventListen(G){const j=this.channels.get(G.channelName);if(!j){this.collectPendingRequest(G);return}const ie=G.id,ue=j.listen(this.ctx,G.name,G.arg)(Z=>this.sendResponse({id:ie,data:Z,type:204}));this.activeRequests.set(G.id,ue)}disposeActiveRequest(G){const j=this.activeRequests.get(G.id);j&&(j.dispose(),this.activeRequests.delete(G.id))}collectPendingRequest(G){let j=this.pendingRequests.get(G.channelName);j||(j=[],this.pendingRequests.set(G.channelName,j));const ie=setTimeout(()=>{console.error(`Unknown channel: ${G.channelName}`),G.type===100&&this.sendResponse({id:G.id,data:{name:"Unknown channel",message:`Channel name '${G.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);j.push({request:G,timeoutTimer:ie})}flushPendingRequests(G){const j=this.pendingRequests.get(G);if(j){for(const ie of j)switch(clearTimeout(ie.timeoutTimer),ie.request.type){case 100:this.onPromise(ie.request);break;case 102:this.onEventListen(ie.request);break}this.pendingRequests.delete(G)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,R.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}e.ChannelServer=a;var m;(function(K){K[K.LocalSide=0]="LocalSide",K[K.OtherSide=1]="OtherSide"})(m=e.RequestInitiator||(e.RequestInitiator={}));class d{constructor(G,j=null){this.protocol=G,this.isDisposed=!1,this.state=S.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new _.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(ie=>this.onBuffer(ie)),this.logger=j}getChannel(G){const j=this;return{call(ie,oe,ue){return j.isDisposed?Promise.reject(k.canceled()):j.requestPromise(G,ie,oe,ue)},listen(ie,oe){return j.isDisposed?Promise.reject(k.canceled()):j.requestEvent(G,ie,oe)}}}requestPromise(G,j,ie,oe=A.CancellationToken.None){const ue=this.lastRequestId++,J={id:ue,type:100,channelName:G,name:j,arg:ie};if(oe.isCancellationRequested)return Promise.reject(k.canceled());let ae;return new Promise((we,Te)=>{if(oe.isCancellationRequested)return Te(k.canceled());const Ne=()=>{const U=N=>{switch(N.type){case 201:this.handlers.delete(ue),we(N.data);break;case 202:{this.handlers.delete(ue);const W=new Error(N.data.message);W.stack=N.data.stack,W.name=N.data.name,Te(W);break}case 203:this.handlers.delete(ue),Te(N.data);break}};this.handlers.set(ue,U),this.sendRequest(J)};let be=null;this.state===S.Idle?Ne():(be=(0,t.createCancelablePromise)(U=>this.whenInitialized()),be.then(()=>{be=null,Ne()}));const Ee=()=>{be?(be.cancel(),be=null):this.sendRequest({id:ue,type:101}),Te(k.canceled())},$=oe.onCancellationRequested(Ee);ae=(0,R.combinedDisposable)((0,R.toDisposable)(Ee),$),this.activeRequests.add(ae)}).finally(()=>{this.activeRequests.delete(ae)})}requestEvent(G,j,ie){const oe=this.lastRequestId++,Z={id:oe,type:102,channelName:G,name:j,arg:ie};let J=null;const ae=new _.Emitter({onFirstListenerAdd:()=>{J=(0,t.createCancelablePromise)(we=>this.whenInitialized()),J.then(()=>{J=null,this.activeRequests.add(ae),this.sendRequest(Z)})},onLastListenerRemove:()=>{J?(J.cancel(),J=null):(this.activeRequests.delete(ae),this.sendRequest({id:oe,type:103}))}}),he=we=>ae.fire(we.data);return this.handlers.set(oe,he),ae.event}sendRequest(G){switch(G.type){case 100:case 102:{const j=this.send([G.type,G.id,G.channelName,G.name],G.arg);this.logger&&this.logger.logOutgoing(j,G.id,0,`${g(G.type)}: ${G.channelName}.${G.name}`,G.arg);return}case 101:case 103:{const j=this.send([G.type,G.id]);this.logger&&this.logger.logOutgoing(j,G.id,0,g(G.type));return}}}send(G,j=void 0){const ie=new l;return r(ie,G),r(ie,j),this.sendBuffer(ie.buffer)}sendBuffer(G){try{return this.protocol.send(G),G.byteLength}catch{return 0}}onBuffer(G){const j=new I(G),ie=i(j),oe=i(j),ue=ie[0];switch(ue){case 200:return this.logger&&this.logger.logIncoming(G.byteLength,0,0,w(ue)),this.onResponse({type:ie[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(G.byteLength,ie[1],0,w(ue),oe),this.onResponse({type:ie[0],id:ie[1],data:oe})}}onResponse(G){if(G.type===200){this.state=S.Idle,this._onDidInitialize.fire();return}const j=this.handlers.get(G.id);j&&j(G)}get onDidInitializePromise(){return _.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===S.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,R.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}Be([C.memoize],d.prototype,"onDidInitializePromise",null),e.ChannelClient=d;class E{constructor(G){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new _.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new _.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,G(({protocol:j,onDidClientDisconnect:ie})=>{_.Event.once(j.onMessage)(ue=>{const Z=new I(ue),J=i(Z),ae=new a(j,J),he=new d(j);this.channels.forEach((Te,Ne)=>ae.registerChannel(Ne,Te));const we={channelServer:ae,channelClient:he,ctx:J};this._connections.add(we),this._onDidAddConnection.fire(we),ie(()=>{ae.dispose(),he.dispose(),this._connections.delete(we),this._onDidRemoveConnection.fire(we)})})})}get connections(){const G=[];return this._connections.forEach(j=>G.push(j)),G}getChannel(G,j){const ie=this;return{call(oe,ue,Z){let J;if((0,p.isFunction)(j)){let he=(0,h.getRandomElement)(ie.connections.filter(j));J=he?Promise.resolve(he):_.Event.toPromise(_.Event.filter(ie.onDidAddConnection,j))}else J=j.routeCall(ie,oe,ue);const ae=J.then(he=>he.channelClient.getChannel(G));return L(ae).call(oe,ue,Z)},listen(oe,ue){if((0,p.isFunction)(j))return ie.getMulticastEvent(G,j,oe,ue);const Z=j.routeEvent(ie,oe,ue).then(J=>J.channelClient.getChannel(G));return L(Z).listen(oe,ue)}}}getMulticastEvent(G,j,ie,oe){const ue=this;let Z=new R.DisposableStore;const J=new _.Emitter({onFirstListenerAdd:()=>{Z=new R.DisposableStore;const ae=new _.EventMultiplexer,he=new Map,we=Ne=>{const Ee=Ne.channelClient.getChannel(G).listen(ie,oe),$=ae.add(Ee);he.set(Ne,$)},Te=Ne=>{const be=he.get(Ne);!be||(be.dispose(),he.delete(Ne))};ue.connections.filter(j).forEach(we),_.Event.filter(ue.onDidAddConnection,j)(we,void 0,Z),ue.onDidRemoveConnection(Te,void 0,Z),ae.event(J.fire,J,Z),Z.add(ae)},onLastListenerRemove:()=>{Z.dispose()}});return J.event}registerChannel(G,j){this.channels.set(G,j),this._connections.forEach(ie=>{ie.channelServer.registerChannel(G,j)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=E;class T{constructor(G,j,ie=null){const oe=new l;r(oe,j),G.send(oe.buffer),this.channelClient=new d(G,ie),this.channelServer=new a(G,j,ie)}getChannel(G){return this.channelClient.getChannel(G)}registerChannel(G,j){this.channelServer.registerChannel(G,j)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=T;function L(K){return{call(G,j,ie){return K.then(oe=>oe.call(G,j,ie))},listen(G,j){const ie=new _.Relay;return K.then(oe=>ie.input=oe.listen(G,j)),ie.event}}}e.getDelayedChannel=L;function O(K){let G=!1;return{call(j,ie,oe){return G?K.call(j,ie,oe):(0,t.timeout)(0).then(()=>G=!0).then(()=>K.call(j,ie,oe))},listen(j,ie){if(G)return K.listen(j,ie);const oe=new _.Relay;return(0,t.timeout)(0).then(()=>G=!0).then(()=>oe.input=K.listen(j,ie)),oe.event}}}e.getNextTickChannel=O;class y{constructor(G){this.fn=G}routeCall(G){return this.route(G)}routeEvent(G){return this.route(G)}async route(G){for(const j of G.connections)if(await Promise.resolve(this.fn(j.ctx)))return Promise.resolve(j);return await _.Event.toPromise(G.onDidAddConnection),await this.route(G)}}e.StaticRouter=y;var B;(function(K){function G(ue,Z){const J=ue,ae=Z&&Z.disableMarshalling,he=new Map;for(const we in J)ie(we)&&he.set(we,_.Event.buffer(J[we],!0));return new class{listen(we,Te,Ne){const be=he.get(Te);if(be)return be;if(oe(Te)){const Ee=J[Te];if(typeof Ee=="function")return Ee.call(J,Ne)}throw new Error(`Event not found: ${Te}`)}call(we,Te,Ne){const be=J[Te];if(typeof be=="function"){if(!ae&&Array.isArray(Ne))for(let Ee=0;Ee<Ne.length;Ee++)Ne[Ee]=(0,F.revive)(Ne[Ee]);return be.apply(J,Ne)}throw new Error(`Method not found: ${Te}`)}}}K.fromService=G;function j(ue,Z){const J=Z&&Z.disableMarshalling;return new Proxy({},{get(ae,he){if(typeof he=="string")return Z?.properties?.has(he)?Z.properties.get(he):oe(he)?function(we){return ue.listen(he,we)}:ie(he)?ue.listen(he):async function(...we){let Te;Z&&!(0,p.isUndefinedOrNull)(Z.context)?Te=[Z.context,...we]:Te=we;const Ne=await ue.call(he,Te);return J?Ne:(0,F.revive)(Ne)};throw new Error(`Property not found: ${String(he)}`)}})}K.toService=j;function ie(ue){return ue[0]==="o"&&ue[1]==="n"&&D.isUpperAsciiLetter(ue.charCodeAt(2))}function oe(ue){return/^onDynamic/.test(ue)&&D.isUpperAsciiLetter(ue.charCodeAt(9))}})(B=e.ProxyChannel||(e.ProxyChannel={}));const M=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function z(K){if(Array.isArray(K))return K;if(K&&typeof K=="object"&&typeof K.toString=="function"){let G=K.toString();if(G!=="[object Object]")return G}return K}function V(K){return Array.isArray(K)?K.map(z):z(K)}function Q(K,G,j,ie,oe,ue,Z){Z=V(Z);const J=M[oe],ae=J[ie%J.length];let he=[`%c[${K}]%c[${String(G).padStart(7," ")}]%c[len: ${String(j).padStart(5," ")}]%c${String(ie).padStart(5," ")} - ${ue}`,"color: darkgreen","color: grey","color: grey",`color: ${ae}`];/\($/.test(ue)?(he=he.concat(Z),he.push(")")):he.push(Z),console.log.apply(console,he)}e.logWithColors=Q;class H{constructor(G,j){this._outgoingPrefix=G,this._incomingPrefix=j,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(G,j,ie,oe,ue){this._totalOutgoing+=G,Q(this._outgoingPrefix,this._totalOutgoing,G,j,ie,oe,ue)}logIncoming(G,j,ie,oe,ue){this._totalIncoming+=G,Q(this._incomingPrefix,this._totalIncoming,G,j,ie,oe,ue)}}e.IPCLogger=H}),define(pe[105],ve([1,0,22,3,6,104]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var C;(function(n){n.Created="created",n.Read="read",n.Write="write",n.Open="open",n.Error="error",n.Close="close",n.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",n.NodeEndReceived="nodeEndReceived",n.NodeEndSent="nodeEndSent",n.NodeDrainBegin="nodeDrainBegin",n.NodeDrainEnd="nodeDrainEnd",n.zlibInflateError="zlibInflateError",n.zlibInflateData="zlibInflateData",n.zlibInflateInitialWrite="zlibInflateInitialWrite",n.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",n.zlibInflateWrite="zlibInflateWrite",n.zlibInflateFlushFired="zlibInflateFlushFired",n.zlibDeflateError="zlibDeflateError",n.zlibDeflateData="zlibDeflateData",n.zlibDeflateWrite="zlibDeflateWrite",n.zlibDeflateFlushFired="zlibDeflateFlushFired",n.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",n.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",n.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",n.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",n.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",n.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",n.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",n.ProtocolHeaderRead="protocolHeaderRead",n.ProtocolMessageRead="protocolMessageRead",n.ProtocolHeaderWrite="protocolHeaderWrite",n.ProtocolMessageWrite="protocolMessageWrite",n.ProtocolWrite="protocolWrite"})(C=e.SocketDiagnosticsEventType||(e.SocketDiagnosticsEventType={}));var k;(function(n){n.enableDiagnostics=!1,n.records=[];const r=new WeakMap;let i=0;function a(d,E){if(!r.has(d)){const T=String(++i);r.set(d,T)}return r.get(d)}function m(d,E,T,L){if(!n.enableDiagnostics)return;const O=a(d,E);if(L instanceof h.VSBuffer||L instanceof Uint8Array||L instanceof ArrayBuffer||ArrayBuffer.isView(L)){const y=h.VSBuffer.alloc(L.byteLength);y.set(L),n.records.push({timestamp:Date.now(),id:O,label:E,type:T,buff:y})}else n.records.push({timestamp:Date.now(),id:O,label:E,type:T,data:L})}n.traceSocketEvent=m})(k=e.SocketDiagnostics||(e.SocketDiagnostics={}));var _;(function(n){n[n.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",n[n.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(_=e.SocketCloseEventType||(e.SocketCloseEventType={}));let R=null;function F(){return R||(R=h.VSBuffer.alloc(0)),R}class D{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(r){this._chunks.push(r),this._totalLength+=r.byteLength}read(r){return this._read(r,!0)}peek(r){return this._read(r,!1)}_read(r,i){if(r===0)return F();if(r>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===r){const E=this._chunks[0];return i&&(this._chunks.shift(),this._totalLength-=r),E}if(this._chunks[0].byteLength>r){const E=this._chunks[0].slice(0,r);return i&&(this._chunks[0]=this._chunks[0].slice(r),this._totalLength-=r),E}let a=h.VSBuffer.alloc(r),m=0,d=0;for(;r>0;){const E=this._chunks[d];if(E.byteLength>r){const T=E.slice(0,r);a.set(T,m),m+=r,i&&(this._chunks[d]=E.slice(r),this._totalLength-=r),r-=r}else a.set(E,m),m+=E.byteLength,i?(this._chunks.shift(),this._totalLength-=E.byteLength):d++,r-=E.byteLength}return a}}e.ChunkStream=D;var p;(function(n){n[n.None=0]="None",n[n.Regular=1]="Regular",n[n.Control=2]="Control",n[n.Ack=3]="Ack",n[n.Disconnect=5]="Disconnect",n[n.ReplayRequest=6]="ReplayRequest",n[n.Pause=7]="Pause",n[n.Resume=8]="Resume"})(p||(p={}));function b(n){switch(n){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting"}}var g;(function(n){n[n.HeaderLength=13]="HeaderLength",n[n.AcknowledgeTime=2e3]="AcknowledgeTime",n[n.TimeoutTime=2e4]="TimeoutTime",n[n.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",n[n.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(g=e.ProtocolConstants||(e.ProtocolConstants={}));class u{constructor(r,i,a,m){this.type=r,this.id=i,this.ack=a,this.data=m,this.writtenTime=0}get size(){return this.data.byteLength}}class w extends P.Disposable{constructor(r){super();this._onMessage=this._register(new t.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=r,this._isDisposed=!1,this._incomingData=new D,this._register(this._socket.onData(i=>this.acceptChunk(i))),this.lastReadTime=Date.now()}acceptChunk(r){if(!(!r||r.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(r);this._incomingData.byteLength>=this._state.readLen;){const i=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=i.readUInt32BE(9),this._state.messageType=i.readUInt8(0),this._state.id=i.readUInt32BE(1),this._state.ack=i.readUInt32BE(5),this._socket.traceSocketEvent("protocolHeaderRead",{messageType:b(this._state.messageType),id:this._state.id,ack:this._state.ack,messageSize:this._state.readLen});else{const a=this._state.messageType,m=this._state.id,d=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._socket.traceSocketEvent("protocolMessageRead",i),this._onMessage.fire(new u(a,m,d,i)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class S{constructor(r){this._writeNowTimeout=null,this._isDisposed=!1,this._isPaused=!1,this._socket=r,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}pause(){this._isPaused=!0}resume(){this._isPaused=!1,this._scheduleWriting()}write(r){if(this._isDisposed)return;r.writtenTime=Date.now(),this.lastWriteTime=Date.now();const i=h.VSBuffer.alloc(13);i.writeUInt8(r.type,0),i.writeUInt32BE(r.id,1),i.writeUInt32BE(r.ack,5),i.writeUInt32BE(r.data.byteLength,9),this._socket.traceSocketEvent("protocolHeaderWrite",{messageType:b(r.type),id:r.id,ack:r.ack,messageSize:r.data.byteLength}),this._socket.traceSocketEvent("protocolMessageWrite",r.data),this._writeSoon(i,r.data)}_bufferAdd(r,i){const a=this._totalLength===0;return this._data.push(r,i),this._totalLength+=r.byteLength+i.byteLength,a}_bufferTake(){const r=h.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,r}_writeSoon(r,i){this._bufferAdd(r,i)&&this._scheduleWriting()}_scheduleWriting(){this._writeNowTimeout||(this._writeNowTimeout=setTimeout(()=>{this._writeNowTimeout=null,this._writeNow()}))}_writeNow(){if(this._totalLength===0||this._isPaused)return;const r=this._bufferTake();this._socket.traceSocketEvent("protocolWrite",{byteLength:r.byteLength}),this._socket.write(r)}}class I extends P.Disposable{constructor(r){super();this._onMessage=new t.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new t.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=r,this._socketWriter=this._register(new S(this._socket)),this._socketReader=this._register(new w(this._socket)),this._register(this._socketReader.onMessage(i=>{i.type===1&&this._onMessage.fire(i.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(r){this._socketWriter.write(new u(1,0,0,r))}}e.Protocol=I;class l extends A.IPCClient{constructor(r,i,a=null){super(r,i,a);this.protocol=r}static fromSocket(r,i){return new l(new I(r),i)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const r=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),r.end()}}e.Client=l;class c{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new t.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,queueMicrotask(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(r){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(r):this._emitter.fire(r):this._bufferedMessages.push(r)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=c;class f{constructor(r){this.data=r,this.next=null}}class s{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let r=[],i=0,a=this._first;for(;a;)r[i++]=a.data,a=a.next;return r}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(r){const i=new f(r);if(!this._first){this._first=i,this._last=i;return}this._last.next=i,this._last=i}}class v{constructor(){this.lastRuns=[];const r=Date.now();for(let i=0;i<v._HISTORY_LENGTH;i++)this.lastRuns[i]=r-1e3*i;setInterval(()=>{for(let i=v._HISTORY_LENGTH;i>=1;i--)this.lastRuns[i]=this.lastRuns[i-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return v._INSTANCE||(v._INSTANCE=new v),v._INSTANCE}load(){const r=Date.now(),i=(1+v._HISTORY_LENGTH)*1e3;let a=0;for(let m=0;m<v._HISTORY_LENGTH;m++)r-this.lastRuns[m]<=i&&a++;return 1-a/v._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}v._HISTORY_LENGTH=10,v._INSTANCE=null;class o{constructor(r,i=null,a=v.getInstance()){this._onControlMessage=new c,this.onControlMessage=this._onControlMessage.event,this._onMessage=new c,this.onMessage=this._onMessage.event,this._onDidDispose=new c,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new c,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new c,this.onSocketTimeout=this._onSocketTimeout.event,this._loadEstimator=a,this._isReconnecting=!1,this._outgoingUnackMsg=new s,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socketDisposables=[],this._socket=r,this._socketWriter=new S(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new w(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(m=>this._receiveMessage(m))),this._socketDisposables.push(this._socket.onClose(m=>this._onSocketClose.fire(m))),i&&this._socketReader.acceptChunk(i)}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._socketDisposables=(0,P.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const r=new u(5,0,0,F());this._socketWriter.write(r),this._socketWriter.flush()}sendPause(){const r=new u(7,0,0,F());this._socketWriter.write(r)}sendResume(){const r=new u(8,0,0,F());this._socketWriter.write(r)}pauseSocketWriting(){this._socketWriter.pause()}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(r,i){this._isReconnecting=!0,this._socketDisposables=(0,P.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socket=r,this._socketWriter=new S(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new w(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(a=>this._receiveMessage(a))),this._socketDisposables.push(this._socket.onClose(a=>this._onSocketClose.fire(a))),this._socketReader.acceptChunk(i)}endAcceptReconnection(){this._isReconnecting=!1,this._incomingAckId=this._incomingMsgId;const r=new u(3,0,this._incomingAckId,F());this._socketWriter.write(r);const i=this._outgoingUnackMsg.toArray();for(let a=0,m=i.length;a<m;a++)this._socketWriter.write(i[a]);this._recvAckCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(r){if(r.ack>this._outgoingAckId){this._outgoingAckId=r.ack;do{const i=this._outgoingUnackMsg.peek();if(i&&i.id<=r.ack)this._outgoingUnackMsg.pop();else break}while(!0)}switch(r.type){case 0:break;case 1:{if(r.id>this._incomingMsgId)if(r.id!==this._incomingMsgId+1){const i=Date.now();i-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=i,this._socketWriter.write(new u(6,0,0,F())))}else this._incomingMsgId=r.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(r.data);break}case 2:{this._onControlMessage.fire(r.data);break}case 3:break;case 5:{this._onDidDispose.fire();break}case 6:{const i=this._outgoingUnackMsg.toArray();for(let a=0,m=i.length;a<m;a++)this._socketWriter.write(i[a]);this._recvAckCheck();break}case 7:{this._socketWriter.pause();break}case 8:{this._socketWriter.resume();break}}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(r){const i=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const a=new u(1,i,this._incomingAckId,r);this._outgoingUnackMsg.push(a),this._isReconnecting||(this._socketWriter.write(a),this._recvAckCheck())}sendControl(r){const i=new u(2,0,0,r);this._socketWriter.write(i)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const r=Date.now()-this._incomingMsgLastTime;if(r>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-r+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout||this._isReconnecting)return;const r=this._outgoingUnackMsg.peek(),i=Date.now()-r.writtenTime,a=Date.now()-this._socketReader.lastReadTime,m=Date.now()-this._lastSocketTimeoutTime;if(i>=2e4&&a>=2e4&&m>=2e4&&!this._loadEstimator.hasHighLoad()){this._lastSocketTimeoutTime=Date.now(),this._onSocketTimeout.fire(void 0);return}const d=Math.max(2e4-i,2e4-a,2e4-m,500);this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},d)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const r=new u(3,0,this._incomingAckId,F());this._socketWriter.write(r)}}e.PersistentProtocol=o}),define(pe[106],ve([1,0,96]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CharacterSet=e.CharacterClassifier=void 0;class t{constructor(k){const _=(0,h.toUint8)(k);this._defaultValue=_,this._asciiMap=t._createAsciiMap(_),this._map=new Map}static _createAsciiMap(k){const _=new Uint8Array(256);for(let R=0;R<256;R++)_[R]=k;return _}set(k,_){const R=(0,h.toUint8)(_);k>=0&&k<256?this._asciiMap[k]=R:this._map.set(k,R)}get(k){return k>=0&&k<256?this._asciiMap[k]:this._map.get(k)||this._defaultValue}}e.CharacterClassifier=t;var P;(function(C){C[C.False=0]="False",C[C.True=1]="True"})(P||(P={}));class A{constructor(){this._actual=new t(0)}add(k){this._actual.set(k,1)}has(k){return this._actual.get(k)===1}}e.CharacterSet=A}),define(pe[48],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Position=void 0;class h{constructor(P,A){this.lineNumber=P,this.column=A}with(P=this.lineNumber,A=this.column){return P===this.lineNumber&&A===this.column?this:new h(P,A)}delta(P=0,A=0){return this.with(this.lineNumber+P,this.column+A)}equals(P){return h.equals(this,P)}static equals(P,A){return!P&&!A?!0:!!P&&!!A&&P.lineNumber===A.lineNumber&&P.column===A.column}isBefore(P){return h.isBefore(this,P)}static isBefore(P,A){return P.lineNumber<A.lineNumber?!0:A.lineNumber<P.lineNumber?!1:P.column<A.column}isBeforeOrEqual(P){return h.isBeforeOrEqual(this,P)}static isBeforeOrEqual(P,A){return P.lineNumber<A.lineNumber?!0:A.lineNumber<P.lineNumber?!1:P.column<=A.column}static compare(P,A){const C=P.lineNumber|0,k=A.lineNumber|0;if(C===k){const _=P.column|0,R=A.column|0;return _-R}return C-k}clone(){return new h(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(P){return new h(P.lineNumber,P.column)}static isIPosition(P){return P&&typeof P.lineNumber=="number"&&typeof P.column=="number"}}e.Position=h}),define(pe[35],ve([1,0,48]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=void 0;class t{constructor(A,C,k,_){A>k||A===k&&C>_?(this.startLineNumber=k,this.startColumn=_,this.endLineNumber=A,this.endColumn=C):(this.startLineNumber=A,this.startColumn=C,this.endLineNumber=k,this.endColumn=_)}isEmpty(){return t.isEmpty(this)}static isEmpty(A){return A.startLineNumber===A.endLineNumber&&A.startColumn===A.endColumn}containsPosition(A){return t.containsPosition(this,A)}static containsPosition(A,C){return!(C.lineNumber<A.startLineNumber||C.lineNumber>A.endLineNumber||C.lineNumber===A.startLineNumber&&C.column<A.startColumn||C.lineNumber===A.endLineNumber&&C.column>A.endColumn)}static strictContainsPosition(A,C){return!(C.lineNumber<A.startLineNumber||C.lineNumber>A.endLineNumber||C.lineNumber===A.startLineNumber&&C.column<=A.startColumn||C.lineNumber===A.endLineNumber&&C.column>=A.endColumn)}containsRange(A){return t.containsRange(this,A)}static containsRange(A,C){return!(C.startLineNumber<A.startLineNumber||C.endLineNumber<A.startLineNumber||C.startLineNumber>A.endLineNumber||C.endLineNumber>A.endLineNumber||C.startLineNumber===A.startLineNumber&&C.startColumn<A.startColumn||C.endLineNumber===A.endLineNumber&&C.endColumn>A.endColumn)}strictContainsRange(A){return t.strictContainsRange(this,A)}static strictContainsRange(A,C){return!(C.startLineNumber<A.startLineNumber||C.endLineNumber<A.startLineNumber||C.startLineNumber>A.endLineNumber||C.endLineNumber>A.endLineNumber||C.startLineNumber===A.startLineNumber&&C.startColumn<=A.startColumn||C.endLineNumber===A.endLineNumber&&C.endColumn>=A.endColumn)}plusRange(A){return t.plusRange(this,A)}static plusRange(A,C){let k,_,R,F;return C.startLineNumber<A.startLineNumber?(k=C.startLineNumber,_=C.startColumn):C.startLineNumber===A.startLineNumber?(k=C.startLineNumber,_=Math.min(C.startColumn,A.startColumn)):(k=A.startLineNumber,_=A.startColumn),C.endLineNumber>A.endLineNumber?(R=C.endLineNumber,F=C.endColumn):C.endLineNumber===A.endLineNumber?(R=C.endLineNumber,F=Math.max(C.endColumn,A.endColumn)):(R=A.endLineNumber,F=A.endColumn),new t(k,_,R,F)}intersectRanges(A){return t.intersectRanges(this,A)}static intersectRanges(A,C){let k=A.startLineNumber,_=A.startColumn,R=A.endLineNumber,F=A.endColumn,D=C.startLineNumber,p=C.startColumn,b=C.endLineNumber,g=C.endColumn;return k<D?(k=D,_=p):k===D&&(_=Math.max(_,p)),R>b?(R=b,F=g):R===b&&(F=Math.min(F,g)),k>R||k===R&&_>F?null:new t(k,_,R,F)}equalsRange(A){return t.equalsRange(this,A)}static equalsRange(A,C){return!!A&&!!C&&A.startLineNumber===C.startLineNumber&&A.startColumn===C.startColumn&&A.endLineNumber===C.endLineNumber&&A.endColumn===C.endColumn}getEndPosition(){return t.getEndPosition(this)}static getEndPosition(A){return new h.Position(A.endLineNumber,A.endColumn)}getStartPosition(){return t.getStartPosition(this)}static getStartPosition(A){return new h.Position(A.startLineNumber,A.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(A,C){return new t(this.startLineNumber,this.startColumn,A,C)}setStartPosition(A,C){return new t(A,C,this.endLineNumber,this.endColumn)}collapseToStart(){return t.collapseToStart(this)}static collapseToStart(A){return new t(A.startLineNumber,A.startColumn,A.startLineNumber,A.startColumn)}static fromPositions(A,C=A){return new t(A.lineNumber,A.column,C.lineNumber,C.column)}static lift(A){return A?new t(A.startLineNumber,A.startColumn,A.endLineNumber,A.endColumn):null}static isIRange(A){return A&&typeof A.startLineNumber=="number"&&typeof A.startColumn=="number"&&typeof A.endLineNumber=="number"&&typeof A.endColumn=="number"}static areIntersectingOrTouching(A,C){return!(A.endLineNumber<C.startLineNumber||A.endLineNumber===C.startLineNumber&&A.endColumn<C.startColumn||C.endLineNumber<A.startLineNumber||C.endLineNumber===A.startLineNumber&&C.endColumn<A.startColumn)}static areIntersecting(A,C){return!(A.endLineNumber<C.startLineNumber||A.endLineNumber===C.startLineNumber&&A.endColumn<=C.startColumn||C.endLineNumber<A.startLineNumber||C.endLineNumber===A.startLineNumber&&C.endColumn<=A.startColumn)}static compareRangesUsingStarts(A,C){if(A&&C){const R=A.startLineNumber|0,F=C.startLineNumber|0;if(R===F){const D=A.startColumn|0,p=C.startColumn|0;if(D===p){const b=A.endLineNumber|0,g=C.endLineNumber|0;if(b===g){const u=A.endColumn|0,w=C.endColumn|0;return u-w}return b-g}return D-p}return R-F}return(A?1:0)-(C?1:0)}static compareRangesUsingEnds(A,C){return A.endLineNumber===C.endLineNumber?A.endColumn===C.endColumn?A.startLineNumber===C.startLineNumber?A.startColumn-C.startColumn:A.startLineNumber-C.startLineNumber:A.endColumn-C.endColumn:A.endLineNumber-C.endLineNumber}static spansMultipleLines(A){return A.endLineNumber>A.startLineNumber}toJSON(){return this}}e.Range=t}),define(pe[146],ve([1,0,48,35]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Selection=e.SelectionDirection=void 0;var P;(function(C){C[C.LTR=0]="LTR",C[C.RTL=1]="RTL"})(P=e.SelectionDirection||(e.SelectionDirection={}));class A extends t.Range{constructor(k,_,R,F){super(k,_,R,F);this.selectionStartLineNumber=k,this.selectionStartColumn=_,this.positionLineNumber=R,this.positionColumn=F}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(k){return A.selectionsEqual(this,k)}static selectionsEqual(k,_){return k.selectionStartLineNumber===_.selectionStartLineNumber&&k.selectionStartColumn===_.selectionStartColumn&&k.positionLineNumber===_.positionLineNumber&&k.positionColumn===_.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(k,_){return this.getDirection()===0?new A(this.startLineNumber,this.startColumn,k,_):new A(k,_,this.startLineNumber,this.startColumn)}getPosition(){return new h.Position(this.positionLineNumber,this.positionColumn)}getSelectionStart(){return new h.Position(this.selectionStartLineNumber,this.selectionStartColumn)}setStartPosition(k,_){return this.getDirection()===0?new A(k,_,this.endLineNumber,this.endColumn):new A(this.endLineNumber,this.endColumn,k,_)}static fromPositions(k,_=k){return new A(k.lineNumber,k.column,_.lineNumber,_.column)}static fromRange(k,_){return _===0?new A(k.startLineNumber,k.startColumn,k.endLineNumber,k.endColumn):new A(k.endLineNumber,k.endColumn,k.startLineNumber,k.startColumn)}static liftSelection(k){return new A(k.selectionStartLineNumber,k.selectionStartColumn,k.positionLineNumber,k.positionColumn)}static selectionsArrEqual(k,_){if(k&&!_||!k&&_)return!1;if(!k&&!_)return!0;if(k.length!==_.length)return!1;for(let R=0,F=k.length;R<F;R++)if(!this.selectionsEqual(k[R],_[R]))return!1;return!0}static isISelection(k){return k&&typeof k.selectionStartLineNumber=="number"&&typeof k.selectionStartColumn=="number"&&typeof k.positionLineNumber=="number"&&typeof k.positionColumn=="number"}static createWithDirection(k,_,R,F,D){return D===0?new A(k,_,R,F):new A(R,F,k,_)}}e.Selection=A}),define(pe[147],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EDITOR_MODEL_DEFAULTS=void 0,e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0,bracketPairColorizationOptions:{enabled:!1}}}),define(pe[148],ve([1,0,106]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMapForWordSeparators=e.WordCharacterClassifier=e.WordCharacterClass=void 0;var t;(function(C){C[C.Regular=0]="Regular",C[C.Whitespace=1]="Whitespace",C[C.WordSeparator=2]="WordSeparator"})(t=e.WordCharacterClass||(e.WordCharacterClass={}));class P extends h.CharacterClassifier{constructor(k){super(0);for(let _=0,R=k.length;_<R;_++)this.set(k.charCodeAt(_),2);this.set(32,1),this.set(9,1)}}e.WordCharacterClassifier=P;function A(C){const k={};return _=>(k.hasOwnProperty(_)||(k[_]=C(_)),k[_])}e.getMapForWordSeparators=A(C=>new P(C))}),define(pe[107],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWordAtText=e.ensureValidWordDefinition=e.DEFAULT_WORD_REGEXP=e.USUAL_WORD_SEPARATORS=void 0,e.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function h(k=""){let _="(-?\\d*\\.\\d\\w*)|([^";for(const R of e.USUAL_WORD_SEPARATORS)k.indexOf(R)>=0||(_+="\\"+R);return _+="\\s]+)",new RegExp(_,"g")}e.DEFAULT_WORD_REGEXP=h();function t(k){let _=e.DEFAULT_WORD_REGEXP;if(k&&k instanceof RegExp)if(k.global)_=k;else{let R="g";k.ignoreCase&&(R+="i"),k.multiline&&(R+="m"),k.unicode&&(R+="u"),_=new RegExp(k.source,R)}return _.lastIndex=0,_}e.ensureValidWordDefinition=t;const P={maxLen:1e3,windowSize:15,timeBudget:150};function A(k,_,R,F,D=P){if(R.length>D.maxLen){let w=k-D.maxLen/2;return w<0?w=0:F+=w,R=R.substring(w,k+D.maxLen/2),A(k,_,R,F,D)}const p=Date.now(),b=k-1-F;let g=-1,u=null;for(let w=1;!(Date.now()-p>=D.timeBudget);w++){const S=b-D.windowSize*w;_.lastIndex=Math.max(0,S);const I=C(_,R,b,g);if(!I&&u||(u=I,S<=0))break;g=S}if(u){const w={word:u[0],startColumn:F+1+u.index,endColumn:F+1+u.index+u[0].length};return _.lastIndex=0,w}return null}e.getWordAtText=A;function C(k,_,R,F){let D;for(;D=k.exec(_);){const p=D.index||0;if(p<=R&&k.lastIndex>=R)return D;if(F>0&&p>F)return null}return null}}),define(pe[108],ve([1,0,32,9]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function P(A,C,k,_,R){if(Array.isArray(A)){let F=0;for(const D of A){const p=P(D,C,k,_,R);if(p===10)return p;p>F&&(F=p)}return F}else{if(typeof A=="string")return _?A==="*"?5:A===k?10:0:0;if(A){const{language:F,pattern:D,scheme:p,hasAccessToAllModels:b,notebookType:g}=A;if(!_&&!b)return 0;let u=0;if(p)if(p===C.scheme)u=10;else if(p==="*")u=5;else return 0;if(F)if(F===k)u=10;else if(F==="*")u=Math.max(u,5);else return 0;if(g)if(g===R)u=10;else if(g==="*")u=Math.max(u,5);else return 0;if(D){let w;if(typeof D=="string"?w=D:w={...D,base:(0,t.normalize)(D.base)},w===C.fsPath||(0,h.match)(w,C.fsPath))u=10;else return 0}return u}else return 0}}e.score=P}),define(pe[149],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var h;(function(C){C[C.None=0]="None",C[C.Indent=1]="Indent",C[C.IndentOutdent=2]="IndentOutdent",C[C.Outdent=3]="Outdent"})(h=e.IndentAction||(e.IndentAction={}));class t{constructor(k){if(this._neutralCharacter=null,this._neutralCharacterSearched=!1,this.open=k.open,this.close=k.close,this._inString=!0,this._inComment=!0,this._inRegEx=!0,Array.isArray(k.notIn))for(let _=0,R=k.notIn.length;_<R;_++)switch(k.notIn[_]){case"string":this._inString=!1;break;case"comment":this._inComment=!1;break;case"regex":this._inRegEx=!1;break}}isOK(k){switch(k){case 0:return!0;case 1:return this._inComment;case 2:return this._inString;case 3:return this._inRegEx}}shouldAutoClose(k,_){if(k.getTokenCount()===0)return!0;const R=k.findTokenIndexAtOffset(_-2),F=k.getStandardTokenType(R);return this.isOK(F)}_findNeutralCharacterInRange(k,_){for(let R=k;R<=_;R++){const F=String.fromCharCode(R);if(!this.open.includes(F)&&!this.close.includes(F))return F}return null}findNeutralCharacter(){return this._neutralCharacterSearched||(this._neutralCharacterSearched=!0,this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(48,57)),this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(97,122)),this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(65,90))),this._neutralCharacter}}e.StandardAutoClosingPairConditional=t;class P{constructor(k){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const _ of k)A(this.autoClosingPairsOpenByStart,_.open.charAt(0),_),A(this.autoClosingPairsOpenByEnd,_.open.charAt(_.open.length-1),_),A(this.autoClosingPairsCloseByStart,_.close.charAt(0),_),A(this.autoClosingPairsCloseByEnd,_.close.charAt(_.close.length-1),_),_.close.length===1&&_.open.length===1&&A(this.autoClosingPairsCloseSingleChar,_.close,_)}}e.AutoClosingPairs=P;function A(C,k,_){C.has(k)?C.get(k).push(_):C.set(k,[_])}}),define(pe[150],ve([1,0,106]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeLinks=e.LinkComputer=e.StateMachine=e.Uint8Matrix=e.State=void 0;var t;(function(b){b[b.Invalid=0]="Invalid",b[b.Start=1]="Start",b[b.H=2]="H",b[b.HT=3]="HT",b[b.HTT=4]="HTT",b[b.HTTP=5]="HTTP",b[b.F=6]="F",b[b.FI=7]="FI",b[b.FIL=8]="FIL",b[b.BeforeColon=9]="BeforeColon",b[b.AfterColon=10]="AfterColon",b[b.AlmostThere=11]="AlmostThere",b[b.End=12]="End",b[b.Accept=13]="Accept",b[b.LastKnownState=14]="LastKnownState"})(t=e.State||(e.State={}));class P{constructor(g,u,w){const S=new Uint8Array(g*u);for(let I=0,l=g*u;I<l;I++)S[I]=w;this._data=S,this.rows=g,this.cols=u}get(g,u){return this._data[g*this.cols+u]}set(g,u,w){this._data[g*this.cols+u]=w}}e.Uint8Matrix=P;class A{constructor(g){let u=0,w=0;for(let I=0,l=g.length;I<l;I++){const[c,f,s]=g[I];f>u&&(u=f),c>w&&(w=c),s>w&&(w=s)}u++,w++;const S=new P(w,u,0);for(let I=0,l=g.length;I<l;I++){const[c,f,s]=g[I];S.set(c,f,s)}this._states=S,this._maxCharCode=u}nextState(g,u){return u<0||u>=this._maxCharCode?0:this._states.get(g,u)}}e.StateMachine=A;let C=null;function k(){return C===null&&(C=new A([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),C}var _;(function(b){b[b.None=0]="None",b[b.ForceTermination=1]="ForceTermination",b[b.CannotEndIn=2]="CannotEndIn"})(_||(_={}));let R=null;function F(){if(R===null){R=new h.CharacterClassifier(0);const b=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let u=0;u<b.length;u++)R.set(b.charCodeAt(u),1);const g=".,;";for(let u=0;u<g.length;u++)R.set(g.charCodeAt(u),2)}return R}class D{static _createLink(g,u,w,S,I){let l=I-1;do{const c=u.charCodeAt(l);if(g.get(c)!==2)break;l--}while(l>S);if(S>0){const c=u.charCodeAt(S-1),f=u.charCodeAt(l);(c===40&&f===41||c===91&&f===93||c===123&&f===125)&&l--}return{range:{startLineNumber:w,startColumn:S+1,endLineNumber:w,endColumn:l+2},url:u.substring(S,l+1)}}static computeLinks(g,u=k()){const w=F(),S=[];for(let I=1,l=g.getLineCount();I<=l;I++){const c=g.getLineContent(I),f=c.length;let s=0,v=0,o=0,n=1,r=!1,i=!1,a=!1,m=!1;for(;s<f;){let d=!1;const E=c.charCodeAt(s);if(n===13){let T;switch(E){case 40:r=!0,T=0;break;case 41:T=r?0:1;break;case 91:a=!0,i=!0,T=0;break;case 93:a=!1,T=i?0:1;break;case 123:m=!0,T=0;break;case 125:T=m?0:1;break;case 39:T=o===34||o===96?0:1;break;case 34:T=o===39||o===96?0:1;break;case 96:T=o===39||o===34?0:1;break;case 42:T=o===42?1:0;break;case 124:T=o===124?1:0;break;case 32:T=a?0:1;break;default:T=w.get(E)}T===1&&(S.push(D._createLink(w,c,I,v,s)),d=!0)}else if(n===12){let T;E===91?(i=!0,T=0):T=w.get(E),T===1?d=!0:n=13}else n=u.nextState(n,E),n===0&&(d=!0);d&&(n=1,r=!1,i=!1,m=!1,v=s+1,o=E),s++}n===13&&S.push(D._createLink(w,c,I,v,f))}return S}}e.LinkComputer=D;function p(b){return!b||typeof b.getLineCount!="function"||typeof b.getLineContent!="function"?[]:D.computeLinks(b)}e.computeLinks=p}),define(pe[109],ve([1,0,25]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shouldSynchronizeModel=e.ApplyEditsResult=e.SearchData=e.ValidAnnotatedEditOperation=e.ModelConstants=e.PositionAffinity=e.TrackedRangeStickiness=e.FindMatch=e.TextModelResolvedOptions=e.EndOfLineSequence=e.DefaultEndOfLine=e.EndOfLinePreference=e.InjectedTextCursorStops=e.MinimapPosition=e.OverviewRulerLane=void 0;var t;(function(I){I[I.Left=1]="Left",I[I.Center=2]="Center",I[I.Right=4]="Right",I[I.Full=7]="Full"})(t=e.OverviewRulerLane||(e.OverviewRulerLane={}));var P;(function(I){I[I.Inline=1]="Inline",I[I.Gutter=2]="Gutter"})(P=e.MinimapPosition||(e.MinimapPosition={}));var A;(function(I){I[I.Both=0]="Both",I[I.Right=1]="Right",I[I.Left=2]="Left",I[I.None=3]="None"})(A=e.InjectedTextCursorStops||(e.InjectedTextCursorStops={}));var C;(function(I){I[I.TextDefined=0]="TextDefined",I[I.LF=1]="LF",I[I.CRLF=2]="CRLF"})(C=e.EndOfLinePreference||(e.EndOfLinePreference={}));var k;(function(I){I[I.LF=1]="LF",I[I.CRLF=2]="CRLF"})(k=e.DefaultEndOfLine||(e.DefaultEndOfLine={}));var _;(function(I){I[I.LF=0]="LF",I[I.CRLF=1]="CRLF"})(_=e.EndOfLineSequence||(e.EndOfLineSequence={}));class R{constructor(l){this._textModelResolvedOptionsBrand=void 0,this.tabSize=Math.max(1,l.tabSize|0),this.indentSize=l.tabSize|0,this.insertSpaces=Boolean(l.insertSpaces),this.defaultEOL=l.defaultEOL|0,this.trimAutoWhitespace=Boolean(l.trimAutoWhitespace),this.bracketPairColorizationOptions=l.bracketPairColorizationOptions}equals(l){return this.tabSize===l.tabSize&&this.indentSize===l.indentSize&&this.insertSpaces===l.insertSpaces&&this.defaultEOL===l.defaultEOL&&this.trimAutoWhitespace===l.trimAutoWhitespace&&(0,h.equals)(this.bracketPairColorizationOptions,l.bracketPairColorizationOptions)}createChangeEvent(l){return{tabSize:this.tabSize!==l.tabSize,indentSize:this.indentSize!==l.indentSize,insertSpaces:this.insertSpaces!==l.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==l.trimAutoWhitespace}}}e.TextModelResolvedOptions=R;class F{constructor(l,c){this._findMatchBrand=void 0,this.range=l,this.matches=c}}e.FindMatch=F;var D;(function(I){I[I.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",I[I.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",I[I.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",I[I.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(D=e.TrackedRangeStickiness||(e.TrackedRangeStickiness={}));var p;(function(I){I[I.Left=0]="Left",I[I.Right=1]="Right",I[I.None=2]="None"})(p=e.PositionAffinity||(e.PositionAffinity={}));var b;(function(I){I[I.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(b=e.ModelConstants||(e.ModelConstants={}));class g{constructor(l,c,f,s,v,o){this.identifier=l,this.range=c,this.text=f,this.forceMoveMarkers=s,this.isAutoWhitespaceEdit=v,this._isTracked=o}}e.ValidAnnotatedEditOperation=g;class u{constructor(l,c,f){this.regex=l,this.wordSeparators=c,this.simpleSearch=f}}e.SearchData=u;class w{constructor(l,c,f){this.reverseEdits=l,this.changes=c,this.trimAutoWhitespaceLineNumbers=f}}e.ApplyEditsResult=w;function S(I){return!I.isTooLargeForSyncing()&&!I.isForSimpleWidget}e.shouldSynchronizeModel=S}),define(pe[110],ve([1,0,18,96]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PrefixSumIndexOfResult=e.ConstantTimePrefixSumComputer=e.PrefixSumComputer=void 0;class P{constructor(_){this.values=_,this.prefixSum=new Uint32Array(_.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(_,R){_=(0,t.toUint32)(_);const F=this.values,D=this.prefixSum,p=R.length;return p===0?!1:(this.values=new Uint32Array(F.length+p),this.values.set(F.subarray(0,_),0),this.values.set(F.subarray(_),_+p),this.values.set(R,_),_-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=_-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(D.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}setValue(_,R){return _=(0,t.toUint32)(_),R=(0,t.toUint32)(R),this.values[_]===R?!1:(this.values[_]=R,_-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=_-1),!0)}removeValues(_,R){_=(0,t.toUint32)(_),R=(0,t.toUint32)(R);const F=this.values,D=this.prefixSum;if(_>=F.length)return!1;const p=F.length-_;return R>=p&&(R=p),R===0?!1:(this.values=new Uint32Array(F.length-R),this.values.set(F.subarray(0,_),0),this.values.set(F.subarray(_+R),_),this.prefixSum=new Uint32Array(this.values.length),_-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=_-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(D.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalSum(){return this.values.length===0?0:this._getPrefixSum(this.values.length-1)}getPrefixSum(_){return _<0?0:(_=(0,t.toUint32)(_),this._getPrefixSum(_))}_getPrefixSum(_){if(_<=this.prefixSumValidIndex[0])return this.prefixSum[_];let R=this.prefixSumValidIndex[0]+1;R===0&&(this.prefixSum[0]=this.values[0],R++),_>=this.values.length&&(_=this.values.length-1);for(let F=R;F<=_;F++)this.prefixSum[F]=this.prefixSum[F-1]+this.values[F];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],_),this.prefixSum[_]}getIndexOf(_){_=Math.floor(_),this.getTotalSum();let R=0,F=this.values.length-1,D=0,p=0,b=0;for(;R<=F;)if(D=R+(F-R)/2|0,p=this.prefixSum[D],b=p-this.values[D],_<b)F=D-1;else if(_>=p)R=D+1;else break;return new C(D,_-b)}}e.PrefixSumComputer=P;class A{constructor(_){this._values=_,this._isValid=!1,this._validEndIndex=-1,this._prefixSum=[],this._indexBySum=[]}getTotalSum(){return this._ensureValid(),this._indexBySum.length}getPrefixSum(_){return this._ensureValid(),_===0?0:this._prefixSum[_-1]}getIndexOf(_){this._ensureValid();const R=this._indexBySum[_],F=R>0?this._prefixSum[R-1]:0;return new C(R,_-F)}removeValues(_,R){this._values.splice(_,R),this._invalidate(_)}insertValues(_,R){this._values=(0,h.arrayInsert)(this._values,_,R),this._invalidate(_)}_invalidate(_){this._isValid=!1,this._validEndIndex=Math.min(this._validEndIndex,_-1)}_ensureValid(){if(!this._isValid){for(let _=this._validEndIndex+1,R=this._values.length;_<R;_++){const F=this._values[_],D=_>0?this._prefixSum[_-1]:0;this._prefixSum[_]=D+F;for(let p=0;p<F;p++)this._indexBySum[D+p]=_}this._prefixSum.length=this._values.length,this._indexBySum.length=this._prefixSum[this._prefixSum.length-1],this._isValid=!0,this._validEndIndex=this._values.length-1}}setValue(_,R){this._values[_]!==R&&(this._values[_]=R,this._invalidate(_))}}e.ConstantTimePrefixSumComputer=A;class C{constructor(_,R){this.index=_,this.remainder=R,this._prefixSumIndexOfResultBrand=void 0,this.index=_,this.remainder=R}}e.PrefixSumIndexOfResult=C}),define(pe[151],ve([1,0,8,48,110]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MirrorTextModel=void 0;class A{constructor(k,_,R,F){this._uri=k,this._lines=_,this._eol=R,this._versionId=F,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(k){k.eol&&k.eol!==this._eol&&(this._eol=k.eol,this._lineStarts=null);const _=k.changes;for(const R of _)this._acceptDeleteRange(R.range),this._acceptInsertText(new t.Position(R.range.startLineNumber,R.range.startColumn),R.text);this._versionId=k.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const k=this._eol.length,_=this._lines.length,R=new Uint32Array(_);for(let F=0;F<_;F++)R[F]=this._lines[F].length+k;this._lineStarts=new P.PrefixSumComputer(R)}}_setLineText(k,_){this._lines[k]=_,this._lineStarts&&this._lineStarts.setValue(k,this._lines[k].length+this._eol.length)}_acceptDeleteRange(k){if(k.startLineNumber===k.endLineNumber){if(k.startColumn===k.endColumn)return;this._setLineText(k.startLineNumber-1,this._lines[k.startLineNumber-1].substring(0,k.startColumn-1)+this._lines[k.startLineNumber-1].substring(k.endColumn-1));return}this._setLineText(k.startLineNumber-1,this._lines[k.startLineNumber-1].substring(0,k.startColumn-1)+this._lines[k.endLineNumber-1].substring(k.endColumn-1)),this._lines.splice(k.startLineNumber,k.endLineNumber-k.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(k.startLineNumber,k.endLineNumber-k.startLineNumber)}_acceptInsertText(k,_){if(_.length===0)return;const R=(0,h.splitLines)(_);if(R.length===1){this._setLineText(k.lineNumber-1,this._lines[k.lineNumber-1].substring(0,k.column-1)+R[0]+this._lines[k.lineNumber-1].substring(k.column-1));return}R[R.length-1]+=this._lines[k.lineNumber-1].substring(k.column-1),this._setLineText(k.lineNumber-1,this._lines[k.lineNumber-1].substring(0,k.column-1)+R[0]);const F=new Uint32Array(R.length-1);for(let D=1;D<R.length;D++)this._lines.splice(k.lineNumber+D-1,0,R[D]),F[D-1]=R[D].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(k.lineNumber,F)}}e.MirrorTextModel=A}),define(pe[152],ve([1,0,8,148,48,35,109]),function(ee,e,h,t,P,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Searcher=e.isValidMatch=e.TextModelSearch=e.createFindMatch=e.isMultilineRegexSource=e.SearchParams=void 0;const k=999;class _{constructor(I,l,c,f){this.searchString=I,this.isRegex=l,this.matchCase=c,this.wordSeparators=f}parseSearchRequest(){if(this.searchString==="")return null;let I;this.isRegex?I=R(this.searchString):I=this.searchString.indexOf(`
`)>=0;let l=null;try{l=h.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:I,global:!0,unicode:!0})}catch{return null}if(!l)return null;let c=!this.isRegex&&!I;return c&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(c=this.matchCase),new C.SearchData(l,this.wordSeparators?(0,t.getMapForWordSeparators)(this.wordSeparators):null,c?this.searchString:null)}}e.SearchParams=_;function R(S){if(!S||S.length===0)return!1;for(let I=0,l=S.length;I<l;I++)if(S.charCodeAt(I)===92){if(I++,I>=l)break;const f=S.charCodeAt(I);if(f===110||f===114||f===87)return!0}return!1}e.isMultilineRegexSource=R;function F(S,I,l){if(!l)return new C.FindMatch(S,null);const c=[];for(let f=0,s=I.length;f<s;f++)c[f]=I[f];return new C.FindMatch(S,c)}e.createFindMatch=F;class D{constructor(I){const l=[];let c=0;for(let f=0,s=I.length;f<s;f++)I.charCodeAt(f)===10&&(l[c++]=f);this._lineFeedsOffsets=l}findLineFeedCountBeforeOffset(I){const l=this._lineFeedsOffsets;let c=0,f=l.length-1;if(f===-1||I<=l[0])return 0;for(;c<f;){const s=c+((f-c)/2>>0);l[s]>=I?f=s-1:l[s+1]>=I?(c=s,f=s):c=s+1}return c+1}}class p{static findMatches(I,l,c,f,s){const v=l.parseSearchRequest();return v?v.regex.multiline?this._doFindMatchesMultiline(I,c,new w(v.wordSeparators,v.regex),f,s):this._doFindMatchesLineByLine(I,c,v,f,s):[]}static _getMultilineMatchRange(I,l,c,f,s,v){let o,n=0;f?(n=f.findLineFeedCountBeforeOffset(s),o=l+s+n):o=l+s;let r;if(f){const d=f.findLineFeedCountBeforeOffset(s+v.length)-n;r=o+v.length+d}else r=o+v.length;const i=I.getPositionAt(o),a=I.getPositionAt(r);return new A.Range(i.lineNumber,i.column,a.lineNumber,a.column)}static _doFindMatchesMultiline(I,l,c,f,s){const v=I.getOffsetAt(l.getStartPosition()),o=I.getValueInRange(l,1),n=I.getEOL()===`\r
`?new D(o):null,r=[];let i=0,a;for(c.reset(0);a=c.next(o);)if(r[i++]=F(this._getMultilineMatchRange(I,v,o,n,a.index,a[0]),a,f),i>=s)return r;return r}static _doFindMatchesLineByLine(I,l,c,f,s){const v=[];let o=0;if(l.startLineNumber===l.endLineNumber){const r=I.getLineContent(l.startLineNumber).substring(l.startColumn-1,l.endColumn-1);return o=this._findMatchesInLine(c,r,l.startLineNumber,l.startColumn-1,o,v,f,s),v}const n=I.getLineContent(l.startLineNumber).substring(l.startColumn-1);o=this._findMatchesInLine(c,n,l.startLineNumber,l.startColumn-1,o,v,f,s);for(let r=l.startLineNumber+1;r<l.endLineNumber&&o<s;r++)o=this._findMatchesInLine(c,I.getLineContent(r),r,0,o,v,f,s);if(o<s){const r=I.getLineContent(l.endLineNumber).substring(0,l.endColumn-1);o=this._findMatchesInLine(c,r,l.endLineNumber,0,o,v,f,s)}return v}static _findMatchesInLine(I,l,c,f,s,v,o,n){const r=I.wordSeparators;if(!o&&I.simpleSearch){const m=I.simpleSearch,d=m.length,E=l.length;let T=-d;for(;(T=l.indexOf(m,T+d))!==-1;)if((!r||u(r,l,E,T,d))&&(v[s++]=new C.FindMatch(new A.Range(c,T+1+f,c,T+1+d+f),null),s>=n))return s;return s}const i=new w(I.wordSeparators,I.regex);let a;i.reset(0);do if(a=i.next(l),a&&(v[s++]=F(new A.Range(c,a.index+1+f,c,a.index+1+a[0].length+f),a,o),s>=n))return s;while(a);return s}static findNextMatch(I,l,c,f){const s=l.parseSearchRequest();if(!s)return null;const v=new w(s.wordSeparators,s.regex);return s.regex.multiline?this._doFindNextMatchMultiline(I,c,v,f):this._doFindNextMatchLineByLine(I,c,v,f)}static _doFindNextMatchMultiline(I,l,c,f){const s=new P.Position(l.lineNumber,1),v=I.getOffsetAt(s),o=I.getLineCount(),n=I.getValueInRange(new A.Range(s.lineNumber,s.column,o,I.getLineMaxColumn(o)),1),r=I.getEOL()===`\r
`?new D(n):null;c.reset(l.column-1);let i=c.next(n);return i?F(this._getMultilineMatchRange(I,v,n,r,i.index,i[0]),i,f):l.lineNumber!==1||l.column!==1?this._doFindNextMatchMultiline(I,new P.Position(1,1),c,f):null}static _doFindNextMatchLineByLine(I,l,c,f){const s=I.getLineCount(),v=l.lineNumber,o=I.getLineContent(v),n=this._findFirstMatchInLine(c,o,v,l.column,f);if(n)return n;for(let r=1;r<=s;r++){const i=(v+r-1)%s,a=I.getLineContent(i+1),m=this._findFirstMatchInLine(c,a,i+1,1,f);if(m)return m}return null}static _findFirstMatchInLine(I,l,c,f,s){I.reset(f-1);const v=I.next(l);return v?F(new A.Range(c,v.index+1,c,v.index+1+v[0].length),v,s):null}static findPreviousMatch(I,l,c,f){const s=l.parseSearchRequest();if(!s)return null;const v=new w(s.wordSeparators,s.regex);return s.regex.multiline?this._doFindPreviousMatchMultiline(I,c,v,f):this._doFindPreviousMatchLineByLine(I,c,v,f)}static _doFindPreviousMatchMultiline(I,l,c,f){const s=this._doFindMatchesMultiline(I,new A.Range(1,1,l.lineNumber,l.column),c,f,10*k);if(s.length>0)return s[s.length-1];const v=I.getLineCount();return l.lineNumber!==v||l.column!==I.getLineMaxColumn(v)?this._doFindPreviousMatchMultiline(I,new P.Position(v,I.getLineMaxColumn(v)),c,f):null}static _doFindPreviousMatchLineByLine(I,l,c,f){const s=I.getLineCount(),v=l.lineNumber,o=I.getLineContent(v).substring(0,l.column-1),n=this._findLastMatchInLine(c,o,v,f);if(n)return n;for(let r=1;r<=s;r++){const i=(s+v-r-1)%s,a=I.getLineContent(i+1),m=this._findLastMatchInLine(c,a,i+1,f);if(m)return m}return null}static _findLastMatchInLine(I,l,c,f){let s=null,v;for(I.reset(0);v=I.next(l);)s=F(new A.Range(c,v.index+1,c,v.index+1+v[0].length),v,f);return s}}e.TextModelSearch=p;function b(S,I,l,c,f){if(c===0)return!0;const s=I.charCodeAt(c-1);if(S.get(s)!==0||s===13||s===10)return!0;if(f>0){const v=I.charCodeAt(c);if(S.get(v)!==0)return!0}return!1}function g(S,I,l,c,f){if(c+f===l)return!0;const s=I.charCodeAt(c+f);if(S.get(s)!==0||s===13||s===10)return!0;if(f>0){const v=I.charCodeAt(c+f-1);if(S.get(v)!==0)return!0}return!1}function u(S,I,l,c,f){return b(S,I,l,c,f)&&g(S,I,l,c,f)}e.isValidMatch=u;class w{constructor(I,l){this._wordSeparators=I,this._searchRegex=l,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(I){this._searchRegex.lastIndex=I,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(I){const l=I.length;let c;do{if(this._prevMatchStartIndex+this._prevMatchLength===l||(c=this._searchRegex.exec(I),!c))return null;const f=c.index,s=c[0].length;if(f===this._prevMatchStartIndex&&s===this._prevMatchLength){if(s===0){h.getNextCodePoint(I,l,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=f,this._prevMatchLength=s,!this._wordSeparators||u(this._wordSeparators,I,l,f,s))return c}while(c);return null}}e.Searcher=w}),define(pe[111],ve([1,0,22,12]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var P;(function(D){D[D.Full=1]="Full",D[D.Delta=2]="Delta"})(P||(P={}));function A(D){for(let p=0,b=D.length;p<b;p+=4){const g=D[p+0],u=D[p+1],w=D[p+2],S=D[p+3];D[p+0]=S,D[p+1]=w,D[p+2]=u,D[p+3]=g}}function C(D){const p=new Uint8Array(D.buffer,D.byteOffset,D.length*4);return t.isLittleEndian()||A(p),h.VSBuffer.wrap(p)}function k(D){const p=D.buffer;if(t.isLittleEndian()||A(p),p.byteOffset%4==0)return new Uint32Array(p.buffer,p.byteOffset,p.length/4);{const b=new Uint8Array(p.byteLength);return b.set(p),new Uint32Array(b.buffer,b.byteOffset,b.length/4)}}function _(D){const p=new Uint32Array(R(D));let b=0;if(p[b++]=D.id,D.type==="full")p[b++]=1,p[b++]=D.data.length,p.set(D.data,b),b+=D.data.length;else{p[b++]=2,p[b++]=D.deltas.length;for(const g of D.deltas)p[b++]=g.start,p[b++]=g.deleteCount,g.data?(p[b++]=g.data.length,p.set(g.data,b),b+=g.data.length):p[b++]=0}return C(p)}e.encodeSemanticTokensDto=_;function R(D){let p=0;if(p+=1+1,D.type==="full")p+=1+D.data.length;else{p+=1,p+=(1+1+1)*D.deltas.length;for(const b of D.deltas)b.data&&(p+=b.data.length)}return p}function F(D){const p=k(D);let b=0;const g=p[b++];if(p[b++]===1){const I=p[b++],l=p.subarray(b,b+I);return b+=I,{id:g,type:"full",data:l}}const w=p[b++],S=[];for(let I=0;I<w;I++){const l=p[b++],c=p[b++],f=p[b++];let s;f>0&&(s=p.subarray(b,b+f),b+=f),S[I]={start:l,deleteCount:c,data:s}}return{id:g,type:"delta",deltas:S}}e.decodeSemanticTokensDto=F}),define(pe[153],ve([1,0,3,6]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TokenizationRegistry=void 0;class P{constructor(){this._map=new Map,this._factories=new Map,this._onDidChange=new h.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(k){this._onDidChange.fire({changedLanguages:k,changedColorMap:!1})}register(k,_){return this._map.set(k,_),this.fire([k]),(0,t.toDisposable)(()=>{this._map.get(k)===_&&(this._map.delete(k),this.fire([k]))})}registerFactory(k,_){this._factories.get(k)?.dispose();const R=new A(this,k,_);return this._factories.set(k,R),(0,t.toDisposable)(()=>{const F=this._factories.get(k);!F||F!==R||(this._factories.delete(k),F.dispose())})}async getOrCreate(k){const _=this.get(k);if(_)return _;const R=this._factories.get(k);return!R||R.isResolved?null:(await R.resolve(),this.get(k))}get(k){return this._map.get(k)||null}isResolved(k){if(this.get(k))return!0;const R=this._factories.get(k);return!!(!R||R.isResolved)}setColorMap(k){this._colorMap=k,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}e.TokenizationRegistry=P;class A extends t.Disposable{constructor(k,_,R){super();this._registry=k,this._languageId=_,this._factory=R,this._isDisposed=!1,this._resolvePromise=null,this._isResolved=!1}get isResolved(){return this._isResolved}dispose(){this._isDisposed=!0,super.dispose()}async resolve(){return this._resolvePromise||(this._resolvePromise=this._create()),this._resolvePromise}async _create(){const k=await Promise.resolve(this._factory.createTokenizationSupport());this._isResolved=!0,k&&!this._isDisposed&&this._register(this._registry.register(this._languageId,k))}}}),define(pe[79],ve([1,0,2,35,153,73]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.TokenizationRegistry=e.InlayHintKind=e.CommentMode=e.CommentThreadCollapsibleState=e.Command=e.FoldingRangeKind=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.isLocationLink=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.InlineCompletionTriggerKind=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.CompletionItemKinds=e.CompletionItemKind=e.EncodedTokenizationResult=e.TokenizationResult=e.Token=e.TokenMetadata=e.MetadataConsts=e.StandardTokenType=e.ColorId=e.FontStyle=e.LanguageId=void 0;var C;(function(O){O[O.Null=0]="Null",O[O.PlainText=1]="PlainText"})(C=e.LanguageId||(e.LanguageId={}));var k;(function(O){O[O.NotSet=-1]="NotSet",O[O.None=0]="None",O[O.Italic=1]="Italic",O[O.Bold=2]="Bold",O[O.Underline=4]="Underline",O[O.Strikethrough=8]="Strikethrough"})(k=e.FontStyle||(e.FontStyle={}));var _;(function(O){O[O.None=0]="None",O[O.DefaultForeground=1]="DefaultForeground",O[O.DefaultBackground=2]="DefaultBackground"})(_=e.ColorId||(e.ColorId={}));var R;(function(O){O[O.Other=0]="Other",O[O.Comment=1]="Comment",O[O.String=2]="String",O[O.RegEx=3]="RegEx"})(R=e.StandardTokenType||(e.StandardTokenType={}));var F;(function(O){O[O.LANGUAGEID_MASK=255]="LANGUAGEID_MASK",O[O.TOKEN_TYPE_MASK=768]="TOKEN_TYPE_MASK",O[O.FONT_STYLE_MASK=15360]="FONT_STYLE_MASK",O[O.FOREGROUND_MASK=8372224]="FOREGROUND_MASK",O[O.BACKGROUND_MASK=4286578688]="BACKGROUND_MASK",O[O.ITALIC_MASK=1024]="ITALIC_MASK",O[O.BOLD_MASK=2048]="BOLD_MASK",O[O.UNDERLINE_MASK=4096]="UNDERLINE_MASK",O[O.STRIKETHROUGH_MASK=8192]="STRIKETHROUGH_MASK",O[O.SEMANTIC_USE_ITALIC=1]="SEMANTIC_USE_ITALIC",O[O.SEMANTIC_USE_BOLD=2]="SEMANTIC_USE_BOLD",O[O.SEMANTIC_USE_UNDERLINE=4]="SEMANTIC_USE_UNDERLINE",O[O.SEMANTIC_USE_STRIKETHROUGH=8]="SEMANTIC_USE_STRIKETHROUGH",O[O.SEMANTIC_USE_FOREGROUND=16]="SEMANTIC_USE_FOREGROUND",O[O.SEMANTIC_USE_BACKGROUND=32]="SEMANTIC_USE_BACKGROUND",O[O.LANGUAGEID_OFFSET=0]="LANGUAGEID_OFFSET",O[O.TOKEN_TYPE_OFFSET=8]="TOKEN_TYPE_OFFSET",O[O.FONT_STYLE_OFFSET=10]="FONT_STYLE_OFFSET",O[O.FOREGROUND_OFFSET=14]="FOREGROUND_OFFSET",O[O.BACKGROUND_OFFSET=23]="BACKGROUND_OFFSET"})(F=e.MetadataConsts||(e.MetadataConsts={}));class D{static getLanguageId(y){return(y&255)>>>0}static getTokenType(y){return(y&768)>>>8}static getFontStyle(y){return(y&15360)>>>10}static getForeground(y){return(y&8372224)>>>14}static getBackground(y){return(y&4286578688)>>>23}static getClassNameFromMetadata(y){const B=this.getForeground(y);let M="mtk"+B;const z=this.getFontStyle(y);return z&1&&(M+=" mtki"),z&2&&(M+=" mtkb"),z&4&&(M+=" mtku"),z&8&&(M+=" mtks"),M}static getInlineStyleFromMetadata(y,B){const M=this.getForeground(y),z=this.getFontStyle(y);let V=`color: ${B[M]};`;z&1&&(V+="font-style: italic;"),z&2&&(V+="font-weight: bold;");let Q="";return z&4&&(Q+=" underline"),z&8&&(Q+=" line-through"),Q&&(V+=`text-decoration:${Q};`),V}static getPresentationFromMetadata(y){const B=this.getForeground(y),M=this.getFontStyle(y);return{foreground:B,italic:Boolean(M&1),bold:Boolean(M&2),underline:Boolean(M&4),strikethrough:Boolean(M&8)}}}e.TokenMetadata=D;class p{constructor(y,B,M){this._tokenBrand=void 0,this.offset=y,this.type=B,this.language=M}toString(){return"("+this.offset+", "+this.type+")"}}e.Token=p;class b{constructor(y,B){this._tokenizationResultBrand=void 0,this.tokens=y,this.endState=B}}e.TokenizationResult=b;class g{constructor(y,B){this._encodedTokenizationResultBrand=void 0,this.tokens=y,this.endState=B}}e.EncodedTokenizationResult=g;var u;(function(O){O[O.Method=0]="Method",O[O.Function=1]="Function",O[O.Constructor=2]="Constructor",O[O.Field=3]="Field",O[O.Variable=4]="Variable",O[O.Class=5]="Class",O[O.Struct=6]="Struct",O[O.Interface=7]="Interface",O[O.Module=8]="Module",O[O.Property=9]="Property",O[O.Event=10]="Event",O[O.Operator=11]="Operator",O[O.Unit=12]="Unit",O[O.Value=13]="Value",O[O.Constant=14]="Constant",O[O.Enum=15]="Enum",O[O.EnumMember=16]="EnumMember",O[O.Keyword=17]="Keyword",O[O.Text=18]="Text",O[O.Color=19]="Color",O[O.File=20]="File",O[O.Reference=21]="Reference",O[O.Customcolor=22]="Customcolor",O[O.Folder=23]="Folder",O[O.TypeParameter=24]="TypeParameter",O[O.User=25]="User",O[O.Issue=26]="Issue",O[O.Snippet=27]="Snippet"})(u=e.CompletionItemKind||(e.CompletionItemKind={}));var w;(function(O){const y=new Map;y.set(0,A.Codicon.symbolMethod),y.set(1,A.Codicon.symbolFunction),y.set(2,A.Codicon.symbolConstructor),y.set(3,A.Codicon.symbolField),y.set(4,A.Codicon.symbolVariable),y.set(5,A.Codicon.symbolClass),y.set(6,A.Codicon.symbolStruct),y.set(7,A.Codicon.symbolInterface),y.set(8,A.Codicon.symbolModule),y.set(9,A.Codicon.symbolProperty),y.set(10,A.Codicon.symbolEvent),y.set(11,A.Codicon.symbolOperator),y.set(12,A.Codicon.symbolUnit),y.set(13,A.Codicon.symbolValue),y.set(15,A.Codicon.symbolEnum),y.set(14,A.Codicon.symbolConstant),y.set(15,A.Codicon.symbolEnum),y.set(16,A.Codicon.symbolEnumMember),y.set(17,A.Codicon.symbolKeyword),y.set(27,A.Codicon.symbolSnippet),y.set(18,A.Codicon.symbolText),y.set(19,A.Codicon.symbolColor),y.set(20,A.Codicon.symbolFile),y.set(21,A.Codicon.symbolReference),y.set(22,A.Codicon.symbolCustomColor),y.set(23,A.Codicon.symbolFolder),y.set(24,A.Codicon.symbolTypeParameter),y.set(25,A.Codicon.account),y.set(26,A.Codicon.issues);function B(V){let Q=y.get(V);return Q||(console.info("No codicon found for CompletionItemKind "+V),Q=A.Codicon.symbolProperty),Q}O.toIcon=B;const M=new Map;M.set("method",0),M.set("function",1),M.set("constructor",2),M.set("field",3),M.set("variable",4),M.set("class",5),M.set("struct",6),M.set("interface",7),M.set("module",8),M.set("property",9),M.set("event",10),M.set("operator",11),M.set("unit",12),M.set("value",13),M.set("constant",14),M.set("enum",15),M.set("enum-member",16),M.set("enumMember",16),M.set("keyword",17),M.set("snippet",27),M.set("text",18),M.set("color",19),M.set("file",20),M.set("reference",21),M.set("customcolor",22),M.set("folder",23),M.set("type-parameter",24),M.set("typeParameter",24),M.set("account",25),M.set("issue",26);function z(V,Q){let H=M.get(V);return typeof H=="undefined"&&!Q&&(H=9),H}O.fromString=z})(w=e.CompletionItemKinds||(e.CompletionItemKinds={}));var S;(function(O){O[O.Deprecated=1]="Deprecated"})(S=e.CompletionItemTag||(e.CompletionItemTag={}));var I;(function(O){O[O.KeepWhitespace=1]="KeepWhitespace",O[O.InsertAsSnippet=4]="InsertAsSnippet"})(I=e.CompletionItemInsertTextRule||(e.CompletionItemInsertTextRule={}));var l;(function(O){O[O.Invoke=0]="Invoke",O[O.TriggerCharacter=1]="TriggerCharacter",O[O.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(l=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var c;(function(O){O[O.Automatic=0]="Automatic",O[O.Explicit=1]="Explicit"})(c=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));var f;(function(O){O[O.Invoke=1]="Invoke",O[O.Auto=2]="Auto"})(f=e.CodeActionTriggerType||(e.CodeActionTriggerType={}));var s;(function(O){O[O.Invoke=1]="Invoke",O[O.TriggerCharacter=2]="TriggerCharacter",O[O.ContentChange=3]="ContentChange"})(s=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var v;(function(O){O[O.Text=0]="Text",O[O.Read=1]="Read",O[O.Write=2]="Write"})(v=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));function o(O){return O&&h.URI.isUri(O.uri)&&t.Range.isIRange(O.range)&&(t.Range.isIRange(O.originSelectionRange)||t.Range.isIRange(O.targetSelectionRange))}e.isLocationLink=o;var n;(function(O){O[O.File=0]="File",O[O.Module=1]="Module",O[O.Namespace=2]="Namespace",O[O.Package=3]="Package",O[O.Class=4]="Class",O[O.Method=5]="Method",O[O.Property=6]="Property",O[O.Field=7]="Field",O[O.Constructor=8]="Constructor",O[O.Enum=9]="Enum",O[O.Interface=10]="Interface",O[O.Function=11]="Function",O[O.Variable=12]="Variable",O[O.Constant=13]="Constant",O[O.String=14]="String",O[O.Number=15]="Number",O[O.Boolean=16]="Boolean",O[O.Array=17]="Array",O[O.Object=18]="Object",O[O.Key=19]="Key",O[O.Null=20]="Null",O[O.EnumMember=21]="EnumMember",O[O.Struct=22]="Struct",O[O.Event=23]="Event",O[O.Operator=24]="Operator",O[O.TypeParameter=25]="TypeParameter"})(n=e.SymbolKind||(e.SymbolKind={}));var r;(function(O){O[O.Deprecated=1]="Deprecated"})(r=e.SymbolTag||(e.SymbolTag={}));var i;(function(O){const y=new Map;y.set(0,A.Codicon.symbolFile),y.set(1,A.Codicon.symbolModule),y.set(2,A.Codicon.symbolNamespace),y.set(3,A.Codicon.symbolPackage),y.set(4,A.Codicon.symbolClass),y.set(5,A.Codicon.symbolMethod),y.set(6,A.Codicon.symbolProperty),y.set(7,A.Codicon.symbolField),y.set(8,A.Codicon.symbolConstructor),y.set(9,A.Codicon.symbolEnum),y.set(10,A.Codicon.symbolInterface),y.set(11,A.Codicon.symbolFunction),y.set(12,A.Codicon.symbolVariable),y.set(13,A.Codicon.symbolConstant),y.set(14,A.Codicon.symbolString),y.set(15,A.Codicon.symbolNumber),y.set(16,A.Codicon.symbolBoolean),y.set(17,A.Codicon.symbolArray),y.set(18,A.Codicon.symbolObject),y.set(19,A.Codicon.symbolKey),y.set(20,A.Codicon.symbolNull),y.set(21,A.Codicon.symbolEnumMember),y.set(22,A.Codicon.symbolStruct),y.set(23,A.Codicon.symbolEvent),y.set(24,A.Codicon.symbolOperator),y.set(25,A.Codicon.symbolTypeParameter);function B(M){let z=y.get(M);return z||(console.info("No codicon found for SymbolKind "+M),z=A.Codicon.symbolProperty),z}O.toIcon=B})(i=e.SymbolKinds||(e.SymbolKinds={}));class a{constructor(y){this.value=y}}e.FoldingRangeKind=a,a.Comment=new a("comment"),a.Imports=new a("imports"),a.Region=new a("region");var m;(function(O){function y(B){return!B||typeof B!="object"?!1:typeof B.id=="string"&&typeof B.title=="string"}O.is=y})(m=e.Command||(e.Command={}));var d;(function(O){O[O.Collapsed=0]="Collapsed",O[O.Expanded=1]="Expanded"})(d=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var E;(function(O){O[O.Editing=0]="Editing",O[O.Preview=1]="Preview"})(E=e.CommentMode||(e.CommentMode={}));var T;(function(O){O[O.Type=1]="Type",O[O.Parameter=2]="Parameter"})(T=e.InlayHintKind||(e.InlayHintKind={})),e.TokenizationRegistry=new P.TokenizationRegistry;var L;(function(O){O[O.None=0]="None",O[O.Option=1]="Option",O[O.Default=2]="Default",O[O.Preferred=3]="Preferred"})(L=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}))}),define(pe[154],ve([19,20]),function(ee,e){return ee.create("vs/base/common/date",e)}),define(pe[155],ve([1,0,154]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const t=60,P=t*60,A=P*24,C=A*7,k=A*30,_=A*365;function R(D,p,b){typeof D!="number"&&(D=D.getTime());const g=Math.round((new Date().getTime()-D)/1e3);if(g<-30)return(0,h.localize)(0,null,R(new Date().getTime()+g*1e3,!1));if(g<30)return(0,h.localize)(1,null);let u;return g<t?(u=g,p?u===1?b?(0,h.localize)(2,null,u):(0,h.localize)(3,null,u):b?(0,h.localize)(4,null,u):(0,h.localize)(5,null,u):u===1?b?(0,h.localize)(6,null,u):(0,h.localize)(7,null,u):b?(0,h.localize)(8,null,u):(0,h.localize)(9,null,u)):g<P?(u=Math.floor(g/t),p?u===1?b?(0,h.localize)(10,null,u):(0,h.localize)(11,null,u):b?(0,h.localize)(12,null,u):(0,h.localize)(13,null,u):u===1?b?(0,h.localize)(14,null,u):(0,h.localize)(15,null,u):b?(0,h.localize)(16,null,u):(0,h.localize)(17,null,u)):g<A?(u=Math.floor(g/P),p?u===1?b?(0,h.localize)(18,null,u):(0,h.localize)(19,null,u):b?(0,h.localize)(20,null,u):(0,h.localize)(21,null,u):u===1?b?(0,h.localize)(22,null,u):(0,h.localize)(23,null,u):b?(0,h.localize)(24,null,u):(0,h.localize)(25,null,u)):g<C?(u=Math.floor(g/A),p?u===1?(0,h.localize)(26,null,u):(0,h.localize)(27,null,u):u===1?(0,h.localize)(28,null,u):(0,h.localize)(29,null,u)):g<k?(u=Math.floor(g/C),p?u===1?b?(0,h.localize)(30,null,u):(0,h.localize)(31,null,u):b?(0,h.localize)(32,null,u):(0,h.localize)(33,null,u):u===1?b?(0,h.localize)(34,null,u):(0,h.localize)(35,null,u):b?(0,h.localize)(36,null,u):(0,h.localize)(37,null,u)):g<_?(u=Math.floor(g/k),p?u===1?b?(0,h.localize)(38,null,u):(0,h.localize)(39,null,u):b?(0,h.localize)(40,null,u):(0,h.localize)(41,null,u):u===1?b?(0,h.localize)(42,null,u):(0,h.localize)(43,null,u):b?(0,h.localize)(44,null,u):(0,h.localize)(45,null,u)):(u=Math.floor(g/_),p?u===1?b?(0,h.localize)(46,null,u):(0,h.localize)(47,null,u):b?(0,h.localize)(48,null,u):(0,h.localize)(49,null,u):u===1?b?(0,h.localize)(50,null,u):(0,h.localize)(51,null,u):b?(0,h.localize)(52,null,u):(0,h.localize)(53,null,u))}e.fromNow=R;function F(D){return D.getFullYear()+"-"+String(D.getMonth()+1).padStart(2,"0")+"-"+String(D.getDate()).padStart(2,"0")+"T"+String(D.getHours()).padStart(2,"0")+":"+String(D.getMinutes()).padStart(2,"0")+":"+String(D.getSeconds()).padStart(2,"0")+"."+(D.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=F}),define(pe[156],ve([19,20]),function(ee,e){return ee.create("vs/base/common/errorMessage",e)}),define(pe[49],ve([1,0,18,13,156]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.toErrorMessage=void 0;function A(D,p){return p&&(D.stack||D.stacktrace)?P.localize(0,null,k(D),C(D.stack)||C(D.stacktrace)):k(D)}function C(D){return Array.isArray(D)?D.join(`
`):D}function k(D){return typeof D.code=="string"&&typeof D.errno=="number"&&typeof D.syscall=="string"?P.localize(1,null,D.message):D.message||P.localize(2,null)}function _(D=null,p=!1){if(!D)return P.localize(3,null);if(Array.isArray(D)){const b=h.coalesce(D),g=_(b[0],p);return b.length>1?P.localize(4,null,g,b.length):g}if(t.isString(D))return D;if(D.detail){const b=D.detail;if(b.error)return A(b.error,p);if(b.exception)return A(b.exception,p)}return D.stack?A(D,p):D.message?D.message:P.localize(5,null)}e.toErrorMessage=_;function R(D){const p=D;return p instanceof Error&&Array.isArray(p.actions)}e.isErrorWithActions=R;function F(D,p=Object.create(null)){const b=new Error(D);return p.actions&&(b.actions=p.actions),b}e.createErrorWithActions=F}),define(pe[157],ve([19,20]),function(ee,e){return ee.create("vs/base/node/processes",e)}),define(pe[112],ve([1,0,38,29,10,25,9,12,41,93,13,145,28,157]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.removeDangerousEnvVariables=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return R.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return R.TerminateResponseCode}});function g(s){switch(s){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function u(s,v){if(k.isWindows)try{const o={stdio:["pipe","pipe","ignore"]};v&&(o.cwd=v);const n=h.execFile("taskkill",["/T","/F","/PID",s.pid.toString()],o);return new Promise(r=>{n.once("error",i=>{r({success:!1,error:i})}),n.once("exit",(i,a)=>{r(i===0?{success:!0}:{success:!1,code:i!==null?i:1})})})}catch(o){return Promise.resolve({success:!1,error:o,code:o.status?g(o.status):1})}else if(k.isLinux||k.isMacintosh)try{const o=P.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",ee).fsPath;return new Promise(n=>{h.execFile(o,[s.pid.toString()],{encoding:"utf8",shell:!0},(r,i,a)=>{n(r?{success:!1,error:r}:{success:!0})})})}catch(o){return Promise.resolve({success:!1,error:o})}else s.kill("SIGKILL");return Promise.resolve({success:!0})}function w(s){!s||(delete s.DEBUG,k.isMacintosh&&delete s.DYLD_LIBRARY_PATH,k.isLinux&&delete s.LD_PRELOAD)}e.removeDangerousEnvVariables=w;function S(s=_.env){return s.comspec||"cmd.exe"}e.getWindowsShell=S;class I{constructor(v,o,n,r){if(o!==void 0&&n!==void 0&&r!==void 0)this.cmd=v,this.args=o,this.shell=n,this.options=r;else{const i=v;this.cmd=i.command,this.shell=i.isShellCommand,this.args=i.args.slice(0),this.options=i.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const i=Object.create(null);Object.keys(_.env).forEach(a=>{i[a]=_.env[a]}),Object.keys(this.options.env).forEach(a=>{i[a]=this.options.env[a]}),this.options.env=i}}getSanitizedCommand(){let v=this.cmd.toLowerCase();const o=v.lastIndexOf(C.sep);return o!==-1&&(v=v.substring(o+1)),I.WellKnowCommands[v]?v:"other"}start(v){return k.isWindows&&(this.options&&this.options.cwd&&t.isUNC(this.options.cwd)||!this.options&&t.isUNC(_.cwd()))?Promise.reject(new Error(b.localize(0,null))):this.useExec().then(o=>{let n,r;const i=new Promise((a,m)=>{n=a,r=m});if(o){let a=this.cmd;this.args&&(a=a+" "+this.args.join(" ")),this.childProcess=h.exec(a,this.options,(m,d,E)=>{this.childProcess=null;const T=m;T&&T.killed?r({killed:this.terminateRequested,stdout:d.toString(),stderr:E.toString()}):this.handleExec(n,v,m,d,E)})}else{let a=null;const m=d=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(d,n,v,r);const E={terminated:this.terminateRequested};F.isNumber(d)&&(E.cmdCode=d),n(E)};if(this.shell&&k.isWindows){const d=A.deepClone(this.options);d.windowsVerbatimArguments=!0,d.detached=!1;let E=!1,T=!1;const L=[];let O=this.ensureQuotes(this.cmd);L.push(O.value),E=O.quoted,this.args&&this.args.forEach(B=>{O=this.ensureQuotes(B),L.push(O.value),T=T&&O.quoted});const y=["/s","/c"];E?T?y.push('"'+L.join(" ")+'"'):L.length>1?y.push('"'+L[0]+'" '+L.slice(1).join(" ")):y.push('"'+L[0]+'"'):y.push(L.join(" ")),a=h.spawn(S(),y,d)}else this.cmd&&(a=h.spawn(this.cmd,this.args,this.options));a&&(this.childProcess=a,this.childProcessPromise=Promise.resolve(a),this.pidResolve&&(this.pidResolve(F.isNumber(a.pid)?a.pid:-1),this.pidResolve=void 0),a.on("error",d=>{this.childProcess=null,r({terminated:this.terminateRequested,error:d})}),a.pid&&(this.childProcess.on("close",m),this.handleSpawn(a,n,v,r,!0)))}return i})}handleClose(v,o,n,r){}ensureQuotes(v){return I.regexp.test(v)?{value:'"'+v+'"',quoted:!0}:{value:v,quoted:v.length>0&&v[0]==='"'&&v[v.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(v=>v.pid,v=>-1):new Promise(v=>{this.pidResolve=v})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(v=>(this.terminateRequested=!0,u(v,this.options.cwd).then(o=>(o.success&&(this.childProcess=null),o))),v=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(v=>{if(!this.shell||!k.isWindows)return v(!1);const o=h.spawn(S(),["/s","/c"]);o.on("error",n=>v(!0)),o.on("exit",n=>v(!1))})}}e.AbstractProcess=I,I.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},I.regexp=/^[^"].* .*[^"]/;class l extends I{constructor(v,o,n,r){super(v,o,n,r);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(v,o,n,r,i){[r,i].forEach((a,m)=>{const d=new D.LineDecoder;d.write(a).forEach(L=>{o({line:L,source:m===0?0:1})});const T=d.end();T&&o({line:T,source:m===0?0:1})}),v({terminated:this.terminateRequested,error:n})}handleSpawn(v,o,n,r,i){const a=new D.LineDecoder,m=new D.LineDecoder;v.stdout.on("data",d=>{a.write(d).forEach(T=>n({line:T,source:0}))}),v.stderr.on("data",d=>{m.write(d).forEach(T=>n({line:T,source:1}))}),this.stdoutLineDecoder=a,this.stderrLineDecoder=m}handleClose(v,o,n,r){const i=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;i&&n({line:i,source:0});const a=this.stderrLineDecoder?this.stderrLineDecoder.end():null;a&&n({line:a,source:1})}}e.LineProcess=l;function c(s){let v=[],o=!1;const n=function(r){if(o){v.push(r);return}(!s.send(r,a=>{if(a&&console.error(a),o=!1,v.length>0){const m=v.slice(0);v=[],m.forEach(d=>n(d))}})||k.isWindows)&&(o=!0)};return{send:n}}e.createQueuedSender=c;var f;(function(s){async function v(o,n,r){if(C.isAbsolute(o))return o;if(n===void 0&&(n=_.cwd()),C.dirname(o)!=="."||(r===void 0&&F.isString(_.env.PATH)&&(r=_.env.PATH.split(C.delimiter)),r===void 0||r.length===0))return C.join(n,o);async function a(m){if(await p.Promises.exists(m)){let d;try{d=await p.Promises.stat(m)}catch(E){E.message.startsWith("EACCES")&&(d=await p.Promises.lstat(m))}return d?!d.isDirectory():!1}return!1}for(let m of r){let d;if(C.isAbsolute(m)?d=C.join(m,o):d=C.join(n,m,o),await a(d))return d;let E=d+".com";if(await a(E)||(E=d+".exe",await a(E)))return E}return C.join(n,o)}s.findExecutable=v})(f=e.win32||(e.win32={}))}),define(pe[158],ve([19,20]),function(ee,e){return ee.create("vs/editor/common/config/editorOptions",e)}),define(pe[113],ve([1,0,158,12,107,18,25,147]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.unicodeHighlightConfigKeys=e.inUntrustedWorkspace=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.clampedInt=e.boolean=e.ApplyUpdateResult=e.ComputeOptionsMemory=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var _;(function(ne){ne[ne.None=0]="None",ne[ne.Keep=1]="Keep",ne[ne.Brackets=2]="Brackets",ne[ne.Advanced=3]="Advanced",ne[ne.Full=4]="Full"})(_=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class R{constructor(se){this._values=se}hasChanged(se){return this._values[se]}}e.ConfigurationChangedEvent=R;class F{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=F;class D{constructor(se,Y,ge,Se){this.id=se,this.name=Y,this.defaultValue=ge,this.schema=Se}applyUpdate(se,Y){return b(se,Y)}compute(se,Y,ge){return ge}}class p{constructor(se,Y){this.newValue=se,this.didChange=Y}}e.ApplyUpdateResult=p;function b(ne,se){if(typeof ne!="object"||typeof se!="object"||!ne||!se)return new p(se,ne!==se);if(Array.isArray(ne)||Array.isArray(se)){const ge=Array.isArray(ne)&&Array.isArray(se)&&A.equals(ne,se);return new p(se,ge)}let Y=!1;for(const ge in se)if(se.hasOwnProperty(ge)){const Se=b(ne[ge],se[ge]);Se.didChange&&(ne[ge]=Se.newValue,Y=!0)}return new p(ne,Y)}class g{constructor(se){this.schema=void 0,this.id=se,this.name="_never_",this.defaultValue=void 0}applyUpdate(se,Y){return b(se,Y)}validate(se){return this.defaultValue}}class u{constructor(se,Y,ge,Se){this.id=se,this.name=Y,this.defaultValue=ge,this.schema=Se}applyUpdate(se,Y){return b(se,Y)}validate(se){return typeof se=="undefined"?this.defaultValue:se}compute(se,Y,ge){return ge}}function w(ne,se){return typeof ne=="undefined"?se:ne==="false"?!1:Boolean(ne)}e.boolean=w;class S extends u{constructor(se,Y,ge,Se=void 0){typeof Se!="undefined"&&(Se.type="boolean",Se.default=ge);super(se,Y,ge,Se)}validate(se){return w(se,this.defaultValue)}}function I(ne,se,Y,ge){if(typeof ne=="undefined")return se;let Se=parseInt(ne,10);return isNaN(Se)?se:(Se=Math.max(Y,Se),Se=Math.min(ge,Se),Se|0)}e.clampedInt=I;class l extends u{constructor(se,Y,ge,Se,Me,$e=void 0){typeof $e!="undefined"&&($e.type="integer",$e.default=ge,$e.minimum=Se,$e.maximum=Me);super(se,Y,ge,$e);this.minimum=Se,this.maximum=Me}static clampedInt(se,Y,ge,Se){return I(se,Y,ge,Se)}validate(se){return l.clampedInt(se,this.defaultValue,this.minimum,this.maximum)}}class c extends u{constructor(se,Y,ge,Se,Me){typeof Me!="undefined"&&(Me.type="number",Me.default=ge);super(se,Y,ge,Me);this.validationFn=Se}static clamp(se,Y,ge){return se<Y?Y:se>ge?ge:se}static float(se,Y){if(typeof se=="number")return se;if(typeof se=="undefined")return Y;const ge=parseFloat(se);return isNaN(ge)?Y:ge}validate(se){return this.validationFn(c.float(se,this.defaultValue))}}class f extends u{static string(se,Y){return typeof se!="string"?Y:se}constructor(se,Y,ge,Se=void 0){typeof Se!="undefined"&&(Se.type="string",Se.default=ge);super(se,Y,ge,Se)}validate(se){return f.string(se,this.defaultValue)}}function s(ne,se,Y){return typeof ne!="string"||Y.indexOf(ne)===-1?se:ne}e.stringSet=s;class v extends u{constructor(se,Y,ge,Se,Me=void 0){typeof Me!="undefined"&&(Me.type="string",Me.enum=Se,Me.default=ge);super(se,Y,ge,Me);this._allowedValues=Se}validate(se){return s(se,this.defaultValue,this._allowedValues)}}class o extends D{constructor(se,Y,ge,Se,Me,$e,Ye=void 0){typeof Ye!="undefined"&&(Ye.type="string",Ye.enum=Me,Ye.default=Se);super(se,Y,ge,Ye);this._allowedValues=Me,this._convert=$e}validate(se){return typeof se!="string"?this.defaultValue:this._allowedValues.indexOf(se)===-1?this.defaultValue:this._convert(se)}}function n(ne){switch(ne){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class r extends D{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[h.localize(0,null),h.localize(1,null),h.localize(2,null)],default:"auto",description:h.localize(3,null)})}validate(se){switch(se){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(se,Y,ge){return ge===0?se.accessibilitySupport:ge}}class i extends D{constructor(){const se={insertSpace:!0,ignoreEmptyLines:!0};super(19,"comments",se,{"editor.comments.insertSpace":{type:"boolean",default:se.insertSpace,description:h.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:se.ignoreEmptyLines,description:h.localize(5,null)}})}validate(se){if(!se||typeof se!="object")return this.defaultValue;const Y=se;return{insertSpace:w(Y.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:w(Y.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var a;(function(ne){ne[ne.Hidden=0]="Hidden",ne[ne.Blink=1]="Blink",ne[ne.Smooth=2]="Smooth",ne[ne.Phase=3]="Phase",ne[ne.Expand=4]="Expand",ne[ne.Solid=5]="Solid"})(a=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function m(ne){switch(ne){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var d;(function(ne){ne[ne.Line=1]="Line",ne[ne.Block=2]="Block",ne[ne.Underline=3]="Underline",ne[ne.LineThin=4]="LineThin",ne[ne.BlockOutline=5]="BlockOutline",ne[ne.UnderlineThin=6]="UnderlineThin"})(d=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function E(ne){switch(ne){case d.Line:return"line";case d.Block:return"block";case d.Underline:return"underline";case d.LineThin:return"line-thin";case d.BlockOutline:return"block-outline";case d.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=E;function T(ne){switch(ne){case"line":return d.Line;case"block":return d.Block;case"underline":return d.Underline;case"line-thin":return d.LineThin;case"block-outline":return d.BlockOutline;case"underline-thin":return d.UnderlineThin}}class L extends g{constructor(){super(128)}compute(se,Y,ge){const Se=["monaco-editor"];return Y.get(33)&&Se.push(Y.get(33)),se.extraEditorClassName&&Se.push(se.extraEditorClassName),Y.get(66)==="default"?Se.push("mouse-default"):Y.get(66)==="copy"&&Se.push("mouse-copy"),Y.get(100)&&Se.push("showUnused"),Y.get(126)&&Se.push("showDeprecated"),Se.join(" ")}}class O extends S{constructor(){super(32,"emptySelectionClipboard",!0,{description:h.localize(6,null)})}compute(se,Y,ge){return ge&&se.emptySelectionClipboard}}class y extends D{constructor(){const se={cursorMoveOnType:!0,seedSearchStringFromSelection:"always",autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(35,"find",se,{"editor.find.cursorMoveOnType":{type:"boolean",default:se.cursorMoveOnType,description:h.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"string",enum:["never","always","selection"],default:se.seedSearchStringFromSelection,enumDescriptions:[h.localize(8,null),h.localize(9,null),h.localize(10,null)],description:h.localize(11,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:se.autoFindInSelection,enumDescriptions:[h.localize(12,null),h.localize(13,null),h.localize(14,null)],description:h.localize(15,null)},"editor.find.globalFindClipboard":{type:"boolean",default:se.globalFindClipboard,description:h.localize(16,null),included:t.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:se.addExtraSpaceOnTop,description:h.localize(17,null)},"editor.find.loop":{type:"boolean",default:se.loop,description:h.localize(18,null)}})}validate(se){if(!se||typeof se!="object")return this.defaultValue;const Y=se;return{cursorMoveOnType:w(Y.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:typeof se.seedSearchStringFromSelection=="boolean"?se.seedSearchStringFromSelection?"always":"never":s(Y.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection,["never","always","selection"]),autoFindInSelection:typeof se.autoFindInSelection=="boolean"?se.autoFindInSelection?"always":"never":s(Y.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:w(Y.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:w(Y.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:w(Y.loop,this.defaultValue.loop)}}}class B extends D{constructor(){super(45,"fontLigatures",B.OFF,{anyOf:[{type:"boolean",description:h.localize(19,null)},{type:"string",description:h.localize(20,null)}],description:h.localize(21,null),default:!1})}validate(se){return typeof se=="undefined"?this.defaultValue:typeof se=="string"?se==="false"?B.OFF:se==="true"?B.ON:se:Boolean(se)?B.ON:B.OFF}}e.EditorFontLigatures=B,B.OFF='"liga" off, "calt" off',B.ON='"liga" on, "calt" on';class M extends g{constructor(){super(44)}compute(se,Y,ge){return se.fontInfo}}class z extends u{constructor(){super(46,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:h.localize(22,null)})}validate(se){const Y=c.float(se,this.defaultValue);return Y===0?e.EDITOR_FONT_DEFAULTS.fontSize:c.clamp(Y,6,100)}compute(se,Y,ge){return se.fontInfo.fontSize}}class V extends D{constructor(){super(47,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:V.MINIMUM_VALUE,maximum:V.MAXIMUM_VALUE,errorMessage:h.localize(23,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:V.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:h.localize(24,null)})}validate(se){return se==="normal"||se==="bold"?se:String(l.clampedInt(se,e.EDITOR_FONT_DEFAULTS.fontWeight,V.MINIMUM_VALUE,V.MAXIMUM_VALUE))}}V.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],V.MINIMUM_VALUE=1,V.MAXIMUM_VALUE=1e3;class Q extends D{constructor(){const se={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},Y={type:"string",enum:["peek","gotoAndPeek","goto"],default:se.multiple,enumDescriptions:[h.localize(25,null),h.localize(26,null),h.localize(27,null)]},ge=["","editor.action.referenceSearch.trigger","editor.action.goToReferences","editor.action.peekImplementation","editor.action.goToImplementation","editor.action.peekTypeDefinition","editor.action.goToTypeDefinition","editor.action.peekDeclaration","editor.action.revealDeclaration","editor.action.peekDefinition","editor.action.revealDefinitionAside","editor.action.revealDefinition"];super(51,"gotoLocation",se,{"editor.gotoLocation.multiple":{deprecationMessage:h.localize(28,null)},"editor.gotoLocation.multipleDefinitions":{description:h.localize(29,null),...Y},"editor.gotoLocation.multipleTypeDefinitions":{description:h.localize(30,null),...Y},"editor.gotoLocation.multipleDeclarations":{description:h.localize(31,null),...Y},"editor.gotoLocation.multipleImplementations":{description:h.localize(32,null),...Y},"editor.gotoLocation.multipleReferences":{description:h.localize(33,null),...Y},"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:se.alternativeDefinitionCommand,enum:ge,description:h.localize(34,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:se.alternativeTypeDefinitionCommand,enum:ge,description:h.localize(35,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:se.alternativeDeclarationCommand,enum:ge,description:h.localize(36,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:se.alternativeImplementationCommand,enum:ge,description:h.localize(37,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:se.alternativeReferenceCommand,enum:ge,description:h.localize(38,null)}})}validate(se){if(!se||typeof se!="object")return this.defaultValue;const Y=se;return{multiple:s(Y.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:Y.multipleDefinitions??s(Y.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:Y.multipleTypeDefinitions??s(Y.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:Y.multipleDeclarations??s(Y.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:Y.multipleImplementations??s(Y.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:Y.multipleReferences??s(Y.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:f.string(Y.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:f.string(Y.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:f.string(Y.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:f.string(Y.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:f.string(Y.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class H extends D{constructor(){const se={enabled:!0,delay:300,sticky:!0,above:!0};super(53,"hover",se,{"editor.hover.enabled":{type:"boolean",default:se.enabled,description:h.localize(39,null)},"editor.hover.delay":{type:"number",default:se.delay,minimum:0,maximum:1e4,description:h.localize(40,null)},"editor.hover.sticky":{type:"boolean",default:se.sticky,description:h.localize(41,null)},"editor.hover.above":{type:"boolean",default:se.above,description:h.localize(42,null)}})}validate(se){if(!se||typeof se!="object")return this.defaultValue;const Y=se;return{enabled:w(Y.enabled,this.defaultValue.enabled),delay:l.clampedInt(Y.delay,this.defaultValue.delay,0,1e4),sticky:w(Y.sticky,this.defaultValue.sticky),above:w(Y.above,this.defaultValue.above)}}}var K;(function(ne){ne[ne.None=0]="None",ne[ne.Text=1]="Text",ne[ne.Blocks=2]="Blocks"})(K=e.RenderMinimap||(e.RenderMinimap={}));class G extends g{constructor(){super(131)}compute(se,Y,ge){return G.computeLayout(Y,{memory:se.memory,outerWidth:se.outerWidth,outerHeight:se.outerHeight,isDominatedByLongLines:se.isDominatedByLongLines,lineHeight:se.fontInfo.lineHeight,viewLineCount:se.viewLineCount,lineNumbersDigitCount:se.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:se.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:se.fontInfo.maxDigitWidth,pixelRatio:se.pixelRatio})}static computeContainedMinimapLineCount(se){const Y=se.height/se.lineHeight,ge=se.scrollBeyondLastLine?Y-1:0,Se=(se.viewLineCount+ge)/(se.pixelRatio*se.height),Me=Math.floor(se.viewLineCount/Se);return{typicalViewportLineCount:Y,extraLinesBeyondLastLine:ge,desiredRatio:Se,minimapLineCount:Me}}static _computeMinimapLayout(se,Y){const ge=se.outerWidth,Se=se.outerHeight,Me=se.pixelRatio;if(!se.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(Me*Se),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:Se};const $e=Y.stableMinimapLayoutInput,Ye=$e&&se.outerHeight===$e.outerHeight&&se.lineHeight===$e.lineHeight&&se.typicalHalfwidthCharacterWidth===$e.typicalHalfwidthCharacterWidth&&se.pixelRatio===$e.pixelRatio&&se.scrollBeyondLastLine===$e.scrollBeyondLastLine&&se.minimap.enabled===$e.minimap.enabled&&se.minimap.side===$e.minimap.side&&se.minimap.size===$e.minimap.size&&se.minimap.showSlider===$e.minimap.showSlider&&se.minimap.renderCharacters===$e.minimap.renderCharacters&&se.minimap.maxColumn===$e.minimap.maxColumn&&se.minimap.scale===$e.minimap.scale&&se.verticalScrollbarWidth===$e.verticalScrollbarWidth&&se.isViewportWrapping===$e.isViewportWrapping,lt=se.lineHeight,vt=se.typicalHalfwidthCharacterWidth,wt=se.scrollBeyondLastLine,je=se.minimap.renderCharacters;let st=Me>=2?Math.round(se.minimap.scale*2):se.minimap.scale;const _t=se.minimap.maxColumn,nt=se.minimap.size,ct=se.minimap.side,Rt=se.verticalScrollbarWidth,Tt=se.viewLineCount,yt=se.remainingWidth,mt=se.isViewportWrapping,Lt=je?2:3;let Mt=Math.floor(Me*Se);const Ft=Mt/Me;let xe=!1,_e=!1,ye=Lt*st,fe=st/Me,te=1;if(nt==="fill"||nt==="fit"){const{typicalViewportLineCount:St,extraLinesBeyondLastLine:ot,desiredRatio:dt,minimapLineCount:ut}=G.computeContainedMinimapLineCount({viewLineCount:Tt,scrollBeyondLastLine:wt,height:Se,lineHeight:lt,pixelRatio:Me});if(Tt/ut>1)xe=!0,_e=!0,st=1,ye=1,fe=st/Me;else{let pt=!1,kt=st+1;if(nt==="fit"){const Ut=Math.ceil((Tt+ot)*ye);mt&&Ye&&yt<=Y.stableFitRemainingWidth?(pt=!0,kt=Y.stableFitMaxMinimapScale):pt=Ut>Mt}if(nt==="fill"||pt){xe=!0;const Ut=st;ye=Math.min(lt*Me,Math.max(1,Math.floor(1/dt))),mt&&Ye&&yt<=Y.stableFitRemainingWidth&&(kt=Y.stableFitMaxMinimapScale),st=Math.min(kt,Math.max(1,Math.floor(ye/Lt))),st>Ut&&(te=Math.min(2,st/Ut)),fe=st/Me/te,Mt=Math.ceil(Math.max(St,Tt+ot)*ye),mt?(Y.stableMinimapLayoutInput=se,Y.stableFitRemainingWidth=yt,Y.stableFitMaxMinimapScale=st):(Y.stableMinimapLayoutInput=null,Y.stableFitRemainingWidth=0)}}}const Ie=Math.floor(_t*fe),Re=Math.min(Ie,Math.max(0,Math.floor((yt-Rt-2)*fe/(vt+fe)))+e.MINIMAP_GUTTER_WIDTH);let Ve=Math.floor(Me*Re);const Ke=Ve/Me;Ve=Math.floor(Ve*te);const ht=je?1:2,Et=ct==="left"?0:ge-Re-Rt;return{renderMinimap:ht,minimapLeft:Et,minimapWidth:Re,minimapHeightIsEditorHeight:xe,minimapIsSampling:_e,minimapScale:st,minimapLineHeight:ye,minimapCanvasInnerWidth:Ve,minimapCanvasInnerHeight:Mt,minimapCanvasOuterWidth:Ke,minimapCanvasOuterHeight:Ft}}static computeLayout(se,Y){const ge=Y.outerWidth|0,Se=Y.outerHeight|0,Me=Y.lineHeight|0,$e=Y.lineNumbersDigitCount|0,Ye=Y.typicalHalfwidthCharacterWidth,lt=Y.maxDigitWidth,vt=Y.pixelRatio,wt=Y.viewLineCount,je=se.get(123),st=je==="inherit"?se.get(122):je,_t=st==="inherit"?se.get(118):st,nt=se.get(121),ct=se.get(2),Rt=Y.isDominatedByLongLines,Tt=se.get(50),yt=se.get(60).renderType!==0,mt=se.get(61),Lt=se.get(94),Mt=se.get(65),Ft=se.get(92),xe=Ft.verticalScrollbarSize,_e=Ft.verticalHasArrows,ye=Ft.arrowSize,fe=Ft.horizontalScrollbarSize,te=se.get(58),Ie=se.get(37);let Re;if(typeof te=="string"&&/^\d+(\.\d+)?ch$/.test(te)){const Ht=parseFloat(te.substr(0,te.length-2));Re=l.clampedInt(Ht*Ye,0,0,1e3)}else Re=l.clampedInt(te,0,0,1e3);Ie&&(Re+=16);let Ve=0;if(yt){const Ht=Math.max($e,mt);Ve=Math.round(Ht*lt)}let Ke=0;Tt&&(Ke=Me);let ht=0,Et=ht+Ke,St=Et+Ve,ot=St+Re;const dt=ge-Ke-Ve-Re;let ut=!1,Nt=!1,pt=-1;ct!==2&&(st==="inherit"&&Rt?(ut=!0,Nt=!0):_t==="on"||_t==="bounded"?Nt=!0:_t==="wordWrapColumn"&&(pt=nt));const kt=G._computeMinimapLayout({outerWidth:ge,outerHeight:Se,lineHeight:Me,typicalHalfwidthCharacterWidth:Ye,pixelRatio:vt,scrollBeyondLastLine:Lt,minimap:Mt,verticalScrollbarWidth:xe,viewLineCount:wt,remainingWidth:dt,isViewportWrapping:Nt},Y.memory||new F);kt.renderMinimap!==0&&kt.minimapLeft===0&&(ht+=kt.minimapWidth,Et+=kt.minimapWidth,St+=kt.minimapWidth,ot+=kt.minimapWidth);const Ut=dt-kt.minimapWidth,Ct=Math.max(1,Math.floor((Ut-xe-2)/Ye)),Bt=_e?ye:0;return Nt&&(pt=Math.max(1,Ct),_t==="bounded"&&(pt=Math.min(pt,nt))),{width:ge,height:Se,glyphMarginLeft:ht,glyphMarginWidth:Ke,lineNumbersLeft:Et,lineNumbersWidth:Ve,decorationsLeft:St,decorationsWidth:Re,contentLeft:ot,contentWidth:Ut,minimap:kt,viewportColumn:Ct,isWordWrapMinified:ut,isViewportWrapping:Nt,wrappingColumn:pt,verticalScrollbarWidth:xe,horizontalScrollbarHeight:fe,overviewRuler:{top:Bt,width:xe,height:Se-2*Bt,right:0}}}}e.EditorLayoutInfoComputer=G;class j extends D{constructor(){const se={enabled:!0};super(57,"lightbulb",se,{"editor.lightbulb.enabled":{type:"boolean",default:se.enabled,description:h.localize(43,null)}})}validate(se){return!se||typeof se!="object"?this.defaultValue:{enabled:w(se.enabled,this.defaultValue.enabled)}}}class ie extends D{constructor(){const se={enabled:!0,fontSize:0,fontFamily:""};super(127,"inlayHints",se,{"editor.inlayHints.enabled":{type:"boolean",default:se.enabled,description:h.localize(44,null)},"editor.inlayHints.fontSize":{type:"number",default:se.fontSize,markdownDescription:h.localize(45,null)},"editor.inlayHints.fontFamily":{type:"string",default:se.fontFamily,markdownDescription:h.localize(46,null)}})}validate(se){if(!se||typeof se!="object")return this.defaultValue;const Y=se;return{enabled:w(Y.enabled,this.defaultValue.enabled),fontSize:l.clampedInt(Y.fontSize,this.defaultValue.fontSize,0,100),fontFamily:f.string(Y.fontFamily,this.defaultValue.fontFamily)}}}class oe extends c{constructor(){super(59,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,se=>c.clamp(se,0,150),{markdownDescription:h.localize(47,null)})}compute(se,Y,ge){return se.fontInfo.lineHeight}}class ue extends D{constructor(){const se={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",renderCharacters:!0,maxColumn:120,scale:1};super(65,"minimap",se,{"editor.minimap.enabled":{type:"boolean",default:se.enabled,description:h.localize(48,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[h.localize(49,null),h.localize(50,null),h.localize(51,null)],default:se.size,description:h.localize(52,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:se.side,description:h.localize(53,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:se.showSlider,description:h.localize(54,null)},"editor.minimap.scale":{type:"number",default:se.scale,minimum:1,maximum:3,enum:[1,2,3],description:h.localize(55,null)},"editor.minimap.renderCharacters":{type:"boolean",default:se.renderCharacters,description:h.localize(56,null)},"editor.minimap.maxColumn":{type:"number",default:se.maxColumn,description:h.localize(57,null)}})}validate(se){if(!se||typeof se!="object")return this.defaultValue;const Y=se;return{enabled:w(Y.enabled,this.defaultValue.enabled),size:s(Y.size,this.defaultValue.size,["proportional","fill","fit"]),side:s(Y.side,this.defaultValue.side,["right","left"]),showSlider:s(Y.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:w(Y.renderCharacters,this.defaultValue.renderCharacters),scale:l.clampedInt(Y.scale,1,1,3),maxColumn:l.clampedInt(Y.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function Z(ne){return ne==="ctrlCmd"?t.isMacintosh?"metaKey":"ctrlKey":"altKey"}class J extends D{constructor(){super(75,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:h.localize(58,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:h.localize(59,null)}})}validate(se){if(!se||typeof se!="object")return this.defaultValue;const Y=se;return{top:l.clampedInt(Y.top,0,0,1e3),bottom:l.clampedInt(Y.bottom,0,0,1e3)}}}class ae extends D{constructor(){const se={enabled:!0,cycle:!1};super(76,"parameterHints",se,{"editor.parameterHints.enabled":{type:"boolean",default:se.enabled,description:h.localize(60,null)},"editor.parameterHints.cycle":{type:"boolean",default:se.cycle,description:h.localize(61,null)}})}validate(se){if(!se||typeof se!="object")return this.defaultValue;const Y=se;return{enabled:w(Y.enabled,this.defaultValue.enabled),cycle:w(Y.cycle,this.defaultValue.cycle)}}}class he extends g{constructor(){super(129)}compute(se,Y,ge){return se.pixelRatio}}class we extends D{constructor(){const se={other:!0,comments:!1,strings:!1};super(79,"quickSuggestions",se,{anyOf:[{type:"boolean"},{type:"object",properties:{strings:{type:"boolean",default:se.strings,description:h.localize(62,null)},comments:{type:"boolean",default:se.comments,description:h.localize(63,null)},other:{type:"boolean",default:se.other,description:h.localize(64,null)}}}],default:se,description:h.localize(65,null)});this.defaultValue=se}validate(se){if(typeof se=="boolean")return se;if(se&&typeof se=="object"){const Y=se,ge={other:w(Y.other,this.defaultValue.other),comments:w(Y.comments,this.defaultValue.comments),strings:w(Y.strings,this.defaultValue.strings)};return ge.other&&ge.comments&&ge.strings?!0:!ge.other&&!ge.comments&&!ge.strings?!1:ge}return this.defaultValue}}var Te;(function(ne){ne[ne.Off=0]="Off",ne[ne.On=1]="On",ne[ne.Relative=2]="Relative",ne[ne.Interval=3]="Interval",ne[ne.Custom=4]="Custom"})(Te=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class Ne extends D{constructor(){super(60,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[h.localize(66,null),h.localize(67,null),h.localize(68,null),h.localize(69,null)],default:"on",description:h.localize(70,null)})}validate(se){let Y=this.defaultValue.renderType,ge=this.defaultValue.renderFn;return typeof se!="undefined"&&(typeof se=="function"?(Y=4,ge=se):se==="interval"?Y=3:se==="relative"?Y=2:se==="on"?Y=1:Y=0),{renderType:Y,renderFn:ge}}}function be(ne){const se=ne.get(87);return se==="editable"?ne.get(81):se!=="on"}e.filterValidationDecorations=be;class Ee extends D{constructor(){const se=[],Y={type:"number",description:h.localize(71,null)};super(91,"rulers",se,{type:"array",items:{anyOf:[Y,{type:["object"],properties:{column:Y,color:{type:"string",description:h.localize(72,null),format:"color-hex"}}}]},default:se,description:h.localize(73,null)})}validate(se){if(Array.isArray(se)){const Y=[];for(let ge of se)if(typeof ge=="number")Y.push({column:l.clampedInt(ge,0,0,1e4),color:null});else if(ge&&typeof ge=="object"){const Se=ge;Y.push({column:l.clampedInt(Se.column,0,0,1e4),color:Se.color})}return Y.sort((ge,Se)=>ge.column-Se.column),Y}return this.defaultValue}}function $(ne,se){if(typeof ne!="string")return se;switch(ne){case"hidden":return 2;case"visible":return 3;default:return 1}}class U extends D{constructor(){const se={vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1};super(92,"scrollbar",se,{"editor.scrollbar.vertical":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[h.localize(74,null),h.localize(75,null),h.localize(76,null)],default:"auto",description:h.localize(77,null)},"editor.scrollbar.horizontal":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[h.localize(78,null),h.localize(79,null),h.localize(80,null)],default:"auto",description:h.localize(81,null)},"editor.scrollbar.verticalScrollbarSize":{type:"number",default:se.verticalScrollbarSize,description:h.localize(82,null)},"editor.scrollbar.horizontalScrollbarSize":{type:"number",default:se.horizontalScrollbarSize,description:h.localize(83,null)},"editor.scrollbar.scrollByPage":{type:"boolean",default:se.scrollByPage,description:h.localize(84,null)}})}validate(se){if(!se||typeof se!="object")return this.defaultValue;const Y=se,ge=l.clampedInt(Y.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),Se=l.clampedInt(Y.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:l.clampedInt(Y.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:$(Y.vertical,this.defaultValue.vertical),horizontal:$(Y.horizontal,this.defaultValue.horizontal),useShadows:w(Y.useShadows,this.defaultValue.useShadows),verticalHasArrows:w(Y.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:w(Y.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:w(Y.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:w(Y.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:ge,horizontalSliderSize:l.clampedInt(Y.horizontalSliderSize,ge,0,1e3),verticalScrollbarSize:Se,verticalSliderSize:l.clampedInt(Y.verticalSliderSize,Se,0,1e3),scrollByPage:w(Y.scrollByPage,this.defaultValue.scrollByPage)}}}e.inUntrustedWorkspace="inUntrustedWorkspace",e.unicodeHighlightConfigKeys={allowedCharacters:"editor.unicodeHighlight.allowedCharacters",invisibleCharacters:"editor.unicodeHighlight.invisibleCharacters",nonBasicASCII:"editor.unicodeHighlight.nonBasicASCII",ambiguousCharacters:"editor.unicodeHighlight.ambiguousCharacters",includeComments:"editor.unicodeHighlight.includeComments",includeStrings:"editor.unicodeHighlight.includeStrings",allowedLocales:"editor.unicodeHighlight.allowedLocales"};class N extends D{constructor(){const se={nonBasicASCII:e.inUntrustedWorkspace,invisibleCharacters:!0,ambiguousCharacters:!0,includeComments:e.inUntrustedWorkspace,includeStrings:!0,allowedCharacters:{},allowedLocales:{_os:!0,_vscode:!0}};super(113,"unicodeHighlight",se,{[e.unicodeHighlightConfigKeys.nonBasicASCII]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:se.nonBasicASCII,description:h.localize(85,null)},[e.unicodeHighlightConfigKeys.invisibleCharacters]:{restricted:!0,type:"boolean",default:se.invisibleCharacters,description:h.localize(86,null)},[e.unicodeHighlightConfigKeys.ambiguousCharacters]:{restricted:!0,type:"boolean",default:se.ambiguousCharacters,description:h.localize(87,null)},[e.unicodeHighlightConfigKeys.includeComments]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:se.includeComments,description:h.localize(88,null)},[e.unicodeHighlightConfigKeys.includeStrings]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:se.includeStrings,description:h.localize(89,null)},[e.unicodeHighlightConfigKeys.allowedCharacters]:{restricted:!0,type:"object",default:se.allowedCharacters,description:h.localize(90,null),additionalProperties:{type:"boolean"}},[e.unicodeHighlightConfigKeys.allowedLocales]:{restricted:!0,type:"object",additionalProperties:{type:"boolean"},default:se.allowedLocales,description:h.localize(91,null)}})}applyUpdate(se,Y){let ge=!1;Y.allowedCharacters&&(C.equals(se.allowedCharacters,Y.allowedCharacters)||(se={...se,allowedCharacters:Y.allowedCharacters},ge=!0)),Y.allowedLocales&&(C.equals(se.allowedLocales,Y.allowedLocales)||(se={...se,allowedLocales:Y.allowedLocales},ge=!0));const Se=super.applyUpdate(se,Y);return ge?new p(Se.newValue,!0):Se}validate(se){if(!se||typeof se!="object")return this.defaultValue;const Y=se;return{nonBasicASCII:de(Y.nonBasicASCII,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),invisibleCharacters:w(Y.invisibleCharacters,this.defaultValue.invisibleCharacters),ambiguousCharacters:w(Y.ambiguousCharacters,this.defaultValue.ambiguousCharacters),includeComments:de(Y.includeComments,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),includeStrings:de(Y.includeStrings,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),allowedCharacters:this.validateBooleanMap(se.allowedCharacters,this.defaultValue.allowedCharacters),allowedLocales:this.validateBooleanMap(se.allowedLocales,this.defaultValue.allowedLocales)}}validateBooleanMap(se,Y){if(typeof se!="object"||!se)return Y;const ge={};for(const[Se,Me]of Object.entries(se))Me===!0&&(ge[Se]=!0);return ge}}class W extends D{constructor(){const se={enabled:!0,mode:"subwordSmart"};super(55,"inlineSuggest",se,{"editor.inlineSuggest.enabled":{type:"boolean",default:se.enabled,description:h.localize(92,null)}})}validate(se){if(!se||typeof se!="object")return this.defaultValue;const Y=se;return{enabled:w(Y.enabled,this.defaultValue.enabled),mode:s(Y.mode,this.defaultValue.mode,["prefix","subword","subwordSmart"])}}}class q extends D{constructor(){const se={enabled:k.EDITOR_MODEL_DEFAULTS.bracketPairColorizationOptions.enabled};super(12,"bracketPairColorization",se,{"editor.bracketPairColorization.enabled":{type:"boolean",default:se.enabled,description:h.localize(93,null)}})}validate(se){return!se||typeof se!="object"?this.defaultValue:{enabled:w(se.enabled,this.defaultValue.enabled)}}}class re extends D{constructor(){const se={bracketPairs:!1,bracketPairsHorizontal:"active",highlightActiveBracketPair:!0,indentation:!0,highlightActiveIndentation:!0};super(13,"guides",se,{"editor.guides.bracketPairs":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[h.localize(94,null),h.localize(95,null),h.localize(96,null)],default:se.bracketPairs,description:h.localize(97,null)},"editor.guides.bracketPairsHorizontal":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[h.localize(98,null),h.localize(99,null),h.localize(100,null)],default:se.bracketPairsHorizontal,description:h.localize(101,null)},"editor.guides.highlightActiveBracketPair":{type:"boolean",default:se.highlightActiveBracketPair,description:h.localize(102,null)},"editor.guides.indentation":{type:"boolean",default:se.indentation,description:h.localize(103,null)},"editor.guides.highlightActiveIndentation":{type:"boolean",default:se.highlightActiveIndentation,description:h.localize(104,null)}})}validate(se){if(!se||typeof se!="object")return this.defaultValue;const Y=se;return{bracketPairs:de(Y.bracketPairs,this.defaultValue.bracketPairs,[!0,!1,"active"]),bracketPairsHorizontal:de(Y.bracketPairsHorizontal,this.defaultValue.bracketPairsHorizontal,[!0,!1,"active"]),highlightActiveBracketPair:w(Y.highlightActiveBracketPair,this.defaultValue.highlightActiveBracketPair),indentation:w(Y.indentation,this.defaultValue.indentation),highlightActiveIndentation:w(Y.highlightActiveIndentation,this.defaultValue.highlightActiveIndentation)}}}function de(ne,se,Y){const ge=Y.indexOf(ne);return ge===-1?se:Y[ge]}class Ce extends D{constructor(){const se={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,preview:!1,previewMode:"subwordSmart",showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showDeprecated:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(106,"suggest",se,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[h.localize(105,null),h.localize(106,null)],default:se.insertMode,description:h.localize(107,null)},"editor.suggest.filterGraceful":{type:"boolean",default:se.filterGraceful,description:h.localize(108,null)},"editor.suggest.localityBonus":{type:"boolean",default:se.localityBonus,description:h.localize(109,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:se.shareSuggestSelections,markdownDescription:h.localize(110,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:se.snippetsPreventQuickSuggestions,description:h.localize(111,null)},"editor.suggest.showIcons":{type:"boolean",default:se.showIcons,description:h.localize(112,null)},"editor.suggest.showStatusBar":{type:"boolean",default:se.showStatusBar,description:h.localize(113,null)},"editor.suggest.preview":{type:"boolean",default:se.preview,description:h.localize(114,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:se.showInlineDetails,description:h.localize(115,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:h.localize(116,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:h.localize(117,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:h.localize(118,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:h.localize(119,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:h.localize(120,null)},"editor.suggest.showDeprecated":{type:"boolean",default:!0,markdownDescription:h.localize(121,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:h.localize(122,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:h.localize(123,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:h.localize(124,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:h.localize(125,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:h.localize(126,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:h.localize(127,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:h.localize(128,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:h.localize(129,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:h.localize(130,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:h.localize(131,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:h.localize(132,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:h.localize(133,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:h.localize(134,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:h.localize(135,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:h.localize(136,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:h.localize(137,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:h.localize(138,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:h.localize(139,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:h.localize(140,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:h.localize(141,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:h.localize(142,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:h.localize(143,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:h.localize(144,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:h.localize(145,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:h.localize(146,null)}})}validate(se){if(!se||typeof se!="object")return this.defaultValue;const Y=se;return{insertMode:s(Y.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:w(Y.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:w(Y.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:w(Y.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:w(Y.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:w(Y.showIcons,this.defaultValue.showIcons),showStatusBar:w(Y.showStatusBar,this.defaultValue.showStatusBar),preview:w(Y.preview,this.defaultValue.preview),previewMode:s(Y.previewMode,this.defaultValue.previewMode,["prefix","subword","subwordSmart"]),showInlineDetails:w(Y.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:w(Y.showMethods,this.defaultValue.showMethods),showFunctions:w(Y.showFunctions,this.defaultValue.showFunctions),showConstructors:w(Y.showConstructors,this.defaultValue.showConstructors),showDeprecated:w(Y.showDeprecated,this.defaultValue.showDeprecated),showFields:w(Y.showFields,this.defaultValue.showFields),showVariables:w(Y.showVariables,this.defaultValue.showVariables),showClasses:w(Y.showClasses,this.defaultValue.showClasses),showStructs:w(Y.showStructs,this.defaultValue.showStructs),showInterfaces:w(Y.showInterfaces,this.defaultValue.showInterfaces),showModules:w(Y.showModules,this.defaultValue.showModules),showProperties:w(Y.showProperties,this.defaultValue.showProperties),showEvents:w(Y.showEvents,this.defaultValue.showEvents),showOperators:w(Y.showOperators,this.defaultValue.showOperators),showUnits:w(Y.showUnits,this.defaultValue.showUnits),showValues:w(Y.showValues,this.defaultValue.showValues),showConstants:w(Y.showConstants,this.defaultValue.showConstants),showEnums:w(Y.showEnums,this.defaultValue.showEnums),showEnumMembers:w(Y.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:w(Y.showKeywords,this.defaultValue.showKeywords),showWords:w(Y.showWords,this.defaultValue.showWords),showColors:w(Y.showColors,this.defaultValue.showColors),showFiles:w(Y.showFiles,this.defaultValue.showFiles),showReferences:w(Y.showReferences,this.defaultValue.showReferences),showFolders:w(Y.showFolders,this.defaultValue.showFolders),showTypeParameters:w(Y.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:w(Y.showSnippets,this.defaultValue.showSnippets),showUsers:w(Y.showUsers,this.defaultValue.showUsers),showIssues:w(Y.showIssues,this.defaultValue.showIssues)}}}class Ae extends D{constructor(){super(102,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:h.localize(147,null),default:!0,type:"boolean"}})}validate(se){return!se||typeof se!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:w(se.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class We extends g{constructor(){super(130)}compute(se,Y,ge){return Y.get(81)?!0:se.tabFocusMode}}var ze;(function(ne){ne[ne.None=0]="None",ne[ne.Same=1]="Same",ne[ne.Indent=2]="Indent",ne[ne.DeepIndent=3]="DeepIndent"})(ze=e.WrappingIndent||(e.WrappingIndent={}));function qe(ne){switch(ne){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class He extends g{constructor(){super(132)}compute(se,Y,ge){const Se=Y.get(131);return{isDominatedByLongLines:se.isDominatedByLongLines,isWordWrapMinified:Se.isWordWrapMinified,isViewportWrapping:Se.isViewportWrapping,wrappingColumn:Se.wrappingColumn}}}const Ue="Consolas, 'Courier New', monospace",Je="Menlo, Monaco, 'Courier New', monospace",et="'Droid Sans Mono', 'monospace', monospace";e.EDITOR_FONT_DEFAULTS={fontFamily:t.isMacintosh?Je:t.isLinux?et:Ue,fontWeight:"normal",fontSize:t.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.editorOptionsRegistry=[];function Le(ne){return e.editorOptionsRegistry[ne.id]=ne,ne}var it;(function(ne){ne[ne.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",ne[ne.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",ne[ne.accessibilitySupport=2]="accessibilitySupport",ne[ne.accessibilityPageSize=3]="accessibilityPageSize",ne[ne.ariaLabel=4]="ariaLabel",ne[ne.autoClosingBrackets=5]="autoClosingBrackets",ne[ne.autoClosingDelete=6]="autoClosingDelete",ne[ne.autoClosingOvertype=7]="autoClosingOvertype",ne[ne.autoClosingQuotes=8]="autoClosingQuotes",ne[ne.autoIndent=9]="autoIndent",ne[ne.automaticLayout=10]="automaticLayout",ne[ne.autoSurround=11]="autoSurround",ne[ne.bracketPairColorization=12]="bracketPairColorization",ne[ne.guides=13]="guides",ne[ne.codeLens=14]="codeLens",ne[ne.codeLensFontFamily=15]="codeLensFontFamily",ne[ne.codeLensFontSize=16]="codeLensFontSize",ne[ne.colorDecorators=17]="colorDecorators",ne[ne.columnSelection=18]="columnSelection",ne[ne.comments=19]="comments",ne[ne.contextmenu=20]="contextmenu",ne[ne.copyWithSyntaxHighlighting=21]="copyWithSyntaxHighlighting",ne[ne.cursorBlinking=22]="cursorBlinking",ne[ne.cursorSmoothCaretAnimation=23]="cursorSmoothCaretAnimation",ne[ne.cursorStyle=24]="cursorStyle",ne[ne.cursorSurroundingLines=25]="cursorSurroundingLines",ne[ne.cursorSurroundingLinesStyle=26]="cursorSurroundingLinesStyle",ne[ne.cursorWidth=27]="cursorWidth",ne[ne.disableLayerHinting=28]="disableLayerHinting",ne[ne.disableMonospaceOptimizations=29]="disableMonospaceOptimizations",ne[ne.domReadOnly=30]="domReadOnly",ne[ne.dragAndDrop=31]="dragAndDrop",ne[ne.emptySelectionClipboard=32]="emptySelectionClipboard",ne[ne.extraEditorClassName=33]="extraEditorClassName",ne[ne.fastScrollSensitivity=34]="fastScrollSensitivity",ne[ne.find=35]="find",ne[ne.fixedOverflowWidgets=36]="fixedOverflowWidgets",ne[ne.folding=37]="folding",ne[ne.foldingStrategy=38]="foldingStrategy",ne[ne.foldingHighlight=39]="foldingHighlight",ne[ne.foldingImportsByDefault=40]="foldingImportsByDefault",ne[ne.foldingMaximumRegions=41]="foldingMaximumRegions",ne[ne.unfoldOnClickAfterEndOfLine=42]="unfoldOnClickAfterEndOfLine",ne[ne.fontFamily=43]="fontFamily",ne[ne.fontInfo=44]="fontInfo",ne[ne.fontLigatures=45]="fontLigatures",ne[ne.fontSize=46]="fontSize",ne[ne.fontWeight=47]="fontWeight",ne[ne.formatOnPaste=48]="formatOnPaste",ne[ne.formatOnType=49]="formatOnType",ne[ne.glyphMargin=50]="glyphMargin",ne[ne.gotoLocation=51]="gotoLocation",ne[ne.hideCursorInOverviewRuler=52]="hideCursorInOverviewRuler",ne[ne.hover=53]="hover",ne[ne.inDiffEditor=54]="inDiffEditor",ne[ne.inlineSuggest=55]="inlineSuggest",ne[ne.letterSpacing=56]="letterSpacing",ne[ne.lightbulb=57]="lightbulb",ne[ne.lineDecorationsWidth=58]="lineDecorationsWidth",ne[ne.lineHeight=59]="lineHeight",ne[ne.lineNumbers=60]="lineNumbers",ne[ne.lineNumbersMinChars=61]="lineNumbersMinChars",ne[ne.linkedEditing=62]="linkedEditing",ne[ne.links=63]="links",ne[ne.matchBrackets=64]="matchBrackets",ne[ne.minimap=65]="minimap",ne[ne.mouseStyle=66]="mouseStyle",ne[ne.mouseWheelScrollSensitivity=67]="mouseWheelScrollSensitivity",ne[ne.mouseWheelZoom=68]="mouseWheelZoom",ne[ne.multiCursorMergeOverlapping=69]="multiCursorMergeOverlapping",ne[ne.multiCursorModifier=70]="multiCursorModifier",ne[ne.multiCursorPaste=71]="multiCursorPaste",ne[ne.occurrencesHighlight=72]="occurrencesHighlight",ne[ne.overviewRulerBorder=73]="overviewRulerBorder",ne[ne.overviewRulerLanes=74]="overviewRulerLanes",ne[ne.padding=75]="padding",ne[ne.parameterHints=76]="parameterHints",ne[ne.peekWidgetDefaultFocus=77]="peekWidgetDefaultFocus",ne[ne.definitionLinkOpensInPeek=78]="definitionLinkOpensInPeek",ne[ne.quickSuggestions=79]="quickSuggestions",ne[ne.quickSuggestionsDelay=80]="quickSuggestionsDelay",ne[ne.readOnly=81]="readOnly",ne[ne.renameOnType=82]="renameOnType",ne[ne.renderControlCharacters=83]="renderControlCharacters",ne[ne.renderFinalNewline=84]="renderFinalNewline",ne[ne.renderLineHighlight=85]="renderLineHighlight",ne[ne.renderLineHighlightOnlyWhenFocus=86]="renderLineHighlightOnlyWhenFocus",ne[ne.renderValidationDecorations=87]="renderValidationDecorations",ne[ne.renderWhitespace=88]="renderWhitespace",ne[ne.revealHorizontalRightPadding=89]="revealHorizontalRightPadding",ne[ne.roundedSelection=90]="roundedSelection",ne[ne.rulers=91]="rulers",ne[ne.scrollbar=92]="scrollbar",ne[ne.scrollBeyondLastColumn=93]="scrollBeyondLastColumn",ne[ne.scrollBeyondLastLine=94]="scrollBeyondLastLine",ne[ne.scrollPredominantAxis=95]="scrollPredominantAxis",ne[ne.selectionClipboard=96]="selectionClipboard",ne[ne.selectionHighlight=97]="selectionHighlight",ne[ne.selectOnLineNumbers=98]="selectOnLineNumbers",ne[ne.showFoldingControls=99]="showFoldingControls",ne[ne.showUnused=100]="showUnused",ne[ne.snippetSuggestions=101]="snippetSuggestions",ne[ne.smartSelect=102]="smartSelect",ne[ne.smoothScrolling=103]="smoothScrolling",ne[ne.stickyTabStops=104]="stickyTabStops",ne[ne.stopRenderingLineAfter=105]="stopRenderingLineAfter",ne[ne.suggest=106]="suggest",ne[ne.suggestFontSize=107]="suggestFontSize",ne[ne.suggestLineHeight=108]="suggestLineHeight",ne[ne.suggestOnTriggerCharacters=109]="suggestOnTriggerCharacters",ne[ne.suggestSelection=110]="suggestSelection",ne[ne.tabCompletion=111]="tabCompletion",ne[ne.tabIndex=112]="tabIndex",ne[ne.unicodeHighlighting=113]="unicodeHighlighting",ne[ne.unusualLineTerminators=114]="unusualLineTerminators",ne[ne.useShadowDOM=115]="useShadowDOM",ne[ne.useTabStops=116]="useTabStops",ne[ne.wordSeparators=117]="wordSeparators",ne[ne.wordWrap=118]="wordWrap",ne[ne.wordWrapBreakAfterCharacters=119]="wordWrapBreakAfterCharacters",ne[ne.wordWrapBreakBeforeCharacters=120]="wordWrapBreakBeforeCharacters",ne[ne.wordWrapColumn=121]="wordWrapColumn",ne[ne.wordWrapOverride1=122]="wordWrapOverride1",ne[ne.wordWrapOverride2=123]="wordWrapOverride2",ne[ne.wrappingIndent=124]="wrappingIndent",ne[ne.wrappingStrategy=125]="wrappingStrategy",ne[ne.showDeprecated=126]="showDeprecated",ne[ne.inlayHints=127]="inlayHints",ne[ne.editorClassName=128]="editorClassName",ne[ne.pixelRatio=129]="pixelRatio",ne[ne.tabFocusMode=130]="tabFocusMode",ne[ne.layoutInfo=131]="layoutInfo",ne[ne.wrappingInfo=132]="wrappingInfo"})(it=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:Le(new S(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:h.localize(148,null)})),acceptSuggestionOnEnter:Le(new v(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",h.localize(149,null),""],markdownDescription:h.localize(150,null)})),accessibilitySupport:Le(new r),accessibilityPageSize:Le(new l(3,"accessibilityPageSize",10,1,1073741824,{description:h.localize(151,null)})),ariaLabel:Le(new f(4,"ariaLabel",h.localize(152,null))),autoClosingBrackets:Le(new v(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",h.localize(153,null),h.localize(154,null),""],description:h.localize(155,null)})),autoClosingDelete:Le(new v(6,"autoClosingDelete","auto",["always","auto","never"],{enumDescriptions:["",h.localize(156,null),""],description:h.localize(157,null)})),autoClosingOvertype:Le(new v(7,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",h.localize(158,null),""],description:h.localize(159,null)})),autoClosingQuotes:Le(new v(8,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",h.localize(160,null),h.localize(161,null),""],description:h.localize(162,null)})),autoIndent:Le(new o(9,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],n,{enumDescriptions:[h.localize(163,null),h.localize(164,null),h.localize(165,null),h.localize(166,null),h.localize(167,null)],description:h.localize(168,null)})),automaticLayout:Le(new S(10,"automaticLayout",!1)),autoSurround:Le(new v(11,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[h.localize(169,null),h.localize(170,null),h.localize(171,null),""],description:h.localize(172,null)})),bracketPairColorization:Le(new q),bracketPairGuides:Le(new re),stickyTabStops:Le(new S(104,"stickyTabStops",!1,{description:h.localize(173,null)})),codeLens:Le(new S(14,"codeLens",!0,{description:h.localize(174,null)})),codeLensFontFamily:Le(new f(15,"codeLensFontFamily","",{description:h.localize(175,null)})),codeLensFontSize:Le(new l(16,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,markdownDescription:h.localize(176,null)})),colorDecorators:Le(new S(17,"colorDecorators",!0,{description:h.localize(177,null)})),columnSelection:Le(new S(18,"columnSelection",!1,{description:h.localize(178,null)})),comments:Le(new i),contextmenu:Le(new S(20,"contextmenu",!0)),copyWithSyntaxHighlighting:Le(new S(21,"copyWithSyntaxHighlighting",!0,{description:h.localize(179,null)})),cursorBlinking:Le(new o(22,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],m,{description:h.localize(180,null)})),cursorSmoothCaretAnimation:Le(new S(23,"cursorSmoothCaretAnimation",!1,{description:h.localize(181,null)})),cursorStyle:Le(new o(24,"cursorStyle",d.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],T,{description:h.localize(182,null)})),cursorSurroundingLines:Le(new l(25,"cursorSurroundingLines",0,0,1073741824,{description:h.localize(183,null)})),cursorSurroundingLinesStyle:Le(new v(26,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[h.localize(184,null),h.localize(185,null)],description:h.localize(186,null)})),cursorWidth:Le(new l(27,"cursorWidth",0,0,1073741824,{markdownDescription:h.localize(187,null)})),disableLayerHinting:Le(new S(28,"disableLayerHinting",!1)),disableMonospaceOptimizations:Le(new S(29,"disableMonospaceOptimizations",!1)),domReadOnly:Le(new S(30,"domReadOnly",!1)),dragAndDrop:Le(new S(31,"dragAndDrop",!0,{description:h.localize(188,null)})),emptySelectionClipboard:Le(new O),extraEditorClassName:Le(new f(33,"extraEditorClassName","")),fastScrollSensitivity:Le(new c(34,"fastScrollSensitivity",5,ne=>ne<=0?5:ne,{markdownDescription:h.localize(189,null)})),find:Le(new y),fixedOverflowWidgets:Le(new S(36,"fixedOverflowWidgets",!1)),folding:Le(new S(37,"folding",!0,{description:h.localize(190,null)})),foldingStrategy:Le(new v(38,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[h.localize(191,null),h.localize(192,null)],description:h.localize(193,null)})),foldingHighlight:Le(new S(39,"foldingHighlight",!0,{description:h.localize(194,null)})),foldingImportsByDefault:Le(new S(40,"foldingImportsByDefault",!1,{description:h.localize(195,null)})),foldingMaximumRegions:Le(new l(41,"foldingMaximumRegions",5e3,10,65e3,{description:h.localize(196,null)})),unfoldOnClickAfterEndOfLine:Le(new S(42,"unfoldOnClickAfterEndOfLine",!1,{description:h.localize(197,null)})),fontFamily:Le(new f(43,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:h.localize(198,null)})),fontInfo:Le(new M),fontLigatures2:Le(new B),fontSize:Le(new z),fontWeight:Le(new V),formatOnPaste:Le(new S(48,"formatOnPaste",!1,{description:h.localize(199,null)})),formatOnType:Le(new S(49,"formatOnType",!1,{description:h.localize(200,null)})),glyphMargin:Le(new S(50,"glyphMargin",!0,{description:h.localize(201,null)})),gotoLocation:Le(new Q),hideCursorInOverviewRuler:Le(new S(52,"hideCursorInOverviewRuler",!1,{description:h.localize(202,null)})),hover:Le(new H),inDiffEditor:Le(new S(54,"inDiffEditor",!1)),letterSpacing:Le(new c(56,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,ne=>c.clamp(ne,-5,20),{description:h.localize(203,null)})),lightbulb:Le(new j),lineDecorationsWidth:Le(new u(58,"lineDecorationsWidth",10)),lineHeight:Le(new oe),lineNumbers:Le(new Ne),lineNumbersMinChars:Le(new l(61,"lineNumbersMinChars",5,1,300)),linkedEditing:Le(new S(62,"linkedEditing",!1,{description:h.localize(204,null)})),links:Le(new S(63,"links",!0,{description:h.localize(205,null)})),matchBrackets:Le(new v(64,"matchBrackets","always",["always","near","never"],{description:h.localize(206,null)})),minimap:Le(new ue),mouseStyle:Le(new v(66,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:Le(new c(67,"mouseWheelScrollSensitivity",1,ne=>ne===0?1:ne,{markdownDescription:h.localize(207,null)})),mouseWheelZoom:Le(new S(68,"mouseWheelZoom",!1,{markdownDescription:h.localize(208,null)})),multiCursorMergeOverlapping:Le(new S(69,"multiCursorMergeOverlapping",!0,{description:h.localize(209,null)})),multiCursorModifier:Le(new o(70,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],Z,{markdownEnumDescriptions:[h.localize(210,null),h.localize(211,null)],markdownDescription:h.localize(212,null)})),multiCursorPaste:Le(new v(71,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[h.localize(213,null),h.localize(214,null)],markdownDescription:h.localize(215,null)})),occurrencesHighlight:Le(new S(72,"occurrencesHighlight",!0,{description:h.localize(216,null)})),overviewRulerBorder:Le(new S(73,"overviewRulerBorder",!0,{description:h.localize(217,null)})),overviewRulerLanes:Le(new l(74,"overviewRulerLanes",3,0,3)),padding:Le(new J),parameterHints:Le(new ae),peekWidgetDefaultFocus:Le(new v(77,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[h.localize(218,null),h.localize(219,null)],description:h.localize(220,null)})),definitionLinkOpensInPeek:Le(new S(78,"definitionLinkOpensInPeek",!1,{description:h.localize(221,null)})),quickSuggestions:Le(new we),quickSuggestionsDelay:Le(new l(80,"quickSuggestionsDelay",10,0,1073741824,{description:h.localize(222,null)})),readOnly:Le(new S(81,"readOnly",!1)),renameOnType:Le(new S(82,"renameOnType",!1,{description:h.localize(223,null),markdownDeprecationMessage:h.localize(224,null)})),renderControlCharacters:Le(new S(83,"renderControlCharacters",!0,{description:h.localize(225,null),restricted:!0})),renderFinalNewline:Le(new S(84,"renderFinalNewline",!0,{description:h.localize(226,null)})),renderLineHighlight:Le(new v(85,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",h.localize(227,null)],description:h.localize(228,null)})),renderLineHighlightOnlyWhenFocus:Le(new S(86,"renderLineHighlightOnlyWhenFocus",!1,{description:h.localize(229,null)})),renderValidationDecorations:Le(new v(87,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:Le(new v(88,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",h.localize(230,null),h.localize(231,null),h.localize(232,null),""],description:h.localize(233,null)})),revealHorizontalRightPadding:Le(new l(89,"revealHorizontalRightPadding",30,0,1e3)),roundedSelection:Le(new S(90,"roundedSelection",!0,{description:h.localize(234,null)})),rulers:Le(new Ee),scrollbar:Le(new U),scrollBeyondLastColumn:Le(new l(93,"scrollBeyondLastColumn",5,0,1073741824,{description:h.localize(235,null)})),scrollBeyondLastLine:Le(new S(94,"scrollBeyondLastLine",!0,{description:h.localize(236,null)})),scrollPredominantAxis:Le(new S(95,"scrollPredominantAxis",!0,{description:h.localize(237,null)})),selectionClipboard:Le(new S(96,"selectionClipboard",!0,{description:h.localize(238,null),included:t.isLinux})),selectionHighlight:Le(new S(97,"selectionHighlight",!0,{description:h.localize(239,null)})),selectOnLineNumbers:Le(new S(98,"selectOnLineNumbers",!0)),showFoldingControls:Le(new v(99,"showFoldingControls","mouseover",["always","mouseover"],{enumDescriptions:[h.localize(240,null),h.localize(241,null)],description:h.localize(242,null)})),showUnused:Le(new S(100,"showUnused",!0,{description:h.localize(243,null)})),showDeprecated:Le(new S(126,"showDeprecated",!0,{description:h.localize(244,null)})),inlayHints:Le(new ie),snippetSuggestions:Le(new v(101,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[h.localize(245,null),h.localize(246,null),h.localize(247,null),h.localize(248,null)],description:h.localize(249,null)})),smartSelect:Le(new Ae),smoothScrolling:Le(new S(103,"smoothScrolling",!1,{description:h.localize(250,null)})),stopRenderingLineAfter:Le(new l(105,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:Le(new Ce),inlineSuggest:Le(new W),suggestFontSize:Le(new l(107,"suggestFontSize",0,0,1e3,{markdownDescription:h.localize(251,null)})),suggestLineHeight:Le(new l(108,"suggestLineHeight",0,0,1e3,{markdownDescription:h.localize(252,null)})),suggestOnTriggerCharacters:Le(new S(109,"suggestOnTriggerCharacters",!0,{description:h.localize(253,null)})),suggestSelection:Le(new v(110,"suggestSelection","first",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[h.localize(254,null),h.localize(255,null),h.localize(256,null)],description:h.localize(257,null)})),tabCompletion:Le(new v(111,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[h.localize(258,null),h.localize(259,null),h.localize(260,null)],description:h.localize(261,null)})),tabIndex:Le(new l(112,"tabIndex",0,-1,1073741824)),unicodeHighlight:Le(new N),unusualLineTerminators:Le(new v(114,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[h.localize(262,null),h.localize(263,null),h.localize(264,null)],description:h.localize(265,null)})),useShadowDOM:Le(new S(115,"useShadowDOM",!0)),useTabStops:Le(new S(116,"useTabStops",!0,{description:h.localize(266,null)})),wordSeparators:Le(new f(117,"wordSeparators",P.USUAL_WORD_SEPARATORS,{description:h.localize(267,null)})),wordWrap:Le(new v(118,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[h.localize(268,null),h.localize(269,null),h.localize(270,null),h.localize(271,null)],description:h.localize(272,null)})),wordWrapBreakAfterCharacters:Le(new f(119,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:Le(new f(120,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:Le(new l(121,"wordWrapColumn",80,1,1073741824,{markdownDescription:h.localize(273,null)})),wordWrapOverride1:Le(new v(122,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:Le(new v(123,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:Le(new o(124,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],qe,{enumDescriptions:[h.localize(274,null),h.localize(275,null),h.localize(276,null),h.localize(277,null)],description:h.localize(278,null)})),wrappingStrategy:Le(new v(125,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[h.localize(279,null),h.localize(280,null)],description:h.localize(281,null)})),editorClassName:Le(new L),pixelRatio:Le(new he),tabFocusMode:Le(new We),layoutInfo:Le(new G),wrappingInfo:Le(new He)}}),define(pe[159],ve([19,20]),function(ee,e){return ee.create("vs/platform/configuration/common/configurationRegistry",e)}),define(pe[160],ve([19,20]),function(ee,e){return ee.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(pe[161],ve([19,20]),function(ee,e){return ee.create("vs/platform/extensions/common/extensionValidator",e)}),define(pe[162],ve([19,20]),function(ee,e){return ee.create("vs/platform/externalTerminal/node/externalTerminalService",e)}),define(pe[163],ve([19,20]),function(ee,e){return ee.create("vs/platform/files/common/files",e)}),define(pe[164],ve([19,20]),function(ee,e){return ee.create("vs/platform/markers/common/markers",e)}),define(pe[165],ve([19,20]),function(ee,e){return ee.create("vs/platform/workspace/common/workspace",e)}),define(pe[166],ve([19,20]),function(ee,e){return ee.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(pe[167],ve([19,20]),function(ee,e){return ee.create("vs/workbench/api/common/extHostExtensionService",e)}),define(pe[168],ve([19,20]),function(ee,e){return ee.create("vs/workbench/api/common/extHostProgress",e)}),define(pe[169],ve([19,20]),function(ee,e){return ee.create("vs/workbench/api/common/extHostStatusBar",e)}),define(pe[170],ve([19,20]),function(ee,e){return ee.create("vs/workbench/api/common/extHostTerminalService",e)}),define(pe[171],ve([19,20]),function(ee,e){return ee.create("vs/workbench/api/common/extHostTreeViews",e)}),define(pe[172],ve([19,20]),function(ee,e){return ee.create("vs/workbench/api/common/extHostWorkspace",e)}),define(pe[173],ve([19,20]),function(ee,e){return ee.create("vs/workbench/api/node/extHostDebugService",e)}),define(pe[174],ve([19,20]),function(ee,e){return ee.create("vs/workbench/api/node/extHostTunnelService",e)}),define(pe[175],ve([19,20]),function(ee,e){return ee.create("vs/workbench/common/editor",e)}),define(pe[176],ve([19,20]),function(ee,e){return ee.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(pe[177],ve([19,20]),function(ee,e){return ee.create("vs/workbench/contrib/debug/common/debug",e)}),define(pe[178],ve([19,20]),function(ee,e){return ee.create("vs/workbench/contrib/debug/node/debugAdapter",e)}),define(pe[179],ve([19,20]),function(ee,e){return ee.create("vs/workbench/contrib/tasks/common/taskService",e)}),define(pe[180],ve([19,20]),function(ee,e){return ee.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(pe[181],ve([19,20]),function(ee,e){return ee.create("vs/workbench/services/search/common/queryBuilder",e)}),define(pe[182],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextEditorSelectionSource=e.TextEditorSelectionRevealType=e.EditorOpenSource=e.EditorResolution=e.EditorActivation=void 0;var h;(function(k){k[k.ACTIVATE=1]="ACTIVATE",k[k.RESTORE=2]="RESTORE",k[k.PRESERVE=3]="PRESERVE"})(h=e.EditorActivation||(e.EditorActivation={}));var t;(function(k){k[k.PICK=0]="PICK",k[k.DISABLED=1]="DISABLED",k[k.EXCLUSIVE_ONLY=2]="EXCLUSIVE_ONLY"})(t=e.EditorResolution||(e.EditorResolution={}));var P;(function(k){k[k.API=0]="API",k[k.USER=1]="USER"})(P=e.EditorOpenSource||(e.EditorOpenSource={}));var A;(function(k){k[k.Center=0]="Center",k[k.CenterIfOutsideViewport=1]="CenterIfOutsideViewport",k[k.NearTop=2]="NearTop",k[k.NearTopIfOutsideViewport=3]="NearTopIfOutsideViewport"})(A=e.TextEditorSelectionRevealType||(e.TextEditorSelectionRevealType={}));var C;(function(k){k.PROGRAMMATIC="api",k.NAVIGATION="code.navigation",k.JUMP="code.jump"})(C=e.TextEditorSelectionSource||(e.TextEditorSelectionSource={}))}),define(pe[183],ve([1,0,161]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const t=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,P=/^-(\d{4})(\d{2})(\d{2})$/;function A(p){return p=p.trim(),p==="*"||t.test(p)}e.isValidVersionStr=A;function C(p){if(!A(p))return null;if(p=p.trim(),p==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let b=p.match(t);return b?{hasCaret:b[1]==="^",hasGreaterEquals:b[1]===">=",majorBase:b[2]==="x"?0:parseInt(b[2],10),majorMustEqual:b[2]!=="x",minorBase:b[4]==="x"?0:parseInt(b[4],10),minorMustEqual:b[4]!=="x",patchBase:b[6]==="x"?0:parseInt(b[6],10),patchMustEqual:b[6]!=="x",preRelease:b[8]||null}:null}e.parseVersion=C;function k(p){if(!p)return null;let b=p.majorBase,g=p.majorMustEqual,u=p.minorBase,w=p.minorMustEqual,S=p.patchBase,I=p.patchMustEqual;p.hasCaret&&(b===0||(w=!1),I=!1);let l=0;if(p.preRelease){const c=P.exec(p.preRelease);if(c){const[,f,s,v]=c;l=Date.UTC(Number(f),Number(s)-1,Number(v))}}return{majorBase:b,majorMustEqual:g,minorBase:u,minorMustEqual:w,patchBase:S,patchMustEqual:I,isMinimum:p.hasGreaterEquals,notBefore:l}}e.normalizeVersion=k;function _(p,b,g){let u;typeof p=="string"?u=k(C(p)):u=p;let w;b instanceof Date?w=b.getTime():typeof b=="string"&&(w=new Date(b).getTime());let S;if(typeof g=="string"?S=k(C(g)):S=g,!u||!S)return!1;let I=u.majorBase,l=u.minorBase,c=u.patchBase,f=S.majorBase,s=S.minorBase,v=S.patchBase,o=S.notBefore,n=S.majorMustEqual,r=S.minorMustEqual,i=S.patchMustEqual;return S.isMinimum?I>f?!0:I<f?!1:l>s?!0:l<s||w&&w<o?!1:c>=v:(I===1&&f===0&&(!n||!r||!i)&&(f=1,s=0,v=0,n=!0,r=!1,i=!1),I<f?!1:I>f?!n:l<s?!1:l>s?!r:c<v?!1:c>v?!i:!(w&&w<o))}e.isValidVersion=_;function R(p,b,g,u){return g.isBuiltin||typeof g.main=="undefined"?!0:D(p,b,g.engines.vscode,u)}e.isValidExtensionVersion=R;function F(p,b,g){return p==="*"||D(b,g,p)}e.isEngineValid=F;function D(p,b,g,u=[]){let w=k(C(g));if(!w)return u.push(h.localize(0,null,g)),!1;if(w.majorBase===0){if(!w.majorMustEqual||!w.minorMustEqual)return u.push(h.localize(1,null,g)),!1}else if(!w.majorMustEqual)return u.push(h.localize(2,null,g)),!1;return _(p,b,w)?!0:(u.push(h.localize(3,null,p,g)),!1)}}),define(pe[114],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class h{constructor(P,A=[],C=!1){this.ctor=P,this.staticArguments=A,this.supportsDelayedInstantiation=C}}e.SyncDescriptor=h}),define(pe[61],ve([1,0,114]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const t=[];function P(C,k,_){k instanceof h.SyncDescriptor||(k=new h.SyncDescriptor(k,[],_)),t.push([C,k])}e.registerSingleton=P;function A(){return t}e.getSingletonServiceDescriptors=A}),define(pe[184],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class h{constructor(A){this.incoming=new Map,this.outgoing=new Map,this.data=A}}e.Node=h;class t{constructor(A){this._hashFn=A,this._nodes=new Map}roots(){const A=[];for(let C of this._nodes.values())C.outgoing.size===0&&A.push(C);return A}insertEdge(A,C){const k=this.lookupOrInsertNode(A),_=this.lookupOrInsertNode(C);k.outgoing.set(this._hashFn(C),_),_.incoming.set(this._hashFn(A),k)}removeNode(A){const C=this._hashFn(A);this._nodes.delete(C);for(let k of this._nodes.values())k.outgoing.delete(C),k.incoming.delete(C)}lookupOrInsertNode(A){const C=this._hashFn(A);let k=this._nodes.get(C);return k||(k=new h(A),this._nodes.set(C,k)),k}lookup(A){return this._nodes.get(this._hashFn(A))}isEmpty(){return this._nodes.size===0}toString(){let A=[];for(let[C,k]of this._nodes)A.push(`${C}, (incoming)[${[...k.incoming.keys()].join(", ")}], (outgoing)[${[...k.outgoing.keys()].join(",")}]`);return A.join(`
`)}findCycleSlow(){for(let[A,C]of this._nodes){const k=new Set([A]),_=this._findCycle(C,k);if(_)return _}}_findCycle(A,C){for(let[k,_]of A.outgoing){if(C.has(k))return[...C,k].join(" -> ");C.add(k);const R=this._findCycle(_,C);if(R)return R;C.delete(k)}}}e.Graph=t}),define(pe[4],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var h;(function(C){C.serviceIds=new Map,C.DI_TARGET="$di$target",C.DI_DEPENDENCIES="$di$dependencies";function k(_){return _[C.DI_DEPENDENCIES]||[]}C.getServiceDependencies=k})(h=e._util||(e._util={})),e.IInstantiationService=P("instantiationService");function t(C,k,_,R){k[h.DI_TARGET]===k?k[h.DI_DEPENDENCIES].push({id:C,index:_,optional:R}):(k[h.DI_DEPENDENCIES]=[{id:C,index:_,optional:R}],k[h.DI_TARGET]=k)}function P(C){if(h.serviceIds.has(C))return h.serviceIds.get(C);const k=function(_,R,F){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");t(k,_,F,!1)};return k.toString=()=>C,h.serviceIds.set(C,k),k}e.createDecorator=P;function A(C){return C}e.refineServiceDecorator=A}),define(pe[115],ve([1,0,13,2,4]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,P.createDecorator)("configurationService");function A(w){return w&&typeof w=="object"&&(!w.overrideIdentifier||typeof w.overrideIdentifier=="string")&&(!w.resource||w.resource instanceof t.URI)}e.isConfigurationOverrides=A;function C(w){return w&&typeof w=="object"&&(!w.overrideIdentifiers||h.isArray(w.overrideIdentifiers))&&!w.overrideIdentifier&&(!w.resource||w.resource instanceof t.URI)}e.isConfigurationUpdateOverrides=C;var k;(function(w){w[w.USER=1]="USER",w[w.USER_LOCAL=2]="USER_LOCAL",w[w.USER_REMOTE=3]="USER_REMOTE",w[w.WORKSPACE=4]="WORKSPACE",w[w.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",w[w.DEFAULT=6]="DEFAULT",w[w.MEMORY=7]="MEMORY"})(k=e.ConfigurationTarget||(e.ConfigurationTarget={}));function _(w){switch(w){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=_;function R(w,S){const I=Object.create(null);for(let l in w)F(I,l,w[l],S);return I}e.toValuesTree=R;function F(w,S,I,l){const c=S.split("."),f=c.pop();let s=w;for(let v=0;v<c.length;v++){let o=c[v],n=s[o];switch(typeof n){case"undefined":n=s[o]=Object.create(null);break;case"object":break;default:l(`Ignoring ${S} as ${c.slice(0,v+1).join(".")} is ${JSON.stringify(n)}`);return}s=n}if(typeof s=="object"&&s!==null)try{s[f]=I}catch{l(`Ignoring ${S} as ${c.join(".")} is ${JSON.stringify(s)}`)}else l(`Ignoring ${S} as ${c.join(".")} is ${JSON.stringify(s)}`)}e.addToValueTree=F;function D(w,S){const I=S.split(".");p(w,I)}e.removeFromValueTree=D;function p(w,S){const I=S.shift();if(S.length===0){delete w[I];return}if(Object.keys(w).indexOf(I)!==-1){const l=w[I];typeof l=="object"&&!Array.isArray(l)&&(p(l,S),Object.keys(l).length===0&&delete w[I])}}function b(w,S,I){function l(s,v){let o=s;for(const n of v){if(typeof o!="object"||o===null)return;o=o[n]}return o}const c=S.split("."),f=l(w,c);return typeof f=="undefined"?I:f}e.getConfigurationValue=b;function g(w,S,I){Object.keys(S).forEach(l=>{l!=="__proto__"&&(l in w?h.isObject(w[l])&&h.isObject(S[l])?g(w[l],S[l],I):I&&(w[l]=S[l]):w[l]=S[l])})}e.merge=g;function u(w,S,I){const l=w.inspect(S),c=w.inspect(I);return typeof l.userValue!="undefined"||typeof l.workspaceValue!="undefined"||typeof l.workspaceFolderValue!="undefined"?l.value:typeof c.userValue!="undefined"||typeof c.workspaceValue!="undefined"||typeof c.workspaceFolderValue!="undefined"?c.value:l.defaultValue}e.getMigratedSettingValue=u}),define(pe[62],ve([1,0,12,8,4]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.implies=e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.expressionsAreEqualWithConstantSubstitution=e.ContextKeyExpr=e.ContextKeyExprType=void 0;const A=new Map;A.set("false",!1),A.set("true",!0),A.set("isMac",h.isMacintosh),A.set("isLinux",h.isLinux),A.set("isWindows",h.isWindows),A.set("isWeb",h.isWeb),A.set("isMacNative",h.isMacintosh&&!h.isWeb),A.set("isEdge",h.isEdge),A.set("isFirefox",h.isFirefox),A.set("isChrome",h.isChrome),A.set("isSafari",h.isSafari);const C=Object.prototype.hasOwnProperty;var k;(function(O){O[O.False=0]="False",O[O.True=1]="True",O[O.Defined=2]="Defined",O[O.Not=3]="Not",O[O.Equals=4]="Equals",O[O.NotEquals=5]="NotEquals",O[O.And=6]="And",O[O.Regex=7]="Regex",O[O.NotRegex=8]="NotRegex",O[O.Or=9]="Or",O[O.In=10]="In",O[O.NotIn=11]="NotIn",O[O.Greater=12]="Greater",O[O.GreaterEquals=13]="GreaterEquals",O[O.Smaller=14]="Smaller",O[O.SmallerEquals=15]="SmallerEquals"})(k=e.ContextKeyExprType||(e.ContextKeyExprType={}));class _{static false(){return D.INSTANCE}static true(){return p.INSTANCE}static has(y){return b.create(y)}static equals(y,B){return g.create(y,B)}static notEquals(y,B){return S.create(y,B)}static regex(y,B){return o.create(y,B)}static in(y,B){return u.create(y,B)}static not(y){return I.create(y)}static and(...y){return i.create(y,null)}static or(...y){return a.create(y,null,!0)}static greater(y,B){return c.create(y,B)}static greaterEquals(y,B){return f.create(y,B)}static smaller(y,B){return s.create(y,B)}static smallerEquals(y,B){return v.create(y,B)}static deserialize(y,B=!1){if(!!y)return this._deserializeOrExpression(y,B)}static _deserializeOrExpression(y,B){let M=y.split("||");return a.create(M.map(z=>this._deserializeAndExpression(z,B)),null,!0)}static _deserializeAndExpression(y,B){let M=y.split("&&");return i.create(M.map(z=>this._deserializeOne(z,B)),null)}static _deserializeOne(y,B){if(y=y.trim(),y.indexOf("!=")>=0){let M=y.split("!=");return S.create(M[0].trim(),this._deserializeValue(M[1],B))}if(y.indexOf("==")>=0){let M=y.split("==");return g.create(M[0].trim(),this._deserializeValue(M[1],B))}if(y.indexOf("=~")>=0){let M=y.split("=~");return o.create(M[0].trim(),this._deserializeRegexValue(M[1],B))}if(y.indexOf(" in ")>=0){let M=y.split(" in ");return u.create(M[0].trim(),M[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(y)){const M=y.split(">=");return f.create(M[0].trim(),M[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(y)){const M=y.split(">");return c.create(M[0].trim(),M[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(y)){const M=y.split("<=");return v.create(M[0].trim(),M[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(y)){const M=y.split("<");return s.create(M[0].trim(),M[1].trim())}return/^\!\s*/.test(y)?I.create(y.substr(1).trim()):b.create(y)}static _deserializeValue(y,B){if(y=y.trim(),y==="true")return!0;if(y==="false")return!1;let M=/^'([^']*)'$/.exec(y);return M?M[1].trim():y}static _deserializeRegexValue(y,B){if((0,t.isFalsyOrWhitespace)(y)){if(B)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let M=y.indexOf("/"),z=y.lastIndexOf("/");if(M===z||M<0){if(B)throw new Error(`bad regexp-value '${y}', missing /-enclosure`);return console.warn(`bad regexp-value '${y}', missing /-enclosure`),null}let V=y.slice(M+1,z),Q=y[z+1]==="i"?"i":"";try{return new RegExp(V,Q)}catch(H){if(B)throw new Error(`bad regexp-value '${y}', parse error: ${H}`);return console.warn(`bad regexp-value '${y}', parse error: ${H}`),null}}}e.ContextKeyExpr=_;function R(O,y){const B=O?O.substituteConstants():void 0,M=y?y.substituteConstants():void 0;return!B&&!M?!0:!B||!M?!1:B.equals(M)}e.expressionsAreEqualWithConstantSubstitution=R;function F(O,y){return O.cmp(y)}class D{constructor(){this.type=0}cmp(y){return this.type-y.type}equals(y){return y.type===this.type}substituteConstants(){return this}evaluate(y){return!1}serialize(){return"false"}keys(){return[]}map(y){return this}negate(){return p.INSTANCE}}e.ContextKeyFalseExpr=D,D.INSTANCE=new D;class p{constructor(){this.type=1}cmp(y){return this.type-y.type}equals(y){return y.type===this.type}substituteConstants(){return this}evaluate(y){return!0}serialize(){return"true"}keys(){return[]}map(y){return this}negate(){return D.INSTANCE}}e.ContextKeyTrueExpr=p,p.INSTANCE=new p;class b{constructor(y,B){this.key=y,this.negated=B,this.type=2}static create(y,B=null){const M=A.get(y);return typeof M=="boolean"?M?p.INSTANCE:D.INSTANCE:new b(y,B)}cmp(y){return y.type!==this.type?this.type-y.type:d(this.key,y.key)}equals(y){return y.type===this.type?this.key===y.key:!1}substituteConstants(){const y=A.get(this.key);return typeof y=="boolean"?y?p.INSTANCE:D.INSTANCE:this}evaluate(y){return!!y.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(y){return y.mapDefined(this.key)}negate(){return this.negated||(this.negated=I.create(this.key,this)),this.negated}}e.ContextKeyDefinedExpr=b;class g{constructor(y,B,M){this.key=y,this.value=B,this.negated=M,this.type=4}static create(y,B,M=null){if(typeof B=="boolean")return B?b.create(y,M):I.create(y,M);const z=A.get(y);return typeof z=="boolean"?B===(z?"true":"false")?p.INSTANCE:D.INSTANCE:new g(y,B,M)}cmp(y){return y.type!==this.type?this.type-y.type:E(this.key,this.value,y.key,y.value)}equals(y){return y.type===this.type?this.key===y.key&&this.value===y.value:!1}substituteConstants(){const y=A.get(this.key);if(typeof y=="boolean"){const B=y?"true":"false";return this.value===B?p.INSTANCE:D.INSTANCE}return this}evaluate(y){return y.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(y){return y.mapEquals(this.key,this.value)}negate(){return this.negated||(this.negated=S.create(this.key,this.value,this)),this.negated}}e.ContextKeyEqualsExpr=g;class u{constructor(y,B){this.key=y,this.valueKey=B,this.type=10,this.negated=null}static create(y,B){return new u(y,B)}cmp(y){return y.type!==this.type?this.type-y.type:E(this.key,this.valueKey,y.key,y.valueKey)}equals(y){return y.type===this.type?this.key===y.key&&this.valueKey===y.valueKey:!1}substituteConstants(){return this}evaluate(y){const B=y.getValue(this.valueKey),M=y.getValue(this.key);return Array.isArray(B)?B.indexOf(M)>=0:typeof M=="string"&&typeof B=="object"&&B!==null?C.call(B,M):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(y){return y.mapIn(this.key,this.valueKey)}negate(){return this.negated||(this.negated=w.create(this)),this.negated}}e.ContextKeyInExpr=u;class w{constructor(y){this._actual=y,this.type=11}static create(y){return new w(y)}cmp(y){return y.type!==this.type?this.type-y.type:this._actual.cmp(y._actual)}equals(y){return y.type===this.type?this._actual.equals(y._actual):!1}substituteConstants(){return this}evaluate(y){return!this._actual.evaluate(y)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(y){return new w(this._actual.map(y))}negate(){return this._actual}}e.ContextKeyNotInExpr=w;class S{constructor(y,B,M){this.key=y,this.value=B,this.negated=M,this.type=5}static create(y,B,M=null){if(typeof B=="boolean")return B?I.create(y,M):b.create(y,M);const z=A.get(y);return typeof z=="boolean"?B===(z?"true":"false")?D.INSTANCE:p.INSTANCE:new S(y,B,M)}cmp(y){return y.type!==this.type?this.type-y.type:E(this.key,this.value,y.key,y.value)}equals(y){return y.type===this.type?this.key===y.key&&this.value===y.value:!1}substituteConstants(){const y=A.get(this.key);if(typeof y=="boolean"){const B=y?"true":"false";return this.value===B?D.INSTANCE:p.INSTANCE}return this}evaluate(y){return y.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(y){return y.mapNotEquals(this.key,this.value)}negate(){return this.negated||(this.negated=g.create(this.key,this.value,this)),this.negated}}e.ContextKeyNotEqualsExpr=S;class I{constructor(y,B){this.key=y,this.negated=B,this.type=3}static create(y,B=null){const M=A.get(y);return typeof M=="boolean"?M?D.INSTANCE:p.INSTANCE:new I(y,B)}cmp(y){return y.type!==this.type?this.type-y.type:d(this.key,y.key)}equals(y){return y.type===this.type?this.key===y.key:!1}substituteConstants(){const y=A.get(this.key);return typeof y=="boolean"?y?D.INSTANCE:p.INSTANCE:this}evaluate(y){return!y.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(y){return y.mapNot(this.key)}negate(){return this.negated||(this.negated=b.create(this.key,this)),this.negated}}e.ContextKeyNotExpr=I;function l(O,y){if(typeof O=="string"){const B=parseFloat(O);isNaN(B)||(O=B)}return typeof O=="string"||typeof O=="number"?y(O):D.INSTANCE}class c{constructor(y,B,M){this.key=y,this.value=B,this.negated=M,this.type=12}static create(y,B,M=null){return l(B,z=>new c(y,z,M))}cmp(y){return y.type!==this.type?this.type-y.type:E(this.key,this.value,y.key,y.value)}equals(y){return y.type===this.type?this.key===y.key&&this.value===y.value:!1}substituteConstants(){return this}evaluate(y){return typeof this.value=="string"?!1:parseFloat(y.getValue(this.key))>this.value}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(y){return y.mapGreater(this.key,this.value)}negate(){return this.negated||(this.negated=v.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterExpr=c;class f{constructor(y,B,M){this.key=y,this.value=B,this.negated=M,this.type=13}static create(y,B,M=null){return l(B,z=>new f(y,z,M))}cmp(y){return y.type!==this.type?this.type-y.type:E(this.key,this.value,y.key,y.value)}equals(y){return y.type===this.type?this.key===y.key&&this.value===y.value:!1}substituteConstants(){return this}evaluate(y){return typeof this.value=="string"?!1:parseFloat(y.getValue(this.key))>=this.value}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(y){return y.mapGreaterEquals(this.key,this.value)}negate(){return this.negated||(this.negated=s.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterEqualsExpr=f;class s{constructor(y,B,M){this.key=y,this.value=B,this.negated=M,this.type=14}static create(y,B,M=null){return l(B,z=>new s(y,z,M))}cmp(y){return y.type!==this.type?this.type-y.type:E(this.key,this.value,y.key,y.value)}equals(y){return y.type===this.type?this.key===y.key&&this.value===y.value:!1}substituteConstants(){return this}evaluate(y){return typeof this.value=="string"?!1:parseFloat(y.getValue(this.key))<this.value}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(y){return y.mapSmaller(this.key,this.value)}negate(){return this.negated||(this.negated=f.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerExpr=s;class v{constructor(y,B,M){this.key=y,this.value=B,this.negated=M,this.type=15}static create(y,B,M=null){return l(B,z=>new v(y,z,M))}cmp(y){return y.type!==this.type?this.type-y.type:E(this.key,this.value,y.key,y.value)}equals(y){return y.type===this.type?this.key===y.key&&this.value===y.value:!1}substituteConstants(){return this}evaluate(y){return typeof this.value=="string"?!1:parseFloat(y.getValue(this.key))<=this.value}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(y){return y.mapSmallerEquals(this.key,this.value)}negate(){return this.negated||(this.negated=c.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerEqualsExpr=v;class o{constructor(y,B){this.key=y,this.regexp=B,this.type=7,this.negated=null}static create(y,B){return new o(y,B)}cmp(y){if(y.type!==this.type)return this.type-y.type;if(this.key<y.key)return-1;if(this.key>y.key)return 1;const B=this.regexp?this.regexp.source:"",M=y.regexp?y.regexp.source:"";return B<M?-1:B>M?1:0}equals(y){if(y.type===this.type){const B=this.regexp?this.regexp.source:"",M=y.regexp?y.regexp.source:"";return this.key===y.key&&B===M}return!1}substituteConstants(){return this}evaluate(y){let B=y.getValue(this.key);return this.regexp?this.regexp.test(B):!1}serialize(){const y=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${y}`}keys(){return[this.key]}map(y){return y.mapRegex(this.key,this.regexp)}negate(){return this.negated||(this.negated=n.create(this)),this.negated}}e.ContextKeyRegexExpr=o;class n{constructor(y){this._actual=y,this.type=8}static create(y){return new n(y)}cmp(y){return y.type!==this.type?this.type-y.type:this._actual.cmp(y._actual)}equals(y){return y.type===this.type?this._actual.equals(y._actual):!1}substituteConstants(){return this}evaluate(y){return!this._actual.evaluate(y)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(y){return new n(this._actual.map(y))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=n;function r(O){let y=null;for(let B=0,M=O.length;B<M;B++){const z=O[B].substituteConstants();if(O[B]!==z&&y===null){y=[];for(let V=0;V<B;V++)y[V]=O[V]}y!==null&&(y[B]=z)}return y===null?O:y}class i{constructor(y,B){this.expr=y,this.negated=B,this.type=6}static create(y,B){return i._normalizeArr(y,B)}cmp(y){if(y.type!==this.type)return this.type-y.type;if(this.expr.length<y.expr.length)return-1;if(this.expr.length>y.expr.length)return 1;for(let B=0,M=this.expr.length;B<M;B++){const z=F(this.expr[B],y.expr[B]);if(z!==0)return z}return 0}equals(y){if(y.type===this.type){if(this.expr.length!==y.expr.length)return!1;for(let B=0,M=this.expr.length;B<M;B++)if(!this.expr[B].equals(y.expr[B]))return!1;return!0}return!1}substituteConstants(){const y=r(this.expr);return y===this.expr?this:i.create(y,this.negated)}evaluate(y){for(let B=0,M=this.expr.length;B<M;B++)if(!this.expr[B].evaluate(y))return!1;return!0}static _normalizeArr(y,B){const M=[];let z=!1;for(const V of y)if(!!V){if(V.type===1){z=!0;continue}if(V.type===0)return D.INSTANCE;if(V.type===6){M.push(...V.expr);continue}M.push(V)}if(M.length===0&&z)return p.INSTANCE;if(M.length!==0){if(M.length===1)return M[0];M.sort(F);for(let V=1;V<M.length;V++)M[V-1].equals(M[V])&&(M.splice(V,1),V--);if(M.length===1)return M[0];for(;M.length>1;){const V=M[M.length-1];if(V.type!==9)break;M.pop();const Q=M.pop(),H=M.length===0,K=a.create(V.expr.map(G=>i.create([G,Q],null)),null,H);K&&(M.push(K),M.sort(F))}return M.length===1?M[0]:new i(M,B)}}serialize(){return this.expr.map(y=>y.serialize()).join(" && ")}keys(){const y=[];for(let B of this.expr)y.push(...B.keys());return y}map(y){return new i(this.expr.map(B=>B.map(y)),null)}negate(){if(!this.negated){const y=[];for(let B of this.expr)y.push(B.negate());this.negated=a.create(y,this,!0)}return this.negated}}class a{constructor(y,B){this.expr=y,this.negated=B,this.type=9}static create(y,B,M){return a._normalizeArr(y,B,M)}cmp(y){if(y.type!==this.type)return this.type-y.type;if(this.expr.length<y.expr.length)return-1;if(this.expr.length>y.expr.length)return 1;for(let B=0,M=this.expr.length;B<M;B++){const z=F(this.expr[B],y.expr[B]);if(z!==0)return z}return 0}equals(y){if(y.type===this.type){if(this.expr.length!==y.expr.length)return!1;for(let B=0,M=this.expr.length;B<M;B++)if(!this.expr[B].equals(y.expr[B]))return!1;return!0}return!1}substituteConstants(){const y=r(this.expr);return y===this.expr?this:a.create(y,this.negated,!1)}evaluate(y){for(let B=0,M=this.expr.length;B<M;B++)if(this.expr[B].evaluate(y))return!0;return!1}static _normalizeArr(y,B,M){let z=[],V=!1;if(y){for(let Q=0,H=y.length;Q<H;Q++){const K=y[Q];if(!!K){if(K.type===0){V=!0;continue}if(K.type===1)return p.INSTANCE;if(K.type===9){z=z.concat(K.expr);continue}z.push(K)}}if(z.length===0&&V)return D.INSTANCE;z.sort(F)}if(z.length!==0){if(z.length===1)return z[0];for(let Q=1;Q<z.length;Q++)z[Q-1].equals(z[Q])&&(z.splice(Q,1),Q--);if(z.length===1)return z[0];if(M){for(let Q=0;Q<z.length;Q++)for(let H=Q+1;H<z.length;H++)T(z[Q],z[H])&&(z.splice(H,1),H--);if(z.length===1)return z[0]}return new a(z,B)}}serialize(){return this.expr.map(y=>y.serialize()).join(" || ")}keys(){const y=[];for(let B of this.expr)y.push(...B.keys());return y}map(y){return new a(this.expr.map(B=>B.map(y)),null)}negate(){if(!this.negated){let y=[];for(let B of this.expr)y.push(B.negate());for(;y.length>1;){const B=y.shift(),M=y.shift(),z=[];for(const Q of L(B))for(const H of L(M))z.push(i.create([Q,H],null));const V=y.length===0;y.unshift(a.create(z,null,V))}this.negated=y[0]}return this.negated}}class m extends b{constructor(y,B,M){super(y,null);this._defaultValue=B,typeof M=="object"?m._info.push({...M,key:y}):M!==!0&&m._info.push({key:y,description:M,type:B!=null?typeof B:void 0})}static all(){return m._info.values()}bindTo(y){return y.createKey(this.key,this._defaultValue)}getValue(y){return y.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(y){return g.create(this.key,y)}notEqualsTo(y){return S.create(this.key,y)}}e.RawContextKey=m,m._info=[],e.IContextKeyService=(0,P.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function d(O,y){return O<y?-1:O>y?1:0}function E(O,y,B,M){return O<B?-1:O>B?1:y<M?-1:y>M?1:0}function T(O,y){if(y.type===6&&O.type!==9&&O.type!==6){for(const z of y.expr)if(O.equals(z))return!0}const B=O.negate(),M=L(B).concat(L(y));M.sort(F);for(let z=0;z<M.length;z++){const Q=M[z].negate();for(let H=z+1;H<M.length;H++){const K=M[H];if(Q.equals(K))return!0}}return!1}e.implies=T;function L(O){return O.type===9?O.expr:[O]}}),define(pe[185],ve([1,0,4]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,h.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,h.refineServiceDecorator)(e.IEnvironmentService)}),define(pe[186],ve([1,0,4]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExternalTerminalMainService=e.DEFAULT_TERMINAL_OSX=e.IExternalTerminalService=void 0,e.IExternalTerminalService=(0,h.createDecorator)("externalTerminal"),e.DEFAULT_TERMINAL_OSX="Terminal.app",e.IExternalTerminalMainService=(0,h.createDecorator)("externalTerminal")}),define(pe[187],ve([1,0,38,10,9,12,93,28,112,162,186]),function(ee,e,h,t,P,A,C,k,_,R,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxExternalTerminalService=e.MacExternalTerminalService=e.WindowsExternalTerminalService=void 0;const D=R.localize(0,null);class p{async getDefaultTerminalForPlatforms(){return{windows:b.getDefaultTerminalWindows(),linux:await u.getDefaultTerminalLinuxReady(),osx:"xterm"}}}class b extends p{openTerminal(c,f){return this.spawnTerminal(h,c,_.getWindowsShell(),f)}spawnTerminal(c,f,s,v){const o=f.windowsExec||b.getDefaultTerminalWindows();v&&v[1]===":"&&(v=v[0].toUpperCase()+v.substr(1));const n=P.basename(o).toLowerCase();if(n==="cmder"||n==="cmder.exe")return c.spawn(o,v?[v]:void 0),Promise.resolve(void 0);const r=["/c","start","/wait"];return o.indexOf(" ")>=0&&r.push('""'),r.push(o),(n==="wt"||n==="wt.exe")&&r.push("-d ."),new Promise((i,a)=>{const m=w(process),d=c.spawn(s,r,{cwd:v,env:m});d.on("error",a),d.on("exit",()=>i())})}runInTerminal(c,f,s,v,o){const n="windowsExec"in o&&o.windowsExec?o.windowsExec:b.getDefaultTerminalWindows();return new Promise((r,i)=>{const a=`"${f} - ${D}"`,m=`""${s.join('" "')}" & pause"`,d=["/c","start",a,"/wait",n,"/c",m],E=Object.assign({},w(process),v);Object.keys(E).filter(O=>E[O]===null).forEach(O=>delete E[O]);const T={cwd:f,env:E,windowsVerbatimArguments:!0};h.spawn(b.CMD,d,T).on("error",O=>{i(S(O))}),r(void 0)})}static getDefaultTerminalWindows(){if(!b._DEFAULT_TERMINAL_WINDOWS){const c=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");b._DEFAULT_TERMINAL_WINDOWS=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${c?"Sysnative":"System32"}\\cmd.exe`}return b._DEFAULT_TERMINAL_WINDOWS}}e.WindowsExternalTerminalService=b,b.CMD="cmd.exe";class g extends p{openTerminal(c,f){return this.spawnTerminal(h,c,f)}runInTerminal(c,f,s,v,o){const n=o.osxExec||F.DEFAULT_TERMINAL_OSX;return new Promise((r,i)=>{if(n===F.DEFAULT_TERMINAL_OSX||n==="iTerm.app"){const a=n===F.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",d=[t.FileAccess.asFileUri(`vs/workbench/contrib/externalTerminal/node/${a}.scpt`,ee).fsPath,"-t",c||D,"-w",f];for(let L of s)d.push("-a"),d.push(L);if(v){const L=Object.assign({},w(process),v);for(let O in L){const y=L[O];y===null?(d.push("-u"),d.push(O)):(d.push("-e"),d.push(`${O}=${y}`))}}let E="";const T=h.spawn(g.OSASCRIPT,d);T.on("error",L=>{i(S(L))}),T.stderr.on("data",L=>{E+=L.toString()}),T.on("exit",L=>{if(L===0)r(void 0);else if(E){const O=E.split(`
`,1);i(new Error(O[0]))}else i(new Error(R.localize(1,null,a,L)))})}else i(new Error(R.localize(2,null,n)))})}spawnTerminal(c,f,s){const v=f.osxExec||F.DEFAULT_TERMINAL_OSX;return new Promise((o,n)=>{const r=["-a",v];s&&r.push(s);const i=w(process),a=c.spawn("/usr/bin/open",r,{cwd:s,env:i});a.on("error",n),a.on("exit",()=>o())})}}e.MacExternalTerminalService=g,g.OSASCRIPT="/usr/bin/osascript";class u extends p{openTerminal(c,f){return this.spawnTerminal(h,c,f)}runInTerminal(c,f,s,v,o){const n=o.linuxExec?Promise.resolve(o.linuxExec):u.getDefaultTerminalLinuxReady();return new Promise((r,i)=>{let a=[];n.then(m=>{m.indexOf("gnome-terminal")>=0?a.push("-x"):a.push("-e"),a.push("bash"),a.push("-c");const d=`${I(s)}; echo; read -p "${u.WAIT_MESSAGE}" -n1;`;a.push(`''${d}''`);const E=Object.assign({},w(process),v);Object.keys(E).filter(y=>E[y]===null).forEach(y=>delete E[y]);const T={cwd:f,env:E};let L="";const O=h.spawn(m,a,T);O.on("error",y=>{i(S(y))}),O.stderr.on("data",y=>{L+=y.toString()}),O.on("exit",y=>{if(y===0)r(void 0);else if(L){const B=L.split(`
`,1);i(new Error(B[0]))}else i(new Error(R.localize(4,null,m,y)))})})})}static async getDefaultTerminalLinuxReady(){if(!u._DEFAULT_TERMINAL_LINUX_READY)if(!A.isLinux)u._DEFAULT_TERMINAL_LINUX_READY=Promise.resolve("xterm");else{const c=await k.Promises.exists("/etc/debian_version");u._DEFAULT_TERMINAL_LINUX_READY=new Promise(f=>{c?f("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?f("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?f("konsole"):process.env.COLORTERM?f(process.env.COLORTERM):process.env.TERM?f(process.env.TERM):f("xterm")})}return u._DEFAULT_TERMINAL_LINUX_READY}spawnTerminal(c,f,s){const v=f.linuxExec?Promise.resolve(f.linuxExec):u.getDefaultTerminalLinuxReady();return new Promise((o,n)=>{v.then(r=>{const i=w(process),a=c.spawn(r,[],{cwd:s,env:i});a.on("error",n),a.on("exit",()=>o())})})}}e.LinuxExternalTerminalService=u,u.WAIT_MESSAGE=R.localize(3,null);function w(l){const c={...l.env};return(0,C.sanitizeProcessEnvironment)(c),c}function S(l){return"errno"in l&&l.errno==="ENOENT"&&"path"in l&&typeof l.path=="string"?new Error(R.localize(5,null,l.path)):l}function I(l){let c="";for(let f of l)f.indexOf(" ")>=0?c+='"'+f+'"':c+=f,c+=" ";return c}}),define(pe[42],ve([1,0,24,9,8,13,2,163,4]),function(ee,e,h,t,P,A,C,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,_.createDecorator)("fileService");function R(V){return V.create===!0}e.isFileOpenForWriteOptions=R;var F;(function(V){V[V.Unknown=0]="Unknown",V[V.File=1]="File",V[V.Directory=2]="Directory",V[V.SymbolicLink=64]="SymbolicLink"})(F=e.FileType||(e.FileType={}));var D;(function(V){V[V.Readonly=1]="Readonly"})(D=e.FilePermission||(e.FilePermission={}));var p;(function(V){V[V.FileReadWrite=2]="FileReadWrite",V[V.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",V[V.FileReadStream=16]="FileReadStream",V[V.FileFolderCopy=8]="FileFolderCopy",V[V.PathCaseSensitive=1024]="PathCaseSensitive",V[V.Readonly=2048]="Readonly",V[V.Trash=4096]="Trash",V[V.FileWriteUnlock=8192]="FileWriteUnlock",V[V.FileAtomicRead=16384]="FileAtomicRead"})(p=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function b(V){return!!(V.capabilities&2)}e.hasReadWriteCapability=b;function g(V){return!!(V.capabilities&8)}e.hasFileFolderCopyCapability=g;function u(V){return!!(V.capabilities&4)}e.hasOpenReadWriteCloseCapability=u;function w(V){return!!(V.capabilities&16)}e.hasFileReadStreamCapability=w;function S(V){return b(V)?!!(V.capabilities&16384):!1}e.hasFileAtomicReadCapability=S;var I;(function(V){V.FileExists="EntryExists",V.FileNotFound="EntryNotFound",V.FileNotADirectory="EntryNotADirectory",V.FileIsADirectory="EntryIsADirectory",V.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",V.FileTooLarge="EntryTooLarge",V.FileWriteLocked="EntryWriteLocked",V.NoPermissions="NoPermissions",V.Unavailable="Unavailable",V.Unknown="Unknown"})(I=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class l extends Error{constructor(Q,H){super(Q);this.code=H}}e.FileSystemProviderError=l;function c(V,Q){const H=new l(V.toString(),Q);return s(H,Q),H}e.createFileSystemProviderError=c;function f(V){return V||c((0,k.localize)(0,null),I.Unknown)}e.ensureFileSystemProviderError=f;function s(V,Q){return V.name=Q?`${Q} (FileSystemError)`:"FileSystemError",V}e.markAsFileSystemProviderError=s;function v(V){if(!V)return I.Unknown;if(V instanceof l)return V.code;const Q=/^(.+) \(FileSystemError\)$/.exec(V.name);if(!Q)return I.Unknown;switch(Q[1]){case I.FileExists:return I.FileExists;case I.FileIsADirectory:return I.FileIsADirectory;case I.FileNotADirectory:return I.FileNotADirectory;case I.FileNotFound:return I.FileNotFound;case I.FileExceedsMemoryLimit:return I.FileExceedsMemoryLimit;case I.FileTooLarge:return I.FileTooLarge;case I.FileWriteLocked:return I.FileWriteLocked;case I.NoPermissions:return I.NoPermissions;case I.Unavailable:return I.Unavailable}return I.Unknown}e.toFileSystemProviderErrorCode=v;function o(V){if(V instanceof d)return V.fileOperationResult;switch(v(V)){case I.FileNotFound:return 1;case I.FileIsADirectory:return 0;case I.FileNotADirectory:return 10;case I.FileWriteLocked:return 5;case I.NoPermissions:return 6;case I.FileExists:return 4;case I.FileExceedsMemoryLimit:return 9;case I.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=o;var n;(function(V){V[V.CREATE=0]="CREATE",V[V.DELETE=1]="DELETE",V[V.MOVE=2]="MOVE",V[V.COPY=3]="COPY",V[V.WRITE=4]="WRITE"})(n=e.FileOperation||(e.FileOperation={}));class r{constructor(Q,H,K){this.resource=Q,this.operation=H,this.target=K}isOperation(Q){return this.operation===Q}}e.FileOperationEvent=r;var i;(function(V){V[V.UPDATED=0]="UPDATED",V[V.ADDED=1]="ADDED",V[V.DELETED=2]="DELETED"})(i=e.FileChangeType||(e.FileChangeType={}));class a{constructor(Q,H){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=Q;const K=new Map;for(const G of Q){const j=K.get(G.type);switch(j?j.push([G.resource,G]):K.set(G.type,[[G.resource,G]]),G.type){case 1:this.rawAdded.push(G.resource);break;case 0:this.rawUpdated.push(G.resource);break;case 2:this.rawDeleted.push(G.resource);break}}for(const[G,j]of K)switch(G){case 1:this.added=h.TernarySearchTree.forUris(()=>H),this.added.fill(j);break;case 0:this.updated=h.TernarySearchTree.forUris(()=>H),this.updated.fill(j);break;case 2:this.deleted=h.TernarySearchTree.forUris(()=>H),this.deleted.fill(j);break}}contains(Q,...H){return this.doContains(Q,{includeChildren:!1},...H)}affects(Q,...H){return this.doContains(Q,{includeChildren:!0},...H)}doContains(Q,H,...K){if(!Q)return!1;const G=K.length>0;return!!((!G||K.includes(1))&&(this.added?.get(Q)||H.includeChildren&&this.added?.findSuperstr(Q))||(!G||K.includes(0))&&(this.updated?.get(Q)||H.includeChildren&&this.updated?.findSuperstr(Q))||(!G||K.includes(2))&&(this.deleted?.findSubstr(Q)||H.includeChildren&&this.deleted?.findSuperstr(Q)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=a;function m(V,Q,H){return!V||!Q||V===Q||Q.length>V.length?!1:(Q.charAt(Q.length-1)!==t.sep&&(Q+=t.sep),H?(0,P.startsWithIgnoreCase)(V,Q):V.indexOf(Q)===0)}e.isParent=m;class d extends Error{constructor(Q,H,K){super(Q);this.fileOperationResult=H,this.options=K}}e.FileOperationError=d;class E extends d{constructor(Q,H,K){super(Q,2,K);this.stat=H}}e.NotModifiedSinceFileOperationError=E;var T;(function(V){V[V.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",V[V.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",V[V.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",V[V.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",V[V.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",V[V.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",V[V.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",V[V.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",V[V.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",V[V.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",V[V.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",V[V.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(T=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var L;(function(V){V[V.FILE=0]="FILE",V[V.FOLDER=1]="FOLDER",V[V.ROOT_FOLDER=2]="ROOT_FOLDER"})(L=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function O(V){if(!(typeof V.size!="number"||typeof V.mtime!="number"))return V.mtime.toString(29)+V.size.toString(31)}e.etag=O;async function y(V,Q){if(!Q.hasProvider(C.URI.from({scheme:V.scheme})))return new Promise(H=>{const K=Q.onDidChangeFileSystemProviderRegistrations(G=>{G.scheme===V.scheme&&G.added&&(K.dispose(),H())})})}e.whenProviderRegistered=y,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class B{static formatSize(Q){return(0,A.isNumber)(Q)||(Q=0),Q<B.KB?(0,k.localize)(1,null,Q.toFixed(0)):Q<B.MB?(0,k.localize)(2,null,(Q/B.KB).toFixed(2)):Q<B.GB?(0,k.localize)(3,null,(Q/B.MB).toFixed(2)):Q<B.TB?(0,k.localize)(4,null,(Q/B.GB).toFixed(2)):(0,k.localize)(5,null,(Q/B.TB).toFixed(2))}}e.ByteSize=B,B.KB=1024,B.MB=B.KB*B.KB,B.GB=B.MB*B.KB,B.TB=B.GB*B.KB;var M;(function(V){V[V.IA32=0]="IA32",V[V.OTHER=1]="OTHER"})(M=e.Arch||(e.Arch={}));function z(V){return{maxFileSize:V===0?300*B.MB:16*B.GB,maxHeapSize:V===0?700*B.MB:2*700*B.MB}}e.getPlatformLimits=z}),define(pe[80],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class h{constructor(...P){this._entries=new Map;for(let[A,C]of P)this.set(A,C)}set(P,A){const C=this._entries.get(P);return this._entries.set(P,A),C}has(P){return this._entries.has(P)}get(P){return this._entries.get(P)}}e.ServiceCollection=h}),define(pe[188],ve([1,0,15,17,114,184,4,80]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Trace=e.InstantiationService=void 0;const _=!1;class R extends Error{constructor(g){super("cyclic dependency between services");this.message=g.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${g.toString()}`}}class F{constructor(g=new k.ServiceCollection,u=!1,w){this._activeInstantiations=new Set,this._services=g,this._strict=u,this._parent=w,this._services.set(C.IInstantiationService,this)}createChild(g){return new F(g,this._strict,this)}invokeFunction(g,...u){let w=p.traceInvocation(g),S=!1;try{return g({get:l=>{if(S)throw(0,t.illegalState)("service accessor is only valid during the invocation of its target method");const c=this._getOrCreateServiceInstance(l,w);if(!c)throw new Error(`[invokeFunction] unknown service '${l}'`);return c}},...u)}finally{S=!0,w.stop()}}createInstance(g,...u){let w,S;return g instanceof P.SyncDescriptor?(w=p.traceCreation(g.ctor),S=this._createInstance(g.ctor,g.staticArguments.concat(u),w)):(w=p.traceCreation(g),S=this._createInstance(g,u,w)),w.stop(),S}_createInstance(g,u=[],w){let S=C._util.getServiceDependencies(g).sort((c,f)=>c.index-f.index),I=[];for(const c of S){let f=this._getOrCreateServiceInstance(c.id,w);if(!f&&this._strict&&!c.optional)throw new Error(`[createInstance] ${g.name} depends on UNKNOWN service ${c.id}.`);I.push(f)}let l=S.length>0?S[0].index:u.length;if(u.length!==l){console.warn(`[createInstance] First service dependency of ${g.name} at position ${l+1} conflicts with ${u.length} static arguments`);let c=l-u.length;c>0?u=u.concat(new Array(c)):u=u.slice(0,l)}return new g(...[...u,...I])}_setServiceInstance(g,u){if(this._services.get(g)instanceof P.SyncDescriptor)this._services.set(g,u);else if(this._parent)this._parent._setServiceInstance(g,u);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(g){let u=this._services.get(g);return!u&&this._parent?this._parent._getServiceInstanceOrDescriptor(g):u}_getOrCreateServiceInstance(g,u){let w=this._getServiceInstanceOrDescriptor(g);return w instanceof P.SyncDescriptor?this._safeCreateAndCacheServiceInstance(g,w,u.branch(g,!0)):(u.branch(g,!1),w)}_safeCreateAndCacheServiceInstance(g,u,w){if(this._activeInstantiations.has(g))throw new Error(`illegal state - RECURSIVELY instantiating service '${g}'`);this._activeInstantiations.add(g);try{return this._createAndCacheServiceInstance(g,u,w)}finally{this._activeInstantiations.delete(g)}}_createAndCacheServiceInstance(g,u,w){const S=new A.Graph(c=>c.id.toString());let I=0;const l=[{id:g,desc:u,_trace:w}];for(;l.length;){const c=l.pop();if(S.lookupOrInsertNode(c),I++>1e3)throw new R(S);for(let f of C._util.getServiceDependencies(c.desc.ctor)){let s=this._getServiceInstanceOrDescriptor(f.id);if(!s&&!f.optional&&console.warn(`[createInstance] ${g} depends on ${f.id} which is NOT registered.`),s instanceof P.SyncDescriptor){const v={id:f.id,desc:s,_trace:c._trace.branch(f.id,!0)};S.insertEdge(c,v),l.push(v)}}}for(;;){const c=S.roots();if(c.length===0){if(!S.isEmpty())throw new R(S);break}for(const{data:f}of c){if(this._getServiceInstanceOrDescriptor(f.id)instanceof P.SyncDescriptor){const v=this._createServiceInstanceWithOwner(f.id,f.desc.ctor,f.desc.staticArguments,f.desc.supportsDelayedInstantiation,f._trace);this._setServiceInstance(f.id,v)}S.removeNode(f)}}return this._getServiceInstanceOrDescriptor(g)}_createServiceInstanceWithOwner(g,u,w=[],S,I){if(this._services.get(g)instanceof P.SyncDescriptor)return this._createServiceInstance(u,w,S,I);if(this._parent)return this._parent._createServiceInstanceWithOwner(g,u,w,S,I);throw new Error(`illegalState - creating UNKNOWN service instance ${u.name}`)}_createServiceInstance(g,u=[],w,S){if(w){const I=new h.IdleValue(()=>this._createInstance(g,u,S));return new Proxy(Object.create(null),{get(l,c){if(c in l)return l[c];let f=I.value,s=f[c];return typeof s!="function"||(s=s.bind(f),l[c]=s),s},set(l,c,f){return I.value[c]=f,!0}})}else return this._createInstance(g,u,S)}}e.InstantiationService=F;var D;(function(b){b[b.Creation=0]="Creation",b[b.Invocation=1]="Invocation",b[b.Branch=2]="Branch"})(D||(D={}));class p{constructor(g,u){this.type=g,this.name=u,this._start=Date.now(),this._dep=[]}static traceInvocation(g){return _?new p(1,g.name||g.toString().substring(0,42).replace(/\n/g,"")):p._None}static traceCreation(g){return _?new p(0,g.name):p._None}branch(g,u){let w=new p(2,g.toString());return this._dep.push([g,u,w]),w}stop(){let g=Date.now()-this._start;p._totals+=g;let u=!1;function w(I,l){let c=[],f=new Array(I+1).join("	");for(const[s,v,o]of l._dep)if(v&&o){u=!0,c.push(`${f}CREATES -> ${s}`);let n=w(I+1,o);n&&c.push(n)}else c.push(`${f}uses -> ${s}`);return c.join(`
`)}let S=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${w(1,this)}`,`DONE, took ${g.toFixed(2)}ms (grand total ${p._totals.toFixed(2)}ms)`];(g>2||u)&&console.log(S.join(`
`))}}e.Trace=p,p._None=new class extends p{constructor(){super(-1,null)}stop(){}branch(){return this}},p._totals=0}),define(pe[11],ve([1,0,49,3,6,12,4]),function(ee,e,h,t,P,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,C.createDecorator)("logService"),e.ILoggerService=(0,C.createDecorator)("loggerService");function k(){return new Date().toISOString()}var _;(function(v){v[v.Trace=0]="Trace",v[v.Debug=1]="Debug",v[v.Info=2]="Info",v[v.Warning=3]="Warning",v[v.Error=4]="Error",v[v.Critical=5]="Critical",v[v.Off=6]="Off"})(_=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=_.Info;function R(v,o,n){switch(o){case _.Trace:v.trace(n);break;case _.Debug:v.debug(n);break;case _.Info:v.info(n);break;case _.Warning:v.warn(n);break;case _.Error:v.error(n);break;case _.Critical:v.critical(n);break;default:throw new Error("Invalid log level")}}e.log=R;function F(v){let o="";for(let n=0;n<v.length;n++){let r=v[n];if(typeof r=="object")try{r=JSON.stringify(r)}catch{}o+=(n>0?" ":"")+r}return o}e.format=F;class D extends P.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new t.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(o){this.level!==o&&(this.level=o,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=D;class p extends D{constructor(o){super();this.logAlways=o}checkLogLevel(o){return this.logAlways||this.getLevel()<=o}trace(o,...n){this.checkLogLevel(_.Trace)&&this.log(_.Trace,F([o,...n]))}debug(o,...n){this.checkLogLevel(_.Debug)&&this.log(_.Debug,F([o,...n]))}info(o,...n){this.checkLogLevel(_.Info)&&this.log(_.Info,F([o,...n]))}warn(o,...n){this.checkLogLevel(_.Warning)&&this.log(_.Warning,F([o,...n]))}error(o,...n){if(this.checkLogLevel(_.Error))if(o instanceof Error){const r=Array.prototype.slice.call(arguments);r[0]=o.stack,this.log(_.Error,F(r))}else this.log(_.Error,F([o,...n]))}critical(o,...n){this.checkLogLevel(_.Critical)&&this.log(_.Critical,F([o,...n]))}flush(){}}e.AbstractMessageLogger=p;class b extends D{constructor(o=e.DEFAULT_LOG_LEVEL){super();this.setLevel(o),this.useColors=!A.isWindows}trace(o,...n){this.getLevel()<=_.Trace&&(this.useColors?console.log(`[90m[main ${k()}][0m`,o,...n):console.log(`[main ${k()}]`,o,...n))}debug(o,...n){this.getLevel()<=_.Debug&&(this.useColors?console.log(`[90m[main ${k()}][0m`,o,...n):console.log(`[main ${k()}]`,o,...n))}info(o,...n){this.getLevel()<=_.Info&&(this.useColors?console.log(`[90m[main ${k()}][0m`,o,...n):console.log(`[main ${k()}]`,o,...n))}warn(o,...n){this.getLevel()<=_.Warning&&(this.useColors?console.warn(`[93m[main ${k()}][0m`,o,...n):console.warn(`[main ${k()}]`,o,...n))}error(o,...n){this.getLevel()<=_.Error&&(this.useColors?console.error(`[91m[main ${k()}][0m`,o,...n):console.error(`[main ${k()}]`,o,...n))}critical(o,...n){this.getLevel()<=_.Critical&&(this.useColors?console.error(`[90m[main ${k()}][0m`,o,...n):console.error(`[main ${k()}]`,o,...n))}dispose(){}flush(){}}e.ConsoleMainLogger=b;class g extends D{constructor(o=e.DEFAULT_LOG_LEVEL){super();this.setLevel(o)}trace(o,...n){this.getLevel()<=_.Trace&&console.log("%cTRACE","color: #888",o,...n)}debug(o,...n){this.getLevel()<=_.Debug&&console.log("%cDEBUG","background: #eee; color: #888",o,...n)}info(o,...n){this.getLevel()<=_.Info&&console.log("%c INFO","color: #33f",o,...n)}warn(o,...n){this.getLevel()<=_.Warning&&console.log("%c WARN","color: #993",o,...n)}error(o,...n){this.getLevel()<=_.Error&&console.log("%c  ERR","color: #f33",o,...n)}critical(o,...n){this.getLevel()<=_.Critical&&console.log("%cCRITI","background: #f33; color: white",o,...n)}dispose(){}flush(){}}e.ConsoleLogger=g;class u extends D{constructor(o,n=e.DEFAULT_LOG_LEVEL){super();this.adapter=o,this.setLevel(n)}trace(o,...n){this.getLevel()<=_.Trace&&this.adapter.log(_.Trace,[this.extractMessage(o),...n])}debug(o,...n){this.getLevel()<=_.Debug&&this.adapter.log(_.Debug,[this.extractMessage(o),...n])}info(o,...n){this.getLevel()<=_.Info&&this.adapter.log(_.Info,[this.extractMessage(o),...n])}warn(o,...n){this.getLevel()<=_.Warning&&this.adapter.log(_.Warning,[this.extractMessage(o),...n])}error(o,...n){this.getLevel()<=_.Error&&this.adapter.log(_.Error,[this.extractMessage(o),...n])}critical(o,...n){this.getLevel()<=_.Critical&&this.adapter.log(_.Critical,[this.extractMessage(o),...n])}extractMessage(o){return typeof o=="string"?o:(0,h.toErrorMessage)(o,this.getLevel()<=_.Trace)}dispose(){}flush(){}}e.AdapterLogger=u;class w extends D{constructor(o){super();this.logServices=o,o.length&&this.setLevel(o[0].getLevel())}setLevel(o){for(const n of this.logServices)n.setLevel(o);super.setLevel(o)}trace(o,...n){for(const r of this.logServices)r.trace(o,...n)}debug(o,...n){for(const r of this.logServices)r.debug(o,...n)}info(o,...n){for(const r of this.logServices)r.info(o,...n)}warn(o,...n){for(const r of this.logServices)r.warn(o,...n)}error(o,...n){for(const r of this.logServices)r.error(o,...n)}critical(o,...n){for(const r of this.logServices)r.critical(o,...n)}flush(){for(const o of this.logServices)o.flush()}dispose(){for(const o of this.logServices)o.dispose()}}e.MultiplexLogService=w;class S extends P.Disposable{constructor(o){super();this.logger=o,this._register(o)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(o){this.logger.setLevel(o)}getLevel(){return this.logger.getLevel()}trace(o,...n){this.logger.trace(o,...n)}debug(o,...n){this.logger.debug(o,...n)}info(o,...n){this.logger.info(o,...n)}warn(o,...n){this.logger.warn(o,...n)}error(o,...n){this.logger.error(o,...n)}critical(o,...n){this.logger.critical(o,...n)}flush(){this.logger.flush()}}e.LogService=S;class I extends P.Disposable{constructor(o,n){super();this.logLevel=o,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(n(r=>{this.logLevel=r,this.logLevelChangeableLoggers.forEach(i=>i.setLevel(r))}))}getLogger(o){return this.loggers.get(o.toString())}createLogger(o,n){let r=this.loggers.get(o.toString());return r||(r=this.doCreateLogger(o,n?.always?_.Trace:this.logLevel,n),this.loggers.set(o.toString(),r),n?.always||this.logLevelChangeableLoggers.push(r)),r}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(o=>o.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=I;class l{constructor(){this.onDidChangeLogLevel=new t.Emitter().event}setLevel(o){}getLevel(){return _.Info}trace(o,...n){}debug(o,...n){}info(o,...n){}warn(o,...n){}error(o,...n){}critical(o,...n){}dispose(){}flush(){}}e.NullLogService=l;function c(v){if(v.verbose)return _.Trace;if(typeof v.logLevel=="string"){const o=f(v.logLevel.toLowerCase());if(o!==void 0)return o}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=c;function f(v){switch(v){case"trace":return _.Trace;case"debug":return _.Debug;case"info":return _.Info;case"warn":return _.Warning;case"error":return _.Error;case"critical":return _.Critical;case"off":return _.Off}}e.parseLogLevel=f;function s(v){switch(v){case _.Trace:return"trace";case _.Debug:return"debug";case _.Info:return"info";case _.Warning:return"warn";case _.Error:return"error";case _.Critical:return"critical";case _.Off:return"off"}}e.LogLevelToString=s}),define(pe[189],ve([1,0,42,11]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=void 0;async function P(k,_,R,F,D){try{const p=await new Promise((g,u)=>{ee(["spdlog"],g,u)});p.setFlushOn(t.LogLevel.Trace);const b=await p.createAsyncRotatingLogger(k,_,R,F);return D&&b.clearFormatters(),b}catch(p){console.error(p)}return null}function A(k,_,R){switch(_){case t.LogLevel.Trace:k.trace(R);break;case t.LogLevel.Debug:k.debug(R);break;case t.LogLevel.Info:k.info(R);break;case t.LogLevel.Warning:k.warn(R);break;case t.LogLevel.Error:k.error(R);break;case t.LogLevel.Critical:k.critical(R);break;default:throw new Error("Invalid log level")}}class C extends t.AbstractMessageLogger{constructor(_,R,F,D,p){super();this.buffer=[],this.setLevel(p),this._loggerCreationPromise=this._createSpdLogLogger(_,R,F,D),this._register(this.onDidChangeLogLevel(b=>{this._logger&&this._logger.setLevel(b)}))}async _createSpdLogLogger(_,R,F,D){const p=F?6:1,b=30/p*h.ByteSize.MB,g=await P(_,R,b,p,D);if(g){this._logger=g,this._logger.setLevel(this.getLevel());for(const{level:u,message:w}of this.buffer)A(this._logger,u,w);this.buffer=[]}}log(_,R){this._logger?A(this._logger,_,R):this.getLevel()<=_&&this.buffer.push({level:_,message:R})}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=C}),define(pe[116],ve([1,0,47,164,4]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var A;(function(_){_[_.Unnecessary=1]="Unnecessary",_[_.Deprecated=2]="Deprecated"})(A=e.MarkerTag||(e.MarkerTag={}));var C;(function(_){_[_.Hint=1]="Hint",_[_.Info=2]="Info",_[_.Warning=4]="Warning",_[_.Error=8]="Error"})(C=e.MarkerSeverity||(e.MarkerSeverity={})),function(_){function R(g,u){return u-g}_.compare=R;const F=Object.create(null);F[_.Error]=(0,t.localize)(0,null),F[_.Warning]=(0,t.localize)(1,null),F[_.Info]=(0,t.localize)(2,null);function D(g){return F[g]||""}_.toString=D;function p(g){switch(g){case h.default.Error:return _.Error;case h.default.Warning:return _.Warning;case h.default.Info:return _.Info;case h.default.Ignore:return _.Hint}}_.fromSeverity=p;function b(g){switch(g){case _.Error:return h.default.Error;case _.Warning:return h.default.Warning;case _.Info:return h.default.Info;case _.Hint:return h.default.Ignore}}_.toSeverity=b}(C=e.MarkerSeverity||(e.MarkerSeverity={}));var k;(function(_){const R="";function F(p){return D(p,!0)}_.makeKey=F;function D(p,b){let g=[R];return p.source?g.push(p.source.replace("\xA6","\\\xA6")):g.push(R),p.code?typeof p.code=="string"?g.push(p.code.replace("\xA6","\\\xA6")):g.push(p.code.value.replace("\xA6","\\\xA6")):g.push(R),p.severity!==void 0&&p.severity!==null?g.push(C.toString(p.severity)):g.push(R),p.message&&b?g.push(p.message.replace("\xA6","\\\xA6")):g.push(R),p.startLineNumber!==void 0&&p.startLineNumber!==null?g.push(p.startLineNumber.toString()):g.push(R),p.startColumn!==void 0&&p.startColumn!==null?g.push(p.startColumn.toString()):g.push(R),p.endLineNumber!==void 0&&p.endLineNumber!==null?g.push(p.endLineNumber.toString()):g.push(R),p.endColumn!==void 0&&p.endColumn!==null?g.push(p.endColumn.toString()):g.push(R),g.push(R),g.join("\xA6")}_.makeKeyOptionalMessage=D})(k=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=(0,P.createDecorator)("markerService")}),define(pe[190],ve([1,0,3,47,4]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=t.default,e.INotificationService=(0,P.createDecorator)("notificationService");var A;(function(R){R[R.WORKSPACE=0]="WORKSPACE",R[R.GLOBAL=1]="GLOBAL"})(A=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var C;(function(R){R[R.OFF=0]="OFF",R[R.SILENT=1]="SILENT",R[R.ERROR=2]="ERROR"})(C=e.NotificationsFilter||(e.NotificationsFilter={}));class k{constructor(){this.progress=new _,this.onDidClose=h.Event.None,this.onDidChangeVisibility=h.Event.None}updateSeverity(F){}updateMessage(F){}updateActions(F){}close(){}}e.NoOpNotification=k;class _{infinite(){}done(){}total(F){}worked(F){}}e.NoOpProgress=_}),define(pe[117],ve([1,0,6,8,2,4]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.selectionFragment=e.withSelectionFragment=e.matchesSomeScheme=e.matchesScheme=e.NullOpenerService=e.IOpenerService=void 0,e.IOpenerService=(0,A.createDecorator)("openerService"),e.NullOpenerService=Object.freeze({_serviceBrand:void 0,registerOpener(){return h.Disposable.None},registerValidator(){return h.Disposable.None},registerExternalUriResolver(){return h.Disposable.None},setDefaultExternalOpener(){},registerExternalOpener(){return h.Disposable.None},async open(){return!1},async resolveExternalUri(F){return{resolved:F,dispose(){}}}});function C(F,D){return P.URI.isUri(F)?(0,t.equalsIgnoreCase)(F.scheme,D):(0,t.startsWithIgnoreCase)(F,D+":")}e.matchesScheme=C;function k(F,...D){return D.some(p=>C(F,p))}e.matchesSomeScheme=k;function _(F,D){return F.with({fragment:`${D.startLineNumber},${D.startColumn}${D.endLineNumber?`-${D.endLineNumber}${D.endColumn?`,${D.endColumn}`:""}`:""}`})}e.withSelectionFragment=_;function R(F){let D;const p=/^L?(\d+)(?:,(\d+))?(-L?(\d+)(?:,(\d+))?)?/.exec(F.fragment);return p&&(D={startLineNumber:parseInt(p[1]),startColumn:p[2]?parseInt(p[2]):1,endLineNumber:p[4]?parseInt(p[4]):void 0,endColumn:p[4]?p[5]?parseInt(p[5]):1:void 0}),D}e.selectionFragment=R}),define(pe[191],ve([1,0,10,12,41,23]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let C;if(typeof t.globals.vscode!="undefined"&&typeof t.globals.vscode.context!="undefined"){const k=t.globals.vscode.context.configuration();if(k)C=k.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof ee?.__$__nodeRequire=="function"){const k=(0,A.dirname)(h.FileAccess.asFileUri("",ee));C=ee.__$__nodeRequire((0,A.joinPath)(k,"product.json").fsPath);const _=ee.__$__nodeRequire((0,A.joinPath)(k,"package.json").fsPath);P.env.VSCODE_DEV&&Object.assign(C,{nameShort:`${C.nameShort} Dev`,nameLong:`${C.nameLong} Dev`,dataFolderName:`${C.dataFolderName}-dev`,serverDataFolderName:C.serverDataFolderName?`${C.serverDataFolderName}-dev`:void 0}),Object.assign(C,{version:_.version})}else C={},Object.keys(C).length===0&&Object.assign(C,{version:"1.65.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","GitHub.remotehub","GitHub.remotehub-insiders"]});e.default=C});var Fe=this&&this.__param||function(ee,e){return function(h,t){e(h,t,ee)}};define(pe[118],ve([1,0,15,21,6,4]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.UnmanagedProgress=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=(0,A.createDecorator)("progressService");var C;(function(F){F[F.Explorer=1]="Explorer",F[F.Scm=3]="Scm",F[F.Extensions=5]="Extensions",F[F.Window=10]="Window",F[F.Notification=15]="Notification",F[F.Dialog=20]="Dialog"})(C=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class k{constructor(D){this.callback=D}get value(){return this._value}report(D){this._value=D,this.callback(this._value)}}e.Progress=k,k.None=Object.freeze({report(){}});let _=class extends P.Disposable{constructor(D,p){super();this.deferred=new h.DeferredPromise,p.withProgress(D,b=>(this.reporter=b,this.lastStep&&b.report(this.lastStep),this.deferred.p)),this._register((0,P.toDisposable)(()=>this.deferred.complete()))}report(D){this.reporter?this.reporter.report(D):this.lastStep=D}};_=Be([Fe(1,e.IProgressService)],_),e.UnmanagedProgress=_;class R extends P.Disposable{constructor(D){super();this.progressIndicator=D,this.currentOperationId=0,this.currentOperationDisposables=this._register(new P.DisposableStore)}start(D){this.stop();const p=++this.currentOperationId,b=new t.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{p===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},D),this.currentOperationDisposables.add((0,P.toDisposable)(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add((0,P.toDisposable)(()=>b.cancel())),this.currentOperationDisposables.add((0,P.toDisposable)(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:p,token:b.token,stop:()=>this.doStop(p),isCurrent:()=>this.currentOperationId===p}}stop(){this.doStop(this.currentOperationId)}doStop(D){this.currentOperationId===D&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=R,e.IEditorProgressService=(0,A.createDecorator)("editorProgressService")}),define(pe[50],ve([1,0,55,13]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class P{constructor(){this.data=new Map}add(C,k){h.ok(t.isString(C)),h.ok(t.isObject(k)),h.ok(!this.data.has(C),"There is already an extension with this id"),this.data.set(C,k)}knows(C){return this.data.has(C)}as(C){return this.data.get(C)||null}}e.Registry=new P}),define(pe[192],ve([1,0,3,50]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function P(k){return k.length>0&&k.charAt(k.length-1)==="#"?k.substring(0,k.length-1):k}class A{constructor(){this._onDidChangeSchema=new h.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(_,R){this.schemasById[P(_)]=R,this._onDidChangeSchema.fire(_)}notifySchemaChanged(_){this._onDidChangeSchema.fire(_)}getSchemaContributions(){return{schemas:this.schemasById}}}const C=new A;t.Registry.add(e.Extensions.JSONContribution,C)}),define(pe[119],ve([1,0,18,3,13,159,192,50]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var _;(function(c){c.Multiline="multilineText",c.Singleline="singlelineText"})(_=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var R;(function(c){c[c.APPLICATION=1]="APPLICATION",c[c.MACHINE=2]="MACHINE",c[c.WINDOW=3]="WINDOW",c[c.RESOURCE=4]="RESOURCE",c[c.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",c[c.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(R=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const F=k.Registry.as(C.Extensions.JSONContribution);class D{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new t.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new t.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:A.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},F.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(f,s=!0){this.registerConfigurations([f],s)}registerConfigurations(f,s=!0){const v=this.doRegisterConfigurations(f,s);F.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:v})}deregisterConfigurations(f){const s=this.doDeregisterConfigurations(f);F.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:s})}updateConfigurations({add:f,remove:s}){const v=[];v.push(...this.doDeregisterConfigurations(s)),v.push(...this.doRegisterConfigurations(f,!1)),F.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,h.distinct)(v)})}registerDefaultConfigurations(f){const s=[],v=[];for(const{overrides:o,source:n}of f)for(const r in o)if(s.push(r),e.OVERRIDE_PROPERTY_REGEX.test(r)){const i={...this.configurationDefaultsOverrides.get(r)?.value||{},...o[r]};this.configurationDefaultsOverrides.set(r,{source:n,value:i});const a={type:"object",default:i,description:A.localize(1,null,r),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:i,source:P.isString(n)?void 0:n};v.push(...g(r)),this.configurationProperties[r]=a,this.defaultLanguageConfigurationOverridesNode.properties[r]=a}else{this.configurationDefaultsOverrides.set(r,{value:o[r],source:n});const i=this.configurationProperties[r];i&&(this.updatePropertyDefaultValue(r,i),this.updateSchema(r,i))}this.registerOverrideIdentifiers(v),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:s,defaultsOverrides:!0})}deregisterDefaultConfigurations(f){const s=[];for(const{overrides:v,source:o}of f)for(const n in v){const r=this.configurationDefaultsOverrides.get(n),i=P.isString(o)?o:o?.id,a=P.isString(r?.source)?r?.source:r?.source?.id;if(i===a)if(s.push(n),this.configurationDefaultsOverrides.delete(n),e.OVERRIDE_PROPERTY_REGEX.test(n))delete this.configurationProperties[n],delete this.defaultLanguageConfigurationOverridesNode.properties[n];else{const m=this.configurationProperties[n];m&&(this.updatePropertyDefaultValue(n,m),this.updateSchema(n,m))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:s,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...f){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(f){for(const s of f)this.overrideIdentifiers.add(s);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(f,s){const v=[];return f.forEach(o=>{v.push(...this.validateAndRegisterProperties(o,s,o.extensionInfo,o.restrictedProperties)),this.configurationContributors.push(o),this.registerJSONConfiguration(o)}),v}doDeregisterConfigurations(f){const s=[],v=o=>{if(o.properties)for(const n in o.properties)s.push(n),delete this.configurationProperties[n],this.removeFromSchema(n,o.properties[n]);o.allOf&&o.allOf.forEach(n=>v(n))};for(const o of f){v(o);const n=this.configurationContributors.indexOf(o);n!==-1&&this.configurationContributors.splice(n,1)}return s}validateAndRegisterProperties(f,s=!0,v,o,n=3){n=P.isUndefinedOrNull(f.scope)?n:f.scope;let r=[],i=f.properties;if(i)for(let m in i){if(s&&I(m)){delete i[m];continue}const d=i[m];if(d.source=v,d.defaultDefaultValue=i[m].default,this.updatePropertyDefaultValue(m,d),e.OVERRIDE_PROPERTY_REGEX.test(m)?d.scope=void 0:(d.scope=P.isUndefinedOrNull(d.scope)?n:d.scope,d.restricted=P.isUndefinedOrNull(d.restricted)?!!o?.includes(m):d.restricted),i[m].hasOwnProperty("included")&&!i[m].included){this.excludedConfigurationProperties[m]=i[m],delete i[m];continue}else this.configurationProperties[m]=i[m];!i[m].deprecationMessage&&i[m].markdownDeprecationMessage&&(i[m].deprecationMessage=i[m].markdownDeprecationMessage),r.push(m)}let a=f.allOf;if(a)for(let m of a)r.push(...this.validateAndRegisterProperties(m,s,v,o,n));return r}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(f){const s=v=>{let o=v.properties;if(o)for(const r in o)this.updateSchema(r,o[r]);let n=v.allOf;n&&n.forEach(s)};s(f)}updateSchema(f,s){switch(e.allSettings.properties[f]=s,s.scope){case 1:e.applicationSettings.properties[f]=s;break;case 2:e.machineSettings.properties[f]=s;break;case 6:e.machineOverridableSettings.properties[f]=s;break;case 3:e.windowSettings.properties[f]=s;break;case 4:e.resourceSettings.properties[f]=s;break;case 5:e.resourceSettings.properties[f]=s,this.resourceLanguageSettingsSchema.properties[f]=s;break}}removeFromSchema(f,s){switch(delete e.allSettings.properties[f],s.scope){case 1:delete e.applicationSettings.properties[f];break;case 2:delete e.machineSettings.properties[f];break;case 6:delete e.machineOverridableSettings.properties[f];break;case 3:delete e.windowSettings.properties[f];break;case 4:case 5:delete e.resourceSettings.properties[f],delete this.resourceLanguageSettingsSchema.properties[f];break}}updateOverridePropertyPatternKey(){for(const f of this.overrideIdentifiers.values()){const s=`[${f}]`,v={type:"object",description:A.localize(2,null),errorMessage:A.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(s,v),e.allSettings.properties[s]=v,e.applicationSettings.properties[s]=v,e.machineSettings.properties[s]=v,e.machineOverridableSettings.properties[s]=v,e.windowSettings.properties[s]=v,e.resourceSettings.properties[s]=v}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const f={type:"object",description:A.localize(4,null),errorMessage:A.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=f,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=f,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=f,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=f,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=f,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=f,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(f,s){const v=this.configurationDefaultsOverrides.get(f);let o=v?.value,n=v?.source;P.isUndefined(o)&&(o=s.defaultDefaultValue,n=void 0),P.isUndefined(o)&&(o=w(s.type)),s.default=o,s.defaultValueSource=n}}const p="\\[([^\\]]+)\\]",b=new RegExp(p,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${p})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function g(c){const f=[];if(e.OVERRIDE_PROPERTY_REGEX.test(c)){let s=b.exec(c);for(;s?.length;){const v=s[1].trim();v&&f.push(v),s=b.exec(c)}}return(0,h.distinct)(f)}e.overrideIdentifiersFromKey=g;function u(c){return c.reduce((f,s)=>`${f}[${s}]`,"")}e.keyFromOverrideIdentifiers=u;function w(c){switch(Array.isArray(c)?c[0]:c){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=w;const S=new D;k.Registry.add(e.Extensions.Configuration,S);function I(c){return c.trim()?e.OVERRIDE_PROPERTY_REGEX.test(c)?A.localize(7,null,c):S.getConfigurationProperties()[c]!==void 0?A.localize(8,null,c):null:A.localize(6,null)}e.validateProperty=I;function l(){const c=[],f=S.getConfigurationProperties();for(const s of Object.keys(f))c.push([s,f[s].scope]);return c.push(["launch",4]),c.push(["task",4]),c}e.getScopes=l}),define(pe[193],ve([1,0,18,3,141,6,24,25,13,2,115,119,50]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class b{constructor(o={},n=[],r=[]){this._contents=o,this._keys=n,this._overrides=r,this.isFrozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(o){return o?(0,F.getConfigurationValue)(this.contents,o):this.contents}getOverrideValue(o,n){const r=this.getContentsForOverrideIdentifer(n);return r?o?(0,F.getConfigurationValue)(r,o):r:void 0}getKeysForOverrideIdentifier(o){const n=[];for(const r of this.overrides)r.identifiers.includes(o)&&n.push(...r.keys);return h.distinct(n)}getAllOverrideIdentifiers(){const o=[];for(const n of this.overrides)o.push(...n.identifiers);return h.distinct(o)}override(o){let n=this.overrideConfigurations.get(o);return n||(n=this.createOverrideConfigurationModel(o),this.overrideConfigurations.set(o,n)),n}merge(...o){const n=k.deepClone(this.contents),r=k.deepClone(this.overrides),i=[...this.keys];for(const a of o){this.mergeContents(n,a.contents);for(const m of a.overrides){const[d]=r.filter(E=>h.equals(E.identifiers,m.identifiers));d?(this.mergeContents(d.contents,m.contents),d.keys.push(...m.keys),d.keys=h.distinct(d.keys)):r.push(k.deepClone(m))}for(const m of a.keys)i.indexOf(m)===-1&&i.push(m)}return new b(n,i,r)}freeze(){return this.isFrozen=!0,this}createOverrideConfigurationModel(o){const n=this.getContentsForOverrideIdentifer(o);if(!n||typeof n!="object"||!Object.keys(n).length)return this;let r={};for(const i of h.distinct([...Object.keys(this.contents),...Object.keys(n)])){let a=this.contents[i],m=n[i];m&&(typeof a=="object"&&typeof m=="object"?(a=k.deepClone(a),this.mergeContents(a,m)):a=m),r[i]=a}return new b(r,this.keys,this.overrides)}mergeContents(o,n){for(const r of Object.keys(n)){if(r in o&&_.isObject(o[r])&&_.isObject(n[r])){this.mergeContents(o[r],n[r]);continue}o[r]=k.deepClone(n[r])}}checkAndFreeze(o){return this.isFrozen&&!Object.isFrozen(o)?k.deepFreeze(o):o}getContentsForOverrideIdentifer(o){let n=null,r=null;const i=a=>{a&&(r?this.mergeContents(r,a):r=k.deepClone(a))};for(const a of this.overrides)h.equals(a.identifiers,[o])?n=a.contents:a.identifiers.includes(o)&&i(a.contents);return i(n),r}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(o,n){this.addKey(o),(0,F.addToValueTree)(this.contents,o,n,r=>{throw new Error(r)})}removeValue(o){this.removeKey(o)&&(0,F.removeFromValueTree)(this.contents,o)}addKey(o){let n=this.keys.length;for(let r=0;r<n;r++)o.indexOf(this.keys[r])===0&&(n=r);this.keys.splice(n,1,o)}removeKey(o){let n=this.keys.indexOf(o);return n!==-1?(this.keys.splice(n,1),!0):!1}}e.ConfigurationModel=b;class g extends b{constructor(o={}){const n=p.Registry.as(D.Extensions.Configuration).getConfigurationProperties(),r=Object.keys(n),i=Object.create(null),a=[];for(const m in n){const d=o[m],E=d!==void 0?d:n[m].default;(0,F.addToValueTree)(i,m,E,T=>console.error(`Conflict in default settings: ${T}`))}for(const m of Object.keys(i))D.OVERRIDE_PROPERTY_REGEX.test(m)&&a.push({identifiers:(0,D.overrideIdentifiersFromKey)(m),keys:Object.keys(i[m]),contents:(0,F.toValuesTree)(i[m],d=>console.error(`Conflict in default settings file: ${d}`))});super(i,r,a)}}e.DefaultConfigurationModel=g;class u{constructor(o){this._name=o,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new b}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(o,n){if(!_.isUndefinedOrNull(o)){const r=this.doParseContent(o);this.parseRaw(r,n)}}reparse(o){this._raw&&this.parseRaw(this._raw,o)}parseRaw(o,n){this._raw=o;const{contents:r,keys:i,overrides:a,restricted:m}=this.doParseRaw(o,n);this._configurationModel=new b(r,i,a),this._restrictedConfigurations=m||[]}doParseContent(o){let n={},r=null,i=[],a=[],m=[];function d(T){Array.isArray(i)?i.push(T):r!==null&&(i[r]=T)}let E={onObjectBegin:()=>{let T={};d(T),a.push(i),i=T,r=null},onObjectProperty:T=>{r=T},onObjectEnd:()=>{i=a.pop()},onArrayBegin:()=>{let T=[];d(T),a.push(i),i=T,r=null},onArrayEnd:()=>{i=a.pop()},onLiteralValue:d,onError:(T,L,O)=>{m.push({error:T,offset:L,length:O})}};if(o)try{P.visit(o,E),n=i[0]||{}}catch(T){console.error(`Error while parsing settings file ${this._name}: ${T}`),this._parseErrors=[T]}return n}doParseRaw(o,n){const r=p.Registry.as(D.Extensions.Configuration).getConfigurationProperties(),i=this.filter(o,r,!0,n);o=i.raw;const a=(0,F.toValuesTree)(o,E=>console.error(`Conflict in settings file ${this._name}: ${E}`)),m=Object.keys(o),d=this.toOverrides(o,E=>console.error(`Conflict in settings file ${this._name}: ${E}`));return{contents:a,keys:m,overrides:d,restricted:i.restricted}}filter(o,n,r,i){if(!i?.scopes&&!i?.skipRestricted)return{raw:o,restricted:[]};const a={},m=[];for(let d in o)if(D.OVERRIDE_PROPERTY_REGEX.test(d)&&r){const E=this.filter(o[d],n,!1,i);a[d]=E.raw,m.push(...E.restricted)}else{const E=n[d],T=E?typeof E.scope!="undefined"?E.scope:3:void 0;E?.restricted&&m.push(d),(T===void 0||i.scopes===void 0||i.scopes.includes(T))&&(i.skipRestricted&&E?.restricted||(a[d]=o[d]))}return{raw:a,restricted:m}}toOverrides(o,n){const r=[];for(const i of Object.keys(o))if(D.OVERRIDE_PROPERTY_REGEX.test(i)){const a={};for(const m in o[i])a[m]=o[i][m];r.push({identifiers:(0,D.overrideIdentifiersFromKey)(i),keys:Object.keys(a),contents:(0,F.toValuesTree)(a,n)})}return r}}e.ConfigurationModelParser=u;class w extends A.Disposable{constructor(o,n,r,i){super();this.userSettingsResource=o,this.scopes=n,this.fileService=i,this._onDidChange=this._register(new t.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new u(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(r.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(t.Event.any(t.Event.filter(this.fileService.onDidFilesChange,a=>a.contains(this.userSettingsResource)),t.Event.filter(this.fileService.onDidRunOperation,a=>(a.isOperation(0)||a.isOperation(1)||a.isOperation(4))&&r.isEqual(a.resource,o)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const o=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(o.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new b}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=w;class S{constructor(o,n,r=new b,i=new b,a=new C.ResourceMap,m=new b,d=new C.ResourceMap,E=!0){this._defaultConfiguration=o,this._localUserConfiguration=n,this._remoteUserConfiguration=r,this._workspaceConfiguration=i,this._folderConfigurations=a,this._memoryConfiguration=m,this._memoryConfigurationByResource=d,this._freeze=E,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new C.ResourceMap,this._userConfiguration=null}getValue(o,n,r){return this.getConsolidateConfigurationModel(n,r).getValue(o)}updateValue(o,n,r={}){let i;r.resource?(i=this._memoryConfigurationByResource.get(r.resource),i||(i=new b,this._memoryConfigurationByResource.set(r.resource,i))):i=this._memoryConfiguration,n===void 0?i.removeValue(o):i.setValue(o,n),r.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(o,n,r){const i=this.getConsolidateConfigurationModel(n,r),a=this.getFolderConfigurationModelForResource(n.resource,r),m=n.resource?this._memoryConfigurationByResource.get(n.resource)||this._memoryConfiguration:this._memoryConfiguration,d=n.overrideIdentifier?this._defaultConfiguration.freeze().override(n.overrideIdentifier).getValue(o):this._defaultConfiguration.freeze().getValue(o),E=n.overrideIdentifier?this.userConfiguration.freeze().override(n.overrideIdentifier).getValue(o):this.userConfiguration.freeze().getValue(o),T=n.overrideIdentifier?this.localUserConfiguration.freeze().override(n.overrideIdentifier).getValue(o):this.localUserConfiguration.freeze().getValue(o),L=n.overrideIdentifier?this.remoteUserConfiguration.freeze().override(n.overrideIdentifier).getValue(o):this.remoteUserConfiguration.freeze().getValue(o),O=r?n.overrideIdentifier?this._workspaceConfiguration.freeze().override(n.overrideIdentifier).getValue(o):this._workspaceConfiguration.freeze().getValue(o):void 0,y=a?n.overrideIdentifier?a.freeze().override(n.overrideIdentifier).getValue(o):a.freeze().getValue(o):void 0,B=n.overrideIdentifier?m.override(n.overrideIdentifier).getValue(o):m.getValue(o),M=i.getValue(o),z=h.distinct(h.flatten(i.overrides.map(V=>V.identifiers))).filter(V=>i.getOverrideValue(o,V)!==void 0);return{defaultValue:d,userValue:E,userLocalValue:T,userRemoteValue:L,workspaceValue:O,workspaceFolderValue:y,memoryValue:B,value:M,default:d!==void 0?{value:this._defaultConfiguration.freeze().getValue(o),override:n.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(o,n.overrideIdentifier):void 0}:void 0,user:E!==void 0?{value:this.userConfiguration.freeze().getValue(o),override:n.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(o,n.overrideIdentifier):void 0}:void 0,userLocal:T!==void 0?{value:this.localUserConfiguration.freeze().getValue(o),override:n.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(o,n.overrideIdentifier):void 0}:void 0,userRemote:L!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(o),override:n.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(o,n.overrideIdentifier):void 0}:void 0,workspace:O!==void 0?{value:this._workspaceConfiguration.freeze().getValue(o),override:n.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(o,n.overrideIdentifier):void 0}:void 0,workspaceFolder:y!==void 0?{value:a?.freeze().getValue(o),override:n.overrideIdentifier?a?.freeze().getOverrideValue(o,n.overrideIdentifier):void 0}:void 0,memory:B!==void 0?{value:m.getValue(o),override:n.overrideIdentifier?m.getOverrideValue(o,n.overrideIdentifier):void 0}:void 0,overrideIdentifiers:z.length?z:void 0}}keys(o){const n=this.getFolderConfigurationModelForResource(void 0,o);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:n?n.freeze().keys:[]}}updateDefaultConfiguration(o){this._defaultConfiguration=o,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(o){this._localUserConfiguration=o,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(o){this._remoteUserConfiguration=o,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(o){this._workspaceConfiguration=o,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(o,n){this._folderConfigurations.set(o,n),this._foldersConsolidatedConfigurations.delete(o)}deleteFolderConfiguration(o){this.folderConfigurations.delete(o),this._foldersConsolidatedConfigurations.delete(o)}compareAndUpdateDefaultConfiguration(o,n){const r=[];if(!n){const{added:i,updated:a,removed:m}=f(this._defaultConfiguration,o);n=[...i,...a,...m]}for(const i of n)for(const a of(0,D.overrideIdentifiersFromKey)(i)){const m=this._defaultConfiguration.getKeysForOverrideIdentifier(a),d=o.getKeysForOverrideIdentifier(a),E=[...d.filter(T=>m.indexOf(T)===-1),...m.filter(T=>d.indexOf(T)===-1),...m.filter(T=>!k.equals(this._defaultConfiguration.override(a).getValue(T),o.override(a).getValue(T)))];r.push([a,E])}return this.updateDefaultConfiguration(o),{keys:n,overrides:r}}compareAndUpdateLocalUserConfiguration(o){const{added:n,updated:r,removed:i,overrides:a}=f(this.localUserConfiguration,o),m=[...n,...r,...i];return m.length&&this.updateLocalUserConfiguration(o),{keys:m,overrides:a}}compareAndUpdateRemoteUserConfiguration(o){const{added:n,updated:r,removed:i,overrides:a}=f(this.remoteUserConfiguration,o);let m=[...n,...r,...i];return m.length&&this.updateRemoteUserConfiguration(o),{keys:m,overrides:a}}compareAndUpdateWorkspaceConfiguration(o){const{added:n,updated:r,removed:i,overrides:a}=f(this.workspaceConfiguration,o);let m=[...n,...r,...i];return m.length&&this.updateWorkspaceConfiguration(o),{keys:m,overrides:a}}compareAndUpdateFolderConfiguration(o,n){const r=this.folderConfigurations.get(o),{added:i,updated:a,removed:m,overrides:d}=f(r,n);let E=[...i,...a,...m];return(E.length||!r)&&this.updateFolderConfiguration(o,n),{keys:E,overrides:d}}compareAndDeleteFolderConfiguration(o){const n=this.folderConfigurations.get(o);if(!n)throw new Error("Unknown folder");this.deleteFolderConfiguration(o);const{added:r,updated:i,removed:a,overrides:m}=f(n,void 0);return{keys:[...r,...i,...a],overrides:m}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(o,n){let r=this.getConsolidatedConfigurationModelForResource(o,n);return o.overrideIdentifier?r.override(o.overrideIdentifier):r}getConsolidatedConfigurationModelForResource({resource:o},n){let r=this.getWorkspaceConsolidatedConfiguration();if(n&&o){const i=n.getFolder(o);i&&(r=this.getFolderConsolidatedConfiguration(i.uri)||r);const a=this._memoryConfigurationByResource.get(o);a&&(r=r.merge(a))}return r}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(o){let n=this._foldersConsolidatedConfigurations.get(o);if(!n){const r=this.getWorkspaceConsolidatedConfiguration(),i=this._folderConfigurations.get(o);i?(n=r.merge(i),this._freeze&&(n=n.freeze()),this._foldersConsolidatedConfigurations.set(o,n)):n=r}return n}getFolderConfigurationModelForResource(o,n){if(n&&o){const r=n.getFolder(o);if(r)return this._folderConfigurations.get(r.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((o,n)=>{const{contents:r,overrides:i,keys:a}=this._folderConfigurations.get(n);return o.push([n,{contents:r,overrides:i,keys:a}]),o},[])}}allKeys(){const o=new Set;return this._defaultConfiguration.freeze().keys.forEach(n=>o.add(n)),this.userConfiguration.freeze().keys.forEach(n=>o.add(n)),this._workspaceConfiguration.freeze().keys.forEach(n=>o.add(n)),this._folderConfigurations.forEach(n=>n.freeze().keys.forEach(r=>o.add(r))),[...o.values()]}allOverrideIdentifiers(){const o=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>o.add(n)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>o.add(n)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>o.add(n)),this._folderConfigurations.forEach(n=>n.freeze().getAllOverrideIdentifiers().forEach(r=>o.add(r))),[...o.values()]}getAllKeysForOverrideIdentifier(o){const n=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(o).forEach(r=>n.add(r)),this.userConfiguration.getKeysForOverrideIdentifier(o).forEach(r=>n.add(r)),this._workspaceConfiguration.getKeysForOverrideIdentifier(o).forEach(r=>n.add(r)),this._folderConfigurations.forEach(r=>r.getKeysForOverrideIdentifier(o).forEach(i=>n.add(i))),[...n.values()]}static parse(o){const n=this.parseConfigurationModel(o.defaults),r=this.parseConfigurationModel(o.user),i=this.parseConfigurationModel(o.workspace),a=o.folders.reduce((m,d)=>(m.set(R.URI.revive(d[0]),this.parseConfigurationModel(d[1])),m),new C.ResourceMap);return new S(n,r,new b,i,a,new b,new C.ResourceMap,!1)}static parseConfigurationModel(o){return new b(o.contents,o.keys,o.overrides).freeze()}}e.Configuration=S;function I(...v){if(v.length===0)return{keys:[],overrides:[]};if(v.length===1)return v[0];const o=new Set,n=new Map;for(const i of v)i.keys.forEach(a=>o.add(a)),i.overrides.forEach(([a,m])=>{const d=(0,C.getOrSet)(n,a,new Set);m.forEach(E=>d.add(E))});const r=[];return n.forEach((i,a)=>r.push([a,[...i.values()]])),{keys:[...o.values()],overrides:r}}e.mergeChanges=I;class l{constructor(o,n,r,i){this.change=o,this.previous=n,this.currentConfiguraiton=r,this.currentWorkspace=i,this._previousConfiguration=void 0;const a=new Set;o.keys.forEach(d=>a.add(d)),o.overrides.forEach(([,d])=>d.forEach(E=>a.add(E))),this.affectedKeys=[...a.values()];const m=new b;this.affectedKeys.forEach(d=>m.setValue(d,{})),this.affectedKeysTree=m.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=S.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(o,n){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,o)){if(n){const r=this.previousConfiguration?this.previousConfiguration.getValue(o,n,this.previous?.workspace):void 0,i=this.currentConfiguraiton.getValue(o,n,this.currentWorkspace);return!k.equals(r,i)}return!0}return!1}doesAffectedKeysTreeContains(o,n){let r=(0,F.toValuesTree)({[n]:!0},()=>{}),i;for(;typeof r=="object"&&(i=Object.keys(r)[0]);){if(o=o[i],!o)return!1;r=r[i]}return!0}}e.ConfigurationChangeEvent=l;class c extends l{constructor(o,n,r,i){super({keys:o.allKeys(),overrides:[]},void 0,o,n);this.source=r,this.sourceConfig=i}}e.AllKeysConfigurationChangeEvent=c;function f(v,o){const{added:n,removed:r,updated:i}=s(o,v),a=[],m=v?.getAllOverrideIdentifiers()||[],d=o?.getAllOverrideIdentifiers()||[];if(o){const E=d.filter(T=>!m.includes(T));for(const T of E)a.push([T,o.getKeysForOverrideIdentifier(T)])}if(v){const E=m.filter(T=>!d.includes(T));for(const T of E)a.push([T,v.getKeysForOverrideIdentifier(T)])}if(o&&v){for(const E of m)if(d.includes(E)){const T=s({contents:v.getOverrideValue(void 0,E)||{},keys:v.getKeysForOverrideIdentifier(E)},{contents:o.getOverrideValue(void 0,E)||{},keys:o.getKeysForOverrideIdentifier(E)});a.push([E,[...T.added,...T.removed,...T.updated]])}}return{added:n,removed:r,updated:i,overrides:a}}function s(v,o){const n=v?o?v.keys.filter(a=>o.keys.indexOf(a)===-1):[...v.keys]:[],r=o?v?o.keys.filter(a=>v.keys.indexOf(a)===-1):[...o.keys]:[],i=[];if(v&&o){for(const a of o.keys)if(v.keys.indexOf(a)!==-1){const m=(0,F.getConfigurationValue)(o.contents,a),d=(0,F.getConfigurationValue)(v.contents,a);k.equals(m,d)||i.push(a)}}return{added:n,removed:r,updated:i}}}),define(pe[120],ve([1,0,4]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,h.createDecorator)("remoteAuthorityResolverService");var t;(function(A){A.Unknown="Unknown",A.NotAvailable="NotAvailable",A.TemporarilyNotAvailable="TemporarilyNotAvailable",A.NoResolverFound="NoResolverFound"})(t=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class P extends Error{constructor(C,k=t.Unknown,_){super(C);this._message=C,this._code=k,this._detail=_,this.isHandled=k===t.NotAvailable&&_===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,P.prototype)}static isTemporarilyNotAvailable(C){return C instanceof P&&C._code===t.TemporarilyNotAvailable}static isNoResolverFound(C){return C instanceof P&&C._code===t.NoResolverFound}static isHandled(C){return C instanceof P&&C.isHandled}}e.RemoteAuthorityResolverError=P}),define(pe[121],ve([1,0,10]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemoteName=e.getRemoteAuthority=void 0;function t(A){return A.scheme===h.Schemas.vscodeRemote?A.authority:void 0}e.getRemoteAuthority=t;function P(A){if(!A)return;const C=A.indexOf("+");return C<0?A:A.substr(0,C)}e.getRemoteName=P}),define(pe[27],ve([1,0,8,4,121]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.UNDEFINED_PUBLISHER=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.UNDEFINED_PUBLISHER="undefined_publisher",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function A(p){if(typeof p=="object"&&p!==null&&p.supported!==!0)return p.description}e.getWorkspaceSupportTypeMessage=A;function C(p){return p&&typeof p=="object"&&typeof p.id=="string"&&(!p.uuid||typeof p.uuid=="string")}e.isIExtensionIdentifier=C,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var k;(function(p){p[p.System=0]="System",p[p.User=1]="User"})(k=e.ExtensionType||(e.ExtensionType={}));class _{constructor(b){this.value=b,this._lower=b.toLowerCase()}static equals(b,g){if(typeof b=="undefined"||b===null)return typeof g=="undefined"||g===null;if(typeof g=="undefined"||g===null)return!1;if(typeof b=="string"||typeof g=="string"){let u=typeof b=="string"?b:b.value,w=typeof g=="string"?g:g.value;return h.equalsIgnoreCase(u,w)}return b._lower===g._lower}static toKey(b){return typeof b=="string"?b.toLowerCase():b._lower}}e.ExtensionIdentifier=_;function R(p){return p.contributes&&p.contributes.localizations?p.contributes.localizations.length>0:!1}e.isLanguagePackExtension=R;function F(p){return p.contributes&&p.contributes.authentication?p.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=F;function D(p,b){if(b){const g=`onResolveRemoteAuthority:${(0,P.getRemoteName)(b)}`;return p.activationEvents?.indexOf(g)!==-1}return!1}e.isResolverExtension=D,e.IBuiltinExtensionsScannerService=(0,t.createDecorator)("IBuiltinExtensionsScannerService")}),define(pe[122],ve([1,0,8,27]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function P(g,u){return g.uuid&&u.uuid?g.uuid===u.uuid:g.id===u.id?!0:(0,h.compareIgnoreCase)(g.id,u.id)===0}e.areSameExtensions=P;class A{constructor(u,w){this.version=w,this.id=u.id,this.uuid=u.uuid}key(){return`${this.id}-${this.version}`}equals(u){return u instanceof A?P(this,u)&&this.version===u.version:!1}}e.ExtensionIdentifierWithVersion=A;function C(g,u){return`${g}.${u}`}e.getExtensionId=C;function k(g){return g.toLocaleLowerCase()}e.adoptToGalleryExtensionId=k;function _(g,u){return k(C(g,u))}e.getGalleryExtensionId=_;function R(g,u){const w=[],S=I=>{for(const l of w)if(l.some(c=>P(u(c),u(I))))return l;return null};for(const I of g){const l=S(I);l?l.push(I):w.push([I])}return w}e.groupByExtension=R;function F(g){return{id:g.identifier.id,name:g.manifest.name,galleryId:null,publisherId:g.publisherId,publisherName:g.manifest.publisher,publisherDisplayName:g.publisherDisplayName,dependencies:g.manifest.extensionDependencies&&g.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=F;function D(g){return{id:g.identifier.id,name:g.name,galleryId:g.identifier.uuid,publisherId:g.publisherId,publisherName:g.publisher,publisherDisplayName:g.publisherDisplayName,isPreReleaseVersion:g.properties.isPreReleaseVersion,dependencies:!!(g.properties.dependencies&&g.properties.dependencies.length>0),...g.telemetryData}}e.getGalleryExtensionTelemetryData=D,e.BetterMergeId=new t.ExtensionIdentifier("pprice.better-merge");function p(g){const u=new Set;if(g.malicious)for(const w of g.malicious)u.add(w.id);return u}e.getMaliciousExtensionsSet=p;function b(g,u){const w=[],S=u.manifest.extensionDependencies?.slice(0)??[];for(;S.length;){const I=S.shift();if(I&&w.every(l=>!P(l.identifier,{id:I}))){const l=g.filter(c=>P(c.identifier,{id:I}));l.length===1&&(w.push(l[0]),S.push(...l[0].manifest.extensionDependencies?.slice(0)??[]))}}return w}e.getExtensionDependencies=b}),define(pe[194],ve([1,0,10,160,122,4]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.TargetPlatform=e.getIdAndVersion=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";const C=/^([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;function k(s){const v=C.exec(s);return v&&v[1]?[(0,P.adoptToGalleryExtensionId)(v[1]),v[2]]:[(0,P.adoptToGalleryExtensionId)(s),void 0]}e.getIdAndVersion=k;var _;(function(s){s.WIN32_X64="win32-x64",s.WIN32_IA32="win32-ia32",s.WIN32_ARM64="win32-arm64",s.LINUX_X64="linux-x64",s.LINUX_ARM64="linux-arm64",s.LINUX_ARMHF="linux-armhf",s.ALPINE_X64="alpine-x64",s.ALPINE_ARM64="alpine-arm64",s.DARWIN_X64="darwin-x64",s.DARWIN_ARM64="darwin-arm64",s.WEB="web",s.UNIVERSAL="universal",s.UNKNOWN="unknown",s.UNDEFINED="undefined"})(_=e.TargetPlatform||(e.TargetPlatform={}));function R(s){switch(s){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=R;function F(s){switch(s){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=F;function D(s,v){switch(s){case 3:return v==="x64"?"win32-x64":v==="ia32"?"win32-ia32":v==="arm64"?"win32-arm64":"unknown";case 2:return v==="x64"?"linux-x64":v==="arm64"?"linux-arm64":v==="arm"?"linux-armhf":"unknown";case"alpine":return v==="x64"?"alpine-x64":v==="arm64"?"alpine-arm64":"unknown";case 1:return v==="x64"?"darwin-x64":v==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=D;function p(s,v){return v==="web"&&!s.includes("web")}e.isNotWebExtensionInWebTargetPlatform=p;function b(s,v,o){return p(v,o)?!1:s==="undefined"||s==="universal"?!0:s==="unknown"?!1:s===o?!0:g(o).includes(s)}e.isTargetPlatformCompatible=b;function g(s){switch(s){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=g;function u(s){return s&&typeof s=="object"&&typeof s.id=="string"&&(!s.uuid||typeof s.uuid=="string")}e.isIExtensionIdentifier=u;var w;(function(s){s[s.NoneOrRelevance=0]="NoneOrRelevance",s[s.LastUpdatedDate=1]="LastUpdatedDate",s[s.Title=2]="Title",s[s.PublisherName=3]="PublisherName",s[s.InstallCount=4]="InstallCount",s[s.PublishedDate=10]="PublishedDate",s[s.AverageRating=6]="AverageRating",s[s.WeightedRating=12]="WeightedRating"})(w=e.SortBy||(e.SortBy={}));var S;(function(s){s[s.Default=0]="Default",s[s.Ascending=1]="Ascending",s[s.Descending=2]="Descending"})(S=e.SortOrder||(e.SortOrder={}));var I;(function(s){s.Install="install",s.Uninstall="uninstall"})(I=e.StatisticType||(e.StatisticType={}));var l;(function(s){s[s.None=1]="None",s[s.Install=2]="Install",s[s.Update=3]="Update",s[s.Migrate=4]="Migrate"})(l=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,A.createDecorator)("extensionGalleryService");var c;(function(s){s.Unsupported="Unsupported",s.UnsupportedPreRelease="UnsupportedPreRelease",s.Malicious="Malicious",s.Incompatible="Incompatible",s.IncompatiblePreRelease="IncompatiblePreRelease",s.IncompatibleTargetPlatform="IncompatibleTargetPlatform",s.ReleaseVersionNotFound="ReleaseVersionNotFound",s.Invalid="Invalid",s.Download="Download",s.Extract="Extract",s.Delete="Delete",s.Rename="Rename",s.CorruptZip="CorruptZip",s.IncompleteZip="IncompleteZip",s.Internal="Internal"})(c=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class f extends Error{constructor(v,o){super(v);this.code=o,this.name=o}}e.ExtensionManagementError=f,e.IExtensionManagementService=(0,A.createDecorator)("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,A.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,A.createDecorator)("IExtensionTipsService"),e.DefaultIconPath=h.FileAccess.asBrowserUri("./media/defaultIcon.png",ee).toString(!0),e.ExtensionsLabel=(0,t.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,t.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,A.createDecorator)("IExtensionManagementCLIService")}),define(pe[195],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class h{constructor(){this.validators=new Map}vsda(){return new Promise((P,A)=>ee(["vsda"],P,A))}async createNewMessage(P){try{const A=await this.vsda(),C=new A.validator;if(C){const k=String(h._nextId++);return this.validators.set(k,C),{id:k,data:C.createNewMessage(P)}}}catch{}return{id:"",data:P}}async validate(P,A){if(!P.id)return!0;const C=this.validators.get(P.id);if(!C)return!1;this.validators.delete(P.id);try{return C.validate(A)==="ok"}catch{return!1}}async sign(P){try{const A=await this.vsda(),C=new A.signer;if(C)return C.sign(P)}catch{}return P}}e.SignService=h,h._nextId=1}),define(pe[196],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class h{constructor(P){this._callback=P,this._terminalBufferMap=new Map}dispose(){for(const P of this._terminalBufferMap.values())P.dispose()}startBuffering(P,A,C=5){let k;return k=A(_=>{const R=typeof _=="string"?_:_.data;let F=this._terminalBufferMap.get(P);if(F){F.data.push(R);return}const D=setTimeout(()=>this.flushBuffer(P),C);F={data:[R],timeoutId:D,dispose:()=>{clearTimeout(D),this.flushBuffer(P),k.dispose()}},this._terminalBufferMap.set(P,F)}),k}stopBuffering(P){const A=this._terminalBufferMap.get(P);A&&A.dispose()}flushBuffer(P){const A=this._terminalBufferMap.get(P);A&&(this._terminalBufferMap.delete(P),this._callback(P,A.data.join("")))}}e.TerminalDataBufferer=h}),define(pe[197],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var h;(function(t){t.DARK="dark",t.LIGHT="light",t.HIGH_CONTRAST="hc"})(h=e.ColorScheme||(e.ColorScheme={}))}),define(pe[81],ve([1,0,73,3,6,4,50,197]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,A.createDecorator)("themeService");var _;(function(w){function S(I){return I&&typeof I=="object"&&typeof I.id=="string"}w.isThemeColor=S})(_=e.ThemeColor||(e.ThemeColor={}));function R(w){return{id:w}}e.themeColorFromId=R;var F;(function(w){function S(n){return n&&typeof n=="object"&&typeof n.id=="string"&&(typeof n.color=="undefined"||_.isThemeColor(n.color))}w.isThemeIcon=S;const I=new RegExp(`^\\$\\((${h.CSSIcon.iconNameExpression}(?:${h.CSSIcon.iconModifierExpression})?)\\)$`);function l(n){const r=I.exec(n);if(!r)return;let[,i]=r;return{id:i}}w.fromString=l;function c(n){return{id:n}}w.fromId=c;function f(n,r){let i=n.id;const a=i.lastIndexOf("~");return a!==-1&&(i=i.substring(0,a)),r&&(i=`${i}~${r}`),{id:i}}w.modify=f;function s(n){const r=n.id.lastIndexOf("~");if(r!==-1)return n.id.substring(r+1)}w.getModifier=s;function v(n,r){return n.id===r.id&&n.color?.id===r.color?.id}w.isEqual=v;function o(n,r){return{id:n.id,color:r?R(r):void 0}}w.asThemeIcon=o,w.asClassNameArray=h.CSSIcon.asClassNameArray,w.asClassName=h.CSSIcon.asClassName,w.asCSSSelector=h.CSSIcon.asCSSSelector})(F=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=h.Codicon.file,e.FolderThemeIcon=h.Codicon.folder;function D(w){switch(w){case k.ColorScheme.DARK:return"vs-dark";case k.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=D,e.Extensions={ThemingContribution:"base.contributions.theming"};class p{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new t.Emitter}onColorThemeChange(S){return this.themingParticipants.push(S),this.onThemingParticipantAddedEmitter.fire(S),(0,P.toDisposable)(()=>{const I=this.themingParticipants.indexOf(S);this.themingParticipants.splice(I,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let b=new p;C.Registry.add(e.Extensions.ThemingContribution,b);function g(w){return b.onColorThemeChange(w)}e.registerThemingParticipant=g;class u extends P.Disposable{constructor(S){super();this.themeService=S,this.theme=S.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(I=>this.onThemeChange(I)))}onThemeChange(S){this.theme=S,this.updateStyles()}updateStyles(){}getColor(S,I){let l=this.theme.getColor(S);return l&&I&&(l=I(l,this.theme)),l?l.toString():null}}e.Themable=u}),define(pe[123],ve([1,0,3,12,4,11]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,P.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,P.createDecorator)("sharedTunnelsService");var C;(function(g){g.Http="http",g.Https="https"})(C=e.TunnelProtocol||(e.TunnelProtocol={}));var k;(function(g){g.ConstantPrivate="constantPrivate",g.Private="private",g.Public="public"})(k=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var _;(function(g){g[g.Notify=1]="Notify",g[g.OpenBrowser=2]="OpenBrowser",g[g.OpenPreview=3]="OpenPreview",g[g.Silent=4]="Silent",g[g.Ignore=5]="Ignore",g[g.OpenBrowserOnce=6]="OpenBrowserOnce"})(_=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function R(g){if(g.scheme!=="http"&&g.scheme!=="https")return;const u=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(g.authority);if(!!u)return{address:u[1],port:+u[2]}}e.extractLocalHostUriMetaDataForPortMapping=R,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function F(g){return e.LOCALHOST_ADDRESSES.indexOf(g)>=0}e.isLocalhost=F,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function D(g){return e.ALL_INTERFACES_ADDRESSES.indexOf(g)>=0}e.isAllInterfaces=D;function p(g,u){return u?u!==1&&g<1024:!t.isWindows&&g<1024}e.isPortPrivileged=p;let b=class{constructor(u){this.logService=u,this._onTunnelOpened=new h.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new h.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new h.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[]}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(u){return this._tunnelProvider=u,u?(this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}setTunnelFeatures(u){this._canElevate=u.elevation,this._privacyOptions=u.privacyOptions}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const u=[],w=Array.from(this._tunnels.values());for(let S of w){const I=Array.from(S.values());for(let l of I){const c=await l.value;c&&u.push(c)}}return u}async dispose(){for(const u of this._tunnels.values()){for(const{value:w}of u.values())await w.then(S=>S?.dispose());u.clear()}this._tunnels.clear()}openTunnel(u,w,S,I,l=!1,c=k.Private,f){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${w}:${S} on local port ${I}.`),!u)return;w||(w="localhost");const s=this.retainOrCreateTunnel(u,w,S,I,l,c,f);return s?s.then(v=>{if(!v){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(w,S);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const o=this.makeTunnel(v);return(v.tunnelRemoteHost!==w||v.tunnelRemotePort!==S)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(o),o}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),s)}makeTunnel(u){return{tunnelRemotePort:u.tunnelRemotePort,tunnelRemoteHost:u.tunnelRemoteHost,tunnelLocalPort:u.tunnelLocalPort,localAddress:u.localAddress,privacy:u.privacy,protocol:u.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${u.tunnelRemoteHost}:${u.tunnelRemotePort} `);const w=this._tunnels.get(u.tunnelRemoteHost);if(w){const S=w.get(u.tunnelRemotePort);S&&(S.refcount--,await this.tryDisposeTunnel(u.tunnelRemoteHost,u.tunnelRemotePort,S))}}}}async tryDisposeTunnel(u,w,S){if(S.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${u}:${w}.`);const I=S.value.then(async l=>{l&&(await l.dispose(!0),this._onTunnelClosed.fire({host:l.tunnelRemoteHost,port:l.tunnelRemotePort}))});return this._tunnels.has(u)&&this._tunnels.get(u).delete(w),I}}async closeTunnel(u,w){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${u}:${w} `);const S=this._tunnels.get(u);if(S&&S.has(w)){const I=S.get(w);I.refcount=0,await this.tryDisposeTunnel(u,w,I)}}addTunnelToMap(u,w,S){this._tunnels.has(u)||this._tunnels.set(u,new Map),this._tunnels.get(u).set(w,{refcount:1,value:S})}async removeEmptyTunnelFromMap(u,w){const S=this._tunnels.get(u);S&&(await S.get(w)||S.delete(w),S.size===0&&this._tunnels.delete(u))}getTunnelFromMap(u,w){let S=[u];F(u)?(S.push(...e.LOCALHOST_ADDRESSES),S.push(...e.ALL_INTERFACES_ADDRESSES)):D(u)&&S.push(...e.ALL_INTERFACES_ADDRESSES);const I=S.map(l=>this._tunnels.get(l));for(const l of I){const c=l?.get(w);if(c)return c}}canTunnel(u){return!!R(u)}createWithProvider(u,w,S,I,l,c,f){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${w}:${S} on local port ${I}.`);const v={elevationRequired:l?p(I===void 0?S:I):!1},o={remoteAddress:{host:w,port:S},localAddressPort:I,privacy:c,public:c!==k.Private,protocol:f},n=u.forwardPort(o,v);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),n&&this.addTunnelToMap(w,S,n),n}};b=Be([Fe(0,A.ILogService)],b),e.AbstractTunnelService=b}),define(pe[198],ve([1,0,10]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVirtualWorkspace=e.getVirtualWorkspaceScheme=e.getVirtualWorkspaceLocation=e.isVirtualResource=void 0;function t(k){return k.scheme!==h.Schemas.file&&k.scheme!==h.Schemas.vscodeRemote}e.isVirtualResource=t;function P(k){if(k.folders.length)return k.folders.every(_=>t(_.uri))?k.folders[0].uri:void 0;if(k.configuration&&t(k.configuration))return k.configuration}e.getVirtualWorkspaceLocation=P;function A(k){return P(k)?.scheme}e.getVirtualWorkspaceScheme=A;function C(k){return P(k)!==void 0}e.isVirtualWorkspace=C}),define(pe[43],ve([1,0,165,9,24,23,2,4]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasWorkspaceFileExtension=e.isUntitledWorkspace=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,k.createDecorator)("contextService");function _(f){const s=f;return typeof s?.id=="string"&&C.URI.isUri(s.uri)}e.isSingleFolderWorkspaceIdentifier=_;function R(f){if(f.configuration)return{id:f.id,configPath:f.configuration};if(f.folders.length===1)return{id:f.id,uri:f.folders[0].uri}}e.toWorkspaceIdentifier=R;function F(f){const s=f;return typeof s?.id=="string"&&C.URI.isUri(s.configPath)}e.isWorkspaceIdentifier=F;function D(f){const s=f;if(s?.uri)return{id:s.id,uri:C.URI.revive(s.uri)};const v=f;if(v?.configPath)return{id:v.id,configPath:C.URI.revive(v.configPath)};if(f?.id)return{id:f.id}}e.reviveIdentifier=D;var p;(function(f){f[f.EMPTY=1]="EMPTY",f[f.FOLDER=2]="FOLDER",f[f.WORKSPACE=3]="WORKSPACE"})(p=e.WorkbenchState||(e.WorkbenchState={}));function b(f){const s=f;return!!(s&&typeof s=="object"&&typeof s.id=="string"&&Array.isArray(s.folders))}e.isWorkspace=b;function g(f){const s=f;return!!(s&&typeof s=="object"&&C.URI.isUri(s.uri)&&typeof s.name=="string"&&typeof s.toResource=="function")}e.isWorkspaceFolder=g;class u{constructor(s,v,o,n,r){this._id=s,this._transient=o,this._configuration=n,this._ignorePathCasing=r,this._foldersMap=P.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=v}update(s){this._id=s.id,this._configuration=s.configuration,this._transient=s.transient,this._ignorePathCasing=s._ignorePathCasing,this.folders=s.folders}get folders(){return this._folders}set folders(s){this._folders=s,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(s){this._configuration=s}getFolder(s){return s&&this._foldersMap.findSubstr(s.with({scheme:s.scheme,authority:s.authority,path:s.path}))||null}updateFoldersMap(){this._foldersMap=P.TernarySearchTree.forUris(this._ignorePathCasing);for(const s of this.folders)this._foldersMap.set(s.uri,s)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=u;class w{constructor(s,v){this.raw=v,this.uri=s.uri,this.index=s.index,this.name=s.name}toResource(s){return(0,A.joinPath)(this.uri,s)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=w;function S(f){return new w({uri:f,index:0,name:(0,A.basenameOrAuthority)(f)},{uri:f.toString()})}e.toWorkspaceFolder=S,e.WORKSPACE_EXTENSION="code-workspace";const I=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,h.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function l(f,s){return A.extUriBiasedIgnorePathCase.isEqualOrParent(f,s.untitledWorkspacesHome)}e.isUntitledWorkspace=l;function c(f){return(typeof f=="string"?(0,t.extname)(f):(0,A.extname)(f))===I}e.hasWorkspaceFileExtension=c}),define(pe[82],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class h{constructor(P){this.id=P,this._data=new Map,this._idPool=1}add(P){const A=this._idPool++;return this._data.set(A,P),this.logDebugInfo(),A}get(P,A){return this._data.has(P)?this._data.get(P)[A]:void 0}delete(P){this._data.delete(P),this.logDebugInfo()}logDebugInfo(){!h.enableDebugLogging||console.log(`${this.id} cache size - ${this._data.size}`)}}e.Cache=h,h.enableDebugLogging=!1}),define(pe[44],ve([1,0,10,23,4]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class A{constructor(){this._systemSchemes=new Set(Object.keys(h.Schemas)),this._providerInfo=new Map,this.extUri=new t.ExtUri(k=>{const _=this._providerInfo.get(k.scheme);return!(_===void 0||_&1024)})}$acceptProviderInfos(k,_){_===null?this._providerInfo.delete(k.scheme):this._providerInfo.set(k.scheme,_)}isFreeScheme(k){return!this._providerInfo.has(k)&&!this._systemSchemes.has(k)}getCapabilities(k){return this._providerInfo.get(k)}}e.ExtHostFileSystemInfo=A,e.IExtHostFileSystemInfo=(0,P.createDecorator)("IExtHostFileSystemInfo")}),define(pe[26],ve([1,0,4]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=(0,h.createDecorator)("IExtHostInitDataService")}),define(pe[199],ve([1,0,15]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class t{constructor(C,k,_){this._deferredPromises=new Map,this._id=C,this._shared=k,this._storage=_,this._init=this._storage.initializeExtensionStorage(this._shared,this._id,Object.create(null)).then(R=>(this._value=R,this)),this._storageListener=this._storage.onDidChangeStorage(R=>{R.shared===this._shared&&R.key===this._id&&(this._value=R.value)}),this._scheduler=new h.RunOnceScheduler(()=>{const R=this._deferredPromises;this._deferredPromises=new Map,(async()=>{try{await this._storage.setValue(this._shared,this._id,this._value);for(const F of R.values())F.complete()}catch(F){for(const D of R.values())D.error(F)}})()},0)}keys(){return Object.entries(this._value??{}).filter(([,C])=>C!==void 0).map(([C])=>C)}get whenReady(){return this._init}get(C,k){let _=this._value[C];return typeof _=="undefined"&&(_=k),_}update(C,k){this._value[C]=k;let _=this._deferredPromises.get(C);if(_!==void 0)return _.p;const R=new h.DeferredPromise;return this._deferredPromises.set(C,R),this._scheduler.isScheduled()||this._scheduler.schedule(),R.p}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=t;class P extends t{constructor(C,k){super(C.identifier.value,!0,k);this._extension=C}setKeysForSync(C){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},C)}}e.ExtensionGlobalMemento=P}),define(pe[200],ve([1,0,3,2,11]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocuments=void 0;let A=class{constructor(k,_){this._logService=k,this._notebooksAndEditors=_,this._onDidChangeNotebookDocumentMetadata=new h.Emitter,this.onDidChangeNotebookDocumentMetadata=this._onDidChangeNotebookDocumentMetadata.event,this._onDidSaveNotebookDocument=new h.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event}$acceptModelChanged(k,_,R){this._notebooksAndEditors.getNotebookDocument(t.URI.revive(k)).acceptModelChanged(_.value,R)}$acceptDirtyStateChanged(k,_){this._notebooksAndEditors.getNotebookDocument(t.URI.revive(k)).acceptDirty(_)}$acceptModelSaved(k){const _=this._notebooksAndEditors.getNotebookDocument(t.URI.revive(k));this._onDidSaveNotebookDocument.fire(_.apiNotebook)}$acceptDocumentPropertiesChanged(k,_){this._logService.debug("ExtHostNotebook#$acceptDocumentPropertiesChanged",k.path,_);const R=this._notebooksAndEditors.getNotebookDocument(t.URI.revive(k));R.acceptDocumentPropertiesChanged(_),_.metadata&&this._onDidChangeNotebookDocumentMetadata.fire({document:R.apiNotebook})}};A=Be([Fe(0,P.ILogService)],A),e.ExtHostNotebookDocuments=A}),define(pe[16],ve([1,0,4]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=(0,h.createDecorator)("IExtHostRpcService");class t{constructor(A){this.getProxy=A.getProxy.bind(A),this.set=A.set.bind(A),this.assertRegistered=A.assertRegistered.bind(A),this.drain=A.drain.bind(A)}}e.ExtHostRpcService=t});var Xe=this&&this.__classPrivateFieldSet||function(ee,e,h,t,P){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!P)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ee!==e||!P:!e.has(ee))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?P.call(ee,h):P?P.value=h:e.set(ee,h),h},Pe=this&&this.__classPrivateFieldGet||function(ee,e,h,t){if(h==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ee!==e||!t:!e.has(ee))throw new TypeError("Cannot read private member from an object whose class did not declare it");return h==="m"?t:h==="a"?t.call(ee):t?t.value:e.get(ee)};define(pe[201],ve([1,0,27,3]),function(ee,e,h,t){"use strict";var P;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class A{constructor(k,_){P.set(this,void 0),this._onDidChange=new t.Emitter,this.onDidChange=this._onDidChange.event,this._id=h.ExtensionIdentifier.toKey(k.identifier),Xe(this,P,_,"f"),Pe(this,P,"f").onDidChangePassword(R=>{R.extensionId===this._id&&this._onDidChange.fire({key:R.key})})}get(k){return Pe(this,P,"f").get(this._id,k)}store(k,_){return Pe(this,P,"f").store(this._id,k,_)}delete(k){return Pe(this,P,"f").delete(this._id,k)}}e.ExtensionSecrets=A,P=new WeakMap}),define(pe[124],ve([1,0,4,3]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTelemetry=e.ExtHostTelemetry=void 0;class P{constructor(){this._onDidChangeTelemetryEnabled=new t.Emitter,this.onDidChangeTelemetryEnabled=this._onDidChangeTelemetryEnabled.event,this._onDidChangeTelemetryConfiguration=new t.Emitter,this.onDidChangeTelemetryConfiguration=this._onDidChangeTelemetryConfiguration.event,this._level=0}getTelemetryConfiguration(){return this._level===3}getTelemetryDetails(){return{isCrashEnabled:this._level>=1,isErrorsEnabled:this._level>=2,isUsageEnabled:this._level>=3}}$initializeTelemetryLevel(C){this._level=C}$onDidChangeTelemetryLevel(C){this._oldTelemetryEnablement=this.getTelemetryConfiguration(),this._level=C,this._oldTelemetryEnablement!==this.getTelemetryConfiguration()&&this._onDidChangeTelemetryEnabled.fire(this.getTelemetryConfiguration()),this._onDidChangeTelemetryConfiguration.fire(this.getTelemetryDetails())}}e.ExtHostTelemetry=P,e.IExtHostTelemetry=(0,h.createDecorator)("IExtHostTelemetry")}),define(pe[63],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestItemRootImpl=e.TestItemImpl=e.MixedTestItemController=e.InvalidTestItemError=e.DuplicateTestItemError=e.diffTestItems=e.getPrivateApiFor=e.createPrivateApiFor=e.ExtHostTestItemEventOp=void 0;var h;(function(I){I[I.Upsert=0]="Upsert",I[I.RemoveChild=1]="RemoveChild",I[I.Invalidated=2]="Invalidated",I[I.SetProp=3]="SetProp",I[I.Bulk=4]="Bulk"})(h=e.ExtHostTestItemEventOp||(e.ExtHostTestItemEventOp={}));const t=new WeakMap,P=(I,l)=>{const c={controllerId:l};return t.set(I,c),c};e.createPrivateApiFor=P;const A=I=>t.get(I);e.getPrivateApiFor=A;const C=(I,l,c,f)=>{let s=c;return{enumerable:!0,configurable:!1,get(){return s},set(v){if(!f(s,v)){const o=s;s=v,I.listener?.({op:3,key:l,value:v,previous:o})}}}},k=(I,l)=>I===l,_={range:(I,l)=>I===l?!0:!I||!l?!1:I.isEqual(l),label:k,description:k,sortText:k,busy:k,error:k,canResolveChildren:k,tags:(I,l)=>!(I.length!==l.length||I.some(c=>!l.find(f=>c.id===f.id)))},R=Object.keys(_),F=(I,l)=>({range:C(I,"range",void 0,_.range),label:C(I,"label",l,_.label),description:C(I,"description",void 0,_.description),sortText:C(I,"sortText",void 0,_.sortText),canResolveChildren:C(I,"canResolveChildren",!1,_.canResolveChildren),busy:C(I,"busy",!1,_.busy),error:C(I,"error",void 0,_.error),tags:C(I,"tags",[],_.tags)}),D=(I,l)=>{const c=new Map;for(const f of R)_[f](I[f],l[f])||c.set(f,l[f]);return c};e.diffTestItems=D;class p extends Error{constructor(l){super(`Attempted to insert a duplicate test item ID ${l}`)}}e.DuplicateTestItemError=p;class b extends Error{constructor(l){super(`TestItem with ID "${l}" is invalid. Make sure to create it from the createTestItem method.`)}}e.InvalidTestItemError=b;class g extends Error{constructor(l,c,f){super(`TestItem with ID "${l}" is from controller "${c}" and cannot be added as a child of an item from controller "${f}".`)}}e.MixedTestItemController=g;const u=I=>{const l=(0,e.getPrivateApiFor)(I);let c=new Map;return{get size(){return c.size},forEach(f,s){for(const v of c.values())f.call(s,v,this)},replace(f){const s=new Map,v=new Set(c.keys()),o={op:4,ops:[]};for(const n of f){if(!(n instanceof w))throw new b(n.id);const r=(0,e.getPrivateApiFor)(n).controllerId;if(r!==l.controllerId)throw new g(n.id,r,l.controllerId);if(s.has(n.id))throw new p(n.id);s.set(n.id,n),v.delete(n.id),o.ops.push({op:0,item:n})}for(const n of v.keys())o.ops.push({op:1,id:n});l.listener?.(o),c=s},add(f){if(!(f instanceof w))throw new b(f.id);c.set(f.id,f),l.listener?.({op:0,item:f})},delete(f){c.delete(f)&&l.listener?.({op:1,id:f})},get(f){return c.get(f)},toJSON(){return Array.from(c.values())},[Symbol.iterator](){return c.values()}}};class w{constructor(l,c,f,s){if(c.includes("\0"))throw new Error(`Test IDs may not include the ${JSON.stringify(c)} symbol`);const v=(0,e.createPrivateApiFor)(this,l);Object.defineProperties(this,{id:{value:c,enumerable:!0,writable:!1},uri:{value:s,enumerable:!0,writable:!1},parent:{enumerable:!1,get(){return v.parent instanceof S?void 0:v.parent}},children:{value:u(this),enumerable:!0,writable:!1},...F(v,f)})}invalidateResults(){(0,e.getPrivateApiFor)(this).listener?.({op:2})}}e.TestItemImpl=w;class S extends w{constructor(l,c){super(l,l,c,void 0)}}e.TestItemRootImpl=S}),define(pe[51],ve([1,0,4,123,3,16]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDtoConverter=void 0;var C;(function(_){function R(D){return{remoteAddress:D.remoteAddress,localAddress:D.localAddress,public:!!D.public,privacy:D.privacy??(D.public?t.TunnelPrivacyId.Public:t.TunnelPrivacyId.Private),protocol:D.protocol}}_.fromApiTunnel=R;function F(D){return{remoteAddress:{host:D.tunnelRemoteHost,port:D.tunnelRemotePort},localAddress:D.localAddress,public:D.privacy!==t.TunnelPrivacyId.ConstantPrivate&&D.privacy!==t.TunnelPrivacyId.ConstantPrivate,privacy:D.privacy,protocol:D.protocol}}_.fromServiceTunnel=F})(C=e.TunnelDtoConverter||(e.TunnelDtoConverter={})),e.IExtHostTunnelService=(0,h.createDecorator)("IExtHostTunnelService");let k=class{constructor(R){this.onDidChangeTunnels=new P.Emitter().event}async $applyCandidateFilter(R){return R}async openTunnel(R,F){}async getTunnels(){return[]}async setTunnelFactory(R){return{dispose:()=>{}}}registerPortsAttributesProvider(R,F){return{dispose:()=>{}}}async $providePortAttributes(R,F,D,p,b){return[]}async $forwardPort(R,F){}async $closeTunnel(R){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};k=Be([Fe(0,A.IExtHostRpcService)],k),e.ExtHostTunnelService=k});var Xe=this&&this.__classPrivateFieldSet||function(ee,e,h,t,P){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!P)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ee!==e||!P:!e.has(ee))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?P.call(ee,h):P?P.value=h:e.set(ee,h),h},Pe=this&&this.__classPrivateFieldGet||function(ee,e,h,t){if(h==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ee!==e||!t:!e.has(ee))throw new TypeError("Cannot read private member from an object whose class did not declare it");return h==="m"?t:h==="a"?t.call(ee):t?t.value:e.get(ee)};define(pe[7],ve([1,0,18,17,99,24,92,8,13,2,33,42,120]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p){"use strict";var b,g,u,w,S,I,l,c,f,s,v,o,n,r,i,a,m,d,E,T;Object.defineProperty(e,"__esModule",{value:!0}),e.TypeHierarchyItem=e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.FunctionCoverage=e.BranchCoverage=e.StatementCoverage=e.FileCoverage=e.CoveredCount=e.TestTag=e.TestMessage=e.TestRunRequest=e.TestRunProfileKind=e.TestResultState=e.PortAttributes=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookRendererScript=e.NotebookControllerAffinity=e.NotebookCellStatusBarItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookData=e.NotebookCellData=e.NotebookRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.QuickPickItemKind=e.QuickInputButtons=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentThreadState=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.InlineCompletionTriggerKind=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.TreeDataTransfer=e.TreeDataTransferItem=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.TerminalProfile=e.TerminalLocation=e.TerminalLink=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextDocumentChangeReason=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.InlineSuggestions=e.InlineSuggestion=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlayHint=e.InlayHintLabelPart=e.InlayHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.LanguageStatusSeverity=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTriggerKind=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function L(X){function x(){return Reflect.construct(X,arguments,this.constructor)}return Object.defineProperty(x,"name",Object.getOwnPropertyDescriptor(X,"name")),Object.setPrototypeOf(x,X),Object.setPrototypeOf(x.prototype,X.prototype),x}let O=S=class{constructor(x){b.set(this,void 0),Xe(this,b,x,"f")}static from(...x){let ce=x;return new S(function(){if(ce){for(const De of ce)De&&typeof De.dispose=="function"&&De.dispose();ce=void 0}})}dispose(){typeof Pe(this,b,"f")=="function"&&(Pe(this,b,"f").call(this),Xe(this,b,void 0,"f"))}};b=new WeakMap,O=S=Be([L],O),e.Disposable=O;let y=I=class{constructor(x,ce){if(x<0)throw(0,t.illegalArgument)("line must be non-negative");if(ce<0)throw(0,t.illegalArgument)("character must be non-negative");this._line=x,this._character=ce}static Min(...x){if(x.length===0)throw new TypeError;let ce=x[0];for(let De=1;De<x.length;De++){const Ge=x[De];Ge.isBefore(ce)&&(ce=Ge)}return ce}static Max(...x){if(x.length===0)throw new TypeError;let ce=x[0];for(let De=1;De<x.length;De++){const Ge=x[De];Ge.isAfter(ce)&&(ce=Ge)}return ce}static isPosition(x){if(!x)return!1;if(x instanceof I)return!0;let{line:ce,character:De}=x;return typeof ce=="number"&&typeof De=="number"}static of(x){if(x instanceof I)return x;if(this.isPosition(x))return new I(x.line,x.character);throw new Error("Invalid argument, is NOT a position-like object")}get line(){return this._line}get character(){return this._character}isBefore(x){return this._line<x._line?!0:x._line<this._line?!1:this._character<x._character}isBeforeOrEqual(x){return this._line<x._line?!0:x._line<this._line?!1:this._character<=x._character}isAfter(x){return!this.isBeforeOrEqual(x)}isAfterOrEqual(x){return!this.isBefore(x)}isEqual(x){return this._line===x._line&&this._character===x._character}compareTo(x){return this._line<x._line?-1:this._line>x.line?1:this._character<x._character?-1:this._character>x._character?1:0}translate(x,ce=0){if(x===null||ce===null)throw(0,t.illegalArgument)();let De;return typeof x=="undefined"?De=0:typeof x=="number"?De=x:(De=typeof x.lineDelta=="number"?x.lineDelta:0,ce=typeof x.characterDelta=="number"?x.characterDelta:0),De===0&&ce===0?this:new I(this.line+De,this.character+ce)}with(x,ce=this.character){if(x===null||ce===null)throw(0,t.illegalArgument)();let De;return typeof x=="undefined"?De=this.line:typeof x=="number"?De=x:(De=typeof x.line=="number"?x.line:this.line,ce=typeof x.character=="number"?x.character:this.character),De===this.line&&ce===this.character?this:new I(De,ce)}toJSON(){return{line:this.line,character:this.character}}};y=I=Be([L],y),e.Position=y;let B=l=class{constructor(x,ce,De,Ge){let Qe,Ze;if(typeof x=="number"&&typeof ce=="number"&&typeof De=="number"&&typeof Ge=="number"?(Qe=new y(x,ce),Ze=new y(De,Ge)):y.isPosition(x)&&y.isPosition(ce)&&(Qe=y.of(x),Ze=y.of(ce)),!Qe||!Ze)throw new Error("Invalid arguments");Qe.isBefore(Ze)?(this._start=Qe,this._end=Ze):(this._start=Ze,this._end=Qe)}static isRange(x){return x instanceof l?!0:x?y.isPosition(x.start)&&y.isPosition(x.end):!1}static of(x){if(x instanceof l)return x;if(this.isRange(x))return new l(x.start,x.end);throw new Error("Invalid argument, is NOT a range-like object")}get start(){return this._start}get end(){return this._end}contains(x){return l.isRange(x)?this.contains(x.start)&&this.contains(x.end):y.isPosition(x)?!(y.of(x).isBefore(this._start)||this._end.isBefore(x)):!1}isEqual(x){return this._start.isEqual(x._start)&&this._end.isEqual(x._end)}intersection(x){const ce=y.Max(x.start,this._start),De=y.Min(x.end,this._end);if(!ce.isAfter(De))return new l(ce,De)}union(x){if(this.contains(x))return this;if(x.contains(this))return x;const ce=y.Min(x.start,this._start),De=y.Max(x.end,this.end);return new l(ce,De)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(x,ce=this.end){if(x===null||ce===null)throw(0,t.illegalArgument)();let De;return x?y.isPosition(x)?De=x:(De=x.start||this.start,ce=x.end||this.end):De=this.start,De.isEqual(this._start)&&ce.isEqual(this.end)?this:new l(De,ce)}toJSON(){return[this.start,this.end]}};B=l=Be([L],B),e.Range=B;let M=c=class extends B{constructor(x,ce,De,Ge){let Qe,Ze;if(typeof x=="number"&&typeof ce=="number"&&typeof De=="number"&&typeof Ge=="number"?(Qe=new y(x,ce),Ze=new y(De,Ge)):y.isPosition(x)&&y.isPosition(ce)&&(Qe=y.of(x),Ze=y.of(ce)),!Qe||!Ze)throw new Error("Invalid arguments");super(Qe,Ze);this._anchor=Qe,this._active=Ze}static isSelection(x){return x instanceof c?!0:x?B.isRange(x)&&y.isPosition(x.anchor)&&y.isPosition(x.active)&&typeof x.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};M=c=Be([L],M),e.Selection=M;class z{constructor(x,ce,De){if(typeof x!="string"||x.length===0)throw(0,t.illegalArgument)("host");if(typeof ce!="number"||ce===0||Math.round(ce)!==ce)throw(0,t.illegalArgument)("port");if(typeof De!="undefined"&&(typeof De!="string"||De.length===0||!/^[0-9A-Za-z\-]+$/.test(De)))throw(0,t.illegalArgument)("connectionToken");this.host=x,this.port=Math.round(ce),this.connectionToken=De}}e.ResolvedAuthority=z;class V extends Error{constructor(x,ce=p.RemoteAuthorityResolverErrorCode.Unknown,De){super(x);this._message=x,this._code=ce,this._detail=De,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,V.prototype)}static NotAvailable(x,ce){return new V(x,p.RemoteAuthorityResolverErrorCode.NotAvailable,ce)}static TemporarilyNotAvailable(x){return new V(x,p.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=V;var Q;(function(X){X[X.LF=1]="LF",X[X.CRLF=2]="CRLF"})(Q=e.EndOfLine||(e.EndOfLine={}));var H;(function(X){X[X.Replace=1]="Replace",X[X.Append=2]="Append",X[X.Prepend=3]="Prepend"})(H=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let K=f=class{constructor(x,ce){this._range=x,this._newText=ce}static isTextEdit(x){return x instanceof f?!0:x?B.isRange(x)&&typeof x.newText=="string":!1}static replace(x,ce){return new f(x,ce)}static insert(x,ce){return f.replace(new B(x,x),ce)}static delete(x){return f.replace(x,"")}static setEndOfLine(x){const ce=new f(new B(new y(0,0),new y(0,0)),"");return ce.newEol=x,ce}get range(){return this._range}set range(x){if(x&&!B.isRange(x))throw(0,t.illegalArgument)("range");this._range=x}get newText(){return this._newText||""}set newText(x){if(x&&typeof x!="string")throw(0,t.illegalArgument)("newText");this._newText=x}get newEol(){return this._newEol}set newEol(x){if(x&&typeof x!="number")throw(0,t.illegalArgument)("newEol");this._newEol=x}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};K=f=Be([L],K),e.TextEdit=K;var G;(function(X){X[X.File=1]="File",X[X.Text=2]="Text",X[X.Cell=3]="Cell",X[X.CellReplace=5]="CellReplace"})(G=e.FileEditType||(e.FileEditType={}));let j=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(x,ce,De,Ge){this._edits.push({_type:1,from:x,to:ce,options:De,metadata:Ge})}createFile(x,ce,De){this._edits.push({_type:1,from:void 0,to:x,options:ce,metadata:De})}deleteFile(x,ce,De){this._edits.push({_type:1,from:x,to:void 0,options:ce,metadata:De})}replaceNotebookMetadata(x,ce,De){this._edits.push({_type:3,metadata:De,uri:x,edit:{editType:5,metadata:ce},notebookMetadata:ce})}replaceNotebookCells(x,ce,De,Ge,Qe){let Ze,rt,Dt=[],At;if(Kt.isNotebookRange(ce)&&Oe.isNotebookCellDataArray(De)&&!Oe.isNotebookCellDataArray(Ge)?(Ze=ce.start,rt=ce.end,Dt=De,At=Ge):typeof ce=="number"&&typeof De=="number"&&Oe.isNotebookCellDataArray(Ge)&&(Ze=ce,rt=De,Dt=Ge,At=Qe),Ze===void 0||rt===void 0)throw new Error("Invalid arguments");(Ze!==rt||Dt.length>0)&&this._edits.push({_type:5,uri:x,index:Ze,count:rt-Ze,cells:Dt,metadata:At})}replaceNotebookCellMetadata(x,ce,De,Ge){this._edits.push({_type:3,metadata:Ge,uri:x,edit:{editType:8,index:ce,metadata:De}})}replace(x,ce,De,Ge){this._edits.push({_type:2,uri:x,edit:new K(ce,De),metadata:Ge})}insert(x,ce,De,Ge){this.replace(x,new B(ce,ce),De,Ge)}delete(x,ce,De){this.replace(x,ce,"",De)}has(x){return this._edits.some(ce=>ce._type===2&&ce.uri.toString()===x.toString())}set(x,ce){if(ce)for(const De of ce)De&&this._edits.push({_type:2,uri:x,edit:De});else{for(let De=0;De<this._edits.length;De++){const Ge=this._edits[De];Ge._type===2&&Ge.uri.toString()===x.toString()&&(this._edits[De]=void 0)}(0,h.coalesceInPlace)(this._edits)}}get(x){const ce=[];for(let De of this._edits)De._type===2&&De.uri.toString()===x.toString()&&ce.push(De.edit);return ce}entries(){const x=new A.ResourceMap;for(let ce of this._edits)if(ce._type===2){let De=x.get(ce.uri);De||(De=[ce.uri,[]],x.set(ce.uri,De)),De[1].push(ce.edit)}return[...x.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};j=Be([L],j),e.WorkspaceEdit=j;let ie=s=class{constructor(x){this._tabstop=1,this.value=x||""}static isSnippetString(x){return x instanceof s?!0:x?typeof x.value=="string":!1}static _escape(x){return x.replace(/\$|}|\\/g,"\\$&")}appendText(x){return this.value+=s._escape(x),this}appendTabstop(x=this._tabstop++){return this.value+="$",this.value+=x,this}appendPlaceholder(x,ce=this._tabstop++){if(typeof x=="function"){const De=new s;De._tabstop=this._tabstop,x(De),this._tabstop=De._tabstop,x=De.value}else x=s._escape(x);return this.value+="${",this.value+=ce,this.value+=":",this.value+=x,this.value+="}",this}appendChoice(x,ce=this._tabstop++){const De=x.map(Ge=>Ge.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=ce,this.value+="|",this.value+=De,this.value+="|}",this}appendVariable(x,ce){if(typeof ce=="function"){const De=new s;De._tabstop=this._tabstop,ce(De),this._tabstop=De._tabstop,ce=De.value}else typeof ce=="string"&&(ce=ce.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=x,ce&&(this.value+=":",this.value+=ce),this.value+="}",this}};ie=s=Be([L],ie),e.SnippetString=ie;var oe;(function(X){X[X.Unnecessary=1]="Unnecessary",X[X.Deprecated=2]="Deprecated"})(oe=e.DiagnosticTag||(e.DiagnosticTag={}));var ue;(function(X){X[X.Hint=3]="Hint",X[X.Information=2]="Information",X[X.Warning=1]="Warning",X[X.Error=0]="Error"})(ue=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let Z=v=class{constructor(x,ce){if(this.uri=x,ce)if(B.isRange(ce))this.range=B.of(ce);else if(y.isPosition(ce))this.range=new B(ce,ce);else throw new Error("Illegal argument")}static isLocation(x){return x instanceof v?!0:x?B.isRange(x.range)&&R.URI.isUri(x.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};Z=v=Be([L],Z),e.Location=Z;let J=class{constructor(x,ce){this.location=x,this.message=ce}static is(x){return x?typeof x.message=="string"&&x.location&&B.isRange(x.location.range)&&R.URI.isUri(x.location.uri):!1}static isEqual(x,ce){return x===ce?!0:!x||!ce?!1:x.message===ce.message&&x.location.range.isEqual(ce.location.range)&&x.location.uri.toString()===ce.location.uri.toString()}};J=Be([L],J),e.DiagnosticRelatedInformation=J;let ae=class{constructor(x,ce,De=ue.Error){if(!B.isRange(x))throw new TypeError("range must be set");if(!ce)throw new TypeError("message must be set");this.range=x,this.message=ce,this.severity=De}toJSON(){return{severity:ue[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(x,ce){return x===ce?!0:!x||!ce?!1:x.message===ce.message&&x.severity===ce.severity&&x.code===ce.code&&x.severity===ce.severity&&x.source===ce.source&&x.range.isEqual(ce.range)&&(0,h.equals)(x.tags,ce.tags)&&(0,h.equals)(x.relatedInformation,ce.relatedInformation,J.isEqual)}};ae=Be([L],ae),e.Diagnostic=ae;let he=class{constructor(x,ce){if(!x)throw new Error("Illegal argument, contents must be defined");Array.isArray(x)?this.contents=x:this.contents=[x],this.range=ce}};he=Be([L],he),e.Hover=he;var we;(function(X){X[X.Text=0]="Text",X[X.Read=1]="Read",X[X.Write=2]="Write"})(we=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let Te=class{constructor(x,ce=we.Text){this.range=x,this.kind=ce}toJSON(){return{range:this.range,kind:we[this.kind]}}};Te=Be([L],Te),e.DocumentHighlight=Te;var Ne;(function(X){X[X.File=0]="File",X[X.Module=1]="Module",X[X.Namespace=2]="Namespace",X[X.Package=3]="Package",X[X.Class=4]="Class",X[X.Method=5]="Method",X[X.Property=6]="Property",X[X.Field=7]="Field",X[X.Constructor=8]="Constructor",X[X.Enum=9]="Enum",X[X.Interface=10]="Interface",X[X.Function=11]="Function",X[X.Variable=12]="Variable",X[X.Constant=13]="Constant",X[X.String=14]="String",X[X.Number=15]="Number",X[X.Boolean=16]="Boolean",X[X.Array=17]="Array",X[X.Object=18]="Object",X[X.Key=19]="Key",X[X.Null=20]="Null",X[X.EnumMember=21]="EnumMember",X[X.Struct=22]="Struct",X[X.Event=23]="Event",X[X.Operator=24]="Operator",X[X.TypeParameter=25]="TypeParameter"})(Ne=e.SymbolKind||(e.SymbolKind={}));var be;(function(X){X[X.Deprecated=1]="Deprecated"})(be=e.SymbolTag||(e.SymbolTag={}));let Ee=o=class{constructor(x,ce,De,Ge,Qe){this.name=x,this.kind=ce,this.containerName=Qe,typeof De=="string"&&(this.containerName=De),Ge instanceof Z?this.location=Ge:De instanceof B&&(this.location=new Z(Ge,De)),o.validate(this)}static validate(x){if(!x.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:Ne[this.kind],location:this.location,containerName:this.containerName}}};Ee=o=Be([L],Ee),e.SymbolInformation=Ee;let $=n=class{constructor(x,ce,De,Ge,Qe){this.name=x,this.detail=ce,this.kind=De,this.range=Ge,this.selectionRange=Qe,this.children=[],n.validate(this)}static validate(x){if(!x.name)throw new Error("name must not be falsy");if(!x.range.contains(x.selectionRange))throw new Error("selectionRange must be contained in fullRange");x.children&&x.children.forEach(n.validate)}};$=n=Be([L],$),e.DocumentSymbol=$;var U;(function(X){X[X.Invoke=1]="Invoke",X[X.Automatic=2]="Automatic"})(U=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));let N=class{constructor(x,ce){this.title=x,this.kind=ce}};N=Be([L],N),e.CodeAction=N;let W=r=class{constructor(x){this.value=x}append(x){return new r(this.value?this.value+r.sep+x:x)}intersects(x){return this.contains(x)||x.contains(this)}contains(x){return this.value===x.value||x.value.startsWith(this.value+r.sep)}};W.sep=".",W=r=Be([L],W),e.CodeActionKind=W,W.Empty=new W(""),W.QuickFix=W.Empty.append("quickfix"),W.Refactor=W.Empty.append("refactor"),W.RefactorExtract=W.Refactor.append("extract"),W.RefactorInline=W.Refactor.append("inline"),W.RefactorRewrite=W.Refactor.append("rewrite"),W.Source=W.Empty.append("source"),W.SourceOrganizeImports=W.Source.append("organizeImports"),W.SourceFixAll=W.Source.append("fixAll");let q=class{constructor(x,ce){if(this.range=x,this.parent=ce,ce&&!ce.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};q=Be([L],q),e.SelectionRange=q;class re{constructor(x,ce,De,Ge,Qe,Ze){this.kind=x,this.name=ce,this.detail=De,this.uri=Ge,this.range=Qe,this.selectionRange=Ze}}e.CallHierarchyItem=re;class de{constructor(x,ce){this.fromRanges=ce,this.from=x}}e.CallHierarchyIncomingCall=de;class Ce{constructor(x,ce){this.fromRanges=ce,this.to=x}}e.CallHierarchyOutgoingCall=Ce;var Ae;(function(X){X[X.Information=0]="Information",X[X.Warning=1]="Warning",X[X.Error=2]="Error"})(Ae=e.LanguageStatusSeverity||(e.LanguageStatusSeverity={}));let We=class{constructor(x,ce){this.range=x,this.command=ce}get isResolved(){return!!this.command}};We=Be([L],We),e.CodeLens=We;let ze=i=class{constructor(x,ce=!1){g.set(this,void 0),Xe(this,g,new P.MarkdownString(x,{supportThemeIcons:ce}),"f")}static isMarkdownString(x){return x instanceof i?!0:x&&x.appendCodeblock&&x.appendMarkdown&&x.appendText&&x.value!==void 0}get value(){return Pe(this,g,"f").value}set value(x){Pe(this,g,"f").value=x}get isTrusted(){return Pe(this,g,"f").isTrusted}set isTrusted(x){Pe(this,g,"f").isTrusted=x}get supportThemeIcons(){return Pe(this,g,"f").supportThemeIcons}set supportThemeIcons(x){Pe(this,g,"f").supportThemeIcons=x}get supportHtml(){return Pe(this,g,"f").supportHtml}set supportHtml(x){Pe(this,g,"f").supportHtml=x}get baseUri(){return Pe(this,g,"f").baseUri}set baseUri(x){Pe(this,g,"f").baseUri=x}appendText(x){return Pe(this,g,"f").appendText(x),this}appendMarkdown(x){return Pe(this,g,"f").appendMarkdown(x),this}appendCodeblock(x,ce){return Pe(this,g,"f").appendCodeblock(ce??"",x),this}};g=new WeakMap,ze=i=Be([L],ze),e.MarkdownString=ze;let qe=class{constructor(x,ce){this.label=x,this.documentation=ce}};qe=Be([L],qe),e.ParameterInformation=qe;let He=class{constructor(x,ce){this.label=x,this.documentation=ce,this.parameters=[]}};He=Be([L],He),e.SignatureInformation=He;let Ue=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};Ue=Be([L],Ue),e.SignatureHelp=Ue;var Je;(function(X){X[X.Invoke=1]="Invoke",X[X.TriggerCharacter=2]="TriggerCharacter",X[X.ContentChange=3]="ContentChange"})(Je=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var et;(function(X){X[X.Type=1]="Type",X[X.Parameter=2]="Parameter"})(et=e.InlayHintKind||(e.InlayHintKind={}));let Le=class{constructor(x){this.value=x}};Le=Be([L],Le),e.InlayHintLabelPart=Le;let it=class{constructor(x,ce,De){this.position=x,this.label=ce,this.kind=De}};it=Be([L],it),e.InlayHint=it;var ne;(function(X){X[X.Invoke=0]="Invoke",X[X.TriggerCharacter=1]="TriggerCharacter",X[X.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(ne=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var se;(function(X){X[X.Text=0]="Text",X[X.Method=1]="Method",X[X.Function=2]="Function",X[X.Constructor=3]="Constructor",X[X.Field=4]="Field",X[X.Variable=5]="Variable",X[X.Class=6]="Class",X[X.Interface=7]="Interface",X[X.Module=8]="Module",X[X.Property=9]="Property",X[X.Unit=10]="Unit",X[X.Value=11]="Value",X[X.Enum=12]="Enum",X[X.Keyword=13]="Keyword",X[X.Snippet=14]="Snippet",X[X.Color=15]="Color",X[X.File=16]="File",X[X.Reference=17]="Reference",X[X.Folder=18]="Folder",X[X.EnumMember=19]="EnumMember",X[X.Constant=20]="Constant",X[X.Struct=21]="Struct",X[X.Event=22]="Event",X[X.Operator=23]="Operator",X[X.TypeParameter=24]="TypeParameter",X[X.User=25]="User",X[X.Issue=26]="Issue"})(se=e.CompletionItemKind||(e.CompletionItemKind={}));var Y;(function(X){X[X.Deprecated=1]="Deprecated"})(Y=e.CompletionItemTag||(e.CompletionItemTag={}));let ge=class{constructor(x,ce){this.label=x,this.kind=ce}toJSON(){return{label:this.label,kind:this.kind&&se[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};ge=Be([L],ge),e.CompletionItem=ge;let Se=class{constructor(x=[],ce=!1){this.items=x,this.isIncomplete=ce}};Se=Be([L],Se),e.CompletionList=Se;let Me=class{constructor(x,ce,De){this.insertText=x,this.range=ce,this.command=De}};Me=Be([L],Me),e.InlineSuggestion=Me;let $e=class{constructor(x){this.items=x}};$e=Be([L],$e),e.InlineSuggestions=$e;var Ye;(function(X){X[X.Active=-1]="Active",X[X.Beside=-2]="Beside",X[X.One=1]="One",X[X.Two=2]="Two",X[X.Three=3]="Three",X[X.Four=4]="Four",X[X.Five=5]="Five",X[X.Six=6]="Six",X[X.Seven=7]="Seven",X[X.Eight=8]="Eight",X[X.Nine=9]="Nine"})(Ye=e.ViewColumn||(e.ViewColumn={}));var lt;(function(X){X[X.Left=1]="Left",X[X.Right=2]="Right"})(lt=e.StatusBarAlignment||(e.StatusBarAlignment={}));var vt;(function(X){X[X.Off=0]="Off",X[X.On=1]="On",X[X.Relative=2]="Relative"})(vt=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var wt;(function(X){X[X.Manual=1]="Manual",X[X.AfterDelay=2]="AfterDelay",X[X.FocusOut=3]="FocusOut"})(wt=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var je;(function(X){X[X.Default=0]="Default",X[X.InCenter=1]="InCenter",X[X.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",X[X.AtTop=3]="AtTop"})(je=e.TextEditorRevealType||(e.TextEditorRevealType={}));var st;(function(X){X[X.Keyboard=1]="Keyboard",X[X.Mouse=2]="Mouse",X[X.Command=3]="Command"})(st=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var _t;(function(X){X[X.Undo=1]="Undo",X[X.Redo=2]="Redo"})(_t=e.TextDocumentChangeReason||(e.TextDocumentChangeReason={}));var nt;(function(X){X[X.OpenOpen=0]="OpenOpen",X[X.ClosedClosed=1]="ClosedClosed",X[X.OpenClosed=2]="OpenClosed",X[X.ClosedOpen=3]="ClosedOpen"})(nt=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function(X){function x(ce){switch(ce){case"keyboard":return X.Keyboard;case"mouse":return X.Mouse;case"api":return X.Command}}X.fromValue=x}(st=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let ct=class{constructor(x,ce){if(ce&&!R.URI.isUri(ce))throw(0,t.illegalArgument)("target");if(!B.isRange(x)||x.isEmpty)throw(0,t.illegalArgument)("range");this.range=x,this.target=ce}};ct=Be([L],ct),e.DocumentLink=ct;let Rt=class{constructor(x,ce,De,Ge){this.red=x,this.green=ce,this.blue=De,this.alpha=Ge}};Rt=Be([L],Rt),e.Color=Rt;let Tt=class{constructor(x,ce){if(ce&&!(ce instanceof Rt))throw(0,t.illegalArgument)("color");if(!B.isRange(x)||x.isEmpty)throw(0,t.illegalArgument)("range");this.range=x,this.color=ce}};Tt=Be([L],Tt),e.ColorInformation=Tt;let yt=class{constructor(x){if(!x||typeof x!="string")throw(0,t.illegalArgument)("label");this.label=x}};yt=Be([L],yt),e.ColorPresentation=yt;var mt;(function(X){X[X.RGB=0]="RGB",X[X.HEX=1]="HEX",X[X.HSL=2]="HSL"})(mt=e.ColorFormat||(e.ColorFormat={}));var Lt;(function(X){X[X.Error=0]="Error",X[X.Warning=1]="Warning",X[X.Information=2]="Information"})(Lt=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));class Mt{constructor(x,ce,De){if(this.startIndex=x,this.length=ce,this.tooltip=De,typeof x!="number"||x<0)throw(0,t.illegalArgument)("startIndex");if(typeof ce!="number"||ce<1)throw(0,t.illegalArgument)("length");if(De!==void 0&&typeof De!="string")throw(0,t.illegalArgument)("tooltip")}}e.TerminalLink=Mt;var Ft;(function(X){X[X.Panel=1]="Panel",X[X.Editor=2]="Editor"})(Ft=e.TerminalLocation||(e.TerminalLocation={}));class xe{constructor(x){this.options=x,typeof x!="object"&&(0,t.illegalArgument)("options")}}e.TerminalProfile=xe;var _e;(function(X){X[X.Always=1]="Always",X[X.Silent=2]="Silent",X[X.Never=3]="Never"})(_e=e.TaskRevealKind||(e.TaskRevealKind={}));var ye;(function(X){X[X.Shared=1]="Shared",X[X.Dedicated=2]="Dedicated",X[X.New=3]="New"})(ye=e.TaskPanelKind||(e.TaskPanelKind={}));let fe=a=class{constructor(x,ce){if(this.label=ce,typeof x!="string"||typeof ce!="string")throw(0,t.illegalArgument)("name");this._id=x}static from(x){switch(x){case"clean":return a.Clean;case"build":return a.Build;case"rebuild":return a.Rebuild;case"test":return a.Test;default:return}}get id(){return this._id}};fe.Clean=new a("clean","Clean"),fe.Build=new a("build","Build"),fe.Rebuild=new a("rebuild","Rebuild"),fe.Test=new a("test","Test"),fe=a=Be([L],fe),e.TaskGroup=fe;function te(X){let x="";for(let ce=0;ce<X.length;ce++)x+=X[ce].replace(/,/g,",,")+",";return x}let Ie=class{constructor(x,ce,De){if(typeof x!="string")throw(0,t.illegalArgument)("process");this._args=[],this._process=x,ce!==void 0&&(Array.isArray(ce)?(this._args=ce,this._options=De):this._options=ce)}get process(){return this._process}set process(x){if(typeof x!="string")throw(0,t.illegalArgument)("process");this._process=x}get args(){return this._args}set args(x){Array.isArray(x)||(x=[]),this._args=x}get options(){return this._options}set options(x){this._options=x}computeId(){const x=[];if(x.push("process"),this._process!==void 0&&x.push(this._process),this._args&&this._args.length>0)for(let ce of this._args)x.push(ce);return te(x)}};Ie=Be([L],Ie),e.ProcessExecution=Ie;let Re=class{constructor(x,ce,De){if(this._args=[],Array.isArray(ce)){if(!x)throw(0,t.illegalArgument)("command can't be undefined or null");if(typeof x!="string"&&typeof x.value!="string")throw(0,t.illegalArgument)("command");this._command=x,this._args=ce,this._options=De}else{if(typeof x!="string")throw(0,t.illegalArgument)("commandLine");this._commandLine=x,this._options=ce}}get commandLine(){return this._commandLine}set commandLine(x){if(typeof x!="string")throw(0,t.illegalArgument)("commandLine");this._commandLine=x}get command(){return this._command?this._command:""}set command(x){if(typeof x!="string"&&typeof x.value!="string")throw(0,t.illegalArgument)("command");this._command=x}get args(){return this._args}set args(x){this._args=x||[]}get options(){return this._options}set options(x){this._options=x}computeId(){const x=[];if(x.push("shell"),this._commandLine!==void 0&&x.push(this._commandLine),this._command!==void 0&&x.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(let ce of this._args)x.push(typeof ce=="string"?ce:ce.value);return te(x)}};Re=Be([L],Re),e.ShellExecution=Re;var Ve;(function(X){X[X.Escape=1]="Escape",X[X.Strong=2]="Strong",X[X.Weak=3]="Weak"})(Ve=e.ShellQuoting||(e.ShellQuoting={}));var Ke;(function(X){X[X.Global=1]="Global",X[X.Workspace=2]="Workspace"})(Ke=e.TaskScope||(e.TaskScope={}));class ht{constructor(x){this._callback=x}computeId(){return"customExecution"+(0,F.generateUuid)()}set callback(x){this._callback=x}get callback(){return this._callback}}e.CustomExecution=ht;let Et=m=class{constructor(x,ce,De,Ge,Qe,Ze){this.__deprecated=!1,this._definition=this.definition=x;let rt;typeof ce=="string"?(this._name=this.name=ce,this._source=this.source=De,this.execution=Ge,rt=Qe,this.__deprecated=!0):ce===Ke.Global||ce===Ke.Workspace?(this.target=ce,this._name=this.name=De,this._source=this.source=Ge,this.execution=Qe,rt=Ze):(this.target=ce,this._name=this.name=De,this._source=this.source=Ge,this.execution=Qe,rt=Ze),typeof rt=="string"?(this._problemMatchers=[rt],this._hasDefinedMatchers=!0):Array.isArray(rt)?(this._problemMatchers=rt,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(x){this.__id=x}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof Ie?this._definition={type:m.ProcessType,id:this._execution.computeId()}:this._execution instanceof Re?this._definition={type:m.ShellType,id:this._execution.computeId()}:this._execution instanceof ht?this._definition={type:m.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:m.EmptyType,id:(0,F.generateUuid)()}}get definition(){return this._definition}set definition(x){if(x==null)throw(0,t.illegalArgument)("Kind can't be undefined or null");this.clear(),this._definition=x}get scope(){return this._scope}set target(x){this.clear(),this._scope=x}get name(){return this._name}set name(x){if(typeof x!="string")throw(0,t.illegalArgument)("name");this.clear(),this._name=x}get execution(){return this._execution}set execution(x){x===null&&(x=void 0),this.clear(),this._execution=x;const ce=this._definition.type;(m.EmptyType===ce||m.ProcessType===ce||m.ShellType===ce||m.ExtensionCallbackType===ce)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(x){if(Array.isArray(x))this.clear(),this._problemMatchers=x,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(x){x!==!0&&x!==!1&&(x=!1),this.clear(),this._isBackground=x}get source(){return this._source}set source(x){if(typeof x!="string"||x.length===0)throw(0,t.illegalArgument)("source must be a string of length > 0");this.clear(),this._source=x}get group(){return this._group}set group(x){x===null&&(x=void 0),this.clear(),this._group=x}get detail(){return this._detail}set detail(x){x===null&&(x=void 0),this._detail=x}get presentationOptions(){return this._presentationOptions}set presentationOptions(x){x==null&&(x=Object.create(null)),this.clear(),this._presentationOptions=x}get runOptions(){return this._runOptions}set runOptions(x){x==null&&(x=Object.create(null)),this.clear(),this._runOptions=x}};Et.ExtensionCallbackType="customExecution",Et.ProcessType="process",Et.ShellType="shell",Et.EmptyType="$empty",Et=m=Be([L],Et),e.Task=Et;var St;(function(X){X[X.SourceControl=1]="SourceControl",X[X.Window=10]="Window",X[X.Notification=15]="Notification"})(St=e.ProgressLocation||(e.ProgressLocation={}));let ot=class{constructor(x,ce=dt.None){this.collapsibleState=ce,R.URI.isUri(x)?this.resourceUri=x:this.label=x}};ot=Be([L],ot),e.TreeItem=ot;var dt;(function(X){X[X.None=0]="None",X[X.Collapsed=1]="Collapsed",X[X.Expanded=2]="Expanded"})(dt=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let ut=class{constructor(x){this.value=x}async asString(){return typeof this.value=="string"?this.value:JSON.stringify(this.value)}};ut=Be([L],ut),e.TreeDataTransferItem=ut;let Nt=class{constructor(){this._items=new Map}get(x){return this._items.get(x)}set(x,ce){this._items.set(x,ce)}forEach(x){this._items.forEach(x)}};Nt=Be([L],Nt),e.TreeDataTransfer=Nt;let pt=class{constructor(x,ce){this.id=x,this.color=ce}};pt=Be([L],pt),e.ThemeIcon=pt,pt.File=new pt("file"),pt.Folder=new pt("folder");let kt=class{constructor(x){this.id=x}};kt=Be([L],kt),e.ThemeColor=kt;var Ut;(function(X){X[X.Global=1]="Global",X[X.Workspace=2]="Workspace",X[X.WorkspaceFolder=3]="WorkspaceFolder"})(Ut=e.ConfigurationTarget||(e.ConfigurationTarget={}));let Ct=class{constructor(x,ce){if(typeof x!="string"&&(!x||!R.URI.isUri(x)&&!R.URI.isUri(x.uri)))throw(0,t.illegalArgument)("base");if(typeof ce!="string")throw(0,t.illegalArgument)("pattern");typeof x=="string"?this.baseUri=R.URI.file(x):R.URI.isUri(x)?this.baseUri=x:this.baseUri=x.uri,this.pattern=ce}get base(){return this._base}set base(x){this._base=x,this._baseUri=R.URI.file(x)}get baseUri(){return this._baseUri}set baseUri(x){this._baseUri=x,this._base=x.fsPath}toJSON(){return{pattern:this.pattern,base:this.base,baseUri:this.baseUri.toJSON()}}};Ct=Be([L],Ct),e.RelativePattern=Ct;let Bt=class{constructor(x,ce,De,Ge){this.enabled=typeof x=="boolean"?x:!0,typeof ce=="string"&&(this.condition=ce),typeof De=="string"&&(this.hitCondition=De),typeof Ge=="string"&&(this.logMessage=Ge)}get id(){return this._id||(this._id=(0,F.generateUuid)()),this._id}};Bt=Be([L],Bt),e.Breakpoint=Bt;let Ht=class extends Bt{constructor(x,ce,De,Ge,Qe){super(ce,De,Ge,Qe);if(x===null)throw(0,t.illegalArgument)("location");this.location=x}};Ht=Be([L],Ht),e.SourceBreakpoint=Ht;let bt=class extends Bt{constructor(x,ce,De,Ge,Qe){super(ce,De,Ge,Qe);this.functionName=x}};bt=Be([L],bt),e.FunctionBreakpoint=bt;let ei=class extends Bt{constructor(x,ce,De,Ge,Qe,Ze,rt){super(Ge,Qe,Ze,rt);if(!ce)throw(0,t.illegalArgument)("dataId");this.label=x,this.dataId=ce,this.canPersist=De}};ei=Be([L],ei),e.DataBreakpoint=ei;let Xt=class{constructor(x,ce,De){this.command=x,this.args=ce||[],this.options=De}};Xt=Be([L],Xt),e.DebugAdapterExecutable=Xt;let ti=class{constructor(x,ce){this.port=x,this.host=ce}};ti=Be([L],ti),e.DebugAdapterServer=ti;let ai=class{constructor(x){this.path=x}};ai=Be([L],ai),e.DebugAdapterNamedPipeServer=ai;let Pt=class{constructor(x){this.implementation=x}};Pt=Be([L],Pt),e.DebugAdapterInlineImplementation=Pt;let ii=class{constructor(x,ce){this.range=x,this.expression=ce}};ii=Be([L],ii),e.EvaluatableExpression=ii;var bi;(function(X){X[X.Automatic=0]="Automatic",X[X.Explicit=1]="Explicit"})(bi=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));let qt=class{constructor(x,ce){this.range=x,this.text=ce}};qt=Be([L],qt),e.InlineValueText=qt;let Gt=class{constructor(x,ce,De=!0){this.range=x,this.variableName=ce,this.caseSensitiveLookup=De}};Gt=Be([L],Gt),e.InlineValueVariableLookup=Gt;let at=class{constructor(x,ce){this.range=x,this.expression=ce}};at=Be([L],at),e.InlineValueEvaluatableExpression=at;let li=class{constructor(x,ce){this.frameId=x,this.stoppedLocation=ce}};li=Be([L],li),e.InlineValueContext=li;var $t;(function(X){X[X.Changed=1]="Changed",X[X.Created=2]="Created",X[X.Deleted=3]="Deleted"})($t=e.FileChangeType||(e.FileChangeType={}));let xt=d=class extends Error{constructor(x,ce=D.FileSystemProviderErrorCode.Unknown,De){super(R.URI.isUri(x)?x.toString(!0):x);this.code=De?.name??"Unknown",(0,D.markAsFileSystemProviderError)(this,ce),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,d.prototype),typeof Error.captureStackTrace=="function"&&typeof De=="function"&&Error.captureStackTrace(this,De)}static FileExists(x){return new d(x,D.FileSystemProviderErrorCode.FileExists,d.FileExists)}static FileNotFound(x){return new d(x,D.FileSystemProviderErrorCode.FileNotFound,d.FileNotFound)}static FileNotADirectory(x){return new d(x,D.FileSystemProviderErrorCode.FileNotADirectory,d.FileNotADirectory)}static FileIsADirectory(x){return new d(x,D.FileSystemProviderErrorCode.FileIsADirectory,d.FileIsADirectory)}static NoPermissions(x){return new d(x,D.FileSystemProviderErrorCode.NoPermissions,d.NoPermissions)}static Unavailable(x){return new d(x,D.FileSystemProviderErrorCode.Unavailable,d.Unavailable)}};xt=d=Be([L],xt),e.FileSystemError=xt;let ni=class{constructor(x,ce,De){this.start=x,this.end=ce,this.kind=De}};ni=Be([L],ni),e.FoldingRange=ni;var _i;(function(X){X[X.Comment=1]="Comment",X[X.Imports=2]="Imports",X[X.Region=3]="Region"})(_i=e.FoldingRangeKind||(e.FoldingRangeKind={}));var fi;(function(X){X[X.Collapsed=0]="Collapsed",X[X.Expanded=1]="Expanded"})(fi=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var Si;(function(X){X[X.Editing=0]="Editing",X[X.Preview=1]="Preview"})(Si=e.CommentMode||(e.CommentMode={}));var mi;(function(X){X[X.Unresolved=0]="Unresolved",X[X.Resolved=1]="Resolved"})(mi=e.CommentThreadState||(e.CommentThreadState={}));class ri{constructor(x,ce=[]){this.tokenTypes=x,this.tokenModifiers=ce}}e.SemanticTokensLegend=ri;function Ci(X){return typeof X=="undefined"||(0,_.isStringArray)(X)}class Qt{constructor(x){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,x){this._hasLegend=!0;for(let ce=0,De=x.tokenTypes.length;ce<De;ce++)this._tokenTypeStrToInt.set(x.tokenTypes[ce],ce);for(let ce=0,De=x.tokenModifiers.length;ce<De;ce++)this._tokenModifierStrToInt.set(x.tokenModifiers[ce],ce)}}push(x,ce,De,Ge,Qe){if(typeof x=="number"&&typeof ce=="number"&&typeof De=="number"&&typeof Ge=="number"&&(typeof Qe=="number"||typeof Qe=="undefined"))return typeof Qe=="undefined"&&(Qe=0),this._pushEncoded(x,ce,De,Ge,Qe);if(B.isRange(x)&&typeof ce=="string"&&Ci(De))return this._push(x,ce,De);throw(0,t.illegalArgument)()}_push(x,ce,De){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(x.start.line!==x.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(ce))throw new Error("`tokenType` is not in the provided legend");const Ge=x.start.line,Qe=x.start.character,Ze=x.end.character-x.start.character,rt=this._tokenTypeStrToInt.get(ce);let Dt=0;if(De)for(const At of De){if(!this._tokenModifierStrToInt.has(At))throw new Error("`tokenModifier` is not in the provided legend");const Wt=this._tokenModifierStrToInt.get(At);Dt|=1<<Wt>>>0}this._pushEncoded(Ge,Qe,Ze,rt,Dt)}_pushEncoded(x,ce,De,Ge,Qe){if(this._dataIsSortedAndDeltaEncoded&&(x<this._prevLine||x===this._prevLine&&ce<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const Dt=this._data.length/5|0;let At=0,Wt=0;for(let zt=0;zt<Dt;zt++){let Vt=this._data[5*zt],di=this._data[5*zt+1];Vt===0?(Vt=At,di+=Wt):Vt+=At,this._data[5*zt]=Vt,this._data[5*zt+1]=di,At=Vt,Wt=di}}let Ze=x,rt=ce;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(Ze-=this._prevLine,Ze===0&&(rt-=this._prevChar)),this._data[this._dataLen++]=Ze,this._data[this._dataLen++]=rt,this._data[this._dataLen++]=De,this._data[this._dataLen++]=Ge,this._data[this._dataLen++]=Qe,this._prevLine=x,this._prevChar=ce}static _sortAndDeltaEncode(x){let ce=[];const De=x.length/5|0;for(let rt=0;rt<De;rt++)ce[rt]=rt;ce.sort((rt,Dt)=>{const At=x[5*rt],Wt=x[5*Dt];if(At===Wt){const zt=x[5*rt+1],Vt=x[5*Dt+1];return zt-Vt}return At-Wt});const Ge=new Uint32Array(x.length);let Qe=0,Ze=0;for(let rt=0;rt<De;rt++){const Dt=5*ce[rt],At=x[Dt+0],Wt=x[Dt+1],zt=x[Dt+2],Vt=x[Dt+3],di=x[Dt+4],xi=At-Qe,Ji=xi===0?Wt-Ze:Wt,hi=5*rt;Ge[hi+0]=xi,Ge[hi+1]=Ji,Ge[hi+2]=zt,Ge[hi+3]=Vt,Ge[hi+4]=di,Qe=At,Ze=Wt}return Ge}build(x){return this._dataIsSortedAndDeltaEncoded?new Yt(new Uint32Array(this._data),x):new Yt(Qt._sortAndDeltaEncode(this._data),x)}}e.SemanticTokensBuilder=Qt;class Yt{constructor(x,ce){this.resultId=ce,this.data=x}}e.SemanticTokens=Yt;class yi{constructor(x,ce,De){this.start=x,this.deleteCount=ce,this.data=De}}e.SemanticTokensEdit=yi;class Di{constructor(x,ce){this.resultId=ce,this.edits=x}}e.SemanticTokensEdits=Di;var Jt;(function(X){X[X.Separate=0]="Separate",X[X.MergeWithParent=1]="MergeWithParent"})(Jt=e.DebugConsoleMode||(e.DebugConsoleMode={}));let si=class{constructor(){}};si.Back={iconPath:new pt("arrow-left")},si=Be([L],si),e.QuickInputButtons=si;var Ii;(function(X){X[X.Separator=-1]="Separator",X[X.Default=0]="Default"})(Ii=e.QuickPickItemKind||(e.QuickPickItemKind={}));var ki;(function(X){X[X.UI=1]="UI",X[X.Workspace=2]="Workspace"})(ki=e.ExtensionKind||(e.ExtensionKind={}));class Pi{constructor(x,ce,De){this.badge=x,this.tooltip=ce,this.color=De}static validate(x){if(x.badge){let ce=(0,k.nextCharLength)(x.badge,0);if(ce<x.badge.length&&(ce+=(0,k.nextCharLength)(x.badge,ce)),x.badge.length>ce)throw new Error("The 'badge'-property must be undefined or a short character")}if(!x.color&&!x.badge&&!x.tooltip)throw new Error("The decoration is empty");return!0}}e.FileDecoration=Pi;let Zt=class{constructor(x){this.kind=x}};Zt=Be([L],Zt),e.ColorTheme=Zt;var gi;(function(X){X[X.Light=1]="Light",X[X.Dark=2]="Dark",X[X.HighContrast=3]="HighContrast"})(gi=e.ColorThemeKind||(e.ColorThemeKind={}));class Kt{constructor(x,ce){if(x<0)throw(0,t.illegalArgument)("start must be positive");if(ce<0)throw(0,t.illegalArgument)("end must be positive");x<=ce?(this._start=x,this._end=ce):(this._start=ce,this._end=x)}static isNotebookRange(x){return x instanceof Kt?!0:x?typeof x.start=="number"&&typeof x.end=="number":!1}get start(){return this._start}get end(){return this._end}get isEmpty(){return this._start===this._end}with(x){let ce=this._start,De=this._end;return x.start!==void 0&&(ce=x.start),x.end!==void 0&&(De=x.end),ce===this._start&&De===this._end?this:new Kt(ce,De)}}e.NotebookRange=Kt;class Oe{constructor(x,ce,De,Ge,Qe,Ze,rt){this.kind=x,this.value=ce,this.languageId=De,this.mime=Ge,this.outputs=Qe??[],this.metadata=Ze,this.executionSummary=rt,Oe.validate(this)}static validate(x){if(typeof x.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof x.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof x.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray(x){return Array.isArray(x)&&x.every(ce=>Oe.isNotebookCellData(ce))}static isNotebookCellData(x){return!0}}e.NotebookCellData=Oe;class ci{constructor(x){this.cells=x}}e.NotebookData=ci;class Ot{constructor(x,ce){this.data=x,this.mime=ce;const De=(0,C.normalizeMimeType)(ce,!0);if(!De)throw new Error(`INVALID mime type: ${ce}. Must be in the format "type/subtype[;optionalparameter]"`);this.mime=De}static isNotebookCellOutputItem(x){return x instanceof Ot?!0:x?typeof x.mime=="string"&&x.data instanceof Uint8Array:!1}static error(x){const ce={name:x.name,message:x.message,stack:x.stack};return Ot.json(ce,"application/vnd.code.notebook.error")}static stdout(x){return Ot.text(x,"application/vnd.code.notebook.stdout")}static stderr(x){return Ot.text(x,"application/vnd.code.notebook.stderr")}static bytes(x,ce="application/octet-stream"){return new Ot(x,ce)}static text(x,ce=C.Mimes.text){const De=Pe(Ot,u,"f",w).encode(String(x));return new Ot(De,ce)}static json(x,ce="application/json"){const De=JSON.stringify(x,void 0,"	");return Ot.text(De,ce)}}e.NotebookCellOutputItem=Ot,u=Ot,w={value:new TextEncoder};class ft{constructor(x,ce,De){this.items=ft.ensureUniqueMimeTypes(x,!0),typeof ce=="string"?(this.id=ce,this.metadata=De):(this.id=(0,F.generateUuid)(),this.metadata=ce??De)}static isNotebookCellOutput(x){return x instanceof ft?!0:!x||typeof x!="object"?!1:typeof x.id=="string"&&(0,_.isArray)(x.items)}static ensureUniqueMimeTypes(x,ce=!1){const De=new Set,Ge=new Set;for(let Qe=0;Qe<x.length;Qe++){const Ze=x[Qe],rt=(0,C.normalizeMimeType)(Ze.mime);if(!De.has(rt)){De.add(rt);continue}Ge.add(Qe),ce&&console.warn(`DUPLICATED mime type '${Ze.mime}' will be dropped`)}return Ge.size===0?x:x.filter((Qe,Ze)=>!Ge.has(Ze))}}e.NotebookCellOutput=ft;var Ti;(function(X){X[X.Markup=1]="Markup",X[X.Code=2]="Code"})(Ti=e.NotebookCellKind||(e.NotebookCellKind={}));var Ai;(function(X){X[X.Idle=1]="Idle",X[X.Pending=2]="Pending",X[X.Executing=3]="Executing"})(Ai=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var pi;(function(X){X[X.Left=1]="Left",X[X.Right=2]="Right"})(pi=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var vi;(function(X){X[X.Default=0]="Default",X[X.InCenter=1]="InCenter",X[X.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",X[X.AtTop=3]="AtTop"})(vi=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));class Ri{constructor(x,ce){this.text=x,this.alignment=ce}}e.NotebookCellStatusBarItem=Ri;var Li;(function(X){X[X.Default=1]="Default",X[X.Preferred=2]="Preferred"})(Li=e.NotebookControllerAffinity||(e.NotebookControllerAffinity={}));class Oi{constructor(x,ce=[]){this.uri=x,this.provides=(0,h.asArray)(ce)}}e.NotebookRendererScript=Oi;let ui=class{constructor(x,ce){this.label=x,this.timestamp=ce}};ui=Be([L],ui),e.TimelineItem=ui;var wi;(function(X){X[X.Production=1]="Production",X[X.Development=2]="Development",X[X.Test=3]="Test"})(wi=e.ExtensionMode||(e.ExtensionMode={}));var Fi;(function(X){X[X.Node=1]="Node",X[X.Webworker=2]="Webworker"})(Fi=e.ExtensionRuntime||(e.ExtensionRuntime={}));var Ni;(function(X){X[X.Other=0]="Other",X[X.Comment=1]="Comment",X[X.String=2]="String",X[X.RegEx=3]="RegEx"})(Ni=e.StandardTokenType||(e.StandardTokenType={}));class Mi{constructor(x,ce){this.ranges=x,this.wordPattern=ce}}e.LinkedEditingRanges=Mi;class Ui{constructor(x,ce){this._port=x,this._autoForwardAction=ce}get port(){return this._port}get autoForwardAction(){return this._autoForwardAction}}e.PortAttributes=Ui;var Bi;(function(X){X[X.Queued=1]="Queued",X[X.Running=2]="Running",X[X.Passed=3]="Passed",X[X.Failed=4]="Failed",X[X.Skipped=5]="Skipped",X[X.Errored=6]="Errored"})(Bi=e.TestResultState||(e.TestResultState={}));var le;(function(X){X[X.Run=1]="Run",X[X.Debug=2]="Debug",X[X.Coverage=3]="Coverage"})(le=e.TestRunProfileKind||(e.TestRunProfileKind={}));let me=class{constructor(x=void 0,ce=void 0,De=void 0){this.include=x,this.exclude=ce,this.profile=De}};me=Be([L],me),e.TestRunRequest=me;let ke=E=class{constructor(x){this.message=x}static diff(x,ce,De){const Ge=new E(x);return Ge.expectedOutput=ce,Ge.actualOutput=De,Ge}};ke=E=Be([L],ke),e.TestMessage=ke;let tt=class{constructor(x){this.id=x}};tt=Be([L],tt),e.TestTag=tt;let gt=class{constructor(x,ce){this.covered=x,this.total=ce}};gt=Be([L],gt),e.CoveredCount=gt;let It=T=class{constructor(x,ce,De,Ge){this.uri=x,this.statementCoverage=ce,this.branchCoverage=De,this.functionCoverage=Ge}static fromDetails(x,ce){const De=new gt(0,0),Ge=new gt(0,0),Qe=new gt(0,0);for(const rt of ce)if("branches"in rt){De.total+=1,De.covered+=rt.executionCount>0?1:0;for(const Dt of rt.branches)Ge.total+=1,Ge.covered+=Dt.executionCount>0?1:0}else Qe.total+=1,Qe.covered+=rt.executionCount>0?1:0;const Ze=new T(x,De,Ge.total>0?Ge:void 0,Qe.total>0?Qe:void 0);return Ze.detailedCoverage=ce,Ze}};It=T=Be([L],It),e.FileCoverage=It;let Wi=class{constructor(x,ce,De=[]){this.executionCount=x,this.location=ce,this.branches=De}};Wi=Be([L],Wi),e.StatementCoverage=Wi;let zi=class{constructor(x,ce){this.executionCount=x,this.location=ce}};zi=Be([L],zi),e.BranchCoverage=zi;let Hi=class{constructor(x,ce){this.executionCount=x,this.location=ce}};Hi=Be([L],Hi),e.FunctionCoverage=Hi;var Ki;(function(X){X[X.None=0]="None",X[X.Option=1]="Option",X[X.Default=2]="Default",X[X.Preferred=3]="Preferred"})(Ki=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var Xi;(function(X){X[X.Untrusted=0]="Untrusted",X[X.Trusted=1]="Trusted",X[X.Unspecified=2]="Unspecified"})(Xi=e.WorkspaceTrustState||(e.WorkspaceTrustState={}));var Qi;(function(X){X[X.Notify=1]="Notify",X[X.OpenBrowser=2]="OpenBrowser",X[X.OpenPreview=3]="OpenPreview",X[X.Silent=4]="Silent",X[X.Ignore=5]="Ignore",X[X.OpenBrowserOnce=6]="OpenBrowserOnce"})(Qi=e.PortAutoForwardAction||(e.PortAutoForwardAction={}));class Yi{constructor(x,ce,De,Ge,Qe,Ze){this.kind=x,this.name=ce,this.detail=De,this.uri=Ge,this.range=Qe,this.selectionRange=Ze}}e.TypeHierarchyItem=Yi}),define(pe[125],ve([1,0,55,10,8,151,107,7,18]),function(ee,e,h,t,P,A,C,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const R=new Map;function F(g,u){u?R.set(g,u):R.delete(g)}e.setWordDefinitionFor=F;function D(g){return R.get(g)}e.getWordDefinitionFor=D;class p extends A.MirrorTextModel{constructor(u,w,S,I,l,c,f,s){super(w,S,I,l);this._proxy=u,this._languageId=c,this._isDirty=f,this._notebook=s,this._isDisposed=!1}dispose(){(0,h.ok)(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(u){return(0,_.equals)(this._lines,u)}get document(){if(!this._document){const u=this;this._document={get uri(){return u._uri},get fileName(){return u._uri.fsPath},get isUntitled(){return u._uri.scheme===t.Schemas.untitled},get languageId(){return u._languageId},get version(){return u._versionId},get isClosed(){return u._isDisposed},get isDirty(){return u._isDirty},get notebook(){return u._notebook},save(){return u._save()},getText(w){return w?u._getTextInRange(w):u.getText()},get eol(){return u._eol===`
`?k.EndOfLine.LF:k.EndOfLine.CRLF},get lineCount(){return u._lines.length},lineAt(w){return u._lineAt(w)},offsetAt(w){return u._offsetAt(w)},positionAt(w){return u._positionAt(w)},validateRange(w){return u._validateRange(w)},validatePosition(w){return u._validatePosition(w)},getWordRangeAtPosition(w,S){return u._getWordRangeAtPosition(w,S)}}}return Object.freeze(this._document)}_acceptLanguageId(u){(0,h.ok)(!this._isDisposed),this._languageId=u}_acceptIsDirty(u){(0,h.ok)(!this._isDisposed),this._isDirty=u}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(u){const w=this._validateRange(u);if(w.isEmpty)return"";if(w.isSingleLine)return this._lines[w.start.line].substring(w.start.character,w.end.character);const S=this._eol,I=w.start.line,l=w.end.line,c=[];c.push(this._lines[I].substring(w.start.character));for(let f=I+1;f<l;f++)c.push(this._lines[f]);return c.push(this._lines[l].substring(0,w.end.character)),c.join(S)}_lineAt(u){let w;if(u instanceof k.Position?w=u.line:typeof u=="number"&&(w=u),typeof w!="number"||w<0||w>=this._lines.length||Math.floor(w)!==w)throw new Error("Illegal value for `line`");return new b(w,this._lines[w],w===this._lines.length-1)}_offsetAt(u){return u=this._validatePosition(u),this._ensureLineStarts(),this._lineStarts.getPrefixSum(u.line-1)+u.character}_positionAt(u){u=Math.floor(u),u=Math.max(0,u),this._ensureLineStarts();const w=this._lineStarts.getIndexOf(u),S=this._lines[w.index].length;return new k.Position(w.index,Math.min(w.remainder,S))}_validateRange(u){if(!(u instanceof k.Range))throw new Error("Invalid argument");const w=this._validatePosition(u.start),S=this._validatePosition(u.end);return w===u.start&&S===u.end?u:new k.Range(w.line,w.character,S.line,S.character)}_validatePosition(u){if(!(u instanceof k.Position))throw new Error("Invalid argument");if(this._lines.length===0)return u.with(0,0);let{line:w,character:S}=u,I=!1;if(w<0)w=0,S=0,I=!0;else if(w>=this._lines.length)w=this._lines.length-1,S=this._lines[w].length,I=!0;else{const l=this._lines[w].length;S<0?(S=0,I=!0):S>l&&(S=l,I=!0)}return I?new k.Position(w,S):u}_getWordRangeAtPosition(u,w){const S=this._validatePosition(u);if(!w)w=D(this._languageId);else if((0,P.regExpLeadsToEndlessLoop)(w))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${w.source}' because it matches the empty string.`);const I=(0,C.getWordAtText)(S.character+1,(0,C.ensureValidWordDefinition)(w),this._lines[S.line],0);if(I)return new k.Range(S.line,I.startColumn-1,S.line,I.endColumn-1)}}e.ExtHostDocumentData=p;class b{constructor(u,w,S){this._line=u,this._text=w,this._isLastLine=S}get lineNumber(){return this._line}get text(){return this._text}get range(){return new k.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new k.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=b}),define(pe[202],ve([1,0,7,3,110,6,108,24,2,33]),function(ee,e,h,t,P,A,C,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookConcatDocument=void 0;class F{constructor(p,b,g,u){this._notebook=g,this._selector=u,this._disposables=new A.DisposableStore,this._isClosed=!1,this._versionId=0,this._onDidChange=new t.Emitter,this.onDidChange=this._onDidChange.event,this.uri=_.URI.from({scheme:"vscode-concat-doc",path:(0,R.generateUuid)()}),this._init(),this._disposables.add(b.onDidChangeDocument(S=>{const I=this._cellUris.get(S.document.uri);I!==void 0&&(this._cellLengths.setValue(I,this._cells[I].document.getText().length+1),this._cellLines.setValue(I,this._cells[I].document.lineCount),this._versionId+=1,this._onDidChange.fire(void 0))}));const w=S=>{S===this._notebook&&(this._init(),this._versionId+=1,this._onDidChange.fire(void 0))};this._disposables.add(p.onDidChangeNotebookCells(S=>w(S.document)))}dispose(){this._disposables.dispose(),this._isClosed=!0}get isClosed(){return this._isClosed}_init(){this._cells=[],this._cellUris=new k.ResourceMap;const p=[],b=[];for(const g of this._notebook.getCells())g.kind===h.NotebookCellKind.Code&&(!this._selector||(0,C.score)(this._selector,g.document.uri,g.document.languageId,!0,void 0))&&(this._cellUris.set(g.document.uri,this._cells.length),this._cells.push(g),p.push(g.document.getText().length+1),b.push(g.document.lineCount));this._cellLengths=new P.PrefixSumComputer(new Uint32Array(p)),this._cellLines=new P.PrefixSumComputer(new Uint32Array(b))}get version(){return this._versionId}getText(p){if(!p){let I="";for(const l of this._cells)I+=l.document.getText()+`
`;return I=I.slice(0,-1),I}if(p.isEmpty)return"";const b=this.locationAt(p.start),g=this.locationAt(p.end),u=this._cellUris.get(b.uri),w=this._cellUris.get(g.uri);if(u===void 0||w===void 0)return"";if(u===w)return this._cells[u].document.getText(new h.Range(b.range.start,g.range.end));const S=[this._cells[u].document.getText(new h.Range(b.range.start,new h.Position(this._cells[u].document.lineCount,0)))];for(let I=u+1;I<w;I++)S.push(this._cells[I].document.getText());return S.push(this._cells[w].document.getText(new h.Range(new h.Position(0,0),g.range.end))),S.join(`
`)}offsetAt(p){const b=this._cellLines.getIndexOf(p.line),g=this._cellLengths.getPrefixSum(b.index-1),u=this._cells[b.index].document.offsetAt(p.with(b.remainder));return g+u}positionAt(p){if(typeof p=="number"){const g=this._cellLengths.getIndexOf(p),u=this._cellLines.getPrefixSum(g.index-1);return this._cells[g.index].document.positionAt(g.remainder).translate(u)}const b=this._cellUris.get(p.uri);if(b!==void 0){const g=this._cellLines.getPrefixSum(b-1);return new h.Position(g+p.range.start.line,p.range.start.character)}return new h.Position(0,0)}locationAt(p){h.Range.isRange(p)||(p=new h.Range(p,p));const b=this._cellLines.getIndexOf(p.start.line);let g=b;p.isEmpty||(g=this._cellLines.getIndexOf(p.end.line));const u=new h.Position(b.remainder,p.start.character),w=new h.Position(g.remainder,p.end.character),S=new h.Range(u,w),I=this._cells[b.index];return new h.Location(I.document.uri,I.document.validateRange(S))}contains(p){return this._cellUris.has(p)}validateRange(p){const b=this.validatePosition(p.start),g=this.validatePosition(p.end);return p.with(b,g)}validatePosition(p){const b=this._cellLines.getIndexOf(p.line),g=new h.Position(b.remainder,p.character),u=this._cells[b.index].document.validatePosition(g),w=this._cellLines.getPrefixSum(b.index-1);return new h.Position(w+u.line,u.character)}}e.ExtHostNotebookConcatDocument=F}),define(pe[203],ve([1,0,7,16,3]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let A=class{constructor(k){this._actual=new h.ColorTheme(h.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new P.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(k){let _=k==="light"?h.ColorThemeKind.Light:k==="dark"?h.ColorThemeKind.Dark:h.ColorThemeKind.HighContrast;this._actual=new h.ColorTheme(_),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};A=Be([Fe(0,t.IExtHostRpcService)],A),e.ExtHostTheming=A}),define(pe[64],ve([1,0,4]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=(0,h.createDecorator)("IURITransformerService");class t{constructor(A){A?(this.transformIncoming=A.transformIncoming.bind(A),this.transformOutgoing=A.transformOutgoing.bind(A),this.transformOutgoingURI=A.transformOutgoingURI.bind(A),this.transformOutgoingScheme=A.transformOutgoingScheme.bind(A)):(this.transformIncoming=C=>C,this.transformOutgoing=C=>C,this.transformOutgoingURI=C=>C,this.transformOutgoingScheme=C=>C)}}e.URITransformerService=t}),define(pe[204],ve([1,0,22]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeWebviewMessage=e.serializeWebviewMessage=void 0;class t{constructor(){this.buffers=[]}add(_){let R=this.buffers.indexOf(_);return R<0&&(R=this.buffers.length,this.buffers.push(_)),R}}function P(k,_){if(_.serializeBuffersForPostMessage){const R=new t,F=(b,g)=>{if(g instanceof ArrayBuffer){const u=R.add(g);return{$$vscode_array_buffer_reference$$:!0,index:u}}else if(ArrayBuffer.isView(g)){const u=A(g);if(u){const w=R.add(g.buffer);return{$$vscode_array_buffer_reference$$:!0,index:w,view:{type:u,byteLength:g.byteLength,byteOffset:g.byteOffset}}}}return g},D=JSON.stringify(k,F),p=R.buffers.map(b=>{const g=new Uint8Array(b);return h.VSBuffer.wrap(g)});return{message:D,buffers:p}}else return{message:JSON.stringify(k),buffers:[]}}e.serializeWebviewMessage=P;function A(k){switch(k.constructor.name){case"Int8Array":return 1;case"Uint8Array":return 2;case"Uint8ClampedArray":return 3;case"Int16Array":return 4;case"Uint16Array":return 5;case"Int32Array":return 6;case"Uint32Array":return 7;case"Float32Array":return 8;case"Float64Array":return 9;case"BigInt64Array":return 10;case"BigUint64Array":return 11}}function C(k,_){const R=_.map(p=>{const b=new ArrayBuffer(p.byteLength);return new Uint8Array(b).set(p.buffer),b}),F=_.length?(p,b)=>{if(b&&typeof b=="object"&&b.$$vscode_array_buffer_reference$$){const g=b,{index:u}=g,w=R[u];if(g.view)switch(g.view.type){case 1:return new Int8Array(w,g.view.byteOffset,g.view.byteLength/Int8Array.BYTES_PER_ELEMENT);case 2:return new Uint8Array(w,g.view.byteOffset,g.view.byteLength/Uint8Array.BYTES_PER_ELEMENT);case 3:return new Uint8ClampedArray(w,g.view.byteOffset,g.view.byteLength/Uint8ClampedArray.BYTES_PER_ELEMENT);case 4:return new Int16Array(w,g.view.byteOffset,g.view.byteLength/Int16Array.BYTES_PER_ELEMENT);case 5:return new Uint16Array(w,g.view.byteOffset,g.view.byteLength/Uint16Array.BYTES_PER_ELEMENT);case 6:return new Int32Array(w,g.view.byteOffset,g.view.byteLength/Int32Array.BYTES_PER_ELEMENT);case 7:return new Uint32Array(w,g.view.byteOffset,g.view.byteLength/Uint32Array.BYTES_PER_ELEMENT);case 8:return new Float32Array(w,g.view.byteOffset,g.view.byteLength/Float32Array.BYTES_PER_ELEMENT);case 9:return new Float64Array(w,g.view.byteOffset,g.view.byteLength/Float64Array.BYTES_PER_ELEMENT);case 10:return new BigInt64Array(w,g.view.byteOffset,g.view.byteLength/BigInt64Array.BYTES_PER_ELEMENT);case 11:return new BigUint64Array(w,g.view.byteOffset,g.view.byteLength/BigUint64Array.BYTES_PER_ELEMENT);default:throw new Error("Unknown array buffer view type")}return w}return b}:void 0;return{message:JSON.parse(k,F),arrayBuffers:R}}e.deserializeWebviewMessage=C}),define(pe[205],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TreeDataTransferConverter=void 0;var h;(function(t){function P(C){const k=new Map;return C.types.forEach((_,R)=>{k.set(_,{asString:async()=>C.items[R].asString,value:void 0})}),k}t.toITreeDataTransfer=P;async function A(C){const k={types:[],items:[]},_=Array.from(C.entries());for(const R of _)k.types.push(R[0]),k.items.push({asString:await R[1].asString()});return k}t.toTreeDataTransferDTO=A})(h=e.TreeDataTransferConverter||(e.TreeDataTransferConverter={}))}),define(pe[206],ve([1,0,101]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createURITransformer=void 0;function t(A){return{transformIncoming:C=>C.scheme==="vscode-remote"?{scheme:"file",path:C.path,query:C.query,fragment:C.fragment}:C.scheme==="file"?{scheme:"vscode-local",path:C.path,query:C.query,fragment:C.fragment}:C,transformOutgoing:C=>C.scheme==="file"?{scheme:"vscode-remote",authority:A,path:C.path,query:C.query,fragment:C.fragment}:C.scheme==="vscode-local"?{scheme:"file",path:C.path,query:C.query,fragment:C.fragment}:C,transformOutgoingScheme:C=>C==="file"?"vscode-remote":C==="vscode-local"?"file":C}}function P(A){return new h.URITransformer(t(A))}e.createURITransformer=P}),define(pe[207],ve([1,0,175,13,2,6,4,50,42,18,10]),function(ee,e,h,t,P,A,C,k,_,R,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorsOrder=e.pathsToEditors=e.CloseDirection=e.EditorResourceAccessor=e.SideBySideEditor=e.GroupModelChangeKind=e.EditorCloseContext=e.isEditorIdentifier=e.isEditorInputWithOptionsAndGroup=e.isEditorInputWithOptions=e.isDiffEditorInput=e.isSideBySideEditorInput=e.isEditorInput=e.AbstractEditorInput=e.EditorInputCapabilities=e.SaveReason=e.Verbosity=e.isUntitledResourceEditorInput=e.isResourceSideBySideEditorInput=e.isResourceDiffEditorInput=e.isResourceEditorInput=e.findViewStateForEditor=e.isEditorPaneWithSelection=e.EditorPaneSelectionCompareResult=e.EditorPaneSelectionChangeReason=e.BINARY_DIFF_EDITOR_ID=e.TEXT_DIFF_EDITOR_ID=e.SIDE_BY_SIDE_EDITOR_ID=e.DEFAULT_EDITOR_ASSOCIATION=e.EditorExtensions=void 0,e.EditorExtensions={EditorPane:"workbench.contributions.editors",EditorFactory:"workbench.contributions.editor.inputFactories"},e.DEFAULT_EDITOR_ASSOCIATION={id:"default",displayName:(0,h.localize)(0,null),providerDisplayName:(0,h.localize)(1,null)},e.SIDE_BY_SIDE_EDITOR_ID="workbench.editor.sidebysideEditor",e.TEXT_DIFF_EDITOR_ID="workbench.editors.textDiffEditor",e.BINARY_DIFF_EDITOR_ID="workbench.editors.binaryResourceDiffEditor";var D;(function(z){z[z.PROGRAMMATIC=1]="PROGRAMMATIC",z[z.USER=2]="USER",z[z.EDIT=3]="EDIT",z[z.NAVIGATION=4]="NAVIGATION",z[z.JUMP=5]="JUMP"})(D=e.EditorPaneSelectionChangeReason||(e.EditorPaneSelectionChangeReason={}));var p;(function(z){z[z.IDENTICAL=1]="IDENTICAL",z[z.SIMILAR=2]="SIMILAR",z[z.DIFFERENT=3]="DIFFERENT"})(p=e.EditorPaneSelectionCompareResult||(e.EditorPaneSelectionCompareResult={}));function b(z){const V=z;return!!V&&typeof V.getSelection=="function"&&!!V.onDidChangeSelection}e.isEditorPaneWithSelection=b;function g(z,V,Q){for(const H of Q.visibleEditorPanes)if(H.group.id===V&&z.matches(H.input))return H.getViewState()}e.findViewStateForEditor=g;function u(z){if(v(z))return!1;const V=z;return P.URI.isUri(V?.resource)}e.isResourceEditorInput=u;function w(z){if(v(z))return!1;const V=z;return V?.original!==void 0&&V.modified!==void 0}e.isResourceDiffEditorInput=w;function S(z){if(v(z)||w(z))return!1;const V=z;return V?.primary!==void 0&&V.secondary!==void 0}e.isResourceSideBySideEditorInput=S;function I(z){if(v(z))return!1;const V=z;return V?V.resource===void 0||V.resource.scheme===F.Schemas.untitled||V.forceUntitled===!0:!1}e.isUntitledResourceEditorInput=I;var l;(function(z){z[z.SHORT=0]="SHORT",z[z.MEDIUM=1]="MEDIUM",z[z.LONG=2]="LONG"})(l=e.Verbosity||(e.Verbosity={}));var c;(function(z){z[z.EXPLICIT=1]="EXPLICIT",z[z.AUTO=2]="AUTO",z[z.FOCUS_CHANGE=3]="FOCUS_CHANGE",z[z.WINDOW_CHANGE=4]="WINDOW_CHANGE"})(c=e.SaveReason||(e.SaveReason={}));var f;(function(z){z[z.None=0]="None",z[z.Readonly=2]="Readonly",z[z.Untitled=4]="Untitled",z[z.Singleton=8]="Singleton",z[z.RequiresTrust=16]="RequiresTrust",z[z.CanSplitInGroup=32]="CanSplitInGroup",z[z.ForceDescription=64]="ForceDescription"})(f=e.EditorInputCapabilities||(e.EditorInputCapabilities={}));class s extends A.Disposable{}e.AbstractEditorInput=s;function v(z){return z instanceof s}e.isEditorInput=v;function o(z){const V=z;return P.URI.isUri(V?.preferredResource)}function n(z){const V=z;return v(V?.primary)&&v(V?.secondary)}e.isSideBySideEditorInput=n;function r(z){const V=z;return v(V?.modified)&&v(V?.original)}e.isDiffEditorInput=r;function i(z){return v(z?.editor)}e.isEditorInputWithOptions=i;function a(z){const V=z;return i(z)&&V?.group!==void 0}e.isEditorInputWithOptionsAndGroup=a;function m(z){const V=z;return typeof V?.groupId=="number"&&v(V.editor)}e.isEditorIdentifier=m;var d;(function(z){z[z.UNKNOWN=0]="UNKNOWN",z[z.REPLACE=1]="REPLACE",z[z.MOVE=2]="MOVE",z[z.UNPIN=3]="UNPIN"})(d=e.EditorCloseContext||(e.EditorCloseContext={}));var E;(function(z){z[z.GROUP_ACTIVE=0]="GROUP_ACTIVE",z[z.GROUP_INDEX=1]="GROUP_INDEX",z[z.GROUP_LOCKED=2]="GROUP_LOCKED",z[z.EDITOR_OPEN=3]="EDITOR_OPEN",z[z.EDITOR_CLOSE=4]="EDITOR_CLOSE",z[z.EDITOR_MOVE=5]="EDITOR_MOVE",z[z.EDITOR_ACTIVE=6]="EDITOR_ACTIVE",z[z.EDITOR_LABEL=7]="EDITOR_LABEL",z[z.EDITOR_CAPABILITIES=8]="EDITOR_CAPABILITIES",z[z.EDITOR_PIN=9]="EDITOR_PIN",z[z.EDITOR_STICKY=10]="EDITOR_STICKY",z[z.EDITOR_DIRTY=11]="EDITOR_DIRTY",z[z.EDITOR_WILL_DISPOSE=12]="EDITOR_WILL_DISPOSE"})(E=e.GroupModelChangeKind||(e.GroupModelChangeKind={}));var T;(function(z){z[z.PRIMARY=1]="PRIMARY",z[z.SECONDARY=2]="SECONDARY",z[z.BOTH=3]="BOTH",z[z.ANY=4]="ANY"})(T=e.SideBySideEditor||(e.SideBySideEditor={}));class L{getOriginalUri(V,Q){if(!V)return;if(Q?.supportSideBySide){const{primary:K,secondary:G}=this.getSideEditors(V);if(K&&G){if(Q?.supportSideBySide===T.BOTH)return{primary:this.getOriginalUri(K,{filterByScheme:Q.filterByScheme}),secondary:this.getOriginalUri(G,{filterByScheme:Q.filterByScheme})};if(Q?.supportSideBySide===T.ANY)return this.getOriginalUri(K,{filterByScheme:Q.filterByScheme})??this.getOriginalUri(G,{filterByScheme:Q.filterByScheme});V=Q.supportSideBySide===T.PRIMARY?K:G}}if(w(V)||S(V))return;const H=o(V)?V.preferredResource:V.resource;return!H||!Q||!Q.filterByScheme?H:this.filterUri(H,Q.filterByScheme)}getSideEditors(V){return n(V)||S(V)?{primary:V.primary,secondary:V.secondary}:r(V)||w(V)?{primary:V.modified,secondary:V.original}:{primary:void 0,secondary:void 0}}getCanonicalUri(V,Q){if(!V)return;if(Q?.supportSideBySide){const{primary:K,secondary:G}=this.getSideEditors(V);if(K&&G){if(Q?.supportSideBySide===T.BOTH)return{primary:this.getCanonicalUri(K,{filterByScheme:Q.filterByScheme}),secondary:this.getCanonicalUri(G,{filterByScheme:Q.filterByScheme})};if(Q?.supportSideBySide===T.ANY)return this.getCanonicalUri(K,{filterByScheme:Q.filterByScheme})??this.getCanonicalUri(G,{filterByScheme:Q.filterByScheme});V=Q.supportSideBySide===T.PRIMARY?K:G}}if(w(V)||S(V))return;const H=V.resource;return!H||!Q||!Q.filterByScheme?H:this.filterUri(H,Q.filterByScheme)}filterUri(V,Q){if(Array.isArray(Q)){if(Q.some(H=>V.scheme===H))return V}else if(Q===V.scheme)return V}}e.EditorResourceAccessor=new L;var O;(function(z){z[z.LEFT=0]="LEFT",z[z.RIGHT=1]="RIGHT"})(O=e.CloseDirection||(e.CloseDirection={}));class y{constructor(){this.editorSerializerConstructors=new Map,this.editorSerializerInstances=new Map}start(V){const Q=this.instantiationService=V.get(C.IInstantiationService);for(const[H,K]of this.editorSerializerConstructors)this.createEditorSerializer(H,K,Q);this.editorSerializerConstructors.clear()}createEditorSerializer(V,Q,H){const K=H.createInstance(Q);this.editorSerializerInstances.set(V,K)}registerFileEditorFactory(V){if(this.fileEditorFactory)throw new Error("Can only register one file editor factory.");this.fileEditorFactory=V}getFileEditorFactory(){return(0,t.assertIsDefined)(this.fileEditorFactory)}registerEditorSerializer(V,Q){if(this.editorSerializerConstructors.has(V)||this.editorSerializerInstances.has(V))throw new Error(`A editor serializer with type ID '${V}' was already registered.`);return this.instantiationService?this.createEditorSerializer(V,Q,this.instantiationService):this.editorSerializerConstructors.set(V,Q),(0,A.toDisposable)(()=>{this.editorSerializerConstructors.delete(V),this.editorSerializerInstances.delete(V)})}getEditorSerializer(V){return this.editorSerializerInstances.get(typeof V=="string"?V:V.typeId)}}k.Registry.add(e.EditorExtensions.EditorFactory,new y);async function B(z,V){if(!z||!z.length)return[];const Q=await Promise.all(z.map(async H=>{const K=P.URI.revive(H.fileUri);if(!K||!await V.canHandleResource(K))return;let j=H.exists,ie=H.type;if(typeof j!="boolean"||typeof ie!="number")try{ie=(await V.resolve(K)).isDirectory?_.FileType.Directory:_.FileType.Unknown,j=!0}catch{j=!1}if(!j&&H.openOnlyIfExists||ie===_.FileType.Directory)return;const oe={selection:j?H.selection:void 0,pinned:!0,override:H.editorOverrideId};let ue;return j?ue={resource:K,options:oe}:ue={resource:K,options:oe,forceUntitled:!0},ue}));return(0,R.coalesce)(Q)}e.pathsToEditors=B;var M;(function(z){z[z.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",z[z.SEQUENTIAL=1]="SEQUENTIAL"})(M=e.EditorsOrder||(e.EditorsOrder={}))}),define(pe[83],ve([1,0,10,2]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeAuthority=e.asWebviewUri=e.webviewGenericCspSource=e.webviewRootResourceAuthority=e.webviewResourceBaseHost=void 0,e.webviewResourceBaseHost="vscode-webview.net",e.webviewRootResourceAuthority=`vscode-resource.${e.webviewResourceBaseHost}`,e.webviewGenericCspSource=`https://*.${e.webviewResourceBaseHost}`;function P(k,_){return k.scheme===h.Schemas.http||k.scheme===h.Schemas.https?k:(_&&_.authority&&_.isRemote&&k.scheme===h.Schemas.file&&(k=t.URI.from({scheme:h.Schemas.vscodeRemote,authority:_.authority,path:k.path})),t.URI.from({scheme:h.Schemas.https,authority:`${k.scheme}+${A(k.authority)}.${e.webviewRootResourceAuthority}`,path:k.path,fragment:k.fragment,query:k.query}))}e.asWebviewUri=P;function A(k){return k.replace(/./g,_=>{const R=_.charCodeAt(0);return R>=97&&R<=122||R>=65&&R<=90||R>=48&&R<=57?_:"-"+R.toString(16).padStart(4,"0")})}function C(k){return k.replace(/-([0-9a-f]{4})/g,(_,R)=>String.fromCharCode(parseInt(R,16)))}e.decodeAuthority=C}),define(pe[208],ve([1,0,3,6,83]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class A{constructor(k,_,R){this._proxy=k,this._editors=_,this._initData=R,this._handlePool=0,this._disposables=new t.DisposableStore,this._insets=new Map,this._disposables.add(_.onDidChangeVisibleTextEditors(()=>{const F=_.getVisibleTextEditors();for(const D of this._insets.values())F.indexOf(D.editor)<0&&D.inset.dispose()}))}dispose(){this._insets.forEach(k=>k.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(k,_,R,F,D){let p;for(const l of this._editors.getVisibleTextEditors(!0))if(l.value===k){p=l;break}if(!p)throw new Error("not a visible editor");const b=this,g=this._handlePool++,u=new h.Emitter,w=new h.Emitter,S=new class{constructor(){this._html="",this._options=Object.create(null)}asWebviewUri(l){return(0,P.asWebviewUri)(l,b._initData.remote)}get cspSource(){return P.webviewGenericCspSource}set options(l){this._options=l,b._proxy.$setOptions(g,l)}get options(){return this._options}set html(l){this._html=l,b._proxy.$setHtml(g,l)}get html(){return this._html}get onDidReceiveMessage(){return u.event}postMessage(l){return b._proxy.$postMessage(g,l)}},I=new class{constructor(){this.editor=k,this.line=_,this.height=R,this.webview=S,this.onDidDispose=w.event}dispose(){b._insets.has(g)&&(b._insets.delete(g),b._proxy.$disposeEditorInset(g),w.fire(),w.dispose(),u.dispose())}};return this._proxy.$createEditorInset(g,p.id,p.value.document.uri,_+1,R,F||{},D.identifier,D.extensionLocation),this._insets.set(g,{editor:k,inset:I,onDidReceiveMessage:u}),I}$onDidDispose(k){const _=this._insets.get(k);_&&_.inset.dispose()}$onDidReceiveMessage(k,_){const R=this._insets.get(k);R&&R.onDidReceiveMessage.fire(_)}}e.ExtHostEditorInsets=A}),define(pe[126],ve([1,0,3,15,176]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class A{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new h.Emitter,this._onExit=new h.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(k){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=k}onEvent(k){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=k}onRequest(k){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=k}sendResponse(k){k.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${k.command}`)):this.internalSend("response",k)}sendRequest(k,_,R,F){const D={command:k};if(_&&Object.keys(_).length>0&&(D.arguments=_),this.internalSend("request",D),typeof F=="number"){const p=setTimeout(()=>{clearTimeout(p);const b=this.pendingRequests.get(D.seq);if(b){this.pendingRequests.delete(D.seq);const g={type:"response",seq:0,request_seq:D.seq,success:!1,command:k,message:(0,P.localize)(0,null,F,k)};b(g)}},F)}return R&&this.pendingRequests.set(D.seq,R),D.seq}acceptMessage(k){this.messageCallback?this.messageCallback(k):(this.queue.push(k),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(k,_){return k.type!=="event"||_.type!=="event"}async processQueue(){let k;for(;this.queue.length;){if((!k||this.needsTaskBoundaryBetween(this.queue[0],k))&&await(0,t.timeout)(0),k=this.queue.shift(),!k)return;switch(k.type){case"event":this.eventCallback&&this.eventCallback(k);break;case"request":this.requestCallback&&this.requestCallback(k);break;case"response":{const _=k,R=this.pendingRequests.get(_.request_seq);R&&(this.pendingRequests.delete(_.request_seq),R(_));break}}}}internalSend(k,_){_.type=k,_.seq=this.sequence++,this.sendMessage(_)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const k=new Map;this.pendingRequests.forEach((_,R)=>k.set(R,_)),await(0,t.timeout)(500),k.forEach((_,R)=>{_({type:"response",seq:0,request_seq:R,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(R)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=A}),define(pe[209],ve([1,0,177,62,4]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BreakpointWidgetContext=e.IDebugService=e.DebugConfigurationProviderTriggerKind=e.DEBUG_MEMORY_SCHEME=e.MemoryRangeType=e.getStateLabel=e.State=e.INTERNAL_CONSOLE_OPTIONS_SCHEMA=e.DEBUG_SCHEME=e.BREAKPOINT_EDITOR_CONTRIBUTION_ID=e.EDITOR_CONTRIBUTION_ID=e.debuggerDisabledMessage=e.CONTEXT_FOCUSED_STACK_FRAME_HAS_INSTRUCTION_POINTER_REFERENCE=e.CONTEXT_LANGUAGE_SUPPORTS_DISASSEMBLE_REQUEST=e.CONTEXT_DISASSEMBLY_VIEW_FOCUS=e.CONTEXT_DISASSEMBLE_REQUEST_SUPPORTED=e.CONTEXT_MULTI_SESSION_DEBUG=e.CONTEXT_MULTI_SESSION_REPL=e.CONTEXT_EXCEPTION_WIDGET_VISIBLE=e.CONTEXT_VARIABLE_IS_READONLY=e.CONTEXT_VARIABLE_EVALUATE_NAME_PRESENT=e.CONTEXT_TERMINATE_DEBUGGEE_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_IS_READ_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_IS_ACCESSED_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_CHANGES_SUPPORTED=e.CONTEXT_SET_EXPRESSION_SUPPORTED=e.CONTEXT_SET_VARIABLE_SUPPORTED=e.CONTEXT_DEBUG_PROTOCOL_VARIABLE_MENU_CONTEXT=e.CONTEXT_DEBUG_EXTENSION_AVAILABLE=e.CONTEXT_DEBUGGERS_AVAILABLE=e.CONTEXT_BREAKPOINTS_EXIST=e.CONTEXT_STEP_INTO_TARGETS_SUPPORTED=e.CONTEXT_JUMP_TO_CURSOR_SUPPORTED=e.CONTEXT_STACK_FRAME_SUPPORTS_RESTART=e.CONTEXT_RESTART_FRAME_SUPPORTED=e.CONTEXT_STEP_BACK_SUPPORTED=e.CONTEXT_FOCUSED_SESSION_IS_ATTACH=e.CONTEXT_LOADED_SCRIPTS_ITEM_TYPE=e.CONTEXT_LOADED_SCRIPTS_SUPPORTED=e.CONTEXT_BREAKPOINT_SUPPORTS_CONDITION=e.CONTEXT_BREAKPOINT_ACCESS_TYPE=e.CONTEXT_BREAKPOINT_ITEM_TYPE=e.CONTEXT_CAN_VIEW_MEMORY=e.CONTEXT_WATCH_ITEM_TYPE=e.CONTEXT_CALLSTACK_SESSION_HAS_ONE_THREAD=e.CONTEXT_CALLSTACK_ITEM_STOPPED=e.CONTEXT_CALLSTACK_SESSION_IS_ATTACH=e.CONTEXT_CALLSTACK_ITEM_TYPE=e.CONTEXT_BREAKPOINT_INPUT_FOCUSED=e.CONTEXT_EXPRESSION_SELECTED=e.CONTEXT_VARIABLES_FOCUSED=e.CONTEXT_WATCH_EXPRESSIONS_EXIST=e.CONTEXT_WATCH_EXPRESSIONS_FOCUSED=e.CONTEXT_BREAKPOINTS_FOCUSED=e.CONTEXT_IN_BREAKPOINT_WIDGET=e.CONTEXT_BREAKPOINT_WIDGET_VISIBLE=e.CONTEXT_IN_DEBUG_REPL=e.CONTEXT_IN_DEBUG_MODE=e.CONTEXT_DEBUG_UX=e.CONTEXT_DEBUG_UX_KEY=e.CONTEXT_DEBUG_STATE=e.CONTEXT_DEBUG_CONFIGURATION_TYPE=e.CONTEXT_DEBUG_TYPE=e.DEBUG_SERVICE_ID=e.REPL_VIEW_ID=e.DEBUG_PANEL_ID=e.DISASSEMBLY_VIEW_ID=e.BREAKPOINTS_VIEW_ID=e.LOADED_SCRIPTS_VIEW_ID=e.CALLSTACK_VIEW_ID=e.WATCH_VIEW_ID=e.VARIABLES_VIEW_ID=e.VIEWLET_ID=void 0,e.VIEWLET_ID="workbench.view.debug",e.VARIABLES_VIEW_ID="workbench.debug.variablesView",e.WATCH_VIEW_ID="workbench.debug.watchExpressionsView",e.CALLSTACK_VIEW_ID="workbench.debug.callStackView",e.LOADED_SCRIPTS_VIEW_ID="workbench.debug.loadedScriptsView",e.BREAKPOINTS_VIEW_ID="workbench.debug.breakPointsView",e.DISASSEMBLY_VIEW_ID="workbench.debug.disassemblyView",e.DEBUG_PANEL_ID="workbench.panel.repl",e.REPL_VIEW_ID="workbench.panel.repl.view",e.DEBUG_SERVICE_ID="debugService",e.CONTEXT_DEBUG_TYPE=new t.RawContextKey("debugType",void 0,{type:"string",description:h.localize(0,null)}),e.CONTEXT_DEBUG_CONFIGURATION_TYPE=new t.RawContextKey("debugConfigurationType",void 0,{type:"string",description:h.localize(1,null)}),e.CONTEXT_DEBUG_STATE=new t.RawContextKey("debugState","inactive",{type:"string",description:h.localize(2,null)}),e.CONTEXT_DEBUG_UX_KEY="debugUx",e.CONTEXT_DEBUG_UX=new t.RawContextKey(e.CONTEXT_DEBUG_UX_KEY,"default",{type:"string",description:h.localize(3,null)}),e.CONTEXT_IN_DEBUG_MODE=new t.RawContextKey("inDebugMode",!1,{type:"boolean",description:h.localize(4,null)}),e.CONTEXT_IN_DEBUG_REPL=new t.RawContextKey("inDebugRepl",!1,{type:"boolean",description:h.localize(5,null)}),e.CONTEXT_BREAKPOINT_WIDGET_VISIBLE=new t.RawContextKey("breakpointWidgetVisible",!1,{type:"boolean",description:h.localize(6,null)}),e.CONTEXT_IN_BREAKPOINT_WIDGET=new t.RawContextKey("inBreakpointWidget",!1,{type:"boolean",description:h.localize(7,null)}),e.CONTEXT_BREAKPOINTS_FOCUSED=new t.RawContextKey("breakpointsFocused",!0,{type:"boolean",description:h.localize(8,null)}),e.CONTEXT_WATCH_EXPRESSIONS_FOCUSED=new t.RawContextKey("watchExpressionsFocused",!0,{type:"boolean",description:h.localize(9,null)}),e.CONTEXT_WATCH_EXPRESSIONS_EXIST=new t.RawContextKey("watchExpressionsExist",!1,{type:"boolean",description:h.localize(10,null)}),e.CONTEXT_VARIABLES_FOCUSED=new t.RawContextKey("variablesFocused",!0,{type:"boolean",description:h.localize(11,null)}),e.CONTEXT_EXPRESSION_SELECTED=new t.RawContextKey("expressionSelected",!1,{type:"boolean",description:h.localize(12,null)}),e.CONTEXT_BREAKPOINT_INPUT_FOCUSED=new t.RawContextKey("breakpointInputFocused",!1,{type:"boolean",description:h.localize(13,null)}),e.CONTEXT_CALLSTACK_ITEM_TYPE=new t.RawContextKey("callStackItemType",void 0,{type:"string",description:h.localize(14,null)}),e.CONTEXT_CALLSTACK_SESSION_IS_ATTACH=new t.RawContextKey("callStackSessionIsAttach",!1,{type:"boolean",description:h.localize(15,null)}),e.CONTEXT_CALLSTACK_ITEM_STOPPED=new t.RawContextKey("callStackItemStopped",!1,{type:"boolean",description:h.localize(16,null)}),e.CONTEXT_CALLSTACK_SESSION_HAS_ONE_THREAD=new t.RawContextKey("callStackSessionHasOneThread",!1,{type:"boolean",description:h.localize(17,null)}),e.CONTEXT_WATCH_ITEM_TYPE=new t.RawContextKey("watchItemType",void 0,{type:"string",description:h.localize(18,null)}),e.CONTEXT_CAN_VIEW_MEMORY=new t.RawContextKey("canViewMemory",void 0,{type:"boolean",description:h.localize(19,null)}),e.CONTEXT_BREAKPOINT_ITEM_TYPE=new t.RawContextKey("breakpointItemType",void 0,{type:"string",description:h.localize(20,null)}),e.CONTEXT_BREAKPOINT_ACCESS_TYPE=new t.RawContextKey("breakpointAccessType",void 0,{type:"string",description:h.localize(21,null)}),e.CONTEXT_BREAKPOINT_SUPPORTS_CONDITION=new t.RawContextKey("breakpointSupportsCondition",!1,{type:"boolean",description:h.localize(22,null)}),e.CONTEXT_LOADED_SCRIPTS_SUPPORTED=new t.RawContextKey("loadedScriptsSupported",!1,{type:"boolean",description:h.localize(23,null)}),e.CONTEXT_LOADED_SCRIPTS_ITEM_TYPE=new t.RawContextKey("loadedScriptsItemType",void 0,{type:"string",description:h.localize(24,null)}),e.CONTEXT_FOCUSED_SESSION_IS_ATTACH=new t.RawContextKey("focusedSessionIsAttach",!1,{type:"boolean",description:h.localize(25,null)}),e.CONTEXT_STEP_BACK_SUPPORTED=new t.RawContextKey("stepBackSupported",!1,{type:"boolean",description:h.localize(26,null)}),e.CONTEXT_RESTART_FRAME_SUPPORTED=new t.RawContextKey("restartFrameSupported",!1,{type:"boolean",description:h.localize(27,null)}),e.CONTEXT_STACK_FRAME_SUPPORTS_RESTART=new t.RawContextKey("stackFrameSupportsRestart",!1,{type:"boolean",description:h.localize(28,null)}),e.CONTEXT_JUMP_TO_CURSOR_SUPPORTED=new t.RawContextKey("jumpToCursorSupported",!1,{type:"boolean",description:h.localize(29,null)}),e.CONTEXT_STEP_INTO_TARGETS_SUPPORTED=new t.RawContextKey("stepIntoTargetsSupported",!1,{type:"boolean",description:h.localize(30,null)}),e.CONTEXT_BREAKPOINTS_EXIST=new t.RawContextKey("breakpointsExist",!1,{type:"boolean",description:h.localize(31,null)}),e.CONTEXT_DEBUGGERS_AVAILABLE=new t.RawContextKey("debuggersAvailable",!1,{type:"boolean",description:h.localize(32,null)}),e.CONTEXT_DEBUG_EXTENSION_AVAILABLE=new t.RawContextKey("debugExtensionAvailable",!1,{type:"boolean",description:h.localize(33,null)}),e.CONTEXT_DEBUG_PROTOCOL_VARIABLE_MENU_CONTEXT=new t.RawContextKey("debugProtocolVariableMenuContext",void 0,{type:"string",description:h.localize(34,null)}),e.CONTEXT_SET_VARIABLE_SUPPORTED=new t.RawContextKey("debugSetVariableSupported",!1,{type:"boolean",description:h.localize(35,null)}),e.CONTEXT_SET_EXPRESSION_SUPPORTED=new t.RawContextKey("debugSetExpressionSupported",!1,{type:"boolean",description:h.localize(36,null)}),e.CONTEXT_BREAK_WHEN_VALUE_CHANGES_SUPPORTED=new t.RawContextKey("breakWhenValueChangesSupported",!1,{type:"boolean",description:h.localize(37,null)}),e.CONTEXT_BREAK_WHEN_VALUE_IS_ACCESSED_SUPPORTED=new t.RawContextKey("breakWhenValueIsAccessedSupported",!1,{type:"boolean",description:h.localize(38,null)}),e.CONTEXT_BREAK_WHEN_VALUE_IS_READ_SUPPORTED=new t.RawContextKey("breakWhenValueIsReadSupported",!1,{type:"boolean",description:h.localize(39,null)}),e.CONTEXT_TERMINATE_DEBUGGEE_SUPPORTED=new t.RawContextKey("terminateDebuggeeSupported",!1,{type:"boolean",description:h.localize(40,null)}),e.CONTEXT_VARIABLE_EVALUATE_NAME_PRESENT=new t.RawContextKey("variableEvaluateNamePresent",!1,{type:"boolean",description:h.localize(41,null)}),e.CONTEXT_VARIABLE_IS_READONLY=new t.RawContextKey("variableIsReadonly",!1,{type:"boolean",description:h.localize(42,null)}),e.CONTEXT_EXCEPTION_WIDGET_VISIBLE=new t.RawContextKey("exceptionWidgetVisible",!1,{type:"boolean",description:h.localize(43,null)}),e.CONTEXT_MULTI_SESSION_REPL=new t.RawContextKey("multiSessionRepl",!1,{type:"boolean",description:h.localize(44,null)}),e.CONTEXT_MULTI_SESSION_DEBUG=new t.RawContextKey("multiSessionDebug",!1,{type:"boolean",description:h.localize(45,null)}),e.CONTEXT_DISASSEMBLE_REQUEST_SUPPORTED=new t.RawContextKey("disassembleRequestSupported",!1,{type:"boolean",description:h.localize(46,null)}),e.CONTEXT_DISASSEMBLY_VIEW_FOCUS=new t.RawContextKey("disassemblyViewFocus",!1,{type:"boolean",description:h.localize(47,null)}),e.CONTEXT_LANGUAGE_SUPPORTS_DISASSEMBLE_REQUEST=new t.RawContextKey("languageSupportsDisassembleRequest",!1,{type:"boolean",description:h.localize(48,null)}),e.CONTEXT_FOCUSED_STACK_FRAME_HAS_INSTRUCTION_POINTER_REFERENCE=new t.RawContextKey("focusedStackFrameHasInstructionReference",!1,{type:"boolean",description:h.localize(49,null)});const A=D=>h.localize(50,null,D);e.debuggerDisabledMessage=A,e.EDITOR_CONTRIBUTION_ID="editor.contrib.debug",e.BREAKPOINT_EDITOR_CONTRIBUTION_ID="editor.contrib.breakpoint",e.DEBUG_SCHEME="debug",e.INTERNAL_CONSOLE_OPTIONS_SCHEMA={enum:["neverOpen","openOnSessionStart","openOnFirstSessionStart"],default:"openOnFirstSessionStart",description:h.localize(51,null)};var C;(function(D){D[D.Inactive=0]="Inactive",D[D.Initializing=1]="Initializing",D[D.Stopped=2]="Stopped",D[D.Running=3]="Running"})(C=e.State||(e.State={}));function k(D){switch(D){case 1:return"initializing";case 2:return"stopped";case 3:return"running";default:return"inactive"}}e.getStateLabel=k;var _;(function(D){D[D.Valid=0]="Valid",D[D.Unreadable=1]="Unreadable",D[D.Error=2]="Error"})(_=e.MemoryRangeType||(e.MemoryRangeType={})),e.DEBUG_MEMORY_SCHEME="vscode-debug-memory";var R;(function(D){D[D.Initial=1]="Initial",D[D.Dynamic=2]="Dynamic"})(R=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={})),e.IDebugService=(0,P.createDecorator)(e.DEBUG_SERVICE_ID);var F;(function(D){D[D.CONDITION=0]="CONDITION",D[D.HIT_COUNT=1]="HIT_COUNT",D[D.LOG_MESSAGE=2]="LOG_MESSAGE"})(F=e.BreakpointWidgetContext||(e.BreakpointWidgetContext={}))}),define(pe[210],ve([1,0,8,2,9,25,10]),function(ee,e,h,t,P,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.saveAllBeforeDebugStart=e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const k=/{([^}]+)}/g;function _(o,n,r){return o.replace(k,function(i,a){return n&&a.length>0&&a[0]!=="_"?i:r&&r.hasOwnProperty(a)?r[a]:i})}e.formatPII=_;function R(o){const n={};for(const r of Object.keys(o))r.startsWith("!")||(n[r]=o[r]);return n}e.filterExceptionsFromTelemetry=R;function F(o){return o.configuration.request==="attach"&&!D(o)&&(!o.parentSession||F(o.parentSession))}e.isSessionAttach=F;function D(o){let n=o.configuration.type;if(!!n)return n==="vslsShare"&&(n=o.configuration.adapterProxy.configuration.type),(0,h.equalsIgnoreCase)(n,"extensionhost")||(0,h.equalsIgnoreCase)(n,"pwa-extensionhost")?o:o.parentSession?D(o.parentSession):void 0}e.getExtensionHostDebugSession=D;function p(o){return o.type&&(o.label||o.program||o.runtime)}e.isDebuggerMainContribution=p;function b(o,n,r){let i,a=0;const m=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g;let d=null;for(;d=m.exec(o);){const E=d.index+1,T=E+d[0].length;if(E<=n&&T>=r){i=d[0],a=E;break}}if(i){const E=/\w+/g;let T=null;for(;(T=E.exec(i))&&!(T.index+1+a+T[0].length>=r););T&&(i=i.substring(0,E.lastIndex))}return i?{start:a,end:a+i.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=b;const g=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function u(o){return!!(o&&o.match(g))}e.isUri=u;function w(o){if(typeof o.path=="string"&&!(typeof o.sourceReference=="number"&&o.sourceReference>0)){if(u(o.path))return t.URI.parse(o.path);if((0,P.isAbsolute)(o.path))return t.URI.file(o.path)}return o.path}function S(o){if(typeof o.path=="object"){const n=t.URI.revive(o.path);if(n)return n.scheme===C.Schemas.file?n.fsPath:n.toString()}return o.path}function I(o,n){const r=n?w:S,i=(0,A.deepClone)(o);return c(i,(a,m)=>{a&&m&&(m.path=r(m))}),i}e.convertToDAPaths=I;function l(o,n){const r=n?w:S,i=(0,A.deepClone)(o);return c(i,(a,m)=>{!a&&m&&(m.path=r(m))}),i}e.convertToVSCPaths=l;function c(o,n){switch(o.type){case"event":{const r=o;switch(r.event){case"output":n(!1,r.body.source);break;case"loadedSource":n(!1,r.body.source);break;case"breakpoint":n(!1,r.body.breakpoint.source);break;default:break}break}case"request":{const r=o;switch(r.command){case"setBreakpoints":n(!0,r.arguments.source);break;case"breakpointLocations":n(!0,r.arguments.source);break;case"source":n(!0,r.arguments.source);break;case"gotoTargets":n(!0,r.arguments.source);break;case"launchVSCode":r.arguments.args.forEach(i=>n(!1,i));break;default:break}break}case"response":{const r=o;if(r.success&&r.body)switch(r.command){case"stackTrace":r.body.stackFrames.forEach(i=>n(!1,i.source));break;case"loadedSources":r.body.sources.forEach(i=>n(!1,i));break;case"scopes":r.body.scopes.forEach(i=>n(!1,i.source));break;case"setFunctionBreakpoints":r.body.breakpoints.forEach(i=>n(!1,i.source));break;case"setBreakpoints":r.body.breakpoints.forEach(i=>n(!1,i.source));break;case"disassemble":{const i=r;i.body&&i.body.instructions.forEach(a=>n(!1,a.location))}break;default:break}break}}}function f(o){return o.filter(n=>!n.presentation?.hidden).sort((n,r)=>n.presentation?r.presentation?n.presentation.group?r.presentation.group?n.presentation.group!==r.presentation.group?n.presentation.group.localeCompare(r.presentation.group):s(n.presentation.order,r.presentation.order):-1:r.presentation.group?1:s(n.presentation.order,r.presentation.order):-1:r.presentation?1:0)}e.getVisibleAndSorted=f;function s(o,n){return typeof o!="number"?typeof n!="number"?0:1:typeof n!="number"?-1:o-n}async function v(o,n){const r=o.getValue("debug.saveBeforeStart",{overrideIdentifier:n.activeTextEditorLanguageId});if(r!=="none"&&(await n.saveAll(),r==="allEditorsInActiveGroup")){const i=n.activeEditorPane;i&&i.input.resource?.scheme===C.Schemas.untitled&&await n.save({editor:i.input,groupId:i.group.id})}await o.reloadConfiguration()}e.saveAllBeforeDebugStart=v}),define(pe[211],ve([1,0,28,38,178,127,9,8,25,12,194,126]),function(ee,e,h,t,P,A,C,k,_,R,F,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExecutableDebugAdapter=e.NamedPipeDebugAdapter=e.SocketDebugAdapter=e.NetworkDebugAdapter=e.StreamDebugAdapter=void 0;class p extends D.AbstractDebugAdapter{constructor(){super();this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1}connect(I,l){this.outputStream=l,this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1,I.on("data",c=>this.handleData(c))}sendMessage(I){if(this.outputStream){const l=JSON.stringify(I);this.outputStream.write(`Content-Length: ${Buffer.byteLength(l,"utf8")}${p.TWO_CRLF}${l}`,"utf8")}}handleData(I){for(this.rawData=Buffer.concat([this.rawData,I]);;){if(this.contentLength>=0){if(this.rawData.length>=this.contentLength){const l=this.rawData.toString("utf8",0,this.contentLength);if(this.rawData=this.rawData.slice(this.contentLength),this.contentLength=-1,l.length>0)try{this.acceptMessage(JSON.parse(l))}catch(c){this._onError.fire(new Error((c.message||c)+`
`+l))}continue}}else{const l=this.rawData.indexOf(p.TWO_CRLF);if(l!==-1){const f=this.rawData.toString("utf8",0,l).split(p.HEADER_LINESEPARATOR);for(const s of f){const v=s.split(p.HEADER_FIELDSEPARATOR);v[0]==="Content-Length"&&(this.contentLength=Number(v[1]))}this.rawData=this.rawData.slice(l+p.TWO_CRLF.length);continue}}break}}}e.StreamDebugAdapter=p,p.TWO_CRLF=`\r
\r
`,p.HEADER_LINESEPARATOR=/\r?\n/,p.HEADER_FIELDSEPARATOR=/: */;class b extends p{startSession(){return new Promise((I,l)=>{let c=!1;this.socket=this.createConnection(()=>{this.connect(this.socket,this.socket),I(),c=!0}),this.socket.on("close",()=>{c?this._onError.fire(new Error("connection closed")):l(new Error("connection closed"))}),this.socket.on("error",f=>{c?this._onError.fire(f):l(f)})})}async stopSession(){await this.cancelPendingRequests(),this.socket&&(this.socket.end(),this.socket=void 0)}}e.NetworkDebugAdapter=b;class g extends b{constructor(I){super();this.adapterServer=I}createConnection(I){return A.createConnection(this.adapterServer.port,this.adapterServer.host||"127.0.0.1",I)}}e.SocketDebugAdapter=g;class u extends b{constructor(I){super();this.adapterServer=I}createConnection(I){return A.createConnection(this.adapterServer.path,I)}}e.NamedPipeDebugAdapter=u;class w extends p{constructor(I,l,c){super();this.adapterExecutable=I,this.debugType=l,this.outputService=c}async startSession(){const I=this.adapterExecutable.command,l=this.adapterExecutable.args,c=this.adapterExecutable.options||{};try{if(I)if(C.isAbsolute(I)){if(!await h.Promises.exists(I))throw new Error(P.localize(0,null,I))}else I.indexOf("/")<0&&I.indexOf("\\")<0;else throw new Error(P.localize(1,null,this.debugType));let f=process.env;if(c.env&&Object.keys(c.env).length>0&&(f=_.mixin(_.deepClone(process.env),c.env)),I==="node")if(Array.isArray(l)&&l.length>0){const v=!!process.env.ELECTRON_RUN_AS_NODE||!!process.versions.electron,o={env:f,execArgv:v?["-e","delete process.env.ELECTRON_RUN_AS_NODE;require(process.argv[1])"]:[],silent:!0};c.cwd&&(o.cwd=c.cwd);const n=t.fork(l[0],l.slice(1),o);if(!n.pid)throw new Error(P.localize(2,null,l[0]));this.serverProcess=n}else throw new Error(P.localize(3,null));else{const v={env:f};c.cwd&&(v.cwd=c.cwd),this.serverProcess=t.spawn(I,l,v)}this.serverProcess.on("error",v=>{this._onError.fire(v)}),this.serverProcess.on("exit",(v,o)=>{this._onExit.fire(v)}),this.serverProcess.stdout.on("close",()=>{this._onError.fire(new Error("read error"))}),this.serverProcess.stdout.on("error",v=>{this._onError.fire(v)}),this.serverProcess.stdin.on("error",v=>{this._onError.fire(v)});const s=this.outputService;if(s){const v=o=>o.toString().replace(/\r?\n$/mg,"");this.serverProcess.stderr.on("data",o=>{const n=s.getChannel(F.ExtensionsChannelId);n&&n.append(v(o))})}else this.serverProcess.stderr.resume();this.connect(this.serverProcess.stdout,this.serverProcess.stdin)}catch(f){this._onError.fire(f)}}async stopSession(){return this.serverProcess?(await this.cancelPendingRequests(),R.isWindows?new Promise((I,l)=>{const c=t.exec(`taskkill /F /T /PID ${this.serverProcess.pid}`,function(f,s,v){if(f)return l(f)});c.on("exit",I),c.on("error",l)}):(this.serverProcess.kill("SIGTERM"),Promise.resolve(void 0))):Promise.resolve(void 0)}static extract(I,l){if(!I)return;const c=Object.create(null);I.runtime&&(I.runtime.indexOf("./")===0?c.runtime=C.join(l,I.runtime):c.runtime=I.runtime),I.runtimeArgs&&(c.runtimeArgs=I.runtimeArgs),I.program&&(C.isAbsolute(I.program)?c.program=I.program:c.program=C.join(l,I.program)),I.args&&(c.args=I.args);const f=I;return f.win&&(c.win=w.extract(f.win,l)),f.winx86&&(c.winx86=w.extract(f.winx86,l)),f.windows&&(c.windows=w.extract(f.windows,l)),f.osx&&(c.osx=w.extract(f.osx,l)),f.linux&&(c.linux=w.extract(f.linux,l)),c}static platformAdapterExecutable(I,l){let c=Object.create(null);l=l.toLowerCase();for(const r of I)if(r.contributes){const i=r.contributes.debuggers;i&&i.length>0&&i.filter(a=>typeof a.type=="string"&&k.equalsIgnoreCase(a.type,l)).forEach(a=>{const m=w.extract(a,r.extensionLocation.fsPath);c=_.mixin(c,m,r.isBuiltin)})}let f;R.isWindows&&!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432")?f=c.winx86||c.win||c.windows:R.isWindows?f=c.win||c.windows:R.isMacintosh?f=c.osx:R.isLinux&&(f=c.linux),f=f||c;const s=f.program||c.program,v=f.args||c.args,o=f.runtime||c.runtime,n=f.runtimeArgs||c.runtimeArgs;if(o)return{type:"executable",command:o,args:(n||[]).concat(typeof s=="string"?[s]:[]).concat(v||[])};if(s)return{type:"executable",command:s,args:v||[]}}}e.ExecutableDebugAdapter=w}),define(pe[212],ve([1,0,38,29,12]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prepareCommand=e.hasChildProcesses=void 0;function A(R,F){return new Promise((D,p)=>{let b="";const g=h.spawn(R,F);g.pid&&g.stdout.on("data",u=>{b+=u.toString()}),g.on("error",u=>{p(u)}),g.on("close",u=>{D(b)})})}async function C(R){if(R)if(P.isWindows){const F=await new Promise((D,p)=>{ee(["windows-process-tree"],D,p)});return new Promise(D=>{F.getProcessTree(R,p=>{D(p.children.length>0)})})}else return A("/usr/bin/pgrep",["-lP",String(R)]).then(F=>{const D=F.trim();return!(D.length===0||D.indexOf(" tmux")>=0)},F=>!0);return Promise.resolve(!0)}e.hasChildProcesses=C;var k;(function(R){R[R.cmd=0]="cmd",R[R.powershell=1]="powershell",R[R.bash=2]="bash"})(k||(k={}));function _(R,F,D,p){R=R.trim().toLowerCase();let b;R.indexOf("powershell")>=0||R.indexOf("pwsh")>=0?b=1:R.indexOf("cmd.exe")>=0?b=0:R.indexOf("bash")>=0?b=2:P.isWindows?b=0:b=2;let g,u=" ";switch(b){case 1:if(g=w=>(w=w.replace(/\'/g,"''"),w.length>0&&w.charAt(w.length-1)==="\\"?`'${w}\\'`:`'${w}'`),D){const w=(0,t.getDriveLetter)(D);w&&(u+=`${w}:; `),u+=`cd ${g(D)}; `}if(p)for(const w in p){const S=p[w];S===null?u+=`Remove-Item env:${w}; `:u+=`\${env:${w}}='${S}'; `}if(F.length>0){const w=g(F.shift());u+=w[0]==="'"?`& ${w} `:`${w} `;for(const S of F)u+=`${g(S)} `}break;case 0:if(g=w=>(w=w.replace(/\"/g,'""'),w.indexOf(" ")>=0||w.indexOf('"')>=0||w.length===0?`"${w}"`:w),D){const w=(0,t.getDriveLetter)(D);w&&(u+=`${w}: && `),u+=`cd ${g(D)} && `}if(p){u+='cmd /C "';for(const w in p){let S=p[w];S===null?u+=`set "${w}=" && `:(S=S.replace(/[\^\&\|\<\>]/g,I=>`^${I}`),u+=`set "${w}=${S}" && `)}}for(const w of F)u+=`${g(w)} `;p&&(u+='"');break;case 2:{g=S=>(S=S.replace(/(["'\\\$])/g,"\\$1"),S.indexOf(" ")>=0||S.indexOf(";")>=0||S.length===0?`"${S}"`:S);const w=S=>/[^\w@%\/+=,.:^-]/.test(S)?`'${S.replace(/'/g,"'\\''")}'`:S;if(D&&(u+=`cd ${g(D)} ; `),p){u+="/usr/bin/env";for(const S in p){const I=p[S];I===null?u+=` -u ${w(S)}`:u+=` ${w(`${S}=${I}`)}`}u+=" "}for(const S of F)u+=`${g(S)} `;break}}return u}e.prepareCommand=_}),define(pe[128],ve([1,0,32,77,92,10,9,12,62]),function(ee,e,h,t,P,A,C,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookWorkingCopyTypeIdentifier=e.CellStatusbarAlignment=e.NotebookSetting=e.CellSequence=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.MimeTypeDisplayOrder=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookCellExecutionState=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.RENDERER_EQUIVALENT_EXTENSIONS=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=e.NOTEBOOK_DIFF_EDITOR_ID=e.NOTEBOOK_EDITOR_ID=void 0,e.NOTEBOOK_EDITOR_ID="workbench.editor.notebook",e.NOTEBOOK_DIFF_EDITOR_ID="workbench.editor.notebookTextDiffEditor";var R;(function(i){i[i.Markup=1]="Markup",i[i.Code=2]="Code"})(R=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml",P.Mimes.latex,P.Mimes.markdown,"image/png","image/jpeg",P.Mimes.text],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=[P.Mimes.latex,P.Mimes.markdown,"application/json",P.Mimes.text,"text/html","image/svg+xml","image/png","image/jpeg"],e.RENDERER_EQUIVALENT_EXTENSIONS=new Map([["ms-toolsai.jupyter",new Set(["jupyter-notebook","interactive"])],["ms-toolsai.jupyter-renderers",new Set(["jupyter-notebook","interactive"])]]),e.RENDERER_NOT_AVAILABLE="_notAvailable";var F;(function(i){i[i.Running=1]="Running",i[i.Idle=2]="Idle"})(F=e.NotebookRunState||(e.NotebookRunState={}));var D;(function(i){i[i.Unconfirmed=1]="Unconfirmed",i[i.Pending=2]="Pending",i[i.Executing=3]="Executing"})(D=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var p;(function(i){i[i.WithHardKernelDependency=0]="WithHardKernelDependency",i[i.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",i[i.Pure=2]="Pure",i[i.Never=3]="Never"})(p=e.NotebookRendererMatch||(e.NotebookRendererMatch={}));var b;(function(i){i.Always="always",i.Never="never",i.Optional="optional"})(b=e.RendererMessagingSpec||(e.RendererMessagingSpec={}));var g;(function(i){i[i.ModelChange=1]="ModelChange",i[i.Move=2]="Move",i[i.ChangeLanguage=5]="ChangeLanguage",i[i.Initialize=6]="Initialize",i[i.ChangeCellMetadata=7]="ChangeCellMetadata",i[i.Output=8]="Output",i[i.OutputItem=9]="OutputItem",i[i.ChangeCellContent=10]="ChangeCellContent",i[i.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",i[i.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",i[i.ChangeCellMime=13]="ChangeCellMime",i[i.Unknown=100]="Unknown"})(g=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var u;(function(i){i[i.Handle=0]="Handle",i[i.Index=1]="Index"})(u=e.SelectionStateType||(e.SelectionStateType={}));var w;(function(i){i[i.Replace=1]="Replace",i[i.Output=2]="Output",i[i.Metadata=3]="Metadata",i[i.CellLanguage=4]="CellLanguage",i[i.DocumentMetadata=5]="DocumentMetadata",i[i.Move=6]="Move",i[i.OutputItems=7]="OutputItems",i[i.PartialMetadata=8]="PartialMetadata",i[i.PartialInternalMetadata=9]="PartialInternalMetadata"})(w=e.CellEditType||(e.CellEditType={}));var S;(function(i){i.scheme=A.Schemas.vscodeNotebookCell;const a=/^ch(\d{7,})/;function m(y,B){return y.with({scheme:i.scheme,fragment:`ch${B.toString().padStart(7,"0")}${y.scheme!==A.Schemas.file?y.scheme:""}`})}i.generate=m;function d(y){if(y.scheme!==i.scheme)return;const B=a.exec(y.fragment);return B?{handle:Number(B[1]),notebook:y.with({scheme:y.fragment.substring(B[0].length)||A.Schemas.file,fragment:null})}:void 0}i.parse=d;function E(y,B){return y.with({scheme:A.Schemas.vscodeNotebookCellOutput,fragment:`op${B??""},${y.scheme!==A.Schemas.file?y.scheme:""}`})}i.generateCellOutputUri=E;function T(y){if(y.scheme!==A.Schemas.vscodeNotebookCellOutput)return;const B=/^op([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?\,(.*)$/i.exec(y.fragment);if(!B)return;const M=B[1]&&B[1]!==""?B[1]:void 0,z=B[2];return{outputId:M,notebook:y.with({scheme:z||A.Schemas.file,fragment:null})}}i.parseCellOutputUri=T;function L(y,B,M){return y.with({scheme:M,fragment:`ch${B.toString().padStart(7,"0")}${y.scheme!==A.Schemas.file?y.scheme:""}`})}i.generateCellUri=L;function O(y,B){if(y.scheme!==B)return;const M=a.exec(y.fragment);return M?{handle:Number(M[1]),notebook:y.with({scheme:y.fragment.substring(M[0].length)||A.Schemas.file,fragment:null})}:void 0}i.parseCellUri=O})(S=e.CellUri||(e.CellUri={}));const I=i=>k.isWindows?i.replace(/\//g,"\\"):i;class l{constructor(a=[],m=e.NOTEBOOK_DISPLAY_ORDER){this.defaultOrder=m,this.order=[...new Set(a)].map(d=>({pattern:d,matches:h.parse(I(d))}))}sort(a){const m=new Map(t.Iterable.map(a,E=>[E,I(E)]));let d=[];for(const{matches:E}of this.order)for(const[T,L]of m)if(E(L)){d.push(T),m.delete(T);break}return m.size&&(d=d.concat([...m.keys()].sort((E,T)=>this.defaultOrder.indexOf(E)-this.defaultOrder.indexOf(T)))),d}prioritize(a,m){const d=this.findIndex(a);if(d===-1){this.order.unshift({pattern:a,matches:h.parse(I(a))});return}const E=new Set(m.map(L=>this.findIndex(L,d)));E.delete(-1);const T=Array.from(E).sort();this.order.splice(d+1,0,...T.map(L=>this.order[L]));for(let L=T.length-1;L>=0;L--)this.order.splice(T[L],1)}toArray(){return this.order.map(a=>a.pattern)}findIndex(a,m=this.order.length){const d=I(a);for(let E=0;E<m;E++)if(this.order[E].matches(d))return E;return-1}}e.MimeTypeDisplayOrder=l;function c(i,a,m,d=(E,T)=>E===T){const E=[];function T(y,B,M){if(B===0&&M.length===0)return;const z=E[E.length-1];z&&z.start+z.deleteCount===y?(z.deleteCount+=B,z.toInsert.push(...M)):E.push({start:y,deleteCount:B,toInsert:M})}let L=0,O=0;for(;;){if(L===i.length){T(L,0,a.slice(O));break}if(O===a.length){T(L,i.length-L,[]);break}const y=i[L],B=a[O];if(d(y,B)){L+=1,O+=1;continue}m(B)?(T(L,1,[]),L+=1):(T(L,0,[B]),O+=1)}return E}e.diff=c,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new _.RawContextKey("notebookEditorCursorAtBoundary","none");var f;(function(i){i.default="default",i.option="option"})(f=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function s(i){const a=i;return!!((typeof a.include=="string"||h.isRelativePattern(a.include))&&(typeof a.exclude=="string"||h.isRelativePattern(a.exclude)))}e.isDocumentExcludePattern=s;function v(i,a,m){if(Array.isArray(i.viewType)&&i.viewType.indexOf(a)>=0||i.viewType===a)return!0;if(i.filenamePattern){const d=s(i.filenamePattern)?i.filenamePattern.include:i.filenamePattern,E=s(i.filenamePattern)?i.filenamePattern.exclude:void 0;if(h.match(d,(0,C.basename)(m.fsPath).toLowerCase()))return!(E&&h.match(E,(0,C.basename)(m.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=v;class o{constructor(a){this.textModel=a}getElements(){const a=new Int32Array(this.textModel.cells.length);for(let m=0;m<this.textModel.cells.length;m++)a[m]=this.textModel.cells[m].getHashValue();return a}}e.CellSequence=o,e.NotebookSetting={displayOrder:"notebook.displayOrder",cellToolbarLocation:"notebook.cellToolbarLocation",cellToolbarVisibility:"notebook.cellToolbarVisibility",showCellStatusBar:"notebook.showCellStatusBar",textDiffEditorPreview:"notebook.diff.enablePreview",experimentalInsertToolbarAlignment:"notebook.experimental.insertToolbarAlignment",compactView:"notebook.compactView",focusIndicator:"notebook.cellFocusIndicator",insertToolbarLocation:"notebook.insertToolbarLocation",globalToolbar:"notebook.globalToolbar",undoRedoPerCell:"notebook.undoRedoPerCell",consolidatedOutputButton:"notebook.consolidatedOutputButton",showFoldingControls:"notebook.showFoldingControls",dragAndDropEnabled:"notebook.dragAndDropEnabled",cellEditorOptionsCustomizations:"notebook.editorOptionsCustomizations",consolidatedRunButton:"notebook.consolidatedRunButton",openGettingStarted:"notebook.experimental.openGettingStarted",textOutputLineLimit:"notebook.output.textLineLimit",globalToolbarShowLabel:"notebook.globalToolbarShowLabel",markupFontSize:"notebook.markup.fontSize",interactiveWindowCollapseCodeCells:"interactiveWindow.collapseCellInputCode"};var n;(function(i){i[i.Left=1]="Left",i[i.Right=2]="Right"})(n=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));class r{static create(a){return`${r._prefix}${a}`}static parse(a){if(a.startsWith(r._prefix))return a.substring(r._prefix.length)}}e.NotebookWorkingCopyTypeIdentifier=r,r._prefix="notebook/"}),define(pe[213],ve([1,0,4]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INotebookExecutionService=e.CellExecutionUpdateType=void 0;var t;(function(P){P[P.Output=1]="Output",P[P.OutputItems=2]="OutputItems",P[P.ExecutionState=3]="ExecutionState"})(t=e.CellExecutionUpdateType||(e.CellExecutionUpdateType={})),e.INotebookExecutionService=(0,h.createDecorator)("INotebookExecutionService")}),define(pe[214],ve([1,0,4,62]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutputChannelUpdateMode=e.IOutputService=e.CONTEXT_OUTPUT_SCROLL_LOCK=e.CONTEXT_ACTIVE_LOG_OUTPUT=e.CONTEXT_IN_OUTPUT=e.MAX_OUTPUT_LENGTH=e.OUTPUT_SERVICE_ID=e.OUTPUT_VIEW_ID=e.LOG_MODE_ID=e.LOG_SCHEME=e.LOG_MIME=e.OUTPUT_MODE_ID=e.OUTPUT_SCHEME=e.OUTPUT_MIME=void 0,e.OUTPUT_MIME="text/x-code-output",e.OUTPUT_SCHEME="output",e.OUTPUT_MODE_ID="Log",e.LOG_MIME="text/x-code-log-output",e.LOG_SCHEME="log",e.LOG_MODE_ID="log",e.OUTPUT_VIEW_ID="workbench.panel.output",e.OUTPUT_SERVICE_ID="outputService",e.MAX_OUTPUT_LENGTH=1e4*100,e.CONTEXT_IN_OUTPUT=new t.RawContextKey("inOutput",!1),e.CONTEXT_ACTIVE_LOG_OUTPUT=new t.RawContextKey("activeLogOutput",!1),e.CONTEXT_OUTPUT_SCROLL_LOCK=new t.RawContextKey("outputView.scrollLock",!1),e.IOutputService=(0,h.createDecorator)(e.OUTPUT_SERVICE_ID);var P;(function(A){A[A.Append=1]="Append",A[A.Replace=2]="Replace",A[A.Clear=3]="Clear"})(P=e.OutputChannelUpdateMode||(e.OutputChannelUpdateMode={}))}),define(pe[215],ve([1,0,179,4,62]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USER_TASKS_GROUP_KEY=e.ITaskService=e.ProcessExecutionSupportedContext=e.ShellExecutionSupportedContext=e.CustomExecutionSupportedContext=void 0,e.CustomExecutionSupportedContext=new P.RawContextKey("customExecutionSupported",!0,h.localize(0,null)),e.ShellExecutionSupportedContext=new P.RawContextKey("shellExecutionSupported",!1,h.localize(1,null)),e.ProcessExecutionSupportedContext=new P.RawContextKey("processExecutionSupported",!1,h.localize(2,null)),e.ITaskService=(0,t.createDecorator)("taskService"),e.USER_TASKS_GROUP_KEY="settings"}),define(pe[216],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function h(P){return[...P.entries()]}e.serializeEnvironmentVariableCollection=h;function t(P){return new Map(P)}e.deserializeEnvironmentVariableCollection=t}),define(pe[84],ve([1,0,2,35]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.TestsDiffOp=e.TestDiffOpType=e.DetailType=e.TestResultItem=e.applyTestItemUpdate=e.ITestItemUpdate=e.InternalTestItem=e.TestItemExpandState=e.ITestItem=e.denamespaceTestTag=e.namespaceTestTag=e.ITestTaskState=e.ITestMessage=e.ITestOutputMessage=e.ITestErrorMessage=e.TestMessageType=e.IRichLocation=e.testRunProfileBitsetList=e.TestRunProfileBitset=e.TestResultState=void 0;var P;(function(r){r[r.Unset=0]="Unset",r[r.Queued=1]="Queued",r[r.Running=2]="Running",r[r.Passed=3]="Passed",r[r.Failed=4]="Failed",r[r.Skipped=5]="Skipped",r[r.Errored=6]="Errored"})(P=e.TestResultState||(e.TestResultState={}));var A;(function(r){r[r.Run=2]="Run",r[r.Debug=4]="Debug",r[r.Coverage=8]="Coverage",r[r.HasNonDefaultProfile=16]="HasNonDefaultProfile",r[r.HasConfigurable=32]="HasConfigurable"})(A=e.TestRunProfileBitset||(e.TestRunProfileBitset={})),e.testRunProfileBitsetList=[2,4,8,16];var C;(function(r){r.serialize=i=>({range:i.range.toJSON(),uri:i.uri.toJSON()}),r.deserialize=i=>({range:t.Range.lift(i.range),uri:h.URI.revive(i.uri)})})(C=e.IRichLocation||(e.IRichLocation={}));var k;(function(r){r[r.Error=0]="Error",r[r.Info=1]="Info"})(k=e.TestMessageType||(e.TestMessageType={}));var _;(function(r){r.serialize=i=>({message:i.message,type:0,expected:i.expected,actual:i.actual,location:i.location&&C.serialize(i.location)}),r.deserialize=i=>({message:i.message,type:0,expected:i.expected,actual:i.actual,location:i.location&&C.deserialize(i.location)})})(_=e.ITestErrorMessage||(e.ITestErrorMessage={}));var R;(function(r){r.serialize=i=>({message:i.message,type:1,offset:i.offset,location:i.location&&C.serialize(i.location)}),r.deserialize=i=>({message:i.message,type:1,offset:i.offset,location:i.location&&C.deserialize(i.location)})})(R=e.ITestOutputMessage||(e.ITestOutputMessage={}));var F;(function(r){r.serialize=i=>i.type===0?_.serialize(i):R.serialize(i),r.deserialize=i=>i.type===0?_.deserialize(i):R.deserialize(i)})(F=e.ITestMessage||(e.ITestMessage={}));var D;(function(r){r.serialize=i=>({state:i.state,duration:i.duration,messages:i.messages.map(F.serialize)}),r.deserialize=i=>({state:i.state,duration:i.duration,messages:i.messages.map(F.deserialize)})})(D=e.ITestTaskState||(e.ITestTaskState={}));const p="\0",b=(r,i)=>r+p+i;e.namespaceTestTag=b;const g=r=>{const i=r.indexOf(p);return{ctrlId:r.slice(0,i),tagId:r.slice(i+1)}};e.denamespaceTestTag=g;var u;(function(r){r.serialize=i=>({extId:i.extId,label:i.label,tags:i.tags,busy:i.busy,children:void 0,uri:i.uri?.toJSON(),range:i.range?.toJSON()||null,description:i.description,error:i.error,sortText:i.sortText}),r.deserialize=i=>({extId:i.extId,label:i.label,tags:i.tags,busy:i.busy,children:void 0,uri:i.uri?h.URI.revive(i.uri):void 0,range:i.range?t.Range.lift(i.range):null,description:i.description,error:i.error,sortText:i.sortText})})(u=e.ITestItem||(e.ITestItem={}));var w;(function(r){r[r.NotExpandable=0]="NotExpandable",r[r.Expandable=1]="Expandable",r[r.BusyExpanding=2]="BusyExpanding",r[r.Expanded=3]="Expanded"})(w=e.TestItemExpandState||(e.TestItemExpandState={}));var S;(function(r){r.serialize=i=>({controllerId:i.controllerId,expand:i.expand,parent:i.parent,item:u.serialize(i.item)}),r.deserialize=i=>({controllerId:i.controllerId,expand:i.expand,parent:i.parent,item:u.deserialize(i.item)})})(S=e.InternalTestItem||(e.InternalTestItem={}));var I;(function(r){r.serialize=i=>{let a;return i.item&&(a={},i.item.label!==void 0&&(a.label=i.item.label),i.item.tags!==void 0&&(a.tags=i.item.tags),i.item.busy!==void 0&&(a.busy=i.item.busy),i.item.uri!==void 0&&(a.uri=i.item.uri?.toJSON()),i.item.range!==void 0&&(a.range=i.item.range?.toJSON()),i.item.description!==void 0&&(a.description=i.item.description),i.item.error!==void 0&&(a.error=i.item.error),i.item.sortText!==void 0&&(a.sortText=i.item.sortText)),{extId:i.extId,expand:i.expand,item:a}},r.deserialize=i=>{let a;return i.item&&(a={},i.item.label!==void 0&&(a.label=i.item.label),i.item.tags!==void 0&&(a.tags=i.item.tags),i.item.busy!==void 0&&(a.busy=i.item.busy),i.item.range!==void 0&&(a.range=i.item.range?t.Range.lift(i.item.range):null),i.item.description!==void 0&&(a.description=i.item.description),i.item.error!==void 0&&(a.error=i.item.error),i.item.sortText!==void 0&&(a.sortText=i.item.sortText)),{extId:i.extId,expand:i.expand,item:a}}})(I=e.ITestItemUpdate||(e.ITestItemUpdate={}));const l=(r,i)=>{i.expand!==void 0&&(r.expand=i.expand),i.item!==void 0&&(r.item=r.item?Object.assign(r.item,i.item):i.item)};e.applyTestItemUpdate=l;var c;(function(r){r.serialize=(i,a)=>({...S.serialize(i),children:a,ownComputedState:i.ownComputedState,computedState:i.computedState,tasks:i.tasks.map(D.serialize)})})(c=e.TestResultItem||(e.TestResultItem={}));var f;(function(r){r[r.Function=0]="Function",r[r.Statement=1]="Statement"})(f=e.DetailType||(e.DetailType={}));var s;(function(r){r[r.Add=0]="Add",r[r.Update=1]="Update",r[r.Remove=2]="Remove",r[r.IncrementPendingExtHosts=3]="IncrementPendingExtHosts",r[r.Retire=4]="Retire",r[r.AddTag=5]="AddTag",r[r.RemoveTag=6]="RemoveTag"})(s=e.TestDiffOpType||(e.TestDiffOpType={}));var v;(function(r){r.deserialize=i=>i.op===0?{op:i.op,item:S.deserialize(i.item)}:i.op===1?{op:i.op,item:I.deserialize(i.item)}:i,r.serialize=i=>i.op===0?{op:i.op,item:S.serialize(i.item)}:i.op===1?{op:i.op,item:I.serialize(i.item)}:i})(v=e.TestsDiffOp||(e.TestsDiffOp={}));class o{add(i){}update(i){}remove(i,a){}complete(){}}e.IncrementalChangeCollector=o;class n{constructor(){this._tags=new Map,this.items=new Map,this.roots=new Set,this.busyControllerCount=0,this.pendingRootCount=0,this.tags=this._tags}apply(i){const a=this.createChangeCollector();for(const m of i)switch(m.op){case 0:{const d=S.deserialize(m.item);if(d.parent){if(this.items.has(d.parent)){const E=this.items.get(d.parent);E.children.add(d.item.extId);const T=this.createItem(d,E);this.items.set(d.item.extId,T),a.add(T)}}else{const E=this.createItem(d);this.roots.add(E),this.items.set(d.item.extId,E),a.add(E)}d.expand===2&&this.busyControllerCount++;break}case 1:{const d=I.deserialize(m.item),E=this.items.get(d.extId);if(!E)break;d.expand!==void 0&&(E.expand===2&&this.busyControllerCount--,d.expand===2&&this.busyControllerCount++),(0,e.applyTestItemUpdate)(E,d),a.update(E);break}case 2:{const d=this.items.get(m.itemId);if(!d)break;d.parent?this.items.get(d.parent).children.delete(d.item.extId):this.roots.delete(d);const E=[[m.itemId]];for(;E.length;)for(const T of E.pop()){const L=this.items.get(T);L&&(E.push(L.children),this.items.delete(T),a.remove(L,L!==d),L.expand===2&&this.busyControllerCount--)}break}case 4:this.retireTest(m.itemId);break;case 3:this.updatePendingRoots(m.amount);break;case 5:this._tags.set(m.tag.id,m.tag);break;case 6:this._tags.delete(m.id);break}a.complete()}retireTest(i){}updatePendingRoots(i){this.pendingRootCount+=i}createChangeCollector(){return new o}}e.AbstractIncrementalTestCollection=n}),define(pe[85],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestId=e.TestPosition=e.TestIdPathParts=void 0;var h;(function(A){A.Delimiter="\0"})(h=e.TestIdPathParts||(e.TestIdPathParts={}));var t;(function(A){A[A.IsSame=0]="IsSame",A[A.Disconnected=1]="Disconnected",A[A.IsChild=2]="IsChild",A[A.IsParent=3]="IsParent"})(t=e.TestPosition||(e.TestPosition={}));class P{constructor(C,k=C.length){if(this.path=C,this.viewEnd=k,C.length===0||k<1)throw new Error("cannot create test with empty path")}static fromExtHostTestItem(C,k,_=C.parent){if(C.id===k)return new P([k]);let R=[C.id];for(let F=_;F&&F.id!==k;F=F.parent)R.push(F.id);return R.push(k),new P(R.reverse())}static isRoot(C){return!C.includes("\0")}static root(C){const k=C.indexOf("\0");return k===-1?C:C.slice(0,k)}static fromString(C){return new P(C.split("\0"))}static join(C,k){return new P([...C.path,k])}static joinToString(C,k){return C.toString()+"\0"+k}static compare(C,k){return C===k?0:k.startsWith(C+"\0")?2:C.startsWith(k+"\0")?3:1}get parentId(){return this.viewEnd>1?new P(this.path,this.viewEnd-1):this}get localId(){return this.path[this.viewEnd-1]}get controllerId(){return this.path[0]}get isRoot(){return this.viewEnd===1}*idsFromRoot(){for(let C=1;C<=this.viewEnd;C++)yield new P(this.path,C)}compare(C){if(typeof C=="string")return P.compare(this.toString(),C);for(let k=0;k<C.viewEnd&&k<this.viewEnd;k++)if(C.path[k]!==this.path[k])return 1;return C.viewEnd>this.viewEnd?2:C.viewEnd<this.viewEnd?3:0}toJSON(){return this.toString()}toString(){if(!this.stringifed){this.stringifed=this.path[0];for(let C=1;C<this.viewEnd;C++)this.stringifed+="\0",this.stringifed+=this.path[C]}return this.stringifed}}e.TestId=P}),define(pe[217],ve([1,0,9,41,13,25,12,100,180]),function(ee,e,h,t,P,A,C,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class R{constructor(D,p,b,g){this._contributedVariables=new Map,this._context=D,this._labelService=p,this._userHomePromise=b,g&&(this._envVariablesPromise=g.then(u=>this.prepareEnv(u)))}prepareEnv(D){if(C.isWindows){const p=Object.create(null);return Object.keys(D).forEach(b=>{p[b.toLowerCase()]=D[b]}),p}return D}resolveWithEnvironment(D,p,b){return this.recursiveResolve(this.prepareEnv(D),p?p.uri:void 0,b)}async resolveAsync(D,p){const b={env:await this._envVariablesPromise,userHome:await this._userHomePromise};return this.recursiveResolve(b,D?D.uri:void 0,p)}async resolveAnyBase(D,p,b,g){const u=A.deepClone(p);C.isWindows&&u.windows?Object.keys(u.windows).forEach(S=>u[S]=u.windows[S]):C.isMacintosh&&u.osx?Object.keys(u.osx).forEach(S=>u[S]=u.osx[S]):C.isLinux&&u.linux&&Object.keys(u.linux).forEach(S=>u[S]=u.linux[S]),delete u.windows,delete u.osx,delete u.linux;const w={env:await this._envVariablesPromise,userHome:await this._userHomePromise};return this.recursiveResolve(w,D?D.uri:void 0,u,b,g)}async resolveAnyAsync(D,p,b){return this.resolveAnyBase(D,p,b)}async resolveAnyMap(D,p,b){const g=new Map;return{newConfig:await this.resolveAnyBase(D,p,b,g),resolvedVariables:g}}resolveWithInteractionReplace(D,p,b,g){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(D,p,b,g){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(D,p){if(this._contributedVariables.has(D))throw new Error("Variable "+D+" is contributed twice.");this._contributedVariables.set(D,p)}recursiveResolve(D,p,b,g,u){if(P.isString(b))return this.resolveString(D,p,b,g,u);if(P.isArray(b))return b.map(w=>this.recursiveResolve(D,p,w,g,u));if(P.isObject(b)){let w=Object.create(null);return Object.keys(b).forEach(S=>{const I=this.resolveString(D,p,S,g,u);w[I]=this.recursiveResolve(D,p,b[S],g,u)}),w}return b}resolveString(D,p,b,g,u){return b.replace(R.VARIABLE_REGEXP,(S,I)=>{if(I.includes(R.VARIABLE_LHS))return S;let l=this.evaluateSingleVariable(D,S,I,p,g);return u&&u.set(I,l),l!==S&&P.isString(l)&&l.match(R.VARIABLE_REGEXP)&&(l=this.resolveString(D,p,l,g,u)),l})}fsPath(D){return this._labelService?this._labelService.getUriLabel(D,{noPrefix:!0}):D.fsPath}evaluateSingleVariable(D,p,b,g,u){let w;const S=b.split(":");S.length>1&&(b=S[0],w=S[1]);const I=()=>{const f=this._context.getFilePath();if(f)return f;throw new Error((0,_.localize)(0,null,p))},l=()=>{const f=I();if(this._context.getWorkspaceFolderPathForFile){const s=this._context.getWorkspaceFolderPathForFile();if(s)return s}throw new Error((0,_.localize)(1,null,p,h.basename(f)))},c=()=>{if(w){const f=this._context.getFolderUri(w);if(f)return f;throw new Error((0,_.localize)(2,null,p,w))}if(g)return g;throw this._context.getWorkspaceFolderCount()>1?new Error((0,_.localize)(3,null,p)):new Error((0,_.localize)(4,null,p))};switch(b){case"env":if(w){if(D.env){const f=D.env[C.isWindows?w.toLowerCase():w];if(P.isString(f))return f}return""}throw new Error((0,_.localize)(5,null,p));case"config":if(w){const f=this._context.getConfigurationValue(g,w);if(P.isUndefinedOrNull(f))throw new Error((0,_.localize)(6,null,p,w));if(P.isObject(f))throw new Error((0,_.localize)(7,null,p,w));return f}throw new Error((0,_.localize)(8,null,p));case"command":return this.resolveFromMap(p,w,u,"command");case"input":return this.resolveFromMap(p,w,u,"input");default:switch(b){case"workspaceRoot":case"workspaceFolder":return(0,k.normalizeDriveLetter)(this.fsPath(c()));case"cwd":return g||w?(0,k.normalizeDriveLetter)(this.fsPath(c())):t.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return h.basename(this.fsPath(c()));case"userHome":{if(D.userHome)return D.userHome;throw new Error((0,_.localize)(9,null,p))}case"lineNumber":{const f=this._context.getLineNumber();if(f)return f;throw new Error((0,_.localize)(10,null,p))}case"selectedText":{const f=this._context.getSelectedText();if(f)return f;throw new Error((0,_.localize)(11,null,p))}case"file":return I();case"fileWorkspaceFolder":return l();case"relativeFile":return g||w?h.relative(this.fsPath(c()),I()):I();case"relativeFileDirname":{const f=h.dirname(I());if(g||w){const s=h.relative(this.fsPath(c()),f);return s.length===0?".":s}return f}case"fileDirname":return h.dirname(I());case"fileExtname":return h.extname(I());case"fileBasename":return h.basename(I());case"fileBasenameNoExtension":{const f=h.basename(I());return f.slice(0,f.length-h.extname(f).length)}case"fileDirnameBasename":return h.basename(h.dirname(I()));case"execPath":{const f=this._context.getExecPath();return f||p}case"execInstallFolder":{const f=this._context.getAppRoot();return f||p}case"pathSeparator":return h.sep;default:try{const f=w?`${b}:${w}`:b;return this.resolveFromMap(p,f,u,void 0)}catch{return p}}}}resolveFromMap(D,p,b,g){if(p&&b){const u=g===void 0?b[p]:b[g+":"+p];if(typeof u=="string")return u;throw new Error((0,_.localize)(12,null,D))}return D}}e.AbstractVariableResolverService=R,R.VARIABLE_LHS="${",R.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(pe[129],ve([1,0,4,207]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.isEditorGroup=e.OpenEditorContext=e.GroupsOrder=e.isEditorReplacement=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=(0,h.createDecorator)("editorGroupsService");var P;(function(g){g[g.UP=0]="UP",g[g.DOWN=1]="DOWN",g[g.LEFT=2]="LEFT",g[g.RIGHT=3]="RIGHT"})(P=e.GroupDirection||(e.GroupDirection={}));var A;(function(g){g[g.HORIZONTAL=0]="HORIZONTAL",g[g.VERTICAL=1]="VERTICAL"})(A=e.GroupOrientation||(e.GroupOrientation={}));var C;(function(g){g[g.FIRST=0]="FIRST",g[g.LAST=1]="LAST",g[g.NEXT=2]="NEXT",g[g.PREVIOUS=3]="PREVIOUS"})(C=e.GroupLocation||(e.GroupLocation={}));var k;(function(g){g[g.MINIMIZE_OTHERS=0]="MINIMIZE_OTHERS",g[g.EVEN=1]="EVEN",g[g.TOGGLE=2]="TOGGLE"})(k=e.GroupsArrangement||(e.GroupsArrangement={}));var _;(function(g){g[g.COPY_EDITORS=0]="COPY_EDITORS",g[g.MOVE_EDITORS=1]="MOVE_EDITORS"})(_=e.MergeGroupMode||(e.MergeGroupMode={}));function R(g){const u=g;return(0,t.isEditorInput)(u?.editor)&&(0,t.isEditorInput)(u?.replacement)}e.isEditorReplacement=R;var F;(function(g){g[g.CREATION_TIME=0]="CREATION_TIME",g[g.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",g[g.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(F=e.GroupsOrder||(e.GroupsOrder={}));var D;(function(g){g[g.NEW_EDITOR=1]="NEW_EDITOR",g[g.MOVE_EDITOR=2]="MOVE_EDITOR",g[g.COPY_EDITOR=3]="COPY_EDITOR"})(D=e.OpenEditorContext||(e.OpenEditorContext={}));function p(g){const u=g;return!!u&&typeof u.id=="number"&&Array.isArray(u.editors)}e.isEditorGroup=p;function b(g){return g.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=b}),define(pe[218],ve([1,0,4,129]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isPreferredGroup=e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=(0,h.createDecorator)("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2;function P(A){const C=A;return typeof A=="number"||(0,t.isEditorGroup)(C)}e.isPreferredGroup=P}),define(pe[14],ve([1,0,18,22,99,142,58,25,13,2,35,79,182,116,63,128,84,85,218,7]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TypeHierarchyItem=e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestTag=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookStatusBarItem=e.NotebookDecorationRenderOptions=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionState=e.NotebookCellExecutionSummary=e.NotebookRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHintLabelPart=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.DocumentSelector=e.Position=e.TokenType=e.Range=e.Selection=void 0;var c;(function(_e){function ye(te){const{selectionStartLineNumber:Ie,selectionStartColumn:Re,positionLineNumber:Ve,positionColumn:Ke}=te,ht=new l.Position(Ie-1,Re-1),Et=new l.Position(Ve-1,Ke-1);return new l.Selection(ht,Et)}_e.to=ye;function fe(te){const{anchor:Ie,active:Re}=te;return{selectionStartLineNumber:Ie.line+1,selectionStartColumn:Ie.character+1,positionLineNumber:Re.line+1,positionColumn:Re.character+1}}_e.from=fe})(c=e.Selection||(e.Selection={}));var f;(function(_e){function ye(te){if(!te)return;const{start:Ie,end:Re}=te;return{startLineNumber:Ie.line+1,startColumn:Ie.character+1,endLineNumber:Re.line+1,endColumn:Re.character+1}}_e.from=ye;function fe(te){if(!te)return;const{startLineNumber:Ie,startColumn:Re,endLineNumber:Ve,endColumn:Ke}=te;return new l.Range(Ie-1,Re-1,Ve-1,Ke-1)}_e.to=fe})(f=e.Range||(e.Range={}));var s;(function(_e){function ye(fe){switch(fe){case 1:return l.StandardTokenType.Comment;case 0:return l.StandardTokenType.Other;case 3:return l.StandardTokenType.RegEx;case 2:return l.StandardTokenType.String}}_e.to=ye})(s=e.TokenType||(e.TokenType={}));var v;(function(_e){function ye(te){return new l.Position(te.lineNumber-1,te.column-1)}_e.to=ye;function fe(te){return{lineNumber:te.line+1,column:te.character+1}}_e.from=fe})(v=e.Position||(e.Position={}));var o;(function(_e){function ye(Ie,Re){return(0,h.coalesce)((0,h.asArray)(Ie).map(Ve=>fe(Ve,Re)))}_e.from=ye;function fe(Ie,Re){if(typeof Ie=="string")return{$serialized:!0,language:Ie};if(Ie)return{$serialized:!0,language:Ie.language,scheme:te(Ie.scheme,Re),pattern:Y.from(Ie.pattern)??void 0,exclusive:Ie.exclusive,notebookType:Ie.notebookType}}function te(Ie,Re){return Re&&typeof Ie=="string"?Re.transformOutgoingScheme(Ie):Ie}})(o=e.DocumentSelector||(e.DocumentSelector={}));var n;(function(_e){function ye(te){switch(te){case l.DiagnosticTag.Unnecessary:return 1;case l.DiagnosticTag.Deprecated:return 2}}_e.from=ye;function fe(te){switch(te){case 1:return l.DiagnosticTag.Unnecessary;case 2:return l.DiagnosticTag.Deprecated;default:return}}_e.to=fe})(n=e.DiagnosticTag||(e.DiagnosticTag={}));var r;(function(_e){function ye(te){let Ie;return te.code&&((0,_.isString)(te.code)||(0,_.isNumber)(te.code)?Ie=String(te.code):Ie={value:String(te.code.value),target:te.code.target}),{...f.from(te.range),message:te.message,source:te.source,code:Ie,severity:a.from(te.severity),relatedInformation:te.relatedInformation&&te.relatedInformation.map(i.from),tags:Array.isArray(te.tags)?(0,h.coalesce)(te.tags.map(n.from)):void 0}}_e.from=ye;function fe(te){const Ie=new l.Diagnostic(f.to(te),te.message,a.to(te.severity));return Ie.source=te.source,Ie.code=(0,_.isString)(te.code)?te.code:te.code?.value,Ie.relatedInformation=te.relatedInformation&&te.relatedInformation.map(i.to),Ie.tags=te.tags&&(0,h.coalesce)(te.tags.map(n.to)),Ie}_e.to=fe})(r=e.Diagnostic||(e.Diagnostic={}));var i;(function(_e){function ye(te){return{...f.from(te.location.range),message:te.message,resource:te.location.uri}}_e.from=ye;function fe(te){return new l.DiagnosticRelatedInformation(new l.Location(te.resource,f.to(te)),te.message)}_e.to=fe})(i=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var a;(function(_e){function ye(te){switch(te){case l.DiagnosticSeverity.Error:return b.MarkerSeverity.Error;case l.DiagnosticSeverity.Warning:return b.MarkerSeverity.Warning;case l.DiagnosticSeverity.Information:return b.MarkerSeverity.Info;case l.DiagnosticSeverity.Hint:return b.MarkerSeverity.Hint}return b.MarkerSeverity.Error}_e.from=ye;function fe(te){switch(te){case b.MarkerSeverity.Info:return l.DiagnosticSeverity.Information;case b.MarkerSeverity.Warning:return l.DiagnosticSeverity.Warning;case b.MarkerSeverity.Error:return l.DiagnosticSeverity.Error;case b.MarkerSeverity.Hint:return l.DiagnosticSeverity.Hint;default:return l.DiagnosticSeverity.Error}}_e.to=fe})(a=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var m;(function(_e){function ye(te){return typeof te=="number"&&te>=l.ViewColumn.One?te-1:te===l.ViewColumn.Beside?I.SIDE_GROUP:I.ACTIVE_GROUP}_e.from=ye;function fe(te){if(typeof te=="number"&&te>=0)return te+1;throw new Error("invalid 'EditorGroupColumn'")}_e.to=fe})(m=e.ViewColumn||(e.ViewColumn={}));function d(_e){return typeof _e.range!="undefined"}function E(_e){return _e.length===0?!0:!!d(_e[0])}e.isDecorationOptionsArr=E;var T;(function(_e){function ye(Ke){return Ke.map(_e.from)}_e.fromMany=ye;function fe(Ke){return Ke&&typeof Ke=="object"&&typeof Ke.language=="string"&&typeof Ke.value=="string"}function te(Ke){let ht;if(fe(Ke)){const{language:dt,value:ut}=Ke;ht={value:"```"+dt+`
`+ut+"\n```\n"}}else l.MarkdownString.isMarkdownString(Ke)?ht={value:Ke.value,isTrusted:Ke.isTrusted,supportThemeIcons:Ke.supportThemeIcons,supportHtml:Ke.supportHtml,baseUri:Ke.baseUri}:typeof Ke=="string"?ht={value:Ke}:ht={value:""};const Et=Object.create(null);ht.uris=Et;const St=dt=>{try{let ut=R.URI.parse(dt,!0);ut=ut.with({query:Ie(ut.query,Et)}),Et[dt]=ut}catch{}return""},ot=new A.marked.Renderer;return ot.link=St,ot.image=dt=>typeof dt=="string"?St(P.parseHrefAndDimensions(dt).href):"",(0,A.marked)(ht.value,{renderer:ot}),ht}_e.from=te;function Ie(Ke,ht){if(!Ke)return Ke;let Et;try{Et=(0,C.parse)(Ke)}catch{}if(!Et)return Ke;let St=!1;return Et=(0,k.cloneAndChange)(Et,ot=>{if(R.URI.isUri(ot)){const dt=`__uri_${Math.random().toString(16).slice(2,8)}`;return ht[dt]=ot,St=!0,dt}else return}),St?JSON.stringify(Et):Ke}function Re(Ke){const ht=new l.MarkdownString(Ke.value,Ke.supportThemeIcons);return ht.isTrusted=Ke.isTrusted,ht.supportHtml=Ke.supportHtml,ht.baseUri=Ke.baseUri?R.URI.from(Ke.baseUri):void 0,ht}_e.to=Re;function Ve(Ke){if(!!Ke)return typeof Ke=="string"?Ke:_e.from(Ke)}_e.fromStrict=Ve})(T=e.MarkdownString||(e.MarkdownString={}));function L(_e){return E(_e)?_e.map(ye=>({range:f.from(ye.range),hoverMessage:Array.isArray(ye.hoverMessage)?T.fromMany(ye.hoverMessage):ye.hoverMessage?T.from(ye.hoverMessage):void 0,renderOptions:ye.renderOptions})):_e.map(ye=>({range:f.from(ye)}))}e.fromRangeOrRangeWithMessage=L;function O(_e){return typeof _e=="undefined"?_e:typeof _e=="string"?R.URI.file(_e):_e}e.pathOrURIToURI=O;var y;(function(_e){function ye(fe){return typeof fe=="undefined"?fe:{contentText:fe.contentText,contentIconPath:fe.contentIconPath?O(fe.contentIconPath):void 0,border:fe.border,borderColor:fe.borderColor,fontStyle:fe.fontStyle,fontWeight:fe.fontWeight,textDecoration:fe.textDecoration,color:fe.color,backgroundColor:fe.backgroundColor,margin:fe.margin,width:fe.width,height:fe.height}}_e.from=ye})(y=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var B;(function(_e){function ye(fe){return typeof fe=="undefined"?fe:{backgroundColor:fe.backgroundColor,outline:fe.outline,outlineColor:fe.outlineColor,outlineStyle:fe.outlineStyle,outlineWidth:fe.outlineWidth,border:fe.border,borderColor:fe.borderColor,borderRadius:fe.borderRadius,borderSpacing:fe.borderSpacing,borderStyle:fe.borderStyle,borderWidth:fe.borderWidth,fontStyle:fe.fontStyle,fontWeight:fe.fontWeight,textDecoration:fe.textDecoration,cursor:fe.cursor,color:fe.color,opacity:fe.opacity,letterSpacing:fe.letterSpacing,gutterIconPath:fe.gutterIconPath?O(fe.gutterIconPath):void 0,gutterIconSize:fe.gutterIconSize,overviewRulerColor:fe.overviewRulerColor,before:fe.before?y.from(fe.before):void 0,after:fe.after?y.from(fe.after):void 0}}_e.from=ye})(B=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var M;(function(_e){function ye(fe){if(typeof fe=="undefined")return fe;switch(fe){case l.DecorationRangeBehavior.OpenOpen:return 0;case l.DecorationRangeBehavior.ClosedClosed:return 1;case l.DecorationRangeBehavior.OpenClosed:return 2;case l.DecorationRangeBehavior.ClosedOpen:return 3}}_e.from=ye})(M=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var z;(function(_e){function ye(fe){return{isWholeLine:fe.isWholeLine,rangeBehavior:fe.rangeBehavior?M.from(fe.rangeBehavior):void 0,overviewRulerLane:fe.overviewRulerLane,light:fe.light?B.from(fe.light):void 0,dark:fe.dark?B.from(fe.dark):void 0,backgroundColor:fe.backgroundColor,outline:fe.outline,outlineColor:fe.outlineColor,outlineStyle:fe.outlineStyle,outlineWidth:fe.outlineWidth,border:fe.border,borderColor:fe.borderColor,borderRadius:fe.borderRadius,borderSpacing:fe.borderSpacing,borderStyle:fe.borderStyle,borderWidth:fe.borderWidth,fontStyle:fe.fontStyle,fontWeight:fe.fontWeight,textDecoration:fe.textDecoration,cursor:fe.cursor,color:fe.color,opacity:fe.opacity,letterSpacing:fe.letterSpacing,gutterIconPath:fe.gutterIconPath?O(fe.gutterIconPath):void 0,gutterIconSize:fe.gutterIconSize,overviewRulerColor:fe.overviewRulerColor,before:fe.before?y.from(fe.before):void 0,after:fe.after?y.from(fe.after):void 0}}_e.from=ye})(z=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var V;(function(_e){function ye(te){return{text:te.newText,eol:te.newEol&&et.from(te.newEol),range:f.from(te.range)}}_e.from=ye;function fe(te){const Ie=new l.TextEdit(f.to(te.range),te.text);return Ie.newEol=typeof te.eol=="undefined"?void 0:et.to(te.eol),Ie}_e.to=fe})(V=e.TextEdit||(e.TextEdit={}));var Q;(function(_e){function ye(te,Ie){const Re={edits:[]};if(te instanceof l.WorkspaceEdit)for(let Ve of te._allEntries())Ve._type===1?Re.edits.push({_type:1,oldUri:Ve.from,newUri:Ve.to,options:Ve.options,metadata:Ve.metadata}):Ve._type===2?Re.edits.push({_type:2,resource:Ve.uri,edit:V.from(Ve.edit),modelVersionId:Ie?.getTextDocumentVersion(Ve.uri),metadata:Ve.metadata}):Ve._type===3?Re.edits.push({_type:3,metadata:Ve.metadata,resource:Ve.uri,edit:Ve.edit,notebookMetadata:Ve.notebookMetadata,notebookVersionId:Ie?.getNotebookDocumentVersion(Ve.uri)}):Ve._type===5&&Re.edits.push({_type:3,metadata:Ve.metadata,resource:Ve.uri,notebookVersionId:Ie?.getNotebookDocumentVersion(Ve.uri),edit:{editType:1,index:Ve.index,count:Ve.count,cells:Ve.cells.map(vt.from)}});return Re}_e.from=ye;function fe(te){const Ie=new l.WorkspaceEdit;for(const Re of te.edits)Re.edit?Ie.replace(R.URI.revive(Re.resource),f.to(Re.edit.range),Re.edit.text):Ie.renameFile(R.URI.revive(Re.oldUri),R.URI.revive(Re.newUri),Re.options);return Ie}_e.to=fe})(Q=e.WorkspaceEdit||(e.WorkspaceEdit={}));var H;(function(_e){const ye=Object.create(null);ye[l.SymbolKind.File]=0,ye[l.SymbolKind.Module]=1,ye[l.SymbolKind.Namespace]=2,ye[l.SymbolKind.Package]=3,ye[l.SymbolKind.Class]=4,ye[l.SymbolKind.Method]=5,ye[l.SymbolKind.Property]=6,ye[l.SymbolKind.Field]=7,ye[l.SymbolKind.Constructor]=8,ye[l.SymbolKind.Enum]=9,ye[l.SymbolKind.Interface]=10,ye[l.SymbolKind.Function]=11,ye[l.SymbolKind.Variable]=12,ye[l.SymbolKind.Constant]=13,ye[l.SymbolKind.String]=14,ye[l.SymbolKind.Number]=15,ye[l.SymbolKind.Boolean]=16,ye[l.SymbolKind.Array]=17,ye[l.SymbolKind.Object]=18,ye[l.SymbolKind.Key]=19,ye[l.SymbolKind.Null]=20,ye[l.SymbolKind.EnumMember]=21,ye[l.SymbolKind.Struct]=22,ye[l.SymbolKind.Event]=23,ye[l.SymbolKind.Operator]=24,ye[l.SymbolKind.TypeParameter]=25;function fe(Ie){return typeof ye[Ie]=="number"?ye[Ie]:6}_e.from=fe;function te(Ie){for(const Re in ye)if(ye[Re]===Ie)return Number(Re);return l.SymbolKind.Property}_e.to=te})(H=e.SymbolKind||(e.SymbolKind={}));var K;(function(_e){function ye(te){switch(te){case l.SymbolTag.Deprecated:return 1}}_e.from=ye;function fe(te){switch(te){case 1:return l.SymbolTag.Deprecated}}_e.to=fe})(K=e.SymbolTag||(e.SymbolTag={}));var G;(function(_e){function ye(te){return{name:te.name,kind:H.from(te.kind),tags:te.tags&&te.tags.map(K.from),containerName:te.containerName,location:Z.from(te.location)}}_e.from=ye;function fe(te){const Ie=new l.SymbolInformation(te.name,H.to(te.kind),te.containerName,Z.to(te.location));return Ie.tags=te.tags&&te.tags.map(K.to),Ie}_e.to=fe})(G=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var j;(function(_e){function ye(te){const Ie={name:te.name||"!!MISSING: name!!",detail:te.detail,range:f.from(te.range),selectionRange:f.from(te.selectionRange),kind:H.from(te.kind),tags:te.tags?.map(K.from)??[]};return te.children&&(Ie.children=te.children.map(ye)),Ie}_e.from=ye;function fe(te){const Ie=new l.DocumentSymbol(te.name,te.detail,H.to(te.kind),f.to(te.range),f.to(te.selectionRange));return(0,h.isNonEmptyArray)(te.tags)&&(Ie.tags=te.tags.map(K.to)),te.children&&(Ie.children=te.children.map(fe)),Ie}_e.to=fe})(j=e.DocumentSymbol||(e.DocumentSymbol={}));var ie;(function(_e){function ye(te){const Ie=new l.CallHierarchyItem(H.to(te.kind),te.name,te.detail||"",R.URI.revive(te.uri),f.to(te.range),f.to(te.selectionRange));return Ie._sessionId=te._sessionId,Ie._itemId=te._itemId,Ie}_e.to=ye;function fe(te,Ie,Re){if(Ie=Ie??te._sessionId,Re=Re??te._itemId,Ie===void 0||Re===void 0)throw new Error("invalid item");return{_sessionId:Ie,_itemId:Re,name:te.name,detail:te.detail,kind:H.from(te.kind),uri:te.uri,range:f.from(te.range),selectionRange:f.from(te.selectionRange),tags:te.tags?.map(K.from)}}_e.from=fe})(ie=e.CallHierarchyItem||(e.CallHierarchyItem={}));var oe;(function(_e){function ye(fe){return new l.CallHierarchyIncomingCall(ie.to(fe.from),fe.fromRanges.map(te=>f.to(te)))}_e.to=ye})(oe=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var ue;(function(_e){function ye(fe){return new l.CallHierarchyOutgoingCall(ie.to(fe.to),fe.fromRanges.map(te=>f.to(te)))}_e.to=ye})(ue=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var Z;(function(_e){function ye(te){return{range:te.range&&f.from(te.range),uri:te.uri}}_e.from=ye;function fe(te){return new l.Location(R.URI.revive(te.uri),f.to(te.range))}_e.to=fe})(Z=e.location||(e.location={}));var J;(function(_e){function ye(te){const Ie=te,Re=te;return{originSelectionRange:Ie.originSelectionRange?f.from(Ie.originSelectionRange):void 0,uri:Ie.targetUri?Ie.targetUri:Re.uri,range:f.from(Ie.targetRange?Ie.targetRange:Re.range),targetSelectionRange:Ie.targetSelectionRange?f.from(Ie.targetSelectionRange):void 0}}_e.from=ye;function fe(te){return{targetUri:R.URI.revive(te.uri),targetRange:f.to(te.range),targetSelectionRange:te.targetSelectionRange?f.to(te.targetSelectionRange):void 0,originSelectionRange:te.originSelectionRange?f.to(te.originSelectionRange):void 0}}_e.to=fe})(J=e.DefinitionLink||(e.DefinitionLink={}));var ae;(function(_e){function ye(te){return{range:f.from(te.range),contents:T.fromMany(te.contents)}}_e.from=ye;function fe(te){return new l.Hover(te.contents.map(T.to),f.to(te.range))}_e.to=fe})(ae=e.Hover||(e.Hover={}));var he;(function(_e){function ye(te){return{range:f.from(te.range),expression:te.expression}}_e.from=ye;function fe(te){return new l.EvaluatableExpression(f.to(te.range),te.expression)}_e.to=fe})(he=e.EvaluatableExpression||(e.EvaluatableExpression={}));var we;(function(_e){function ye(te){if(te instanceof l.InlineValueText)return{type:"text",range:f.from(te.range),text:te.text};if(te instanceof l.InlineValueVariableLookup)return{type:"variable",range:f.from(te.range),variableName:te.variableName,caseSensitiveLookup:te.caseSensitiveLookup};if(te instanceof l.InlineValueEvaluatableExpression)return{type:"expression",range:f.from(te.range),expression:te.expression};throw new Error("Unknown 'InlineValue' type")}_e.from=ye;function fe(te){switch(te.type){case"text":return{range:f.to(te.range),text:te.text};case"variable":return{range:f.to(te.range),variableName:te.variableName,caseSensitiveLookup:te.caseSensitiveLookup};case"expression":return{range:f.to(te.range),expression:te.expression}}}_e.to=fe})(we=e.InlineValue||(e.InlineValue={}));var Te;(function(_e){function ye(te){return{frameId:te.frameId,stoppedLocation:f.from(te.stoppedLocation)}}_e.from=ye;function fe(te){return new l.InlineValueContext(te.frameId,f.to(te.stoppedLocation))}_e.to=fe})(Te=e.InlineValueContext||(e.InlineValueContext={}));var Ne;(function(_e){function ye(te){return{range:f.from(te.range),kind:te.kind}}_e.from=ye;function fe(te){return new l.DocumentHighlight(f.to(te.range),te.kind)}_e.to=fe})(Ne=e.DocumentHighlight||(e.DocumentHighlight={}));var be;(function(_e){function ye(fe){switch(fe){case 1:return l.CompletionTriggerKind.TriggerCharacter;case 2:return l.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return l.CompletionTriggerKind.Invoke}}_e.to=ye})(be=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Ee;(function(_e){function ye(fe){return{triggerKind:be.to(fe.triggerKind),triggerCharacter:fe.triggerCharacter}}_e.to=ye})(Ee=e.CompletionContext||(e.CompletionContext={}));var $;(function(_e){function ye(te){switch(te){case l.CompletionItemTag.Deprecated:return 1}}_e.from=ye;function fe(te){switch(te){case 1:return l.CompletionItemTag.Deprecated}}_e.to=fe})($=e.CompletionItemTag||(e.CompletionItemTag={}));var U;(function(_e){const ye=new Map([[l.CompletionItemKind.Method,0],[l.CompletionItemKind.Function,1],[l.CompletionItemKind.Constructor,2],[l.CompletionItemKind.Field,3],[l.CompletionItemKind.Variable,4],[l.CompletionItemKind.Class,5],[l.CompletionItemKind.Interface,7],[l.CompletionItemKind.Struct,6],[l.CompletionItemKind.Module,8],[l.CompletionItemKind.Property,9],[l.CompletionItemKind.Unit,12],[l.CompletionItemKind.Value,13],[l.CompletionItemKind.Constant,14],[l.CompletionItemKind.Enum,15],[l.CompletionItemKind.EnumMember,16],[l.CompletionItemKind.Keyword,17],[l.CompletionItemKind.Snippet,27],[l.CompletionItemKind.Text,18],[l.CompletionItemKind.Color,19],[l.CompletionItemKind.File,20],[l.CompletionItemKind.Reference,21],[l.CompletionItemKind.Folder,23],[l.CompletionItemKind.Event,10],[l.CompletionItemKind.Operator,11],[l.CompletionItemKind.TypeParameter,24],[l.CompletionItemKind.Issue,26],[l.CompletionItemKind.User,25]]);function fe(Re){return ye.get(Re)??9}_e.from=fe;const te=new Map([[0,l.CompletionItemKind.Method],[1,l.CompletionItemKind.Function],[2,l.CompletionItemKind.Constructor],[3,l.CompletionItemKind.Field],[4,l.CompletionItemKind.Variable],[5,l.CompletionItemKind.Class],[7,l.CompletionItemKind.Interface],[6,l.CompletionItemKind.Struct],[8,l.CompletionItemKind.Module],[9,l.CompletionItemKind.Property],[12,l.CompletionItemKind.Unit],[13,l.CompletionItemKind.Value],[14,l.CompletionItemKind.Constant],[15,l.CompletionItemKind.Enum],[16,l.CompletionItemKind.EnumMember],[17,l.CompletionItemKind.Keyword],[27,l.CompletionItemKind.Snippet],[18,l.CompletionItemKind.Text],[19,l.CompletionItemKind.Color],[20,l.CompletionItemKind.File],[21,l.CompletionItemKind.Reference],[23,l.CompletionItemKind.Folder],[10,l.CompletionItemKind.Event],[11,l.CompletionItemKind.Operator],[24,l.CompletionItemKind.TypeParameter],[25,l.CompletionItemKind.User],[26,l.CompletionItemKind.Issue]]);function Ie(Re){return te.get(Re)??l.CompletionItemKind.Property}_e.to=Ie})(U=e.CompletionItemKind||(e.CompletionItemKind={}));var N;(function(_e){function ye(fe,te){const Ie=new l.CompletionItem(fe.label);return Ie.insertText=fe.insertText,Ie.kind=U.to(fe.kind),Ie.tags=fe.tags?.map($.to),Ie.detail=fe.detail,Ie.documentation=P.isMarkdownString(fe.documentation)?T.to(fe.documentation):fe.documentation,Ie.sortText=fe.sortText,Ie.filterText=fe.filterText,Ie.preselect=fe.preselect,Ie.commitCharacters=fe.commitCharacters,F.Range.isIRange(fe.range)?Ie.range=f.to(fe.range):typeof fe.range=="object"&&(Ie.range={inserting:f.to(fe.range.insert),replacing:f.to(fe.range.replace)}),Ie.keepWhitespace=typeof fe.insertTextRules=="undefined"?!1:Boolean(fe.insertTextRules&1),typeof fe.insertTextRules!="undefined"&&fe.insertTextRules&4?Ie.insertText=new l.SnippetString(fe.insertText):(Ie.insertText=fe.insertText,Ie.textEdit=Ie.range instanceof l.Range?new l.TextEdit(Ie.range,Ie.insertText):void 0),fe.additionalTextEdits&&fe.additionalTextEdits.length>0&&(Ie.additionalTextEdits=fe.additionalTextEdits.map(Re=>V.to(Re))),Ie.command=te&&fe.command?te.fromInternal(fe.command):void 0,Ie}_e.to=ye})(N=e.CompletionItem||(e.CompletionItem={}));var W;(function(_e){function ye(te){return{label:te.label,documentation:T.fromStrict(te.documentation)}}_e.from=ye;function fe(te){return{label:te.label,documentation:P.isMarkdownString(te.documentation)?T.to(te.documentation):te.documentation}}_e.to=fe})(W=e.ParameterInformation||(e.ParameterInformation={}));var q;(function(_e){function ye(te){return{label:te.label,documentation:T.fromStrict(te.documentation),parameters:Array.isArray(te.parameters)?te.parameters.map(W.from):[],activeParameter:te.activeParameter}}_e.from=ye;function fe(te){return{label:te.label,documentation:P.isMarkdownString(te.documentation)?T.to(te.documentation):te.documentation,parameters:Array.isArray(te.parameters)?te.parameters.map(W.to):[],activeParameter:te.activeParameter}}_e.to=fe})(q=e.SignatureInformation||(e.SignatureInformation={}));var re;(function(_e){function ye(te){return{activeSignature:te.activeSignature,activeParameter:te.activeParameter,signatures:Array.isArray(te.signatures)?te.signatures.map(q.from):[]}}_e.from=ye;function fe(te){return{activeSignature:te.activeSignature,activeParameter:te.activeParameter,signatures:Array.isArray(te.signatures)?te.signatures.map(q.to):[]}}_e.to=fe})(re=e.SignatureHelp||(e.SignatureHelp={}));var de;(function(_e){function ye(fe,te){const Ie=new l.InlayHint(v.to(te.position),typeof te.label=="string"?te.label:te.label.map(Ce.to.bind(void 0,fe)),te.kind&&Ae.to(te.kind));return Ie.tooltip=P.isMarkdownString(te.tooltip)?T.to(te.tooltip):te.tooltip,Ie.command=te.command&&fe.fromInternal(te.command),Ie.paddingLeft=te.paddingLeft,Ie.paddingRight=te.paddingRight,Ie}_e.to=ye})(de=e.InlayHint||(e.InlayHint={}));var Ce;(function(_e){function ye(fe,te){const Ie=new l.InlayHintLabelPart(te.label);return Ie.tooltip=P.isMarkdownString(te.tooltip)?T.to(te.tooltip):te.tooltip,D.Command.is(te.command)&&(Ie.command=fe.fromInternal(te.command)),te.location&&(Ie.location=Z.to(te.location)),Ie}_e.to=ye})(Ce=e.InlayHintLabelPart||(e.InlayHintLabelPart={}));var Ae;(function(_e){function ye(te){return te}_e.from=ye;function fe(te){return te}_e.to=fe})(Ae=e.InlayHintKind||(e.InlayHintKind={}));var We;(function(_e){function ye(te){return{range:f.from(te.range),url:te.target,tooltip:te.tooltip}}_e.from=ye;function fe(te){let Ie;if(te.url)try{Ie=typeof te.url=="string"?R.URI.parse(te.url,!0):R.URI.revive(te.url)}catch{}return new l.DocumentLink(f.to(te.range),Ie)}_e.to=fe})(We=e.DocumentLink||(e.DocumentLink={}));var ze;(function(_e){function ye(te){const Ie=new l.ColorPresentation(te.label);return te.textEdit&&(Ie.textEdit=V.to(te.textEdit)),te.additionalTextEdits&&(Ie.additionalTextEdits=te.additionalTextEdits.map(Re=>V.to(Re))),Ie}_e.to=ye;function fe(te){return{label:te.label,textEdit:te.textEdit?V.from(te.textEdit):void 0,additionalTextEdits:te.additionalTextEdits?te.additionalTextEdits.map(Ie=>V.from(Ie)):void 0}}_e.from=fe})(ze=e.ColorPresentation||(e.ColorPresentation={}));var qe;(function(_e){function ye(te){return new l.Color(te[0],te[1],te[2],te[3])}_e.to=ye;function fe(te){return[te.red,te.green,te.blue,te.alpha]}_e.from=fe})(qe=e.Color||(e.Color={}));var He;(function(_e){function ye(te){return{range:f.from(te.range)}}_e.from=ye;function fe(te){return new l.SelectionRange(f.to(te.range))}_e.to=fe})(He=e.SelectionRange||(e.SelectionRange={}));var Ue;(function(_e){function ye(fe){switch(fe){case 2:return l.TextDocumentSaveReason.AfterDelay;case 1:return l.TextDocumentSaveReason.Manual;case 3:case 4:return l.TextDocumentSaveReason.FocusOut}}_e.to=ye})(Ue=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var Je;(function(_e){function ye(te){switch(te){case l.TextEditorLineNumbersStyle.Off:return 0;case l.TextEditorLineNumbersStyle.Relative:return 2;case l.TextEditorLineNumbersStyle.On:default:return 1}}_e.from=ye;function fe(te){switch(te){case 0:return l.TextEditorLineNumbersStyle.Off;case 2:return l.TextEditorLineNumbersStyle.Relative;case 1:default:return l.TextEditorLineNumbersStyle.On}}_e.to=fe})(Je=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var et;(function(_e){function ye(te){if(te===l.EndOfLine.CRLF)return 1;if(te===l.EndOfLine.LF)return 0}_e.from=ye;function fe(te){if(te===1)return l.EndOfLine.CRLF;if(te===0)return l.EndOfLine.LF}_e.to=fe})(et=e.EndOfLine||(e.EndOfLine={}));var Le;(function(_e){function ye(fe){if(typeof fe=="object")return fe.viewId;switch(fe){case l.ProgressLocation.SourceControl:return 3;case l.ProgressLocation.Window:return 10;case l.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}_e.from=ye})(Le=e.ProgressLocation||(e.ProgressLocation={}));var it;(function(_e){function ye(fe){const te={start:fe.start+1,end:fe.end+1};return fe.kind&&(te.kind=ne.from(fe.kind)),te}_e.from=ye})(it=e.FoldingRange||(e.FoldingRange={}));var ne;(function(_e){function ye(fe){if(fe)switch(fe){case l.FoldingRangeKind.Comment:return D.FoldingRangeKind.Comment;case l.FoldingRangeKind.Imports:return D.FoldingRangeKind.Imports;case l.FoldingRangeKind.Region:return D.FoldingRangeKind.Region}}_e.from=ye})(ne=e.FoldingRangeKind||(e.FoldingRangeKind={}));var se;(function(_e){function ye(fe){if(fe)return{pinned:typeof fe.preview=="boolean"?!fe.preview:void 0,inactive:fe.background,preserveFocus:fe.preserveFocus,selection:typeof fe.selection=="object"?f.from(fe.selection):void 0,override:typeof fe.override=="boolean"?p.EditorResolution.DISABLED:void 0}}_e.from=ye})(se=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var Y;(function(_e){function ye(Re){return Re instanceof l.RelativePattern?Re.toJSON():typeof Re=="string"?Re:fe(Re)||te(Re)?new l.RelativePattern(Re.baseUri??Re.base,Re.pattern).toJSON():Re}_e.from=ye;function fe(Re){const Ve=Re;return Ve?R.URI.isUri(Ve.baseUri)&&typeof Ve.pattern=="string":!1}function te(Re){const Ve=Re;return Ve?typeof Ve.base=="string"&&typeof Ve.pattern=="string":!1}function Ie(Re){return typeof Re=="string"?Re:new l.RelativePattern(R.URI.revive(Re.baseUri),Re.pattern)}_e.to=Ie})(Y=e.GlobPattern||(e.GlobPattern={}));var ge;(function(_e){function ye(fe){if(fe){if(Array.isArray(fe))return fe.map(ye);if(typeof fe=="string")return fe;{const te=fe;return{language:te.language,scheme:te.scheme,pattern:Y.from(te.pattern),exclusive:te.exclusive}}}else return}_e.from=ye})(ge=e.LanguageSelector||(e.LanguageSelector={}));var Se;(function(_e){function ye(te){return{start:te.start,end:te.end}}_e.from=ye;function fe(te){return new l.NotebookRange(te.start,te.end)}_e.to=fe})(Se=e.NotebookRange||(e.NotebookRange={}));var Me;(function(_e){function ye(te){return{timing:typeof te.runStartTime=="number"&&typeof te.runEndTime=="number"?{startTime:te.runStartTime,endTime:te.runEndTime}:void 0,executionOrder:te.executionOrder,success:te.lastRunSuccess}}_e.to=ye;function fe(te){return{lastRunSuccess:te.success,runStartTime:te.timing?.startTime,runEndTime:te.timing?.endTime,executionOrder:te.executionOrder}}_e.from=fe})(Me=e.NotebookCellExecutionSummary||(e.NotebookCellExecutionSummary={}));var $e;(function(_e){function ye(fe){if(fe===u.NotebookCellExecutionState.Executing)return l.NotebookCellExecutionState.Executing;if(fe===u.NotebookCellExecutionState.Pending)return l.NotebookCellExecutionState.Pending;if(fe===u.NotebookCellExecutionState.Unconfirmed)return l.NotebookCellExecutionState.Pending;throw new Error(`Unknown state: ${fe}`)}_e.to=ye})($e=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var Ye;(function(_e){function ye(te){switch(te){case l.NotebookCellKind.Markup:return u.CellKind.Markup;case l.NotebookCellKind.Code:default:return u.CellKind.Code}}_e.from=ye;function fe(te){switch(te){case u.CellKind.Markup:return l.NotebookCellKind.Markup;case u.CellKind.Code:default:return l.NotebookCellKind.Code}}_e.to=fe})(Ye=e.NotebookCellKind||(e.NotebookCellKind={}));var lt;(function(_e){function ye(te){const Ie={metadata:te.metadata??Object.create(null),cells:[]};for(let Re of te.cells)l.NotebookCellData.validate(Re),Ie.cells.push(vt.from(Re));return Ie}_e.from=ye;function fe(te){const Ie=new l.NotebookData(te.cells.map(vt.to));return(0,_.isEmptyObject)(te.metadata)||(Ie.metadata=te.metadata),Ie}_e.to=fe})(lt=e.NotebookData||(e.NotebookData={}));var vt;(function(_e){function ye(te){return{cellKind:Ye.from(te.kind),language:te.languageId,mime:te.mime,source:te.value,metadata:te.metadata,internalMetadata:Me.from(te.executionSummary??{}),outputs:te.outputs?te.outputs.map(je.from):[]}}_e.from=ye;function fe(te){return new l.NotebookCellData(Ye.to(te.cellKind),te.source,te.language,te.mime,te.outputs?te.outputs.map(je.to):void 0,te.metadata,te.internalMetadata?Me.to(te.internalMetadata):void 0)}_e.to=fe})(vt=e.NotebookCellData||(e.NotebookCellData={}));var wt;(function(_e){function ye(te){return{mime:te.mime,valueBytes:t.VSBuffer.wrap(te.data)}}_e.from=ye;function fe(te){return new l.NotebookCellOutputItem(te.valueBytes.buffer,te.mime)}_e.to=fe})(wt=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var je;(function(_e){function ye(te){return{outputId:te.id,items:te.items.map(wt.from),metadata:te.metadata}}_e.from=ye;function fe(te){const Ie=te.items.map(wt.to);return new l.NotebookCellOutput(Ie,te.outputId,te.metadata)}_e.to=fe})(je=e.NotebookCellOutput||(e.NotebookCellOutput={}));var st;(function(_e){function ye(Ie){return te(Ie)?{include:(0,_.withNullAsUndefined)(Y.from(Ie.include)),exclude:(0,_.withNullAsUndefined)(Y.from(Ie.exclude))}:(0,_.withNullAsUndefined)(Y.from(Ie))}_e.from=ye;function fe(Ie){return te(Ie)?{include:Y.to(Ie.include),exclude:Y.to(Ie.exclude)}:Y.to(Ie)}_e.to=fe;function te(Ie){const Re=Ie;return Re?!!Re.include&&!!Re.exclude:!1}})(st=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var _t;(function(_e){function ye(fe){return{backgroundColor:fe.backgroundColor,borderColor:fe.borderColor,top:fe.top?y.from(fe.top):void 0}}_e.from=ye})(_t=e.NotebookDecorationRenderOptions||(e.NotebookDecorationRenderOptions={}));var nt;(function(_e){function ye(fe,te,Ie){const Re=typeof fe.command=="string"?{title:"",command:fe.command}:fe.command;return{alignment:fe.alignment===l.NotebookCellStatusBarAlignment.Left?1:2,command:te.toInternal(Re,Ie),text:fe.text,tooltip:fe.tooltip,accessibilityInformation:fe.accessibilityInformation,priority:fe.priority}}_e.from=ye})(nt=e.NotebookStatusBarItem||(e.NotebookStatusBarItem={}));var ct;(function(_e){function ye(fe){return{transientOutputs:fe?.transientOutputs??!1,transientCellMetadata:fe?.transientCellMetadata??{},transientDocumentMetadata:fe?.transientDocumentMetadata??{}}}_e.from=ye})(ct=e.NotebookDocumentContentOptions||(e.NotebookDocumentContentOptions={}));var Rt;(function(_e){function ye(te){return{uri:te.uri,provides:te.provides}}_e.from=ye;function fe(te){return new l.NotebookRendererScript(R.URI.revive(te.uri),te.provides)}_e.to=fe})(Rt=e.NotebookRendererScript||(e.NotebookRendererScript={}));var Tt;(function(_e){function ye(te){return{message:T.fromStrict(te.message)||"",type:0,expected:te.expectedOutput,actual:te.actualOutput,location:te.location&&{range:f.from(te.location.range),uri:te.location.uri}}}_e.from=ye;function fe(te){const Ie=new l.TestMessage(typeof te.message=="string"?te.message:T.to(te.message));return Ie.actualOutput=te.actual,Ie.expectedOutput=te.expected,Ie.location=te.location?Z.to(te.location):void 0,Ie}_e.to=fe})(Tt=e.TestMessage||(e.TestMessage={}));var yt;(function(_e){_e.namespace=w.namespaceTestTag,_e.denamespace=w.denamespaceTestTag})(yt=e.TestTag||(e.TestTag={}));var mt;(function(_e){function ye(Re){const Ve=(0,g.getPrivateApiFor)(Re).controllerId;return{extId:S.TestId.fromExtHostTestItem(Re,Ve).toString(),label:Re.label,uri:R.URI.revive(Re.uri),busy:!1,tags:Re.tags.map(Ke=>yt.namespace(Ve,Ke.id)),range:F.Range.lift(f.from(Re.range)),description:Re.description||null,sortText:Re.sortText||null,error:Re.error&&T.fromStrict(Re.error)||null}}_e.from=ye;function fe(Re){return{parent:void 0,error:void 0,id:S.TestId.fromString(Re.extId).localId,label:Re.label,uri:R.URI.revive(Re.uri),tags:(Re.tags||[]).map(Ve=>{const{tagId:Ke}=yt.denamespace(Ve);return new l.TestTag(Ke)}),range:f.to(Re.range||void 0),invalidateResults:()=>{},canResolveChildren:!1,busy:!1,description:Re.description||void 0,sortText:Re.sortText||void 0}}_e.toPlain=fe;function te(Re){const Ve=S.TestId.fromString(Re.extId),Ke=new g.TestItemImpl(Ve.controllerId,Ve.localId,Re.label,R.URI.revive(Re.uri)||void 0);return Ke.range=f.to(Re.range||void 0),Ke.description=Re.description||void 0,Ke.sortText=Re.sortText||void 0,Ke}function Ie(Re){let Ve;for(const Ke of Re.tests){const ht=te(Ke.item);(0,g.getPrivateApiFor)(ht).parent=Ve,Ve=ht}return Ve}_e.toItemFromContext=Ie})(mt=e.TestItem||(e.TestItem={})),function(_e){function ye(te){return{id:te.id}}_e.from=ye;function fe(te){return new l.TestTag(te.id)}_e.to=fe}(yt=e.TestTag||(e.TestTag={}));var Lt;(function(_e){const ye=(te,Ie)=>{const Re={...mt.toPlain(te.item),parent:void 0,taskStates:te.tasks.map(Ve=>({state:Ve.state,duration:Ve.duration,messages:Ve.messages.filter(Ke=>Ke.type===0).map(Tt.to)})),children:te.children.map(Ve=>Ie.get(Ve)).filter(_.isDefined).map(Ve=>ye(Ve,Ie))};for(const Ve of Re.children)Ve.parent=Re;return Re};function fe(te){const Ie=[],Re=new Map;for(const Ve of te.items)Re.set(Ve.item.extId,Ve),te.request.targets.some(Ke=>Ke.controllerId===Ve.controllerId&&Ke.testIds.includes(Ve.item.extId))&&Ie.push(Ve);return{completedAt:te.completedAt,results:Ie.map(Ve=>ye(Ve,Re))}}_e.to=fe})(Lt=e.TestResults||(e.TestResults={}));var Mt;(function(_e){function ye(Re){return{covered:Re.covered,total:Re.covered}}function fe(Re){return"line"in Re?v.from(Re):f.from(Re)}function te(Re){return"branches"in Re?{count:Re.executionCount,location:fe(Re.location),type:1,branches:Re.branches.length?Re.branches.map(Ve=>({count:Ve.executionCount,location:Ve.location&&fe(Ve.location)})):void 0}:{type:0,count:Re.executionCount,location:fe(Re.location)}}_e.fromDetailed=te;function Ie(Re){return{uri:Re.uri,statement:ye(Re.statementCoverage),branch:Re.branchCoverage&&ye(Re.branchCoverage),function:Re.functionCoverage&&ye(Re.functionCoverage),details:Re.detailedCoverage?.map(te)}}_e.fromFile=Ie})(Mt=e.TestCoverage||(e.TestCoverage={}));var Ft;(function(_e){function ye(fe){switch(fe){case 1:return l.CodeActionTriggerKind.Invoke;case 2:return l.CodeActionTriggerKind.Automatic}}_e.to=ye})(Ft=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));var xe;(function(_e){function ye(te){const Ie=new l.TypeHierarchyItem(H.to(te.kind),te.name,te.detail||"",R.URI.revive(te.uri),f.to(te.range),f.to(te.selectionRange));return Ie._sessionId=te._sessionId,Ie._itemId=te._itemId,Ie}_e.to=ye;function fe(te,Ie,Re){if(Ie=Ie??te._sessionId,Re=Re??te._itemId,Ie===void 0||Re===void 0)throw new Error("invalid item");return{_sessionId:Ie,_itemId:Re,kind:H.from(te.kind),name:te.name,detail:te.detail??"",uri:te.uri,range:f.from(te.range),selectionRange:f.from(te.selectionRange),tags:te.tags?.map(K.from)}}_e.from=fe})(xe=e.TypeHierarchyItem||(e.TypeHierarchyItem={}))}),define(pe[219],ve([1,0,2,17,7,14,90]),function(ee,e,h,t,P,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class k{constructor(R,F,D,p={timeout:1500,errors:3}){this._logService=R,this._documents=F,this._mainThreadBulkEdits=D,this._thresholds=p,this._callbacks=new C.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(R){return(F,D,p)=>{const g={dispose:this._callbacks.push([F,D,R])};return Array.isArray(p)&&p.push(g),g}}async $participateInSave(R,F){const D=h.URI.revive(R);let p=!1;const b=setTimeout(()=>p=!0,this._thresholds.timeout),g=[];try{for(let u of[...this._callbacks]){if(p)break;const w=this._documents.getDocument(D),S=await this._deliverEventAsyncAndBlameBadListeners(u,{document:w,reason:A.TextDocumentSaveReason.to(F)});g.push(S)}}finally{clearTimeout(b)}return g}_deliverEventAsyncAndBlameBadListeners([R,F,D],p){const b=this._badListeners.get(R);return typeof b=="number"&&b>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(D,R,F,p).then(()=>!0,g=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${D.identifier.value}' threw ERROR`),this._logService.error(g),!(g instanceof Error)||g.message!=="concurrent_edits"){const u=this._badListeners.get(R);this._badListeners.set(R,u?u+1:1),typeof u=="number"&&u>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${D.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(R,F,D,p){const b=[],g=Date.now(),{document:u,reason:w}=p,{version:S}=u,I=Object.freeze({document:u,reason:w,waitUntil(l){if(Object.isFrozen(b))throw(0,t.illegalState)("waitUntil can not be called async");b.push(Promise.resolve(l))}});try{F.apply(D,[I])}catch(l){return Promise.reject(l)}return Object.freeze(b),new Promise((l,c)=>{const f=setTimeout(()=>c(new Error("timeout")),this._thresholds.timeout);return Promise.all(b).then(s=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${R.identifier.value}' finished after ${Date.now()-g}ms`),clearTimeout(f),l(s)}).catch(s=>{clearTimeout(f),c(s)})}).then(l=>{const c={edits:[]};for(const f of l)if(Array.isArray(f)&&f.every(s=>s instanceof P.TextEdit))for(const{newText:s,newEol:v,range:o}of f)c.edits.push({_type:2,resource:u.uri,edit:{range:o&&A.Range.from(o),text:s,eol:v&&A.EndOfLine.from(v)}});if(c.edits.length!==0)return S===u.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(c):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=k}),define(pe[220],ve([1,0,10,25,2,14,128]),function(ee,e,h,t,P,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class k{constructor(D,p,b,g){this.start=D,this.deletedCount=p,this.deletedItems=b,this.items=g}static asApiEvents(D){return D.map(p=>({start:p.start,deletedCount:p.deletedCount,deletedItems:p.deletedItems,items:p.items.map(b=>b.apiCell)}))}}class _{constructor(D,p,b){this.notebook=D,this._extHostDocument=p,this._cellData=b,this.handle=b.handle,this.uri=P.URI.revive(b.uri),this.cellKind=b.cellKind,this._outputs=b.outputs.map(A.NotebookCellOutput.to),this._internalMetadata=b.internalMetadata??{},this._metadata=Object.freeze(b.metadata??{}),this._previousResult=Object.freeze(A.NotebookCellExecutionSummary.to(b.internalMetadata??{}))}static asModelAddData(D,p){return{EOL:p.eol,lines:p.source,languageId:p.language,uri:p.uri,isDirty:!1,versionId:1,notebook:D}}get internalMetadata(){return this._internalMetadata}get apiCell(){if(!this._apiCell){const D=this,p=this._extHostDocument.getDocument(this.uri);if(!p)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);this._apiCell=Object.freeze({get index(){return D.notebook.getCellIndex(D)},notebook:D.notebook.apiNotebook,kind:A.NotebookCellKind.to(this._cellData.cellKind),document:p.document,get mime(){return D._mime},set mime(b){D._mime=b},get outputs(){return D._outputs.slice(0)},get metadata(){return D._metadata},get executionSummary(){return D._previousResult}})}return this._apiCell}setOutputs(D){this._outputs=D.map(A.NotebookCellOutput.to)}setOutputItems(D,p,b){const g=b.map(A.NotebookCellOutputItem.to),u=this._outputs.find(w=>w.id===D);u&&(p||(u.items.length=0),u.items.push(...g))}setMetadata(D){this._metadata=Object.freeze(D)}setInternalMetadata(D){this._internalMetadata=D,this._previousResult=Object.freeze(A.NotebookCellExecutionSummary.to(D))}setMime(D){}}e.ExtHostCell=_;class R{constructor(D,p,b,g,u,w){this._proxy=D,this._textDocumentsAndEditors=p,this._textDocuments=b,this._emitter=g,this.uri=u,this.handle=R._handlePool++,this._cells=[],this._versionId=0,this._isDirty=!1,this._disposed=!1,this._notebookType=w.viewType,this._metadata=Object.freeze(w.metadata??Object.create(null)),this._spliceNotebookCells([[0,0,w.cells]],!0),this._versionId=w.versionId}dispose(){this._disposed=!0}get apiNotebook(){if(!this._notebook){const D=this;this._notebook={get uri(){return D.uri},get version(){return D._versionId},get notebookType(){return D._notebookType},get isDirty(){return D._isDirty},get isUntitled(){return D.uri.scheme===h.Schemas.untitled},get isClosed(){return D._disposed},get metadata(){return D._metadata},get cellCount(){return D._cells.length},cellAt(p){return p=D._validateIndex(p),D._cells[p].apiCell},getCells(p){return(p?D._getCells(p):D._cells).map(g=>g.apiCell)},save(){return D._save()}}}return this._notebook}updateBackup(D){this._backup?.delete(),this._backup=D}disposeBackup(){this._backup?.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(D){D.metadata&&(this._metadata=Object.freeze({...this._metadata,...D.metadata}))}acceptDirty(D){this._isDirty=D}acceptModelChanged(D,p){this._versionId=D.versionId,this._isDirty=p;for(const b of D.rawEvents)b.kind===C.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(b.changes,!1):b.kind===C.NotebookCellsChangeType.Move?this._moveCell(b.index,b.newIdx):b.kind===C.NotebookCellsChangeType.Output?this._setCellOutputs(b.index,b.outputs):b.kind===C.NotebookCellsChangeType.OutputItem?this._setCellOutputItems(b.index,b.outputId,b.append,b.outputItems):b.kind===C.NotebookCellsChangeType.ChangeLanguage?this._changeCellLanguage(b.index,b.language):b.kind===C.NotebookCellsChangeType.ChangeCellMime?this._changeCellMime(b.index,b.mime):b.kind===C.NotebookCellsChangeType.ChangeCellMetadata?this._changeCellMetadata(b.index,b.metadata):b.kind===C.NotebookCellsChangeType.ChangeCellInternalMetadata&&this._changeCellInternalMetadata(b.index,b.internalMetadata)}_validateIndex(D){return D=D|0,D<0?0:D>=this._cells.length?this._cells.length-1:D}_validateRange(D){let p=D.start|0,b=D.end|0;return p<0&&(p=0),b>this._cells.length&&(b=this._cells.length),D.with({start:p,end:b})}_getCells(D){D=this._validateRange(D);const p=[];for(let b=D.start;b<D.end;b++)p.push(this._cells[b]);return p}async _save(){return this._disposed?Promise.reject(new Error("Notebook has been closed")):this._proxy.$trySaveNotebook(this.uri)}_spliceNotebookCells(D,p){if(this._disposed)return;const b=[],g=[],u=[];D.reverse().forEach(w=>{const I=w[2].map(f=>{const s=new _(this,this._textDocumentsAndEditors,f);return p||g.push(_.asModelAddData(this.apiNotebook,f)),s}),l=new k(w[0],w[1],[],I),c=this._cells.splice(w[0],w[1],...I);for(const f of c)u.push(f.uri),l.deletedItems.push(f.apiCell);b.push(l)}),this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:g,removedDocuments:u}),p||this._emitter.emitModelChange((0,t.deepFreeze)({document:this.apiNotebook,changes:k.asApiEvents(b)}))}_moveCell(D,p){const b=this._cells.splice(D,1);this._cells.splice(p,0,...b);const g=[new k(D,1,b.map(u=>u.apiCell),[]),new k(p,0,[],b)];this._emitter.emitModelChange((0,t.deepFreeze)({document:this.apiNotebook,changes:k.asApiEvents(g)}))}_setCellOutputs(D,p){const b=this._cells[D];b.setOutputs(p),this._emitter.emitCellOutputsChange((0,t.deepFreeze)({document:this.apiNotebook,cells:[b.apiCell]}))}_setCellOutputItems(D,p,b,g){const u=this._cells[D];u.setOutputItems(p,b,g),this._emitter.emitCellOutputsChange((0,t.deepFreeze)({document:this.apiNotebook,cells:[u.apiCell]}))}_changeCellLanguage(D,p){const b=this._cells[D];b.apiCell.document.languageId!==p&&this._textDocuments.$acceptModelLanguageChanged(b.uri,p)}_changeCellMime(D,p){const b=this._cells[D];b.apiCell.mime=p}_changeCellMetadata(D,p){const b=this._cells[D],g=b.apiCell.metadata;b.setMetadata(p);const u=b.apiCell.metadata;(0,t.equals)(g,u)||this._emitter.emitCellMetadataChange((0,t.deepFreeze)({document:this.apiNotebook,cell:b.apiCell}))}_changeCellInternalMetadata(D,p){this._cells[D].setInternalMetadata(p)}getCellFromApiCell(D){return this._cells.find(p=>p.apiCell===D)}getCellFromIndex(D){return this._cells[D]}getCell(D){return this._cells.find(p=>p.handle===D)}getCellIndex(D){return this._cells.indexOf(D)}}e.ExtHostNotebookDocument=R,R._handlePool=0}),define(pe[130],ve([1,0,7,14,17]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class A{constructor(_){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=_}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(_){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:_})}replaceCellMetadata(_,R){this._throwIfFinalized(),this._collectedEdits.push({editType:8,index:_,metadata:R})}replaceCells(_,R,F){this._throwIfFinalized(),!(_===R&&F.length===0)&&this._collectedEdits.push({editType:1,index:_,count:R-_,cells:F.map(t.NotebookCellData.from)})}}class C{constructor(_,R,F,D,p,b){this.id=_,this._proxy=R,this.notebookData=F,this._selections=[],this._visibleRanges=[],this._visible=!1,this._hasDecorationsForKey=new Set,this._selections=p,this._visibleRanges=D,this._viewColumn=b}get apiEditor(){if(!this._editor){const _=this;this._editor={get document(){return _.notebookData.apiNotebook},get selections(){return _._selections},set selections(R){if(!Array.isArray(R)||!R.every(h.NotebookRange.isNotebookRange))throw(0,P.illegalArgument)("selections");_._selections=R,_._trySetSelections(R)},get visibleRanges(){return _._visibleRanges},revealRange(R,F){_._proxy.$tryRevealRange(_.id,t.NotebookRange.from(R),F??h.NotebookEditorRevealType.Default)},get viewColumn(){return _._viewColumn},edit(R){const F=new A(this.document.version);return R(F),_._applyEdit(F.finalize())},setDecorations(R,F){return _.setDecorations(R,F)}},C.apiEditorsToExtHost.set(this._editor,this)}return this._editor}get visible(){return this._visible}_acceptVisibility(_){this._visible=_}_acceptVisibleRanges(_){this._visibleRanges=_}_acceptSelections(_){this._selections=_}_trySetSelections(_){this._proxy.$trySetSelections(this.id,_.map(t.NotebookRange.from))}_acceptViewColumn(_){this._viewColumn=_}_applyEdit(_){if(_.cellEdits.length===0)return Promise.resolve(!0);const R=[];let F=-1;for(let D=0;D<_.cellEdits.length;D++){if(F<0){R.push(_.cellEdits[D]),F++;continue}const b=R[F],g=_.cellEdits[D];if(b.editType===1&&g.editType===1&&b.index===g.index){b.cells.push(..._.cellEdits[D].cells),b.count+=_.cellEdits[D].count;continue}R.push(_.cellEdits[D]),F++}return this._proxy.$tryApplyEdits(this.id,_.documentVersionId,R)}setDecorations(_,R){if(!(R.isEmpty&&!this._hasDecorationsForKey.has(_.key)))return R.isEmpty?this._hasDecorationsForKey.delete(_.key):this._hasDecorationsForKey.add(_.key),this._proxy.$trySetDecorations(this.id,t.NotebookRange.from(R),_.key)}}e.ExtHostNotebookEditor=C,C.apiEditorsToExtHost=new WeakMap}),define(pe[221],ve([1,0,14,118,168,21,56,17]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class _{constructor(p){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=p}async withProgress(p,b,g){const u=this._handles++,{title:w,location:S,cancellable:I}=b,l={label:(0,P.localize)(0,null,p.displayName||p.name),id:p.identifier.value};return this._proxy.$startProgress(u,{location:h.ProgressLocation.from(S),title:w,source:l,cancellable:I},p.isUnderDevelopment?void 0:p.identifier.value).catch(k.onUnexpectedExternalError),this._withProgress(u,g,!!I)}_withProgress(p,b,g){let u;g&&(u=new A.CancellationTokenSource,this._mapHandleToCancellationSource.set(p,u));const w=I=>{this._proxy.$progressEnd(I),this._mapHandleToCancellationSource.delete(I),u&&u.dispose()};let S;try{S=b(new F(this._proxy,p),g&&u?u.token:A.CancellationToken.None)}catch(I){throw w(p),I}return S.then(I=>w(p),I=>w(p)),S}$acceptProgressCanceled(p){const b=this._mapHandleToCancellationSource.get(p);b&&(b.cancel(),this._mapHandleToCancellationSource.delete(p))}}e.ExtHostProgress=_;function R(D,p){return D.message=p.message,typeof p.increment=="number"&&(typeof D.increment=="number"?D.increment+=p.increment:D.increment=p.increment),D}class F extends t.Progress{constructor(p,b){super(g=>this.throttledReport(g));this._proxy=p,this._handle=b}throttledReport(p){this._proxy.$progressReport(this._handle,p)}}Be([(0,C.throttle)(100,(D,p)=>R(D,p),()=>Object.create(null))],F.prototype,"throttledReport",null)}),define(pe[131],ve([1,0,55,17,76,14,7]),function(ee,e,h,t,P,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class k{constructor(p,b,g){const u=k._Keys.nextId();p.$registerTextEditorDecorationType(b.identifier,u,A.DecorationRenderOptions.from(g)),this.value=Object.freeze({key:u,dispose(){p.$removeTextEditorDecorationType(u)}})}}e.TextEditorDecorationType=k,k._Keys=new P.IdGenerator("TextEditorDecorationType");class _{constructor(p,b){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=p,this._documentVersionId=p.version,this._undoStopBefore=b.undoStopBefore,this._undoStopAfter=b.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(p,b){this._throwIfFinalized();let g=null;if(p instanceof C.Position)g=new C.Range(p,p);else if(p instanceof C.Range)g=p;else throw new Error("Unrecognized location");this._pushEdit(g,b,!1)}insert(p,b){this._throwIfFinalized(),this._pushEdit(new C.Range(p,p),b,!0)}delete(p){this._throwIfFinalized();let b=null;if(p instanceof C.Range)b=p;else throw new Error("Unrecognized location");this._pushEdit(b,null,!0)}_pushEdit(p,b,g){const u=this._document.validateRange(p);this._collectedEdits.push({range:u,text:b,forceMoveMarkers:g})}setEndOfLine(p){if(this._throwIfFinalized(),p!==C.EndOfLine.LF&&p!==C.EndOfLine.CRLF)throw(0,t.illegalArgument)("endOfLine");this._setEndOfLine=p}}e.TextEditorEdit=_;class R{constructor(p,b,g,u){this._proxy=p,this._id=b,this._accept(g),this._logService=u;const w=this;this.value={get tabSize(){return w._tabSize},set tabSize(S){w._setTabSize(S)},get insertSpaces(){return w._insertSpaces},set insertSpaces(S){w._setInsertSpaces(S)},get cursorStyle(){return w._cursorStyle},set cursorStyle(S){w._setCursorStyle(S)},get lineNumbers(){return w._lineNumbers},set lineNumbers(S){w._setLineNumbers(S)}}}_accept(p){this._tabSize=p.tabSize,this._insertSpaces=p.insertSpaces,this._cursorStyle=p.cursorStyle,this._lineNumbers=A.TextEditorLineNumbersStyle.to(p.lineNumbers)}_validateTabSize(p){if(p==="auto")return"auto";if(typeof p=="number"){const b=Math.floor(p);return b>0?b:null}if(typeof p=="string"){const b=parseInt(p,10);return isNaN(b)?null:b>0?b:null}return null}_setTabSize(p){const b=this._validateTabSize(p);if(b!==null){if(typeof b=="number"){if(this._tabSize===b)return;this._tabSize=b}this._warnOnError("setTabSize",this._proxy.$trySetOptions(this._id,{tabSize:b}))}}_validateInsertSpaces(p){return p==="auto"?"auto":p==="false"?!1:Boolean(p)}_setInsertSpaces(p){const b=this._validateInsertSpaces(p);if(typeof b=="boolean"){if(this._insertSpaces===b)return;this._insertSpaces=b}this._warnOnError("setInsertSpaces",this._proxy.$trySetOptions(this._id,{insertSpaces:b}))}_setCursorStyle(p){this._cursorStyle!==p&&(this._cursorStyle=p,this._warnOnError("setCursorStyle",this._proxy.$trySetOptions(this._id,{cursorStyle:p})))}_setLineNumbers(p){this._lineNumbers!==p&&(this._lineNumbers=p,this._warnOnError("setLineNumbers",this._proxy.$trySetOptions(this._id,{lineNumbers:A.TextEditorLineNumbersStyle.from(p)})))}assign(p){const b={};let g=!1;if(typeof p.tabSize!="undefined"){const u=this._validateTabSize(p.tabSize);u==="auto"?(g=!0,b.tabSize=u):typeof u=="number"&&this._tabSize!==u&&(this._tabSize=u,g=!0,b.tabSize=u)}if(typeof p.insertSpaces!="undefined"){const u=this._validateInsertSpaces(p.insertSpaces);u==="auto"?(g=!0,b.insertSpaces=u):this._insertSpaces!==u&&(this._insertSpaces=u,g=!0,b.insertSpaces=u)}typeof p.cursorStyle!="undefined"&&this._cursorStyle!==p.cursorStyle&&(this._cursorStyle=p.cursorStyle,g=!0,b.cursorStyle=p.cursorStyle),typeof p.lineNumbers!="undefined"&&this._lineNumbers!==p.lineNumbers&&(this._lineNumbers=p.lineNumbers,g=!0,b.lineNumbers=A.TextEditorLineNumbersStyle.from(p.lineNumbers)),g&&this._warnOnError("setOptions",this._proxy.$trySetOptions(this._id,b))}_warnOnError(p,b){b.catch(g=>{this._logService.warn(`ExtHostTextEditorOptions '${p}' failed:'`),this._logService.warn(g)})}}e.ExtHostTextEditorOptions=R;class F{constructor(p,b,g,u,w,S,I,l){this.id=p,this._proxy=b,this._logService=g,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=w,this._options=new R(this._proxy,this.id,S,g),this._visibleRanges=I,this._viewColumn=l;const c=this;this.value=Object.freeze({get document(){return u.getValue()},set document(f){throw(0,t.readonly)("document")},get selection(){return c._selections&&c._selections[0]},set selection(f){if(!(f instanceof C.Selection))throw(0,t.illegalArgument)("selection");c._selections=[f],c._trySetSelection()},get selections(){return c._selections},set selections(f){if(!Array.isArray(f)||f.some(s=>!(s instanceof C.Selection)))throw(0,t.illegalArgument)("selections");c._selections=f,c._trySetSelection()},get visibleRanges(){return c._visibleRanges},set visibleRanges(f){throw(0,t.readonly)("visibleRanges")},get options(){return c._options.value},set options(f){c._disposed||c._options.assign(f)},get viewColumn(){return c._viewColumn},set viewColumn(f){throw(0,t.readonly)("viewColumn")},edit(f,s={undoStopBefore:!0,undoStopAfter:!0}){if(c._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const v=new _(u.getValue(),s);return f(v),c._applyEdit(v)},insertSnippet(f,s,v={undoStopBefore:!0,undoStopAfter:!0}){if(c._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let o;if(!s||Array.isArray(s)&&s.length===0)o=c._selections.map(n=>A.Range.from(n));else if(s instanceof C.Position){const{lineNumber:n,column:r}=A.Position.from(s);o=[{startLineNumber:n,startColumn:r,endLineNumber:n,endColumn:r}]}else if(s instanceof C.Range)o=[A.Range.from(s)];else{o=[];for(const n of s)if(n instanceof C.Range)o.push(A.Range.from(n));else{const{lineNumber:r,column:i}=A.Position.from(n);o.push({startLineNumber:r,startColumn:i,endLineNumber:r,endColumn:i})}}return b.$tryInsertSnippet(p,f.value,o,v)},setDecorations(f,s){const v=s.length===0;v&&!c._hasDecorationsForKey.has(f.key)||(v?c._hasDecorationsForKey.delete(f.key):c._hasDecorationsForKey.add(f.key),c._runOnProxy(()=>{if(A.isDecorationOptionsArr(s))return b.$trySetDecorations(p,f.key,A.fromRangeOrRangeWithMessage(s));{const o=new Array(4*s.length);for(let n=0,r=s.length;n<r;n++){const i=s[n];o[4*n]=i.start.line+1,o[4*n+1]=i.start.character+1,o[4*n+2]=i.end.line+1,o[4*n+3]=i.end.character+1}return b.$trySetDecorationsFast(p,f.key,o)}}))},revealRange(f,s){c._runOnProxy(()=>b.$tryRevealRange(p,A.Range.from(f),s||C.TextEditorRevealType.Default))},show(f){b.$tryShowEditor(p,A.ViewColumn.from(f))},hide(){b.$tryHideEditor(p)}})}dispose(){(0,h.ok)(!this._disposed),this._disposed=!0}_acceptOptions(p){(0,h.ok)(!this._disposed),this._options._accept(p)}_acceptVisibleRanges(p){(0,h.ok)(!this._disposed),this._visibleRanges=p}_acceptViewColumn(p){(0,h.ok)(!this._disposed),this._viewColumn=p}_acceptSelections(p){(0,h.ok)(!this._disposed),this._selections=p}async _trySetSelection(){const p=this._selections.map(A.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,p)),this.value}_applyEdit(p){const b=p.finalize();if(b.edits.length===0&&!b.setEndOfLine)return Promise.resolve(!0);const g=b.edits.map(w=>w.range);g.sort((w,S)=>w.end.line===S.end.line?w.end.character===S.end.character?w.start.line===S.start.line?w.start.character-S.start.character:w.start.line-S.start.line:w.end.character-S.end.character:w.end.line-S.end.line);for(let w=0,S=g.length-1;w<S;w++){const I=g[w].end;if(g[w+1].start.isBefore(I))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const u=b.edits.map(w=>({range:A.Range.from(w.range),text:w.text,forceMoveMarkers:w.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,b.documentVersionId,u,{setEndOfLine:typeof b.setEndOfLine=="number"?A.EndOfLine.from(b.setEndOfLine):void 0,undoStopBefore:b.undoStopBefore,undoStopAfter:b.undoStopAfter})}_runOnProxy(p){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):p().then(()=>this,b=>(b instanceof Error&&b.name==="DISPOSED"||this._logService.warn(b),null))}}e.ExtHostTextEditor=F}),define(pe[222],ve([1,0,15,3,6,13,63,14,84,85,35]),function(ee,e,h,t,P,A,C,k,_,R,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SingleUseTestCollection=void 0;class D extends P.Disposable{constructor(b){super();this.controllerId=b,this.debounceSendDiff=this._register(new h.RunOnceScheduler(()=>this.flushDiff(),200)),this.diffOpEmitter=this._register(new t.Emitter),this.root=new C.TestItemRootImpl(this.controllerId,this.controllerId),this.tree=new Map,this.tags=new Map,this.diff=[],this.onDidGenerateDiff=this.diffOpEmitter.event,this.root.canResolveChildren=!0,this.upsertItem(this.root,void 0)}set resolveHandler(b){this._resolveHandler=b;for(const g of this.tree.values())this.updateExpandability(g)}collectDiff(){const b=this.diff;return this.diff=[],b}pushDiff(b){const g=this.diff[this.diff.length-1];if(g&&b.op===1){if(g.op===1&&g.item.extId===b.item.extId){(0,_.applyTestItemUpdate)(g.item,b.item);return}if(g.op===0&&g.item.item.extId===b.item.extId){(0,_.applyTestItemUpdate)(g.item,b.item);return}}this.diff.push(b),this.debounceSendDiff.isScheduled()||this.debounceSendDiff.schedule()}expand(b,g){const u=this.tree.get(b);if(!!u){if((u.expandLevels===void 0||g>u.expandLevels)&&(u.expandLevels=g),u.expand===1){const w=this.resolveChildren(u);return w.isOpen()?this.expandChildren(u,g-1):w.wait().then(()=>this.expandChildren(u,g-1))}else if(u.expand===3)return u.resolveBarrier?.isOpen()===!1?u.resolveBarrier.wait().then(()=>this.expandChildren(u,g-1)):this.expandChildren(u,g-1)}}dispose(){for(const b of this.tree.values())(0,C.getPrivateApiFor)(b.actual).listener=void 0;this.tree.clear(),this.diff=[],super.dispose()}onTestItemEvent(b,g){switch(g.op){case 2:this.pushDiff({op:4,itemId:b.fullId.toString()});break;case 1:this.removeItem(R.TestId.joinToString(b.fullId,g.id));break;case 0:this.upsertItem(g.item,b);break;case 4:for(const u of g.ops)this.onTestItemEvent(b,u);break;case 3:{const{key:u,value:w,previous:S}=g,I=b.fullId.toString();switch(u){case"canResolveChildren":this.updateExpandability(b);break;case"tags":this.diffTagRefs(w,S,I);break;case"range":this.pushDiff({op:1,item:{extId:I,item:{range:F.Range.lift(k.Range.from(w))}}});break;case"error":this.pushDiff({op:1,item:{extId:I,item:{error:k.MarkdownString.fromStrict(w)||null}}});break;default:this.pushDiff({op:1,item:{extId:I,item:{[u]:w??null}}});break}break}default:(0,A.assertNever)(g)}}upsertItem(b,g){if(!(b instanceof C.TestItemImpl))throw new Error(`TestItems provided to the VS Code API must extend \`vscode.TestItem\`, but ${b.id} did not`);const u=R.TestId.fromExtHostTestItem(b,this.root.id,g?.actual),w=(0,C.getPrivateApiFor)(b);w.parent&&w.parent!==g?.actual&&w.parent.children.delete(b.id);let S=this.tree.get(u.toString());if(!S){S={fullId:u,actual:b,parent:g?u.parentId:null,expandLevels:g?.expandLevels?g.expandLevels-1:void 0,expand:0},b.tags.forEach(this.incrementTagRefs,this),this.tree.set(S.fullId.toString(),S),this.setItemParent(b,g),this.pushDiff({op:0,item:{parent:S.parent&&S.parent.toString(),controllerId:this.controllerId,expand:S.expand,item:k.TestItem.from(b)}}),this.connectItemAndChildren(b,S,g);return}if(S.actual===b){this.connectItem(b,S,g);return}const I=S.actual.children,l=S.actual,c=(0,C.diffTestItems)(l,b);(0,C.getPrivateApiFor)(l).listener=void 0,S.actual=b,S.expand=0;for(const[f,s]of c)this.onTestItemEvent(S,{op:3,key:f,value:s,previous:l[f]});this.connectItemAndChildren(b,S,g);for(const f of I)b.children.get(f.id)||this.removeItem(R.TestId.joinToString(u,f.id))}diffTagRefs(b,g,u){const w=new Set(g.map(S=>S.id));for(const S of b)w.delete(S.id)||this.incrementTagRefs(S);this.pushDiff({op:1,item:{extId:u,item:{tags:b.map(S=>k.TestTag.namespace(this.controllerId,S.id))}}}),w.forEach(this.decrementTagRefs,this)}incrementTagRefs(b){const g=this.tags.get(b.id);g?g.refCount++:(this.tags.set(b.id,{refCount:1}),this.pushDiff({op:5,tag:{id:k.TestTag.namespace(this.controllerId,b.id),ctrlLabel:this.root.label}}))}decrementTagRefs(b){const g=this.tags.get(b);g&&!--g.refCount&&(this.tags.delete(b),this.pushDiff({op:6,id:(0,_.namespaceTestTag)(this.controllerId,b)}))}setItemParent(b,g){(0,C.getPrivateApiFor)(b).parent=g&&g.actual!==this.root?g.actual:void 0}connectItem(b,g,u){this.setItemParent(b,u);const w=(0,C.getPrivateApiFor)(b);w.parent=u?.actual,w.listener=S=>this.onTestItemEvent(g,S),this.updateExpandability(g)}connectItemAndChildren(b,g,u){this.connectItem(b,g,u);for(const w of b.children)this.upsertItem(w,g)}updateExpandability(b){let g;this._resolveHandler?b.resolveBarrier?g=b.resolveBarrier.isOpen()?3:2:g=b.actual.canResolveChildren?1:0:g=0,g!==b.expand&&(b.expand=g,this.pushDiff({op:1,item:{extId:b.fullId.toString(),expand:g}}),g===1&&b.expandLevels!==void 0&&this.resolveChildren(b))}expandChildren(b,g){if(g<0)return;const u=[];for(const w of b.actual.children){const S=this.expand(R.TestId.joinToString(b.fullId,w.id),g);(0,h.isThenable)(S)&&u.push(S)}if(u.length)return Promise.all(u).then(()=>{})}resolveChildren(b){if(b.resolveBarrier)return b.resolveBarrier;if(!this._resolveHandler){const S=new h.Barrier;return S.open(),S}b.expand=2,this.pushExpandStateUpdate(b);const g=b.resolveBarrier=new h.Barrier,u=S=>{console.error(`Unhandled error in resolveHandler of test controller "${this.controllerId}"`),b.actual!==this.root&&(b.actual.error=S.stack||S.message||String(S))};let w;try{w=this._resolveHandler(b.actual===this.root?void 0:b.actual)}catch(S){u(S)}return(0,h.isThenable)(w)?w.catch(u).then(()=>{g.open(),this.updateExpandability(b)}):(g.open(),this.updateExpandability(b)),b.resolveBarrier}pushExpandStateUpdate(b){this.pushDiff({op:1,item:{extId:b.fullId.toString(),expand:b.expand}})}removeItem(b){const g=this.tree.get(b);if(!g)throw new Error("attempting to remove non-existent child");this.pushDiff({op:2,itemId:b});const u=[g];for(;u.length;){const w=u.pop();if(!!w){(0,C.getPrivateApiFor)(w.actual).listener=void 0;for(const S of w.actual.tags)this.decrementTagRefs(S.id);this.tree.delete(w.fullId.toString());for(const S of w.actual.children)u.push(this.tree.get(R.TestId.joinToString(w.fullId,S.id)))}}}flushDiff(){const b=this.collectDiff();b.length&&this.diffOpEmitter.fire(b)}}e.SingleUseTestCollection=D}),define(pe[223],ve([1,0,4,185]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWorkbenchEnvironmentService=void 0,e.IWorkbenchEnvironmentService=(0,h.refineServiceDecorator)(t.IEnvironmentService)}),define(pe[224],ve([1,0,27,3,9]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class A{constructor(F){this.removedDueToLooping=F}}e.DeltaExtensionsResult=A;class C{constructor(F){this._onDidChange=new t.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=F,this._initialize()}_initialize(){this._extensionDescriptions.sort(_),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const F of this._extensionDescriptions){if(this._extensionsMap.has(h.ExtensionIdentifier.toKey(F.identifier))){console.error("Extension `"+F.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(h.ExtensionIdentifier.toKey(F.identifier),F),this._extensionsArr.push(F),Array.isArray(F.activationEvents))for(let D of F.activationEvents)D==="onUri"&&(D=`onUri:${h.ExtensionIdentifier.toKey(F.identifier)}`),this._activationMap.has(D)||this._activationMap.set(D,[]),this._activationMap.get(D).push(F)}}keepOnly(F){const D=new Set;F.forEach(p=>D.add(h.ExtensionIdentifier.toKey(p))),this._extensionDescriptions=this._extensionDescriptions.filter(p=>D.has(h.ExtensionIdentifier.toKey(p.identifier))),this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(F,D){F.length>0&&(this._extensionDescriptions=this._extensionDescriptions.concat(F));const p=C._findLoopingExtensions(this._extensionDescriptions);if(D=D.concat(p.map(b=>b.identifier)),D.length>0){const b=new Set;D.forEach(g=>b.add(h.ExtensionIdentifier.toKey(g))),this._extensionDescriptions=this._extensionDescriptions.filter(g=>!b.has(h.ExtensionIdentifier.toKey(g.identifier)))}return this._initialize(),this._onDidChange.fire(void 0),new A(p)}static _findLoopingExtensions(F){const D=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(w){this._nodesSet.has(w)||(this._nodesSet.add(w),this._nodesArr.push(w))}addArc(w,S){this.addNode(w),this.addNode(S),this._arcs.has(w)?this._arcs.get(w).push(S):this._arcs.set(w,[S])}getArcs(w){return this._arcs.has(w)?this._arcs.get(w):[]}hasOnlyGoodArcs(w,S){const I=D.getArcs(w);for(let l=0;l<I.length;l++)if(!S.has(I[l]))return!1;return!0}getNodes(){return this._nodesArr}};let p=new Map;for(let w of F){const S=h.ExtensionIdentifier.toKey(w.identifier);if(p.set(S,w),w.extensionDependencies)for(let I of w.extensionDependencies){const l=h.ExtensionIdentifier.toKey(I);D.addArc(S,l)}}let b=new Set;D.getNodes().filter(w=>D.getArcs(w).length===0).forEach(w=>b.add(w));let g=D.getNodes().filter(w=>!b.has(w)),u;do{u=!1;for(let w=0;w<g.length;w++){const S=g[w];D.hasOnlyGoodArcs(S,b)&&(g.splice(w,1),w--,b.add(S),u=!0)}}while(u);return g.map(w=>p.get(w))}containsActivationEvent(F){return this._activationMap.has(F)}containsExtension(F){return this._extensionsMap.has(h.ExtensionIdentifier.toKey(F))}getExtensionDescriptionsForActivationEvent(F){const D=this._activationMap.get(F);return D?D.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(F){const D=this._extensionsMap.get(h.ExtensionIdentifier.toKey(F));return D||void 0}}e.ExtensionDescriptionRegistry=C;var k;(function(R){R[R.Builtin=0]="Builtin",R[R.User=1]="User",R[R.Dev=2]="Dev"})(k||(k={}));function _(R,F){const D=R.isBuiltin?0:R.isUnderDevelopment?2:1,p=F.isBuiltin?0:F.isUnderDevelopment?2:1;if(D!==p)return D-p;const b=P.posix.basename(R.extensionLocation.path),g=P.posix.basename(F.extensionLocation.path);return b<g?-1:b>g?1:0}}),define(pe[132],ve([1,0,22]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=e.UIKind=void 0;var t;(function(_){_[_.Desktop=1]="Desktop",_[_.Web=2]="Web"})(t=e.UIKind||(e.UIKind={}));var P;(function(_){_[_.VersionMismatch=55]="VersionMismatch",_[_.UnexpectedError=81]="UnexpectedError"})(P=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var A;(function(_){_[_.Initialized=0]="Initialized",_[_.Ready=1]="Ready",_[_.Terminate=2]="Terminate"})(A=e.MessageType||(e.MessageType={}));function C(_){const R=h.VSBuffer.alloc(1);switch(_){case 0:R.writeUInt8(1,0);break;case 1:R.writeUInt8(2,0);break;case 2:R.writeUInt8(3,0);break}return R}e.createMessageOfType=C;function k(_,R){if(_.byteLength!==1)return!1;switch(_.readUInt8(0)){case 1:return R===0;case 2:return R===1;case 3:return R===2;default:return!1}}e.isMessageOfType=k}),define(pe[30],ve([1,0,3,2,4,27,122]),function(ee,e,h,t,P,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.checkProposedApiEnabled=e.isProposedApiEnabled=e.extensionHostKindToString=e.ExtensionHostKind=e.MissingExtensionDependency=e.extensionRunningLocationToString=e.ExtensionRunningLocation=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new A.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",engines:{vscode:""},extensionLocation:t.URI.parse("void:location"),isBuiltin:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=(0,P.createDecorator)("extensionService");var k;(function(c){c[c.None=0]="None",c[c.LocalProcess=1]="LocalProcess",c[c.LocalWebWorker=2]="LocalWebWorker",c[c.Remote=3]="Remote"})(k=e.ExtensionRunningLocation||(e.ExtensionRunningLocation={}));function _(c){switch(c){case 0:return"None";case 1:return"LocalProcess";case 2:return"LocalWebWorker";case 3:return"Remote"}}e.extensionRunningLocationToString=_;class R{constructor(f){this.dependency=f}}e.MissingExtensionDependency=R;var F;(function(c){c[c.LocalProcess=0]="LocalProcess",c[c.LocalWebWorker=1]="LocalWebWorker",c[c.Remote=2]="Remote"})(F=e.ExtensionHostKind||(e.ExtensionHostKind={}));function D(c){switch(c){case 0:return"LocalProcess";case 1:return"LocalWebWorker";case 2:return"Remote"}}e.extensionHostKindToString=D;function p(c,f){return c.enabledApiProposals?c.enabledApiProposals.includes(f):!1}e.isProposedApiEnabled=p;function b(c,f){if(!p(c,f))throw new Error(`Extension '${c.identifier.value}' CANNOT use API proposal: ${f}.
Its package.json#enabledApiProposals-property declares: ${c.enabledApiProposals?.join(", ")??"[]"} but NOT ${f}.
 The missing proposal MUST be added and you must start in extension development mode or use the following command line switch: --enable-proposed-api ${c.identifier.value}`)}e.checkProposedApiEnabled=b;class g{constructor(f,s,v,o){this.codeLoadingTime=f,this.activateCallTime=s,this.activateResolvedTime=v,this.activationReason=o}}e.ActivationTimes=g;class u{constructor(f,s){this.description=f,this.value=s}}e.ExtensionPointContribution=u,e.ExtensionHostLogFileName="exthost";var w;(function(c){c[c.Normal=0]="Normal",c[c.Immediate=1]="Immediate"})(w=e.ActivationKind||(e.ActivationKind={}));function S(c){return{type:c.isBuiltin?0:1,isBuiltin:c.isBuiltin||c.isUserBuiltin,identifier:{id:(0,C.getGalleryExtensionId)(c.publisher,c.name),uuid:c.uuid},manifest:c,location:c.extensionLocation}}e.toExtension=S;function I(c,f){return{identifier:new A.ExtensionIdentifier((0,C.getExtensionId)(c.manifest.publisher,c.manifest.name)),isBuiltin:c.type===0,isUserBuiltin:c.type===1&&c.isBuiltin,isUnderDevelopment:!!f,extensionLocation:c.location,...c.manifest,uuid:c.identifier.uuid}}e.toExtensionDescription=I;class l{constructor(){this.onDidRegisterExtensions=h.Event.None,this.onDidChangeExtensionsStatus=h.Event.None,this.onDidChangeExtensions=h.Event.None,this.onWillActivateByEvent=h.Event.None,this.onDidChangeResponsiveChange=h.Event.None}activateByEvent(f){return Promise.resolve(void 0)}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(f){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(f){return Promise.resolve(0)}stopExtensionHosts(){}async restartExtensionHost(){}async startExtensionHosts(){}async setRemoteEnvironment(f){}canAddExtension(){return!1}canRemoveExtension(){return!1}_activateById(f,s){return Promise.resolve()}}e.NullExtensionService=l}),define(pe[225],ve([1,0,17,27,30,11]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;const C=Promise.resolve(void 0);class k{constructor(u,w,S,I){this.startup=u,this.codeLoadingTime=w,this.activateCallTime=S,this.activateResolvedTime=I}}e.ExtensionActivationTimes=k,k.NONE=new k(!1,-1,-1,-1);class _{constructor(u){this._startup=u,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(u,w){return u===-1||w===-1?-1:w-u}build(){return new k(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=_;class R{constructor(u,w,S,I,l,c){this.activationFailed=u,this.activationFailedError=w,this.activationTimes=S,this.module=I,this.exports=l,this.subscriptions=c}}e.ActivatedExtension=R;class F extends R{constructor(u){super(!1,null,u,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=F;class D extends R{constructor(){super(!1,null,k.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=D;class p extends R{constructor(u){super(!0,u,k.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=p;let b=class{constructor(u,w,S,I,l){this._logService=l,this._isDisposed=!1,this._registry=u,this._resolvedExtensionsSet=new Set,w.forEach(c=>this._resolvedExtensionsSet.add(t.ExtensionIdentifier.toKey(c))),this._hostExtensionsMap=new Map,S.forEach(c=>this._hostExtensionsMap.set(t.ExtensionIdentifier.toKey(c),c)),this._host=I,this._activatingExtensions=new Map,this._activatedExtensions=new Map,this._alreadyActivatedEvents=Object.create(null)}dispose(){this._isDisposed=!0}isActivated(u){const w=t.ExtensionIdentifier.toKey(u);return this._activatedExtensions.has(w)}getActivatedExtension(u){const w=t.ExtensionIdentifier.toKey(u),S=this._activatedExtensions.get(w);if(!S)throw new Error("Extension `"+u.value+"` is not known or not activated");return S}activateByEvent(u,w){if(this._alreadyActivatedEvents[u])return C;const S=this._registry.getExtensionDescriptionsForActivationEvent(u);return this._activateExtensions(S.map(I=>({id:I.identifier,reason:{startup:w,extensionId:I.identifier,activationEvent:u}}))).then(()=>{this._alreadyActivatedEvents[u]=!0})}activateById(u,w){const S=this._registry.getExtensionDescription(u);if(!S)throw new Error("Extension `"+u+"` is not known");return this._activateExtensions([{id:S.identifier,reason:w}])}_handleActivateRequest(u,w,S){if(this._hostExtensionsMap.has(t.ExtensionIdentifier.toKey(u.id))){w[t.ExtensionIdentifier.toKey(u.id)]=u;return}const I=this._registry.getExtensionDescription(u.id);if(!I){const f=new Error(`Cannot activate unknown extension '${u.id.value}'`);this._host.onExtensionActivationError(u.id,f,new P.MissingExtensionDependency(u.id.value)),this._activatedExtensions.set(t.ExtensionIdentifier.toKey(u.id),new p(f));return}const l=typeof I.extensionDependencies=="undefined"?[]:I.extensionDependencies;let c=!0;for(let f=0,s=l.length;f<s;f++){const v=l[f];if(this._resolvedExtensionsSet.has(t.ExtensionIdentifier.toKey(v)))continue;const o=this._activatedExtensions.get(t.ExtensionIdentifier.toKey(v));if(o&&!o.activationFailed)continue;if(o&&o.activationFailed){const a=I.displayName||I.identifier.value,m=this._registry.getExtensionDescription(v),d=m&&m.displayName||v,E=new Error(`Cannot activate the '${a}' extension because its dependency '${d}' failed to activate`);E.detail=o.activationFailedError,this._host.onExtensionActivationError(I.identifier,E,null),this._activatedExtensions.set(t.ExtensionIdentifier.toKey(I.identifier),new p(E));return}if(this._hostExtensionsMap.has(t.ExtensionIdentifier.toKey(v))){c=!1,w[t.ExtensionIdentifier.toKey(v)]={id:this._hostExtensionsMap.get(t.ExtensionIdentifier.toKey(v)),reason:u.reason};continue}const n=this._registry.getExtensionDescription(v);if(n){if(!n.main&&!n.browser)continue;c=!1,w[t.ExtensionIdentifier.toKey(v)]={id:n.identifier,reason:u.reason};continue}const r=I.displayName||I.identifier.value,i=new Error(`Cannot activate the '${r}' extension because it depends on unknown extension '${v}'`);this._host.onExtensionActivationError(I.identifier,i,new P.MissingExtensionDependency(v)),this._activatedExtensions.set(t.ExtensionIdentifier.toKey(I.identifier),new p(i));return}c?w[t.ExtensionIdentifier.toKey(I.identifier)]=u:S.push(u)}_activateExtensions(u){if(u.length===0||(u=u.filter(l=>!this._activatedExtensions.has(t.ExtensionIdentifier.toKey(l.id))),u.length===0))return Promise.resolve(void 0);const w=Object.create(null),S=[];for(let l=0,c=u.length;l<c;l++)this._handleActivateRequest(u[l],w,S);for(let l=0,c=S.length;l<c;l++){const f=t.ExtensionIdentifier.toKey(S[l].id);w[f]&&delete w[f]}const I=Object.keys(w).map(l=>w[l]);return S.length===0?Promise.all(I.map(l=>this._activateExtension(l.id,l.reason))).then(l=>{}):this._activateExtensions(I).then(l=>this._activateExtensions(S))}_activateExtension(u,w){const S=t.ExtensionIdentifier.toKey(u);if(this._activatedExtensions.has(S))return Promise.resolve(void 0);const I=this._activatingExtensions.get(S);if(I)return I;const l=this._host.actualActivateExtension(u,w).then(void 0,c=>{const f=new Error;return c&&c.name&&(f.name=c.name),c&&c.message?f.message=`Activating extension '${u.value}' failed: ${c.message}.`:f.message=`Activating extension '${u.value}' failed: ${c}.`,c&&c.stack&&(f.stack=c.stack),this._isDisposed&&h.isCancellationError(c)?new p(c):(this._host.onExtensionActivationError(u,f,null),this._logService.error(`Activating extension ${u.value} failed due to an error:`),this._logService.error(c),new p(c))}).then(c=>{this._activatedExtensions.set(S,c),this._activatingExtensions.delete(S)});return this._activatingExtensions.set(S,l),l}};b=Be([Fe(4,A.ILogService)],b),e.ExtensionsActivator=b}),define(pe[226],ve([1,0,11,26,30]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let A=class extends h.LogService{constructor(k,_){super(k.createLogger(_.logFile,{name:P.ExtensionHostLogFileName}))}};A=Be([Fe(0,h.ILoggerService),Fe(1,t.IExtHostInitDataService)],A),e.ExtHostLogService=A}),define(pe[227],ve([1,0,17]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LazyPromise=void 0;class t{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((A,C)=>{this._actualOk=A,this._actualErr=C,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(A){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=A,this._actual&&this._actualOk(A))}resolveErr(A){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=A,this._actual?this._actualErr(A):(0,h.onUnexpectedError)(A))}then(A,C){return this._ensureActual().then(A,C)}catch(A){return this._ensureActual().then(void 0,A)}finally(A){return this._ensureActual().finally(A)}}e.LazyPromise=t}),define(pe[52],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SerializableObjectWithBuffers=e.getStringIdentifierForProxy=e.createProxyIdentifier=e.ProxyIdentifier=void 0;class h{constructor(_){this._proxyIdentifierBrand=void 0,this.sid=_,this.nid=++h.count}}e.ProxyIdentifier=h,h.count=0;const t=[];function P(k){const _=new h(k);return t[_.nid]=_,_}e.createProxyIdentifier=P;function A(k){return t[k].sid}e.getStringIdentifierForProxy=A;class C{constructor(_){this.value=_}}e.SerializableObjectWithBuffers=C}),define(pe[5],ve([1,0,58,2,52]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.WorkspaceEditType=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TextEditorRevealType=void 0;var A;(function(S){S[S.Default=0]="Default",S[S.InCenter=1]="InCenter",S[S.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",S[S.AtTop=3]="AtTop"})(A=e.TextEditorRevealType||(e.TextEditorRevealType={}));var C;(function(S){S[S.Editable=0]="Editable",S[S.SupportsHotExit=1]="SupportsHotExit"})(C=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var k;(function(S){S[S.Int8Array=1]="Int8Array",S[S.Uint8Array=2]="Uint8Array",S[S.Uint8ClampedArray=3]="Uint8ClampedArray",S[S.Int16Array=4]="Int16Array",S[S.Uint16Array=5]="Uint16Array",S[S.Int32Array=6]="Int32Array",S[S.Uint32Array=7]="Uint32Array",S[S.Float32Array=8]="Float32Array",S[S.Float64Array=9]="Float64Array",S[S.BigInt64Array=10]="BigInt64Array",S[S.BigUint64Array=11]="BigUint64Array"})(k=e.WebviewMessageArrayBufferViewType||(e.WebviewMessageArrayBufferViewType={}));var _;(function(S){S[S.Text=1]="Text",S[S.Error=2]="Error",S[S.Rich=3]="Rich"})(_=e.CellOutputKind||(e.CellOutputKind={}));var R;(function(S){S[S.Default=0]="Default",S[S.InCenter=1]="InCenter",S[S.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",S[S.AtTop=3]="AtTop"})(R=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var F;(function(S){S[S.None=0]="None",S[S.Process=1]="Process",S[S.Output=2]="Output"})(F=e.CandidatePortSource||(e.CandidatePortSource={}));class D{static mixin(I){return I._id=D._n++,I}}e.IdObject=D,D._n=0;var p;(function(S){S.label="a",S.kind="b",S.detail="c",S.documentation="d",S.sortText="e",S.filterText="f",S.preselect="g",S.insertText="h",S.insertTextRules="i",S.range="j",S.commitCharacters="k",S.additionalTextEdits="l",S.command="m",S.kindModifier="n"})(p=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var b;(function(S){S.defaultRanges="a",S.completions="b",S.isIncomplete="c",S.duration="d"})(b=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));var g;(function(S){S[S.File=1]="File",S[S.Text=2]="Text",S[S.Cell=3]="Cell"})(g=e.WorkspaceEditType||(e.WorkspaceEditType={}));function u(S){if(S&&S.edits)for(const I of S.edits)typeof I.resource=="object"?I.resource=t.URI.revive(I.resource):(I.newUri=t.URI.revive(I.newUri),I.oldUri=t.URI.revive(I.oldUri)),I.metadata&&I.metadata.iconPath&&(I.metadata=(0,h.revive)(I.metadata));return S}e.reviveWorkspaceEditDto=u;var w;(function(S){S[S.Workspace=0]="Workspace",S[S.TextDocument=1]="TextDocument"})(w=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:(0,P.createProxyIdentifier)("MainThreadAuthentication"),MainThreadBulkEdits:(0,P.createProxyIdentifier)("MainThreadBulkEdits"),MainThreadClipboard:(0,P.createProxyIdentifier)("MainThreadClipboard"),MainThreadCommands:(0,P.createProxyIdentifier)("MainThreadCommands"),MainThreadComments:(0,P.createProxyIdentifier)("MainThreadComments"),MainThreadConfiguration:(0,P.createProxyIdentifier)("MainThreadConfiguration"),MainThreadConsole:(0,P.createProxyIdentifier)("MainThreadConsole"),MainThreadDebugService:(0,P.createProxyIdentifier)("MainThreadDebugService"),MainThreadDecorations:(0,P.createProxyIdentifier)("MainThreadDecorations"),MainThreadDiagnostics:(0,P.createProxyIdentifier)("MainThreadDiagnostics"),MainThreadDialogs:(0,P.createProxyIdentifier)("MainThreadDiaglogs"),MainThreadDocuments:(0,P.createProxyIdentifier)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,P.createProxyIdentifier)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,P.createProxyIdentifier)("MainThreadTextEditors"),MainThreadEditorInsets:(0,P.createProxyIdentifier)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,P.createProxyIdentifier)("MainThreadEditorTabs"),MainThreadErrors:(0,P.createProxyIdentifier)("MainThreadErrors"),MainThreadTreeViews:(0,P.createProxyIdentifier)("MainThreadTreeViews"),MainThreadDownloadService:(0,P.createProxyIdentifier)("MainThreadDownloadService"),MainThreadKeytar:(0,P.createProxyIdentifier)("MainThreadKeytar"),MainThreadLanguageFeatures:(0,P.createProxyIdentifier)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,P.createProxyIdentifier)("MainThreadLanguages"),MainThreadLogger:(0,P.createProxyIdentifier)("MainThreadLogger"),MainThreadMessageService:(0,P.createProxyIdentifier)("MainThreadMessageService"),MainThreadOutputService:(0,P.createProxyIdentifier)("MainThreadOutputService"),MainThreadProgress:(0,P.createProxyIdentifier)("MainThreadProgress"),MainThreadQuickOpen:(0,P.createProxyIdentifier)("MainThreadQuickOpen"),MainThreadStatusBar:(0,P.createProxyIdentifier)("MainThreadStatusBar"),MainThreadSecretState:(0,P.createProxyIdentifier)("MainThreadSecretState"),MainThreadStorage:(0,P.createProxyIdentifier)("MainThreadStorage"),MainThreadTelemetry:(0,P.createProxyIdentifier)("MainThreadTelemetry"),MainThreadTerminalService:(0,P.createProxyIdentifier)("MainThreadTerminalService"),MainThreadWebviews:(0,P.createProxyIdentifier)("MainThreadWebviews"),MainThreadWebviewPanels:(0,P.createProxyIdentifier)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,P.createProxyIdentifier)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,P.createProxyIdentifier)("MainThreadCustomEditors"),MainThreadUrls:(0,P.createProxyIdentifier)("MainThreadUrls"),MainThreadUriOpeners:(0,P.createProxyIdentifier)("MainThreadUriOpeners"),MainThreadWorkspace:(0,P.createProxyIdentifier)("MainThreadWorkspace"),MainThreadFileSystem:(0,P.createProxyIdentifier)("MainThreadFileSystem"),MainThreadExtensionService:(0,P.createProxyIdentifier)("MainThreadExtensionService"),MainThreadSCM:(0,P.createProxyIdentifier)("MainThreadSCM"),MainThreadSearch:(0,P.createProxyIdentifier)("MainThreadSearch"),MainThreadTask:(0,P.createProxyIdentifier)("MainThreadTask"),MainThreadWindow:(0,P.createProxyIdentifier)("MainThreadWindow"),MainThreadLabelService:(0,P.createProxyIdentifier)("MainThreadLabelService"),MainThreadNotebook:(0,P.createProxyIdentifier)("MainThreadNotebook"),MainThreadNotebookDocuments:(0,P.createProxyIdentifier)("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:(0,P.createProxyIdentifier)("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:(0,P.createProxyIdentifier)("MainThreadNotebookKernels"),MainThreadNotebookRenderers:(0,P.createProxyIdentifier)("MainThreadNotebookRenderers"),MainThreadInteractive:(0,P.createProxyIdentifier)("MainThreadInteractive"),MainThreadTheming:(0,P.createProxyIdentifier)("MainThreadTheming"),MainThreadTunnelService:(0,P.createProxyIdentifier)("MainThreadTunnelService"),MainThreadTimeline:(0,P.createProxyIdentifier)("MainThreadTimeline"),MainThreadTesting:(0,P.createProxyIdentifier)("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:(0,P.createProxyIdentifier)("ExtHostCommands"),ExtHostConfiguration:(0,P.createProxyIdentifier)("ExtHostConfiguration"),ExtHostDiagnostics:(0,P.createProxyIdentifier)("ExtHostDiagnostics"),ExtHostDebugService:(0,P.createProxyIdentifier)("ExtHostDebugService"),ExtHostDecorations:(0,P.createProxyIdentifier)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,P.createProxyIdentifier)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,P.createProxyIdentifier)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,P.createProxyIdentifier)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,P.createProxyIdentifier)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,P.createProxyIdentifier)("ExtHostEditors"),ExtHostTreeViews:(0,P.createProxyIdentifier)("ExtHostTreeViews"),ExtHostFileSystem:(0,P.createProxyIdentifier)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,P.createProxyIdentifier)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,P.createProxyIdentifier)("ExtHostFileSystemEventService"),ExtHostLanguages:(0,P.createProxyIdentifier)("ExtHostLanguages"),ExtHostLanguageFeatures:(0,P.createProxyIdentifier)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,P.createProxyIdentifier)("ExtHostQuickOpen"),ExtHostExtensionService:(0,P.createProxyIdentifier)("ExtHostExtensionService"),ExtHostLogLevelServiceShape:(0,P.createProxyIdentifier)("ExtHostLogLevelServiceShape"),ExtHostTerminalService:(0,P.createProxyIdentifier)("ExtHostTerminalService"),ExtHostSCM:(0,P.createProxyIdentifier)("ExtHostSCM"),ExtHostSearch:(0,P.createProxyIdentifier)("ExtHostSearch"),ExtHostTask:(0,P.createProxyIdentifier)("ExtHostTask"),ExtHostWorkspace:(0,P.createProxyIdentifier)("ExtHostWorkspace"),ExtHostWindow:(0,P.createProxyIdentifier)("ExtHostWindow"),ExtHostWebviews:(0,P.createProxyIdentifier)("ExtHostWebviews"),ExtHostWebviewPanels:(0,P.createProxyIdentifier)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,P.createProxyIdentifier)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,P.createProxyIdentifier)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,P.createProxyIdentifier)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,P.createProxyIdentifier)("ExtHostEditorTabs"),ExtHostProgress:(0,P.createProxyIdentifier)("ExtHostProgress"),ExtHostComments:(0,P.createProxyIdentifier)("ExtHostComments"),ExtHostSecretState:(0,P.createProxyIdentifier)("ExtHostSecretState"),ExtHostStorage:(0,P.createProxyIdentifier)("ExtHostStorage"),ExtHostUrls:(0,P.createProxyIdentifier)("ExtHostUrls"),ExtHostUriOpeners:(0,P.createProxyIdentifier)("ExtHostUriOpeners"),ExtHostOutputService:(0,P.createProxyIdentifier)("ExtHostOutputService"),ExtHosLabelService:(0,P.createProxyIdentifier)("ExtHostLabelService"),ExtHostNotebook:(0,P.createProxyIdentifier)("ExtHostNotebook"),ExtHostNotebookDocuments:(0,P.createProxyIdentifier)("ExtHostNotebookDocuments"),ExtHostNotebookEditors:(0,P.createProxyIdentifier)("ExtHostNotebookEditors"),ExtHostNotebookKernels:(0,P.createProxyIdentifier)("ExtHostNotebookKernels"),ExtHostNotebookRenderers:(0,P.createProxyIdentifier)("ExtHostNotebookRenderers"),ExtHostInteractive:(0,P.createProxyIdentifier)("ExtHostInteractive"),ExtHostTheming:(0,P.createProxyIdentifier)("ExtHostTheming"),ExtHostTunnelService:(0,P.createProxyIdentifier)("ExtHostTunnelService"),ExtHostAuthentication:(0,P.createProxyIdentifier)("ExtHostAuthentication"),ExtHostTimeline:(0,P.createProxyIdentifier)("ExtHostTimeline"),ExtHostTesting:(0,P.createProxyIdentifier)("ExtHostTesting"),ExtHostTelemetry:(0,P.createProxyIdentifier)("ExtHostTelemetry")}}),define(pe[86],ve([1,0,5,3,4]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class A{constructor(k){this._onDidChangePassword=new t.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=k.getProxy(h.MainContext.MainThreadSecretState)}async $onDidChangePassword(k){this._onDidChangePassword.fire(k)}get(k,_){return this._proxy.$getPassword(k,_)}store(k,_,R){return this._proxy.$setPassword(k,_,R)}delete(k,_){return this._proxy.$deletePassword(k,_)}}e.ExtHostSecretState=A,e.IExtHostSecretState=(0,P.createDecorator)("IExtHostSecretState")}),define(pe[65],ve([1,0,4,11,5,16]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=(0,h.createDecorator)("IExtHostApiDeprecationService");let C=class{constructor(_,R){this._extHostLogService=R,this._reportedUsages=new Set,this._telemetryShape=_.getProxy(P.MainContext.MainThreadTelemetry)}report(_,R,F){const D=this.getUsageKey(_,R);this._reportedUsages.has(D)||(this._reportedUsages.add(D),R.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${_}' is deprecated. ${F}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:R.identifier.value,apiId:_}))}getUsageKey(_,R){return`${_}-${R.identifier.value}`}};C=Be([Fe(0,A.IExtHostRpcService),Fe(1,t.ILogService)],C),e.ExtHostApiDeprecationService=C,e.NullApiDeprecationService=Object.freeze(new class{report(k,_,R){}})}),define(pe[228],ve([1,0,3,5,7,27]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class C{constructor(_){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeSessions=new h.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=_.getProxy(t.MainContext.MainThreadAuthentication)}$setProviders(_){return this._providers=_,Promise.resolve()}async getSession(_,R,F,D={}){const p=A.ExtensionIdentifier.toKey(_.identifier),b=this._inFlightRequests.get(p)||[],g=[...F].sort().join(" ");let u=b.find(w=>w.scopes===g);if(u)return u.result;{const w=this._getSession(_,p,R,F,D);u={scopes:g,result:w},b.push(u),this._inFlightRequests.set(p,b);try{await w}finally{const S=b.findIndex(I=>I.scopes===g);S>-1&&(b.splice(S),this._inFlightRequests.set(p,b))}return w}}async _getSession(_,R,F,D,p={}){await this._proxy.$ensureProvider(F);const b=_.displayName||_.name;return this._proxy.$getSession(F,D,R,b,p)}async removeSession(_,R){const F=this._authenticationProviders.get(_);return F?F.provider.removeSession(R):this._proxy.$removeSession(_,R)}registerAuthenticationProvider(_,R,F,D){if(this._authenticationProviders.get(_))throw new Error(`An authentication provider with id '${_}' is already registered.`);this._authenticationProviders.set(_,{label:R,provider:F,options:D??{supportsMultipleAccounts:!1}}),this._providers.find(b=>b.id===_)||this._providers.push({id:_,label:R});const p=F.onDidChangeSessions(b=>{this._proxy.$sendDidChangeSessions(_,{added:b.added??[],changed:b.changed??[],removed:b.removed??[]})});return this._proxy.$registerAuthenticationProvider(_,R,D?.supportsMultipleAccounts??!1),new P.Disposable(()=>{p.dispose(),this._authenticationProviders.delete(_);const b=this._providers.findIndex(g=>g.id===_);b>-1&&this._providers.splice(b),this._proxy.$unregisterAuthenticationProvider(_)})}$createSession(_,R){const F=this._authenticationProviders.get(_);if(F)return Promise.resolve(F.provider.createSession(R));throw new Error(`Unable to find authentication provider with handle: ${_}`)}$removeSession(_,R){const F=this._authenticationProviders.get(_);if(F)return Promise.resolve(F.provider.removeSession(R));throw new Error(`Unable to find authentication provider with handle: ${_}`)}$getSessions(_,R){const F=this._authenticationProviders.get(_);if(F)return Promise.resolve(F.provider.getSessions(R));throw new Error(`Unable to find authentication provider with handle: ${_}`)}$onDidChangeAuthenticationSessions(_,R){return this._onDidChangeSessions.fire({provider:{id:_,label:R}}),Promise.resolve()}}e.ExtHostAuthentication=C}),define(pe[229],ve([1,0,5,16,14]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let A=class{constructor(k,_){this._proxy=k.getProxy(h.MainContext.MainThreadBulkEdits),this._versionInformationProvider={getTextDocumentVersion:R=>_.getDocument(R)?.version,getNotebookDocumentVersion:()=>{}}}applyWorkspaceEdit(k){const _=P.WorkspaceEdit.from(k,this._versionInformationProvider);return this._proxy.$tryApplyWorkspaceEdit(_)}};A=Be([Fe(0,t.IExtHostRpcService)],A),e.ExtHostBulkEdits=A}),define(pe[230],ve([1,0,5]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class t{constructor(A){const C=A.getProxy(h.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return C.$readText()},writeText(k){return C.$writeText(k)}})}}e.ExtHostClipboard=t});var Xe=this&&this.__classPrivateFieldSet||function(ee,e,h,t,P){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!P)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ee!==e||!P:!e.has(ee))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?P.call(ee,h):P?P.value=h:e.set(ee,h),h},Pe=this&&this.__classPrivateFieldGet||function(ee,e,h,t){if(h==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ee!==e||!t:!e.has(ee))throw new TypeError("Cannot read private member from an object whose class did not declare it");return h==="m"?t:h==="a"?t.call(ee):t?t.value:e.get(ee)};define(pe[39],ve([1,0,13,7,14,25,5,18,11,58,35,48,2,6,4,16,63,22,52,49]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I,l){"use strict";var c;Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let f=class{constructor(i,a){c.set(this,void 0),this._commands=new Map,this._apiCommands=new Map,Xe(this,c,i.getProxy(C.MainContext.MainThreadCommands),"f"),this._logService=a,this.converter=new s(this,m=>{const d=this._apiCommands.get(m);return d?.result===o.Void?d:void 0},a),this._argumentProcessors=[{processArgument(m){return(0,R.revive)(m)}},{processArgument(m){return(0,A.cloneAndChange)(m,function(d){if(F.Range.isIRange(d))return P.Range.to(d);if(D.Position.isIPosition(d))return P.Position.to(d);if(F.Range.isIRange(d.range)&&p.URI.isUri(d.uri))return P.location.to(d);if(d instanceof S.VSBuffer)return d.buffer.buffer;if(!Array.isArray(d))return d})}}]}registerArgumentProcessor(i){this._argumentProcessors.push(i)}registerApiCommand(i){const a=this.registerCommand(!1,i.id,async(...m)=>{const d=i.args.map((T,L)=>{if(!T.validate(m[L]))throw new Error(`Invalid argument '${T.name}' when running '${i.id}', received: ${m[L]}`);return T.convert(m[L])}),E=await this.executeCommand(i.internalId,...d);return i.result.convert(E,m,this.converter)},void 0,{description:i.description,args:i.args,returns:i.result.description});return this._apiCommands.set(i.id,i),new t.Disposable(()=>{a.dispose(),this._apiCommands.delete(i.id)})}registerCommand(i,a,m,d,E,T){if(this._logService.trace("ExtHostCommands#registerCommand",a),!a.trim().length)throw new Error("invalid id");if(this._commands.has(a))throw new Error(`command '${a}' already exists`);return this._commands.set(a,{callback:m,thisArg:d,description:E,extension:T}),i&&Pe(this,c,"f").$registerCommand(a),new t.Disposable(()=>{this._commands.delete(a)&&i&&Pe(this,c,"f").$unregisterCommand(a)})}executeCommand(i,...a){return this._logService.trace("ExtHostCommands#executeCommand",i),this._doExecuteCommand(i,a,!0)}async _doExecuteCommand(i,a,m){if(this._commands.has(i))return this._executeContributedCommand(i,a,!1);{let d=!1;const E=(0,A.cloneAndChange)(a,function(T){if(T instanceof t.Position)return P.Position.from(T);if(T instanceof t.Range)return P.Range.from(T);if(T instanceof t.Location)return P.location.from(T);if(t.NotebookRange.isNotebookRange(T))return P.NotebookRange.from(T);if(T instanceof ArrayBuffer)return d=!0,S.VSBuffer.wrap(new Uint8Array(T));if(T instanceof Uint8Array)return d=!0,S.VSBuffer.wrap(T);if(!Array.isArray(T))return T});try{const T=await Pe(this,c,"f").$executeCommand(i,d?new I.SerializableObjectWithBuffers(E):E,m);return(0,R.revive)(T)}catch(T){if(T instanceof Error&&T.message==="$executeCommand:retry")return this._doExecuteCommand(i,a,!1);throw T}}}async _executeContributedCommand(i,a,m){const d=this._commands.get(i);if(!d)throw new Error("Unknown command");let{callback:E,thisArg:T,description:L}=d;if(L)for(let O=0;O<L.args.length;O++)try{(0,h.validateConstraint)(a[O],L.args[O].constraint)}catch{throw new Error(`Running the contributed command: '${i}' failed. Illegal argument '${L.args[O].name}' - ${L.args[O].description}`)}try{return await E.apply(T,a)}catch(O){if(i===this.converter.delegatingCommandId){const y=this.converter.getActualCommand(...a);y&&(i=y.command)}throw this._logService.error(O,i,d.extension?.identifier),m?new class extends Error{constructor(){super((0,l.toErrorMessage)(O));this.id=i,this.source=d.extension?.displayName??d.extension?.name}}:O}}$executeContributedCommand(i,...a){return this._logService.trace("ExtHostCommands#$executeContributedCommand",i),this._commands.has(i)?(a=a.map(m=>this._argumentProcessors.reduce((d,E)=>E.processArgument(d),m)),this._executeContributedCommand(i,a,!0)):Promise.reject(new Error(`Contributed command '${i}' does not exist.`))}getCommands(i=!1){return this._logService.trace("ExtHostCommands#getCommands",i),Pe(this,c,"f").$getCommands().then(a=>(i&&(a=a.filter(m=>m[0]!=="_")),a))}$getContributedCommandHandlerDescriptions(){const i=Object.create(null);for(let[a,m]of this._commands){let{description:d}=m;d&&(i[a]=d)}return Promise.resolve(i)}};c=new WeakMap,f=Be([Fe(0,u.IExtHostRpcService),Fe(1,_.ILogService)],f),e.ExtHostCommands=f,e.IExtHostCommands=(0,g.createDecorator)("IExtHostCommands");class s{constructor(i,a,m){this._commands=i,this._lookupApiCommand=a,this._logService=m,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(i,a){if(!i)return;const m={$ident:void 0,id:i.command,title:i.title,tooltip:i.tooltip};if(!i.command)return m;const d=this._lookupApiCommand(i.command);if(d)m.id=d.internalId,m.arguments=d.args.map((E,T)=>E.convert(i.arguments&&i.arguments[T]));else if((0,k.isNonEmptyArray)(i.arguments)){const E=++this._cachIdPool;this._cache.set(E,i),a.add((0,b.toDisposable)(()=>{this._cache.delete(E),this._logService.trace("CommandsConverter#DISPOSE",E)})),m.$ident=E,m.id=this.delegatingCommandId,m.arguments=[E],this._logService.trace("CommandsConverter#CREATE",i.command,E)}return m}fromInternal(i){return typeof i.$ident=="number"?this._cache.get(i.$ident):{command:i.id,title:i.title,arguments:i.arguments}}getActualCommand(...i){return this._cache.get(i[0])}_executeConvertedCommand(...i){const a=this.getActualCommand(...i);return this._logService.trace("CommandsConverter#EXECUTE",i[0],a?a.command:"MISSING"),a?this._commands.executeCommand(a.command,...a.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=s;class v{constructor(i,a,m,d){this.name=i,this.description=a,this.validate=m,this.convert=d}optional(){return new v(this.name,`(optional) ${this.description}`,i=>i==null||this.validate(i),i=>i===void 0?void 0:i===null?null:this.convert(i))}with(i,a){return new v(i??this.name,a??this.description,this.validate,this.convert)}}e.ApiCommandArgument=v,v.Uri=new v("uri","Uri of a text document",r=>p.URI.isUri(r),r=>r),v.Position=new v("position","A position in a text document",r=>t.Position.isPosition(r),P.Position.from),v.Range=new v("range","A range in a text document",r=>t.Range.isRange(r),P.Range.from),v.Selection=new v("selection","A selection in a text document",r=>t.Selection.isSelection(r),P.Selection.from),v.Number=new v("number","",r=>typeof r=="number",r=>r),v.String=new v("string","",r=>typeof r=="string",r=>r),v.CallHierarchyItem=new v("item","A call hierarchy item",r=>r instanceof t.CallHierarchyItem,P.CallHierarchyItem.from),v.TypeHierarchyItem=new v("item","A type hierarchy item",r=>r instanceof t.TypeHierarchyItem,P.TypeHierarchyItem.from),v.TestItem=new v("testItem","A VS Code TestItem",r=>r instanceof w.TestItemImpl,P.TestItem.from);class o{constructor(i,a){this.description=i,this.convert=a}}e.ApiCommandResult=o,o.Void=new o("no result",r=>r);class n{constructor(i,a,m,d,E){this.id=i,this.internalId=a,this.description=m,this.args=d,this.result=E}}e.ApiCommand=n}),define(pe[231],ve([1,0,2,14,7,79,39,18,111,117,10]),function(ee,e,h,t,P,A,C,k,_,R,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const D=[new C.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",b(t.DocumentHighlight.to))),new C.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",(u,w)=>{if((0,k.isFalsyOrEmpty)(u))return;class S extends P.SymbolInformation{static to(l){const c=new S(l.name,t.SymbolKind.to(l.kind),l.containerName||"",new P.Location(w[0],t.Range.to(l.range)));return c.detail=l.detail,c.range=c.location.range,c.selectionRange=t.Range.to(l.selectionRange),c.children=l.children?l.children.map(S.to):[],c}}return u.map(S.to)})),new C.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("options","Formatting options",u=>!0,u=>u)],new C.ApiCommandResult("A promise that resolves to an array of TextEdits.",b(t.TextEdit.to))),new C.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range,new C.ApiCommandArgument("options","Formatting options",u=>!0,u=>u)],new C.ApiCommandResult("A promise that resolves to an array of TextEdits.",b(t.TextEdit.to))),new C.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,new C.ApiCommandArgument("ch","Trigger character",u=>typeof u=="string",u=>u),new C.ApiCommandArgument("options","Formatting options",u=>!0,u=>u)],new C.ApiCommandResult("A promise that resolves to an array of TextEdits.",b(t.TextEdit.to))),new C.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",g)),new C.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",g)),new C.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",g)),new C.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",g)),new C.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location-instances.",b(t.location.to))),new C.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Hover-instances.",b(t.Hover.to))),new C.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("position","A position in a text document",u=>Array.isArray(u)&&u.every(w=>P.Position.isPosition(w)),u=>u.map(t.Position.from))],new C.ApiCommandResult("A promise that resolves to an array of ranges.",u=>u.map(w=>{let S;for(const I of w.reverse())S=new P.SelectionRange(t.Range.to(I),S);return S}))),new C.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[C.ApiCommandArgument.String.with("query","Search string")],new C.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",u=>u.map(t.WorkspaceSymbol.to))),new C.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A CallHierarchyItem or undefined",u=>u.map(t.CallHierarchyItem.to))),new C.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[C.ApiCommandArgument.CallHierarchyItem],new C.ApiCommandResult("A CallHierarchyItem or undefined",u=>u.map(t.CallHierarchyIncomingCall.to))),new C.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[C.ApiCommandArgument.CallHierarchyItem],new C.ApiCommandResult("A CallHierarchyItem or undefined",u=>u.map(t.CallHierarchyOutgoingCall.to))),new C.ApiCommand("vscode.prepareRename","_executePrepareRename","Execute the prepareRename of rename provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to a range and placeholder text.",u=>{if(!!u)return{range:t.Range.to(u.range),placeholder:u.text}})),new C.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,C.ApiCommandArgument.String.with("newName","The new symbol name")],new C.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",u=>{if(!!u){if(u.rejectReason)throw new Error(u.rejectReason);return t.WorkspaceEdit.to(u)}})),new C.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new C.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",u=>u.map(t.DocumentLink.to))),new C.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",u=>{if(!!u)return new P.SemanticTokensLegend(u.tokenTypes,u.tokenModifiers)})),new C.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to SemanticTokens.",u=>{if(!u)return;const w=(0,_.decodeSemanticTokensDto)(u);if(w.type==="full")return new P.SemanticTokens(w.data,void 0)})),new C.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range.optional()],new C.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",u=>{if(!!u)return new P.SemanticTokensLegend(u.tokenTypes,u.tokenModifiers)})),new C.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range],new C.ApiCommandResult("A promise that resolves to SemanticTokens.",u=>{if(!u)return;const w=(0,_.decodeSemanticTokensDto)(u);if(w.type==="full")return new P.SemanticTokens(w.data,void 0)})),new C.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,C.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),C.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new C.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(u,w,S)=>{if(!u)return new P.CompletionList([]);const I=u.suggestions.map(l=>t.CompletionItem.to(l,S));return new P.CompletionList(I,u.incomplete)})),new C.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,C.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new C.ApiCommandResult("A promise that resolves to SignatureHelp.",u=>{if(u)return t.SignatureHelp.to(u)})),new C.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new C.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(u,w,S)=>b(I=>new P.CodeLens(t.Range.to(I.range),I.command&&S.fromInternal(I.command)))(u))),new C.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",u=>P.Range.isRange(u),u=>P.Selection.isSelection(u)?t.Selection.from(u):t.Range.from(u)),C.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),C.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new C.ApiCommandResult("A promise that resolves to an array of Command-instances.",(u,w,S)=>b(I=>{if(I._isSynthetic){if(!I.command)throw new Error("Synthetic code actions must have a command");return S.fromInternal(I.command)}else{const l=new P.CodeAction(I.title,I.kind?new P.CodeActionKind(I.kind):void 0);return I.edit&&(l.edit=t.WorkspaceEdit.to(I.edit)),I.command&&(l.command=S.fromInternal(I.command)),l.isPreferred=I.isPreferred,l}})(u))),new C.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",u=>u?u.map(w=>new P.ColorInformation(t.Range.to(w.range),t.Color.to(w.color))):[])),new C.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new C.ApiCommandArgument("color","The color to show and insert",u=>u instanceof P.Color,t.Color.from),new C.ApiCommandArgument("context","Context object with uri and range",u=>!0,u=>({uri:u.uri,range:t.Range.from(u.range)}))],new C.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",u=>u?u.map(t.ColorPresentation.to):[])),new C.ApiCommand("vscode.executeInlayHintProvider","_executeInlayHintProvider","Execute inlay hints provider",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range],new C.ApiCommandResult("A promise that resolves to an array of Inlay objects",(u,w,S)=>u.map(t.InlayHint.to.bind(void 0,S)))),new C.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new C.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",b(u=>({viewType:u.viewType,displayName:u.displayName,options:{transientOutputs:u.options.transientOutputs,transientCellMetadata:u.options.transientCellMetadata,transientDocumentMetadata:u.options.transientDocumentMetadata},filenamePattern:u.filenamePattern.map(w=>t.NotebookExclusiveDocumentPattern.to(w))})))),new C.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range],new C.ApiCommandResult("A promise that resolves to an array of InlineValue objects",u=>u.map(t.InlineValue.to))),new C.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[new C.ApiCommandArgument("uriOrString","Uri-instance or string (only http/https)",u=>h.URI.isUri(u)||typeof u=="string"&&(0,R.matchesSomeScheme)(u,F.Schemas.http,F.Schemas.https),u=>u),new C.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",u=>u===void 0||typeof u=="number"||typeof u=="object",u=>u&&(typeof u=="number"?[t.ViewColumn.from(u),void 0]:[t.ViewColumn.from(u.viewColumn),t.TextEditorOpenOptions.from(u)])).optional(),C.ApiCommandArgument.String.with("label","").optional()],C.ApiCommandResult.Void),new C.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[C.ApiCommandArgument.Uri.with("resource","Resource to open"),C.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new C.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",u=>u===void 0||typeof u=="number"||typeof u=="object",u=>u&&(typeof u=="number"?[t.ViewColumn.from(u),void 0]:[t.ViewColumn.from(u.viewColumn),t.TextEditorOpenOptions.from(u)])).optional()],C.ApiCommandResult.Void),new C.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[C.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),C.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),C.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new C.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",u=>u===void 0||typeof u=="object",u=>u&&[t.ViewColumn.from(u.viewColumn),t.TextEditorOpenOptions.from(u)]).optional()],C.ApiCommandResult.Void),new C.ApiCommand("vscode.prepareTypeHierarchy","_executePrepareTypeHierarchy","Prepare type hierarchy at a position inside a document",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A TypeHierarchyItem or undefined",u=>u.map(t.TypeHierarchyItem.to))),new C.ApiCommand("vscode.provideSupertypes","_executeProvideSupertypes","Compute supertypes for an item",[C.ApiCommandArgument.TypeHierarchyItem],new C.ApiCommandResult("A TypeHierarchyItem or undefined",u=>u.map(t.TypeHierarchyItem.to))),new C.ApiCommand("vscode.provideSubtypes","_executeProvideSubtypes","Compute subtypes for an item",[C.ApiCommandArgument.TypeHierarchyItem],new C.ApiCommandResult("A TypeHierarchyItem or undefined",u=>u.map(t.TypeHierarchyItem.to))),new C.ApiCommand("vscode.revealTestInExplorer","_revealTestInExplorer","Reveals a test instance in the explorer",[C.ApiCommandArgument.TestItem],C.ApiCommandResult.Void)];class p{static register(w){D.forEach(w.registerApiCommand,w)}}e.ExtHostApiCommands=p;function b(u){return w=>{if(Array.isArray(w))return w.map(u)}}function g(u){if(!Array.isArray(u))return;const w=[];for(const S of u)A.isLocationLink(S)?w.push(t.DefinitionLink.to(S)):w.push(t.location.to(S));return w}}),define(pe[232],ve([1,0,15,56,3,6,2,79,27,14,7,5]),function(ee,e,h,t,P,A,C,k,_,R,F,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostComments=void 0;function p(b,g,u){const w=b.getProxy(D.MainContext.MainThreadComments);class S{constructor(){this._commentControllers=new Map,this._commentControllersByExtension=new Map,g.registerArgumentProcessor({processArgument:n=>{if(n&&n.$mid===6){const r=this._commentControllers.get(n.handle);return r||n}else if(n&&n.$mid===7){const r=this._commentControllers.get(n.commentControlHandle);if(!r)return n;const i=r.getCommentThread(n.commentThreadHandle);return i||n}else if(n&&n.$mid===8){const r=this._commentControllers.get(n.thread.commentControlHandle);if(!r)return n;const i=r.getCommentThread(n.thread.commentThreadHandle);return i?{thread:i,text:n.text}:n}else if(n&&n.$mid===9){const r=this._commentControllers.get(n.thread.commentControlHandle);if(!r)return n;const i=r.getCommentThread(n.thread.commentThreadHandle);if(!i)return n;let a=n.commentUniqueId,m=i.getCommentByUniqueId(a);return m||n}else if(n&&n.$mid===10){const r=this._commentControllers.get(n.thread.commentControlHandle);if(!r)return n;const i=r.getCommentThread(n.thread.commentThreadHandle);if(!i)return n;let a=n.text,m=n.commentUniqueId,d=i.getCommentByUniqueId(m);return d?(d.body=a,d):n}return n}})}createCommentController(n,r,i){const a=S.handlePool++,m=new l(n,a,r,i);this._commentControllers.set(m.handle,m);const d=this._commentControllersByExtension.get(_.ExtensionIdentifier.toKey(n.identifier))||[];return d.push(m),this._commentControllersByExtension.set(_.ExtensionIdentifier.toKey(n.identifier),d),m.value}$createCommentThreadTemplate(n,r,i){const a=this._commentControllers.get(n);!a||a.$createCommentThreadTemplate(r,i)}async $updateCommentThreadTemplate(n,r,i){const a=this._commentControllers.get(n);!a||a.$updateCommentThreadTemplate(r,i)}$deleteCommentThread(n,r){const i=this._commentControllers.get(n);i&&i.$deleteCommentThread(r)}$provideCommentingRanges(n,r,i){const a=this._commentControllers.get(n);if(!a||!a.commentingRangeProvider)return Promise.resolve(void 0);const m=u.getDocument(C.URI.revive(r));return(0,h.asPromise)(()=>a.commentingRangeProvider.provideCommentingRanges(m,i)).then(d=>d?d.map(E=>R.Range.from(E)):void 0)}$toggleReaction(n,r,i,a,m){const d=this._commentControllers.get(n);return!d||!d.reactionHandler?Promise.resolve(void 0):(0,h.asPromise)(()=>{const E=d.getCommentThread(r);if(E){const T=E.getCommentByUniqueId(a.uniqueIdInThread);if(d!==void 0&&T&&d.reactionHandler)return d.reactionHandler(T,s(m))}return Promise.resolve(void 0)})}dispose(){}}S.handlePool=0;class I{constructor(n,r,i,a,m,d,E){this._commentControllerHandle=r,this._id=i,this._uri=a,this._range=m,this._comments=d,this.extensionDescription=E,this.handle=I._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new P.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new A.MutableDisposable,this._acceptInputDisposables.value=new A.DisposableStore,this._id===void 0&&(this._id=`${n}.${this.handle}`),w.$createCommentThread(r,this.handle,this._id,this._uri,R.Range.from(this._range),E.identifier),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=d,this._localDisposables.push({dispose:()=>{w.$deleteCommentThread(r,this.handle)}});const T=this;this.value={get uri(){return T.uri},get range(){return T.range},set range(L){T.range=L},get comments(){return T.comments},set comments(L){T.comments=L},get collapsibleState(){return T.collapsibleState},set collapsibleState(L){T.collapsibleState=L},get canReply(){return T.canReply},set canReply(L){T.canReply=L},get contextValue(){return T.contextValue},set contextValue(L){T.contextValue=L},get label(){return T.label},set label(L){T.label=L},dispose:()=>{T.dispose()}}}set threadId(n){this._id=n}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(n){n.isEqual(this._range)||(this._range=n,this.modifications.range=n,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(n){this._canReply!==n&&(this._canReply=n,this.modifications.canReply=n,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(n){this._label=n,this.modifications.label=n,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(n){this._contextValue=n,this.modifications.contextValue=n,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(n){this._comments=n,this.modifications.comments=n,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(n){this._collapseState=n,this.modifications.collapsibleState=n,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}eventuallyUpdateCommentThread(){if(this._isDiposed)return;this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new A.DisposableStore);const n=i=>Object.prototype.hasOwnProperty.call(this.modifications,i),r={};n("range")&&(r.range=R.Range.from(this._range)),n("label")&&(r.label=this.label),n("contextValue")&&(r.contextValue=this.contextValue??null),n("comments")&&(r.comments=this._comments.map(i=>c(this,i,this._commentsMap))),n("collapsibleState")&&(r.collapseState=v(this._collapseState)),n("canReply")&&(r.canReply=this.canReply),this.modifications={},w.$updateCommentThread(this._commentControllerHandle,this.handle,this._id,this._uri,r)}getCommentByUniqueId(n){for(let r of this._commentsMap){let i=r[0],a=r[1];if(n===a)return i}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(n=>n.dispose())}}I._handlePool=0,Be([(0,t.debounce)(100)],I.prototype,"eventuallyUpdateCommentThread",null);class l{constructor(n,r,i,a){this._extension=n,this._handle=r,this._id=i,this._label=a,this._threads=new Map,w.$registerCommentController(this.handle,i,a);const m=this;this.value=Object.freeze({id:m.id,label:m.label,get options(){return m.options},set options(d){m.options=d},get commentingRangeProvider(){return m.commentingRangeProvider},set commentingRangeProvider(d){m.commentingRangeProvider=d},get reactionHandler(){return m.reactionHandler},set reactionHandler(d){m.reactionHandler=d},createCommentThread(d,E,T){return m.createCommentThread(d,E,T).value},dispose:()=>{m.dispose()}}),this._localDisposables=[],this._localDisposables.push({dispose:()=>{w.$unregisterCommentController(this.handle)}})}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get commentingRangeProvider(){return this._commentingRangeProvider}set commentingRangeProvider(n){this._commentingRangeProvider=n,w.$updateCommentingRanges(this.handle)}get reactionHandler(){return this._reactionHandler}set reactionHandler(n){this._reactionHandler=n,w.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!n})}get options(){return this._options}set options(n){this._options=n,w.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(n,r,i,a){if(typeof n=="string"){const m=new I(this.id,this.handle,n,r,i,a,this._extension);return this._threads.set(m.handle,m),m}else{const m=new I(this.id,this.handle,void 0,n,r,i,this._extension);return this._threads.set(m.handle,m),m}}$createCommentThreadTemplate(n,r){const i=new I(this.id,this.handle,void 0,C.URI.revive(n),R.Range.to(r),[],this._extension);return i.collapsibleState=k.CommentThreadCollapsibleState.Expanded,this._threads.set(i.handle,i),i}$updateCommentThreadTemplate(n,r){let i=this._threads.get(n);i&&(i.range=R.Range.to(r))}$deleteCommentThread(n){let r=this._threads.get(n);r&&r.dispose(),this._threads.delete(n)}getCommentThread(n){return this._threads.get(n)}dispose(){this._threads.forEach(n=>{n.dispose()}),this._localDisposables.forEach(n=>n.dispose())}}function c(o,n,r){let i=r.get(n);i||(i=++o.commentHandle,r.set(n,i));const a=n.author&&n.author.iconPath?n.author.iconPath.toString():void 0;return{mode:n.mode,contextValue:n.contextValue,uniqueIdInThread:i,body:typeof n.body=="string"?n.body:R.MarkdownString.from(n.body),userName:n.author.name,userIconPath:a,label:n.label,commentReactions:n.reactions?n.reactions.map(m=>f(m)):void 0,timestamp:n.timestamp?.toJSON()}}function f(o){return{label:o.label,iconPath:o.iconPath?R.pathOrURIToURI(o.iconPath):void 0,count:o.count,hasReacted:o.authorHasReacted}}function s(o){return{label:o.label||"",count:o.count||0,iconPath:o.iconPath?C.URI.revive(o.iconPath):"",authorHasReacted:o.hasReacted||!1}}function v(o){if(o!==void 0)switch(o){case F.CommentThreadCollapsibleState.Expanded:return k.CommentThreadCollapsibleState.Expanded;case F.CommentThreadCollapsibleState.Collapsed:return k.CommentThreadCollapsibleState.Collapsed}return k.CommentThreadCollapsibleState.Collapsed}return new S}e.createExtHostComments=p}),define(pe[133],ve([1,0,2,5,7,4,16,11,18,8,9]),function(ee,e,h,t,P,A,C,k,_,R,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let D=class Ei{constructor(b,g){this._logService=g,this._provider=new Map,this._proxy=b.getProxy(t.MainContext.MainThreadDecorations)}registerFileDecorationProvider(b,g){const u=Ei._handlePool++;this._provider.set(u,{provider:b,extensionId:g}),this._proxy.$registerDecorationProvider(u,g.value);const w=b.onDidChangeFileDecorations&&b.onDidChangeFileDecorations(S=>{if(!S){this._proxy.$onDidChange(u,null);return}let I=(0,_.asArray)(S);if(I.length<=Ei._maxEventSize){this._proxy.$onDidChange(u,I);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",g.value,I.length);const l=I.map(s=>({uri:s,rank:(0,R.count)(s.path,"/")})),c=(0,_.groupBy)(l,(s,v)=>s.rank-v.rank||(0,R.compare)(s.uri.path,v.uri.path));let f=[];e:for(let s of c){let v;for(let o of s){let n=(0,F.dirname)(o.uri.path);if(v!==n&&(v=n,f.push(o.uri)>=Ei._maxEventSize))break e}}this._proxy.$onDidChange(u,f)});return new P.Disposable(()=>{w?.dispose(),this._proxy.$unregisterDecorationProvider(u),this._provider.delete(u)})}async $provideDecorations(b,g,u){if(!this._provider.has(b))return Object.create(null);const w=Object.create(null),{provider:S,extensionId:I}=this._provider.get(b);return await Promise.all(g.map(async l=>{try{const{uri:c,id:f}=l,s=await Promise.resolve(S.provideFileDecoration(h.URI.revive(c),u));if(!s)return;try{P.FileDecoration.validate(s),w[f]=[s.propagate,s.tooltip,s.badge,s.color]}catch(v){this._logService.warn(`INVALID decoration from extension '${I.value}': ${v}`)}}catch(c){this._logService.error(c)}})),w}};D._handlePool=0,D._maxEventSize=250,D=Be([Fe(0,C.IExtHostRpcService),Fe(1,k.ILogService)],D),e.ExtHostDecorations=D,e.IExtHostDecorations=(0,A.createDecorator)("IExtHostDecorations")});var Xe=this&&this.__classPrivateFieldSet||function(ee,e,h,t,P){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!P)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ee!==e||!P:!e.has(ee))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?P.call(ee,h):P?P.value=h:e.set(ee,h),h},Pe=this&&this.__classPrivateFieldGet||function(ee,e,h,t){if(h==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ee!==e||!t:!e.has(ee))throw new TypeError("Cannot read private member from an object whose class did not declare it");return h==="m"?t:h==="a"?t.call(ee):t?t.value:e.get(ee)};define(pe[233],ve([1,0,166,116,2,5,7,14,3,11,24,44]),function(ee,e,h,t,P,A,C,k,_,R,F,D){"use strict";var p,b,g;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class u{constructor(I,l,c,f,s,v){this._name=I,this._owner=l,this._maxDiagnosticsPerFile=c,p.set(this,void 0),b.set(this,void 0),g.set(this,void 0),this._isDisposed=!1,Xe(this,g,new F.ResourceMap(o=>f.getComparisonKey(o)),"f"),Xe(this,p,s,"f"),Xe(this,b,v,"f")}dispose(){this._isDisposed||(Pe(this,b,"f").fire([...Pe(this,g,"f").keys()]),Pe(this,p,"f")&&Pe(this,p,"f").$clear(this._owner),Pe(this,g,"f").clear(),this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(I,l){if(!I){this.clear();return}this._checkDisposed();let c=[];if(P.URI.isUri(I)){if(!l){this.delete(I);return}Pe(this,g,"f").set(I,l.slice()),c=[I]}else if(Array.isArray(I)){c=[];let s;I=[...I].sort(u._compareIndexedTuplesByUri);for(const v of I){const[o,n]=v;if((!s||o.toString()!==s.toString())&&(s&&Pe(this,g,"f").get(s).length===0&&Pe(this,g,"f").delete(s),s=o,c.push(o),Pe(this,g,"f").set(o,[])),n){const r=Pe(this,g,"f").get(o);r&&r.push(...n)}else{const r=Pe(this,g,"f").get(o);r&&(r.length=0)}}}if(Pe(this,b,"f").fire(c),!Pe(this,p,"f"))return;const f=[];for(let s of c){let v=[];const o=Pe(this,g,"f").get(s);if(o)if(o.length>this._maxDiagnosticsPerFile){v=[];const n=[C.DiagnosticSeverity.Error,C.DiagnosticSeverity.Warning,C.DiagnosticSeverity.Information,C.DiagnosticSeverity.Hint];e:for(let r=0;r<4;r++)for(let i of o)if(i.severity===n[r]&&v.push(k.Diagnostic.from(i))===this._maxDiagnosticsPerFile)break e;v.push({severity:t.MarkerSeverity.Info,message:(0,h.localize)(0,null,o.length-this._maxDiagnosticsPerFile),startLineNumber:v[v.length-1].startLineNumber,startColumn:v[v.length-1].startColumn,endLineNumber:v[v.length-1].endLineNumber,endColumn:v[v.length-1].endColumn})}else v=o.map(n=>k.Diagnostic.from(n));f.push([s,v])}Pe(this,p,"f").$changeMany(this._owner,f)}delete(I){this._checkDisposed(),Pe(this,b,"f").fire([I]),Pe(this,g,"f").delete(I),Pe(this,p,"f")&&Pe(this,p,"f").$changeMany(this._owner,[[I,void 0]])}clear(){this._checkDisposed(),Pe(this,b,"f").fire([...Pe(this,g,"f").keys()]),Pe(this,g,"f").clear(),Pe(this,p,"f")&&Pe(this,p,"f").$clear(this._owner)}forEach(I,l){this._checkDisposed();for(let c of Pe(this,g,"f").keys())I.apply(l,[c,this.get(c),this])}get(I){this._checkDisposed();const l=Pe(this,g,"f").get(I);return Array.isArray(l)?Object.freeze(l.slice(0)):[]}has(I){return this._checkDisposed(),Array.isArray(Pe(this,g,"f").get(I))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(I,l){return I[0].toString()<l[0].toString()?-1:I[0].toString()>l[0].toString()?1:0}}e.DiagnosticCollection=u,p=new WeakMap,b=new WeakMap,g=new WeakMap;let w=class oi{constructor(I,l,c){this._logService=l,this._fileSystemInfoService=c,this._collections=new Map,this._onDidChangeDiagnostics=new _.DebounceEmitter({merge:f=>f.flat(),delay:50}),this.onDidChangeDiagnostics=_.Event.map(this._onDidChangeDiagnostics.event,oi._mapper),this._proxy=I.getProxy(A.MainContext.MainThreadDiagnostics)}static _mapper(I){const l=new F.ResourceMap;for(const c of I)l.set(c,c);return{uris:Object.freeze(Array.from(l.values()))}}createDiagnosticCollection(I,l){const{_collections:c,_proxy:f,_onDidChangeDiagnostics:s,_logService:v,_fileSystemInfoService:o}=this,n=new class{$changeMany(a,m){f.$changeMany(a,m),v.trace("[DiagnosticCollection] change many (extension, owner, uris)",I.value,a,m.length===0?"CLEARING":m)}$clear(a){f.$clear(a),v.trace("[DiagnosticCollection] remove all (extension, owner)",I.value,a)}dispose(){f.dispose()}};let r;if(!l)l="_generated_diagnostic_collection_name_#"+oi._idPool++,r=l;else if(!c.has(l))r=l;else{this._logService.warn(`DiagnosticCollection with name '${l}' does already exist.`);do r=l+oi._idPool++;while(c.has(r))}return new class extends u{constructor(){super(l,r,oi._maxDiagnosticsPerFile,o.extUri,n,s);c.set(r,this)}dispose(){super.dispose(),c.delete(r)}}}getDiagnostics(I){if(I)return this._getDiagnostics(I);{const l=new Map,c=[];for(const f of this._collections.values())f.forEach((s,v)=>{let o=l.get(s.toString());typeof o=="undefined"&&(o=c.length,l.set(s.toString(),o),c.push([s,[]])),c[o][1]=c[o][1].concat(...v)});return c}}_getDiagnostics(I){let l=[];for(let c of this._collections.values())c.has(I)&&(l=l.concat(c.get(I)));return l}$acceptMarkersChange(I){if(!this._mirrorCollection){const l="_generated_mirror",c=new u(l,l,oi._maxDiagnosticsPerFile,this._fileSystemInfoService.extUri,void 0,this._onDidChangeDiagnostics);this._collections.set(l,c),this._mirrorCollection=c}for(const[l,c]of I)this._mirrorCollection.set(P.URI.revive(l),c.map(k.Diagnostic.to))}};w._idPool=0,w._maxDiagnosticsPerFile=1e3,w=Be([Fe(1,R.ILogService),Fe(2,D.IExtHostFileSystemInfo)],w),e.ExtHostDiagnostics=w}),define(pe[234],ve([1,0,2,5]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class P{constructor(C){this._proxy=C.getProxy(t.MainContext.MainThreadDialogs)}showOpenDialog(C){return this._proxy.$showOpenDialog(C).then(k=>k?k.map(_=>h.URI.revive(_)):void 0)}showSaveDialog(C){return this._proxy.$showSaveDialog(C).then(k=>k?h.URI.revive(k):void 0)}}e.ExtHostDialogs=P}),define(pe[235],ve([1,0,17,2,7,5,10,21,8]),function(ee,e,h,t,P,A,C,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class R{constructor(D,p,b){this._documentsAndEditors=p,this._logService=b,this._documentContentProviders=new Map,this._proxy=D.getProxy(A.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(D,p){if(Object.keys(C.Schemas).indexOf(D)>=0)throw new Error(`scheme '${D}' already registered`);const b=R._handlePool++;this._documentContentProviders.set(b,p),this._proxy.$registerTextContentProvider(b,D);let g;return typeof p.onDidChange=="function"&&(g=p.onDidChange(u=>{if(u.scheme!==D){this._logService.warn(`Provider for scheme '${D}' is firing event for schema '${u.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(u)&&this.$provideTextDocumentContent(b,u).then(w=>{if(!w&&typeof w!="string")return;const S=this._documentsAndEditors.getDocument(u);if(!S)return;const I=(0,_.splitLines)(w);if(!S.equalLines(I))return this._proxy.$onVirtualDocumentChange(u,w)},h.onUnexpectedError)})),new P.Disposable(()=>{this._documentContentProviders.delete(b)&&this._proxy.$unregisterTextContentProvider(b),g&&(g.dispose(),g=void 0)})}$provideTextDocumentContent(D,p){const b=this._documentContentProviders.get(D);return b?Promise.resolve(b.provideTextDocumentContent(t.URI.revive(p),k.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${p.scheme}`))}}e.ExtHostDocumentContentProvider=R,R._handlePool=0}),define(pe[236],ve([1,0,3,6,2,5,125,14,13,25,7]),function(ee,e,h,t,P,A,C,k,_,R,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class D{constructor(b,g){this._onDidAddDocument=new h.Emitter,this._onDidRemoveDocument=new h.Emitter,this._onDidChangeDocument=new h.Emitter,this._onDidSaveDocument=new h.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new t.DisposableStore,this._documentLoader=new Map,this._proxy=b.getProxy(A.MainContext.MainThreadDocuments),this._documentsAndEditors=g,this._documentsAndEditors.onDidRemoveDocuments(u=>{for(const w of u)this._onDidRemoveDocument.fire(w.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(u=>{for(const w of u)this._onDidAddDocument.fire(w.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(b){if(!b)return;const g=this._documentsAndEditors.getDocument(b);if(g)return g}getDocument(b){const g=this.getDocumentData(b);if(!g?.document)throw new Error(`Unable to retrieve document from URI '${b}'`);return g.document}ensureDocumentData(b){const g=this._documentsAndEditors.getDocument(b);if(g)return Promise.resolve(g);let u=this._documentLoader.get(b.toString());return u||(u=this._proxy.$tryOpenDocument(b).then(w=>{this._documentLoader.delete(b.toString());const S=P.URI.revive(w);return(0,_.assertIsDefined)(this._documentsAndEditors.getDocument(S))},w=>(this._documentLoader.delete(b.toString()),Promise.reject(w))),this._documentLoader.set(b.toString(),u)),u}createDocumentData(b){return this._proxy.$tryCreateDocument(b).then(g=>P.URI.revive(g))}$acceptModelLanguageChanged(b,g){const u=P.URI.revive(b),w=this._documentsAndEditors.getDocument(u);if(!w)throw new Error("unknown document");this._onDidRemoveDocument.fire(w.document),w._acceptLanguageId(g),this._onDidAddDocument.fire(w.document)}$acceptModelSaved(b){const g=P.URI.revive(b),u=this._documentsAndEditors.getDocument(g);if(!u)throw new Error("unknown document");this.$acceptDirtyStateChanged(b,!1),this._onDidSaveDocument.fire(u.document)}$acceptDirtyStateChanged(b,g){const u=P.URI.revive(b),w=this._documentsAndEditors.getDocument(u);if(!w)throw new Error("unknown document");w._acceptIsDirty(g),this._onDidChangeDocument.fire({document:w.document,contentChanges:[],reason:void 0})}$acceptModelChanged(b,g,u){const w=P.URI.revive(b),S=this._documentsAndEditors.getDocument(w);if(!S)throw new Error("unknown document");S._acceptIsDirty(u),S.onEvents(g);let I;g.isUndoing?I=F.TextDocumentChangeReason.Undo:g.isRedoing&&(I=F.TextDocumentChangeReason.Redo),this._onDidChangeDocument.fire((0,R.deepFreeze)({document:S.document,contentChanges:g.changes.map(l=>({range:k.Range.to(l.range),rangeOffset:l.rangeOffset,rangeLength:l.rangeLength,text:l.text})),reason:I}))}setWordDefinitionFor(b,g){(0,C.setWordDefinitionFor)(b,g)}}e.ExtHostDocuments=D}),define(pe[45],ve([1,0,55,3,6,2,4,5,125,16,131,14,11,24,10,77,89]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class S{constructor(c){this.value=c,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let I=class{constructor(c,f){this._extHostRpc=c,this._logService=f,this._activeEditorId=null,this._editors=new Map,this._documents=new b.ResourceMap,this._onDidAddDocuments=new t.Emitter,this._onDidRemoveDocuments=new t.Emitter,this._onDidChangeVisibleTextEditors=new t.Emitter,this._onDidChangeActiveTextEditor=new t.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(c){this.acceptDocumentsAndEditorsDelta(c)}acceptDocumentsAndEditorsDelta(c){const f=[],s=[],v=[];if(c.removedDocuments)for(const o of c.removedDocuments){const n=A.URI.revive(o),r=this._documents.get(n);r?.unref()&&(this._documents.delete(n),f.push(r.value))}if(c.addedDocuments)for(const o of c.addedDocuments){const n=A.URI.revive(o.uri);let r=this._documents.get(n);if(r&&n.scheme!==g.Schemas.vscodeNotebookCell&&n.scheme!==g.Schemas.vscodeInteractiveInput)throw new Error(`document '${n} already exists!'`);r||(r=new S(new _.ExtHostDocumentData(this._extHostRpc.getProxy(k.MainContext.MainThreadDocuments),n,o.lines,o.EOL,o.versionId,o.languageId,o.isDirty,o.notebook)),this._documents.set(n,r),s.push(r.value)),r.ref()}if(c.removedEditors)for(const o of c.removedEditors){const n=this._editors.get(o);this._editors.delete(o),n&&v.push(n)}if(c.addedEditors)for(const o of c.addedEditors){const n=A.URI.revive(o.documentUri);h.ok(this._documents.has(n),`document '${n}' does not exist`),h.ok(!this._editors.has(o.id),`editor '${o.id}' already exists!`);const r=this._documents.get(n).value,i=new F.ExtHostTextEditor(o.id,this._extHostRpc.getProxy(k.MainContext.MainThreadTextEditors),this._logService,new w.Lazy(()=>r.document),o.selections.map(D.Selection.to),o.options,o.visibleRanges.map(a=>D.Range.to(a)),typeof o.editorPosition=="number"?D.ViewColumn.to(o.editorPosition):void 0);this._editors.set(o.id,i)}c.newActiveEditor!==void 0&&(h.ok(c.newActiveEditor===null||this._editors.has(c.newActiveEditor),`active editor '${c.newActiveEditor}' does not exist`),this._activeEditorId=c.newActiveEditor),(0,P.dispose)(f),(0,P.dispose)(v),c.removedDocuments&&this._onDidRemoveDocuments.fire(f),c.addedDocuments&&this._onDidAddDocuments.fire(s),(c.removedEditors||c.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(o=>o.value)),c.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(c){return this._documents.get(c)?.value}allDocuments(){return u.Iterable.map(this._documents.values(),c=>c.value)}getEditor(c){return this._editors.get(c)}activeEditor(c){if(!this._activeEditorId)return;const f=this._editors.get(this._activeEditorId);return c?f:f?.value}allEditors(){return[...this._editors.values()]}};I=Be([Fe(0,R.IExtHostRpcService),Fe(1,p.ILogService)],I),e.ExtHostDocumentsAndEditors=I,e.IExtHostDocumentsAndEditors=(0,C.createDecorator)("IExtHostDocumentsAndEditors")}),define(pe[53],ve([1,0,14,5,2,3,4,16]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=e.IExtHostEditorTabs=void 0,e.IExtHostEditorTabs=(0,C.createDecorator)("IExtHostEditorTabs");let _=class{constructor(F){this._onDidChangeTabGroup=new A.Emitter,this.onDidChangeTabGroup=this._onDidChangeTabGroup.event,this._tabGroups={all:[],onDidChangeTabGroup:this._onDidChangeTabGroup.event},this._proxy=F.getProxy(t.MainContext.MainThreadEditorTabs)}get tabGroups(){return this._tabGroups}$acceptEditorTabModel(F){this._tabGroups.all.length=0;for(const D of F){let p;const b=D.tabs.map(g=>{const u=this.createExtHostTabObject(g);return g.isActive&&(p=u),u});this._tabGroups.all.push(Object.freeze({isActive:D.isActive,viewColumn:h.ViewColumn.to(D.viewColumn),activeTab:p,tabs:b}))}this._onDidChangeTabGroup.fire()}createExtHostTabObject(F){return Object.freeze({label:F.label,viewColumn:h.ViewColumn.to(F.viewColumn),resource:P.URI.revive(F.resource),additionalResourcesAndViewIds:F.additionalResourcesAndViewIds.map(({resource:D,viewId:p})=>({resource:P.URI.revive(D),viewId:p})),viewId:F.editorId,isActive:F.isActive,isDirty:F.isDirty,move:async(D,p)=>{this._proxy.$moveTab(F,D,h.ViewColumn.from(p))},close:async()=>{await this._proxy.$closeTab(F)}})}};_=Be([Fe(0,k.IExtHostRpcService)],_),e.ExtHostEditorTabs=_}),define(pe[237],ve([1,0,2,5,6,7,14,150,8,22,30]),function(ee,e,h,t,P,A,C,k,_,R,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class D{constructor(){this._schemes=[]}add(g){this._stateMachine=void 0,this._schemes.push(g)}delete(g){const u=this._schemes.indexOf(g);u>=0&&(this._schemes.splice(u,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const g=this._schemes.sort(),u=[];let w,S,I=14,l=14;for(const c of g){let f=w?(0,_.commonPrefixLength)(w,c):0;for(f===0?S=1:S=l;f<c.length;f++)f+1===c.length?(I=l,l=9):l+=1,u.push([S,c.toUpperCase().charCodeAt(f),l]),u.push([S,c.toLowerCase().charCodeAt(f),l]),S=l;w=c,l=I}u.push([9,58,10]),u.push([10,47,12]),this._stateMachine=new k.StateMachine(u)}}provideDocumentLinks(g){this._initStateMachine();const u=[],w=k.LinkComputer.computeLinks({getLineContent(S){return g.lineAt(S-1).text},getLineCount(){return g.lineCount}},this._stateMachine);for(const S of w){const I=C.DocumentLink.to(S);I.target&&u.push(I)}return u}}class p{constructor(g,u){this._extHostLanguageFeatures=u,this._linkProvider=new D,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._handlePool=0,this._proxy=g.getProxy(t.MainContext.MainThreadFileSystem)}dispose(){this._linkProviderRegistration?.dispose()}registerFileSystemProvider(g,u,w,S={}){if(this._registeredSchemes.has(u))throw new Error(`a provider for the scheme '${u}' is already registered`);this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(g,"*",this._linkProvider));const I=this._handlePool++;this._linkProvider.add(u),this._registeredSchemes.add(u),this._fsProvider.set(I,w);let l=2;S.isCaseSensitive&&(l+=1024),S.isReadonly&&(l+=2048),typeof w.copy=="function"&&(l+=8),typeof w.open=="function"&&typeof w.close=="function"&&typeof w.read=="function"&&typeof w.write=="function"&&((0,F.checkProposedApiEnabled)(g,"fsChunks"),l+=4),this._proxy.$registerFileSystemProvider(I,u,l).catch(f=>{console.error(`FAILED to register filesystem provider of ${g.identifier.value}-extension for the scheme ${u}`),console.error(f)});const c=w.onDidChangeFile(f=>{const s=[];for(const v of f){let{uri:o,type:n}=v;if(o.scheme!==u)continue;let r;switch(n){case A.FileChangeType.Changed:r=0;break;case A.FileChangeType.Created:r=1;break;case A.FileChangeType.Deleted:r=2;break;default:throw new Error("Unknown FileChangeType")}s.push({resource:o,type:r})}this._proxy.$onFileSystemChange(I,s)});return(0,P.toDisposable)(()=>{c.dispose(),this._linkProvider.delete(u),this._registeredSchemes.delete(u),this._fsProvider.delete(I),this._proxy.$unregisterProvider(I)})}static _asIStat(g){const{type:u,ctime:w,mtime:S,size:I,permissions:l}=g;return{type:u,ctime:w,mtime:S,size:I,permissions:l}}$stat(g,u){return Promise.resolve(this._getFsProvider(g).stat(h.URI.revive(u))).then(w=>p._asIStat(w))}$readdir(g,u){return Promise.resolve(this._getFsProvider(g).readDirectory(h.URI.revive(u)))}$readFile(g,u){return Promise.resolve(this._getFsProvider(g).readFile(h.URI.revive(u))).then(w=>R.VSBuffer.wrap(w))}$writeFile(g,u,w,S){return Promise.resolve(this._getFsProvider(g).writeFile(h.URI.revive(u),w.buffer,S))}$delete(g,u,w){return Promise.resolve(this._getFsProvider(g).delete(h.URI.revive(u),w))}$rename(g,u,w,S){return Promise.resolve(this._getFsProvider(g).rename(h.URI.revive(u),h.URI.revive(w),S))}$copy(g,u,w,S){const I=this._getFsProvider(g);if(!I.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(I.copy(h.URI.revive(u),h.URI.revive(w),S))}$mkdir(g,u){return Promise.resolve(this._getFsProvider(g).createDirectory(h.URI.revive(u)))}$watch(g,u,w,S){const I=this._getFsProvider(g).watch(h.URI.revive(w),S);this._watches.set(u,I)}$unwatch(g,u){const w=this._watches.get(u);w&&(w.dispose(),this._watches.delete(u))}$open(g,u,w){const S=this._getFsProvider(g);if(!S.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(S.open(h.URI.revive(u),w))}$close(g,u){const w=this._getFsProvider(g);if(!w.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(w.close(u))}$read(g,u,w,S){const I=this._getFsProvider(g);if(!I.read)throw new Error('FileSystemProvider does not implement "read"');const l=R.VSBuffer.alloc(S);return Promise.resolve(I.read(u,w,l.buffer,0,S)).then(c=>l.slice(0,c))}$write(g,u,w,S){const I=this._getFsProvider(g);if(!I.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(I.write(u,w,S.buffer,0,S.byteLength))}_getFsProvider(g){const u=this._fsProvider.get(g);if(!u){const w=new Error;throw w.name="ENOPRO",w.message="no provider",w}return u}}e.ExtHostFileSystem=p}),define(pe[66],ve([1,0,5,42,7,22,4,16,44,6]),function(ee,e,h,t,P,A,C,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let F=class jt{constructor(p,b){this._fileSystemProvider=new Map,this._proxy=p.getProxy(h.MainContext.MainThreadFileSystem);const g=this;this.value=Object.freeze({async stat(u){try{const w=g._fileSystemProvider.get(u.scheme);if(!w)return await g._proxy.$stat(u);await g._proxy.$ensureActivation(u.scheme);const S=await w.stat(u);return{type:S.type,ctime:S.ctime,mtime:S.mtime,size:S.size,permissions:S.permissions}}catch(w){jt._handleError(w)}},async readDirectory(u){try{const w=g._fileSystemProvider.get(u.scheme);return w?(await g._proxy.$ensureActivation(u.scheme),(await w.readDirectory(u)).slice()):await g._proxy.$readdir(u)}catch(w){return jt._handleError(w)}},async createDirectory(u){try{return await g._proxy.$mkdir(u)}catch(w){return jt._handleError(w)}},async readFile(u){try{const w=g._fileSystemProvider.get(u.scheme);return w?(await g._proxy.$ensureActivation(u.scheme),(await w.readFile(u)).slice()):(await g._proxy.$readFile(u)).buffer}catch(w){return jt._handleError(w)}},async writeFile(u,w){try{return await g._proxy.$writeFile(u,A.VSBuffer.wrap(w))}catch(S){return jt._handleError(S)}},async delete(u,w){try{const S=g._fileSystemProvider.get(u.scheme);return S?(await g._proxy.$ensureActivation(u.scheme),await S.delete(u,{recursive:!1,...w})):await g._proxy.$delete(u,{recursive:!1,useTrash:!1,...w})}catch(S){return jt._handleError(S)}},async rename(u,w,S){try{return await g._proxy.$rename(u,w,{overwrite:!1,...S})}catch(I){return jt._handleError(I)}},async copy(u,w,S){try{return await g._proxy.$copy(u,w,{overwrite:!1,...S})}catch(I){return jt._handleError(I)}},isWritableFileSystem(u){const w=b.getCapabilities(u);if(typeof w=="number")return!(w&2048)}})}static _handleError(p){if(p instanceof P.FileSystemError)throw p;if(!(p instanceof Error))throw new P.FileSystemError(String(p));if(p.name==="ENOPRO")throw P.FileSystemError.Unavailable(p.message);switch(p.name){case t.FileSystemProviderErrorCode.FileExists:throw P.FileSystemError.FileExists(p.message);case t.FileSystemProviderErrorCode.FileNotFound:throw P.FileSystemError.FileNotFound(p.message);case t.FileSystemProviderErrorCode.FileNotADirectory:throw P.FileSystemError.FileNotADirectory(p.message);case t.FileSystemProviderErrorCode.FileIsADirectory:throw P.FileSystemError.FileIsADirectory(p.message);case t.FileSystemProviderErrorCode.NoPermissions:throw P.FileSystemError.NoPermissions(p.message);case t.FileSystemProviderErrorCode.Unavailable:throw P.FileSystemError.Unavailable(p.message);default:throw new P.FileSystemError(p.message,p.name)}}addFileSystemProvider(p,b){return this._fileSystemProvider.set(p,b),(0,R.toDisposable)(()=>this._fileSystemProvider.delete(p))}};F=Be([Fe(0,k.IExtHostRpcService),Fe(1,_.IExtHostFileSystemInfo)],F),e.ExtHostConsumerFileSystem=F,e.IExtHostConsumerFileSystem=(0,C.createDecorator)("IExtHostConsumerFileSystem")}),define(pe[238],ve([1,0,3,32,2,5,14,7]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class _{constructor(D,p,b,g,u,w,S,I){this._onDidCreate=new h.Emitter,this._onDidChange=new h.Emitter,this._onDidDelete=new h.Emitter;const l=this.ensureWatching(D,b,u);this._config=0,w&&(this._config+=1),S&&(this._config+=2),I&&(this._config+=4);const c=(0,t.parse)(u),f=typeof u=="string",s=g(v=>{if(!w)for(let o of v.created){const n=P.URI.revive(o);c(n.fsPath)&&(!f||p.getWorkspaceFolder(n))&&this._onDidCreate.fire(n)}if(!S)for(let o of v.changed){const n=P.URI.revive(o);c(n.fsPath)&&(!f||p.getWorkspaceFolder(n))&&this._onDidChange.fire(n)}if(!I)for(let o of v.deleted){const n=P.URI.revive(o);c(n.fsPath)&&(!f||p.getWorkspaceFolder(n))&&this._onDidDelete.fire(n)}});this._disposable=k.Disposable.from(l,this._onDidCreate,this._onDidChange,this._onDidDelete,s)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}ensureWatching(D,p,b){let g=k.Disposable.from();if(typeof b=="string")return g;const u=D.getProxy(A.MainContext.MainThreadFileSystem);let w=!1;(b.pattern.includes(t.GLOBSTAR)||b.pattern.includes(t.GLOB_SPLIT))&&(w=!0);const S=Math.random();return u.$watch(p.identifier.value,S,b.baseUri,{recursive:w,excludes:[]}),k.Disposable.from({dispose:()=>u.$unwatch(S)})}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class R{constructor(D,p,b){this._mainContext=D,this._logService=p,this._extHostDocumentsAndEditors=b,this._onFileSystemEvent=new h.Emitter,this._onDidRenameFile=new h.Emitter,this._onDidCreateFile=new h.Emitter,this._onDidDeleteFile=new h.Emitter,this._onWillRenameFile=new h.AsyncEmitter,this._onWillCreateFile=new h.AsyncEmitter,this._onWillDeleteFile=new h.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(D,p,b,g,u,w){return new _(this._mainContext,D,p,this._onFileSystemEvent.event,C.GlobPattern.from(b),g,u,w)}$onFileEvent(D){this._onFileSystemEvent.fire(D)}$onDidRunFileOperation(D,p){switch(D){case 2:this._onDidRenameFile.fire(Object.freeze({files:p.map(b=>({oldUri:P.URI.revive(b.source),newUri:P.URI.revive(b.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:p.map(b=>P.URI.revive(b.target))}));break;case 0:this._onDidCreateFile.fire(Object.freeze({files:p.map(b=>P.URI.revive(b.target))}));break;default:}}getOnWillRenameFileEvent(D){return this._createWillExecuteEvent(D,this._onWillRenameFile)}getOnWillCreateFileEvent(D){return this._createWillExecuteEvent(D,this._onWillCreateFile)}getOnWillDeleteFileEvent(D){return this._createWillExecuteEvent(D,this._onWillDeleteFile)}_createWillExecuteEvent(D,p){return(b,g,u)=>{const w=function(I){b.call(g,I)};return w.extension=D,p.event(w,void 0,u)}}async $onWillRunFileOperation(D,p,b,g){switch(D){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:p.map(u=>({oldUri:P.URI.revive(u.source),newUri:P.URI.revive(u.target)}))},b,g);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:p.map(u=>P.URI.revive(u.target))},b,g);case 0:return await this._fireWillEvent(this._onWillCreateFile,{files:p.map(u=>P.URI.revive(u.target))},b,g)}}async _fireWillEvent(D,p,b,g){const u=new Set,w=[];if(await D.fireAsync(p,g,async(I,l)=>{const c=Date.now(),f=await Promise.resolve(I);f instanceof k.WorkspaceEdit&&(w.push(f),u.add(l.extension.displayName??l.extension.identifier.value)),Date.now()-c>b&&this._logService.warn("SLOW file-participant",l.extension.identifier)}),g.isCancellationRequested||w.length===0)return;const S={edits:[]};for(let I of w){let{edits:l}=C.WorkspaceEdit.from(I,{getTextDocumentVersion:c=>this._extHostDocumentsAndEditors.getDocument(c)?.version,getNotebookDocumentVersion:()=>{}});S.edits=S.edits.concat(l)}return{edit:S,extensionNames:Array.from(u)}}}e.ExtHostFileSystemEventService=R}),define(pe[239],ve([1,0,2,39]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostInteractive=void 0;class P{constructor(C,k,_,R){this._extHostNotebooks=k,this._textDocumentsAndEditors=_,this._commands=R;const F=new t.ApiCommand("interactive.open","_interactive.open","Open interactive window and return notebook editor and input URI",[new t.ApiCommandArgument("showOptions","Show Options",D=>!0,D=>D),new t.ApiCommandArgument("resource","Interactive resource Uri",D=>!0,D=>D),new t.ApiCommandArgument("controllerId","Notebook controller Id",D=>!0,D=>D),new t.ApiCommandArgument("title","Interactive editor title",D=>!0,D=>D)],new t.ApiCommandResult("Notebook and input URI",D=>{if(D.notebookEditorId!==void 0){const p=this._extHostNotebooks.getEditorById(D.notebookEditorId);return{notebookUri:h.URI.revive(D.notebookUri),inputUri:h.URI.revive(D.inputUri),notebookEditor:p.apiEditor}}return{notebookUri:h.URI.revive(D.notebookUri),inputUri:h.URI.revive(D.inputUri)}}));this._commands.registerApiCommand(F)}$willAddInteractiveDocument(C,k,_,R){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:[{EOL:k,lines:[""],languageId:_,uri:C,isDirty:!1,versionId:1,notebook:this._extHostNotebooks.getNotebookDocument(h.URI.revive(R))?.apiNotebook}]})}$willRemoveInteractiveDocument(C,k){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({removedDocuments:[C]})}}e.ExtHostInteractive=P}),define(pe[240],ve([1,0,6,5]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class P{constructor(C){this._handlePool=0,this._proxy=C.getProxy(t.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(C){const k=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(k,C),(0,h.toDisposable)(()=>{this._proxy.$unregisterResourceLabelFormatter(k)})}}e.ExtHostLabelService=P}),define(pe[241],ve([1,0,2,25,14,7,5,8,35,18,13,146,21,6,111,76,82,46,17,3,15]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I,l,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.InlineCompletionController=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class f{constructor($,U){this._documents=$,this._provider=U}async provideDocumentSymbols($,U){const N=this._documents.getDocument($),W=await this._provider.provideDocumentSymbols(N,U);if(!(0,R.isFalsyOrEmpty)(W))return W[0]instanceof A.DocumentSymbol?W.map(P.DocumentSymbol.from):f._asDocumentSymbolTree(W)}static _asDocumentSymbolTree($){$=$.slice(0).sort((W,q)=>{let re=W.location.range.start.compareTo(q.location.range.start);return re===0&&(re=q.location.range.end.compareTo(W.location.range.end)),re});const U=[],N=[];for(const W of $){const q={name:W.name||"!!MISSING: name!!",kind:P.SymbolKind.from(W.kind),tags:W.tags?.map(P.SymbolTag.from)||[],detail:"",containerName:W.containerName,range:P.Range.from(W.location.range),selectionRange:P.Range.from(W.location.range),children:[]};for(;;){if(N.length===0){N.push(q),U.push(q);break}const re=N[N.length-1];if(_.Range.containsRange(re.range,q.range)&&!_.Range.equalsRange(re.range,q.range)){re.children&&re.children.push(q),N.push(q);break}N.pop()}}return U}}class s{constructor($,U,N){this._documents=$,this._commands=U,this._provider=N,this._cache=new w.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses($,U){const N=this._documents.getDocument($),W=await this._provider.provideCodeLenses(N,U);if(!W||U.isCancellationRequested)return;const q=this._cache.add(W),re=new b.DisposableStore;this._disposables.set(q,re);const de={cacheId:q,lenses:[]};for(let Ce=0;Ce<W.length;Ce++)de.lenses.push({cacheId:[q,Ce],range:P.Range.from(W[Ce].range),command:this._commands.toInternal(W[Ce].command,re)});return de}async resolveCodeLens($,U){const N=$.cacheId&&this._cache.get(...$.cacheId);if(!N)return;let W;if(typeof this._provider.resolveCodeLens!="function"||N.isResolved?W=N:W=await this._provider.resolveCodeLens(N,U),W||(W=N),U.isCancellationRequested)return;const q=$.cacheId&&this._disposables.get($.cacheId[0]);if(!!q)return $.command=this._commands.toInternal(W.command??s._badCmd,q),$}releaseCodeLenses($){this._disposables.get($)?.dispose(),this._disposables.delete($),this._cache.delete($)}}s._badCmd={command:"missing",title:"!!MISSING: command!!"};function v(Ee){return Array.isArray(Ee)?Ee.map(P.DefinitionLink.from):Ee?[P.DefinitionLink.from(Ee)]:[]}class o{constructor($,U){this._documents=$,this._provider=U}async provideDefinition($,U,N){const W=this._documents.getDocument($),q=P.Position.to(U),re=await this._provider.provideDefinition(W,q,N);return v(re)}}class n{constructor($,U){this._documents=$,this._provider=U}async provideDeclaration($,U,N){const W=this._documents.getDocument($),q=P.Position.to(U),re=await this._provider.provideDeclaration(W,q,N);return v(re)}}class r{constructor($,U){this._documents=$,this._provider=U}async provideImplementation($,U,N){const W=this._documents.getDocument($),q=P.Position.to(U),re=await this._provider.provideImplementation(W,q,N);return v(re)}}class i{constructor($,U){this._documents=$,this._provider=U}async provideTypeDefinition($,U,N){const W=this._documents.getDocument($),q=P.Position.to(U),re=await this._provider.provideTypeDefinition(W,q,N);return v(re)}}class a{constructor($,U){this._documents=$,this._provider=U}async provideHover($,U,N){const W=this._documents.getDocument($),q=P.Position.to(U),re=await this._provider.provideHover(W,q,N);if(!(!re||(0,R.isFalsyOrEmpty)(re.contents)))return re.range||(re.range=W.getWordRangeAtPosition(q)),re.range||(re.range=new A.Range(q,q)),P.Hover.from(re)}}class m{constructor($,U){this._documents=$,this._provider=U}async provideEvaluatableExpression($,U,N){const W=this._documents.getDocument($),q=P.Position.to(U),re=await this._provider.provideEvaluatableExpression(W,q,N);if(re)return P.EvaluatableExpression.from(re)}}class d{constructor($,U){this._documents=$,this._provider=U}async provideInlineValues($,U,N,W){const q=this._documents.getDocument($),re=await this._provider.provideInlineValues(q,P.Range.to(U),P.InlineValueContext.to(N),W);if(Array.isArray(re))return re.map(de=>P.InlineValue.from(de))}}class E{constructor($,U){this._documents=$,this._provider=U}async provideDocumentHighlights($,U,N){const W=this._documents.getDocument($),q=P.Position.to(U),re=await this._provider.provideDocumentHighlights(W,q,N);if(Array.isArray(re))return re.map(P.DocumentHighlight.from)}}class T{constructor($,U){this._documents=$,this._provider=U}async provideLinkedEditingRanges($,U,N){const W=this._documents.getDocument($),q=P.Position.to(U),re=await this._provider.provideLinkedEditingRanges(W,q,N);if(re&&Array.isArray(re.ranges))return{ranges:(0,R.coalesce)(re.ranges.map(P.Range.from)),wordPattern:re.wordPattern}}}class L{constructor($,U){this._documents=$,this._provider=U}async provideReferences($,U,N,W){const q=this._documents.getDocument($),re=P.Position.to(U),de=await this._provider.provideReferences(q,re,N,W);if(Array.isArray(de))return de.map(P.location.from)}}class O{constructor($,U,N,W,q,re,de){this._documents=$,this._commands=U,this._diagnostics=N,this._provider=W,this._logService=q,this._extension=re,this._apiDeprecation=de,this._cache=new w.Cache("CodeAction"),this._disposables=new Map}async provideCodeActions($,U,N,W){const q=this._documents.getDocument($),re=D.Selection.isISelection(U)?P.Selection.to(U):P.Range.to(U),de=[];for(const He of this._diagnostics.getDiagnostics($))if(re.intersection(He.range)&&de.push(He)>O._maxCodeActionsPerFile)break;const Ce={diagnostics:de,only:N.only?new A.CodeActionKind(N.only):void 0,triggerKind:P.CodeActionTriggerKind.to(N.trigger)},Ae=await this._provider.provideCodeActions(q,re,Ce,W);if(!(0,R.isNonEmptyArray)(Ae)||W.isCancellationRequested)return;const We=this._cache.add(Ae),ze=new b.DisposableStore;this._disposables.set(We,ze);const qe=[];for(let He=0;He<Ae.length;He++){const Ue=Ae[He];!Ue||(O._isCommand(Ue)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),qe.push({_isSynthetic:!0,title:Ue.title,command:this._commands.toInternal(Ue,ze)})):(Ce.only&&(Ue.kind?Ce.only.contains(Ue.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${Ce.only.value} 'requested but returned code action is of kind '${Ue.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${Ce.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),qe.push({cacheId:[We,He],title:Ue.title,command:Ue.command&&this._commands.toInternal(Ue.command,ze),diagnostics:Ue.diagnostics&&Ue.diagnostics.map(P.Diagnostic.from),edit:Ue.edit&&P.WorkspaceEdit.from(Ue.edit),kind:Ue.kind&&Ue.kind.value,isPreferred:Ue.isPreferred,disabled:Ue.disabled?.reason})))}return{cacheId:We,actions:qe}}async resolveCodeAction($,U){const[N,W]=$,q=this._cache.get(N,W);if(!q||O._isCommand(q)||!this._provider.resolveCodeAction)return;const re=await this._provider.resolveCodeAction(q,U)??q;return re?.edit?P.WorkspaceEdit.from(re.edit):void 0}releaseCodeActions($){this._disposables.get($)?.dispose(),this._disposables.delete($),this._cache.delete($)}static _isCommand($){return typeof $.command=="string"&&typeof $.title=="string"}}O._maxCodeActionsPerFile=1e3;class y{constructor($,U){this._documents=$,this._provider=U}async provideDocumentFormattingEdits($,U,N){const W=this._documents.getDocument($),q=await this._provider.provideDocumentFormattingEdits(W,U,N);if(Array.isArray(q))return q.map(P.TextEdit.from)}}class B{constructor($,U){this._documents=$,this._provider=U}async provideDocumentRangeFormattingEdits($,U,N,W){const q=this._documents.getDocument($),re=P.Range.to(U),de=await this._provider.provideDocumentRangeFormattingEdits(q,re,N,W);if(Array.isArray(de))return de.map(P.TextEdit.from)}}class M{constructor($,U){this._documents=$,this._provider=U,this.autoFormatTriggerCharacters=[]}async provideOnTypeFormattingEdits($,U,N,W,q){const re=this._documents.getDocument($),de=P.Position.to(U),Ce=await this._provider.provideOnTypeFormattingEdits(re,de,N,W,q);if(Array.isArray(Ce))return Ce.map(P.TextEdit.from)}}class z{constructor($,U){this._provider=$,this._logService=U,this._cache=new w.Cache("WorkspaceSymbols")}async provideWorkspaceSymbols($,U){const N=await this._provider.provideWorkspaceSymbols($,U);if(!(0,R.isNonEmptyArray)(N))return{symbols:[]};const W=this._cache.add(N),q={cacheId:W,symbols:[]};for(let re=0;re<N.length;re++){const de=N[re];if(!de||!de.name){this._logService.warn("INVALID SymbolInformation",de);continue}q.symbols.push({...P.WorkspaceSymbol.from(de),cacheId:[W,re]})}return q}async resolveWorkspaceSymbol($,U){if(typeof this._provider.resolveWorkspaceSymbol!="function"||!$.cacheId)return $;const N=this._cache.get(...$.cacheId);if(N){const W=await this._provider.resolveWorkspaceSymbol(N,U);return W&&(0,t.mixin)($,P.WorkspaceSymbol.from(W),!0)}}releaseWorkspaceSymbols($){this._cache.delete($)}}class V{constructor($,U,N){this._documents=$,this._provider=U,this._logService=N}static supportsResolving($){return typeof $.prepareRename=="function"}async provideRenameEdits($,U,N,W){const q=this._documents.getDocument($),re=P.Position.to(U);try{const de=await this._provider.provideRenameEdits(q,re,N,W);return de?P.WorkspaceEdit.from(de):void 0}catch(de){const Ce=V._asMessage(de);return Ce?{rejectReason:Ce,edits:void 0}:Promise.reject(de)}}async resolveRenameLocation($,U,N){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const W=this._documents.getDocument($),q=P.Position.to(U);try{const re=await this._provider.prepareRename(W,q,N);let de,Ce;if(A.Range.isRange(re)?(de=re,Ce=W.getText(re)):(0,F.isObject)(re)&&(de=re.range,Ce=re.placeholder),!de||!Ce)return;if(de.start.line>q.line||de.end.line<q.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:P.Range.from(de),text:Ce}}catch(re){const de=V._asMessage(re);return de?{rejectReason:de,range:void 0,text:void 0}:Promise.reject(re)}}static _asMessage($){return typeof $=="string"?$:$ instanceof Error&&typeof $.message=="string"?$.message:void 0}}class Q{constructor($,U){this.resultId=$,this.tokens=U}}class H{constructor($,U){this._documents=$,this._provider=U,this._nextResultId=1,this._previousResults=new Map}async provideDocumentSemanticTokens($,U,N){const W=this._documents.getDocument($),q=U!==0?this._previousResults.get(U):null;let re=typeof q?.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?await this._provider.provideDocumentSemanticTokensEdits(W,q.resultId,N):await this._provider.provideDocumentSemanticTokens(W,N);return q&&this._previousResults.delete(U),re?(re=H._fixProvidedSemanticTokens(re),this._send(H._convertToEdits(q,re),re)):null}async releaseDocumentSemanticColoring($){this._previousResults.delete($)}static _fixProvidedSemanticTokens($){return H._isSemanticTokens($)?H._isCorrectSemanticTokens($)?$:new A.SemanticTokens(new Uint32Array($.data),$.resultId):H._isSemanticTokensEdits($)?H._isCorrectSemanticTokensEdits($)?$:new A.SemanticTokensEdits($.edits.map(U=>new A.SemanticTokensEdit(U.start,U.deleteCount,U.data?new Uint32Array(U.data):U.data)),$.resultId):$}static _isSemanticTokens($){return $&&!!$.data}static _isCorrectSemanticTokens($){return $.data instanceof Uint32Array}static _isSemanticTokensEdits($){return $&&Array.isArray($.edits)}static _isCorrectSemanticTokensEdits($){for(const U of $.edits)if(!(U.data instanceof Uint32Array))return!1;return!0}static _convertToEdits($,U){if(!H._isSemanticTokens(U)||!$||!$.tokens)return U;const N=$.tokens,W=N.length,q=U.data,re=q.length;let de=0;const Ce=Math.min(W,re);for(;de<Ce&&N[de]===q[de];)de++;if(de===W&&de===re)return new A.SemanticTokensEdits([],U.resultId);let Ae=0;const We=Ce-de;for(;Ae<We&&N[W-Ae-1]===q[re-Ae-1];)Ae++;return new A.SemanticTokensEdits([{start:de,deleteCount:W-de-Ae,data:q.subarray(de,re-Ae)}],U.resultId)}_send($,U){if(H._isSemanticTokens($)){const N=this._nextResultId++;return this._previousResults.set(N,new Q($.resultId,$.data)),(0,g.encodeSemanticTokensDto)({id:N,type:"full",data:$.data})}if(H._isSemanticTokensEdits($)){const N=this._nextResultId++;return H._isSemanticTokens(U)?this._previousResults.set(N,new Q(U.resultId,U.data)):this._previousResults.set(N,new Q($.resultId)),(0,g.encodeSemanticTokensDto)({id:N,type:"delta",deltas:($.edits||[]).map(W=>({start:W.start,deleteCount:W.deleteCount,data:W.data}))})}return null}}e.DocumentSemanticTokensAdapter=H;class K{constructor($,U){this._documents=$,this._provider=U}async provideDocumentRangeSemanticTokens($,U,N){const W=this._documents.getDocument($),q=await this._provider.provideDocumentRangeSemanticTokens(W,P.Range.to(U),N);return q?this._send(q):null}_send($){return(0,g.encodeSemanticTokensDto)({id:0,type:"full",data:$.data})}}e.DocumentRangeSemanticTokensAdapter=K;class G{constructor($,U,N,W,q){this._documents=$,this._commands=U,this._provider=N,this._apiDeprecation=W,this._extension=q,this._cache=new w.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving($){return typeof $.resolveCompletionItem=="function"}async provideCompletionItems($,U,N,W){const q=this._documents.getDocument($),re=P.Position.to(U),de=q.getWordRangeAtPosition(re)||new A.Range(re,re),Ce=de.with({end:re}),Ae=new S.StopWatch(!0),We=await this._provider.provideCompletionItems(q,re,W,P.CompletionContext.to(N));if(!We||W.isCancellationRequested)return;const ze=Array.isArray(We)?new A.CompletionList(We):We,qe=G.supportsResolving(this._provider)?this._cache.add(ze.items):this._cache.add([]),He=new b.DisposableStore;this._disposables.set(qe,He);const Ue=[],Je={x:qe,b:Ue,a:{replace:P.Range.from(de),insert:P.Range.from(Ce)},c:ze.isIncomplete||void 0,d:Ae.elapsed()};for(let et=0;et<ze.items.length;et++){const Le=ze.items[et],it=this._convertCompletionItem(Le,[qe,et],Ce,de);Ue.push(it)}return Je}async resolveCompletionItem($,U){if(typeof this._provider.resolveCompletionItem!="function")return;const N=this._cache.get(...$);if(!N)return;const W=await this._provider.resolveCompletionItem(N,U);if(!!W)return this._convertCompletionItem(W,$)}releaseCompletionItems($){this._disposables.get($)?.dispose(),this._disposables.delete($),this._cache.delete($)}_convertCompletionItem($,U,N,W){const q=this._disposables.get(U[0]);if(!q)throw Error("DisposableStore is missing...");const re={x:U,a:$.label,b:$.kind!==void 0?P.CompletionItemKind.from($.kind):void 0,n:$.tags&&$.tags.map(P.CompletionItemTag.from),c:$.detail,d:typeof $.documentation=="undefined"?void 0:P.MarkdownString.fromStrict($.documentation),e:$.sortText!==$.label?$.sortText:void 0,f:$.filterText!==$.label?$.filterText:void 0,g:$.preselect||void 0,i:$.keepWhitespace?1:0,k:$.commitCharacters,l:$.additionalTextEdits&&$.additionalTextEdits.map(P.TextEdit.from),m:this._commands.toInternal($.command,q)};$.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),re.h=$.textEdit.newText):typeof $.insertText=="string"?re.h=$.insertText:$.insertText instanceof A.SnippetString&&(re.h=$.insertText.value,re.i|=4);let de;return $.textEdit?de=$.textEdit.range:$.range&&(de=$.range),A.Range.isRange(de)?re.j=P.Range.from(de):de&&(!N?.isEqual(de.inserting)||!W?.isEqual(de.replacing))&&(re.j={insert:P.Range.from(de.inserting),replace:P.Range.from(de.replacing)}),re}}class j{constructor($,U,N){this._documents=$,this._provider=U,this._commands=N,this._cache=new w.Cache("InlineCompletionItem"),this._disposables=new Map}async provideInlineCompletions($,U,N,W){const q=this._documents.getDocument($),re=P.Position.to(U),de=await this._provider.provideInlineCompletionItems(q,re,{selectedCompletionInfo:N.selectedSuggestionInfo?{range:P.Range.to(N.selectedSuggestionInfo.range),text:N.selectedSuggestionInfo.text,isSnippetText:N.selectedSuggestionInfo.isSnippetText,completionKind:P.CompletionItemKind.to(N.selectedSuggestionInfo.completionKind)}:void 0,triggerKind:N.triggerKind},W);if(!de||W.isCancellationRequested)return;const Ce=(0,F.isArray)(de)?de:de.items,Ae=this._cache.add(Ce);let We;return{pid:Ae,items:Ce.map((ze,qe)=>{let He;ze.command&&(We||(We=new b.DisposableStore,this._disposables.set(Ae,We)),He=this._commands.toInternal(ze.command,We));const Ue=ze.insertText??ze.text;if(Ue===void 0)throw new Error("text or insertText must be defined");return{text:Ue,range:ze.range?P.Range.from(ze.range):void 0,command:He,idx:qe,completeBracketPairs:ze.completeBracketPairs}})}}disposeCompletions($){this._cache.delete($);const U=this._disposables.get($);U&&U.clear(),this._disposables.delete($)}handleDidShowCompletionItem($,U){const N=this._cache.get($,U);N&&ie.get(this._provider).fireOnDidShowCompletionItem({completionItem:N})}}class ie{constructor(){this._onDidShowCompletionItemEmitter=new l.Emitter,this.onDidShowCompletionItem=this._onDidShowCompletionItemEmitter.event}static get($){let U=ie.map.get($);return U||(U=new ie,ie.map.set($,U)),U}fireOnDidShowCompletionItem($){this._onDidShowCompletionItemEmitter.fire($)}}e.InlineCompletionController=ie,ie.map=new WeakMap;class oe{constructor($,U){this._documents=$,this._provider=U,this._cache=new w.Cache("SignatureHelp")}async provideSignatureHelp($,U,N,W){const q=this._documents.getDocument($),re=P.Position.to(U),de=this.reviveContext(N),Ce=await this._provider.provideSignatureHelp(q,re,W,de);if(Ce){const Ae=this._cache.add([Ce]);return{...P.SignatureHelp.from(Ce),id:Ae}}}reviveContext($){let U;if($.activeSignatureHelp){const N=P.SignatureHelp.to($.activeSignatureHelp),W=this._cache.get($.activeSignatureHelp.id,0);W?(U=W,U.activeSignature=N.activeSignature,U.activeParameter=N.activeParameter):U=N}return{...$,activeSignatureHelp:U}}releaseSignatureHelp($){this._cache.delete($)}}class ue{constructor($,U,N,W,q){this._documents=$,this._commands=U,this._provider=N,this._logService=W,this._extension=q,this._cache=new w.Cache("InlayHints"),this._disposables=new Map}async provideInlayHints($,U,N){const W=this._documents.getDocument($),q=P.Range.to(U),re=await this._provider.provideInlayHints(W,q,N);if(!Array.isArray(re)||re.length===0){this._logService.trace(`[InlayHints] NO inlay hints from '${this._extension.identifier.value}' for ${U}`);return}if(N.isCancellationRequested)return;const de=this._cache.add(re);this._disposables.set(de,new b.DisposableStore);const Ce={hints:[],cacheId:de};for(let Ae=0;Ae<re.length;Ae++)this._isValidInlayHint(re[Ae],q)&&Ce.hints.push(this._convertInlayHint(re[Ae],[de,Ae]));return this._logService.trace(`[InlayHints] ${Ce.hints.length} inlay hints from '${this._extension.identifier.value}' for ${U}`),Ce}async resolveInlayHint($,U){if(typeof this._provider.resolveInlayHint!="function")return;const N=this._cache.get(...$);if(!N)return;const W=await this._provider.resolveInlayHint(N,U);if(!!W&&!!this._isValidInlayHint(W))return this._convertInlayHint(W,$)}releaseHints($){this._disposables.get($)?.dispose(),this._disposables.delete($),this._cache.delete($)}_isValidInlayHint($,U){return $.label.length===0||Array.isArray($.label)&&$.label.every(N=>N.value.length===0)?(console.log("INVALID inlay hint, empty label",$),!1):!(U&&!U.contains($.position))}_convertInlayHint($,U){const N=this._disposables.get(U[0]);if(!N)throw Error("DisposableStore is missing...");const W={label:"",cacheId:U,tooltip:P.MarkdownString.fromStrict($.tooltip),command:$.command&&this._commands.toInternal($.command,N),position:P.Position.from($.position),kind:$.kind&&P.InlayHintKind.from($.kind),paddingLeft:$.paddingLeft,paddingRight:$.paddingRight};return typeof $.label=="string"?W.label=$.label:W.label=$.label.map(q=>{let re={label:q.value};return re.tooltip=P.MarkdownString.fromStrict(q.tooltip),A.Location.isLocation(q.location)&&(re.location=P.location.from(q.location)),q.command&&(re.command=this._commands.toInternal(q.command,N)),re}),W}}class Z{constructor($,U){this._documents=$,this._provider=U,this._cache=new w.Cache("DocumentLink")}async provideLinks($,U){const N=this._documents.getDocument($),W=await this._provider.provideDocumentLinks(N,U);if(!(!Array.isArray(W)||W.length===0)&&!U.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:W.filter(Z._validateLink).map(P.DocumentLink.from)};{const q=this._cache.add(W),re={links:[],cacheId:q};for(let de=0;de<W.length;de++){if(!Z._validateLink(W[de]))continue;const Ce=P.DocumentLink.from(W[de]);Ce.cacheId=[q,de],re.links.push(Ce)}return re}}}static _validateLink($){return $.target&&$.target.path.length>5e4?(console.warn("DROPPING link because it is too long"),!1):!0}async resolveLink($,U){if(typeof this._provider.resolveDocumentLink!="function")return;const N=this._cache.get(...$);if(!N)return;const W=await this._provider.resolveDocumentLink(N,U);if(!(!W||!Z._validateLink(W)))return P.DocumentLink.from(W)}releaseLinks($){this._cache.delete($)}}class J{constructor($,U){this._documents=$,this._provider=U}async provideColors($,U){const N=this._documents.getDocument($),W=await this._provider.provideDocumentColors(N,U);return Array.isArray(W)?W.map(re=>({color:P.Color.from(re.color),range:P.Range.from(re.range)})):[]}async provideColorPresentations($,U,N){const W=this._documents.getDocument($),q=P.Range.to(U.range),re=P.Color.to(U.color),de=await this._provider.provideColorPresentations(re,{document:W,range:q},N);if(!!Array.isArray(de))return de.map(P.ColorPresentation.from)}}class ae{constructor($,U){this._documents=$,this._provider=U}async provideFoldingRanges($,U,N){const W=this._documents.getDocument($),q=await this._provider.provideFoldingRanges(W,U,N);if(!!Array.isArray(q))return q.map(P.FoldingRange.from)}}class he{constructor($,U,N){this._documents=$,this._provider=U,this._logService=N}async provideSelectionRanges($,U,N){const W=this._documents.getDocument($),q=U.map(P.Position.to),re=await this._provider.provideSelectionRanges(W,q,N);if(!(0,R.isNonEmptyArray)(re))return[];if(re.length!==q.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const de=[];for(let Ce=0;Ce<q.length;Ce++){const Ae=[];de.push(Ae);let We=q[Ce],ze=re[Ce];for(;;){if(!ze.range.contains(We))throw new Error("INVALID selection range, must contain the previous range");if(Ae.push(P.SelectionRange.from(ze)),!ze.parent)break;We=ze.range,ze=ze.parent}}return de}}class we{constructor($,U){this._documents=$,this._provider=U,this._idPool=new u.IdGenerator(""),this._cache=new Map}async prepareSession($,U,N){const W=this._documents.getDocument($),q=P.Position.to(U),re=await this._provider.prepareCallHierarchy(W,q,N);if(!re)return;const de=this._idPool.nextId();return this._cache.set(de,new Map),Array.isArray(re)?re.map(Ce=>this._cacheAndConvertItem(de,Ce)):[this._cacheAndConvertItem(de,re)]}async provideCallsTo($,U,N){const W=this._itemFromCache($,U);if(!W)throw new Error("missing call hierarchy item");const q=await this._provider.provideCallHierarchyIncomingCalls(W,N);if(!!q)return q.map(re=>({from:this._cacheAndConvertItem($,re.from),fromRanges:re.fromRanges.map(de=>P.Range.from(de))}))}async provideCallsFrom($,U,N){const W=this._itemFromCache($,U);if(!W)throw new Error("missing call hierarchy item");const q=await this._provider.provideCallHierarchyOutgoingCalls(W,N);if(!!q)return q.map(re=>({to:this._cacheAndConvertItem($,re.to),fromRanges:re.fromRanges.map(de=>P.Range.from(de))}))}releaseSession($){this._cache.delete($)}_cacheAndConvertItem($,U){const N=this._cache.get($),W=P.CallHierarchyItem.from(U,$,N.size.toString(36));return N.set(W._itemId,U),W}_itemFromCache($,U){return this._cache.get($)?.get(U)}}class Te{constructor($,U){this._documents=$,this._provider=U,this._idPool=new u.IdGenerator(""),this._cache=new Map}async prepareSession($,U,N){const W=this._documents.getDocument($),q=P.Position.to(U),re=await this._provider.prepareTypeHierarchy(W,q,N);if(!re)return;const de=this._idPool.nextId();return this._cache.set(de,new Map),Array.isArray(re)?re.map(Ce=>this._cacheAndConvertItem(de,Ce)):[this._cacheAndConvertItem(de,re)]}async provideSupertypes($,U,N){const W=this._itemFromCache($,U);if(!W)throw new Error("missing type hierarchy item");const q=await this._provider.provideTypeHierarchySupertypes(W,N);if(!!q)return q.map(re=>this._cacheAndConvertItem($,re))}async provideSubtypes($,U,N){const W=this._itemFromCache($,U);if(!W)throw new Error("missing type hierarchy item");const q=await this._provider.provideTypeHierarchySubtypes(W,N);if(!!q)return q.map(re=>this._cacheAndConvertItem($,re))}releaseSession($){this._cache.delete($)}_cacheAndConvertItem($,U){const N=this._cache.get($),W=P.TypeHierarchyItem.from(U,$,N.size.toString(36));return N.set(W._itemId,U),W}_itemFromCache($,U){return this._cache.get($)?.get(U)}}class Ne{constructor($,U){this.adapter=$,this.extension=U}}class be{constructor($,U,N,W,q,re,de){this._adapter=new Map,this._uriTransformer=U,this._proxy=$.getProxy(C.MainContext.MainThreadLanguageFeatures),this._documents=N,this._commands=W,this._diagnostics=q,this._logService=re,this._apiDeprecation=de}_transformDocumentSelector($){return P.DocumentSelector.from($,this._uriTransformer)}_createDisposable($){return new A.Disposable(()=>{this._adapter.delete($),this._proxy.$unregister($)})}_nextHandle(){return be._handlePool++}async _withAdapter($,U,N,W,q){const re=this._adapter.get($);if(!re||!(re.adapter instanceof U))return W;const de=Date.now();this._logService.trace(`[${re.extension.identifier.value}] INVOKE provider '${N.toString().replace(/[\r\n]/g,"")}'`);const Ce=N(re.adapter,re.extension);return Promise.resolve(Ce).catch(Ae=>{(0,I.isCancellationError)(Ae)||(this._logService.error(`[${re.extension.identifier.value}] provider FAILED`),this._logService.error(Ae))}).finally(()=>{this._logService.trace(`[${re.extension.identifier.value}] provider DONE after ${Date.now()-de}ms`)}),p.CancellationToken.isCancellationToken(q)?(0,c.raceCancellationError)(Ce,q):Ce}_addNewAdapter($,U){const N=this._nextHandle();return this._adapter.set(N,new Ne($,U)),N}static _extLabel($){return $.displayName||$.name}registerDocumentSymbolProvider($,U,N,W){const q=this._addNewAdapter(new f(this._documents,N),$),re=W&&W.label||be._extLabel($);return this._proxy.$registerDocumentSymbolProvider(q,this._transformDocumentSelector(U),re),this._createDisposable(q)}$provideDocumentSymbols($,U,N){return this._withAdapter($,f,W=>W.provideDocumentSymbols(h.URI.revive(U),N),void 0,N)}registerCodeLensProvider($,U,N){const W=this._nextHandle(),q=typeof N.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(W,new Ne(new s(this._documents,this._commands.converter,N),$)),this._proxy.$registerCodeLensSupport(W,this._transformDocumentSelector(U),q);let re=this._createDisposable(W);if(q!==void 0){const de=N.onDidChangeCodeLenses(Ce=>this._proxy.$emitCodeLensEvent(q));re=A.Disposable.from(re,de)}return re}$provideCodeLenses($,U,N){return this._withAdapter($,s,W=>W.provideCodeLenses(h.URI.revive(U),N),void 0,N)}$resolveCodeLens($,U,N){return this._withAdapter($,s,W=>W.resolveCodeLens(U,N),void 0,void 0)}$releaseCodeLenses($,U){this._withAdapter($,s,N=>Promise.resolve(N.releaseCodeLenses(U)),void 0,void 0)}registerDefinitionProvider($,U,N){const W=this._addNewAdapter(new o(this._documents,N),$);return this._proxy.$registerDefinitionSupport(W,this._transformDocumentSelector(U)),this._createDisposable(W)}$provideDefinition($,U,N,W){return this._withAdapter($,o,q=>q.provideDefinition(h.URI.revive(U),N,W),[],W)}registerDeclarationProvider($,U,N){const W=this._addNewAdapter(new n(this._documents,N),$);return this._proxy.$registerDeclarationSupport(W,this._transformDocumentSelector(U)),this._createDisposable(W)}$provideDeclaration($,U,N,W){return this._withAdapter($,n,q=>q.provideDeclaration(h.URI.revive(U),N,W),[],W)}registerImplementationProvider($,U,N){const W=this._addNewAdapter(new r(this._documents,N),$);return this._proxy.$registerImplementationSupport(W,this._transformDocumentSelector(U)),this._createDisposable(W)}$provideImplementation($,U,N,W){return this._withAdapter($,r,q=>q.provideImplementation(h.URI.revive(U),N,W),[],W)}registerTypeDefinitionProvider($,U,N){const W=this._addNewAdapter(new i(this._documents,N),$);return this._proxy.$registerTypeDefinitionSupport(W,this._transformDocumentSelector(U)),this._createDisposable(W)}$provideTypeDefinition($,U,N,W){return this._withAdapter($,i,q=>q.provideTypeDefinition(h.URI.revive(U),N,W),[],W)}registerHoverProvider($,U,N,W){const q=this._addNewAdapter(new a(this._documents,N),$);return this._proxy.$registerHoverProvider(q,this._transformDocumentSelector(U)),this._createDisposable(q)}$provideHover($,U,N,W){return this._withAdapter($,a,q=>q.provideHover(h.URI.revive(U),N,W),void 0,W)}registerEvaluatableExpressionProvider($,U,N,W){const q=this._addNewAdapter(new m(this._documents,N),$);return this._proxy.$registerEvaluatableExpressionProvider(q,this._transformDocumentSelector(U)),this._createDisposable(q)}$provideEvaluatableExpression($,U,N,W){return this._withAdapter($,m,q=>q.provideEvaluatableExpression(h.URI.revive(U),N,W),void 0,W)}registerInlineValuesProvider($,U,N,W){const q=typeof N.onDidChangeInlineValues=="function"?this._nextHandle():void 0,re=this._addNewAdapter(new d(this._documents,N),$);this._proxy.$registerInlineValuesProvider(re,this._transformDocumentSelector(U),q);let de=this._createDisposable(re);if(q!==void 0){const Ce=N.onDidChangeInlineValues(Ae=>this._proxy.$emitInlineValuesEvent(q));de=A.Disposable.from(de,Ce)}return de}$provideInlineValues($,U,N,W,q){return this._withAdapter($,d,re=>re.provideInlineValues(h.URI.revive(U),N,W,q),void 0,q)}registerDocumentHighlightProvider($,U,N){const W=this._addNewAdapter(new E(this._documents,N),$);return this._proxy.$registerDocumentHighlightProvider(W,this._transformDocumentSelector(U)),this._createDisposable(W)}$provideDocumentHighlights($,U,N,W){return this._withAdapter($,E,q=>q.provideDocumentHighlights(h.URI.revive(U),N,W),void 0,W)}registerLinkedEditingRangeProvider($,U,N){const W=this._addNewAdapter(new T(this._documents,N),$);return this._proxy.$registerLinkedEditingRangeProvider(W,this._transformDocumentSelector(U)),this._createDisposable(W)}$provideLinkedEditingRanges($,U,N,W){return this._withAdapter($,T,async q=>{const re=await q.provideLinkedEditingRanges(h.URI.revive(U),N,W);if(re)return{ranges:re.ranges,wordPattern:re.wordPattern?be._serializeRegExp(re.wordPattern):void 0}},void 0,W)}registerReferenceProvider($,U,N){const W=this._addNewAdapter(new L(this._documents,N),$);return this._proxy.$registerReferenceSupport(W,this._transformDocumentSelector(U)),this._createDisposable(W)}$provideReferences($,U,N,W,q){return this._withAdapter($,L,re=>re.provideReferences(h.URI.revive(U),N,W,q),void 0,q)}registerCodeActionProvider($,U,N,W){const q=new b.DisposableStore,re=this._addNewAdapter(new O(this._documents,this._commands.converter,this._diagnostics,N,this._logService,$,this._apiDeprecation),$);return this._proxy.$registerQuickFixSupport(re,this._transformDocumentSelector(U),{providedKinds:W?.providedCodeActionKinds?.map(de=>de.value),documentation:W?.documentation?.map(de=>({kind:de.kind.value,command:this._commands.converter.toInternal(de.command,q)}))},be._extLabel($),Boolean(N.resolveCodeAction)),q.add(this._createDisposable(re)),q}$provideCodeActions($,U,N,W,q){return this._withAdapter($,O,re=>re.provideCodeActions(h.URI.revive(U),N,W,q),void 0,q)}$resolveCodeAction($,U,N){return this._withAdapter($,O,W=>W.resolveCodeAction(U,N),void 0,void 0)}$releaseCodeActions($,U){this._withAdapter($,O,N=>Promise.resolve(N.releaseCodeActions(U)),void 0,void 0)}registerDocumentFormattingEditProvider($,U,N){const W=this._addNewAdapter(new y(this._documents,N),$);return this._proxy.$registerDocumentFormattingSupport(W,this._transformDocumentSelector(U),$.identifier,$.displayName||$.name),this._createDisposable(W)}$provideDocumentFormattingEdits($,U,N,W){return this._withAdapter($,y,q=>q.provideDocumentFormattingEdits(h.URI.revive(U),N,W),void 0,W)}registerDocumentRangeFormattingEditProvider($,U,N){const W=this._addNewAdapter(new B(this._documents,N),$);return this._proxy.$registerRangeFormattingSupport(W,this._transformDocumentSelector(U),$.identifier,$.displayName||$.name),this._createDisposable(W)}$provideDocumentRangeFormattingEdits($,U,N,W,q){return this._withAdapter($,B,re=>re.provideDocumentRangeFormattingEdits(h.URI.revive(U),N,W,q),void 0,q)}registerOnTypeFormattingEditProvider($,U,N,W){const q=this._addNewAdapter(new M(this._documents,N),$);return this._proxy.$registerOnTypeFormattingSupport(q,this._transformDocumentSelector(U),W,$.identifier),this._createDisposable(q)}$provideOnTypeFormattingEdits($,U,N,W,q,re){return this._withAdapter($,M,de=>de.provideOnTypeFormattingEdits(h.URI.revive(U),N,W,q,re),void 0,re)}registerWorkspaceSymbolProvider($,U){const N=this._addNewAdapter(new z(U,this._logService),$);return this._proxy.$registerNavigateTypeSupport(N,typeof U.resolveWorkspaceSymbol=="function"),this._createDisposable(N)}$provideWorkspaceSymbols($,U,N){return this._withAdapter($,z,W=>W.provideWorkspaceSymbols(U,N),{symbols:[]},N)}$resolveWorkspaceSymbol($,U,N){return this._withAdapter($,z,W=>W.resolveWorkspaceSymbol(U,N),void 0,void 0)}$releaseWorkspaceSymbols($,U){this._withAdapter($,z,N=>N.releaseWorkspaceSymbols(U),void 0,void 0)}registerRenameProvider($,U,N){const W=this._addNewAdapter(new V(this._documents,N,this._logService),$);return this._proxy.$registerRenameSupport(W,this._transformDocumentSelector(U),V.supportsResolving(N)),this._createDisposable(W)}$provideRenameEdits($,U,N,W,q){return this._withAdapter($,V,re=>re.provideRenameEdits(h.URI.revive(U),N,W,q),void 0,q)}$resolveRenameLocation($,U,N,W){return this._withAdapter($,V,q=>q.resolveRenameLocation(h.URI.revive(U),N,W),void 0,W)}registerDocumentSemanticTokensProvider($,U,N,W){const q=this._addNewAdapter(new H(this._documents,N),$),re=typeof N.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._proxy.$registerDocumentSemanticTokensProvider(q,this._transformDocumentSelector(U),W,re);let de=this._createDisposable(q);if(re){const Ce=N.onDidChangeSemanticTokens(Ae=>this._proxy.$emitDocumentSemanticTokensEvent(re));de=A.Disposable.from(de,Ce)}return de}$provideDocumentSemanticTokens($,U,N,W){return this._withAdapter($,H,q=>q.provideDocumentSemanticTokens(h.URI.revive(U),N,W),null,W)}$releaseDocumentSemanticTokens($,U){this._withAdapter($,H,N=>N.releaseDocumentSemanticColoring(U),void 0,void 0)}registerDocumentRangeSemanticTokensProvider($,U,N,W){const q=this._addNewAdapter(new K(this._documents,N),$);return this._proxy.$registerDocumentRangeSemanticTokensProvider(q,this._transformDocumentSelector(U),W),this._createDisposable(q)}$provideDocumentRangeSemanticTokens($,U,N,W){return this._withAdapter($,K,q=>q.provideDocumentRangeSemanticTokens(h.URI.revive(U),N,W),null,W)}registerCompletionItemProvider($,U,N,W){const q=this._addNewAdapter(new G(this._documents,this._commands.converter,N,this._apiDeprecation,$),$);return this._proxy.$registerSuggestSupport(q,this._transformDocumentSelector(U),W,G.supportsResolving(N),`${$.identifier.value}(${W.join("")})`),this._createDisposable(q)}$provideCompletionItems($,U,N,W,q){return this._withAdapter($,G,re=>re.provideCompletionItems(h.URI.revive(U),N,W,q),void 0,q)}$resolveCompletionItem($,U,N){return this._withAdapter($,G,W=>W.resolveCompletionItem(U,N),void 0,N)}$releaseCompletionItems($,U){this._withAdapter($,G,N=>N.releaseCompletionItems(U),void 0,void 0)}registerInlineCompletionsProvider($,U,N){const W=this._addNewAdapter(new j(this._documents,N,this._commands.converter),$);return this._proxy.$registerInlineCompletionsSupport(W,this._transformDocumentSelector(U)),this._createDisposable(W)}$provideInlineCompletions($,U,N,W,q){return this._withAdapter($,j,re=>re.provideInlineCompletions(h.URI.revive(U),N,W,q),void 0,q)}$handleInlineCompletionDidShow($,U,N){this._withAdapter($,j,async W=>{W.handleDidShowCompletionItem(U,N)},void 0,void 0)}$freeInlineCompletionsList($,U){this._withAdapter($,j,async N=>{N.disposeCompletions(U)},void 0,void 0)}registerSignatureHelpProvider($,U,N,W){const q=Array.isArray(W)?{triggerCharacters:W,retriggerCharacters:[]}:W,re=this._addNewAdapter(new oe(this._documents,N),$);return this._proxy.$registerSignatureHelpProvider(re,this._transformDocumentSelector(U),q),this._createDisposable(re)}$provideSignatureHelp($,U,N,W,q){return this._withAdapter($,oe,re=>re.provideSignatureHelp(h.URI.revive(U),N,W,q),void 0,q)}$releaseSignatureHelp($,U){this._withAdapter($,oe,N=>N.releaseSignatureHelp(U),void 0,void 0)}registerInlayHintsProvider($,U,N){const W=typeof N.onDidChangeInlayHints=="function"?this._nextHandle():void 0,q=this._addNewAdapter(new ue(this._documents,this._commands.converter,N,this._logService,$),$);this._proxy.$registerInlayHintsProvider(q,this._transformDocumentSelector(U),typeof N.resolveInlayHint=="function",W,be._extLabel($));let re=this._createDisposable(q);if(W!==void 0){const de=N.onDidChangeInlayHints(Ce=>this._proxy.$emitInlayHintsEvent(W));re=A.Disposable.from(re,de)}return re}$provideInlayHints($,U,N,W){return this._withAdapter($,ue,q=>q.provideInlayHints(h.URI.revive(U),N,W),void 0,W)}$resolveInlayHint($,U,N){return this._withAdapter($,ue,W=>W.resolveInlayHint(U,N),void 0,N)}$releaseInlayHints($,U){this._withAdapter($,ue,N=>N.releaseHints(U),void 0,void 0)}registerDocumentLinkProvider($,U,N){const W=this._addNewAdapter(new Z(this._documents,N),$);return this._proxy.$registerDocumentLinkProvider(W,this._transformDocumentSelector(U),typeof N.resolveDocumentLink=="function"),this._createDisposable(W)}$provideDocumentLinks($,U,N){return this._withAdapter($,Z,W=>W.provideLinks(h.URI.revive(U),N),void 0,N)}$resolveDocumentLink($,U,N){return this._withAdapter($,Z,W=>W.resolveLink(U,N),void 0,void 0)}$releaseDocumentLinks($,U){this._withAdapter($,Z,N=>N.releaseLinks(U),void 0,void 0)}registerColorProvider($,U,N){const W=this._addNewAdapter(new J(this._documents,N),$);return this._proxy.$registerDocumentColorProvider(W,this._transformDocumentSelector(U)),this._createDisposable(W)}$provideDocumentColors($,U,N){return this._withAdapter($,J,W=>W.provideColors(h.URI.revive(U),N),[],N)}$provideColorPresentations($,U,N,W){return this._withAdapter($,J,q=>q.provideColorPresentations(h.URI.revive(U),N,W),void 0,W)}registerFoldingRangeProvider($,U,N){const W=this._nextHandle(),q=typeof N.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(W,new Ne(new ae(this._documents,N),$)),this._proxy.$registerFoldingRangeProvider(W,this._transformDocumentSelector(U),q);let re=this._createDisposable(W);if(q!==void 0){const de=N.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(q));re=A.Disposable.from(re,de)}return re}$provideFoldingRanges($,U,N,W){return this._withAdapter($,ae,q=>q.provideFoldingRanges(h.URI.revive(U),N,W),void 0,W)}registerSelectionRangeProvider($,U,N){const W=this._addNewAdapter(new he(this._documents,N,this._logService),$);return this._proxy.$registerSelectionRangeProvider(W,this._transformDocumentSelector(U)),this._createDisposable(W)}$provideSelectionRanges($,U,N,W){return this._withAdapter($,he,q=>q.provideSelectionRanges(h.URI.revive(U),N,W),[],W)}registerCallHierarchyProvider($,U,N){const W=this._addNewAdapter(new we(this._documents,N),$);return this._proxy.$registerCallHierarchyProvider(W,this._transformDocumentSelector(U)),this._createDisposable(W)}$prepareCallHierarchy($,U,N,W){return this._withAdapter($,we,q=>Promise.resolve(q.prepareSession(h.URI.revive(U),N,W)),void 0,W)}$provideCallHierarchyIncomingCalls($,U,N,W){return this._withAdapter($,we,q=>q.provideCallsTo(U,N,W),void 0,W)}$provideCallHierarchyOutgoingCalls($,U,N,W){return this._withAdapter($,we,q=>q.provideCallsFrom(U,N,W),void 0,W)}$releaseCallHierarchy($,U){this._withAdapter($,we,N=>Promise.resolve(N.releaseSession(U)),void 0,void 0)}registerTypeHierarchyProvider($,U,N){const W=this._addNewAdapter(new Te(this._documents,N),$);return this._proxy.$registerTypeHierarchyProvider(W,this._transformDocumentSelector(U)),this._createDisposable(W)}$prepareTypeHierarchy($,U,N,W){return this._withAdapter($,Te,q=>Promise.resolve(q.prepareSession(h.URI.revive(U),N,W)),void 0,W)}$provideTypeHierarchySupertypes($,U,N,W){return this._withAdapter($,Te,q=>q.provideSupertypes(U,N,W),void 0,W)}$provideTypeHierarchySubtypes($,U,N,W){return this._withAdapter($,Te,q=>q.provideSubtypes(U,N,W),void 0,W)}$releaseTypeHierarchy($,U){this._withAdapter($,Te,N=>Promise.resolve(N.releaseSession(U)),void 0,void 0)}static _serializeRegExp($){return{pattern:$.source,flags:(0,k.regExpFlags)($)}}static _serializeIndentationRule($){return{decreaseIndentPattern:be._serializeRegExp($.decreaseIndentPattern),increaseIndentPattern:be._serializeRegExp($.increaseIndentPattern),indentNextLinePattern:$.indentNextLinePattern?be._serializeRegExp($.indentNextLinePattern):void 0,unIndentedLinePattern:$.unIndentedLinePattern?be._serializeRegExp($.unIndentedLinePattern):void 0}}static _serializeOnEnterRule($){return{beforeText:be._serializeRegExp($.beforeText),afterText:$.afterText?be._serializeRegExp($.afterText):void 0,previousLineText:$.previousLineText?be._serializeRegExp($.previousLineText):void 0,action:$.action}}static _serializeOnEnterRules($){return $.map(be._serializeOnEnterRule)}setLanguageConfiguration($,U,N){let{wordPattern:W}=N;if(W&&(0,k.regExpLeadsToEndlessLoop)(W))throw new Error(`Invalid language configuration: wordPattern '${W}' is not allowed to match the empty string.`);W?this._documents.setWordDefinitionFor(U,W):this._documents.setWordDefinitionFor(U,void 0),N.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",$,"Do not use."),N.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",$,"Do not use.");const q=this._nextHandle(),re={comments:N.comments,brackets:N.brackets,wordPattern:N.wordPattern?be._serializeRegExp(N.wordPattern):void 0,indentationRules:N.indentationRules?be._serializeIndentationRule(N.indentationRules):void 0,onEnterRules:N.onEnterRules?be._serializeOnEnterRules(N.onEnterRules):void 0,__electricCharacterSupport:N.__electricCharacterSupport,__characterPairSupport:N.__characterPairSupport};return this._proxy.$setLanguageConfiguration(q,U,re),this._createDisposable(q)}$setWordDefinitions($){for(const U of $)this._documents.setWordDefinitionFor(U.languageId,new RegExp(U.regexSource,U.regexFlags))}}e.ExtHostLanguageFeatures=be,be._handlePool=0}),define(pe[242],ve([1,0,5,14,7,47,15,6]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class _{constructor(F,D,p,b){this._documents=D,this._commands=p,this._uriTransformer=b,this._languageIds=[],this._handlePool=0,this._ids=new Set,this._proxy=F.getProxy(h.MainContext.MainThreadLanguages)}$acceptLanguageIds(F){this._languageIds=F}async getLanguages(){return this._languageIds.slice(0)}async changeLanguage(F,D){await this._proxy.$changeLanguage(F,D);const p=this._documents.getDocumentData(F);if(!p)throw new Error(`document '${F.toString}' NOT found`);return p.document}async tokenAtPosition(F,D){const p=F.version,b=t.Position.from(D),g=await this._proxy.$tokensAtPosition(F.uri,b),u={type:P.StandardTokenType.Other,range:F.getWordRangeAtPosition(D)??new P.Range(D.line,D.character,D.line,D.character)};if(!g)return u;const w={range:t.Range.to(g.range),type:t.TokenType.to(g.type)};return!w.range.contains(D)||p!==F.version?u:w}createLanguageStatusItem(F,D,p){const b=this._handlePool++,g=this._proxy,u=this._ids,w=`${F.identifier.value}/${D}`;if(u.has(w))throw new Error(`LanguageStatusItem with id '${D}' ALREADY exists`);u.add(w);const S={selector:p,id:D,name:F.displayName??F.name,severity:P.LanguageStatusSeverity.Information,command:void 0,text:"",detail:"",busy:!1};let I,l=new k.DisposableStore;const c=()=>{I?.dispose(),I=(0,C.disposableTimeout)(()=>{l.clear(),this._proxy.$setLanguageStatus(b,{id:w,name:S.name??F.displayName??F.name,source:F.displayName??F.name,selector:t.DocumentSelector.from(S.selector,this._uriTransformer),label:S.text,detail:S.detail??"",severity:S.severity===P.LanguageStatusSeverity.Error?A.default.Error:S.severity===P.LanguageStatusSeverity.Warning?A.default.Warning:A.default.Info,command:S.command&&this._commands.toInternal(S.command,l),accessibilityInfo:S.accessibilityInformation,busy:S.busy})},0)},f={dispose(){l.dispose(),I?.dispose(),g.$removeLanguageStatus(b),u.delete(w)},get id(){return S.id},get name(){return S.name},set name(s){S.name=s,c()},get selector(){return S.selector},set selector(s){S.selector=s,c()},get text(){return S.text},set text(s){S.text=s,c()},get detail(){return S.detail},set detail(s){S.detail=s,c()},get severity(){return S.severity},set severity(s){S.severity=s,c()},get accessibilityInformation(){return S.accessibilityInformation},set accessibilityInformation(s){S.accessibilityInformation=s,c()},get command(){return S.command},set command(s){S.command=s,c()},get busy(){return S.busy},set busy(s){S.busy=s,c()}};return c(),f}}e.ExtHostLanguages=_}),define(pe[134],ve([1,0,11,5,26,16,3]),function(ee,e,h,t,P,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLoggerService=void 0;let k=class extends h.AbstractLoggerService{constructor(F,D){const p=new C.Emitter;super(D.logLevel,p.event);this._proxy=F.getProxy(t.MainContext.MainThreadLogger),this._onDidChangeLogLevel=this._register(p)}$setLevel(F){this._onDidChangeLogLevel.fire(F)}doCreateLogger(F,D,p){return new _(this._proxy,F,D,p)}};k=Be([Fe(0,A.IExtHostRpcService),Fe(1,P.IExtHostInitDataService)],k),e.ExtHostLoggerService=k;class _ extends h.AbstractMessageLogger{constructor(F,D,p,b){super(b?.always);this.proxy=F,this.file=D,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(p),this.proxy.$createLogger(D,b).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(F,D){const p=[[F,D]];this.isLoggerCreated?this.doLog(p):this.buffer.push(...p)}doLog(F){this.proxy.$log(this.file,F)}}}),define(pe[243],ve([1,0,5,11,30]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function A(k){return k&&k.title}let C=class{constructor(_,R){this._logService=R,this._proxy=_.getProxy(h.MainContext.MainThreadMessageService)}showMessage(_,R,F,D,p){const b={source:{identifier:_.identifier,label:_.displayName||_.name}};let g;typeof D=="string"||A(D)?g=[D,...p]:(b.modal=D?.modal,b.useCustom=D?.useCustom,b.detail=D?.detail,g=p),b.useCustom&&(0,P.checkProposedApiEnabled)(_,"resolvers");const u=[];for(let w=0;w<g.length;w++){const S=g[w];if(typeof S=="string")u.push({title:S,handle:w,isCloseAffordance:!1});else if(typeof S=="object"){let{title:I,isCloseAffordance:l}=S;u.push({title:I,isCloseAffordance:!!l,handle:w})}else this._logService.warn("Invalid message item:",S)}return this._proxy.$showMessage(R,F,b,u).then(w=>{if(typeof w=="number")return g[w]})}};C=Be([Fe(1,t.ILogService)],C),e.ExtHostMessageService=C}),define(pe[244],ve([1,0,22,3,57,6,24,8,13,2,82,5,14,7,52,220,130]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookController=void 0;class S{constructor(l,c,f,s,v){this._textDocumentsAndEditors=f,this._textDocuments=s,this._extensionStoragePaths=v,this._notebookContentProviders=new Map,this._notebookStatusBarItemProviders=new Map,this._documents=new C.ResourceMap,this._editors=new Map,this._onDidChangeNotebookCells=new t.Emitter,this.onDidChangeNotebookCells=this._onDidChangeNotebookCells.event,this._onDidChangeCellOutputs=new t.Emitter,this.onDidChangeCellOutputs=this._onDidChangeCellOutputs.event,this._onDidChangeCellMetadata=new t.Emitter,this.onDidChangeCellMetadata=this._onDidChangeCellMetadata.event,this._onDidChangeActiveNotebookEditor=new t.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new t.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new t.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidChangeVisibleNotebookEditors=new t.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._statusBarCache=new F.Cache("NotebookCellStatusBarCache"),this._handlePool=0,this._notebookSerializer=new Map,this._backupIdPool=0,this._notebookProxy=l.getProxy(D.MainContext.MainThreadNotebook),this._notebookDocumentsProxy=l.getProxy(D.MainContext.MainThreadNotebookDocuments),this._notebookEditorsProxy=l.getProxy(D.MainContext.MainThreadNotebookEditors),this._commandsConverter=c.converter,c.registerArgumentProcessor({processArgument:o=>{if(o&&o.$mid===12){const n=o.notebookEditor?.notebookUri,r=o.cell.handle,a=this._documents.get(n)?.getCell(r);if(a)return a.apiCell}return o}})}get activeNotebookEditor(){return this._activeNotebookEditor?.apiEditor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(l=>l.apiEditor)}getEditorById(l){const c=this._editors.get(l);if(!c)throw new Error(`unknown text editor: ${l}. known editors: ${[...this._editors.keys()]} `);return c}getIdByEditor(l){for(const[c,f]of this._editors)if(f.apiEditor===l)return c}get notebookDocuments(){return[...this._documents.values()]}getNotebookDocument(l,c){const f=this._documents.get(l);if(!f&&!c)throw new Error(`NO notebook document for '${l}'`);return f}_getProviderData(l){const c=this._notebookContentProviders.get(l);if(!c)throw new Error(`NO provider for '${l}'`);return c}registerNotebookContentProvider(l,c,f,s,v){if((0,k.isFalsyOrWhitespace)(c))throw new Error("viewType cannot be empty or just whitespace");if(this._notebookContentProviders.has(c))throw new Error(`Notebook provider for '${c}' already registered`);this._notebookContentProviders.set(c,{extension:l,provider:f});let o;return f.onDidChangeNotebookContentOptions&&(o=f.onDidChangeNotebookContentOptions(()=>{const n=p.NotebookDocumentContentOptions.from(f.options);this._notebookProxy.$updateNotebookProviderOptions(c,n)})),this._notebookProxy.$registerNotebookProvider({id:l.identifier,location:l.extensionLocation},c,p.NotebookDocumentContentOptions.from(s),S._convertNotebookRegistrationData(l,v)),new b.Disposable(()=>{o?.dispose(),this._notebookContentProviders.delete(c),this._notebookProxy.$unregisterNotebookProvider(c)})}static _convertNotebookRegistrationData(l,c){if(!c)return;const f=c.filenamePattern.map(s=>p.NotebookExclusiveDocumentPattern.from(s)).filter(s=>s!==void 0);if(c.filenamePattern&&!f){console.warn(`Notebook content provider view options file name pattern is invalid ${c.filenamePattern}`);return}return{extension:l.identifier,providerDisplayName:l.displayName||l.name,displayName:c.displayName,filenamePattern:f,exclusive:c.exclusive||!1}}registerNotebookCellStatusBarItemProvider(l,c,f){const s=S._notebookStatusBarItemProviderHandlePool++,v=typeof f.onDidChangeCellStatusBarItems=="function"?S._notebookStatusBarItemProviderHandlePool++:void 0;this._notebookStatusBarItemProviders.set(s,f),this._notebookProxy.$registerNotebookCellStatusBarItemProvider(s,v,c);let o;return v!==void 0&&(o=f.onDidChangeCellStatusBarItems(n=>this._notebookProxy.$emitCellStatusBarEvent(v))),new b.Disposable(()=>{this._notebookStatusBarItemProviders.delete(s),this._notebookProxy.$unregisterNotebookCellStatusBarItemProvider(s,v),o&&o.dispose()})}async createNotebookDocument(l){const c=await this._notebookDocumentsProxy.$tryCreateNotebook({viewType:l.viewType,content:l.content&&p.NotebookData.from(l.content)});return R.URI.revive(c)}async openNotebookDocument(l){const c=this._documents.get(l);if(c)return c.apiNotebook;const f=await this._notebookDocumentsProxy.$tryOpenNotebook(l),s=this._documents.get(R.URI.revive(f));return(0,_.assertIsDefined)(s?.apiNotebook)}async showNotebookDocument(l,c){R.URI.isUri(l)&&(l=await this.openNotebookDocument(l));let f;typeof c=="object"?f={position:p.ViewColumn.from(c.viewColumn),preserveFocus:c.preserveFocus,selections:c.selections&&c.selections.map(p.NotebookRange.from),pinned:typeof c.preview=="boolean"?!c.preview:void 0}:f={preserveFocus:!1};const s=await this._notebookEditorsProxy.$tryShowNotebookDocument(l.uri,l.notebookType,f),v=s&&this._editors.get(s)?.apiEditor;if(v)return v;throw s?new Error(`Could NOT open editor for "${l.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${l.uri.toString()}".`)}async $provideNotebookCellStatusBarItems(l,c,f,s){const v=this._notebookStatusBarItemProviders.get(l),o=R.URI.revive(c),n=this._documents.get(o);if(!n||!v)return;const r=n.getCellFromIndex(f);if(!r)return;const i=await v.provideCellStatusBarItems(r.apiCell,s);if(!i)return;const a=new A.DisposableStore,m=this._statusBarCache.add([a]),E=(Array.isArray(i)?i:[i]).map(T=>p.NotebookStatusBarItem.from(T,this._commandsConverter,a));return{cacheId:m,items:E}}$releaseNotebookCellStatusBarItems(l){this._statusBarCache.delete(l)}registerNotebookSerializer(l,c,f,s,v){if((0,k.isFalsyOrWhitespace)(c))throw new Error("viewType cannot be empty or just whitespace");const o=this._handlePool++;return this._notebookSerializer.set(o,f),this._notebookProxy.$registerNotebookSerializer(o,{id:l.identifier,location:l.extensionLocation},c,p.NotebookDocumentContentOptions.from(s),S._convertNotebookRegistrationData(l,v)),(0,A.toDisposable)(()=>{this._notebookProxy.$unregisterNotebookSerializer(o)})}async $dataToNotebook(l,c,f){const s=this._notebookSerializer.get(l);if(!s)throw new Error("NO serializer found");const v=await s.deserializeNotebook(c.buffer,f);return new g.SerializableObjectWithBuffers(p.NotebookData.from(v))}async $notebookToData(l,c,f){const s=this._notebookSerializer.get(l);if(!s)throw new Error("NO serializer found");const v=await s.serializeNotebook(p.NotebookData.to(c.value),f);return h.VSBuffer.wrap(v)}async $openNotebook(l,c,f,s,v){const{provider:o}=this._getProviderData(l),n=await o.openNotebook(R.URI.revive(c),{backupId:f,untitledDocumentData:s?.buffer},v);return new g.SerializableObjectWithBuffers({metadata:n.metadata??Object.create(null),cells:n.cells.map(p.NotebookCellData.from)})}async $saveNotebook(l,c,f){const s=this.getNotebookDocument(R.URI.revive(c)),{provider:v}=this._getProviderData(l);return await v.saveNotebook(s.apiNotebook,f),!0}async $saveNotebookAs(l,c,f,s){const v=this.getNotebookDocument(R.URI.revive(c)),{provider:o}=this._getProviderData(l);return await o.saveNotebookAs(R.URI.revive(f),v.apiNotebook,s),!0}async $backupNotebook(l,c,f){const s=this.getNotebookDocument(R.URI.revive(c)),v=this._getProviderData(l),o=this._extensionStoragePaths.workspaceValue(v.extension)??this._extensionStoragePaths.globalValue(v.extension),n=String((0,P.hash)([s.uri.toString(),this._backupIdPool++])),r=R.URI.joinPath(o,n),i=await v.provider.backupNotebook(s.apiNotebook,{destination:r},f);return s.updateBackup(i),i.id}_createExtHostEditor(l,c,f){if(this._editors.has(c))throw new Error(`editor with id ALREADY EXSIST: ${c}`);const s=new w.ExtHostNotebookEditor(c,this._notebookEditorsProxy,l,f.visibleRanges.map(p.NotebookRange.to),f.selections.map(p.NotebookRange.to),typeof f.viewColumn=="number"?p.ViewColumn.to(f.viewColumn):void 0);this._editors.set(c,s)}$acceptDocumentAndEditorsDelta(l){if(l.value.removedDocuments)for(const f of l.value.removedDocuments){const s=R.URI.revive(f),v=this._documents.get(s);v&&(v.dispose(),this._documents.delete(s),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:v.apiNotebook.getCells().map(o=>o.document.uri)}),this._onDidCloseNotebookDocument.fire(v.apiNotebook));for(const o of this._editors.values())o.notebookData.uri.toString()===s.toString()&&this._editors.delete(o.id)}if(l.value.addedDocuments){const f=[];for(const s of l.value.addedDocuments){const v=R.URI.revive(s.uri);if(this._documents.has(v))throw new Error(`adding EXISTING notebook ${v} `);const o=this,n=new u.ExtHostNotebookDocument(this._notebookDocumentsProxy,this._textDocumentsAndEditors,this._textDocuments,{emitModelChange(r){o._onDidChangeNotebookCells.fire(r)},emitCellOutputsChange(r){o._onDidChangeCellOutputs.fire(r)},emitCellMetadataChange(r){o._onDidChangeCellMetadata.fire(r)}},v,s);f.push(...s.cells.map(r=>u.ExtHostCell.asModelAddData(n.apiNotebook,r))),this._documents.get(v)?.dispose(),this._documents.set(v,n),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:f}),this._onDidOpenNotebookDocument.fire(n.apiNotebook)}}if(l.value.addedEditors)for(const f of l.value.addedEditors){if(this._editors.has(f.id))return;const s=R.URI.revive(f.documentUri),v=this._documents.get(s);v&&this._createExtHostEditor(v,f.id,f)}const c=[];if(l.value.removedEditors)for(const f of l.value.removedEditors){const s=this._editors.get(f);s&&(this._editors.delete(f),this._activeNotebookEditor?.id===s.id&&(this._activeNotebookEditor=void 0),c.push(s))}if(l.value.visibleEditors){this._visibleNotebookEditors=l.value.visibleEditors.map(s=>this._editors.get(s)).filter(s=>!!s);const f=new Set;this._visibleNotebookEditors.forEach(s=>f.add(s.id));for(const s of this._editors.values()){const v=f.has(s.id);s._acceptVisibility(v)}this._visibleNotebookEditors=[...this._editors.values()].map(s=>s).filter(s=>s.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}l.value.newActiveEditor===null?this._activeNotebookEditor=void 0:l.value.newActiveEditor&&(this._activeNotebookEditor=this._editors.get(l.value.newActiveEditor)),l.value.newActiveEditor!==void 0&&this._onDidChangeActiveNotebookEditor.fire(this._activeNotebookEditor?.apiEditor)}}e.ExtHostNotebookController=S,S._notebookStatusBarItemProviderHandlePool=0}),define(pe[245],ve([1,0,3,76,11,5,16,14]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditors=void 0;class _{constructor(D,p){const b=_._Keys.nextId();D.$registerNotebookEditorDecorationType(b,k.NotebookDecorationRenderOptions.from(p)),this.value={key:b,dispose(){D.$removeNotebookEditorDecorationType(b)}}}}_._Keys=new t.IdGenerator("NotebookEditorDecorationType");let R=class{constructor(D,p,b){this._logService=D,this._extHostRpc=p,this._notebooksAndEditors=b,this._onDidChangeNotebookEditorSelection=new h.Emitter,this._onDidChangeNotebookEditorVisibleRanges=new h.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event}createNotebookEditorDecorationType(D){return new _(this._extHostRpc.getProxy(A.MainContext.MainThreadNotebookEditors),D).value}$acceptEditorPropertiesChanged(D,p){this._logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",D,p);const b=this._notebooksAndEditors.getEditorById(D);p.visibleRanges&&b._acceptVisibleRanges(p.visibleRanges.ranges.map(k.NotebookRange.to)),p.selections&&b._acceptSelections(p.selections.selections.map(k.NotebookRange.to)),p.visibleRanges&&this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:b.apiEditor,visibleRanges:b.apiEditor.visibleRanges}),p.selections&&this._onDidChangeNotebookEditorSelection.fire(Object.freeze({notebookEditor:b.apiEditor,selections:b.apiEditor.selections}))}$acceptEditorViewColumns(D){for(const p in D)this._notebooksAndEditors.getEditorById(p)._acceptViewColumn(k.ViewColumn.to(D[p]))}};R=Be([Fe(0,P.ILogService),Fe(1,C.IExtHostRpcService)],R),e.ExtHostNotebookEditors=R}),define(pe[246],ve([1,0,18,15,21,3,6,24,2,27,11,5,39,14,7,83,213,30,52]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookKernels=void 0;let l=class{constructor(n,r,i,a,m){this._initData=r,this._extHostNotebook=i,this._commands=a,this._logService=m,this._activeExecutions=new k.ResourceMap,this._kernelData=new Map,this._handlePool=0,this._onDidChangeCellExecutionState=new A.Emitter,this.onDidChangeNotebookCellExecutionState=this._onDidChangeCellExecutionState.event,this._proxy=n.getProxy(D.MainContext.MainThreadNotebookKernels);const d=new p.ApiCommand("notebook.selectKernel","_notebook.selectKernel","Trigger kernel picker for specified notebook editor widget",[new p.ApiCommandArgument("options","Select kernel options",E=>!0,E=>{if(E&&"notebookEditor"in E&&"id"in E){const T=this._extHostNotebook.getIdByEditor(E.notebookEditor);return{id:E.id,extension:E.extension,notebookEditorId:T}}else if(E&&"notebookEditor"in E){const T=this._extHostNotebook.getIdByEditor(E.notebookEditor);if(T===void 0)throw new Error(`Cannot invoke 'notebook.selectKernel' for unrecognized notebook editor ${E.notebookEditor.document.uri.toString()}`);return{notebookEditorId:T}}return E})],p.ApiCommandResult.Void);this._commands.registerApiCommand(d)}createNotebookController(n,r,i,a,m,d){for(const ie of this._kernelData.values())if(ie.controller.id===r&&R.ExtensionIdentifier.equals(n.identifier,ie.extensionId))throw new Error(`notebook controller with id '${r}' ALREADY exist`);const E=this._handlePool++,T=this;this._logService.trace(`NotebookController[${E}], CREATED by ${n.identifier.value}, ${r}`);const L=()=>console.warn(`NO execute handler from notebook controller '${z.id}' of extension: '${n.identifier}'`);let O=!1;const y=new C.DisposableStore,B=new A.Emitter,M=new A.Emitter,z={id:v(n,r),notebookType:i,extensionId:n.identifier,extensionLocation:n.extensionLocation,label:a||n.identifier.value,preloads:d?d.map(b.NotebookRendererScript.from):[]};let V=m??L,Q;this._proxy.$addKernel(E,z).catch(ie=>{console.log(ie),O=!0});let H=0;const K=()=>{if(O)return;const ie=++H;Promise.resolve().then(()=>{ie===H&&this._proxy.$updateKernel(E,z)})},G=new k.ResourceMap,j={get id(){return r},get notebookType(){return z.notebookType},onDidChangeSelectedNotebooks:B.event,get label(){return z.label},set label(ie){z.label=ie??n.displayName??n.name,K()},get detail(){return z.detail??""},set detail(ie){z.detail=ie,K()},get description(){return z.description??""},set description(ie){z.description=ie,K()},get kind(){return(0,S.checkProposedApiEnabled)(n,"notebookControllerKind"),z.kind??""},set kind(ie){(0,S.checkProposedApiEnabled)(n,"notebookControllerKind"),z.kind=ie,K()},get supportedLanguages(){return z.supportedLanguages},set supportedLanguages(ie){z.supportedLanguages=ie,K()},get supportsExecutionOrder(){return z.supportsExecutionOrder??!1},set supportsExecutionOrder(ie){z.supportsExecutionOrder=ie,K()},get rendererScripts(){return z.preloads?z.preloads.map(b.NotebookRendererScript.to):[]},get executeHandler(){return V},set executeHandler(ie){V=ie??L},get interruptHandler(){return Q},set interruptHandler(ie){Q=ie,z.supportsInterrupt=Boolean(ie),K()},createNotebookCellExecution(ie){if(O)throw new Error("notebook controller is DISPOSED");if(!G.has(ie.notebook.uri))throw T._logService.trace(`NotebookController[${E}] NOT associated to notebook, associated to THESE notebooks:`,Array.from(G.keys()).map(oe=>oe.toString())),new Error(`notebook controller is NOT associated to notebook: ${ie.notebook.uri.toString()}`);return T._createNotebookCellExecution(ie,v(n,this.id))},dispose:()=>{O||(this._logService.trace(`NotebookController[${E}], DISPOSED`),O=!0,this._kernelData.delete(E),y.dispose(),B.dispose(),M.dispose(),this._proxy.$removeKernel(E))},updateNotebookAffinity(ie,oe){T._proxy.$updateNotebookPriority(E,ie.uri,oe)},onDidReceiveMessage:M.event,postMessage(ie,oe){return(0,S.checkProposedApiEnabled)(n,"notebookMessaging"),T._proxy.$postMessage(E,oe&&T._extHostNotebook.getIdByEditor(oe),ie)},asWebviewUri(ie){return(0,S.checkProposedApiEnabled)(n,"notebookMessaging"),(0,u.asWebviewUri)(ie,T._initData.remote)}};return this._kernelData.set(E,{extensionId:n.identifier,controller:j,onDidReceiveMessage:M,onDidChangeSelection:B,associatedNotebooks:G}),j}$acceptNotebookAssociation(n,r,i){const a=this._kernelData.get(n);if(a){const m=this._extHostNotebook.getNotebookDocument(_.URI.revive(r));i?a.associatedNotebooks.set(m.uri,!0):a.associatedNotebooks.delete(m.uri),this._logService.trace(`NotebookController[${n}] ASSOCIATE notebook`,m.uri.toString(),i),a.onDidChangeSelection.fire({selected:i,notebook:m.apiNotebook})}}async $executeCells(n,r,i){const a=this._kernelData.get(n);if(!a)return;const m=this._extHostNotebook.getNotebookDocument(_.URI.revive(r)),d=[];for(const E of i){const T=m.getCell(E);T&&d.push(T.apiCell)}try{this._logService.trace(`NotebookController[${n}] EXECUTE cells`,m.uri.toString(),d.length),await a.controller.executeHandler.call(a.controller,d,m.apiNotebook,a.controller)}catch(E){this._logService.error(`NotebookController[${n}] execute cells FAILED`,E),console.error(E)}}async $cancelCells(n,r,i){const a=this._kernelData.get(n);if(!a)return;const m=this._extHostNotebook.getNotebookDocument(_.URI.revive(r));if(a.controller.interruptHandler)await a.controller.interruptHandler.call(a.controller,m.apiNotebook);else for(const d of i){const E=m.getCell(d);E&&this._activeExecutions.get(E.uri)?.cancel()}}$acceptKernelMessageFromRenderer(n,r,i){const a=this._kernelData.get(n);if(!a)return;const m=this._extHostNotebook.getEditorById(r);a.onDidReceiveMessage.fire(Object.freeze({editor:m.apiEditor,message:i}))}$cellExecutionChanged(n,r,i){const m=this._extHostNotebook.getNotebookDocument(_.URI.revive(n)).getCell(r);m&&this._onDidChangeCellExecutionState.fire({cell:m.apiCell,state:i?b.NotebookCellExecutionState.to(i):g.NotebookCellExecutionState.Idle})}_createNotebookCellExecution(n,r){if(n.index<0)throw new Error("CANNOT execute cell that has been REMOVED from notebook");const a=this._extHostNotebook.getNotebookDocument(n.notebook.uri).getCellFromApiCell(n);if(!a)throw new Error("invalid cell");if(this._activeExecutions.has(a.uri))throw new Error(`duplicate execution for ${a.uri}`);const m=new f(r,a,this._proxy);this._activeExecutions.set(a.uri,m);const d=m.onDidChangeState(()=>{m.state===c.Resolved&&(m.dispose(),d.dispose(),this._activeExecutions.delete(a.uri))});return m.asApiObject()}};l=Be([Fe(4,F.ILogService)],l),e.ExtHostNotebookKernels=l;var c;(function(o){o[o.Init=0]="Init",o[o.Started=1]="Started",o[o.Resolved=2]="Resolved"})(c||(c={}));class f extends C.Disposable{constructor(n,r,i){super();this._cell=r,this._proxy=i,this._handle=f.HANDLE++,this._onDidChangeState=new A.Emitter,this.onDidChangeState=this._onDidChangeState.event,this._state=c.Init,this._tokenSource=this._register(new P.CancellationTokenSource),this._collector=new s(10,a=>this.update(a)),this._executionOrder=r.internalMetadata.executionOrder,this._proxy.$createExecution(this._handle,n,this._cell.notebook.uri,this._cell.handle)}get state(){return this._state}cancel(){this._tokenSource.cancel()}async updateSoon(n){await this._collector.addItem(n)}async update(n){const r=Array.isArray(n)?n:[n];return this._proxy.$updateExecution(this._handle,new I.SerializableObjectWithBuffers(r))}verifyStateForOutput(){if(this._state===c.Init)throw new Error("Must call start before modifying cell output");if(this._state===c.Resolved)throw new Error("Cannot modify cell output after calling resolve")}validateAndConvertOutputs(n){return n.map(r=>{const i=g.NotebookCellOutput.ensureUniqueMimeTypes(r.items,!0);return i===r.items?b.NotebookCellOutput.from(r):b.NotebookCellOutput.from({items:i,id:r.id,metadata:r.metadata})})}async updateOutputs(n,r,i){const a=this.validateAndConvertOutputs((0,h.asArray)(n));return this.updateSoon({editType:w.CellExecutionUpdateType.Output,append:i,outputs:a})}async updateOutputItems(n,r,i){return n=g.NotebookCellOutput.ensureUniqueMimeTypes((0,h.asArray)(n),!0),this.updateSoon({editType:w.CellExecutionUpdateType.OutputItems,items:n.map(b.NotebookCellOutputItem.from),outputId:r.id,append:i})}asApiObject(){const n=this;return Object.freeze({get token(){return n._tokenSource.token},get cell(){return n._cell.apiCell},get executionOrder(){return n._executionOrder},set executionOrder(i){n._executionOrder=i,n.update([{editType:w.CellExecutionUpdateType.ExecutionState,executionOrder:n._executionOrder}])},start(i){if(n._state===c.Resolved||n._state===c.Started)throw new Error("Cannot call start again");n._state=c.Started,n._onDidChangeState.fire(),n.update({editType:w.CellExecutionUpdateType.ExecutionState,runStartTime:i})},end(i,a){if(n._state===c.Resolved)throw new Error("Cannot call resolve twice");n._state=c.Resolved,n._onDidChangeState.fire(),n._collector.flush(),n._proxy.$completeExecution(n._handle,new I.SerializableObjectWithBuffers({runEndTime:a,lastRunSuccess:i}))},clearOutput(i){return n.verifyStateForOutput(),n.updateOutputs([],i,!1)},appendOutput(i,a){return n.verifyStateForOutput(),n.updateOutputs(i,a,!0)},replaceOutput(i,a){return n.verifyStateForOutput(),n.updateOutputs(i,a,!1)},appendOutputItems(i,a){return n.verifyStateForOutput(),n.updateOutputItems(i,a,!0)},replaceOutputItems(i,a){return n.verifyStateForOutput(),n.updateOutputItems(i,a,!1)}})}}f.HANDLE=0;class s{constructor(n,r){this.delay=n,this.callback=r,this.batch=[],this.startedTimer=Date.now()}addItem(n){return this.batch.push(n),this.currentDeferred||(this.currentDeferred=new t.DeferredPromise,this.startedTimer=Date.now(),(0,t.timeout)(this.delay).then(()=>this.flush())),Date.now()-this.startedTimer>this.delay?this.flush():this.currentDeferred.p}flush(){if(this.batch.length===0||!this.currentDeferred)return Promise.resolve();const n=this.currentDeferred;this.currentDeferred=void 0;const r=this.batch;return this.batch=[],this.callback(r).finally(()=>n.complete())}}function v(o,n){return`${o.identifier.value}/${n}`}}),define(pe[247],ve([1,0,3,5,130,30]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookRenderers=void 0;class C{constructor(_,R){this._extHostNotebook=R,this._rendererMessageEmitters=new Map,this.proxy=_.getProxy(t.MainContext.MainThreadNotebookRenderers)}$postRendererMessage(_,R,F){const D=this._extHostNotebook.getEditorById(_);this._rendererMessageEmitters.get(R)?.fire({editor:D.apiEditor,message:F})}createRendererMessaging(_,R){if(!_.contributes?.notebookRenderer?.some(b=>b.id===R))throw new Error(`Extensions may only call createRendererMessaging() for renderers they contribute (got ${R})`);const F=(0,A.isProposedApiEnabled)(_,"notebookEditor"),D=new WeakMap;return{onDidReceiveMessage:(b,g,u)=>{const w=F?b:S=>{const I={};D.set(I,S.editor),b({editor:I,message:S.message})};return this.getOrCreateEmitterFor(R).event(w,g,u)},postMessage:(b,g)=>{P.ExtHostNotebookEditor.apiEditorsToExtHost.has(b)&&([b,g]=[g,b]);const u=F?g:D.get(g),w=u&&P.ExtHostNotebookEditor.apiEditorsToExtHost.get(u);return this.proxy.$postMessage(w?.id,R,b)}}}getOrCreateEmitterFor(_){let R=this._rendererMessageEmitters.get(_);return R||(R=new h.Emitter({onLastListenerRemove:()=>{R?.dispose(),this._rendererMessageEmitters.delete(_)}}),this._rendererMessageEmitters.set(_,R),R)}}e.ExtHostNotebookRenderers=C}),define(pe[135],ve([1,0,5,6,4,16,11,214,66,26,44,155,22,13]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.ExtHostOutputChannel=void 0;class g extends t.Disposable{constructor(S,I,l,c){super();this.id=S,this.name=I,this.logger=l,this.proxy=c,this.offset=0,this.visible=!1,this._disposed=!1}get disposed(){return this._disposed}appendLine(S){this.append(S+`
`)}append(S){this.write(S),this.visible&&(this.logger.flush(),this.proxy.$update(this.id,k.OutputChannelUpdateMode.Append))}clear(){const S=this.offset;this.logger.flush(),this.proxy.$update(this.id,k.OutputChannelUpdateMode.Clear,S)}replace(S){const I=this.offset;this.write(S),this.proxy.$update(this.id,k.OutputChannelUpdateMode.Replace,I),this.visible&&this.logger.flush()}show(S,I){this.logger.flush(),this.proxy.$reveal(this.id,!!(typeof S=="boolean"?S:I))}hide(){this.proxy.$close(this.id)}write(S){this.offset+=p.VSBuffer.fromString(S).byteLength,this.logger.info(S)}dispose(){super.dispose(),this._disposed||(this.proxy.$dispose(this.id),this._disposed=!0)}}e.ExtHostOutputChannel=g;let u=class{constructor(S,I,l,c,f){this.extHostFileSystem=l,this.extHostFileSystemInfo=c,this.loggerService=f,this.namePool=1,this.channels=new Map,this.visibleChannelId=null,this.proxy=S.getProxy(h.MainContext.MainThreadOutputService),this.outputsLocation=this.extHostFileSystemInfo.extUri.joinPath(I.logsLocation,`output_logging_${(0,D.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}`)}$setVisibleChannel(S){this.visibleChannelId=S;for(const[I,l]of this.channels)l.visible=I===this.visibleChannelId}createOutputChannel(S,I,l){if(S=S.trim(),!S)throw new Error("illegal argument `name`. must not be falsy");if((0,b.isString)(I)&&!I.trim())throw new Error("illegal argument `languageId`. must not be empty");const c=this.doCreateOutputChannel(S,I,l);return c.then(f=>{this.channels.set(f.id,f),f.visible=f.id===this.visibleChannelId}),this.createExtHostOutputChannel(S,c)}async doCreateOutputChannel(S,I,l){const c=await this.createOutputDirectory(),f=this.extHostFileSystemInfo.extUri.joinPath(c,`${this.namePool++}-${S.replace(/[\\/:\*\?"<>\|]/g,"")}.log`),s=this.loggerService.createLogger(f,{always:!0,donotRotate:!0,donotUseFormatters:!0}),v=await this.proxy.$register(S,!1,f,I,l.identifier.value);return new g(v,S,s,this.proxy)}createOutputDirectory(){return this.outputDirectoryPromise||(this.outputDirectoryPromise=this.extHostFileSystem.value.createDirectory(this.outputsLocation).then(()=>this.outputsLocation)),this.outputDirectoryPromise}createExtHostOutputChannel(S,I){let l=!1;const c=()=>{if(l)throw new Error("Channel has been closed")};return{get name(){return S},append(f){c(),I.then(s=>s.append(f))},appendLine(f){c(),I.then(s=>s.appendLine(f))},clear(){c(),I.then(f=>f.clear())},replace(f){c(),I.then(s=>s.replace(f))},show(f,s){c(),I.then(v=>v.show(f,s))},hide(){c(),I.then(f=>f.hide())},dispose(){l=!0,I.then(f=>f.dispose())}}}};u=Be([Fe(0,A.IExtHostRpcService),Fe(1,R.IExtHostInitDataService),Fe(2,_.IExtHostConsumerFileSystem),Fe(3,F.IExtHostFileSystemInfo),Fe(4,C.ILoggerService)],u),e.ExtHostOutputService=u,e.IExtHostOutputService=(0,P.createDecorator)("IExtHostOutputService")}),define(pe[248],ve([1,0,15,21,3,6,5,2,7,17,18,47,81]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function b(g,u,w){const S=g.getProxy(C.MainContext.MainThreadQuickOpen);class I{constructor(i,a){this._sessions=new Map,this._instances=0,this._workspace=i,this._commands=a}showQuickPick(i,a,m=t.CancellationToken.None){this._onDidSelectItem=void 0;const d=Promise.resolve(i),E=++this._instances,T=S.$show(E,{title:a?.title,placeHolder:a?.placeHolder,matchOnDescription:a?.matchOnDescription,matchOnDetail:a?.matchOnDetail,ignoreFocusLost:a?.ignoreFocusOut,canPickMany:a?.canPickMany},m),L={},O=T.then(()=>L);return Promise.race([O,d]).then(y=>{if(y!==L)return d.then(B=>{const M=[];for(let z=0;z<B.length;z++){const V=B[z];typeof V=="string"?M.push({label:V,handle:z}):V.kind===_.QuickPickItemKind.Separator?M.push({type:"separator",label:V.label}):M.push({label:V.label,description:V.description,detail:V.detail,picked:V.picked,alwaysShow:V.alwaysShow,handle:z})}return a&&typeof a.onDidSelectItem=="function"&&(this._onDidSelectItem=z=>{a.onDidSelectItem(B[z])}),S.$setItems(E,M),T.then(z=>{if(typeof z=="number")return B[z];if(Array.isArray(z))return z.map(V=>B[V])})})}).then(void 0,y=>{if(!(0,R.isCancellationError)(y))return S.$setError(E,y),Promise.reject(y)})}$onItemSelected(i){this._onDidSelectItem&&this._onDidSelectItem(i)}showInput(i,a=t.CancellationToken.None){return this._validateInput=i?i.validateInput:void 0,S.$input(i,typeof this._validateInput=="function",a).then(void 0,m=>{if(!(0,R.isCancellationError)(m))return Promise.reject(m)})}$validateInput(i){return this._validateInput?(0,h.asPromise)(()=>this._validateInput(i)):Promise.resolve(void 0)}async showWorkspaceFolderPick(i,a=t.CancellationToken.None){const m=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[i]);if(!m)return;const d=await this._workspace.getWorkspaceFolders2();if(!!d)return d.find(E=>E.uri.toString()===m.uri.toString())}createQuickPick(i){const a=new o(i,()=>this._sessions.delete(a._id));return this._sessions.set(a._id,a),a}createInputBox(i){const a=new n(i,()=>this._sessions.delete(a._id));return this._sessions.set(a._id,a),a}$onDidChangeValue(i,a){const m=this._sessions.get(i);m&&m._fireDidChangeValue(a)}$onDidAccept(i){const a=this._sessions.get(i);a&&a._fireDidAccept()}$onDidChangeActive(i,a){const m=this._sessions.get(i);m instanceof o&&m._fireDidChangeActive(a)}$onDidChangeSelection(i,a){const m=this._sessions.get(i);m instanceof o&&m._fireDidChangeSelection(a)}$onDidTriggerButton(i,a){const m=this._sessions.get(i);m&&m._fireDidTriggerButton(a)}$onDidTriggerItemButton(i,a,m){const d=this._sessions.get(i);d instanceof o&&d._fireDidTriggerItemButton(a,m)}$onDidHide(i){const a=this._sessions.get(i);a&&a._fireDidHide()}}class l{constructor(i,a){this._extensionId=i,this._onDidDispose=a,this._id=o._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new P.Emitter,this._onDidChangeValueEmitter=new P.Emitter,this._onDidTriggerButtonEmitter=new P.Emitter,this._onDidHideEmitter=new P.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(i){this._title=i,this.update({title:i})}get step(){return this._steps}set step(i){this._steps=i,this.update({step:i})}get totalSteps(){return this._totalSteps}set totalSteps(i){this._totalSteps=i,this.update({totalSteps:i})}get enabled(){return this._enabled}set enabled(i){this._enabled=i,this.update({enabled:i})}get busy(){return this._busy}set busy(i){this._busy=i,this.update({busy:i})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(i){this._ignoreFocusOut=i,this.update({ignoreFocusOut:i})}get value(){return this._value}set value(i){this._value=i,this.update({value:i})}get placeholder(){return this._placeholder}set placeholder(i){this._placeholder=i,this.update({placeholder:i})}get buttons(){return this._buttons}set buttons(i){this._buttons=i.slice(),this._handlesToButtons.clear(),i.forEach((a,m)=>{const d=a===_.QuickInputButtons.Back?-1:m;this._handlesToButtons.set(d,a)}),this.update({buttons:i.map((a,m)=>({...v(a),tooltip:a.tooltip,handle:a===_.QuickInputButtons.Back?-1:m}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(i){this._value=i,this._onDidChangeValueEmitter.fire(i)}_fireDidTriggerButton(i){const a=this._handlesToButtons.get(i);a&&this._onDidTriggerButtonEmitter.fire(a)}_fireDidHide(){this._expectingHide&&(this._expectingHide=this._visible,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=(0,A.dispose)(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),S.$dispose(this._id))}update(i){if(!this._disposed){for(const a of Object.keys(i)){const m=i[a];this._pendingUpdate[a]=m===void 0?null:m}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){S.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}l._nextId=1;function c(r){if(r instanceof _.ThemeIcon)return{id:r.id};const i=s(r),a=f(r);return{dark:typeof i=="string"?k.URI.file(i):i,light:typeof a=="string"?k.URI.file(a):a}}function f(r){return typeof r=="object"&&"light"in r?r.light:r}function s(r){return typeof r=="object"&&"dark"in r?r.dark:r}function v(r){const i=c(r.iconPath);let a,m;return"id"in i?m=p.ThemeIcon.asClassName(i):a=i,{iconPath:a,iconClass:m}}class o extends l{constructor(i,a){super(i.identifier,a);this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._keepScrollPosition=!1,this._activeItems=[],this._onDidChangeActiveEmitter=new P.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new P.Emitter,this._onDidTriggerItemButtonEmitter=new P.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this.onDidTriggerItemButton=this._onDidTriggerItemButtonEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter,this._onDidTriggerItemButtonEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(i){this._items=i.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),i.forEach((m,d)=>{this._handlesToItems.set(d,m),this._itemsToHandles.set(m,d)});const a=[];for(let m=0;m<i.length;m++){const d=i[m];d.kind===_.QuickPickItemKind.Separator?a.push({type:"separator",label:d.label}):a.push({handle:m,label:d.label,description:d.description,detail:d.detail,picked:d.picked,alwaysShow:d.alwaysShow,buttons:d.buttons?.map((E,T)=>({...v(E),tooltip:E.tooltip,handle:T}))})}this.update({items:a})}get canSelectMany(){return this._canSelectMany}set canSelectMany(i){this._canSelectMany=i,this.update({canSelectMany:i})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(i){this._matchOnDescription=i,this.update({matchOnDescription:i})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(i){this._matchOnDetail=i,this.update({matchOnDetail:i})}get sortByLabel(){return this._sortByLabel}set sortByLabel(i){this._sortByLabel=i,this.update({sortByLabel:i})}get keepScrollPosition(){return this._keepScrollPosition}set keepScrollPosition(i){this._keepScrollPosition=i,this.update({keepScrollPosition:i})}get activeItems(){return this._activeItems}set activeItems(i){this._activeItems=i.filter(a=>this._itemsToHandles.has(a)),this.update({activeItems:this._activeItems.map(a=>this._itemsToHandles.get(a))})}get selectedItems(){return this._selectedItems}set selectedItems(i){this._selectedItems=i.filter(a=>this._itemsToHandles.has(a)),this.update({selectedItems:this._selectedItems.map(a=>this._itemsToHandles.get(a))})}_fireDidChangeActive(i){const a=(0,F.coalesce)(i.map(m=>this._handlesToItems.get(m)));this._activeItems=a,this._onDidChangeActiveEmitter.fire(a)}_fireDidChangeSelection(i){const a=(0,F.coalesce)(i.map(m=>this._handlesToItems.get(m)));this._selectedItems=a,this._onDidChangeSelectionEmitter.fire(a)}_fireDidTriggerItemButton(i,a){const m=this._handlesToItems.get(i);if(!m||!m.buttons||!m.buttons.length)return;const d=m.buttons[a];d&&this._onDidTriggerItemButtonEmitter.fire({button:d,item:m})}}class n extends l{constructor(i,a){super(i,a);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(i){this._password=i,this.update({password:i})}get prompt(){return this._prompt}set prompt(i){this._prompt=i,this.update({prompt:i})}get validationMessage(){return this._validationMessage}set validationMessage(i){this._validationMessage=i,this.update({validationMessage:i,severity:i?D.default.Error:D.default.Ignore})}}return new I(u,w)}e.createExtHostQuickOpen=b});var Xe=this&&this.__classPrivateFieldSet||function(ee,e,h,t,P){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!P)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ee!==e||!P:!e.has(ee))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?P.call(ee,h):P?P.value=h:e.set(ee,h),h},Pe=this&&this.__classPrivateFieldGet||function(ee,e,h,t){if(h==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ee!==e||!t:!e.has(ee))throw new TypeError("Cannot read private member from an object whose class did not declare it");return h==="m"?t:h==="a"?t.call(ee):t?t.value:e.get(ee)};define(pe[249],ve([1,0,2,3,56,6,15,5,18,97,11,27,81,14,30]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g){"use strict";var u,w;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function S(m){if(m)return typeof m.iconPath=="string"?h.URI.file(m.iconPath):h.URI.isUri(m.iconPath)||p.ThemeIcon.isThemeIcon(m.iconPath)?m.iconPath:void 0}function I(m,d){if(!m.iconPath&&!d.iconPath)return 0;if(m.iconPath){if(!d.iconPath)return 1}else return-1;const E=typeof m.iconPath=="string"?m.iconPath:h.URI.isUri(m.iconPath)?m.iconPath.fsPath:m.iconPath.id,T=typeof d.iconPath=="string"?d.iconPath:h.URI.isUri(d.iconPath)?d.iconPath.fsPath:d.iconPath.id;return(0,R.comparePaths)(E,T)}function l(m,d){let E=0;if(m.strikeThrough!==d.strikeThrough)return m.strikeThrough?1:-1;if(m.faded!==d.faded)return m.faded?1:-1;if(m.tooltip!==d.tooltip)return(m.tooltip||"").localeCompare(d.tooltip||"");if(E=I(m,d),E!==0)return E;if(m.light&&d.light)E=I(m.light,d.light);else{if(m.light)return 1;if(d.light)return-1}if(E!==0)return E;if(m.dark&&d.dark)E=I(m.dark,d.dark);else{if(m.dark)return 1;if(d.dark)return-1}return E}function c(m,d){if(m.command!==d.command)return m.command<d.command?-1:1;if(m.title!==d.title)return m.title<d.title?-1:1;if(m.tooltip!==d.tooltip){if(m.tooltip!==void 0&&d.tooltip!==void 0)return m.tooltip<d.tooltip?-1:1;if(m.tooltip!==void 0)return 1;if(d.tooltip!==void 0)return-1}if(m.arguments===d.arguments)return 0;if(m.arguments)if(d.arguments){if(m.arguments.length!==d.arguments.length)return m.arguments.length-d.arguments.length}else return 1;else return-1;for(let E=0;E<m.arguments.length;E++){const T=m.arguments[E],L=d.arguments[E];if(T!==L)return T<L?-1:1}return 0}function f(m,d){let E=(0,R.comparePaths)(m.resourceUri.fsPath,d.resourceUri.fsPath,!0);if(E!==0)return E;if(m.command&&d.command)E=c(m.command,d.command);else{if(m.command)return 1;if(d.command)return-1}if(E!==0)return E;if(m.decorations&&d.decorations)E=l(m.decorations,d.decorations);else{if(m.decorations)return 1;if(d.decorations)return-1}return E}function s(m,d){for(let E=0;E<m.length;E++)if(m[E]!==d[E])return!1;return!0}function v(m,d){return m.command===d.command&&m.title===d.title&&m.tooltip===d.tooltip&&(m.arguments&&d.arguments?s(m.arguments,d.arguments):m.arguments===d.arguments)}function o(m,d){return(0,_.equals)(m,d,v)}class n{constructor(d,E,T){this._extension=d,this._sourceControlHandle=T,u.set(this,void 0),this._value="",this._onDidChange=new t.Emitter,this._placeholder="",this._visible=!0,Xe(this,u,E,"f")}get value(){return this._value}set value(d){d=d??"",Pe(this,u,"f").$setInputBoxValue(this._sourceControlHandle,d),this.updateValue(d)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(d){Pe(this,u,"f").$setInputBoxPlaceholder(this._sourceControlHandle,d),this._placeholder=d}get validateInput(){return(0,g.checkProposedApiEnabled)(this._extension,"scmValidation"),this._validateInput}set validateInput(d){if((0,g.checkProposedApiEnabled)(this._extension,"scmValidation"),d&&typeof d!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=d,Pe(this,u,"f").$setValidationProviderIsEnabled(this._sourceControlHandle,!!d)}get visible(){return this._visible}set visible(d){d=!!d,this._visible!==d&&(this._visible=d,Pe(this,u,"f").$setInputBoxVisibility(this._sourceControlHandle,d))}showValidationMessage(d,E){(0,g.checkProposedApiEnabled)(this._extension,"scmValidation"),Pe(this,u,"f").$showValidationMessage(this._sourceControlHandle,d,E)}$onInputBoxValueChange(d){this.updateValue(d)}updateValue(d){this._value=d,this._onDidChange.fire(d)}}e.ExtHostSCMInputBox=n,u=new WeakMap;class r{constructor(d,E,T,L,O){this._proxy=d,this._commands=E,this._sourceControlHandle=T,this._id=L,this._label=O,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new t.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new t.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=r._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(d){this._label=d,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,d)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(d){this._hideWhenEmpty=d,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(d){this._resourceStates=[...d],this._onDidUpdateResourceStates.fire()}getResourceState(d){return this._resourceStatesMap.get(d)}$executeResourceCommand(d,E){const T=this._resourceStatesCommandsMap.get(d);return T?(0,C.asPromise)(()=>this._commands.executeCommand(T.command,...T.arguments||[],E)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){const d=[...this._resourceStates].sort(f),T=(0,_.sortedDiff)(this._resourceSnapshot,d,f).map(y=>{const B=y.toInsert.map(M=>{const z=this._resourceHandlePool++;this._resourceStatesMap.set(z,M);const V=M.resourceUri;let Q;if(M.command)if(M.command.command==="vscode.open"||M.command.command==="vscode.diff"){const ae=new A.DisposableStore;Q=this._commands.converter.toInternal(M.command,ae),this._resourceStatesDisposablesMap.set(z,ae)}else this._resourceStatesCommandsMap.set(z,M.command);const H=S(M.decorations),K=M.decorations&&S(M.decorations.light)||H,G=M.decorations&&S(M.decorations.dark)||H,j=[K,G],ie=M.decorations&&M.decorations.tooltip||"",oe=M.decorations&&!!M.decorations.strikeThrough,ue=M.decorations&&!!M.decorations.faded,Z=M.contextValue||"";return{rawResource:[z,V,j,ie,oe,ue,Z,Q],handle:z}});return{start:y.start,deleteCount:y.deleteCount,toInsert:B}}),L=T.map(({start:y,deleteCount:B,toInsert:M})=>[y,B,M.map(z=>z.rawResource)]),O=T.reverse();for(const{start:y,deleteCount:B,toInsert:M}of O){const z=M.map(Q=>Q.handle),V=this._handlesSnapshot.splice(y,B,...z);for(const Q of V)this._resourceStatesMap.delete(Q),this._resourceStatesCommandsMap.delete(Q),this._resourceStatesDisposablesMap.get(Q)?.dispose(),this._resourceStatesDisposablesMap.delete(Q)}return this._resourceSnapshot=d,L}dispose(){this._disposed=!0,this._onDidDispose.fire()}}r._handlePool=0;class i{constructor(d,E,T,L,O,y){this._extension=d,this._commands=T,this._id=L,this._label=O,this._rootUri=y,w.set(this,void 0),this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new A.MutableDisposable,this._acceptInputCommand=void 0,this._actionButtonDisposables=new A.MutableDisposable,this._statusBarDisposables=new A.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new t.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=i._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,Xe(this,w,E,"f"),this._inputBox=new n(d,Pe(this,w,"f"),this.handle),Pe(this,w,"f").$registerSourceControl(this.handle,L,O,y)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(d){this._count!==d&&(this._count=d,Pe(this,w,"f").$updateSourceControl(this.handle,{count:d}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(d){this._quickDiffProvider=d,Pe(this,w,"f").$updateSourceControl(this.handle,{hasQuickDiffProvider:!!d})}get commitTemplate(){return this._commitTemplate}set commitTemplate(d){d!==this._commitTemplate&&(this._commitTemplate=d,Pe(this,w,"f").$updateSourceControl(this.handle,{commitTemplate:d}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(d){this._acceptInputDisposables.value=new A.DisposableStore,this._acceptInputCommand=d;const E=this._commands.converter.toInternal(d,this._acceptInputDisposables.value);Pe(this,w,"f").$updateSourceControl(this.handle,{acceptInputCommand:E})}get actionButton(){return(0,g.checkProposedApiEnabled)(this._extension,"scmActionButton"),this._actionButton}set actionButton(d){(0,g.checkProposedApiEnabled)(this._extension,"scmActionButton"),this._actionButtonDisposables.value=new A.DisposableStore,this._actionButton=d;const E=d!==void 0?{command:this._commands.converter.toInternal(d.command,this._actionButtonDisposables.value),description:d.description}:void 0;Pe(this,w,"f").$updateSourceControl(this.handle,{actionButton:E??null})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(d){if(this._statusBarCommands&&d&&o(this._statusBarCommands,d))return;this._statusBarDisposables.value=new A.DisposableStore,this._statusBarCommands=d;const E=(d||[]).map(T=>this._commands.converter.toInternal(T,this._statusBarDisposables.value));Pe(this,w,"f").$updateSourceControl(this.handle,{statusBarCommands:E})}get selected(){return this._selected}createResourceGroup(d,E){const T=new r(Pe(this,w,"f"),this._commands,this.handle,d,E),L=t.Event.once(T.onDidDispose)(()=>this.createdResourceGroups.delete(T));return this.createdResourceGroups.set(T,L),this.eventuallyAddResourceGroups(),T}eventuallyAddResourceGroups(){const d=[],E=[];for(const[T,L]of this.createdResourceGroups){L.dispose();const O=T.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(T),this.eventuallyUpdateResourceStates()});t.Event.once(T.onDidDispose)(()=>{this.updatedResourceGroups.delete(T),O.dispose(),this._groups.delete(T.handle),Pe(this,w,"f").$unregisterGroup(this.handle,T.handle)}),d.push([T.handle,T.id,T.label,T.features]);const y=T._takeResourceStateSnapshot();y.length>0&&E.push([T.handle,y]),this._groups.set(T.handle,T)}Pe(this,w,"f").$registerGroups(this.handle,d,E),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const d=[];this.updatedResourceGroups.forEach(E=>{const T=E._takeResourceStateSnapshot();T.length!==0&&d.push([E.handle,T])}),d.length>0&&Pe(this,w,"f").$spliceResourceStates(this.handle,d),this.updatedResourceGroups.clear()}getResourceGroup(d){return this._groups.get(d)}setSelectionState(d){this._selected=d,this._onDidChangeSelection.fire(d)}dispose(){this._acceptInputDisposables.dispose(),this._actionButtonDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(d=>d.dispose()),Pe(this,w,"f").$unregisterSourceControl(this.handle)}}w=new WeakMap,i._handlePool=0,Be([(0,P.debounce)(100)],i.prototype,"eventuallyAddResourceGroups",null),Be([(0,P.debounce)(100)],i.prototype,"eventuallyUpdateResourceStates",null);let a=class Vi{constructor(d,E,T){this._commands=E,this.logService=T,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new t.Emitter,this._proxy=d.getProxy(k.MainContext.MainThreadSCM),this._telemetry=d.getProxy(k.MainContext.MainThreadTelemetry),E.registerArgumentProcessor({processArgument:L=>{if(L&&L.$mid===3){const O=this._sourceControls.get(L.sourceControlHandle);if(!O)return L;const y=O.getResourceGroup(L.groupHandle);return y?y.getResourceState(L.handle):L}else if(L&&L.$mid===4){const O=this._sourceControls.get(L.sourceControlHandle);return O?O.getResourceGroup(L.groupHandle):L}else if(L&&L.$mid===5){const O=this._sourceControls.get(L.handle);return O||L}return L}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(d,E,T,L){this.logService.trace("ExtHostSCM#createSourceControl",d.identifier.value,E,T,L),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:d.identifier.value});const O=Vi._handlePool++,y=new i(d,this._proxy,this._commands,E,T,L);this._sourceControls.set(O,y);const B=this._sourceControlsByExtension.get(D.ExtensionIdentifier.toKey(d.identifier))||[];return B.push(y),this._sourceControlsByExtension.set(D.ExtensionIdentifier.toKey(d.identifier),B),y}getLastInputBox(d){this.logService.trace("ExtHostSCM#getLastInputBox",d.identifier.value);const E=this._sourceControlsByExtension.get(D.ExtensionIdentifier.toKey(d.identifier)),T=E&&E[E.length-1];return T&&T.inputBox}$provideOriginalResource(d,E,T){const L=h.URI.revive(E);this.logService.trace("ExtHostSCM#$provideOriginalResource",d,L.toString());const O=this._sourceControls.get(d);return!O||!O.quickDiffProvider||!O.quickDiffProvider.provideOriginalResource?Promise.resolve(null):(0,C.asPromise)(()=>O.quickDiffProvider.provideOriginalResource(L,T)).then(y=>y||null)}$onInputBoxValueChange(d,E){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",d);const T=this._sourceControls.get(d);return T&&T.inputBox.$onInputBoxValueChange(E),Promise.resolve(void 0)}$executeResourceCommand(d,E,T,L){this.logService.trace("ExtHostSCM#$executeResourceCommand",d,E,T);const O=this._sourceControls.get(d);if(!O)return Promise.resolve(void 0);const y=O.getResourceGroup(E);return y?y.$executeResourceCommand(T,L):Promise.resolve(void 0)}$validateInput(d,E,T){this.logService.trace("ExtHostSCM#$validateInput",d);const L=this._sourceControls.get(d);return!L||!L.inputBox.validateInput?Promise.resolve(void 0):(0,C.asPromise)(()=>L.inputBox.validateInput(E,T)).then(O=>{if(!O)return Promise.resolve(void 0);const y=b.MarkdownString.fromStrict(O.message);return y?Promise.resolve([y,O.type]):Promise.resolve(void 0)})}$setSelectedSourceControl(d){return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",d),d!==void 0&&this._sourceControls.get(d)?.setSelectionState(!0),this._selectedSourceControlHandle!==void 0&&this._sourceControls.get(this._selectedSourceControlHandle)?.setSelectionState(!1),this._selectedSourceControlHandle=d,Promise.resolve(void 0)}};a._handlePool=0,a=Be([Fe(2,F.ILogService)],a),e.ExtHostSCM=a});var Xe=this&&this.__classPrivateFieldSet||function(ee,e,h,t,P){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!P)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ee!==e||!P:!e.has(ee))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?P.call(ee,h):P?P.value=h:e.set(ee,h),h},Pe=this&&this.__classPrivateFieldGet||function(ee,e,h,t){if(h==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ee!==e||!t:!e.has(ee))throw new TypeError("Cannot read private member from an object whose class did not declare it");return h==="m"?t:h==="a"?t.call(ee):t?t.value:e.get(ee)};define(pe[250],ve([1,0,7,5,169,6,14,13]),function(ee,e,h,t,P,A,C,k){"use strict";var _,R;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class F{constructor(g,u,w,S,I=h.StatusBarAlignment.Left,l){_.set(this,void 0),R.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new A.DisposableStore,Xe(this,_,g,"f"),Xe(this,R,u,"f"),this._entryId=F.ID_GEN++,this._extension=w,this._id=S,this._alignment=I,this._priority=this.validatePriority(l)}validatePriority(g){if(!!(0,k.isNumber)(g))return g===Number.POSITIVE_INFINITY?Number.MAX_VALUE:g===Number.NEGATIVE_INFINITY?-Number.MAX_VALUE:g}get id(){return this._id??this._extension.identifier.value}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get name(){return this._name}get tooltip(){return this._tooltip}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){return this._command?.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(g){this._text=g,this.update()}set name(g){this._name=g,this.update()}set tooltip(g){this._tooltip=g,this.update()}set color(g){this._color=g,this.update()}set backgroundColor(g){g&&!F.ALLOWED_BACKGROUND_COLORS.has(g.id)&&(g=void 0),this._backgroundColor=g,this.update()}set command(g){this._command?.fromApi!==g&&(this._internalCommandRegistration.clear(),typeof g=="string"?this._command={fromApi:g,internal:Pe(this,R,"f").toInternal({title:"",command:g},this._internalCommandRegistration)}:g?this._command={fromApi:g,internal:Pe(this,R,"f").toInternal(g,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(g){this._accessibilityInformation=g,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,Pe(this,_,"f").$dispose(this._entryId)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{this._timeoutHandle=void 0;let g;this._extension?this._id?g=`${this._extension.identifier.value}.${this._id}`:g=this._extension.identifier.value:g=this._id;let u;this._name?u=this._name:u=(0,P.localize)(0,null,this._extension.displayName||this._extension.name);let w=this._color;this._backgroundColor&&(w=F.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id));const S=C.MarkdownString.fromStrict(this._tooltip);Pe(this,_,"f").$setEntry(this._entryId,g,u,this._text,S,this._command?.internal,w,this._backgroundColor,this._alignment===h.StatusBarAlignment.Left,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=F,_=new WeakMap,R=new WeakMap,F.ID_GEN=0,F.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new h.ThemeColor("statusBarItem.errorForeground")],["statusBarItem.warningBackground",new h.ThemeColor("statusBarItem.warningForeground")]]);class D{constructor(g){this._messages=[],this._item=g.createStatusBarEntry(void 0,"status.extensionMessage",h.StatusBarAlignment.Left,Number.MIN_VALUE),this._item.name=(0,P.localize)(1,null)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(g){const u={message:g};return this._messages.unshift(u),this._update(),new h.Disposable(()=>{const w=this._messages.indexOf(u);w>=0&&(this._messages.splice(w,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class p{constructor(g,u){this._proxy=g.getProxy(t.MainContext.MainThreadStatusBar),this._commands=u,this._statusMessage=new D(this)}createStatusBarEntry(g,u,w,S){return new F(this._proxy,this._commands,g,u,w,S)}setStatusBarMessage(g,u){const w=this._statusMessage.setMessage(g);let S;return typeof u=="number"?S=setTimeout(()=>w.dispose(),u):typeof u!="undefined"&&u.then(()=>w.dispose(),()=>w.dispose()),new h.Disposable(()=>{w.dispose(),clearTimeout(S)})}}e.ExtHostStatusBar=p}),define(pe[87],ve([1,0,5,3,4]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class A{constructor(k){this._onDidChangeStorage=new t.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=k.getProxy(h.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(k,_){this._proxy.$registerExtensionStorageKeysToSync(k,_)}initializeExtensionStorage(k,_,R){return this._proxy.$initializeExtensionStorage(k,_).then(F=>F||R)}setValue(k,_,R){return this._proxy.$setValue(k,_,R)}$acceptValue(k,_,R){this._onDidChangeStorage.fire({shared:k,key:_,value:R})}}e.ExtHostStorage=A,e.IExtHostStorage=(0,P.createDecorator)("IExtHostStorage")}),define(pe[67],ve([1,0,4,26,11,66,2]),function(ee,e,h,t,P,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=(0,h.createDecorator)("IExtensionStoragePaths");let k=class{constructor(R,F,D){this._logService=F,this._extHostFileSystem=D,this._workspace=R.workspace??void 0,this._environment=R.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(p=>this._value=p)}async _getWorkspaceStorageURI(R){return C.URI.joinPath(this._environment.workspaceStorageHome,R)}async _getOrCreateWorkspaceStoragePath(){if(!this._workspace)return Promise.resolve(void 0);const R=this._workspace.id,F=await this._getWorkspaceStorageURI(R);try{return await this._extHostFileSystem.value.stat(F),this._logService.trace("[ExtHostStorage] storage dir already exists",F),F}catch{}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",F),await this._extHostFileSystem.value.createDirectory(F),await this._extHostFileSystem.value.writeFile(C.URI.joinPath(F,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:C.URI.revive(this._workspace.configuration)?.toString(),name:this._workspace.name},void 0,2))),F}catch(D){this._logService.error("[ExtHostStorage]",D);return}}workspaceValue(R){if(this._value)return C.URI.joinPath(this._value,R.identifier.value)}globalValue(R){return C.URI.joinPath(this._environment.globalStorageHome,R.identifier.value.toLowerCase())}onWillDeactivateAll(){}};k=Be([Fe(0,t.IExtHostInitDataService),Fe(1,P.ILogService),Fe(2,A.IExtHostConsumerFileSystem)],k),e.ExtensionStoragePaths=k}),define(pe[34],ve([1,0,3,5,4,2,16,6,7,170,17,216,21,33,196,81,13,15]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=(0,P.createDecorator)("IExtHostTerminalService");class I{constructor(i,a,m,d){this._proxy=i,this._id=a,this._creationOptions=m,this._name=d,this._disposed=!1,this._state={isInteractedWith:!1},this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(T=>this._pidPromiseComplete=T);const E=this;this.value={get name(){return E._name||""},get processId(){return E._pidPromise},get creationOptions(){return E._creationOptions},get exitStatus(){return E._exitStatus},get state(){return E._state},sendText(T,L=!0){E._checkDisposed(),E._proxy.$sendText(E._id,T,L)},show(T){E._checkDisposed(),E._proxy.$show(E._id,T)},hide(){E._checkDisposed(),E._proxy.$hide(E._id)},dispose(){E._disposed||(E._disposed=!0,E._proxy.$dispose(E._id))},get dimensions(){if(!(E._cols===void 0||E._rows===void 0))return{columns:E._cols,rows:E._rows}}}}async create(i,a){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:i.name,shellPath:(0,w.withNullAsUndefined)(i.shellPath),shellArgs:(0,w.withNullAsUndefined)(i.shellArgs),cwd:(0,w.withNullAsUndefined)(i.cwd),env:(0,w.withNullAsUndefined)(i.env),icon:(0,w.withNullAsUndefined)(o(i.iconPath)),color:u.ThemeColor.isThemeColor(i.color)?i.color.id:void 0,initialText:(0,w.withNullAsUndefined)(i.message),strictEnv:(0,w.withNullAsUndefined)(i.strictEnv),hideFromUser:(0,w.withNullAsUndefined)(i.hideFromUser),isFeatureTerminal:(0,w.withNullAsUndefined)(a?.isFeatureTerminal),isExtensionOwnedTerminal:!0,useShellEnvironment:(0,w.withNullAsUndefined)(a?.useShellEnvironment),location:a?.location||this._serializeParentTerminal(i.location,a?.resolvedExtHostIdentifier),isTransient:(0,w.withNullAsUndefined)(i.isTransient)})}async createExtensionTerminal(i,a,m,d){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionCustomPtyTerminal:!0,icon:m,color:u.ThemeColor.isThemeColor(d)?d.id:void 0,location:this._serializeParentTerminal(i,a),isTransient:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_serializeParentTerminal(i,a){return typeof i=="object"?"parentTerminal"in i&&i.parentTerminal&&a?{parentTerminal:a}:"viewColumn"in i?{viewColumn:i.viewColumn,preserveFocus:i.preserveFocus}:void 0:i}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(i){this._name=i}setExitCode(i){this._exitStatus=Object.freeze({code:i})}setDimensions(i,a){return i===this._cols&&a===this._rows||i===0||a===0?!1:(this._cols=i,this._rows=a,!0)}setInteractedWith(){return this._state.isInteractedWith?!1:(this._state={isInteractedWith:!0},!0)}_setProcessId(i){this._pidPromiseComplete?(this._pidPromiseComplete(i),this._pidPromiseComplete=void 0):this._pidPromise.then(a=>{a!==i&&(this._pidPromise=Promise.resolve(i))})}}e.ExtHostTerminal=I;class l{constructor(i){this._pty=i,this.id=0,this.shouldPersist=!1,this._onProcessData=new h.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessReady=new h.Emitter,this._onDidChangeProperty=new h.Emitter,this.onDidChangeProperty=this._onDidChangeProperty.event,this._onProcessExit=new h.Emitter,this.onProcessExit=this._onProcessExit.event}get onProcessReady(){return this._onProcessReady.event}refreshProperty(i){throw new Error(`refreshProperty is not suppported in extension owned terminals. property: ${i}`)}updateProperty(i,a){throw new Error(`updateProperty is not suppported in extension owned terminals. property: ${i}, value: ${a}`)}async start(){}shutdown(){this._pty.close()}input(i){this._pty.handleInput?.(i)}resize(i,a){this._pty.setDimensions?.({columns:i,rows:a})}async processBinary(i){}acknowledgeDataEvent(i){}async setUnicodeVersion(i){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(i){this._pty.onDidWrite(a=>this._onProcessData.fire(a)),this._pty.onDidClose?.((a=void 0)=>{this._onProcessExit.fire(a===void 0?void 0:a)}),this._pty.onDidOverrideDimensions?.(a=>{a&&this._onDidChangeProperty.fire({type:"overrideDimensions",value:{cols:a.columns,rows:a.rows}})}),this._pty.onDidChangeName?.(a=>{this._onDidChangeProperty.fire({type:"title",value:a})}),this._pty.open(i||void 0),i&&this._pty.setDimensions?.(i),this._onProcessReady.fire({pid:-1,cwd:""})}}e.ExtHostPseudoterminal=l;let c=1,f=class extends k.Disposable{constructor(i,a){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._profileProviders=new Map,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new h.Emitter,this.onDidCloseTerminal=this._onDidCloseTerminal.event,this._onDidOpenTerminal=new h.Emitter,this.onDidOpenTerminal=this._onDidOpenTerminal.event,this._onDidChangeActiveTerminal=new h.Emitter,this.onDidChangeActiveTerminal=this._onDidChangeActiveTerminal.event,this._onDidChangeTerminalDimensions=new h.Emitter,this.onDidChangeTerminalDimensions=this._onDidChangeTerminalDimensions.event,this._onDidChangeTerminalState=new h.Emitter,this.onDidChangeTerminalState=this._onDidChangeTerminalState.event,this._proxy=a.getProxy(t.MainContext.MainThreadTerminalService),this._bufferer=new g.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new h.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(i),this._register({dispose:()=>{for(const[m,d]of this._terminalProcesses)d.shutdown(!0)}})}get activeTerminal(){return this._activeTerminal?.value}get terminals(){return this._terminals.map(i=>i.value)}get onDidWriteTerminalData(){return this._onDidWriteTerminalData.event}getDefaultShell(i){return(i?this._defaultAutomationProfile:this._defaultProfile)?.path||""}getDefaultShellArgs(i){return(i?this._defaultAutomationProfile:this._defaultProfile)?.args||[]}createExtensionTerminal(i,a){const m=new I(this._proxy,(0,b.generateUuid)(),i,i.name),d=new l(i.pty);return m.createExtensionTerminal(i.location,this._serializeParentTerminal(i,a).resolvedExtHostIdentifier,o(i.iconPath),n(i.color)).then(E=>{const T=this._setupExtHostProcessListeners(E,d);this._terminalProcessDisposables[E]=T}),this._terminals.push(m),m.value}_serializeParentTerminal(i,a){if(a=a||{},i.location&&typeof i.location=="object"&&"parentTerminal"in i.location){const m=i.location.parentTerminal;if(m){const d=this._terminals.find(E=>E.value===m);d&&(a.resolvedExtHostIdentifier=d._id)}}else i.location&&typeof i.location!="object"?a.location=i.location:a.location&&typeof a.location=="object"&&"splitActiveTerminal"in a.location&&(a.location={splitActiveTerminal:!0});return a}attachPtyToTerminal(i,a){if(!this._getTerminalById(i))throw new Error(`Cannot resolve terminal with id ${i} for virtual process`);const d=new l(a),E=this._setupExtHostProcessListeners(i,d);this._terminalProcessDisposables[i]=E}async $acceptActiveTerminalChanged(i){const a=this._activeTerminal;if(i===null){this._activeTerminal=void 0,a!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const m=this._getTerminalById(i);m&&(this._activeTerminal=m,a!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(i,a){const m=this._getTerminalById(i);m&&this._onDidWriteTerminalData.fire({terminal:m.value,data:a})}async $acceptTerminalDimensions(i,a,m){const d=this._getTerminalById(i);d&&d.setDimensions(a,m)&&this._onDidChangeTerminalDimensions.fire({terminal:d.value,dimensions:d.value.dimensions})}async $acceptTerminalMaximumDimensions(i,a,m){this._terminalProcesses.get(i)?.resize(a,m)}async $acceptTerminalTitleChange(i,a){const m=this._getTerminalById(i);m&&(m.name=a)}async $acceptTerminalClosed(i,a){const m=this._getTerminalObjectIndexById(this._terminals,i);if(m!==null){const d=this._terminals.splice(m,1)[0];d.setExitCode(a),this._onDidCloseTerminal.fire(d.value)}}$acceptTerminalOpened(i,a,m,d){if(a){const L=this._getTerminalObjectIndexById(this._terminals,a);if(L!==null){this._terminals[L]._id=i,this._onDidOpenTerminal.fire(this.terminals[L]),this._terminals[L].isOpen=!0;return}}const E={name:d.name,shellPath:d.executable,shellArgs:d.args,cwd:typeof d.cwd=="string"?d.cwd:A.URI.revive(d.cwd),env:d.env,hideFromUser:d.hideFromUser},T=new I(this._proxy,i,E,m);this._terminals.push(T),this._onDidOpenTerminal.fire(T.value),T.isOpen=!0}async $acceptTerminalProcessId(i,a){const m=this._getTerminalById(i);m&&m._setProcessId(a)}async $startExtensionTerminal(i,a){const m=this._getTerminalById(i);if(!m)return{message:(0,R.localize)(0,null,i)};m.isOpen||await new Promise(E=>{const T=this.onDidOpenTerminal(async L=>{L===m.value&&(T.dispose(),E())})});const d=this._terminalProcesses.get(i);d?d.startSendingEvents(a):this._extensionTerminalAwaitingStart[i]={initialDimensions:a}}_setupExtHostProcessListeners(i,a){const m=new k.DisposableStore;m.add(a.onProcessReady(E=>this._proxy.$sendProcessReady(i,E.pid,E.cwd))),m.add(a.onDidChangeProperty(E=>this._proxy.$sendProcessProperty(i,E))),this._bufferer.startBuffering(i,a.onProcessData),m.add(a.onProcessExit(E=>this._onProcessExit(i,E))),this._terminalProcesses.set(i,a);const d=this._extensionTerminalAwaitingStart[i];return d&&a instanceof l&&(a.startSendingEvents(d.initialDimensions),delete this._extensionTerminalAwaitingStart[i]),m}$acceptProcessAckDataEvent(i,a){this._terminalProcesses.get(i)?.acknowledgeDataEvent(a)}$acceptProcessInput(i,a){this._terminalProcesses.get(i)?.input(a)}$acceptTerminalInteraction(i){const a=this._getTerminalById(i);a?.setInteractedWith()&&this._onDidChangeTerminalState.fire(a.value)}$acceptProcessResize(i,a,m){try{this._terminalProcesses.get(i)?.resize(a,m)}catch(d){if(d.code!=="EPIPE"&&d.code!=="ERR_IPC_CHANNEL_CLOSED")throw d}}$acceptProcessShutdown(i,a){this._terminalProcesses.get(i)?.shutdown(a)}$acceptProcessRequestInitialCwd(i){this._terminalProcesses.get(i)?.getInitialCwd().then(a=>this._proxy.$sendProcessProperty(i,{type:"initialCwd",value:a}))}$acceptProcessRequestCwd(i){this._terminalProcesses.get(i)?.getCwd().then(a=>this._proxy.$sendProcessProperty(i,{type:"cwd",value:a}))}$acceptProcessRequestLatency(i){return Promise.resolve(i)}registerLinkProvider(i){return this._linkProviders.add(i),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new _.Disposable(()=>{this._linkProviders.delete(i),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}registerProfileProvider(i,a,m){if(this._profileProviders.has(a))throw new Error(`Terminal profile provider "${a}" already registered`);return this._profileProviders.set(a,m),this._proxy.$registerProfileProvider(a,i.identifier.value),new _.Disposable(()=>{this._profileProviders.delete(a),this._proxy.$unregisterProfileProvider(a)})}async $createContributedProfileTerminal(i,a){const m=new p.CancellationTokenSource().token;let d=await this._profileProviders.get(i)?.provideTerminalProfile(m);if(!m.isCancellationRequested){if(d&&!("options"in d)&&(d={options:d}),!d||!("options"in d))throw new Error(`No terminal profile options provided for id "${i}"`);if("pty"in d.options){this.createExtensionTerminal(d.options,a);return}this.createTerminalFromOptions(d.options,a)}}async $provideLinks(i,a){const m=this._getTerminalById(i);if(!m)return[];this._terminalLinkCache.delete(i);const d=this._terminalLinkCancellationSource.get(i);d&&d.dispose(!0);const E=new p.CancellationTokenSource;this._terminalLinkCancellationSource.set(i,E);const T=[],L={terminal:m.value,line:a},O=[];for(const M of this._linkProviders)O.push(S.Promises.withAsyncBody(async z=>{E.token.onCancellationRequested(()=>z({provider:M,links:[]}));const V=await M.provideTerminalLinks(L,E.token)||[];E.token.isCancellationRequested||z({provider:M,links:V})}));const y=await Promise.all(O);if(E.token.isCancellationRequested)return[];const B=new Map;for(const M of y)M&&M.links.length>0&&T.push(...M.links.map(z=>{const V={id:c++,startIndex:z.startIndex,length:z.length,label:z.tooltip};return B.set(V.id,{provider:M.provider,link:z}),V}));return this._terminalLinkCache.set(i,B),T}$activateLink(i,a){const m=this._terminalLinkCache.get(i)?.get(a);!m||m.provider.handleTerminalLink(m.link)}_onProcessExit(i,a){this._bufferer.stopBuffering(i),this._terminalProcesses.delete(i),delete this._extensionTerminalAwaitingStart[i];const m=this._terminalProcessDisposables[i];m&&(m.dispose(),delete this._terminalProcessDisposables[i]),this._proxy.$sendProcessExit(i,a)}_getTerminalById(i){return this._getTerminalObjectById(this._terminals,i)}_getTerminalObjectById(i,a){const m=this._getTerminalObjectIndexById(i,a);return m!==null?i[m]:null}_getTerminalObjectIndexById(i,a){let m=null;return i.some((d,E)=>d._id===a?(m=E,!0):!1),m}getEnvironmentVariableCollection(i){let a=this._environmentVariableCollections.get(i.identifier.value);return a||(a=new s,this._setEnvironmentVariableCollection(i.identifier.value,a)),a}_syncEnvironmentVariableCollection(i,a){const m=(0,D.serializeEnvironmentVariableCollection)(a.map);this._proxy.$setEnvironmentVariableCollection(i,a.persistent,m.length===0?void 0:m)}$initEnvironmentVariableCollections(i){i.forEach(a=>{const m=a[0],d=new s(a[1]);this._setEnvironmentVariableCollection(m,d)})}$acceptDefaultProfile(i,a){this._defaultProfile=i,this._defaultAutomationProfile=a}_setEnvironmentVariableCollection(i,a){this._environmentVariableCollections.set(i,a),a.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(i,a)})}};f=Be([Fe(1,C.IExtHostRpcService)],f),e.BaseExtHostTerminalService=f;class s{constructor(i){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new h.Emitter,this.map=new Map(i)}get persistent(){return this._persistent}set persistent(i){this._persistent=i,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(i,a){this._setIfDiffers(i,{value:a,type:_.EnvironmentVariableMutatorType.Replace})}append(i,a){this._setIfDiffers(i,{value:a,type:_.EnvironmentVariableMutatorType.Append})}prepend(i,a){this._setIfDiffers(i,{value:a,type:_.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(i,a){const m=this.map.get(i);(!m||m.value!==a.value||m.type!==a.type)&&(this.map.set(i,a),this._onDidChangeCollection.fire())}get(i){return this.map.get(i)}forEach(i,a){this.map.forEach((m,d)=>i.call(a,d,m,this))}delete(i){this.map.delete(i),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=s;let v=class extends f{constructor(i){super(!1,i)}createTerminal(i,a,m){throw new F.NotSupportedError}createTerminalFromOptions(i,a){throw new F.NotSupportedError}};v=Be([Fe(0,C.IExtHostRpcService)],v),e.WorkerExtHostTerminalService=v;function o(r){if(!(!r||typeof r=="string"))return"id"in r?{id:r.id,color:r.color}:r}function n(r){return u.ThemeColor.isThemeColor(r)?r:void 0}});var Xe=this&&this.__classPrivateFieldSet||function(ee,e,h,t,P){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!P)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ee!==e||!P:!e.has(ee))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?P.call(ee,h):P?P.value=h:e.set(ee,h),h},Pe=this&&this.__classPrivateFieldGet||function(ee,e,h,t){if(h==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ee!==e||!t:!e.has(ee))throw new TypeError("Cannot read private member from an object whose class did not declare it");return h==="m"?t:h==="a"?t.call(ee):t?t.value:e.get(ee)};define(pe[251],ve([1,0,18,22,21,3,75,57,6,25,13,33,5,16,63,14,7,222,84,85]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I,l){"use strict";var c;Object.defineProperty(e,"__esModule",{value:!0}),e.TestRunProfileImpl=e.MirroredTestCollection=e.TestRunDto=e.TestRunCoordinator=e.ExtHostTesting=void 0;let f=class{constructor(L,O){this.resultsChangedEmitter=new A.Emitter,this.controllers=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=L.getProxy(p.MainContext.MainThreadTesting),this.observer=new m(this.proxy),this.runTracker=new v(this.proxy),O.registerArgumentProcessor({processArgument:y=>y?.$mid===13?u.TestItem.toItemFromContext(y):y})}createTestController(L,O,y){if(this.controllers.has(L))throw new Error(`Attempt to insert a duplicate controller with ID "${L}"`);const B=new _.DisposableStore,M=B.add(new S.SingleUseTestCollection(L));M.root.label=O;const z=new Map,V=this.proxy,Q={items:M.root.children,get label(){return O},set label(K){O=K,M.root.label=K,V.$updateController(L,{label:O})},get refreshHandler(){return y},set refreshHandler(K){y=K,V.$updateController(L,{canRefresh:!!K})},get id(){return L},createRunProfile:(K,G,j,ie,oe)=>{let ue=(0,k.hash)(K);for(;z.has(ue);)ue++;const Z=new d(this.proxy,L,ue,K,G,j,ie,oe);return z.set(ue,Z),Z},createTestItem(K,G,j){return new g.TestItemImpl(L,K,G,j)},createTestRun:(K,G,j=!0)=>this.runTracker.createTestRun(L,M,K,G,j),set resolveHandler(K){M.resolveHandler=K},get resolveHandler(){return M.resolveHandler},dispose:()=>{B.dispose()}};V.$registerTestController(L,O,!!y),B.add((0,_.toDisposable)(()=>V.$unregisterTestController(L)));const H={controller:Q,collection:M,profiles:z};return this.controllers.set(L,H),B.add((0,_.toDisposable)(()=>this.controllers.delete(L))),B.add(M.onDidGenerateDiff(K=>V.$publishDiff(L,K.map(I.TestsDiffOp.serialize)))),Q}createTestObserver(){return this.observer.checkout()}async runTests(L,O=P.CancellationToken.None){const y=o(L);if(!y)throw new Error("The request passed to `vscode.test.runTests` must include a profile");const B=this.controllers.get(y.controllerId);if(!B)throw new Error("Controller not found");await this.proxy.$runTests({isUiTriggered:!1,targets:[{testIds:L.include?.map(M=>M.id)??[B.collection.root.id],profileGroup:E[y.kind],profileId:y.profileId,controllerId:y.controllerId}],exclude:L.exclude?.map(M=>M.id)},O)}$provideFileCoverage(L,O,y){return(0,h.mapFind)(this.runTracker.trackers,M=>M.id===L?M.getCoverage(O):void 0)?.provideFileCoverage(y)??Promise.resolve([])}$resolveFileCoverage(L,O,y,B){return(0,h.mapFind)(this.runTracker.trackers,z=>z.id===L?z.getCoverage(O):void 0)?.resolveFileCoverage(y,B)??Promise.resolve([])}$configureRunProfile(L,O){this.controllers.get(L)?.profiles.get(O)?.configureHandler?.()}async $refreshTests(L,O){await this.controllers.get(L)?.controller.refreshHandler?.(O)}$publishTestResults(L){this.results=Object.freeze(L.map(O=>(0,R.deepFreeze)(u.TestResults.to(O))).concat(this.results).sort((O,y)=>y.completedAt-O.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $expandTest(L,O){const y=this.controllers.get(l.TestId.fromString(L).controllerId)?.collection;y&&(await y.expand(L,O<0?1/0:O),y.flushDiff())}$acceptDiff(L){this.observer.applyDiff(L.map(I.TestsDiffOp.deserialize))}async $runControllerTests(L,O){const y=this.controllers.get(L.controllerId);if(!y)return;const{collection:B,profiles:M}=y,z=M.get(L.profileId);if(!z)return;const V=L.testIds.map(G=>B.tree.get(G)).filter(F.isDefined),Q=L.excludeExtIds.map(G=>y.collection.tree.get(G)).filter(F.isDefined).filter(G=>V.some(j=>j.fullId.compare(G.fullId)===2));if(!V.length)return;const H=new w.TestRunRequest(V.some(G=>G.actual instanceof g.TestItemRootImpl)?void 0:V.map(G=>G.actual),Q.map(G=>G.actual),z),K=this.runTracker.prepareForMainThreadTestRun(H,n.fromInternal(L,y.collection),O);try{await z.runHandler(H,O)}finally{K.isRunning&&!O.isCancellationRequested&&await A.Event.toPromise(K.onEnd),K.dispose()}}$cancelExtensionTestRun(L){L===void 0?this.runTracker.cancelAllRuns():this.runTracker.cancelRunById(L)}};f=Be([Fe(0,b.IExtHostRpcService)],f),e.ExtHostTesting=f;class s extends _.Disposable{constructor(L,O,y){super();this.dto=L,this.proxy=O,this.tasks=new Map,this.sharedTestIds=new Set,this.endEmitter=this._register(new A.Emitter),this.disposed=!1,this.onEnd=this.endEmitter.event,this.cts=this._register(new P.CancellationTokenSource(y)),this._register(this.cts.token.onCancellationRequested(()=>{for(const{run:B}of this.tasks.values())B.end()}))}get isRunning(){return this.tasks.size>0}get id(){return this.dto.id}getCoverage(L){return this.tasks.get(L)?.coverage}createRun(L){const O=this.dto.id,y=this.dto.controllerId,B=(0,D.generateUuid)(),M=new r(this.proxy,O,B),z=K=>(G,...j)=>{if(Q){console.warn(`Setting the state of test "${G.id}" is a no-op after the run ends.`);return}!this.dto.isIncluded(G)||(this.ensureTestIsKnown(G),K(G,...j))},V=(K,G)=>{const j=G instanceof Array?G.map(u.TestMessage.from):[u.TestMessage.from(G)];if(K.uri&&K.range){const ie={range:u.Range.from(K.range),uri:K.uri};for(const oe of j)oe.location=oe.location||ie}this.proxy.$appendTestMessagesInRun(O,B,l.TestId.fromExtHostTestItem(K,y).toString(),j)};let Q=!1;const H={isPersisted:this.dto.isPersisted,token:this.cts.token,name:L,get coverageProvider(){return M.coverageProvider},set coverageProvider(K){M.coverageProvider=K},enqueued:z(K=>{this.proxy.$updateTestStateInRun(O,B,l.TestId.fromExtHostTestItem(K,y).toString(),1)}),skipped:z(K=>{this.proxy.$updateTestStateInRun(O,B,l.TestId.fromExtHostTestItem(K,y).toString(),5)}),started:z(K=>{this.proxy.$updateTestStateInRun(O,B,l.TestId.fromExtHostTestItem(K,y).toString(),2)}),errored:z((K,G,j)=>{V(K,G),this.proxy.$updateTestStateInRun(O,B,l.TestId.fromExtHostTestItem(K,y).toString(),6,j)}),failed:z((K,G,j)=>{V(K,G),this.proxy.$updateTestStateInRun(O,B,l.TestId.fromExtHostTestItem(K,y).toString(),4,j)}),passed:z((K,G)=>{this.proxy.$updateTestStateInRun(O,B,l.TestId.fromExtHostTestItem(K,this.dto.controllerId).toString(),3,G)}),appendOutput:(K,G,j)=>{Q||(j&&(this.dto.isIncluded(j)?this.ensureTestIsKnown(j):j=void 0),this.proxy.$appendOutputToRun(O,B,t.VSBuffer.fromString(K),G&&u.location.from(G),j&&l.TestId.fromExtHostTestItem(j,y).toString()))},end:()=>{Q||(Q=!0,this.proxy.$finishedTestRunTask(O,B),this.tasks.delete(B),this.isRunning||this.dispose())}};return this.tasks.set(B,{run:H,coverage:M}),this.proxy.$startedTestRunTask(O,{id:B,name:L,running:!0}),H}dispose(){this.disposed||(this.disposed=!0,this.endEmitter.fire(),this.cts.cancel(),super.dispose())}ensureTestIsKnown(L){if(!(L instanceof g.TestItemImpl))throw new g.InvalidTestItemError(L.id);if(this.sharedTestIds.has(l.TestId.fromExtHostTestItem(L,this.dto.controllerId).toString()))return;const O=[],y=this.dto.colllection.root;for(;;){const B=u.TestItem.from(L);if(O.unshift(B),this.sharedTestIds.has(B.extId)||(this.sharedTestIds.add(B.extId),L===y))break;L=L.parent||y}this.proxy.$addTestsToRun(this.dto.controllerId,this.dto.id,O)}}class v{constructor(L){this.proxy=L,this.tracked=new Map}get trackers(){return this.tracked.values()}prepareForMainThreadTestRun(L,O,y){return this.getTracker(L,O,y)}cancelRunById(L){for(const O of this.tracked.values())if(O.id===L){O.dispose();return}}cancelAllRuns(){for(const L of this.tracked.values())L.dispose()}createTestRun(L,O,y,B,M){const z=this.tracked.get(y);if(z)return z.createRun(B);const V=n.fromPublic(L,O,y,M),Q=o(y);this.proxy.$startedExtensionTestRun({controllerId:L,profile:Q&&{group:E[Q.kind],id:Q.profileId},exclude:y.exclude?.map(K=>K.id)??[],id:V.id,include:y.include?.map(K=>K.id)??[O.root.id],persist:M});const H=this.getTracker(y,V);return H.onEnd(()=>this.proxy.$finishedExtensionTestRun(V.id)),H.createRun(B)}getTracker(L,O,y){const B=new s(O,this.proxy,y);return this.tracked.set(L,B),B.onEnd(()=>this.tracked.delete(L)),B}}e.TestRunCoordinator=v;const o=T=>{if(!!T.profile){if(!(T.profile instanceof d))throw new Error("TestRunRequest.profile is not an instance created from TestController.createRunProfile");return T.profile}};class n{constructor(L,O,y,B,M,z){this.controllerId=L,this.id=O,this.isPersisted=M,this.colllection=z,this.includePrefix=y.map(V=>V+"\0"),this.excludePrefix=B.map(V=>V+"\0")}static fromPublic(L,O,y,B){return new n(L,(0,D.generateUuid)(),y.include?.map(M=>l.TestId.fromExtHostTestItem(M,L).toString())??[L],y.exclude?.map(M=>l.TestId.fromExtHostTestItem(M,L).toString())??[],B,O)}static fromInternal(L,O){return new n(L.controllerId,L.runId,L.testIds,L.excludeExtIds,!0,O)}isIncluded(L){const O=l.TestId.fromExtHostTestItem(L,this.controllerId).toString()+"\0";for(const y of this.excludePrefix)if(O===y||O.startsWith(y))return!1;for(const y of this.includePrefix)if(O===y||O.startsWith(y))return!0;return!1}}e.TestRunDto=n;class r{constructor(L,O,y){this.proxy=L,this.runId=O,this.taskId=y}set coverageProvider(L){if(this._coverageProvider)throw new Error("The TestCoverageProvider cannot be replaced after being provided");!L||(this._coverageProvider=L,this.proxy.$signalCoverageAvailable(this.runId,this.taskId))}get coverageProvider(){return this._coverageProvider}async provideFileCoverage(L){if(!this._coverageProvider)return[];this.fileCoverage||(this.fileCoverage=(async()=>this._coverageProvider.provideFileCoverage(L))());try{return(await this.fileCoverage)?.map(u.TestCoverage.fromFile)??[]}catch(O){throw this.fileCoverage=void 0,O}}async resolveFileCoverage(L,O){const y=await this.fileCoverage;let B=y?.[L];return!this._coverageProvider||!y||!B?[]:(B.detailedCoverage||(B=y[L]=await this._coverageProvider.resolveFileCoverage?.(B,O)??B),B.detailedCoverage?.map(u.TestCoverage.fromDetailed)??[])}}class i extends I.IncrementalChangeCollector{constructor(L){super();this.emitter=L,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add(L){this.added.add(L)}update(L){Object.assign(L.revived,u.TestItem.toPlain(L.item)),this.added.has(L)||this.updated.add(L)}remove(L){if(this.added.has(L)){this.added.delete(L);return}if(this.updated.delete(L),L.parent&&this.alreadyRemoved.has(L.parent)){this.alreadyRemoved.add(L.item.extId);return}this.removed.add(L)}getChangeEvent(){const{added:L,updated:O,removed:y}=this;return{get added(){return[...L].map(B=>B.revived)},get updated(){return[...O].map(B=>B.revived)},get removed(){return[...y].map(B=>B.revived)}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class a extends I.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new A.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTests(){return super.roots}getMirroredTestDataById(L){return this.items.get(L)}getMirroredTestDataByReference(L){return this.items.get(L.id)}createItem(L,O){return{...L,revived:u.TestItem.toPlain(L.item),depth:O?O.depth+1:0,children:new Set}}createChangeCollector(){return new i(this.changeEmitter)}}e.MirroredTestCollection=a;class m{constructor(L){this.proxy=L}checkout(){this.current||(this.current=this.createObserverData());const L=this.current;return L.observers++,{onDidChangeTest:L.tests.onDidChangeTests,get tests(){return[...L.tests.rootTests].map(O=>O.revived)},dispose:(0,C.once)(()=>{--L.observers==0&&(this.proxy.$unsubscribeFromDiffs(),this.current=void 0)})}}getMirroredTestDataByReference(L){return this.current?.tests.getMirroredTestDataByReference(L)}applyDiff(L){this.current?.tests.apply(L)}createObserverData(){const L=new a;return this.proxy.$subscribeToDiffs(),{observers:0,tests:L}}}class d{constructor(L,O,y,B,M,z,V=!1,Q=void 0){this.controllerId=O,this.profileId=y,this._label=B,this.kind=M,this.runHandler=z,this._isDefault=V,this._tag=Q,c.set(this,void 0),Xe(this,c,L,"f");const H=E[M];if(typeof H!="number")throw new Error(`Unknown TestRunProfile.group ${M}`);Pe(this,c,"f").$publishTestRunProfile({profileId:y,controllerId:O,tag:Q?u.TestTag.namespace(this.controllerId,Q.id):null,label:B,group:H,isDefault:V,hasConfigurationHandler:!1})}get label(){return this._label}set label(L){L!==this._label&&(this._label=L,Pe(this,c,"f").$updateTestRunConfig(this.controllerId,this.profileId,{label:L}))}get isDefault(){return this._isDefault}set isDefault(L){L!==this._isDefault&&(this._isDefault=L,Pe(this,c,"f").$updateTestRunConfig(this.controllerId,this.profileId,{isDefault:L}))}get tag(){return this._tag}set tag(L){L?.id!==this._tag?.id&&(this._tag=L,Pe(this,c,"f").$updateTestRunConfig(this.controllerId,this.profileId,{tag:L?u.TestTag.namespace(this.controllerId,L.id):null}))}get configureHandler(){return this._configureHandler}set configureHandler(L){L!==this._configureHandler&&(this._configureHandler=L,Pe(this,c,"f").$updateTestRunConfig(this.controllerId,this.profileId,{hasConfigurationHandler:!!L}))}dispose(){Pe(this,c,"f").$removeTestProfile(this.controllerId,this.profileId)}}e.TestRunProfileImpl=d,c=new WeakMap;const E={[w.TestRunProfileKind.Coverage]:8,[w.TestRunProfileKind.Debug]:4,[w.TestRunProfileKind.Run]:2}}),define(pe[252],ve([1,0,3,18,5,131,14,7]),function(ee,e,h,t,P,A,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class _{constructor(F,D){this._extHostDocumentsAndEditors=D,this._onDidChangeTextEditorSelection=new h.Emitter,this._onDidChangeTextEditorOptions=new h.Emitter,this._onDidChangeTextEditorVisibleRanges=new h.Emitter,this._onDidChangeTextEditorViewColumn=new h.Emitter,this._onDidChangeActiveTextEditor=new h.Emitter,this._onDidChangeVisibleTextEditors=new h.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=F.getProxy(P.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(p=>this._onDidChangeVisibleTextEditors.fire(p)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(p=>this._onDidChangeActiveTextEditor.fire(p))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(F){const D=this._extHostDocumentsAndEditors.allEditors();return F?D:D.map(p=>p.value)}async showTextDocument(F,D,p){let b;typeof D=="number"?b={position:C.ViewColumn.from(D),preserveFocus:p}:typeof D=="object"?b={position:C.ViewColumn.from(D.viewColumn),preserveFocus:D.preserveFocus,selection:typeof D.selection=="object"?C.Range.from(D.selection):void 0,pinned:typeof D.preview=="boolean"?!D.preview:void 0}:b={preserveFocus:!1};const g=await this._proxy.$tryShowTextDocument(F.uri,b),u=g&&this._extHostDocumentsAndEditors.getEditor(g);if(u)return u.value;throw g?new Error(`Could NOT open editor for "${F.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${F.uri.toString()}".`)}createTextEditorDecorationType(F,D){return new A.TextEditorDecorationType(this._proxy,F,D).value}$acceptEditorPropertiesChanged(F,D){const p=this._extHostDocumentsAndEditors.getEditor(F);if(!p)throw new Error("unknown text editor");if(D.options&&p._acceptOptions(D.options),D.selections){const b=D.selections.selections.map(C.Selection.to);p._acceptSelections(b)}if(D.visibleRanges){const b=t.coalesce(D.visibleRanges.map(C.Range.to));p._acceptVisibleRanges(b)}if(D.options&&this._onDidChangeTextEditorOptions.fire({textEditor:p.value,options:{...D.options,lineNumbers:C.TextEditorLineNumbersStyle.to(D.options.lineNumbers)}}),D.selections){const b=k.TextEditorSelectionChangeKind.fromValue(D.selections.source),g=D.selections.selections.map(C.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:p.value,selections:g,kind:b})}if(D.visibleRanges){const b=t.coalesce(D.visibleRanges.map(C.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:p.value,visibleRanges:b})}}$acceptEditorPositionData(F){for(const D in F){const p=this._extHostDocumentsAndEditors.getEditor(D);if(!p)throw new Error("Unknown text editor");const b=C.ViewColumn.to(F[D]);p.value.viewColumn!==b&&(p._acceptViewColumn(b),this._onDidChangeTextEditorViewColumn.fire({textEditor:p.value,viewColumn:b}))}}getDiffInformation(F){return Promise.resolve(this._proxy.$getDiffInformation(F))}}e.ExtHostEditors=_}),define(pe[253],ve([1,0,2,4,5,6,7,14,13]),function(ee,e,h,t,P,A,C,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=(0,t.createDecorator)("IExtHostTimeline");class R{constructor(p,b){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=p.getProxy(P.MainContext.MainThreadTimeline),b.registerArgumentProcessor({processArgument:g=>{if(g&&g.$mid===11){const u=g.uri===void 0?void 0:h.URI.revive(g.uri);return this._itemsBySourceAndUriMap.get(g.source)?.get(F(u))?.get(g.handle)}return g}})}async $getTimeline(p,b,g,u,w){return this._providers.get(p)?.provideTimeline(h.URI.revive(b),g,u,w)}registerTimelineProvider(p,b,g,u){const w=new A.DisposableStore,S=this.convertTimelineItem(b.id,u,w).bind(this);let I;b.onDidChange&&(I=b.onDidChange(c=>this._proxy.$emitTimelineChangeEvent({uri:void 0,reset:!0,...c,id:b.id}),this));const l=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore({...b,scheme:p,onDidChange:void 0,async provideTimeline(c,f,s,v){v?.resetCache&&(w.clear(),l.get(b.id)?.clear());const o=await b.provideTimeline(c,f,s);if(o==null)return;const n=S(c,v);return{...o,source:b.id,items:o.items.map(n)}},dispose(){for(const c of l.values())c.get(b.id)?.clear();I?.dispose(),w.dispose()}})}convertTimelineItem(p,b,g){return(u,w)=>{let S;if(w?.cacheResults){let I=this._itemsBySourceAndUriMap.get(p);I===void 0&&(I=new Map,this._itemsBySourceAndUriMap.set(p,I));const l=F(u);S=I.get(l),S===void 0&&(S=new Map,I.set(l,S))}return I=>{const{iconPath:l,...c}=I,f=`${p}|${I.id??I.timestamp}`;S?.set(f,I);let s,v,o;I.iconPath&&(l instanceof C.ThemeIcon?o={id:l.id,color:l.color}:h.URI.isUri(l)?(s=l,v=l):{light:s,dark:v}=l);let n;return C.MarkdownString.isMarkdownString(c.detail)?n=k.MarkdownString.from(c.detail):(0,_.isString)(c.detail)&&(n=c.detail),{...c,id:c.id??void 0,handle:f,source:p,command:I.command?b.toInternal(I.command,g):void 0,icon:s,iconDark:v,themeIcon:o,detail:n,accessibilityInformation:I.accessibilityInformation}}}}registerTimelineProviderCore(p){if(this._providers.get(p.id))throw new Error(`Timeline Provider ${p.id} already exists.`);return this._proxy.$registerTimelineProvider({id:p.id,label:p.label,scheme:p.scheme}),this._providers.set(p.id,p),(0,A.toDisposable)(()=>{for(const g of this._itemsBySourceAndUriMap.values())g.get(p.id)?.clear();this._providers.delete(p.id),this._proxy.$unregisterTimelineProvider(p.id),p.dispose()})}}e.ExtHostTimeline=R;function F(D){return D?.toString()}}),define(pe[254],ve([1,0,6,10,2,5]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class C{constructor(_){this._openers=new Map,this._proxy=_.getProxy(A.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(_,R,F,D){if(this._openers.has(R))throw new Error(`Opener with id '${R}' already registered`);const p=D.schemes.find(b=>!C.supportedSchemes.has(b));if(p)throw new Error(`Scheme '${p}' is not supported. Only http and https are currently supported.`);return this._openers.set(R,F),this._proxy.$registerUriOpener(R,D.schemes,_,D.label),(0,h.toDisposable)(()=>{this._openers.delete(R),this._proxy.$unregisterUriOpener(R)})}async $canOpenUri(_,R,F){const D=this._openers.get(_);if(!D)throw new Error(`Unknown opener with id: ${_}`);const p=P.URI.revive(R);return D.canOpenExternalUri(p,F)}async $openUri(_,R,F){const D=this._openers.get(_);if(!D)throw new Error(`Unknown opener id: '${_}'`);return D.openExternalUri(P.URI.revive(R.resolvedUri),{sourceUri:P.URI.revive(R.sourceUri)},F)}}e.ExtHostUriOpeners=C,C.supportedSchemes=new Set([t.Schemas.http,t.Schemas.https])}),define(pe[255],ve([1,0,5,2,6,17,27]),function(ee,e,h,t,P,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class k{constructor(R){this.handles=new Set,this.handlers=new Map,this._proxy=R.getProxy(h.MainContext.MainThreadUrls)}registerUriHandler(R,F){if(this.handles.has(C.ExtensionIdentifier.toKey(R)))throw new Error(`Protocol handler already registered for extension ${R}`);const D=k.HandlePool++;return this.handles.add(C.ExtensionIdentifier.toKey(R)),this.handlers.set(D,F),this._proxy.$registerUriHandler(D,R),(0,P.toDisposable)(()=>{this.handles.delete(C.ExtensionIdentifier.toKey(R)),this.handlers.delete(D),this._proxy.$unregisterUriHandler(D)})}$handleExternalUri(R,F){const D=this.handlers.get(R);if(!D)return Promise.resolve(void 0);try{D.handleUri(t.URI.revive(F))}catch(p){(0,A.onUnexpectedError)(p)}return Promise.resolve(void 0)}async createAppUri(R){return t.URI.revive(await this._proxy.$createAppUri(R))}}e.ExtHostUrls=k,k.HandlePool=0});var Xe=this&&this.__classPrivateFieldSet||function(ee,e,h,t,P){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!P)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ee!==e||!P:!e.has(ee))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?P.call(ee,h):P?P.value=h:e.set(ee,h),h},Pe=this&&this.__classPrivateFieldGet||function(ee,e,h,t){if(h==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ee!==e||!t:!e.has(ee))throw new TypeError("Cannot read private member from an object whose class did not declare it");return h==="m"?t:h==="a"?t.call(ee):t?t.value:e.get(ee)};define(pe[68],ve([1,0,3,10,2,183,204,83,5]),function(ee,e,h,t,P,A,C,k,_){"use strict";var R,F,D,p,b,g,u,w,S,I,l,c;Object.defineProperty(e,"__esModule",{value:!0}),e.reviveOptions=e.serializeWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.shouldSerializeBuffersForPostMessage=e.ExtHostWebview=void 0;class f{constructor(m,d,E,T,L,O,y){R.set(this,void 0),F.set(this,void 0),D.set(this,void 0),p.set(this,void 0),b.set(this,void 0),g.set(this,void 0),u.set(this,""),w.set(this,void 0),S.set(this,!1),I.set(this,!1),l.set(this,!1),this._onMessageEmitter=new h.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,c.set(this,new h.Emitter),this._onDidDispose=Pe(this,c,"f").event,Xe(this,R,m,"f"),Xe(this,F,d,"f"),Xe(this,w,E,"f"),Xe(this,p,T,"f"),Xe(this,b,L,"f"),Xe(this,g,O,"f"),Xe(this,l,s(O),"f"),Xe(this,D,y,"f")}dispose(){Xe(this,S,!0,"f"),Pe(this,c,"f").fire(),Pe(this,c,"f").dispose(),this._onMessageEmitter.dispose()}asWebviewUri(m){return Xe(this,I,!0,"f"),(0,k.asWebviewUri)(m,Pe(this,p,"f").remote)}get cspSource(){const m=Pe(this,g,"f").extensionLocation;if(m.scheme===t.Schemas.https||m.scheme===t.Schemas.http){let d=m.toString();return d.endsWith("/")||(d+="/"),d+" "+k.webviewGenericCspSource}return k.webviewGenericCspSource}get html(){return this.assertNotDisposed(),Pe(this,u,"f")}set html(m){this.assertNotDisposed(),Pe(this,u,"f")!==m&&(Xe(this,u,m,"f"),!Pe(this,I,"f")&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(m)&&(Xe(this,I,!0,"f"),Pe(this,D,"f").report("Webview vscode-resource: uris",Pe(this,g,"f"),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),Pe(this,F,"f").$setHtml(Pe(this,R,"f"),m))}get options(){return this.assertNotDisposed(),Pe(this,w,"f")}set options(m){this.assertNotDisposed(),Pe(this,F,"f").$setOptions(Pe(this,R,"f"),n(Pe(this,g,"f"),Pe(this,b,"f"),m)),Xe(this,w,m,"f")}async postMessage(m){if(Pe(this,S,"f"))return!1;const d=(0,C.serializeWebviewMessage)(m,{serializeBuffersForPostMessage:Pe(this,l,"f")});return Pe(this,F,"f").$postMessage(Pe(this,R,"f"),d.message,...d.buffers)}assertNotDisposed(){if(Pe(this,S,"f"))throw new Error("Webview is disposed")}}e.ExtHostWebview=f,R=new WeakMap,F=new WeakMap,D=new WeakMap,p=new WeakMap,b=new WeakMap,g=new WeakMap,u=new WeakMap,w=new WeakMap,S=new WeakMap,I=new WeakMap,l=new WeakMap,c=new WeakMap;function s(a){try{const m=(0,A.normalizeVersion)((0,A.parseVersion)(a.engines.vscode));return!!m&&m.majorBase>=1&&m.minorBase>=57}catch{return!1}}e.shouldSerializeBuffersForPostMessage=s;class v{constructor(m,d,E,T,L){this.initData=d,this.workspace=E,this._logService=T,this._deprecationService=L,this._webviews=new Map,this._webviewProxy=m.getProxy(_.MainContext.MainThreadWebviews)}$onMessage(m,d,E){const T=this.getWebview(m);if(T){const{message:L}=(0,C.deserializeWebviewMessage)(d,E.value);T._onMessageEmitter.fire(L)}}$onMissingCsp(m,d){this._logService.warn(`${d} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(m,d,E){const T=new f(m,this._webviewProxy,r(d),this.initData,this.workspace,E,this._deprecationService);return this._webviews.set(m,T),T._onDidDispose(()=>{this._webviews.delete(m)}),T}deleteWebview(m){this._webviews.delete(m)}getWebview(m){return this._webviews.get(m)}}e.ExtHostWebviews=v;function o(a){return{id:a.identifier,location:a.extensionLocation}}e.toExtensionData=o;function n(a,m,d){return{enableCommandUris:d.enableCommandUris,enableScripts:d.enableScripts,enableForms:d.enableForms,portMapping:d.portMapping,localResourceRoots:d.localResourceRoots||i(a,m)}}e.serializeWebviewOptions=n;function r(a){return{enableCommandUris:a.enableCommandUris,enableScripts:a.enableScripts,enableForms:a.enableForms,portMapping:a.portMapping,localResourceRoots:a.localResourceRoots?.map(m=>P.URI.from(m))}}e.reviveOptions=r;function i(a,m){return[...(m?.getWorkspaceFolders()||[]).map(d=>d.uri),a.extensionLocation]}}),define(pe[256],ve([1,0,21,57,6,10,23,2,14,68,82,5,7]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class b{constructor(s,v){this.document=s,this._storagePath=v,this._backupCounter=1,this._edits=new F.Cache("custom documents")}addEdit(s){return this._edits.add([s])}async undo(s,v){await this.getEdit(s).undo(),v||this.disposeBackup()}async redo(s,v){await this.getEdit(s).redo(),v||this.disposeBackup()}disposeEdits(s){for(const v of s)this._edits.delete(v)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const s=c(this.document.uri)+this._backupCounter++;return(0,C.joinPath)(this._storagePath,s)}updateBackup(s){this._backup?.delete(),this._backup=s}disposeBackup(){this._backup?.delete(),this._backup=void 0}getEdit(s){const v=this._edits.get(s,0);if(!v)throw new Error("No edit found");return v}}class g{constructor(){this._documents=new Map}get(s,v){return this._documents.get(this.key(s,v))}add(s,v,o){const n=this.key(s,v.uri);if(this._documents.has(n))throw new Error(`Document already exists for viewType:${s} resource:${v.uri}`);const r=new b(v,o);return this._documents.set(n,r),r}delete(s,v){const o=this.key(s,v.uri);this._documents.delete(o)}key(s,v){return`${s}@@@${v}`}}var u;(function(f){f[f.Text=0]="Text",f[f.Custom=1]="Custom"})(u||(u={}));class w{constructor(){this._providers=new Map}addTextProvider(s,v,o){return this.add(0,s,v,o)}addCustomProvider(s,v,o){return this.add(1,s,v,o)}get(s){return this._providers.get(s)}add(s,v,o,n){if(this._providers.has(v))throw new Error(`Provider for viewType:${v} already registered`);return this._providers.set(v,{type:s,extension:o,provider:n}),new p.Disposable(()=>this._providers.delete(v))}}class S{constructor(s,v,o,n,r){this._extHostDocuments=v,this._extensionStoragePaths=o,this._extHostWebview=n,this._extHostWebviewPanels=r,this._editorProviders=new w,this._documents=new g,this._proxy=s.getProxy(D.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(s,v,o,n){const r=new P.DisposableStore;return I(o)?(r.add(this._editorProviders.addTextProvider(v,s,o)),this._proxy.$registerTextEditorProvider((0,R.toExtensionData)(s),v,n.webviewOptions||{},{supportsMove:!!o.moveCustomTextEditor},(0,R.shouldSerializeBuffersForPostMessage)(s))):(r.add(this._editorProviders.addCustomProvider(v,s,o)),this.supportEditing(o)&&r.add(o.onDidChangeCustomDocument(i=>{const a=this.getCustomDocumentEntry(v,i.document.uri);if(l(i)){const m=a.addEdit(i);this._proxy.$onDidEdit(i.document.uri,v,m,i.label)}else this._proxy.$onContentChange(i.document.uri,v)})),this._proxy.$registerCustomEditorProvider((0,R.toExtensionData)(s),v,n.webviewOptions||{},!!n.supportsMultipleEditorsPerDocument,(0,R.shouldSerializeBuffersForPostMessage)(s))),p.Disposable.from(r,new p.Disposable(()=>{this._proxy.$unregisterEditorProvider(v)}))}async $createCustomDocument(s,v,o,n,r){const i=this._editorProviders.get(v);if(!i)throw new Error(`No provider found for '${v}'`);if(i.type!==1)throw new Error(`Invalid provide type for '${v}'`);const a=k.URI.revive(s),m=await i.provider.openCustomDocument(a,{backupId:o,untitledDocumentData:n?.buffer},r);let d;return this.supportEditing(i.provider)&&this._extensionStoragePaths&&(d=this._extensionStoragePaths.workspaceValue(i.extension)??this._extensionStoragePaths.globalValue(i.extension)),this._documents.add(v,m,d),{editable:this.supportEditing(i.provider)}}async $disposeCustomDocument(s,v){const o=this._editorProviders.get(v);if(!o)throw new Error(`No provider found for '${v}'`);if(o.type!==1)throw new Error(`Invalid provider type for '${v}'`);const n=k.URI.revive(s),{document:r}=this.getCustomDocumentEntry(v,n);this._documents.delete(v,r),r.dispose()}async $resolveWebviewEditor(s,v,o,n,r,i){const a=this._editorProviders.get(o);if(!a)throw new Error(`No provider found for '${o}'`);const m=_.ViewColumn.to(r),d=this._extHostWebview.createNewWebview(v,n.webviewOptions,a.extension),E=this._extHostWebviewPanels.createNewWebviewPanel(v,o,n.title,m,n.panelOptions,d),T=k.URI.revive(s);switch(a.type){case 1:{const{document:L}=this.getCustomDocumentEntry(o,T);return a.provider.resolveCustomEditor(L,E,i)}case 0:{const L=this._extHostDocuments.getDocument(T);return a.provider.resolveCustomTextEditor(L,E,i)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(s,v,o){this.getCustomDocumentEntry(v,s).disposeEdits(o)}async $onMoveCustomEditor(s,v,o){const n=this._editorProviders.get(o);if(!n)throw new Error(`No provider found for '${o}'`);if(!n.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${o}'`);const r=this._extHostWebviewPanels.getWebviewPanel(s);if(!r)throw new Error("No webview found");const i=k.URI.revive(v),a=this._extHostDocuments.getDocument(i);await n.provider.moveCustomTextEditor(a,r,h.CancellationToken.None)}async $undo(s,v,o,n){return this.getCustomDocumentEntry(v,s).undo(o,n)}async $redo(s,v,o,n){return this.getCustomDocumentEntry(v,s).redo(o,n)}async $revert(s,v,o){const n=this.getCustomDocumentEntry(v,s);await this.getCustomEditorProvider(v).revertCustomDocument(n.document,o),n.disposeBackup()}async $onSave(s,v,o){const n=this.getCustomDocumentEntry(v,s);await this.getCustomEditorProvider(v).saveCustomDocument(n.document,o),n.disposeBackup()}async $onSaveAs(s,v,o,n){const r=this.getCustomDocumentEntry(v,s);return this.getCustomEditorProvider(v).saveCustomDocumentAs(r.document,k.URI.revive(o),n)}async $backup(s,v,o){const n=this.getCustomDocumentEntry(v,s),i=await this.getCustomEditorProvider(v).backupCustomDocument(n.document,{destination:n.getNewBackupUri()},o);return n.updateBackup(i),i.id}getCustomDocumentEntry(s,v){const o=this._documents.get(s,k.URI.revive(v));if(!o)throw new Error("No custom document found");return o}getCustomEditorProvider(s){const o=this._editorProviders.get(s)?.provider;if(!o||!this.supportEditing(o))throw new Error("Custom document is not editable");return o}supportEditing(s){return!!s.onDidChangeCustomDocument}}e.ExtHostCustomEditors=S;function I(f){return typeof f.resolveCustomTextEditor=="function"}function l(f){return typeof f.undo=="function"&&typeof f.redo=="function"}function c(f){const s=f.scheme===A.Schemas.file||f.scheme===A.Schemas.untitled?f.fsPath:f.toString();return(0,t.hash)(s)+""}});var Xe=this&&this.__classPrivateFieldSet||function(ee,e,h,t,P){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!P)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ee!==e||!P:!e.has(ee))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?P.call(ee,h):P?P.value=h:e.set(ee,h),h},Pe=this&&this.__classPrivateFieldGet||function(ee,e,h,t){if(h==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ee!==e||!t:!e.has(ee))throw new TypeError("Cannot read private member from an object whose class did not declare it");return h==="m"?t:h==="a"?t.call(ee):t?t.value:e.get(ee)};define(pe[257],ve([1,0,3,6,2,33,14,68,5,7]),function(ee,e,h,t,P,A,C,k,_,R){"use strict";var F,D,p,b,g,u,w,S,I,l,c,f,s;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class v extends t.Disposable{constructor(i,a,m,d,E,T,L){super();F.set(this,void 0),D.set(this,void 0),p.set(this,void 0),b.set(this,void 0),g.set(this,void 0),u.set(this,void 0),w.set(this,void 0),S.set(this,void 0),I.set(this,!0),l.set(this,!0),c.set(this,!1),f.set(this,this._register(new h.Emitter)),this.onDidDispose=Pe(this,f,"f").event,s.set(this,this._register(new h.Emitter)),this.onDidChangeViewState=Pe(this,s,"f").event,Xe(this,F,i,"f"),Xe(this,D,a,"f"),Xe(this,p,m,"f"),Xe(this,g,T,"f"),Xe(this,S,E,"f"),Xe(this,u,d,"f"),Xe(this,b,L,"f")}dispose(){Pe(this,c,"f")||(Xe(this,c,!0,"f"),Pe(this,f,"f").fire(),Pe(this,D,"f").$disposeWebview(Pe(this,F,"f")),Pe(this,b,"f").dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),Pe(this,b,"f")}get viewType(){return this.assertNotDisposed(),Pe(this,p,"f")}get title(){return this.assertNotDisposed(),Pe(this,u,"f")}set title(i){this.assertNotDisposed(),Pe(this,u,"f")!==i&&(Xe(this,u,i,"f"),Pe(this,D,"f").$setTitle(Pe(this,F,"f"),i))}get iconPath(){return this.assertNotDisposed(),Pe(this,w,"f")}set iconPath(i){this.assertNotDisposed(),Pe(this,w,"f")!==i&&(Xe(this,w,i,"f"),Pe(this,D,"f").$setIconPath(Pe(this,F,"f"),P.URI.isUri(i)?{light:i,dark:i}:i))}get options(){return Pe(this,g,"f")}get viewColumn(){if(this.assertNotDisposed(),!(typeof Pe(this,S,"f")=="number"&&Pe(this,S,"f")<0))return Pe(this,S,"f")}get active(){return this.assertNotDisposed(),Pe(this,l,"f")}get visible(){return this.assertNotDisposed(),Pe(this,I,"f")}_updateViewState(i){Pe(this,c,"f")||(this.active!==i.active||this.visible!==i.visible||this.viewColumn!==i.viewColumn)&&(Xe(this,l,i.active,"f"),Xe(this,I,i.visible,"f"),Xe(this,S,i.viewColumn,"f"),Pe(this,s,"f").fire({webviewPanel:this}))}reveal(i,a){this.assertNotDisposed(),Pe(this,D,"f").$reveal(Pe(this,F,"f"),{viewColumn:typeof i=="undefined"?void 0:C.ViewColumn.from(i),preserveFocus:!!a})}assertNotDisposed(){if(Pe(this,c,"f"))throw new Error("Webview is disposed")}}F=new WeakMap,D=new WeakMap,p=new WeakMap,b=new WeakMap,g=new WeakMap,u=new WeakMap,w=new WeakMap,S=new WeakMap,I=new WeakMap,l=new WeakMap,c=new WeakMap,f=new WeakMap,s=new WeakMap;class o{constructor(i,a,m){this.webviews=a,this.workspace=m,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=i.getProxy(_.MainContext.MainThreadWebviewPanels)}static newHandle(){return(0,A.generateUuid)()}createWebviewPanel(i,a,m,d,E={}){const T=typeof d=="object"?d.viewColumn:d,L={viewColumn:C.ViewColumn.from(T),preserveFocus:typeof d=="object"&&!!d.preserveFocus},O=(0,k.shouldSerializeBuffersForPostMessage)(i),y=o.newHandle();this._proxy.$createWebviewPanel((0,k.toExtensionData)(i),y,a,{title:m,panelOptions:n(E),webviewOptions:(0,k.serializeWebviewOptions)(i,this.workspace,E),serializeBuffersForPostMessage:O},L);const B=this.webviews.createNewWebview(y,E,i);return this.createNewWebviewPanel(y,a,m,T,E,B)}$onDidChangeWebviewPanelViewStates(i){const a=Object.keys(i);a.sort((m,d)=>{const E=i[m],T=i[d];return E.active?1:T.active?-1:+E.visible-+T.visible});for(const m of a){const d=this.getWebviewPanel(m);if(!d)continue;const E=i[m];d._updateViewState({active:E.active,visible:E.visible,viewColumn:C.ViewColumn.to(E.position)})}}async $onDidDisposeWebviewPanel(i){this.getWebviewPanel(i)?.dispose(),this._webviewPanels.delete(i),this.webviews.deleteWebview(i)}registerWebviewPanelSerializer(i,a,m){if(this._serializers.has(a))throw new Error(`Serializer for '${a}' already registered`);return this._serializers.set(a,{serializer:m,extension:i}),this._proxy.$registerSerializer(a,{serializeBuffersForPostMessage:(0,k.shouldSerializeBuffersForPostMessage)(i)}),new R.Disposable(()=>{this._serializers.delete(a),this._proxy.$unregisterSerializer(a)})}async $deserializeWebviewPanel(i,a,m,d){const E=this._serializers.get(a);if(!E)throw new Error(`No serializer found for '${a}'`);const{serializer:T,extension:L}=E,O=this.webviews.createNewWebview(i,m.webviewOptions,L),y=this.createNewWebviewPanel(i,a,m.title,d,m.panelOptions,O);await T.deserializeWebviewPanel(y,m.state)}createNewWebviewPanel(i,a,m,d,E,T){const L=new v(i,this._proxy,a,m,d,E,T);return this._webviewPanels.set(i,L),L}getWebviewPanel(i){return this._webviewPanels.get(i)}}e.ExtHostWebviewPanels=o;function n(r){return{enableFindWidget:r.enableFindWidget,retainContextWhenHidden:r.retainContextWhenHidden}}});var Xe=this&&this.__classPrivateFieldSet||function(ee,e,h,t,P){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!P)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ee!==e||!P:!e.has(ee))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?P.call(ee,h):P?P.value=h:e.set(ee,h),h},Pe=this&&this.__classPrivateFieldGet||function(ee,e,h,t){if(h==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ee!==e||!t:!e.has(ee))throw new TypeError("Cannot read private member from an object whose class did not declare it");return h==="m"?t:h==="a"?t.call(ee):t?t.value:e.get(ee)};define(pe[258],ve([1,0,3,6,68,5,7]),function(ee,e,h,t,P,A,C){"use strict";var k,_,R,F,D,p,b,g,u,w;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class S extends t.Disposable{constructor(c,f,s,v,o,n){super();k.set(this,void 0),_.set(this,void 0),R.set(this,void 0),F.set(this,void 0),D.set(this,!1),p.set(this,void 0),b.set(this,void 0),g.set(this,void 0),u.set(this,this._register(new h.Emitter)),this.onDidChangeVisibility=Pe(this,u,"f").event,w.set(this,this._register(new h.Emitter)),this.onDidDispose=Pe(this,w,"f").event,Xe(this,R,s,"f"),Xe(this,b,v,"f"),Xe(this,k,c,"f"),Xe(this,_,f,"f"),Xe(this,F,o,"f"),Xe(this,p,n,"f")}dispose(){Pe(this,D,"f")||(Xe(this,D,!0,"f"),Pe(this,w,"f").fire(),Pe(this,F,"f").dispose(),super.dispose())}get title(){return this.assertNotDisposed(),Pe(this,b,"f")}set title(c){this.assertNotDisposed(),Pe(this,b,"f")!==c&&(Xe(this,b,c,"f"),Pe(this,_,"f").$setWebviewViewTitle(Pe(this,k,"f"),c))}get description(){return this.assertNotDisposed(),Pe(this,g,"f")}set description(c){this.assertNotDisposed(),Pe(this,g,"f")!==c&&(Xe(this,g,c,"f"),Pe(this,_,"f").$setWebviewViewDescription(Pe(this,k,"f"),c))}get visible(){return Pe(this,p,"f")}get webview(){return Pe(this,F,"f")}get viewType(){return Pe(this,R,"f")}_setVisible(c){c===Pe(this,p,"f")||Pe(this,D,"f")||(Xe(this,p,c,"f"),Pe(this,u,"f").fire())}show(c){this.assertNotDisposed(),Pe(this,_,"f").$show(Pe(this,k,"f"),!!c)}assertNotDisposed(){if(Pe(this,D,"f"))throw new Error("Webview is disposed")}}k=new WeakMap,_=new WeakMap,R=new WeakMap,F=new WeakMap,D=new WeakMap,p=new WeakMap,b=new WeakMap,g=new WeakMap,u=new WeakMap,w=new WeakMap;class I{constructor(c,f){this._extHostWebview=f,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=c.getProxy(A.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(c,f,s,v){if(this._viewProviders.has(f))throw new Error(`View provider for '${f}' already registered`);return this._viewProviders.set(f,{provider:s,extension:c}),this._proxy.$registerWebviewViewProvider((0,P.toExtensionData)(c),f,{retainContextWhenHidden:v?.retainContextWhenHidden,serializeBuffersForPostMessage:!1}),new C.Disposable(()=>{this._viewProviders.delete(f),this._proxy.$unregisterWebviewViewProvider(f)})}async $resolveWebviewView(c,f,s,v,o){const n=this._viewProviders.get(f);if(!n)throw new Error(`No view provider found for '${f}'`);const{provider:r,extension:i}=n,a=this._extHostWebview.createNewWebview(c,{},i),m=new S(c,this._proxy,f,s,a,!0);this._webviewViews.set(c,m),await r.resolveWebviewView(m,{state:v},o)}async $onDidChangeWebviewViewVisibility(c,f){this.getWebviewView(c)._setVisible(f)}async $disposeWebviewView(c){const f=this.getWebviewView(c);this._webviewViews.delete(c),f.dispose(),this._extHostWebview.deleteWebview(c)}getWebviewView(c){const f=this._webviewViews.get(c);if(!f)throw new Error("No webview found");return f}}e.ExtHostWebviewViews=I}),define(pe[136],ve([1,0,3,5,2,10,8,4,16]),function(ee,e,h,t,P,A,C,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let R=class ji{constructor(D){this._onDidChangeWindowState=new h.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=ji.InitialState,this._proxy=D.getProxy(t.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(p=>this.$onDidChangeWindowFocus(p))}get state(){return this._state}$onDidChangeWindowFocus(D){D!==this._state.focused&&(this._state={...this._state,focused:D},this._onDidChangeWindowState.fire(this._state))}openUri(D,p){let b;if(typeof D=="string"){b=D;try{D=P.URI.parse(D)}catch{return Promise.reject(`Invalid uri - '${D}'`)}}return(0,C.isFalsyOrWhitespace)(D.scheme)?Promise.reject("Invalid scheme - cannot be empty"):D.scheme===A.Schemas.command?Promise.reject(`Invalid scheme '${D.scheme}'`):this._proxy.$openUri(D,b,p)}async asExternalUri(D,p){if((0,C.isFalsyOrWhitespace)(D.scheme))return Promise.reject("Invalid scheme - cannot be empty");const b=await this._proxy.$asExternalUri(D,p);return P.URI.from(b)}};R.InitialState={focused:!0},R=Be([Fe(0,_.IExtHostRpcService)],R),e.ExtHostWindow=R,e.IExtHostWindow=(0,k.createDecorator)("IExtHostWindow")}),define(pe[259],ve([1,0,9,60,33,39,6,5,2,16]),function(ee,e,h,t,P,A,C,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDownloadService=void 0;let F=class extends C.Disposable{constructor(p,b){super();const g=p.getProxy(k.MainContext.MainThreadDownloadService);b.registerCommand(!1,"_workbench.downloadResource",async u=>{const w=_.URI.file((0,h.join)((0,t.tmpdir)(),(0,P.generateUuid)()));return await g.$download(u,w),w})}};F=Be([Fe(0,R.IExtHostRpcService),Fe(1,A.IExtHostCommands)],F),e.ExtHostDownloadService=F}),define(pe[260],ve([1,0,134,10,189,33]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLoggerService=void 0;class C extends h.ExtHostLoggerService{doCreateLogger(_,R,F){return _.scheme===t.Schemas.file?new P.SpdLogLogger(F?.name||(0,A.generateUuid)(),_.fsPath,!F?.donotRotate,!!F?.donotUseFormatters,R):super.doCreateLogger(_,R,F)}}e.ExtHostLoggerService=C}),define(pe[261],ve([1,0,59,9,2,67,6,10,15,28]),function(ee,e,h,t,P,A,C,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=void 0;class F extends A.ExtensionStoragePaths{constructor(){super(...arguments);this._workspaceStorageLock=null}async _getWorkspaceStorageURI(s){const v=await super._getWorkspaceStorageURI(s);if(v.scheme!==k.Schemas.file)return v;if(this._environment.skipWorkspaceStorageLock)return this._logService.info(`Skipping acquiring lock for ${v.fsPath}.`),v;const o=v.fsPath;let n=0;do{let r;n===0?r=o:r=/[/\\]$/.test(o)?`${o.substr(0,o.length-1)}-${n}`:`${o}-${n}`,await D(r);const i=t.join(r,"vscode.lock"),a=await u(this._logService,i,!1);if(a)return this._workspaceStorageLock=a,process.on("exit",()=>{a.dispose()}),P.URI.file(r);n++}while(n<10);return v}onWillDeactivateAll(){this._workspaceStorageLock&&this._workspaceStorageLock.setWillRelease(6e3)}}e.ExtensionStoragePaths=F;async function D(f){try{await R.Promises.stat(f);return}catch{}try{await R.Promises.mkdir(f,{recursive:!0})}catch{}}const p=1e3,b=10*60*1e3;class g extends C.Disposable{constructor(s,v){super();this.logService=s,this.filename=v,this._timer=this._register(new _.IntervalTimer),this._timer.cancelAndSet(async()=>{const o=await w(s,v);(!o||o.pid!==process.pid)&&(s.info(`Lock '${v}': The lock was lost unexpectedly.`),this._timer.cancel());try{await R.Promises.utimes(v,new Date,new Date)}catch(n){s.error(n),s.info(`Lock '${v}': Could not update mtime.`)}},p)}dispose(){super.dispose();try{h.unlinkSync(this.filename)}catch{}}async setWillRelease(s){this.logService.info(`Lock '${this.filename}': Marking the lockfile as scheduled to be released in ${s} ms.`);try{const v={pid:process.pid,willReleaseAt:Date.now()+s};await R.Promises.writeFile(this.filename,JSON.stringify(v),{flag:"w"})}catch(v){this.logService.error(v)}}}async function u(f,s,v){try{const n={pid:process.pid,willReleaseAt:0};await R.Promises.writeFile(s,JSON.stringify(n),{flag:"wx"})}catch(n){f.error(n)}const o=await w(f,s);return!o||o.pid!==process.pid?v?(f.info(`Lock '${s}': Could not acquire lock, giving up.`),null):(f.info(`Lock '${s}': Could not acquire lock, checking if the file is stale.`),l(f,s)):(f.info(`Lock '${s}': Lock acquired.`),new g(f,s))}async function w(f,s){let v;try{v=await R.Promises.readFile(s)}catch(o){return f.error(o),null}try{return JSON.parse(String(v))}catch(o){return f.error(o),null}}async function S(f,s){let v;try{v=await R.Promises.stat(s)}catch(o){return f.error(o),0}return v.mtime.getTime()}function I(f){try{return process.kill(f,0),!0}catch{return!1}}async function l(f,s){const v=await w(f,s);if(!v)return f.info(`Lock '${s}': Could not read pid of lock holder.`),c(f,s);if(v.willReleaseAt){let a=v.willReleaseAt-Date.now();if(a<5e3){for(a>0?f.info(`Lock '${s}': The lockfile is scheduled to be released in ${a} ms.`):f.info(`Lock '${s}': The lockfile is scheduled to have been released.`);a>0;){if(await(0,_.timeout)(Math.min(100,a)),await S(f,s)===0)return c(f,s);a=v.willReleaseAt-Date.now()}return c(f,s)}}if(!I(v.pid))return f.info(`Lock '${s}': The pid ${v.pid} appears to be gone.`),c(f,s);const o=await S(f,s),n=Date.now()-o;if(n<=b)return f.info(`Lock '${s}': The lock does not look stale, elapsed: ${n} ms, giving up.`),null;f.info(`Lock '${s}': The lock looks stale, waiting for 2s.`),await(0,_.timeout)(2e3);const r=await S(f,s),i=Date.now()-r;return i<=b?(f.info(`Lock '${s}': The lock does not look stale, elapsed: ${i} ms, giving up.`),null):(f.info(`Lock '${s}': The lock looks stale even after waiting for 2s.`),c(f,s))}async function c(f,s){f.info(`Lock '${s}': Deleting a stale lock.`);try{await R.Promises.unlink(s)}catch{}return u(f,s,!0)}}),define(pe[262],ve([1,0,33,16,34]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTerminalService=void 0;let A=class extends P.BaseExtHostTerminalService{constructor(k){super(!0,k)}createTerminal(k,_,R){return this.createTerminalFromOptions({name:k,shellPath:_,shellArgs:R})}createTerminalFromOptions(k,_){const R=new P.ExtHostTerminal(this._proxy,(0,h.generateUuid)(),k,k.name);return this._terminals.push(R),R.create(k,this._serializeParentTerminal(k,_)),R.value}};A=Be([Fe(0,t.IExtHostRpcService)],A),e.ExtHostTerminalService=A}),define(pe[263],ve([1,0,5,16,174,6,26,2,38,23,28,7,12,51,3,123,91,11]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.tryFindRootPorts=e.findPorts=e.getRootProcesses=e.loadConnectionTable=e.parseIpAddress=e.loadListeningPorts=e.getSockets=void 0;class I{constructor(m,d,E){this.remoteAddress=m,this.localAddress=d,this._dispose=E,this._onDispose=new g.Emitter,this.onDidDispose=this._onDispose.event}dispose(){return this._onDispose.fire(),this._dispose()}}function l(a){const m=a.trim().split(`
`),d=[];return m.forEach(T=>{const L=/\/proc\/(\d+)\/fd\/\d+ -> socket:\[(\d+)\]/.exec(T);L&&L.length>=3&&d.push({pid:parseInt(L[1],10),socket:parseInt(L[2],10)})}),d.reduce((T,L)=>(T[L.socket]=L,T),{})}e.getSockets=l;function c(...a){const m=[].concat(...a.map(s));return[...new Map(m.filter(d=>d.st==="0A").map(d=>{const E=d.local_address.split(":");return{socket:parseInt(d.inode,10),ip:f(E[0]),port:parseInt(E[1],16)}}).map(d=>[d.ip+":"+d.port,d])).values()]}e.loadListeningPorts=c;function f(a){let m="";if(a.length===8)for(let d=a.length-2;d>=0;d-=2)m+=parseInt(a.substr(d,2),16),d!==0&&(m+=".");else for(let d=a.length-4;d>=0;d-=4)m+=parseInt(a.substr(d,4),16).toString(16),d!==0&&(m+=":");return m}e.parseIpAddress=f;function s(a){const m=a.trim().split(`
`),d=m.shift().trim().split(/\s+/).filter(T=>T!=="rx_queue"&&T!=="tm->when");return m.map(T=>T.trim().split(/\s+/).reduce((L,O,y)=>(L[d[y]||y]=O,L),{}))}e.loadConnectionTable=s;function v(a){return!!a.match(/.*\.vscode-server-[a-zA-Z]+\/bin.*/)||a.indexOf("out/server-main.js")!==-1||a.indexOf("_productName=VSCode")!==-1}function o(a){const m=a.trim().split(`
`),d=[];return m.forEach(E=>{const T=/^\d+\s+\D+\s+root\s+(\d+)\s+(\d+).+\d+\:\d+\:\d+\s+(.+)$/.exec(E);T&&T.length>=4&&d.push({pid:parseInt(T[1],10),ppid:parseInt(T[2]),cmd:T[3]})}),d}e.getRootProcesses=o;async function n(a,m,d){const E=d.reduce((L,O)=>(L[O.pid]=O,L),{}),T=[];return a.forEach(({socket:L,ip:O,port:y})=>{const B=m[L]?m[L].pid:void 0,M=B?E[B]?.cmd:void 0;B&&M&&!v(M)&&T.push({host:O,port:y,detail:M,pid:B})}),T}e.findPorts=n;function r(a,m,d){const E=new Map,T=o(m);for(const L of a){const O=d.get(L.port);if(O){E.set(L.port,O);continue}const y=T.find(B=>B.cmd.includes(`${L.port}`));if(y){let B=y,M;do M=T.find(z=>z.ppid===B.pid),M&&(B=M);while(M);E.set(L.port,{host:L.ip,port:L.port,pid:B.pid,detail:B.cmd,ppid:B.ppid})}else E.set(L.port,{host:L.ip,port:L.port,ppid:Number.MAX_VALUE})}return E}e.tryFindRootPorts=r;let i=class extends A.Disposable{constructor(m,d,E){super();this.logService=E,this._showCandidatePort=()=>Promise.resolve(!0),this._extensionTunnels=new Map,this._onDidChangeTunnels=new g.Emitter,this.onDidChangeTunnels=this._onDidChangeTunnels.event,this._candidateFindingEnabled=!1,this._foundRootPorts=new Map,this._providerHandleCounter=0,this._portAttributesProviders=new Map,this._proxy=m.getProxy(h.MainContext.MainThreadTunnelService),p.isLinux&&d.remote.isRemote&&d.remote.authority&&this._proxy.$setRemoteTunnelService(process.pid)}async openTunnel(m,d){this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) ${m.identifier.value} called openTunnel API for ${d.remoteAddress.host}:${d.remoteAddress.port}.`);const E=await this._proxy.$openTunnel(d,m.displayName);if(E){const T=new I(E.remoteAddress,E.localAddress,()=>this._proxy.$closeTunnel(E.remoteAddress));return this._register(T),T}}async getTunnels(){return this._proxy.$getTunnels()}calculateDelay(m){return Math.max(m*20,2e3)}nextPortAttributesProviderHandle(){return this._providerHandleCounter++}registerPortsAttributesProvider(m,d){const E=this.nextPortAttributesProviderHandle();return this._portAttributesProviders.set(E,{selector:m,provider:d}),this._proxy.$registerPortsAttributesProvider(m,E),new D.Disposable(()=>{this._portAttributesProviders.delete(E),this._proxy.$unregisterPortsAttributesProvider(E)})}async $providePortAttributes(m,d,E,T,L){const O=[];for(const B of m){const M=this._portAttributesProviders.get(B);if(!M)return[];O.push(...await Promise.all(d.map(async z=>M.provider.providePortAttributes(z,E,T,L))))}const y=O.filter(B=>!!B);return y.length>0?y.map(B=>({autoForwardAction:B.autoForwardAction,port:B.port})):[]}async $registerCandidateFinder(m){if(m&&this._candidateFindingEnabled)return;this._candidateFindingEnabled=m;let d=new w.MovingAverage,E;for(;this._candidateFindingEnabled;){const T=new Date().getTime(),L=(await this.findCandidatePorts()).filter(y=>(0,u.isLocalhost)(y.host)||(0,u.isAllInterfaces)(y.host));this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) found candidate ports ${L.map(y=>y.port).join(", ")}`);const O=new Date().getTime()-T;d.update(O),(!E||JSON.stringify(E)!==JSON.stringify(L))&&(E=L,await this._proxy.$onFoundNewCandidates(E)),await new Promise(y=>setTimeout(()=>y(),this.calculateDelay(d.value)))}}async setTunnelFactory(m){if(m){if(m.candidatePortSource!==void 0&&this._proxy.$setCandidatePortSource(m.candidatePortSource),m.showCandidatePort&&(this._showCandidatePort=m.showCandidatePort,this._proxy.$setCandidateFilter()),m.tunnelFactory){this._forwardPortProvider=m.tunnelFactory;let d=m.tunnelFeatures?.privacyOptions??[];m.tunnelFeatures?.public&&d.length===0&&(d=[{id:"private",label:P.localize(0,null),themeIcon:"lock"},{id:"public",label:P.localize(1,null),themeIcon:"eye"}]);const E=m.tunnelFeatures?{elevation:!!m.tunnelFeatures?.elevation,public:!!m.tunnelFeatures?.public,privacyOptions:d}:void 0;this._proxy.$setTunnelProvider(E)}}else this._forwardPortProvider=void 0;return(0,A.toDisposable)(()=>{this._forwardPortProvider=void 0})}async $closeTunnel(m,d){if(this._extensionTunnels.has(m.host)){const E=this._extensionTunnels.get(m.host);E.has(m.port)&&(d&&E.get(m.port).disposeListener.dispose(),await E.get(m.port).tunnel.dispose(),E.delete(m.port))}}async $onDidTunnelsChange(){this._onDidChangeTunnels.fire()}async $forwardPort(m,d){if(this._forwardPortProvider)try{this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Getting tunnel from provider.");const E=this._forwardPortProvider(m,d);if(this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Got tunnel promise from provider."),E!==void 0){const T=await E;this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Successfully awaited tunnel from provider."),this._extensionTunnels.has(m.remoteAddress.host)||this._extensionTunnels.set(m.remoteAddress.host,new Map);const L=this._register(T.onDidDispose(()=>(this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Extension fired tunnel's onDidDispose."),this._proxy.$closeTunnel(T.remoteAddress))));return this._extensionTunnels.get(m.remoteAddress.host).set(m.remoteAddress.port,{tunnel:T,disposeListener:L}),b.TunnelDtoConverter.fromApiTunnel(T)}else this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Tunnel is undefined")}catch{this.logService.trace("ForwardedPorts: (ExtHostTunnelService) tunnel provider error")}}async $applyCandidateFilter(m){const d=await Promise.all(m.map(T=>this._showCandidatePort(T.host,T.port,T.detail??""))),E=m.filter((T,L)=>d[L]);return this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) filtered from ${m.map(T=>T.port).join(", ")} to ${E.map(T=>T.port).join(", ")}`),E}async findCandidatePorts(){let m="",d="";try{m=await F.Promises.readFile("/proc/net/tcp","utf8"),d=await F.Promises.readFile("/proc/net/tcp6","utf8")}catch{}const E=c(m,d),T=await new Promise(Q=>{(0,_.exec)("ls -l /proc/[0-9]*/fd/[0-9]* | grep socket:",(H,K,G)=>{Q(K)})}),L=l(T),O=await F.Promises.readdir("/proc"),y=[];for(let Q of O)try{const H=Number(Q),K=R.joinPath(k.URI.file("/proc"),Q);if((await F.Promises.stat(K.fsPath)).isDirectory()&&!isNaN(H)){const j=await F.Promises.readlink(R.joinPath(K,"cwd").fsPath),ie=await F.Promises.readFile(R.joinPath(K,"cmdline").fsPath,"utf8");y.push({pid:H,cwd:j,cmd:ie})}}catch{}const B=[],M=E.filter(Q=>{const H=L[Q.socket];return H||B.push(Q),H}),z=n(M,L,y);let V;if(this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) number of possible root ports ${B.length}`),B.length>0){const Q=await new Promise(H=>{(0,_.exec)("ps -F -A -l | grep root",(K,G,j)=>{H(G)})});this._foundRootPorts=r(B,Q,this._foundRootPorts),V=Array.from(this._foundRootPorts.values()),this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) heuristic ports ${V.join(", ")}`)}return z.then(Q=>V?Q.concat(V):Q)}};i=Be([Fe(0,t.IExtHostRpcService),Fe(1,C.IExtHostInitDataService),Fe(2,S.ILogService)],i),e.ExtHostTunnelService=i}),define(pe[264],ve([1,0,15,22,21,17,3,6,101,227,52]),function(ee,e,h,t,P,A,C,k,_,R,F){"use strict";var D;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=e.parseJsonAndRestoreBufferRefs=e.stringifyJsonWithBufferRefs=void 0;function p(E,T){try{return JSON.stringify(E,T)}catch{return"null"}}const b="$$ref$$",g={[b]:-1};class u{constructor(T,L){this.jsonString=T,this.referencedBuffers=L}}function w(E,T=null,L=!1){const O=[];return{jsonString:(L?p:JSON.stringify)(E,(B,M)=>{if(typeof M=="undefined")return g;if(typeof M=="object"){if(M instanceof t.VSBuffer){const z=O.push(M)-1;return{[b]:z}}if(T)return T(B,M)}return M}),referencedBuffers:O}}e.stringifyJsonWithBufferRefs=w;function S(E,T,L){return JSON.parse(E,(O,y)=>{if(y){const B=y[b];if(typeof B=="number")return T[B];if(L&&y.$mid===1)return L.transformIncoming(y)}return y})}e.parseJsonAndRestoreBufferRefs=S;function I(E,T){return JSON.stringify(E,T)}function l(E){return E?(T,L)=>L&&L.$mid===1?E.transformOutgoing(L):L:null}var c;(function(E){E[E.LocalSide=0]="LocalSide",E[E.OtherSide=1]="OtherSide"})(c=e.RequestInitiator||(e.RequestInitiator={}));var f;(function(E){E[E.Responsive=0]="Responsive",E[E.Unresponsive=1]="Unresponsive"})(f=e.ResponsiveState||(e.ResponsiveState={}));const s=()=>{},v=Symbol.for("rpcProtocol"),o=Symbol.for("rpcProxy");class n extends k.Disposable{constructor(T,L=null,O=null){super();this[D]=!0,this._onDidChangeResponsiveState=this._register(new C.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=T,this._logger=L,this._uriTransformer=O,this._uriReplacer=l(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let y=0,B=F.ProxyIdentifier.count;y<B;y++)this._locals[y]=null,this._proxies[y]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new h.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(y=>this._receiveOneMessage(y))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(T=>{this._pendingRPCReplies[T].resolveErr(A.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(T){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+n.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(T){this._unresponsiveTime=Date.now()+n.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(T){this._responsiveState!==T&&(this._responsiveState=T,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(T){return this._uriTransformer?(0,_.transformIncomingURIs)(T,this._uriTransformer):T}getProxy(T){const{nid:L,sid:O}=T;return this._proxies[L]||(this._proxies[L]=this._createProxy(L,O)),this._proxies[L]}_createProxy(T,L){let O={get:(y,B)=>(typeof B=="string"&&!y[B]&&B.charCodeAt(0)===36&&(y[B]=(...M)=>this._remoteCall(T,B,M)),B===o?L:y[B])};return new Proxy(Object.create(null),O)}set(T,L){return this._locals[T.nid]=L,L}assertRegistered(T){for(let L=0,O=T.length;L<O;L++){const y=T[L];if(!this._locals[y.nid])throw new Error(`Missing proxy instance ${y.sid}`)}}_receiveOneMessage(T){if(this._isDisposed)return;const L=T.byteLength,O=r.read(T,0),y=O.readUInt8(),B=O.readUInt32();switch(y){case 1:case 2:{let{rpcId:M,method:z,args:V}=a.deserializeRequestJSONArgs(O);this._uriTransformer&&(V=(0,_.transformIncomingURIs)(V,this._uriTransformer)),this._receiveRequest(L,B,M,z,V,y===2);break}case 3:case 4:{let{rpcId:M,method:z,args:V}=a.deserializeRequestMixedArgs(O);this._uriTransformer&&(V=(0,_.transformIncomingURIs)(V,this._uriTransformer)),this._receiveRequest(L,B,M,z,V,y===4);break}case 5:{this._logger&&this._logger.logIncoming(L,B,0,"ack"),this._onDidReceiveAcknowledge(B);break}case 6:{this._receiveCancel(L,B);break}case 7:{this._receiveReply(L,B,void 0);break}case 9:{let M=a.deserializeReplyOKJSON(O);this._uriTransformer&&(M=(0,_.transformIncomingURIs)(M,this._uriTransformer)),this._receiveReply(L,B,M);break}case 10:{const M=a.deserializeReplyOKJSONWithBuffers(O,this._uriTransformer);this._receiveReply(L,B,M);break}case 8:{let M=a.deserializeReplyOKVSBuffer(O);this._receiveReply(L,B,M);break}case 11:{let M=a.deserializeReplyErrError(O);this._uriTransformer&&(M=(0,_.transformIncomingURIs)(M,this._uriTransformer)),this._receiveReplyErr(L,B,M);break}case 12:{this._receiveReplyErr(L,B,void 0);break}default:console.error("received unexpected message"),console.error(T)}}_receiveRequest(T,L,O,y,B,M){this._logger&&this._logger.logIncoming(T,L,1,`receiveRequest ${(0,F.getStringIdentifierForProxy)(O)}.${y}(`,B);const z=String(L);let V,Q;if(M){const K=new P.CancellationTokenSource;B.push(K.token),V=this._invokeHandler(O,y,B),Q=()=>K.cancel()}else V=this._invokeHandler(O,y,B),Q=s;this._cancelInvokedHandlers[z]=Q;const H=a.serializeAcknowledged(L);this._logger&&this._logger.logOutgoing(H.byteLength,L,1,"ack"),this._protocol.send(H),V.then(K=>{delete this._cancelInvokedHandlers[z];const G=a.serializeReplyOK(L,K,this._uriReplacer);this._logger&&this._logger.logOutgoing(G.byteLength,L,1,"reply:",K),this._protocol.send(G)},K=>{delete this._cancelInvokedHandlers[z];const G=a.serializeReplyErr(L,K);this._logger&&this._logger.logOutgoing(G.byteLength,L,1,"replyErr:",K),this._protocol.send(G)})}_receiveCancel(T,L){this._logger&&this._logger.logIncoming(T,L,1,"receiveCancel");const O=String(L);this._cancelInvokedHandlers[O]&&this._cancelInvokedHandlers[O]()}_receiveReply(T,L,O){this._logger&&this._logger.logIncoming(T,L,0,"receiveReply:",O);const y=String(L);if(!this._pendingRPCReplies.hasOwnProperty(y))return;const B=this._pendingRPCReplies[y];delete this._pendingRPCReplies[y],B.resolveOk(O)}_receiveReplyErr(T,L,O){this._logger&&this._logger.logIncoming(T,L,0,"receiveReplyErr:",O);const y=String(L);if(!this._pendingRPCReplies.hasOwnProperty(y))return;const B=this._pendingRPCReplies[y];delete this._pendingRPCReplies[y];let M;O&&(O.$isError?(M=new Error,M.name=O.name,M.message=O.message,M.stack=O.stack):M=O),B.resolveErr(M)}_invokeHandler(T,L,O){try{return Promise.resolve(this._doInvokeHandler(T,L,O))}catch(y){return Promise.reject(y)}}_doInvokeHandler(T,L,O){const y=this._locals[T];if(!y)throw new Error("Unknown actor "+(0,F.getStringIdentifierForProxy)(T));let B=y[L];if(typeof B!="function")throw new Error("Unknown method "+L+" on actor "+(0,F.getStringIdentifierForProxy)(T));return B.apply(y,O)}_remoteCall(T,L,O){if(this._isDisposed)return Promise.reject(A.canceled());let y=null;if(O.length>0&&P.CancellationToken.isCancellationToken(O[O.length-1])&&(y=O.pop()),y&&y.isCancellationRequested)return Promise.reject(A.canceled());const B=a.serializeRequestArguments(O,this._uriReplacer),M=++this._lastMessageId,z=String(M),V=new R.LazyPromise;y&&y.onCancellationRequested(()=>{const H=a.serializeCancel(M);this._logger&&this._logger.logOutgoing(H.byteLength,M,0,"cancel"),this._protocol.send(a.serializeCancel(M))}),this._pendingRPCReplies[z]=V,this._onWillSendRequest(M);const Q=a.serializeRequest(M,T,L,B,!!y);return this._logger&&this._logger.logOutgoing(Q.byteLength,M,0,`request: ${(0,F.getStringIdentifierForProxy)(T)}.${L}(`,O),this._protocol.send(Q),V}}e.RPCProtocol=n,D=v,n.UNRESPONSIVE_TIME=3*1e3;class r{constructor(T,L){this._buff=T,this._offset=L}static alloc(T,L,O){let y=new r(t.VSBuffer.alloc(O+1+4),0);return y.writeUInt8(T),y.writeUInt32(L),y}static read(T,L){return new r(T,L)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(T){this._buff.writeUInt8(T,this._offset),this._offset+=1}readUInt8(){const T=this._buff.readUInt8(this._offset);return this._offset+=1,T}writeUInt32(T){this._buff.writeUInt32BE(T,this._offset),this._offset+=4}readUInt32(){const T=this._buff.readUInt32BE(this._offset);return this._offset+=4,T}static sizeShortString(T){return 1+T.byteLength}writeShortString(T){this._buff.writeUInt8(T.byteLength,this._offset),this._offset+=1,this._buff.set(T,this._offset),this._offset+=T.byteLength}readShortString(){const T=this._buff.readUInt8(this._offset);this._offset+=1;const O=this._buff.slice(this._offset,this._offset+T).toString();return this._offset+=T,O}static sizeLongString(T){return 4+T.byteLength}writeLongString(T){this._buff.writeUInt32BE(T.byteLength,this._offset),this._offset+=4,this._buff.set(T,this._offset),this._offset+=T.byteLength}readLongString(){const T=this._buff.readUInt32BE(this._offset);this._offset+=4;const O=this._buff.slice(this._offset,this._offset+T).toString();return this._offset+=T,O}writeBuffer(T){this._buff.writeUInt32BE(T.byteLength,this._offset),this._offset+=4,this._buff.set(T,this._offset),this._offset+=T.byteLength}static sizeVSBuffer(T){return 4+T.byteLength}writeVSBuffer(T){this._buff.writeUInt32BE(T.byteLength,this._offset),this._offset+=4,this._buff.set(T,this._offset),this._offset+=T.byteLength}readVSBuffer(){const T=this._buff.readUInt32BE(this._offset);this._offset+=4;const L=this._buff.slice(this._offset,this._offset+T);return this._offset+=T,L}static sizeMixedArray(T){let L=0;L+=1;for(let O=0,y=T.length;O<y;O++){const B=T[O];switch(L+=1,B.type){case 1:L+=this.sizeLongString(B.value);break;case 2:L+=this.sizeVSBuffer(B.value);break;case 3:L+=this.sizeUInt32,L+=this.sizeLongString(B.value);for(let M=0;M<B.buffers.length;++M)L+=this.sizeVSBuffer(B.buffers[M]);break;case 4:break}}return L}writeMixedArray(T){this._buff.writeUInt8(T.length,this._offset),this._offset+=1;for(let L=0,O=T.length;L<O;L++){const y=T[L];switch(y.type){case 1:this.writeUInt8(1),this.writeLongString(y.value);break;case 2:this.writeUInt8(2),this.writeVSBuffer(y.value);break;case 3:this.writeUInt8(3),this.writeUInt32(y.buffers.length),this.writeLongString(y.value);for(let B=0;B<y.buffers.length;++B)this.writeBuffer(y.buffers[B]);break;case 4:this.writeUInt8(4);break}}}readMixedArray(){const T=this._buff.readUInt8(this._offset);this._offset+=1;let L=new Array(T);for(let O=0;O<T;O++)switch(this.readUInt8()){case 1:L[O]=this.readLongString();break;case 2:L[O]=this.readVSBuffer();break;case 3:{const B=this.readUInt32(),M=this.readLongString(),z=[];for(let V=0;V<B;++V)z.push(this.readVSBuffer());L[O]=new F.SerializableObjectWithBuffers(S(M,z,null));break}case 4:L[O]=void 0;break}return L}}r.sizeUInt32=4;var i;(function(E){E[E.Simple=0]="Simple",E[E.Mixed=1]="Mixed"})(i||(i={}));class a{static _useMixedArgSerialization(T){for(let L=0,O=T.length;L<O;L++)if(T[L]instanceof t.VSBuffer||T[L]instanceof F.SerializableObjectWithBuffers||typeof T[L]=="undefined")return!0;return!1}static serializeRequestArguments(T,L){if(this._useMixedArgSerialization(T)){const O=[];for(let y=0,B=T.length;y<B;y++){const M=T[y];if(M instanceof t.VSBuffer)O[y]={type:2,value:M};else if(typeof M=="undefined")O[y]={type:4};else if(M instanceof F.SerializableObjectWithBuffers){const{jsonString:z,referencedBuffers:V}=w(M.value,L);O[y]={type:3,value:t.VSBuffer.fromString(z),buffers:V}}else O[y]={type:1,value:t.VSBuffer.fromString(I(M,L))}}return{type:1,args:O}}return{type:0,args:I(T,L)}}static serializeRequest(T,L,O,y,B){switch(y.type){case 0:return this._requestJSONArgs(T,L,O,y.args,B);case 1:return this._requestMixedArgs(T,L,O,y.args,B)}}static _requestJSONArgs(T,L,O,y,B){const M=t.VSBuffer.fromString(O),z=t.VSBuffer.fromString(y);let V=0;V+=r.sizeUInt8(),V+=r.sizeShortString(M),V+=r.sizeLongString(z);let Q=r.alloc(B?2:1,T,V);return Q.writeUInt8(L),Q.writeShortString(M),Q.writeLongString(z),Q.buffer}static deserializeRequestJSONArgs(T){const L=T.readUInt8(),O=T.readShortString(),y=T.readLongString();return{rpcId:L,method:O,args:JSON.parse(y)}}static _requestMixedArgs(T,L,O,y,B){const M=t.VSBuffer.fromString(O);let z=0;z+=r.sizeUInt8(),z+=r.sizeShortString(M),z+=r.sizeMixedArray(y);let V=r.alloc(B?4:3,T,z);return V.writeUInt8(L),V.writeShortString(M),V.writeMixedArray(y),V.buffer}static deserializeRequestMixedArgs(T){const L=T.readUInt8(),O=T.readShortString(),y=T.readMixedArray(),B=new Array(y.length);for(let M=0,z=y.length;M<z;M++){const V=y[M];typeof V=="string"?B[M]=JSON.parse(V):B[M]=V}return{rpcId:L,method:O,args:B}}static serializeAcknowledged(T){return r.alloc(5,T,0).buffer}static serializeCancel(T){return r.alloc(6,T,0).buffer}static serializeReplyOK(T,L,O){if(typeof L=="undefined")return this._serializeReplyOKEmpty(T);if(L instanceof t.VSBuffer)return this._serializeReplyOKVSBuffer(T,L);if(L instanceof F.SerializableObjectWithBuffers){const{jsonString:y,referencedBuffers:B}=w(L.value,O,!0);return this._serializeReplyOKJSONWithBuffers(T,y,B)}else return this._serializeReplyOKJSON(T,p(L,O))}static _serializeReplyOKEmpty(T){return r.alloc(7,T,0).buffer}static _serializeReplyOKVSBuffer(T,L){let O=0;O+=r.sizeVSBuffer(L);let y=r.alloc(8,T,O);return y.writeVSBuffer(L),y.buffer}static deserializeReplyOKVSBuffer(T){return T.readVSBuffer()}static _serializeReplyOKJSON(T,L){const O=t.VSBuffer.fromString(L);let y=0;y+=r.sizeLongString(O);let B=r.alloc(9,T,y);return B.writeLongString(O),B.buffer}static _serializeReplyOKJSONWithBuffers(T,L,O){const y=t.VSBuffer.fromString(L);let B=0;B+=r.sizeUInt32,B+=r.sizeLongString(y);for(const z of O)B+=r.sizeVSBuffer(z);let M=r.alloc(10,T,B);M.writeUInt32(O.length),M.writeLongString(y);for(const z of O)M.writeBuffer(z);return M.buffer}static deserializeReplyOKJSON(T){const L=T.readLongString();return JSON.parse(L)}static deserializeReplyOKJSONWithBuffers(T,L){const O=T.readUInt32(),y=T.readLongString(),B=[];for(let M=0;M<O;++M)B.push(T.readVSBuffer());return new F.SerializableObjectWithBuffers(S(y,B,L))}static serializeReplyErr(T,L){return L?this._serializeReplyErrEror(T,L):this._serializeReplyErrEmpty(T)}static _serializeReplyErrEror(T,L){const O=t.VSBuffer.fromString(p(A.transformErrorForSerialization(L),null));let y=0;y+=r.sizeLongString(O);let B=r.alloc(11,T,y);return B.writeLongString(O),B.buffer}static deserializeReplyErrError(T){const L=T.readLongString();return JSON.parse(L)}static _serializeReplyErrEmpty(T){return r.alloc(12,T,0).buffer}}var m;(function(E){E[E.RequestJSONArgs=1]="RequestJSONArgs",E[E.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",E[E.RequestMixedArgs=3]="RequestMixedArgs",E[E.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",E[E.Acknowledged=5]="Acknowledged",E[E.Cancel=6]="Cancel",E[E.ReplyOKEmpty=7]="ReplyOKEmpty",E[E.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",E[E.ReplyOKJSON=9]="ReplyOKJSON",E[E.ReplyOKJSONWithBuffers=10]="ReplyOKJSONWithBuffers",E[E.ReplyErrError=11]="ReplyErrError",E[E.ReplyErrEmpty=12]="ReplyErrEmpty"})(m||(m={}));var d;(function(E){E[E.String=1]="String",E[E.VSBuffer=2]="VSBuffer",E[E.SerializedObjectWithBuffers=3]="SerializedObjectWithBuffers",E[E.Undefined=4]="Undefined"})(d||(d={}))}),define(pe[265],ve([1,0,4]),function(ee,e,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=(0,h.createDecorator)("remoteAgentService")}),define(pe[266],ve([1,0,29,10,9,12,23,2,4,198,43,223,265]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=(0,_.createDecorator)("pathService");let b=class qi{constructor(u,w,S,I){this.localUserHome=u,this.remoteAgentService=w,this.environmentService=S,this.contextService=I,this.resolveOS=(async()=>(await this.remoteAgentService.getEnvironment())?.os||A.OS)(),this.resolveUserHome=(async()=>{const l=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=l?.userHome||u})()}hasValidBasename(u,w,S){return typeof w=="string"||typeof w=="undefined"?this.resolveOS.then(I=>this.doHasValidBasename(u,I,w)):this.doHasValidBasename(u,w,S)}doHasValidBasename(u,w,S){return u.scheme===t.Schemas.file||u.scheme===t.Schemas.vscodeRemote?(0,h.isValidBasename)(S??(0,C.basename)(u),w===1):!0}get defaultUriScheme(){return qi.findDefaultUriScheme(this.environmentService,this.contextService)}static findDefaultUriScheme(u,w){if(u.remoteAuthority)return t.Schemas.vscodeRemote;const S=(0,R.getVirtualWorkspaceScheme)(w.getWorkspace());if(S)return S;const I=w.getWorkspace().folders[0];if(I)return I.uri.scheme;const l=w.getWorkspace().configuration;return l?l.scheme:t.Schemas.file}async userHome(u){return u?.preferLocal?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(u=>u===1?P.win32:P.posix)}async fileURI(u){let w="";if(await this.resolveOS===1&&(u=u.replace(/\\/g,"/")),u[0]==="/"&&u[1]==="/"){const I=u.indexOf("/",2);I===-1?(w=u.substring(2),u="/"):(w=u.substring(2,I),u=u.substring(I)||"/")}return k.URI.from({scheme:t.Schemas.file,authority:w,path:u,query:"",fragment:""})}};b=Be([Fe(1,p.IRemoteAgentService),Fe(2,D.IWorkbenchEnvironmentService),Fe(3,F.IWorkspaceContextService)],b),e.AbstractPathService=b}),define(pe[69],ve([1,0]),function(ee,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchCompleteMessageType=e.Range=e.Position=void 0;class h{constructor(C,k){this.line=C,this.character=k}isBefore(C){return!1}isBeforeOrEqual(C){return!1}isAfter(C){return!1}isAfterOrEqual(C){return!1}isEqual(C){return!1}compareTo(C){return 0}translate(C,k){return new h(0,0)}with(C){return new h(0,0)}}e.Position=h;class t{constructor(C,k,_,R){this.isEmpty=!1,this.isSingleLine=!1,this.start=new h(C,k),this.end=new h(_,R)}contains(C){return!1}isEqual(C){return!1}intersection(C){}union(C){return new t(0,0,0,0)}with(C){return new t(0,0,0,0)}}e.Range=t;var P;(function(A){A[A.Information=1]="Information",A[A.Warning=2]="Warning"})(P=e.TextSearchCompleteMessageType||(e.TextSearchCompleteMessageType={}))}),define(pe[31],ve([1,0,18,32,25,29,8,4,9,17,69,15]),function(ee,e,h,t,P,A,C,k,_,R,F,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=e.TextSearchCompleteMessageType=void 0,Object.defineProperty(e,"TextSearchCompleteMessageType",{enumerable:!0,get:function(){return F.TextSearchCompleteMessageType}}),e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const p="\u27EA ",b=" characters skipped \u27EB",g=(p.length+b.length+5)*2;e.ISearchService=(0,k.createDecorator)("searchService");var u;(function(H){H[H.file=0]="file",H[H.text=1]="text"})(u=e.SearchProviderType||(e.SearchProviderType={}));var w;(function(H){H[H.File=1]="File",H[H.Text=2]="Text"})(w=e.QueryType||(e.QueryType={}));function S(H){return!!H.preview}e.resultIsMatch=S;function I(H){return!!H.resource}e.isFileMatch=I;function l(H){return!!H.message}e.isProgressMessage=l;var c;(function(H){H[H.Normal=0]="Normal",H[H.NewSearchStarted=1]="NewSearchStarted"})(c=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class f{constructor(K){this.resource=K,this.results=[]}}e.FileMatch=f;class s{constructor(K,G,j){this.ranges=G;const ie=Array.isArray(G)?G:[G];if(j&&j.matchLines===1&&v(ie)){K=(0,C.getNLines)(K,j.matchLines);let oe="",ue=0,Z=0;const J=Math.floor(j.charsPerLine/5),ae=[];for(const he of ie){const we=Math.max(he.startColumn-J,0),Te=he.startColumn+j.charsPerLine;if(we>Z+J+g){const Ne=p+(we-Z)+b;oe+=Ne+K.slice(we,Te),ue+=we-(Z+Ne.length)}else oe+=K.slice(Z,Te);ae.push(new n(0,he.startColumn-ue,he.endColumn-ue)),Z=Te}this.preview={text:oe,matches:Array.isArray(this.ranges)?ae:ae[0]}}else{const oe=Array.isArray(G)?G[0].startLineNumber:G.startLineNumber;this.preview={text:K,matches:(0,h.mapArrayOrNot)(G,ue=>new o(ue.startLineNumber-oe,ue.startColumn,ue.endLineNumber-oe,ue.endColumn))}}}}e.TextSearchMatch=s;function v(H){const K=H[0].startLineNumber;for(const G of H)if(G.startLineNumber!==K||G.endLineNumber!==K)return!1;return!0}class o{constructor(K,G,j,ie){this.startLineNumber=K,this.startColumn=G,this.endLineNumber=j,this.endColumn=ie}}e.SearchRange=o;class n extends o{constructor(K,G,j){super(K,G,K,j)}}e.OneLineRange=n;var r;(function(H){H.Default="default",H.FileNames="fileNames",H.Type="type",H.Modified="modified",H.CountDescending="countDescending",H.CountAscending="countAscending"})(r=e.SearchSortOrder||(e.SearchSortOrder={}));function i(H,K=!0){const G=H&&H.files&&H.files.exclude,j=K&&H&&H.search&&H.search.exclude;if(!G&&!j)return;if(!G||!j)return G||j;let ie=Object.create(null);return ie=P.mixin(ie,P.deepClone(G)),ie=P.mixin(ie,P.deepClone(j),!0),ie}e.getExcludes=i;function a(H,K){return H.excludePattern&&t.match(H.excludePattern,K)?!1:H.includePattern||H.usingSearchPaths?H.includePattern&&t.match(H.includePattern,K)?!0:H.usingSearchPaths?!!H.folderQueries&&H.folderQueries.some(G=>{const j=G.folder.fsPath;if(A.isEqualOrParent(K,j)){const ie=_.relative(j,K);return!G.includePattern||!!t.match(G.includePattern,ie)}else return!1}):!1:!0}e.pathIncludedInQuery=a;var m;(function(H){H[H.unknownEncoding=1]="unknownEncoding",H[H.regexParseError=2]="regexParseError",H[H.globParseError=3]="globParseError",H[H.invalidLiteral=4]="invalidLiteral",H[H.rgProcessError=5]="rgProcessError",H[H.other=6]="other",H[H.canceled=7]="canceled"})(m=e.SearchErrorCode||(e.SearchErrorCode={}));class d extends Error{constructor(K,G){super(K);this.code=G}}e.SearchError=d;function E(H){const K=H.message;if((0,R.isCancellationError)(H))return new d(K,m.canceled);try{const G=JSON.parse(K);return new d(G.message,G.code)}catch{return new d(K,m.other)}}e.deserializeSearchError=E;function T(H){const K={message:H.message,code:H.code};return new Error(JSON.stringify(K))}e.serializeSearchError=T;function L(H){return H.type==="error"?!0:H.type==="success"}e.isSerializedSearchComplete=L;function O(H){return H.type==="success"}e.isSerializedSearchSuccess=O;function y(H){return!!H.path}e.isSerializedFileMatch=y;function B(H,K){const G=H.searchPath?H.searchPath:H.relativePath;return(0,C.fuzzyContains)(G,K)}e.isFilePatternMatch=B;class M{constructor(K){this.path=K,this.results=[]}addMatch(K){this.results.push(K)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=M;function z(H,K){const G={...H||{},...K||{}};return Object.keys(G).filter(j=>{const ie=G[j];return typeof ie=="boolean"&&ie})}e.resolvePatternsForProvider=z;class V{constructor(K,G){this._parsedIncludeExpression=null,this._excludeExpression={...K.excludePattern||{},...G.excludePattern||{}},this._parsedExcludeExpression=t.parse(this._excludeExpression);let j=K.includePattern;G.includePattern&&(j?j={...j,...G.includePattern}:j=G.includePattern),j&&(this._parsedIncludeExpression=t.parse(j))}matchesExcludesSync(K,G,j){return!!(this._parsedExcludeExpression&&this._parsedExcludeExpression(K,G,j))}includedInQuerySync(K,G,j){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression(K,G,j)||this._parsedIncludeExpression&&!this._parsedIncludeExpression(K,G,j))}includedInQuery(K,G,j){const ie=this._parsedExcludeExpression(K,G,j),oe=()=>this._parsedIncludeExpression?!!this._parsedIncludeExpression(K,G,j):!0;return(0,D.isThenable)(ie)?ie.then(ue=>ue?!1:oe()):oe()}hasSiblingExcludeClauses(){return Q(this._excludeExpression)}}e.QueryGlobTester=V;function Q(H){for(const K in H)if(typeof H[K]!="boolean")return!0;return!1}}),define(pe[36],ve([1,0,18,15,21,3,24,10,91,23,8,13,2,172,4,11,190,43,44,26,16,14,7,31,5]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I,l,c,f,s,v,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function n(L,O,y){return new R.ExtUri(B=>m(B,y)).isEqual(L,O)}function r(L,O,y){return n(L.uri,O.uri,y)?0:(0,F.compare)(L.uri.toString(),O.uri.toString())}function i(L,O,y){return L.index!==O.index?L.index<O.index?-1:1:n(L.uri,O.uri,y)?(0,F.compare)(L.name,O.name):(0,F.compare)(L.uri.toString(),O.uri.toString())}function a(L,O,y,B){const M=L.slice(0).sort((V,Q)=>y(V,Q,B)),z=O.slice(0).sort((V,Q)=>y(V,Q,B));return(0,h.delta)(M,z,(V,Q)=>y(V,Q,B))}function m(L,O){const y=O.getCapabilities(L.scheme);return!(y&&y&1024)}class d extends S.Workspace{constructor(O,y,B,M,z,V,Q){super(O,B.map(H=>new S.WorkspaceFolder(H)),M,z,Q);this._name=y,this._isUntitled=V,this._workspaceFolders=[],this._structure=C.TernarySearchTree.forUris(Q),B.forEach(H=>{this._workspaceFolders.push(H),this._structure.set(H.uri,H)})}static toExtHostWorkspace(O,y,B,M){if(!O)return{workspace:null,added:[],removed:[]};const{id:z,name:V,folders:Q,configuration:H,transient:K,isUntitled:G}=O,j=[],ie=y;y?Q.forEach((J,ae)=>{const he=p.URI.revive(J.uri),we=d._findFolder(B||y,he,M);we?(we.name=J.name,we.index=J.index,j.push(we)):j.push({uri:he,name:J.name,index:ae})}):j.push(...Q.map(({uri:J,name:ae,index:he})=>({uri:p.URI.revive(J),name:ae,index:he}))),j.sort((J,ae)=>J.index<ae.index?-1:1);const oe=new d(z,V,j,!!K,H?p.URI.revive(H):null,!!G,J=>m(J,M)),{added:ue,removed:Z}=a(ie?ie.workspaceFolders:[],oe.workspaceFolders,r,M);return{workspace:oe,added:ue,removed:Z}}static _findFolder(O,y,B){for(let M=0;M<O.folders.length;M++){const z=O.workspaceFolders[M];if(n(z.uri,y,B))return z}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(O,y){return y&&this._structure.get(O)&&(O=(0,R.dirname)(O)),this._structure.findSubstr(O)}resolveWorkspaceFolder(O){return this._structure.get(O)}}let E=class{constructor(O,y,B,M){this._onDidChangeWorkspace=new A.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidGrantWorkspaceTrust=new A.Emitter,this.onDidGrantWorkspaceTrust=this._onDidGrantWorkspaceTrust.event,this._activeSearchCallbacks=[],this._trusted=!1,this._logService=M,this._extHostFileSystemInfo=B,this._requestIdProvider=new _.Counter,this._barrier=new t.Barrier,this._proxy=O.getProxy(o.MainContext.MainThreadWorkspace),this._messageService=O.getProxy(o.MainContext.MainThreadMessageService);const z=y.workspace;this._confirmedWorkspace=z?new d(z.id,z.name,[],!!z.transient,z.configuration?p.URI.revive(z.configuration):null,!!z.isUntitled,V=>m(V,B)):void 0}$initializeWorkspace(O,y){this._trusted=y,this.$acceptWorkspaceData(O),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?p.URI.from({scheme:k.Schemas.untitled,path:(0,R.basename)((0,R.dirname)(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(O,y,B,...M){const z=[];if(Array.isArray(M)&&M.forEach(G=>{p.URI.isUri(G.uri)&&!z.some(j=>n(j.uri,G.uri,this._extHostFileSystemInfo))&&z.push({uri:G.uri,name:G.name||(0,R.basenameOrAuthority)(G.uri)})}),this._unconfirmedWorkspace||[y,B].some(G=>typeof G!="number"||G<0)||B===0&&z.length===0)return!1;const V=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if(y+B>V.length)return!1;const Q=V.slice(0);Q.splice(y,B,...z.map(G=>({uri:G.uri,name:G.name||(0,R.basenameOrAuthority)(G.uri),index:void 0})));for(let G=0;G<Q.length;G++){const j=Q[G];if(Q.some((ie,oe)=>oe!==G&&n(j.uri,ie.uri,this._extHostFileSystemInfo)))return!1}Q.forEach((G,j)=>G.index=j);const{added:H,removed:K}=a(V,Q,i,this._extHostFileSystemInfo);if(H.length===0&&K.length===0)return!1;if(this._proxy){const G=O.displayName||O.name;this._proxy.$updateWorkspaceFolders(G,y,B,z).then(void 0,j=>{this._unconfirmedWorkspace=void 0;const ie={source:{identifier:O.identifier,label:O.displayName||O.name}};this._messageService.$showMessage(w.Severity.Error,(0,b.localize)(0,null,G,j.toString()),ie,[])})}return this.trySetWorkspaceFolders(Q),!0}getWorkspaceFolder(O,y){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(O,y)}async getWorkspaceFolder2(O,y){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(O,y)}async resolveWorkspaceFolder(O){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(O)}getPath(){if(!this._actualWorkspace)return;const{folders:O}=this._actualWorkspace;if(O.length!==0)return O[0].uri.fsPath}getRelativePath(O,y){let B,M="";if(typeof O=="string"?(B=p.URI.file(O),M=O):typeof O!="undefined"&&(B=O,M=O.fsPath),!B)return M;const z=this.getWorkspaceFolder(B,!0);if(!z)return M;typeof y=="undefined"&&this._actualWorkspace&&(y=this._actualWorkspace.folders.length>1);let V=(0,R.relativePath)(z.uri,B);return y&&z.name&&(V=`${z.name}/${V}`),V}trySetWorkspaceFolders(O){this._actualWorkspace&&(this._unconfirmedWorkspace=d.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:O,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(O){const{workspace:y,added:B,removed:M}=d.toExtHostWorkspace(O,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=y||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:B,removed:M}))}findFiles(O,y,B,M,z=P.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${M.value}, entryPoint: findFiles`);let V;if(y===null?V=!1:y&&(typeof y=="string"?V=y:V=y.pattern),z&&z.isCancellationRequested)return Promise.resolve([]);const{includePattern:Q,folder:H}=T(f.GlobPattern.from(O));return this._proxy.$startFileSearch((0,D.withUndefinedAsNull)(Q),(0,D.withUndefinedAsNull)(H),(0,D.withUndefinedAsNull)(V),(0,D.withUndefinedAsNull)(B),z).then(K=>Array.isArray(K)?K.map(G=>p.URI.revive(G)):[])}async findTextInFiles(O,y,B,M,z=P.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${M.value}, entryPoint: findTextInFiles`);const V=this._requestIdProvider.getNext(),Q=typeof y.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:y.previewOptions,{includePattern:H,folder:K}=T(f.GlobPattern.from(y.include)),G=typeof y.exclude=="string"?y.exclude:y.exclude?y.exclude.pattern:void 0,j={ignoreSymlinks:typeof y.followSymlinks=="boolean"?!y.followSymlinks:void 0,disregardIgnoreFiles:typeof y.useIgnoreFiles=="boolean"?!y.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof y.useGlobalIgnoreFiles=="boolean"?!y.useGlobalIgnoreFiles:void 0,disregardParentIgnoreFiles:typeof y.useParentIgnoreFiles=="boolean"?!y.useParentIgnoreFiles:void 0,disregardExcludeSettings:typeof y.useDefaultExcludes=="boolean"?!y.useDefaultExcludes:!0,fileEncoding:y.encoding,maxResults:y.maxResults,previewOptions:Q,afterContext:y.afterContext,beforeContext:y.beforeContext,includePattern:H,excludePattern:G},ie=!1;if(this._activeSearchCallbacks[V]=oe=>{if(ie)return;const ue=p.URI.revive(oe.resource);oe.results.forEach(Z=>{(0,v.resultIsMatch)(Z)?B({uri:ue,preview:{text:Z.preview.text,matches:(0,h.mapArrayOrNot)(Z.preview.matches,J=>new s.Range(J.startLineNumber,J.startColumn,J.endLineNumber,J.endColumn))},ranges:(0,h.mapArrayOrNot)(Z.ranges,J=>new s.Range(J.startLineNumber,J.startColumn,J.endLineNumber,J.endColumn))}):B({uri:ue,text:Z.text,lineNumber:Z.lineNumber})})},z.isCancellationRequested)return{};try{const oe=await this._proxy.$startTextSearch(O,(0,D.withUndefinedAsNull)(K),j,V,z);return delete this._activeSearchCallbacks[V],oe||{}}catch(oe){throw delete this._activeSearchCallbacks[V],oe}}$handleTextSearchResult(O,y){this._activeSearchCallbacks[y]&&this._activeSearchCallbacks[y](O)}saveAll(O){return this._proxy.$saveAll(O)}resolveProxy(O){return this._proxy.$resolveProxy(O)}get trusted(){return this._trusted}requestWorkspaceTrust(O){return this._proxy.$requestWorkspaceTrust(O)}$onDidGrantWorkspaceTrust(){this._trusted||(this._trusted=!0,this._onDidGrantWorkspaceTrust.fire())}};E=Be([Fe(0,c.IExtHostRpcService),Fe(1,l.IExtHostInitDataService),Fe(2,I.IExtHostFileSystemInfo),Fe(3,u.ILogService)],E),e.ExtHostWorkspace=E,e.IExtHostWorkspace=(0,g.createDecorator)("IExtHostWorkspace");function T(L){let O,y;return L&&(typeof L=="string"?O=L:(O=L.pattern,y=p.URI.revive(L.baseUri))),{includePattern:O,folder:y}}}),define(pe[37],ve([1,0,25,3,36,5,7,193,119,13,15,4,16,11,2]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function u(v,o){if(o){const n=o.split(".");let r=v;for(let i=0;r&&i<n.length;i++)r=r[n[i]];return r}}function w(v){return v instanceof g.URI}function S(v){return v&&v.uri instanceof g.URI&&v.languageId&&typeof v.languageId=="string"}function I(v){return v&&!v.uri&&v.languageId&&typeof v.languageId=="string"}function l(v){return v&&v.uri instanceof g.URI&&(!v.name||typeof v.name=="string")&&(!v.index||typeof v.index=="number")}function c(v){if(w(v))return{resource:v};if(S(v))return{resource:v.uri,overrideIdentifier:v.languageId};if(I(v))return{overrideIdentifier:v.languageId};if(l(v))return{resource:v.uri};if(v===null)return{resource:null}}let f=class{constructor(o,n,r){this._proxy=o.getProxy(A.MainContext.MainThreadConfiguration),this._extHostWorkspace=n,this._logService=r,this._barrier=new F.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(o=>this._actual)}$initializeConfiguration(o){this._actual=new s(this._proxy,this._extHostWorkspace,o,this._logService),this._barrier.open()}$acceptConfigurationChanged(o,n){this.getConfigProvider().then(r=>r.$acceptConfigurationChanged(o,n))}};f=Be([Fe(0,p.IExtHostRpcService),Fe(1,P.IExtHostWorkspace),Fe(2,b.ILogService)],f),e.ExtHostConfiguration=f;class s{constructor(o,n,r,i){this._onDidChangeConfiguration=new t.Emitter,this._proxy=o,this._logService=i,this._extHostWorkspace=n,this._configuration=k.Configuration.parse(r),this._configurationScopes=this._toMap(r.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(o,n){const r={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=k.Configuration.parse(o),this._configurationScopes=this._toMap(o.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(n,r))}getConfiguration(o,n,r){const i=c(n)||{},a=this._toReadonlyValue(o?u(this._configuration.getValue(void 0,i,this._extHostWorkspace.workspace),o):this._configuration.getValue(void 0,i,this._extHostWorkspace.workspace));o&&this._validateConfigurationAccess(o,i,r?.identifier);function m(E){if(E==null)return null;if(typeof E=="boolean")return E?1:4;switch(E){case C.ConfigurationTarget.Global:return 1;case C.ConfigurationTarget.Workspace:return 4;case C.ConfigurationTarget.WorkspaceFolder:return 5}}const d={has(E){return typeof u(a,E)!="undefined"},get:(E,T)=>{this._validateConfigurationAccess(o?`${o}.${E}`:E,i,r?.identifier);let L=u(a,E);if(typeof L=="undefined")L=T;else{let O;const y=(B,M)=>{let z;const V=()=>{O=O||(0,h.deepClone)(a),z=z||u(O,M)};return(0,R.isObject)(B)?new Proxy(B,{get:(Q,H)=>{if(typeof H=="string"&&H.toLowerCase()==="tojson")return V(),()=>z;if(O)return z=z||u(O,M),z[H];const K=Q[H];return typeof H=="string"?y(K,`${M}.${H}`):K},set:(Q,H,K)=>(V(),z&&(z[H]=K),!0),deleteProperty:(Q,H)=>(V(),z&&delete z[H],!0),defineProperty:(Q,H,K)=>(V(),z&&Object.defineProperty(z,H,K),!0)}):B};L=y(L,E)}return L},update:(E,T,L,O)=>{E=o?`${o}.${E}`:E;const y=m(L);return T!==void 0?this._proxy.$updateConfigurationOption(y,E,T,i,O):this._proxy.$removeConfigurationOption(y,E,i,O)},inspect:E=>{E=o?`${o}.${E}`:E;const T=(0,h.deepClone)(this._configuration.inspect(E,i,this._extHostWorkspace.workspace));if(T)return{key:E,defaultValue:T.default?.value,globalValue:T.user?.value,workspaceValue:T.workspace?.value,workspaceFolderValue:T.workspaceFolder?.value,defaultLanguageValue:T.default?.override,globalLanguageValue:T.user?.override,workspaceLanguageValue:T.workspace?.override,workspaceFolderLanguageValue:T.workspaceFolder?.override,languageIds:T.overrideIdentifiers}}};return typeof a=="object"&&(0,h.mixin)(d,a,!1),Object.freeze(d)}_toReadonlyValue(o){const n=r=>(0,R.isObject)(r)?new Proxy(r,{get:(i,a)=>n(i[a]),set:(i,a,m)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(a)}' of object`)},deleteProperty:(i,a)=>{throw new Error(`TypeError: Cannot delete read only property '${String(a)}' of object`)},defineProperty:(i,a)=>{throw new Error(`TypeError: Cannot define property '${String(a)}' for a readonly object`)},setPrototypeOf:i=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):r;return n(o)}_validateConfigurationAccess(o,n,r){const i=_.OVERRIDE_PROPERTY_REGEX.test(o)?4:this._configurationScopes.get(o),a=r?`[${r.value}] `:"";if(i===4){typeof n?.resource=="undefined"&&this._logService.warn(`${a}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${o}', provide the URI of a resource or 'null' for any resource.`);return}if(i===3){n?.resource&&this._logService.warn(`${a}Accessing a window scoped configuration for a resource is not expected. To associate '${o}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(o,n){const r=new k.ConfigurationChangeEvent(o,n,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(i,a)=>r.affectsConfiguration(i,c(a))})}_toMap(o){return o.reduce((n,r)=>(n.set(r[0],r[1]),n),new Map)}}e.ExtHostConfigProvider=s,e.IExtHostConfiguration=(0,D.createDecorator)("IExtHostConfiguration")});var Xe=this&&this.__classPrivateFieldSet||function(ee,e,h,t,P){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!P)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ee!==e||!P:!e.has(ee))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?P.call(ee,h):P?P.value=h:e.set(ee,h),h},Pe=this&&this.__classPrivateFieldGet||function(ee,e,h,t){if(h==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ee!==e||!t:!e.has(ee))throw new TypeError("Cannot read private member from an object whose class did not declare it");return h==="m"?t:h==="a"?t.call(ee):t?t.value:e.get(ee)};define(pe[70],ve([1,0,2,15,3,5,7,36,45,37,21,34,16,26,4,10,12,11,65,215,17]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I,l,c){"use strict";var f;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskGroupDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var s;(function(M){function z(Q){if(Q!=null)return Q}M.from=z;function V(Q){if(Q!=null)return Q}M.to=V})(s=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var v;(function(M){function z(Q){if(Q!=null)return Q}M.from=z;function V(Q){if(Q!=null)return Q}M.to=V})(v=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var o;(function(M){function z(Q){if(Q!=null)return Q}M.from=z;function V(Q){if(Q!=null)return Q}M.to=V})(o=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var n;(function(M){function z(H){if(H){const K=H;return K&&!!K.process}else return!1}M.is=z;function V(H){if(H==null)return;const K={process:H.process,args:H.args};return H.options&&(K.options=o.from(H.options)),K}M.from=V;function Q(H){if(H!=null)return new C.ProcessExecution(H.process,H.args,H.options)}M.to=Q})(n=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var r;(function(M){function z(Q){if(Q!=null)return Q}M.from=z;function V(Q){if(Q!=null)return Q}M.to=V})(r=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var i;(function(M){function z(H){if(H){const K=H;return K&&(!!K.commandLine||!!K.command)}else return!1}M.is=z;function V(H){if(H==null)return;const K={};return H.commandLine!==void 0?K.commandLine=H.commandLine:(K.command=H.command,K.args=H.args),H.options&&(K.options=r.from(H.options)),K}M.from=V;function Q(H){if(!(H==null||H.command===void 0&&H.commandLine===void 0))return H.commandLine?new C.ShellExecution(H.commandLine,H.options):new C.ShellExecution(H.command,H.args?H.args:[],H.options)}M.to=Q})(i=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var a;(function(M){function z(H){if(H){let K=H;return K&&K.customExecution==="customExecution"}else return!1}M.is=z;function V(H){return{customExecution:"customExecution"}}M.from=V;function Q(H,K){return K.get(H)}M.to=Q})(a=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var m;(function(M){function z(V,Q){let H;return V.scope!==void 0&&typeof V.scope!="number"?H=V.scope.uri:V.scope!==void 0&&typeof V.scope=="number"&&(V.scope===C.TaskScope.Workspace&&Q&&Q.workspaceFile?H=Q.workspaceFile:H=l.USER_TASKS_GROUP_KEY),{id:V._id,workspaceFolder:H}}M.from=z})(m=e.TaskHandleDTO||(e.TaskHandleDTO={}));var d;(function(M){function z(V){if(V!=null)return{_id:V.id,isDefault:V.isDefault}}M.from=z})(d=e.TaskGroupDTO||(e.TaskGroupDTO={}));var E;(function(M){function z(H,K){if(H==null)return[];const G=[];for(let j of H){const ie=V(j,K);ie&&G.push(ie)}return G}M.fromMany=z;function V(H,K){if(H==null)return;let G;H.execution instanceof C.ProcessExecution?G=n.from(H.execution):H.execution instanceof C.ShellExecution?G=i.from(H.execution):H.execution&&H.execution instanceof C.CustomExecution&&(G=a.from(H.execution));const j=s.from(H.definition);let ie;return H.scope?typeof H.scope=="number"?ie=H.scope:ie=H.scope.uri:ie=C.TaskScope.Workspace,!j||!ie?void 0:{_id:H._id,definition:j,name:H.name,source:{extensionId:K.identifier.value,label:H.source,scope:ie},execution:G,isBackground:H.isBackground,group:d.from(H.group),presentationOptions:v.from(H.presentationOptions),problemMatchers:H.problemMatchers,hasDefinedMatchers:H.hasDefinedMatchers,runOptions:H.runOptions?H.runOptions:{reevaluateOnRerun:!0},detail:H.detail}}M.from=V;async function Q(H,K,G){if(H==null)return;let j;n.is(H.execution)?j=n.to(H.execution):i.is(H.execution)?j=i.to(H.execution):a.is(H.execution)&&(j=a.to(H._id,G));const ie=s.to(H.definition);let oe;if(H.source&&(H.source.scope!==void 0?typeof H.source.scope=="number"?oe=H.source.scope:oe=await K.resolveWorkspaceFolder(h.URI.revive(H.source.scope)):oe=C.TaskScope.Workspace),!ie||!oe)return;const ue=new C.Task(ie,oe,H.name,H.source.label,j,H.problemMatchers);return H.isBackground!==void 0&&(ue.isBackground=H.isBackground),H.group!==void 0&&(ue.group=C.TaskGroup.from(H.group._id),ue.group&&H.group.isDefault&&(ue.group=new C.TaskGroup(ue.group.id,ue.group.label),H.group.isDefault&&(ue.group.isDefault=H.group.isDefault))),H.presentationOptions&&(ue.presentationOptions=v.to(H.presentationOptions)),H._id&&(ue._id=H._id),H.detail&&(ue.detail=H.detail),ue}M.to=Q})(E=e.TaskDTO||(e.TaskDTO={}));var T;(function(M){function z(Q){return Q}M.from=z;function V(Q){if(!!Q)return Object.assign(Object.create(null),Q)}M.to=V})(T=e.TaskFilterDTO||(e.TaskFilterDTO={}));class L{constructor(z,V,Q){this._id=V,this._task=Q,f.set(this,void 0),Xe(this,f,z,"f")}get task(){return this._task}terminate(){Pe(this,f,"f").terminateTask(this)}fireDidStartProcess(z){}fireDidEndProcess(z){}}f=new WeakMap;var O;(function(M){function z(V){return{id:V._id,task:void 0}}M.from=z})(O=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let y=class{constructor(z,V,Q,H,K,G,j,ie){this._onDidExecuteTask=new P.Emitter,this._onDidTerminateTask=new P.Emitter,this._onDidTaskProcessStarted=new P.Emitter,this._onDidTaskProcessEnded=new P.Emitter,this._proxy=z.getProxy(A.MainContext.MainThreadTask),this._workspaceProvider=Q,this._editorService=H,this._configurationService=K,this._terminalService=G,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=j,this._deprecationService=ie,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider(z,V,Q){if(!Q)return new C.Disposable(()=>{});const H=this.nextHandle();return this._handlers.set(H,{type:V,provider:Q,extension:z}),this._proxy.$registerTaskProvider(H,V),new C.Disposable(()=>{this._handlers.delete(H),this._proxy.$unregisterTaskProvider(H)})}registerTaskSystem(z,V){this._proxy.$registerTaskSystem(z,V)}fetchTasks(z){return this._proxy.$fetchTasks(T.from(z)).then(async V=>{const Q=[];for(let H of V){const K=await E.to(H,this._workspaceProvider,this._providedCustomExecutions2);K&&Q.push(K)}return Q})}get taskExecutions(){const z=[];return this._taskExecutions.forEach(V=>z.push(V)),z}terminateTask(z){if(!(z instanceof L))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(z._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask(z,V,Q){const H=this._providedCustomExecutions2.get(z.id);H&&(this._activeCustomExecutions2.set(z.id,H),this._terminalService.attachPtyToTerminal(V,await H.callback(Q))),this._lastStartedTask=z.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution(z)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(z){const V=await this.getTaskExecution(z);this._taskExecutionPromises.delete(z.id),this._taskExecutions.delete(z.id),this.customExecutionComplete(z),this._onDidTerminateTask.fire({execution:V})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(z){const V=await this.getTaskExecution(z.id);this._onDidTaskProcessStarted.fire({execution:V,processId:z.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(z){const V=await this.getTaskExecution(z.id);this._onDidTaskProcessEnded.fire({execution:V,exitCode:z.exitCode})}$provideTasks(z,V){const Q=this._handlers.get(z);if(!Q)return Promise.reject(new Error("no handler found"));const H=[],K=(0,t.asPromise)(()=>Q.provider.provideTasks(F.CancellationToken.None)).then(G=>this.provideTasksInternal(V,H,Q,G));return new Promise(G=>{K.then(j=>{Promise.all(H).then(()=>{G(j)})})})}async $resolveTask(z,V){const Q=this._handlers.get(z);if(!Q)return Promise.reject(new Error("no handler found"));if(V.definition.type!==Q.type)throw new Error(`Unexpected: Task of type [${V.definition.type}] cannot be resolved by provider of type [${Q.type}].`);const H=await E.to(V,this._workspaceProvider,this._providedCustomExecutions2);if(!H)throw new Error("Unexpected: Task cannot be resolved.");const K=await Q.provider.resolveTask(H,F.CancellationToken.None);if(!K)return;this.checkDeprecation(K,Q);const G=E.from(K,Q.extension);if(!G)throw new Error("Unexpected: Task cannot be resolved.");if(K.definition!==H.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return a.is(G.execution)&&await this.addCustomExecution(G,K,!0),await this.resolveTaskInternal(G)}nextHandle(){return this._handleCounter++}async addCustomExecution(z,V,Q){const H=await this._proxy.$createTaskId(z);!Q&&!this._providedCustomExecutions2.has(H)&&(this._notProvidedCustomExecutions.add(H),this._activeCustomExecutions2.set(H,V.execution)),this._providedCustomExecutions2.set(H,V.execution)}async getTaskExecution(z,V){if(typeof z=="string"){const K=this._taskExecutionPromises.get(z);if(!K)throw new Error("Unexpected: The specified task is missing an execution");return K}let Q=this._taskExecutionPromises.get(z.id);if(Q)return Q;const H=new Promise((K,G)=>{function j(ie,oe,ue){ue?K(new L(ie,oe.id,ue)):G("Unexpected: Task does not exist.")}V?j(this,z,V):E.to(z.task,this._workspaceProvider,this._providedCustomExecutions2).then(ie=>j(this,z,ie))});return this._taskExecutionPromises.set(z.id,H),H.then(K=>(this._taskExecutions.set(z.id,K),K),K=>Promise.reject(K))}checkDeprecation(z,V){z._deprecated&&this._deprecationService.report("Task.constructor",V.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(z){this._activeCustomExecutions2.get(z.id)&&this._activeCustomExecutions2.delete(z.id),this._notProvidedCustomExecutions.has(z.id)&&this._lastStartedTask!==z.id&&(this._providedCustomExecutions2.delete(z.id),this._notProvidedCustomExecutions.delete(z.id));let Q=this._notProvidedCustomExecutions.values(),H=Q.next();for(;!H.done;)!this._activeCustomExecutions2.has(H.value)&&this._lastStartedTask!==H.value&&(this._providedCustomExecutions2.delete(H.value),this._notProvidedCustomExecutions.delete(H.value)),H=Q.next()}};y=Be([Fe(0,p.IExtHostRpcService),Fe(1,b.IExtHostInitDataService),Fe(2,k.IExtHostWorkspace),Fe(3,_.IExtHostDocumentsAndEditors),Fe(4,R.IExtHostConfiguration),Fe(5,D.IExtHostTerminalService),Fe(6,S.ILogService),Fe(7,I.IExtHostApiDeprecationService)],y),e.ExtHostTaskBase=y;let B=class extends y{constructor(z,V,Q,H,K,G,j,ie){super(z,V,Q,H,K,G,j,ie);this.registerTaskSystem(u.Schemas.vscodeRemote,{scheme:u.Schemas.vscodeRemote,authority:"",platform:w.PlatformToString(0)})}async executeTask(z,V){if(!V.execution)throw new Error("Tasks to execute must include an execution");const Q=E.from(V,z);if(Q===void 0)throw new Error("Task is not valid");if(a.is(Q.execution))await this.addCustomExecution(Q,V,!1);else throw new c.NotSupportedError;const H=await this.getTaskExecution(await this._proxy.$getTaskExecution(Q),V);return this._proxy.$executeTask(Q).catch(K=>{throw new Error(K)}),H}provideTasksInternal(z,V,Q,H){const K=[];if(H)for(let G of H){this.checkDeprecation(G,Q),(!G.definition||!z[G.definition.type])&&this._logService.warn(`The task [${G.source}, ${G.name}] uses an undefined task type. The task will be ignored in the future.`);const j=E.from(G,Q.extension);j&&a.is(j.execution)?(K.push(j),V.push(this.addCustomExecution(j,G,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:K,extension:Q.extension}}async resolveTaskInternal(z){if(a.is(z.execution))return z;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(z,V){return{process:void 0,variables:Object.create(null)}}async $jsonTasksSupported(){return!1}async $findExecutable(z,V,Q){}};B=Be([Fe(0,p.IExtHostRpcService),Fe(1,b.IExtHostInitDataService),Fe(2,k.IExtHostWorkspace),Fe(3,_.IExtHostDocumentsAndEditors),Fe(4,R.IExtHostConfiguration),Fe(5,D.IExtHostTerminalService),Fe(6,S.ILogService),Fe(7,I.IExtHostApiDeprecationService)],B),e.WorkerExtHostTask=B,e.IExtHostTask=(0,g.createDecorator)("IExtHostTask")}),define(pe[267],ve([1,0,9,21,49,32,23,46,31]),function(ee,e,h,t,P,A,C,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class R{constructor(p,b,g){this.config=p,this.provider=b,this.sessionToken=g,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=p.filePattern,this.includePattern=p.includePattern&&A.parse(p.includePattern),this.maxResults=p.maxResults||void 0,this.exists=p.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=p.excludePattern&&A.parse(p.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(p=>p.cancel()),this.activeCancellationTokens=new Set}search(p){const b=this.config.folderQueries||[];return new Promise((g,u)=>{const w=S=>{this.resultCount++,p(S)};if(this.isCanceled)return g({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(S=>{const I=S.toString(),l=h.basename(I);this.globalExcludePattern&&this.globalExcludePattern(I,l)||this.matchFile(w,{base:S,basename:l})}),Promise.all(b.map(S=>this.searchInFolder(S,w))).then(S=>{g({limitHit:this.isLimitHit,stats:S[0]||void 0})},S=>{u(new Error((0,P.toErrorMessage)(S)))})})}async searchInFolder(p,b){const g=new t.CancellationTokenSource,u=this.getSearchOptionsForFolder(p),w=this.initDirectoryTree(),S=new _.QueryGlobTester(this.config,p),I=!S.hasSiblingExcludeClauses();let l;try{this.activeCancellationTokens.add(g),l=k.StopWatch.create();const c=await this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},u,g.token),f=l.elapsed(),s=k.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(c&&c.forEach(v=>{const o=h.posix.relative(p.folder.path,v.path);if(I){const n=h.basename(v.path);this.matchFile(b,{base:p.folder,relativePath:o,basename:n});return}this.addDirectoryEntries(w,p.folder,o,b)}),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(w,S,b),{providerTime:f,postProcessTime:s.elapsed()})}finally{g.dispose(),this.activeCancellationTokens.delete(g)}}getSearchOptionsForFolder(p){const b=(0,_.resolvePatternsForProvider)(this.config.includePattern,p.includePattern),g=(0,_.resolvePatternsForProvider)(this.config.excludePattern,p.excludePattern);return{folder:p.folder,excludes:g,includes:b,useIgnoreFiles:!p.disregardIgnoreFiles,useGlobalIgnoreFiles:!p.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!p.disregardParentIgnoreFiles,followSymlinks:!p.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const p={rootEntries:[],pathToEntries:Object.create(null)};return p.pathToEntries["."]=p.rootEntries,p}addDirectoryEntries({pathToEntries:p},b,g,u){if(g===this.filePattern){const S=h.basename(this.filePattern);this.matchFile(u,{base:b,relativePath:this.filePattern,basename:S})}function w(S){const I=h.basename(S),l=h.dirname(S);let c=p[l];c||(c=p[l]=[],w(l)),c.push({base:b,relativePath:S,basename:I})}w(g)}matchDirectoryTree({rootEntries:p,pathToEntries:b},g,u){const w=this,S=this.filePattern;function I(l){const c=A.hasSiblingFn(()=>l.map(f=>f.basename));for(let f=0,s=l.length;f<s;f++){const v=l[f],{relativePath:o,basename:n}=v;if(g.matchesExcludesSync(o,n,S!==n?c:void 0))continue;const r=b[o];if(r)I(r);else{if(o===S)continue;w.matchFile(u,v)}if(w.isLimitHit)break}}I(p)}matchFile(p,b){(!this.includePattern||b.relativePath&&this.includePattern(b.relativePath,b.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||p(b))}}class F{constructor(){this.sessions=new Map}fileSearch(p,b,g,u){const w=this.getSessionTokenSource(p.cacheKey),S=new R(p,b,w&&w.token);let I=0;const l=c=>{I+=c.length,g(c.map(f=>this.rawMatchToSearchItem(f)))};return this.doSearch(S,F.BATCH_SIZE,l,u).then(c=>({limitHit:c.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:I,detailStats:c.stats}}))}clearCache(p){const b=this.getSessionTokenSource(p);b&&b.cancel()}getSessionTokenSource(p){if(!!p)return this.sessions.has(p)||this.sessions.set(p,new t.CancellationTokenSource),this.sessions.get(p)}rawMatchToSearchItem(p){return p.relativePath?{resource:C.joinPath(p.base,p.relativePath)}:{resource:p.base}}doSearch(p,b,g,u){u.onCancellationRequested(()=>{p.cancel()});const w=I=>{I&&(S.push(I),b>0&&S.length>=b&&(g(S),S=[]))};let S=[];return p.search(w).then(I=>(S.length&&g(S),I),I=>(S.length&&g(S),Promise.reject(I)))}}e.FileSearchManager=F,F.BATCH_SIZE=512}),define(pe[268],ve([1,0,18,74,32,100,24,10,9,23,8,13,2,152,181,115,11,43,129,266,31]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I,l,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let f=class{constructor(d,E,T,L,O){this.configurationService=d,this.workspaceContextService=E,this.editorGroupsService=T,this.logService=L,this.pathService=O}text(d,E,T={}){d=this.getContentPattern(d,T);const L=this.configurationService.getValue(),O=E&&E.some(B=>!this.configurationService.getValue({resource:B}).search.useRipgrep);return{...this.commonQuery(E?.map(S.toWorkspaceFolder),T),type:2,contentPattern:d,previewOptions:T.previewOptions,maxFileSize:T.maxFileSize,usePCRE2:L.search.usePCRE2||O||!1,beforeContext:T.beforeContext,afterContext:T.afterContext,userDisabledExcludesAndIgnoreFiles:T.disregardExcludeSettings&&T.disregardIgnoreFiles}}getContentPattern(d,E){const T=this.configurationService.getValue();d.isRegExp&&(d.pattern=d.pattern.replace(/\r?\n/g,"\\n"));const L={...d,wordSeparators:T.editor.wordSeparators};return this.isCaseSensitive(d,E)&&(L.isCaseSensitive=!0),this.isMultiline(d)&&(L.isMultiline=!0),L}file(d,E={}){return{...this.commonQuery(d,E),type:1,filePattern:E.filePattern?E.filePattern.trim():E.filePattern,exists:E.exists,sortByScore:E.sortByScore,cacheKey:E.cacheKey}}handleIncludeExclude(d,E){return d?(d=Array.isArray(d)?d.map(r):r(d),E?this.parseSearchPaths(d):{pattern:v(...Array.isArray(d)?d:[d])}):{}}commonQuery(d=[],E={}){const T=this.handleIncludeExclude(E.includePattern,E.expandPatterns),L=this.handleIncludeExclude(E.excludePattern,E.expandPatterns),O=d.length>1,y=(T.searchPaths&&T.searchPaths.length?T.searchPaths.map(z=>this.getFolderQueryForSearchPath(z,E,L)):d.map(z=>this.getFolderQueryForRoot(z,E,L,O))).filter(z=>!!z),B={_reason:E._reason,folderQueries:y,usingSearchPaths:!!(T.searchPaths&&T.searchPaths.length),extraFileResources:E.extraFileResources,excludePattern:L.pattern,includePattern:T.pattern,onlyOpenEditors:E.onlyOpenEditors,maxResults:E.maxResults};if(E.onlyOpenEditors){const z=h.coalesce(h.flatten(this.editorGroupsService.groups.map(H=>H.editors.map(K=>K.resource))));this.logService.trace("QueryBuilder#commonQuery - openEditor URIs",JSON.stringify(z));const V=z.filter(H=>(0,c.pathIncludedInQuery)(B,H.fsPath)),Q=this.commonQueryFromFileList(V);return this.logService.trace("QueryBuilder#commonQuery - openEditor Query",JSON.stringify(Q)),{...B,...Q}}const M=E.extraFileResources&&E.extraFileResources.filter(z=>(0,c.pathIncludedInQuery)(B,z.fsPath));return B.extraFileResources=M&&M.length?M:void 0,B}commonQueryFromFileList(d){const E=[],T=new C.ResourceMap,L={};let O=!1;return d.forEach(y=>{if(y.scheme===k.Schemas.walkThrough)return;if((0,R.isAbsolutePath)(y)){const M=this.workspaceContextService.getWorkspaceFolder(y)?.uri??y.with({path:_.dirname(y.fsPath)});let z=T.get(M);z||(O=!0,z={folder:M,includePattern:{}},E.push(z),T.set(M,z));const V=_.relative(M.fsPath,y.fsPath);(0,D.assertIsDefined)(z.includePattern)[V.replace(/\\/g,"/")]=!0}else y.fsPath&&(O=!0,L[y.fsPath]=!0)}),{folderQueries:E,includePattern:L,usingSearchPaths:!0,excludePattern:O?void 0:{"**/*":!0}}}isCaseSensitive(d,E){if(E.isSmartCase){if(d.isRegExp){if(F.containsUppercaseCharacter(d.pattern,!0))return!0}else if(F.containsUppercaseCharacter(d.pattern))return!0}return!!d.isCaseSensitive}isMultiline(d){return d.isMultiline||d.isRegExp&&(0,b.isMultilineRegexSource)(d.pattern)||d.pattern.indexOf(`
`)>=0?!0:!!d.isMultiline}parseSearchPaths(d){const E=Q=>_.isAbsolute(Q)||/^\.\.?([\/\\]|$)/.test(Q),L=(Array.isArray(d)?d:o(d)).map(Q=>{const H=this.pathService.resolvedUserHome;return H?(0,A.untildify)(Q,H.scheme===k.Schemas.file?H.fsPath:H.path):Q}),O=t.groupBy(L,Q=>E(Q)?"searchPaths":"exprSegments"),y=(O.exprSegments||[]).map(Q=>F.rtrim(Q,"/")).map(Q=>F.rtrim(Q,"\\")).map(Q=>(Q[0]==="."&&(Q="*"+Q),n(Q))),B={},M=this.expandSearchPathPatterns(O.searchPaths||[]);M&&M.length&&(B.searchPaths=M);const z=h.flatten(y),V=v(...z);return V&&(B.pattern=V),B}getExcludesForFolder(d,E){return E.disregardExcludeSettings?void 0:(0,c.getExcludes)(d,!E.disregardSearchExcludeSettings)}expandSearchPathPatterns(d){if(!d||!d.length)return[];const E=h.flatten(d.map(L=>{let{pathPortion:O,globPortion:y}=s(L);y&&(y=i(y));const B=this.expandOneSearchPath(O);return h.flatten(B.map(M=>this.resolveOneSearchPathPattern(M,y)))})),T=new Map;return E.forEach(L=>{const O=L.searchPath.toString(),y=T.get(O);y?L.pattern&&(y.pattern=y.pattern||{},y.pattern[L.pattern]=!0):T.set(O,{searchPath:L.searchPath,pattern:L.pattern?v(L.pattern):void 0})}),Array.from(T.values())}expandOneSearchPath(d){if(_.isAbsolute(d)){const E=this.workspaceContextService.getWorkspace().folders;return E[0]&&E[0].uri.scheme!==k.Schemas.file?[{searchPath:E[0].uri.with({path:d})}]:[{searchPath:p.URI.file(_.normalize(d))}]}if(this.workspaceContextService.getWorkbenchState()===2){const E=this.workspaceContextService.getWorkspace().folders[0].uri;if(d=r(d),d.startsWith("../")||d===".."){const L=_.posix.resolve(E.path,d);return[{searchPath:E.with({path:L})}]}const T=i(d);return[{searchPath:E,pattern:T}]}else{if(d==="./"||d===".\\")return[];{const E=d.replace(/^\.[\/\\]/,""),L=this.workspaceContextService.getWorkspace().folders.map(O=>{const y=E.match(new RegExp(`^${F.escapeRegExpCharacters(O.name)}(?:/(.*)|$)`));return y?{match:y,folder:O}:null}).filter(D.isDefined);if(L.length)return L.map(O=>{const y=O.match[1];return{searchPath:O.folder.uri,pattern:y&&i(y)}});{const O=d.match(/\.[\/\\](.+)[\/\\]?/),y=O?O[1]:d,B=g.localize(0,null,y);throw new Error(B)}}}}resolveOneSearchPathPattern(d,E){const T=d.pattern&&E?`${d.pattern}/${E}`:d.pattern||E,L=[{searchPath:d.searchPath,pattern:T}];return T&&!T.endsWith("**")&&L.push({searchPath:d.searchPath,pattern:T+"/**"}),L}getFolderQueryForSearchPath(d,E,T){const L=this.getFolderQueryForRoot((0,S.toWorkspaceFolder)(d.searchPath),E,T,!1);return L?{...L,includePattern:d.pattern}:null}getFolderQueryForRoot(d,E,T,L){let O;const y=p.URI.isUri(d)?d:d.uri;if(T.searchPaths){const Q=T.searchPaths.filter(H=>(0,R.isEqual)(H.searchPath,y))[0];if(Q&&!Q.pattern)return null;Q&&(O=Q.pattern)}const B=this.configurationService.getValue({resource:y}),z={...this.getExcludesForFolder(B,E)||{},...O||{}},V=p.URI.isUri(d)?(0,R.basename)(d):d.name;return{folder:y,folderName:L?V:void 0,excludePattern:Object.keys(z).length>0?z:void 0,fileEncoding:B.files&&B.files.encoding,disregardIgnoreFiles:typeof E.disregardIgnoreFiles=="boolean"?E.disregardIgnoreFiles:!B.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof E.disregardGlobalIgnoreFiles=="boolean"?E.disregardGlobalIgnoreFiles:!B.search.useGlobalIgnoreFiles,disregardParentIgnoreFiles:typeof E.disregardParentIgnoreFiles=="boolean"?E.disregardParentIgnoreFiles:!B.search.useParentIgnoreFiles,ignoreSymlinks:typeof E.ignoreSymlinks=="boolean"?E.ignoreSymlinks:!B.search.followSymlinks}}};f=Be([Fe(0,u.IConfigurationService),Fe(1,S.IWorkspaceContextService),Fe(2,I.IEditorGroupsService),Fe(3,w.ILogService),Fe(4,l.IPathService)],f),e.QueryBuilder=f;function s(m){const d=m.match(/[\*\{\}\(\)\[\]\?]/);if(d){const E=d.index,T=m.substr(0,E).match(/[/|\\][^/\\]*$/);if(T){let L=m.substr(0,T.index);return L.match(/[/\\]/)||(L+="/"),{pathPortion:L,globPortion:m.substr((T.index||0)+1)}}}return{pathPortion:m}}function v(...m){return m.length?m.reduce((d,E)=>(d[E]=!0,d),Object.create(null)):void 0}function o(m){return P.splitGlobAware(m,",").map(d=>d.trim()).filter(d=>!!d.length)}function n(m){return[`**/${m}/**`,`**/${m}`].map(E=>E.replace(/\*\*\/\*\*/g,"**"))}function r(m){return m.replace(/\\/g,"/")}function i(m){return r(m).replace(/^\.\//,"").replace(/\/+$/g,"")}function a(m,d){m=h.distinct(m,L=>L.toString());const E=[],T=d.getWorkspace();return m&&m.forEach(L=>{let O;if(d.getWorkbenchState()===2)O=(0,R.relativePath)(T.folders[0].uri,L),O&&O!=="."&&(O="./"+O);else{const y=d.getWorkspaceFolder(L);if(y){const B=y.name;if(T.folders.filter(z=>z.name===B).length===1){const z=(0,R.relativePath)(y.uri,L);z===""?O=`./${y.name}`:O=`./${y.name}/${z}`}else O=L.fsPath}}O&&E.push(O)}),E}e.resolveResourcesForSearchIncludes=a}),define(pe[269],ve([1,0,23,2,21,17,4,268,31,43]),function(ee,e,h,t,P,A,C,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const F=7e3;function D(u,w){const S=w.activationEvents;if(!S)return Promise.resolve(void 0);const I=[],l=[];for(const n of S)if(/^workspaceContains:/.test(n)){const r=n.substr("workspaceContains:".length);r.indexOf("*")>=0||r.indexOf("?")>=0||u.forceUsingSearch?l.push(r):I.push(r)}if(I.length===0&&l.length===0)return Promise.resolve(void 0);let c;const f=new Promise((n,r)=>{c=n}),s=n=>c({activationEvent:n}),v=Promise.all(I.map(n=>p(u,n,s))).then(()=>{}),o=b(u,w.identifier,l,s);return Promise.all([v,o]).then(()=>{c(void 0)}),f}e.checkActivateWorkspaceContainsExtension=D;async function p(u,w,S){for(const I of u.folders)if(await u.exists(h.joinPath(t.URI.revive(I),w))){S(`workspaceContains:${w}`);return}}async function b(u,w,S,I){if(S.length===0)return Promise.resolve(void 0);const l=new P.CancellationTokenSource,c=u.checkExists(u.folders,S,l.token),f=setTimeout(async()=>{l.cancel(),u.logService.info(`Not activating extension '${w.value}': Timed out while searching for 'workspaceContains' pattern ${S.join(",")}`)},F);let s=!1;try{s=await c}catch(v){A.isCancellationError(v)||A.onUnexpectedError(v)}l.dispose(),clearTimeout(f),s&&I(`workspaceContains:${S.join(",")}`)}function g(u,w,S,I){const l=u.get(C.IInstantiationService),c=u.get(_.ISearchService),s=l.createInstance(k.QueryBuilder).file(w.map(v=>(0,R.toWorkspaceFolder)(t.URI.revive(v))),{_reason:"checkExists",includePattern:S,exists:!0});return c.fileSearch(s,I).then(v=>!!v.limitHit,v=>A.isCancellationError(v)?!1:Promise.reject(v))}e.checkGlobFileExists=g});var Xe=this&&this.__classPrivateFieldSet||function(ee,e,h,t,P){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!P)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?ee!==e||!P:!e.has(ee))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?P.call(ee,h):P?P.value=h:e.set(ee,h),h},Pe=this&&this.__classPrivateFieldGet||function(ee,e,h,t){if(h==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?ee!==e||!t:!e.has(ee))throw new TypeError("Cannot read private member from an object whose class did not declare it");return h==="m"?t:h==="a"?t.call(ee):t?t.value:e.get(ee)};define(pe[40],ve([1,0,167,9,71,23,15,6,24,2,11,5,37,225,87,36,30,224,17,27,22,199,7,120,4,26,67,16,80,51,34,3,269,86,201,10]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I,l,c,f,s,v,o,n,r,i,a,m,d,E,T,L,O,y){"use strict";var B,M,z;Object.defineProperty(e,"__esModule",{value:!0}),e.Extension=e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=(0,o.createDecorator)("IHostUtils");let V=class Gi extends k.Disposable{constructor(j,ie,oe,ue,Z,J,ae,he,we,Te){super();this._onDidChangeRemoteConnectionData=this._register(new E.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._hostUtils=ie,this._extHostContext=oe,this._initData=ae,this._extHostWorkspace=ue,this._extHostConfiguration=Z,this._logService=J,this._extHostTunnelService=we,this._extHostTerminalService=Te,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(D.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(D.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(D.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new C.Barrier,this._readyToStartExtensionHost=new C.Barrier,this._readyToRunExtensions=new C.Barrier,this._eagerExtensionsActivated=new C.Barrier,this._registry=new S.ExtensionDescriptionRegistry(this._initData.extensions),this._storage=new g.ExtHostStorage(this._extHostContext),this._secretState=new L.ExtHostSecretState(this._extHostContext),this._storagePath=he,this._instaService=j.createChild(new a.ServiceCollection([g.IExtHostStorage,this._storage],[L.IExtHostSecretState,this._secretState]));const Ne=new Set;this._initData.hostExtensions.forEach(be=>Ne.add(l.ExtensionIdentifier.toKey(be))),this._activator=this._register(new b.ExtensionsActivator(this._registry,this._initData.resolvedExtensions,this._initData.hostExtensions,{onExtensionActivationError:(be,Ee,$)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(be,I.transformErrorForSerialization(Ee),$)},actualActivateExtension:async(be,Ee)=>{if(Ne.has(l.ExtensionIdentifier.toKey(be)))return await this._mainThreadExtensionsProxy.$activateExtension(be,Ee),new b.HostExtension;const $=this._registry.getExtensionDescription(be);return this._activateExtension($,Ee)}},this._logService)),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),P.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(j){I.onUnexpectedError(j)}}async deactivateAll(){this._storagePath.onWillDeactivateAll();let j=[];try{j=this._registry.getAllExtensionDescriptions().map(Z=>Z.identifier).filter(Z=>this.isActivated(Z)).map(Z=>this._deactivate(Z))}catch{}await Promise.all(j)}isActivated(j){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(j):!1}_activateByEvent(j,ie){return this._activator.activateByEvent(j,ie)}_activateById(j,ie){return this._activator.activateById(j,ie)}activateByIdWithErrors(j,ie){return this._activateById(j,ie).then(()=>{const oe=this._activator.getActivatedExtension(j);if(oe.activationFailed)return Promise.reject(oe.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(j=>this._registry)}getExtensionExports(j){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(j).exports:null}async _realPathExtensionUri(j){if(j.scheme!==y.Schemas.file)return j;const ie=await this._hostUtils.realpath(j.fsPath);return R.URI.file(ie)}async getExtensionPathIndex(){return this._extensionPathIndex||(this._extensionPathIndex=(async()=>{const j=_.TernarySearchTree.forUris(ie=>A.extUriBiasedIgnorePathCase.ignorePathCasing(ie));for(const ie of this._registry.getAllExtensionDescriptions())if(this._getEntryPoint(ie)){const oe=await this._realPathExtensionUri(ie.extensionLocation);j.set(oe,ie)}return j})()),this._extensionPathIndex}_deactivate(j){let ie=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(j))return ie;const oe=this._activator.getActivatedExtension(j);if(!oe)return ie;try{typeof oe.module.deactivate=="function"&&(ie=Promise.resolve(oe.module.deactivate()).then(void 0,ue=>(this._logService.error(ue),Promise.resolve(void 0))))}catch(ue){this._logService.error(`An error occurred when deactivating the extension '${j.value}':`),this._logService.error(ue)}try{(0,k.dispose)(oe.subscriptions)}catch(ue){this._logService.error(`An error occurred when deactivating the subscriptions for extension '${j.value}':`),this._logService.error(ue)}return ie}async _activateExtension(j,ie){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(j.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(j.identifier),this._doActivateExtension(j,ie).then(oe=>{const ue=oe.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(j.identifier,ue.codeLoadingTime,ue.activateCallTime,ue.activateResolvedTime,ie),this._logExtensionActivationTimes(j,ie,"success",ue),oe},oe=>{throw this._logExtensionActivationTimes(j,ie,"failure"),oe})}_logExtensionActivationTimes(j,ie,oe,ue){const Z=Q(j,ie);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",{...Z,...ue||{},outcome:oe})}_doActivateExtension(j,ie){const oe=Q(j,ie);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",oe);const ue=this._getEntryPoint(j);if(!ue)return Promise.resolve(new b.EmptyExtension(b.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${j.identifier.value}, startup: ${ie.startup}, activationEvent: '${ie.activationEvent}'${j.identifier.value!==ie.extensionId.value?`, root cause: ${ie.extensionId.value}`:""}`),this._logService.flush();const Z=new b.ExtensionActivationTimesBuilder(ie.startup);return Promise.all([this._loadCommonJSModule(j.identifier,(0,A.joinPath)(j.extensionLocation,ue),Z),this._loadExtensionContext(j)]).then(J=>(P.mark(`code/extHost/willActivateExtension/${j.identifier.value}`),Gi._callActivate(this._logService,j.identifier,J[0],J[1],Z))).then(J=>(P.mark(`code/extHost/didActivateExtension/${j.identifier.value}`),J))}_loadExtensionContext(j){const ie=new f.ExtensionGlobalMemento(j,this._storage),oe=new f.ExtensionMemento(j.identifier.value,!1,this._storage),ue=new O.ExtensionSecrets(j,this._secretState),Z=j.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?s.ExtensionMode.Test:s.ExtensionMode.Development:s.ExtensionMode.Production,J=this._initData.remote.isRemote?s.ExtensionKind.Workspace:s.ExtensionKind.UI;return this._logService.trace(`ExtensionService#loadExtensionContext ${j.identifier.value}`),Promise.all([ie.whenReady,oe.whenReady,this._storagePath.whenReady]).then(()=>{const ae=this;let he,we;const Te=(0,w.isProposedApiEnabled)(j,"ipc")?this._initData.messagePorts?.get(l.ExtensionIdentifier.toKey(j.identifier)):void 0;return Object.freeze({globalState:ie,workspaceState:oe,secrets:ue,subscriptions:[],get extensionUri(){return j.extensionLocation},get extensionPath(){return j.extensionLocation.fsPath},asAbsolutePath(Ne){return t.join(j.extensionLocation.fsPath,Ne)},get storagePath(){return ae._storagePath.workspaceValue(j)?.fsPath},get globalStoragePath(){return ae._storagePath.globalValue(j).fsPath},get logPath(){return t.join(ae._initData.logsLocation.fsPath,j.identifier.value)},get logUri(){return R.URI.joinPath(ae._initData.logsLocation,j.identifier.value)},get storageUri(){return ae._storagePath.workspaceValue(j)},get globalStorageUri(){return ae._storagePath.globalValue(j)},get extensionMode(){return Z},get extension(){return he===void 0&&(he=new H(ae,j.identifier,j,J)),he},get extensionRuntime(){return(0,w.checkProposedApiEnabled)(j,"extensionRuntime"),ae.extensionRuntime},get environmentVariableCollection(){return ae._extHostTerminalService.getEnvironmentVariableCollection(j)},get messagePassingProtocol(){if(!we){if(!Te)return;const Ne=E.Event.buffer(E.Event.fromDOMEventEmitter(Te,"message",be=>be.data));Te.start(),we={onDidReceiveMessage:Ne,postMessage:Te.postMessage.bind(Te)}}return we}})})}static _callActivate(j,ie,oe,ue,Z){return oe=oe||{activate:void 0,deactivate:void 0},this._callActivateOptional(j,ie,oe,ue,Z).then(J=>new b.ActivatedExtension(!1,null,Z.build(),oe,J,ue.subscriptions))}static _callActivateOptional(j,ie,oe,ue,Z){if(typeof oe.activate=="function")try{Z.activateCallStart(),j.trace(`ExtensionService#_callActivateOptional ${ie.value}`);const J=typeof global=="object"?global:self,ae=oe.activate.apply(J,[ue]);return Z.activateCallStop(),Z.activateResolveStart(),Promise.resolve(ae).then(he=>(Z.activateResolveStop(),he))}catch(J){return Promise.reject(J)}else return Promise.resolve(oe)}_activateOneStartupFinished(j,ie){this._activateById(j.identifier,{startup:!1,extensionId:j.identifier,activationEvent:ie}).then(void 0,oe=>{this._logService.error(oe)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(P.getMarks());for(const j of this._registry.getAllExtensionDescriptions())if(j.activationEvents)for(const ie of j.activationEvents)ie==="onStartupFinished"&&this._activateOneStartupFinished(j,ie)}_handleEagerExtensions(){const j=this._activateByEvent("*",!0).then(void 0,Z=>{this._logService.error(Z)});this._register(this._extHostWorkspace.onDidChangeWorkspace(Z=>this._handleWorkspaceContainsEagerExtensions(Z.added)));const ie=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],oe=this._handleWorkspaceContainsEagerExtensions(ie),ue=Promise.all([j,oe]).then(()=>{});return Promise.race([ue,(0,C.timeout)(1e4)]).then(()=>{this._activateAllStartupFinished()}),ue}_handleWorkspaceContainsEagerExtensions(j){return j.length===0?Promise.resolve(void 0):Promise.all(this._registry.getAllExtensionDescriptions().map(ie=>this._handleWorkspaceContainsEagerExtension(j,ie))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(j,ie){if(this.isActivated(ie.identifier))return;const oe=!this._initData.remote.isRemote&&!!this._initData.remote.authority,ue={logService:this._logService,folders:j.map(J=>J.uri),forceUsingSearch:oe,exists:J=>this._hostUtils.exists(J.fsPath),checkExists:(J,ae,he)=>this._mainThreadWorkspaceProxy.$checkExists(J,ae,he)},Z=await(0,T.checkActivateWorkspaceContainsExtension)(ue,ie);if(!!Z)return this._activateById(ie.identifier,{startup:!0,extensionId:ie.identifier,activationEvent:Z.activationEvent}).then(void 0,J=>this._logService.error(J))}async $extensionTestsExecute(){await this._eagerExtensionsActivated.wait();try{return await this._doHandleExtensionTests()}catch(j){throw console.error(j),j}}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:j,extensionTestsLocationURI:ie}=this._initData.environment;if(!j||!ie)throw new Error(h.localize(0,null));const oe=await this._loadCommonJSModule(null,ie,new b.ExtensionActivationTimesBuilder(!1));if(!oe||typeof oe.run!="function")throw new Error(h.localize(1,null,ie.toString()));return new Promise((ue,Z)=>{const J=(we,Te)=>{we?Z(we):ue(typeof Te=="number"&&Te>0?1:0)},ae=(0,A.originalFSPath)(ie),he=oe.run(ae,J);he&&he.then&&he.then(()=>{ue(0)}).catch(we=>{Z(we instanceof Error&&we.stack?we.stack:String(we))})})}async $extensionTestsExit(j){this._logService.info(`Extension host terminating: test runner requested exit with code ${j}`),this._hostUtils.pid&&this._logService.info(`Extension host with pid ${this._hostUtils.pid} exiting with code ${j}`),this._logService.flush(),this._hostUtils.exit(j)}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>{this._eagerExtensionsActivated.open(),this._logService.info("Eager extensions activated")})}registerRemoteAuthorityResolver(j,ie){return this._resolvers[j]=ie,(0,k.toDisposable)(()=>{delete this._resolvers[j]})}async _activateAndGetResolver(j){const ie=j.indexOf("+");if(ie===-1)throw new Error("Not an authority that can be resolved!");const oe=j.substr(0,ie);return await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${oe}`,!1),{authorityPrefix:oe,resolver:this._resolvers[oe]}}async $resolveAuthority(j,ie){this._logService.info(`$resolveAuthority invoked for authority (${K(j)})`);const{authorityPrefix:oe,resolver:ue}=await this._activateAndGetResolver(j);if(!ue)return{type:"error",error:{code:v.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${oe}.`,detail:void 0}};try{this._register(await this._extHostTunnelService.setTunnelFactory(ue)),P.mark(`code/extHost/willResolveAuthority/${oe}`);const Z=await ue.resolve(j,{resolveAttempt:ie});P.mark(`code/extHost/didResolveAuthorityOK/${oe}`);const J={authority:j,host:Z.host,port:Z.port,connectionToken:Z.connectionToken},ae={extensionHostEnv:Z.extensionHostEnv,isTrusted:Z.isTrusted,authenticationSession:Z.authenticationSessionForInitializingExtensions?{id:Z.authenticationSessionForInitializingExtensions.id,providerId:Z.authenticationSessionForInitializingExtensions.providerId}:void 0};return{type:"ok",value:{authority:J,options:ae,tunnelInformation:{environmentTunnels:Z.environmentTunnels,features:Z.tunnelFeatures}}}}catch(Z){if(P.mark(`code/extHost/didResolveAuthorityError/${oe}`),Z instanceof s.RemoteAuthorityResolverError)return{type:"error",error:{code:Z._code,message:Z._message,detail:Z._detail}};throw Z}}async $getCanonicalURI(j,ie){this._logService.info(`$getCanonicalURI invoked for authority (${K(j)})`);const{authorityPrefix:oe,resolver:ue}=await this._activateAndGetResolver(j);if(!ue)throw new Error(`Cannot get canonical URI because no remote extension is installed to resolve ${oe}`);const Z=R.URI.revive(ie);if(typeof ue.getCanonicalURI=="undefined")return Z;const J=await(0,C.asPromise)(()=>ue.getCanonicalURI(Z));return J||Z}$startExtensionHost(j){return this._registry.keepOnly(j),this._startExtensionHost()}$activateByEvent(j,ie){return ie===1?this._activateByEvent(j,!1):this._readyToRunExtensions.wait().then(oe=>this._activateByEvent(j,!1))}async $activate(j,ie){return await this._readyToRunExtensions.wait(),this._registry.getExtensionDescription(j)?(await this._activateById(j,ie),!0):!1}async $deltaExtensions(j,ie){j.forEach(ue=>ue.extensionLocation=R.URI.revive(ue.extensionLocation));const oe=await this.getExtensionPathIndex();return await Promise.all(ie.map(async ue=>{const Z=this._registry.getExtensionDescription(ue);Z&&oe.delete(await this._realPathExtensionUri(Z.extensionLocation))})),await Promise.all(j.map(async ue=>{const Z=await this._realPathExtensionUri(ue.extensionLocation);oe.set(Z,ue)})),this._registry.deltaExtensions(j,ie),Promise.resolve(void 0)}async $test_latency(j){return j}async $test_up(j){return j.byteLength}async $test_down(j){let ie=c.VSBuffer.alloc(j),oe=Math.random()%256;for(let ue=0;ue<j;ue++)ie.writeUInt8(oe,ue);return ie}async $updateRemoteConnectionData(j){this._remoteConnectionData=j,this._onDidChangeRemoteConnectionData.fire()}};V=Be([Fe(0,o.IInstantiationService),Fe(1,e.IHostUtils),Fe(2,i.IExtHostRpcService),Fe(3,u.IExtHostWorkspace),Fe(4,p.IExtHostConfiguration),Fe(5,F.ILogService),Fe(6,n.IExtHostInitDataService),Fe(7,r.IExtensionStoragePaths),Fe(8,m.IExtHostTunnelService),Fe(9,d.IExtHostTerminalService)],V),e.AbstractExtHostExtensionService=V;function Q(G,j){return{id:G.identifier.value,name:G.name,extensionVersion:G.version,publisherDisplayName:G.publisher,activationEvents:G.activationEvents?G.activationEvents.join(","):null,isBuiltin:G.isBuiltin,reason:j.activationEvent,reasonId:j.extensionId.value}}e.IExtHostExtensionService=(0,o.createDecorator)("IExtHostExtensionService");class H{constructor(j,ie,oe,ue){B.set(this,void 0),M.set(this,void 0),z.set(this,void 0),Xe(this,B,j,"f"),Xe(this,M,ie,"f"),Xe(this,z,oe.identifier,"f"),this.id=oe.identifier.value,this.extensionUri=oe.extensionLocation,this.extensionPath=t.normalize((0,A.originalFSPath)(oe.extensionLocation)),this.packageJSON=oe,this.extensionKind=ue}get isActive(){return Pe(this,B,"f").isActivated(Pe(this,z,"f"))}get exports(){if(this.packageJSON.api!=="none")return Pe(this,B,"f").getExtensionExports(Pe(this,z,"f"))}activate(){return Pe(this,B,"f").activateByIdWithErrors(Pe(this,z,"f"),{startup:!1,extensionId:Pe(this,M,"f"),activationEvent:"api"}).then(()=>this.exports)}}e.Extension=H,B=new WeakMap,M=new WeakMap,z=new WeakMap;function K(G){const j=G.indexOf("+");return j===-1?G:G.substring(0,j)}}),define(pe[54],ve([1,0,9,2,3,15,5,7,126,36,40,45,217,37,210,16,4,13,41,53]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostVariableResolverService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=(0,w.createDecorator)("IExtHostDebugService");let c=class{constructor(a,m,d,E,T,L){this._workspaceService=m,this._extensionService=d,this._editorsService=E,this._configurationService=T,this._editorTabs=L,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new P.Emitter,this._onDidTerminateDebugSession=new P.Emitter,this._onDidChangeActiveDebugSession=new P.Emitter,this._onDidReceiveDebugSessionCustomEvent=new P.Emitter,this._debugServiceProxy=a.getProxy(C.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new P.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new s(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(O=>{O.onDidChange(y=>{this.registerAllDebugTypes(O)}),this.registerAllDebugTypes(O)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(a,m){const d=a;if(typeof d.sourceReference=="number"&&d.sourceReference>0){let E=`debug:${encodeURIComponent(d.path||"")}`,T="?";return m&&(E+=`${T}session=${encodeURIComponent(m.id)}`,T="&"),E+=`${T}ref=${d.sourceReference}`,t.URI.parse(E)}else{if(d.path)return t.URI.file(d.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(a){const m=[];for(const d of a.getAllExtensionDescriptions())if(d.contributes){const E=d.contributes.debuggers;if(E&&E.length>0)for(const T of E)(0,g.isDebuggerMainContribution)(T)&&m.push(T.type)}this._debugServiceProxy.$registerDebugTypes(m)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const a=[];return this._breakpoints.forEach(m=>a.push(m)),a}addBreakpoints(a){this.startBreakpoints();const m=a.filter(T=>{const L=T.id;return this._breakpoints.has(L)?!1:(this._breakpoints.set(L,T),!0)});this.fireBreakpointChanges(m,[],[]);const d=[],E=new Map;for(const T of m)if(T instanceof k.SourceBreakpoint){let L=E.get(T.location.uri.toString());L||(L={type:"sourceMulti",uri:T.location.uri,lines:[]},E.set(T.location.uri.toString(),L),d.push(L)),L.lines.push({id:T.id,enabled:T.enabled,condition:T.condition,hitCondition:T.hitCondition,logMessage:T.logMessage,line:T.location.range.start.line,character:T.location.range.start.character})}else T instanceof k.FunctionBreakpoint&&d.push({type:"function",id:T.id,enabled:T.enabled,hitCondition:T.hitCondition,logMessage:T.logMessage,condition:T.condition,functionName:T.functionName});return this._debugServiceProxy.$registerBreakpoints(d)}removeBreakpoints(a){this.startBreakpoints();const m=a.filter(L=>this._breakpoints.delete(L.id));this.fireBreakpointChanges([],m,[]);const d=m.filter(L=>L instanceof k.SourceBreakpoint).map(L=>L.id),E=m.filter(L=>L instanceof k.FunctionBreakpoint).map(L=>L.id),T=m.filter(L=>L instanceof k.DataBreakpoint).map(L=>L.id);return this._debugServiceProxy.$unregisterBreakpoints(d,E,T)}startDebugging(a,m,d){return this._debugServiceProxy.$startDebugging(a?a.uri:void 0,m,{parentSessionID:d.parentSession?d.parentSession.id:void 0,lifecycleManagedByParent:d.lifecycleManagedByParent,repl:d.consoleMode===k.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:d.noDebug,compact:d.compact,debugUI:d.debugUI,suppressSaveBeforeStart:d.suppressSaveBeforeStart})}stopDebugging(a){return this._debugServiceProxy.$stopDebugging(a?a.id:void 0)}registerDebugConfigurationProvider(a,m,d){if(!m)return new k.Disposable(()=>{});const E=this._configProviderHandleCounter++;return this._configProviders.push({type:a,handle:E,provider:m}),this._debugServiceProxy.$registerDebugConfigurationProvider(a,d,!!m.provideDebugConfigurations,!!m.resolveDebugConfiguration,!!m.resolveDebugConfigurationWithSubstitutedVariables,E),new k.Disposable(()=>{this._configProviders=this._configProviders.filter(T=>T.provider!==m),this._debugServiceProxy.$unregisterDebugConfigurationProvider(E)})}registerDebugAdapterDescriptorFactory(a,m,d){if(!d)return new k.Disposable(()=>{});if(!this.definesDebugType(a,m))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${m}' debugger.`);if(this.getAdapterDescriptorFactoryByType(m))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const E=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:m,handle:E,factory:d}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(m,E),new k.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(T=>T.factory!==d),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(E)})}registerDebugAdapterTrackerFactory(a,m){if(!m)return new k.Disposable(()=>{});const d=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:a,handle:d,factory:m}),new k.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(E=>E.factory!==m)})}async $runInTerminal(a,m){return Promise.resolve(void 0)}async $substituteVariables(a,m){if(!this._variableResolver){const[T,L]=await Promise.all([this._workspaceService.getWorkspaceFolders2(),this._configurationService.getConfigProvider()]);this._variableResolver=this.createVariableResolver(T||[],this._editorsService,L)}let d;const E=await this.getFolder(a);return E&&(d={uri:E.uri,name:E.name,index:E.index,toResource:()=>{throw new Error("Not implemented")}}),this._variableResolver.resolveAnyAsync(d,m)}createDebugAdapter(a,m){if(a.type==="implementation")return new n(a.implementation)}createSignService(){}async $startDASession(a,m){const d=this,E=await this.getSession(m);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(E.type),E).then(T=>{if(!T)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${E.type}' (extension might have failed to activate)`);const L=this.convertToDto(T),O=this.createDebugAdapter(L,E);if(!O)throw new Error(`Couldn't create a debug adapter for type '${E.type}'.`);const y=O;return this._debugAdapters.set(a,y),this.getDebugAdapterTrackers(E).then(B=>(B&&this._debugAdaptersTrackers.set(a,B),y.onMessage(async M=>{if(M.type==="request"&&M.command==="handshake"){const z=M,V={type:"response",seq:0,command:z.command,request_seq:z.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const Q=await this._signService.sign(z.arguments.value);V.body={signature:Q},y.sendResponse(V)}else throw new Error("no signer")}catch(Q){V.success=!1,V.message=Q.message,y.sendResponse(V)}}else B&&B.onDidSendMessage&&B.onDidSendMessage(M),M=(0,g.convertToVSCPaths)(M,!0),d._debugServiceProxy.$acceptDAMessage(a,M)}),y.onError(M=>{B&&B.onError&&B.onError(M),this._debugServiceProxy.$acceptDAError(a,M.name,M.message,M.stack)}),y.onExit(M=>{B&&B.onExit&&B.onExit((0,S.withNullAsUndefined)(M),void 0),this._debugServiceProxy.$acceptDAExit(a,(0,S.withNullAsUndefined)(M),void 0)}),B&&B.onWillStartSession&&B.onWillStartSession(),y.startSession()))})}$sendDAMessage(a,m){m=(0,g.convertToDAPaths)(m,!1);const d=this._debugAdaptersTrackers.get(a);d&&d.onWillReceiveMessage&&d.onWillReceiveMessage(m);const E=this._debugAdapters.get(a);E&&E.sendMessage(m)}$stopDASession(a){const m=this._debugAdaptersTrackers.get(a);this._debugAdaptersTrackers.delete(a),m&&m.onWillStopSession&&m.onWillStopSession();const d=this._debugAdapters.get(a);return this._debugAdapters.delete(a),d?d.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(a){const m=[],d=[],E=[];if(a.added)for(const T of a.added){const L=T.id;if(L&&!this._breakpoints.has(L)){let O;if(T.type==="function")O=new k.FunctionBreakpoint(T.functionName,T.enabled,T.condition,T.hitCondition,T.logMessage);else if(T.type==="data")O=new k.DataBreakpoint(T.label,T.dataId,T.canPersist,T.enabled,T.hitCondition,T.condition,T.logMessage);else{const y=t.URI.revive(T.uri);O=new k.SourceBreakpoint(new k.Location(y,new k.Position(T.line,T.character)),T.enabled,T.condition,T.hitCondition,T.logMessage)}O._id=L,this._breakpoints.set(L,O),m.push(O)}}if(a.removed)for(const T of a.removed){const L=this._breakpoints.get(T);L&&(this._breakpoints.delete(T),d.push(L))}if(a.changed){for(const T of a.changed)if(T.id){const L=this._breakpoints.get(T.id);if(L){if(L instanceof k.FunctionBreakpoint&&T.type==="function"){const O=L;O.enabled=T.enabled,O.condition=T.condition,O.hitCondition=T.hitCondition,O.logMessage=T.logMessage,O.functionName=T.functionName}else if(L instanceof k.SourceBreakpoint&&T.type==="source"){const O=L;O.enabled=T.enabled,O.condition=T.condition,O.hitCondition=T.hitCondition,O.logMessage=T.logMessage,O.location=new k.Location(t.URI.revive(T.uri),new k.Position(T.line,T.character))}E.push(L)}}}this.fireBreakpointChanges(m,d,E)}$provideDebugConfigurations(a,m,d){return(0,A.asPromise)(async()=>{const E=this.getConfigProviderByHandle(a);if(!E)throw new Error("no DebugConfigurationProvider found");if(!E.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const T=await this.getFolder(m);return E.provideDebugConfigurations(T,d)}).then(E=>{if(!E)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return E})}$resolveDebugConfiguration(a,m,d,E){return(0,A.asPromise)(async()=>{const T=this.getConfigProviderByHandle(a);if(!T)throw new Error("no DebugConfigurationProvider found");if(!T.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const L=await this.getFolder(m);return T.resolveDebugConfiguration(L,d,E)})}$resolveDebugConfigurationWithSubstitutedVariables(a,m,d,E){return(0,A.asPromise)(async()=>{const T=this.getConfigProviderByHandle(a);if(!T)throw new Error("no DebugConfigurationProvider found");if(!T.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const L=await this.getFolder(m);return T.resolveDebugConfigurationWithSubstitutedVariables(L,d,E)})}async $provideDebugAdapter(a,m){const d=this.getAdapterDescriptorFactoryByHandle(a);if(!d)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const E=await this.getSession(m);return this.getAdapterDescriptor(d,E).then(T=>{if(!T)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${E.type}'`);return this.convertToDto(T)})}async $acceptDebugSessionStarted(a){const m=await this.getSession(a);this._onDidStartDebugSession.fire(m)}async $acceptDebugSessionTerminated(a){const m=await this.getSession(a);m&&(this._onDidTerminateDebugSession.fire(m),this._debugSessions.delete(m.id))}async $acceptDebugSessionActiveChanged(a){this._activeDebugSession=a?await this.getSession(a):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(a,m){const d=await this.getSession(a);d&&d._acceptNameChanged(m)}async $acceptDebugSessionCustomEvent(a,m){const E={session:await this.getSession(a),event:m.event,body:m.body};this._onDidReceiveDebugSessionCustomEvent.fire(E)}convertToDto(a){if(a instanceof k.DebugAdapterExecutable)return{type:"executable",command:a.command,args:a.args,options:a.options};if(a instanceof k.DebugAdapterServer)return{type:"server",port:a.port,host:a.host};if(a instanceof k.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:a.path};if(a instanceof k.DebugAdapterInlineImplementation)return{type:"implementation",implementation:a.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(a){const m=this._adapterFactories.filter(d=>d.type===a);if(m.length>0)return m[0].factory}getAdapterDescriptorFactoryByHandle(a){const m=this._adapterFactories.filter(d=>d.handle===a);if(m.length>0)return m[0].factory}getConfigProviderByHandle(a){const m=this._configProviders.filter(d=>d.handle===a);if(m.length>0)return m[0].provider}definesDebugType(a,m){if(a.contributes){const d=a.contributes.debuggers;if(d&&d.length>0){for(const E of d)if(E.label&&E.type&&E.type===m)return!0}}return!1}getDebugAdapterTrackers(a){const d=a.configuration.type,E=this._trackerFactories.filter(T=>T.type===d||T.type==="*").map(T=>(0,A.asPromise)(()=>T.factory.createDebugAdapterTracker(a)).then(L=>L,L=>null));return Promise.race([Promise.all(E).then(T=>{const L=T.filter(O=>!!O);if(L.length>0)return new o(L)}),new Promise((T,L)=>{const O=setTimeout(()=>{clearTimeout(O),L(new Error("timeout"))},1e3)})]).catch(T=>{})}async getAdapterDescriptor(a,m){const d=m.configuration.debugServer;if(typeof d=="number")return Promise.resolve(new k.DebugAdapterServer(d));if(a){const T=await this._extensionService.getExtensionRegistry();return(0,A.asPromise)(()=>a.createDebugAdapterDescriptor(m,this.daExecutableFromPackage(m,T))).then(L=>{if(L)return L})}const E=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(m,E))}daExecutableFromPackage(a,m){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(a,m,d){(a.length>0||m.length>0||d.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:a,removed:m,changed:d}))}async getSession(a){if(a)if(typeof a=="string"){const m=this._debugSessions.get(a);if(m)return m}else{let m=this._debugSessions.get(a.id);if(!m){const d=await this.getFolder(a.folderUri),E=a.parent?this._debugSessions.get(a.parent):void 0;m=new f(this._debugServiceProxy,a.id,a.type,a.name,d,a.configuration,E),this._debugSessions.set(m.id,m),this._debugServiceProxy.$sessionCached(m.id)}return m}throw new Error("cannot find session")}getFolder(a){if(a){const m=t.URI.revive(a);return this._workspaceService.resolveWorkspaceFolder(m)}return Promise.resolve(void 0)}};c=Be([Fe(0,u.IExtHostRpcService),Fe(1,R.IExtHostWorkspace),Fe(2,F.IExtHostExtensionService),Fe(3,D.IExtHostDocumentsAndEditors),Fe(4,b.IExtHostConfiguration),Fe(5,l.IExtHostEditorTabs)],c),e.ExtHostDebugServiceBase=c;class f{constructor(a,m,d,E,T,L,O){this._debugServiceProxy=a,this._id=m,this._type=d,this._name=E,this._workspaceFolder=T,this._configuration=L,this._parentSession=O}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(a){this._name=a,this._debugServiceProxy.$setDebugSessionName(this._id,a)}get parentSession(){return this._parentSession}_acceptNameChanged(a){this._name=a}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(a,m){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,a,m)}getDebugProtocolBreakpoint(a){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,a.id)}}e.ExtHostDebugSession=f;class s{constructor(a){this.value=Object.freeze({append(m){a.$appendDebugConsole(m)},appendLine(m){this.append(m+`
`)}})}}e.ExtHostDebugConsole=s;class v extends p.AbstractVariableResolverService{constructor(a,m,d,E,T,L){function O(){if(m){const y=m.activeEditor();if(y)return y.document.uri;const B=E.tabGroups.all.find(M=>M.isActive)?.activeTab;if(B!==void 0){const M=B.resource;return M&&(M.primary||M.secondary)?M.primary??M.secondary:B.resource}}}super({getFolderUri:y=>{const B=a.filter(M=>M.name===y);if(B&&B.length>0)return B[0].uri},getWorkspaceFolderCount:()=>a.length,getConfigurationValue:(y,B)=>d.getConfiguration(void 0,y).get(B),getAppRoot:()=>I.cwd(),getExecPath:()=>I.env.VSCODE_EXEC_PATH,getFilePath:()=>{const y=O();if(y)return h.normalize(y.fsPath)},getWorkspaceFolderPathForFile:()=>{if(T){const y=O();if(y){const B=T.getWorkspaceFolder(y);if(B)return h.normalize(B.uri.fsPath)}}},getSelectedText:()=>{if(m){const y=m.activeEditor();if(y&&!y.selection.isEmpty)return y.document.getText(y.selection)}},getLineNumber:()=>{if(m){const y=m.activeEditor();if(y)return String(y.selection.end.line+1)}}},void 0,L?Promise.resolve(L):void 0,Promise.resolve(I.env))}}e.ExtHostVariableResolverService=v;class o{constructor(a){this.trackers=a}onWillStartSession(){this.trackers.forEach(a=>a.onWillStartSession?a.onWillStartSession():void 0)}onWillReceiveMessage(a){this.trackers.forEach(m=>m.onWillReceiveMessage?m.onWillReceiveMessage(a):void 0)}onDidSendMessage(a){this.trackers.forEach(m=>m.onDidSendMessage?m.onDidSendMessage(a):void 0)}onWillStopSession(){this.trackers.forEach(a=>a.onWillStopSession?a.onWillStopSession():void 0)}onError(a){this.trackers.forEach(m=>m.onError?m.onError(a):void 0)}onExit(a,m){this.trackers.forEach(d=>d.onExit?d.onExit(a,m):void 0)}}class n extends _.AbstractDebugAdapter{constructor(a){super();this.implementation=a,a.onDidSendMessage(m=>{this.acceptMessage(m)})}startSession(){return Promise.resolve(void 0)}sendMessage(a){this.implementation.handleMessage(a)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let r=class extends c{constructor(a,m,d,E,T,L){super(a,m,d,E,T,L)}createVariableResolver(a,m,d){return new v(a,m,d,this._editorTabs)}};r=Be([Fe(0,u.IExtHostRpcService),Fe(1,R.IExtHostWorkspace),Fe(2,F.IExtHostExtensionService),Fe(3,D.IExtHostDocumentsAndEditors),Fe(4,b.IExtHostConfiguration),Fe(5,l.IExtHostEditorTabs)],r),e.WorkerExtHostDebugService=r}),define(pe[270],ve([1,0,71,2,5,37,30,27,16,26,4,40,41,11,8]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let u=class{constructor(f,s,v,o,n,r,i){this._apiFactory=f,this._extensionRegistry=s,this._instaService=v,this._extHostConfiguration=o,this._extHostExtensionService=n,this._initData=r,this._logService=i,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),h.mark("code/extHost/willWaitForConfig");const f=await this._extHostConfiguration.getConfigProvider();h.mark("code/extHost/didWaitForConfig");const s=await this._extHostExtensionService.getExtensionPathIndex();this.register(new S(this._apiFactory,s,this._extensionRegistry,f,this._logService)),this.register(this._instaService.createInstance(I,s)),this.register(this._instaService.createInstance(w)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(l,s,this._initData.environment.appUriScheme))}register(f){if("nodeModuleName"in f)if(Array.isArray(f.nodeModuleName))for(let s of f.nodeModuleName)this._factories.set(s,f);else this._factories.set(f.nodeModuleName,f);typeof f.alternativeModuleName=="function"&&this._alternatives.push(s=>f.alternativeModuleName(s))}};u=Be([Fe(2,F.IInstantiationService),Fe(3,A.IExtHostConfiguration),Fe(4,D.IExtHostExtensionService),Fe(5,R.IExtHostInitDataService),Fe(6,b.ILogService)],u),e.RequireInterceptor=u;let w=class $i{constructor(f){if(f.environment.appRoot&&$i.aliased.size){const s=(0,g.escapeRegExpCharacters)(this.forceForwardSlashes(f.environment.appRoot.fsPath)),v="[a-z0-9_.-]",o=`@${v}+\\/${v}+|${v}+`,n="node_modules|node_modules\\.asar(?:\\.unpacked)?";this.re=new RegExp(`^(${s}/${n}\\/)(${o})(.*)$`,"i")}}alternativeModuleName(f){if(!this.re)return;const s=this.re.exec(this.forceForwardSlashes(f));if(!s)return;const[,v,o,n]=s,r=$i.aliased.get(o);if(r!==void 0)return console.warn(`${o} as been renamed to ${r}, please update your imports`),v+r+n}forceForwardSlashes(f){return f.replace(/\\/g,"/")}};w.aliased=new Map([["vscode-ripgrep","@vscode/ripgrep"],["vscode-windows-registry","@vscode/windows-registry"]]),w=Be([Fe(0,R.IExtHostInitDataService)],w);class S{constructor(f,s,v,o,n){this._apiFactory=f,this._extensionPaths=s,this._extensionRegistry=v,this._configProvider=o,this._logService=n,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(f,s){const v=this._extensionPaths.findSubstr(s);if(v){let o=this._extApiImpl.get(k.ExtensionIdentifier.toKey(v.identifier));return o||(o=this._apiFactory(v,this._extensionRegistry,this._configProvider),this._extApiImpl.set(k.ExtensionIdentifier.toKey(v.identifier),o)),o}if(!this._defaultApiImpl){let o="";this._extensionPaths.forEach((n,r)=>o+=`	${r} -> ${n.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${s}. These are the extension path mappings: 
${o}`),this._defaultApiImpl=this._apiFactory(C.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let I=class{constructor(f,s,v){this._extensionPaths=f,this.nodeModuleName="keytar",this._mainThreadTelemetry=s.getProxy(P.MainContext.MainThreadTelemetry);const{environment:o}=v,n=s.getProxy(P.MainContext.MainThreadKeytar);if(o.appRoot){let r=o.appRoot.fsPath;p.platform==="win32"&&(r=r.replace(/\\/g,"/")),r[r.length-1]==="/"&&(r=r.substr(0,r.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${r}/node_modules.asar/keytar`),this.alternativeNames.add(`${r}/node_modules/keytar`)}this._impl={getPassword:(r,i)=>n.$getPassword(r,i),setPassword:(r,i,a)=>n.$setPassword(r,i,a),deletePassword:(r,i)=>n.$deletePassword(r,i),findPassword:r=>n.$findPassword(r),findCredentials(r){return n.$findCredentials(r)}}}load(f,s){const v=this._extensionPaths.findSubstr(s);return this._mainThreadTelemetry.$publicLog2("shimming.keytar",{extension:v?.identifier.value??"unknown_extension"}),this._impl}alternativeModuleName(f){const s=f.length;if(s<=7||!this.alternativeNames)return;const v=s-7;if((f.charAt(v)==="/"||f.charAt(v)==="\\")&&f.endsWith("keytar")&&(f=f.replace(/\\/g,"/"),this.alternativeNames.has(f)))return"keytar"}};I=Be([Fe(1,_.IExtHostRpcService),Fe(2,R.IExtHostInitDataService)],I);let l=class{constructor(f,s,v){this._extensionPaths=f,this._appUriScheme=s,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=v.getProxy(P.MainContext.MainThreadTelemetry);const o=v.getProxy(P.MainContext.MainThreadWindow);this._impl=(n,r)=>{const i=t.URI.parse(n);return r?this.callOriginal(n,r):i.scheme==="http"||i.scheme==="https"?o.$openUri(i,n,{allowTunneling:!0}):i.scheme==="mailto"||i.scheme===this._appUriScheme?o.$openUri(i,n,{}):this.callOriginal(n,r)}}load(f,s,v){const o=this._extensionPaths.findSubstr(s);return o&&(this._extensionId=o.identifier.value,this.sendShimmingTelemetry()),this._original=v(f),this._impl}callOriginal(f,s){return this.sendNoForwardTelemetry(),this._original(f,s)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};l=Be([Fe(2,_.IExtHostRpcService)],l)}),define(pe[271],ve([1,0,15,17,71,6,2,5,264,11,61,80,26,188,16,64,40,34]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class I{constructor(c,f,s,v,o){this._disposables=new A.DisposableStore,this._isTerminating=!1,this._hostUtils=s,this._rpcProtocol=new _.RPCProtocol(c,null,v),f=I._transform(f,this._rpcProtocol);const n=new D.ServiceCollection(...(0,F.getSingletonServiceDescriptors)());n.set(p.IExtHostInitDataService,{_serviceBrand:void 0,...f,messagePorts:o}),n.set(g.IExtHostRpcService,new g.ExtHostRpcService(this._rpcProtocol)),n.set(u.IURITransformerService,new u.URITransformerService(v)),n.set(w.IHostUtils,s);const r=new b.InstantiationService(n,!0);this._disposables.add(r.invokeFunction(d=>d.get(S.IExtHostTerminalService))),this._disposables.add(r.invokeFunction(d=>d.get(w.IExtHostExtensionService))),this._logService=r.invokeFunction(d=>d.get(R.ILogService)),P.mark("code/extHost/didCreateServices"),this._hostUtils.pid?this._logService.info(`Extension host with pid ${this._hostUtils.pid} started`):this._logService.info("Extension host started"),this._logService.trace("initData",f),this._extensionService=r.invokeFunction(d=>d.get(w.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const i=new WeakMap;this._extensionService.getExtensionPathIndex().then(d=>{Error.prepareStackTrace=(E,T)=>{let L="",O,y;for(const B of T)L+=`
	at ${B.toString()}`,y=B.getFileName(),!O&&y&&(O=d.findSubstr(C.URI.file(y)));return i.set(E,O),`${E.name||"Error"}: ${E.message||""}${L}`}});const a=this._rpcProtocol.getProxy(k.MainContext.MainThreadExtensionService),m=this._rpcProtocol.getProxy(k.MainContext.MainThreadErrors);t.setUnexpectedErrorHandler(d=>{const E=t.transformErrorForSerialization(d),T=i.get(d);T?a.$onExtensionRuntimeError(T.identifier,E):m.$onUnexpectedError(E)})}terminate(c){if(this._isTerminating)return;this._isTerminating=!0,this._logService.info(`extension host terminating: ${c}`),this._logService.flush(),this._disposables.dispose(),t.setUnexpectedErrorHandler(s=>{this._logService.error(s)}),this._rpcProtocol.dispose();const f=this._extensionService.deactivateAll();Promise.race([(0,h.timeout)(5e3),f]).finally(()=>{this._hostUtils.pid?this._logService.info(`Extension host with pid ${this._hostUtils.pid} exiting with code 0`):this._logService.info("Extension host exiting with code 0"),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(0)})}static _transform(c,f){c.extensions.forEach(v=>v.extensionLocation=C.URI.revive(f.transformIncomingURIs(v.extensionLocation))),c.environment.appRoot=C.URI.revive(f.transformIncomingURIs(c.environment.appRoot));const s=c.environment.extensionDevelopmentLocationURI;return s&&(c.environment.extensionDevelopmentLocationURI=s.map(v=>C.URI.revive(f.transformIncomingURIs(v)))),c.environment.extensionTestsLocationURI=C.URI.revive(f.transformIncomingURIs(c.environment.extensionTestsLocationURI)),c.environment.globalStorageHome=C.URI.revive(f.transformIncomingURIs(c.environment.globalStorageHome)),c.environment.workspaceStorageHome=C.URI.revive(f.transformIncomingURIs(c.environment.workspaceStorageHome)),c.logsLocation=C.URI.revive(f.transformIncomingURIs(c.logsLocation)),c.logFile=C.URI.revive(f.transformIncomingURIs(c.logFile)),c.workspace=f.transformIncomingURIs(c.workspace),c}}e.ExtensionHostMain=I}),define(pe[272],ve([1,0,173,60,12,7,211,36,40,45,37,34,16,54,195,15,212,53,187]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.runInExternalTerminal=e.ExtHostDebugService=void 0;let l=class extends b.ExtHostDebugServiceBase{constructor(o,n,r,i,a,m,d){super(o,n,r,i,a,d);this._terminalService=m,this._integratedTerminalInstances=new s}createDebugAdapter(o,n){switch(o.type){case"server":return new C.SocketDebugAdapter(o);case"pipeServer":return new C.NamedPipeDebugAdapter(o);case"executable":return new C.ExecutableDebugAdapter(o,n.type)}return super.createDebugAdapter(o,n)}daExecutableFromPackage(o,n){const r=C.ExecutableDebugAdapter.platformAdapterExecutable(n.getAllExtensionDescriptions(),o.type);if(r)return new A.DebugAdapterExecutable(r.command,r.args,r.options)}createSignService(){return new g.SignService}async $runInTerminal(o,n){if(o.kind==="integrated"){this._terminalDisposedListener||(this._terminalDisposedListener=this._terminalService.onDidCloseTerminal(M=>{this._integratedTerminalInstances.onTerminalClosed(M)}));const r=await this._configurationService.getConfigProvider(),i=this._terminalService.getDefaultShell(!0),a=this._terminalService.getDefaultShellArgs(!0),m=o.title||h.localize(0,null),d=JSON.stringify({shell:i,shellArgs:a});let E=await this._integratedTerminalInstances.checkout(d,m),T,L=!1;if(E)T=o.cwd;else{const M={shellPath:i,shellArgs:a,cwd:o.cwd,name:m,iconPath:new A.ThemeIcon("debug")};L=!0,E=this._terminalService.createTerminalFromOptions(M,{isFeatureTerminal:!0,useShellEnvironment:!0}),this._integratedTerminalInstances.insert(E,d)}E.show(!0);const O=await E.processId;L?await new Promise(M=>setTimeout(M,1e3)):r.getConfiguration("debug.terminal").get("clearBeforeReusing")&&(i.indexOf("powershell")>=0||i.indexOf("pwsh")>=0||i.indexOf("cmd.exe")>=0?E.sendText("cls"):i.indexOf("bash")>=0?E.sendText("clear"):P.isWindows?E.sendText("cls"):E.sendText("clear"));const y=(0,w.prepareCommand)(i,o.args,T,o.env);E.sendText(y);const B=this.onDidTerminateDebugSession(M=>{M.id===n&&(this._integratedTerminalInstances.free(E),B.dispose())});return O}else if(o.kind==="external")return f(o,await this._configurationService.getConfigProvider());return super.$runInTerminal(o,n)}createVariableResolver(o,n,r){return new b.ExtHostVariableResolverService(o,n,r,this._editorTabs,this._workspaceService,(0,t.homedir)())}};l=Be([Fe(0,p.IExtHostRpcService),Fe(1,k.IExtHostWorkspace),Fe(2,_.IExtHostExtensionService),Fe(3,R.IExtHostDocumentsAndEditors),Fe(4,F.IExtHostConfiguration),Fe(5,D.IExtHostTerminalService),Fe(6,S.IExtHostEditorTabs)],l),e.ExtHostDebugService=l;let c;function f(v,o){if(!c)if(P.isWindows)c=new I.WindowsExternalTerminalService;else if(P.isMacintosh)c=new I.MacExternalTerminalService;else if(P.isLinux)c=new I.LinuxExternalTerminalService;else throw new Error("external terminals not supported on this platform");const n=o.getConfiguration("terminal");return c.runInTerminal(v.title,v.cwd,v.args,v.env||{},n.external||{})}e.runInExternalTerminal=f;class s{constructor(){this._terminalInstances=new Map}async checkout(o,n){const i=[...this._terminalInstances.entries()].map(([a,m])=>(0,u.createCancelablePromise)(async d=>{if(a.name!==n||m.lastUsedAt!==-1&&await(0,w.hasChildProcesses)(await a.processId))return null;const E=Date.now();return m.lastUsedAt+s.minUseDelay>E||d.isCancellationRequested||m.config!==o?null:(m.lastUsedAt=E,a)}));return await(0,u.firstParallel)(i,a=>!!a)}insert(o,n){this._terminalInstances.set(o,{lastUsedAt:Date.now(),config:n})}free(o){const n=this._terminalInstances.get(o);n&&(n.lastUsedAt=-1)}onTerminalClosed(o){this._terminalInstances.delete(o)}}s.minUseDelay=1e3}),define(pe[273],ve([1,0,9,2,112,36,54,45,37,43,34,16,26,70,10,11,65,53,23,60]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTask=void 0;let c=class extends b.ExtHostTaskBase{constructor(s,v,o,n,r,i,a,m,d){super(s,v,o,n,r,i,a,m);this.workspaceService=o,this.editorTabs=d,v.remote.isRemote&&v.remote.authority?this.registerTaskSystem(g.Schemas.vscodeRemote,{scheme:g.Schemas.vscodeRemote,authority:v.remote.authority,platform:process.platform}):this.registerTaskSystem(g.Schemas.file,{scheme:g.Schemas.file,authority:"",platform:process.platform}),this._proxy.$registerSupportedExecutions(!0,!0,!0)}async executeTask(s,v){const o=v;if(!v.execution&&o._id===void 0)throw new Error("Tasks to execute must include an execution");if(o._id!==void 0){const n=b.TaskHandleDTO.from(o,this.workspaceService),r=await this._proxy.$getTaskExecution(n);if(r.task===void 0)throw new Error("Task from execution DTO is undefined");const i=await this.getTaskExecution(r,v);return this._proxy.$executeTask(n).catch(()=>{}),i}else{const n=b.TaskDTO.from(v,s);if(n===void 0)return Promise.reject(new Error("Task is not valid"));b.CustomExecutionDTO.is(n.execution)&&await this.addCustomExecution(n,v,!1);const r=await this.getTaskExecution(await this._proxy.$getTaskExecution(n),v);return this._proxy.$executeTask(n).catch(()=>{}),r}}provideTasksInternal(s,v,o,n){const r=[];if(n)for(let i of n){this.checkDeprecation(i,o),(!i.definition||!s[i.definition.type])&&this._logService.warn(`The task [${i.source}, ${i.name}] uses an undefined task type. The task will be ignored in the future.`);const a=b.TaskDTO.from(i,o.extension);a&&(r.push(a),b.CustomExecutionDTO.is(a.execution)&&v.push(this.addCustomExecution(a,i,!0)))}return{tasks:r,extension:o.extension}}async resolveTaskInternal(s){return s}async getVariableResolver(s){if(this._variableResolver===void 0){const v=await this._configurationService.getConfigProvider();this._variableResolver=new C.ExtHostVariableResolverService(s,this._editorService,v,this.editorTabs,this.workspaceService,(0,l.homedir)())}return this._variableResolver}async getAFolder(s){let v=s&&s.length>0?s[0]:void 0;if(!v){const o=t.URI.file((0,l.homedir)());v=new R.WorkspaceFolder({uri:o,name:I.basename(o),index:0})}return{uri:v.uri,name:v.name,index:v.index,toResource:()=>{throw new Error("Not implemented")}}}async $resolveVariables(s,v){const o=t.URI.revive(s),n={process:void 0,variables:Object.create(null)},r=await this._workspaceProvider.resolveWorkspaceFolder(o),i=await this._workspaceProvider.getWorkspaceFolders2()??[],a=await this.getVariableResolver(i),m=r?{uri:r.uri,name:r.name,index:r.index,toResource:()=>{throw new Error("Not implemented")}}:await this.getAFolder(i);for(let d of v.variables)n.variables[d]=await a.resolveAsync(m,d);if(v.process!==void 0){let d;if(v.process.path!==void 0){d=v.process.path.split(h.delimiter);for(let E=0;E<d.length;E++)d[E]=await a.resolveAsync(m,d[E])}n.process=await P.win32.findExecutable(await a.resolveAsync(m,v.process.name),v.process.cwd!==void 0?await a.resolveAsync(m,v.process.cwd):void 0,d)}return n}async $jsonTasksSupported(){return!0}async $findExecutable(s,v,o){return P.win32.findExecutable(s,v,o)}};c=Be([Fe(0,D.IExtHostRpcService),Fe(1,p.IExtHostInitDataService),Fe(2,A.IExtHostWorkspace),Fe(3,k.IExtHostDocumentsAndEditors),Fe(4,_.IExtHostConfiguration),Fe(5,F.IExtHostTerminalService),Fe(6,u.ILogService),Fe(7,w.IExtHostApiDeprecationService),Fe(8,S.IExtHostEditorTabs)],c),e.ExtHostTask=c}),define(pe[137],ve([1,0,18,15,21,49,32,10,9,23,13,2,31]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class b{constructor(c,f,s,v){this.query=c,this.provider=f,this.fileUtils=s,this.processType=v,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(c,f){const s=this.query.folderQueries||[],v=new P.CancellationTokenSource;return f.onCancellationRequested(()=>v.cancel()),new Promise((o,n)=>{this.collector=new u(c);let r=!1;const i=(a,m)=>{if(!r&&!this.isLimitHit){const d=this.resultSize(a);S(a)&&typeof this.query.maxResults=="number"&&this.resultCount+d>this.query.maxResults&&(this.isLimitHit=!0,r=!0,v.cancel(),a=this.trimResultToSize(a,this.query.maxResults-this.resultCount));const E=this.resultSize(a);this.resultCount+=E,(E>0||!S(a))&&this.collector.add(a,m)}};Promise.all(s.map((a,m)=>this.searchInFolder(a,d=>i(d,m),v.token))).then(a=>{v.dispose(),this.collector.flush();const m=a.some(d=>!!d&&!!d.limitHit);o({limitHit:this.isLimitHit||m,messages:(0,h.flatten)(a.map(d=>d?.message?(0,F.isArray)(d.message)?d.message:[d.message]:[])),stats:{type:this.processType}})},a=>{v.dispose();const m=(0,A.toErrorMessage)(a);n(new Error(m))})})}resultSize(c){return S(c)?Array.isArray(c.ranges)?c.ranges.length:1:0}trimResultToSize(c,f){const s=Array.isArray(c.ranges)?c.ranges:[c.ranges],v=Array.isArray(c.preview.matches)?c.preview.matches:[c.preview.matches];return{ranges:s.slice(0,f),preview:{matches:v.slice(0,f),text:c.preview.text},uri:c.uri}}async searchInFolder(c,f,s){const v=new p.QueryGlobTester(this.query,c),o=[],n={report:a=>{if(!this.validateProviderResult(a))return;const m=c.folder.scheme===k.Schemas.file?C.hasSiblingPromiseFn(()=>this.fileUtils.readdir(R.dirname(a.uri))):void 0,d=R.relativePath(c.folder,a.uri);if(d){const E=v.includedInQuery(d,_.basename(d),m);(0,t.isThenable)(E)?o.push(E.then(T=>{T&&f(a)})):E&&f(a)}}},r=this.getSearchOptionsForFolder(c),i=await this.provider.provideTextSearchResults(g(this.query.contentPattern),r,n,s);return o.length&&await Promise.all(o),i}validateProviderResult(c){if(S(c)){if(Array.isArray(c.ranges)){if(!Array.isArray(c.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(c.preview.matches.length!==c.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(c.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(c){const f=(0,p.resolvePatternsForProvider)(this.query.includePattern,c.includePattern),s=(0,p.resolvePatternsForProvider)(this.query.excludePattern,c.excludePattern),v={folder:D.URI.from(c.folder),excludes:s,includes:f,useIgnoreFiles:!c.disregardIgnoreFiles,useGlobalIgnoreFiles:!c.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!c.disregardParentIgnoreFiles,followSymlinks:!c.ignoreSymlinks,encoding:c.fileEncoding&&this.fileUtils.toCanonicalName(c.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return v.usePCRE2=this.query.usePCRE2,v}}e.TextSearchManager=b;function g(l){return{isCaseSensitive:l.isCaseSensitive||!1,isRegExp:l.isRegExp||!1,isWordMatch:l.isWordMatch||!1,isMultiline:l.isMultiline||!1,pattern:l.pattern}}class u{constructor(c){this._onResult=c,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new I(512,f=>this.sendItems(f))}add(c,f){this._currentFileMatch&&(this._currentFolderIdx!==f||!R.isEqual(this._currentUri,c.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=f,this._currentFileMatch={resource:c.uri,results:[]}),this._currentFileMatch.results.push(w(c))}pushToCollector(){const c=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,c)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(c){this._onResult(c)}}e.TextSearchResultsCollector=u;function w(l){return S(l)?{preview:{matches:(0,h.mapArrayOrNot)(l.preview.matches,c=>({startLineNumber:c.start.line,startColumn:c.start.character,endLineNumber:c.end.line,endColumn:c.end.character})),text:l.preview.text},ranges:(0,h.mapArrayOrNot)(l.ranges,c=>({startLineNumber:c.start.line,startColumn:c.start.character,endLineNumber:c.end.line,endColumn:c.end.character}))}:{text:l.text,lineNumber:l.lineNumber}}function S(l){return!!l.preview}e.extensionResultIsMatch=S;class I{constructor(c,f){this.maxBatchSize=c,this.cb=f,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(c,f){!c||this.addItemToBatch(c,f)}addItems(c,f){!c||this.addItemsToBatch(c,f)}addItemToBatch(c,f){this.batch.push(c),this.batchSize+=f,this.onUpdate()}addItemsToBatch(c,f){this.batch=this.batch.concat(c),this.batchSize+=f,this.onUpdate()}onUpdate(){this.totalNumberCompleted<I.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},I.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=I,I.TIMEOUT=4e3,I.START_BATCH_AFTER_COUNT=50}),define(pe[72],ve([1,0,6,5,4,267,16,64,11,2,137]),function(ee,e,h,t,P,A,C,k,_,R,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=(0,P.createDecorator)("IExtHostSearch");let D=class{constructor(u,w,S){this.extHostRpc=u,this._uriTransformer=w,this._logService=S,this._proxy=this.extHostRpc.getProxy(t.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new A.FileSearchManager}_transformScheme(u){return this._uriTransformer.transformOutgoingScheme(u)}registerTextSearchProvider(u,w){if(this._textSearchUsedSchemes.has(u))throw new Error(`a text search provider for the scheme '${u}' is already registered`);this._textSearchUsedSchemes.add(u);const S=this._handlePool++;return this._textSearchProvider.set(S,w),this._proxy.$registerTextSearchProvider(S,this._transformScheme(u)),(0,h.toDisposable)(()=>{this._textSearchUsedSchemes.delete(u),this._textSearchProvider.delete(S),this._proxy.$unregisterProvider(S)})}registerFileSearchProvider(u,w){if(this._fileSearchUsedSchemes.has(u))throw new Error(`a file search provider for the scheme '${u}' is already registered`);this._fileSearchUsedSchemes.add(u);const S=this._handlePool++;return this._fileSearchProvider.set(S,w),this._proxy.$registerFileSearchProvider(S,this._transformScheme(u)),(0,h.toDisposable)(()=>{this._fileSearchUsedSchemes.delete(u),this._fileSearchProvider.delete(S),this._proxy.$unregisterProvider(S)})}$provideFileSearchResults(u,w,S,I){const l=p(S),c=this._fileSearchProvider.get(u);if(c)return this._fileSearchManager.fileSearch(l,c,f=>{this._proxy.$handleFileMatch(u,w,f.map(s=>s.resource))},I);throw new Error("unknown provider: "+u)}$clearCache(u){return this._fileSearchManager.clearCache(u),Promise.resolve(void 0)}$provideTextSearchResults(u,w,S,I){const l=this._textSearchProvider.get(u);if(!l||!l.provideTextSearchResults)throw new Error(`Unknown provider ${u}`);const c=p(S);return this.createTextSearchManager(c,l).search(s=>this._proxy.$handleTextMatch(u,w,s),I)}$enableExtensionHostSearch(){}createTextSearchManager(u,w){return new F.TextSearchManager(u,w,{readdir:S=>Promise.resolve([]),toCanonicalName:S=>S},"textSearchProvider")}};D=Be([Fe(0,C.IExtHostRpcService),Fe(1,k.IURITransformerService),Fe(2,_.ILogService)],D),e.ExtHostSearch=D;function p(g){return{...g,folderQueries:g.folderQueries&&g.folderQueries.map(b),extraFileResources:g.extraFileResources&&g.extraFileResources.map(u=>R.URI.revive(u))}}e.reviveQuery=p;function b(g){return{...g,folder:R.URI.revive(g.folder)}}}),define(pe[274],ve([1,0,61,135,36,133,37,39,45,34,70,54,72,87,51,65,136,66,44,86,124,53,134,11,226]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I,l,c,f,s,v,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,h.registerSingleton)(v.ILoggerService,s.ExtHostLoggerService),(0,h.registerSingleton)(v.ILogService,o.ExtHostLogService),(0,h.registerSingleton)(u.IExtHostApiDeprecationService,u.ExtHostApiDeprecationService),(0,h.registerSingleton)(k.IExtHostCommands,k.ExtHostCommands),(0,h.registerSingleton)(C.IExtHostConfiguration,C.ExtHostConfiguration),(0,h.registerSingleton)(S.IExtHostConsumerFileSystem,S.ExtHostConsumerFileSystem),(0,h.registerSingleton)(D.IExtHostDebugService,D.WorkerExtHostDebugService),(0,h.registerSingleton)(A.IExtHostDecorations,A.ExtHostDecorations),(0,h.registerSingleton)(_.IExtHostDocumentsAndEditors,_.ExtHostDocumentsAndEditors),(0,h.registerSingleton)(I.IExtHostFileSystemInfo,I.ExtHostFileSystemInfo),(0,h.registerSingleton)(t.IExtHostOutputService,t.ExtHostOutputService),(0,h.registerSingleton)(p.IExtHostSearch,p.ExtHostSearch),(0,h.registerSingleton)(b.IExtHostStorage,b.ExtHostStorage),(0,h.registerSingleton)(F.IExtHostTask,F.WorkerExtHostTask),(0,h.registerSingleton)(R.IExtHostTerminalService,R.WorkerExtHostTerminalService),(0,h.registerSingleton)(g.IExtHostTunnelService,g.ExtHostTunnelService),(0,h.registerSingleton)(w.IExtHostWindow,w.ExtHostWindow),(0,h.registerSingleton)(P.IExtHostWorkspace,P.ExtHostWorkspace),(0,h.registerSingleton)(l.IExtHostSecretState,l.ExtHostSecretState),(0,h.registerSingleton)(c.IExtHostTelemetry,c.ExtHostTelemetry),(0,h.registerSingleton)(f.IExtHostEditorTabs,f.ExtHostEditorTabs)}),define(pe[88],ve([1,0,18,11,31,69]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutputChannel=e.createTextSearchResult=e.anchorGlob=void 0;function C(D){return D.startsWith("**")||D.startsWith("/")?D:`/${D}`}e.anchorGlob=C;function k(D,p,b,g){const u=(0,h.mapArrayOrNot)(b,_),w=new P.TextSearchMatch(p,u,g),S=w.preview.matches;return{ranges:(0,h.mapArrayOrNot)(u,R),uri:D,preview:{text:w.preview.text,matches:(0,h.mapArrayOrNot)(S,R)}}}e.createTextSearchResult=k;function _(D){return new P.SearchRange(D.start.line,D.start.character,D.end.line,D.end.character)}function R(D){return new A.Range(D.startLineNumber,D.startColumn,D.endLineNumber,D.endColumn)}let F=class{constructor(p,b){this.prefix=p,this.logService=b}appendLine(p){this.logService.debug(`${this.prefix}#search`,p)}};F=Be([Fe(1,t.ILogService)],F),e.OutputChannel=F}),define(pe[275],ve([1,0,38,9,78,29,12,8,88,276]),function(ee,e,h,t,P,A,C,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixDriveC=e.getAbsoluteGlob=e.foldersToIncludeGlobs=e.foldersToRgExcludeGlobs=e.spawnRipgrepCmd=void 0;const F=R.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");function D(l,c,f,s){const v=p(l,c,f,s),o=c.folder.fsPath;return{cmd:h.spawn(F,v.args,{cwd:o}),rgDiskPath:F,siblingClauses:v.siblingClauses,rgArgs:v,cwd:o}}e.spawnRipgrepCmd=D;function p(l,c,f,s){const v=["--files","--hidden","--case-sensitive"];g([c],f,!1).forEach(n=>{const r=(0,_.anchorGlob)(n);if(v.push("-g",r),C.isMacintosh){const i=(0,P.normalizeNFD)(r);i!==r&&v.push("-g",i)}});const o=b([c],s,void 0,!1);return o.globArgs.forEach(n=>{const r=`!${(0,_.anchorGlob)(n)}`;if(v.push("-g",r),C.isMacintosh){const i=(0,P.normalizeNFD)(r);i!==r&&v.push("-g",i)}}),c.disregardIgnoreFiles!==!1?v.push("--no-ignore"):c.disregardParentIgnoreFiles!==!1&&v.push("--no-ignore-parent"),c.ignoreSymlinks||v.push("--follow"),l.exists&&v.push("--quiet"),v.push("--no-config"),c.disregardGlobalIgnoreFiles&&v.push("--no-ignore-global"),{args:v,siblingClauses:o.siblingClauses}}function b(l,c,f,s=!0){const v=[];let o={};return l.forEach(n=>{const r=Object.assign({},n.excludePattern||{},c||{}),i=u(r,s?n.folder.fsPath:void 0,f);v.push(...i.globArgs),i.siblingClauses&&(o=Object.assign(o,i.siblingClauses))}),{globArgs:v,siblingClauses:o}}e.foldersToRgExcludeGlobs=b;function g(l,c,f=!0){const s=[];return l.forEach(v=>{const o=Object.assign({},c||{},v.includePattern||{}),n=u(o,f?v.folder.fsPath:void 0);s.push(...n.globArgs)}),s}e.foldersToIncludeGlobs=g;function u(l,c,f){const s=[],v={};return Object.keys(l).forEach(o=>{if(f&&f.has(o)||!o)return;const n=l[o];o=S(c?w(c,o):o),o.startsWith("\\\\")?o="\\\\"+o.substr(2).replace(/\\/g,"/"):o=o.replace(/\\/g,"/"),typeof n=="boolean"&&n?(o.startsWith("\\\\")&&(o+="**"),s.push(I(o))):n&&n.when&&(v[o]=n)}),{globArgs:s,siblingClauses:v}}function w(l,c){return t.isAbsolute(c)?c:t.join(l,c)}e.getAbsoluteGlob=w;function S(l){return l=k.rtrim(l,"\\"),k.rtrim(l,"/")}function I(l){return A.getRoot(l).toLowerCase()==="c:/"?l.replace(/^c:[/\\]/i,"/"):l}e.fixDriveC=I}),define(pe[277],ve([1,0,38,59,9,102,18,49,32,78,29,12,46,8,13,28,31,275,98]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.rgErrorMsgForDisplay=e.Engine=e.FileWalker=void 0;const l=new Set;process.on("exit",()=>{l.forEach(o=>o())});class c{constructor(n){this.normalizedFilePatternLowercase=null,this.maxFilesize=null,this.isCanceled=!1,this.fileWalkSW=null,this.cmdSW=null,this.cmdResultCount=0,this.config=n,this.filePattern=n.filePattern||"",this.includePattern=n.includePattern&&_.parse(n.includePattern),this.maxResults=n.maxResults||null,this.exists=!!n.exists,this.walkedPaths=Object.create(null),this.resultCount=0,this.isLimitHit=!1,this.directoriesWalked=0,this.filesWalked=0,this.errors=[],this.filePattern&&(this.normalizedFilePatternLowercase=(0,I.prepareQuery)(this.filePattern).normalizedLowercase),this.globalExcludePattern=n.excludePattern&&_.parse(n.excludePattern),this.folderExcludePatterns=new Map,n.folderQueries.forEach(r=>{const i=Object.assign({},r.excludePattern||{},this.config.excludePattern||{}),a=r.folder.fsPath;n.folderQueries.map(m=>m.folder.fsPath).filter(m=>m!==a).forEach(m=>{(0,F.isEqualOrParent)(m,a)&&(i[P.relative(a,m)]=!0)}),this.folderExcludePatterns.set(a,new s(i,a))})}cancel(){this.isCanceled=!0,l.forEach(n=>n())}walk(n,r,i,a,m){if(this.fileWalkSW=p.StopWatch.create(!1),this.isCanceled)return m(null,this.isLimitHit);r.forEach(d=>{const E=P.basename(d.fsPath);this.globalExcludePattern&&this.globalExcludePattern(d.fsPath,E)||this.matchFile(i,{relativePath:d.fsPath,searchPath:void 0})}),this.cmdSW=p.StopWatch.create(!1),this.parallel(n,(d,E)=>{this.call(this.cmdTraversal,this,d,i,a,T=>{if(T){const L=(0,k.toErrorMessage)(T);console.error(L),this.errors.push(L),E(T,void 0)}else E(null,void 0)})},(d,E)=>{this.fileWalkSW.stop();const T=d?C.coalesce(d)[0]:null;m(T,this.isLimitHit)})}parallel(n,r,i){const a=new Array(n.length),m=new Array(n.length);let d=!1,E=0;if(n.length===0)return i(null,[]);n.forEach((T,L)=>{r(T,(O,y)=>{if(O?(d=!0,a[L]=null,m[L]=O):(a[L]=y,m[L]=null),++E===n.length)return i(d?m:null,a)})})}call(n,r,...i){try{n.apply(r,i)}catch(a){i[i.length-1](a)}}cmdTraversal(n,r,i,a){const m=n.folder.fsPath,d=D.isMacintosh;let E;const T=()=>E&&E.kill();l.add(T);let L=Q=>{l.delete(T),L=()=>{},a(Q)},O="";const y=this.initDirectoryTree();let B;const M=(0,S.spawnRipgrepCmd)(this.config,n,this.config.includePattern,this.folderExcludePatterns.get(n.folder.fsPath).expression);E=M.cmd,B=!Object.keys(M.siblingClauses).length;const z=M.rgArgs.args.map(Q=>Q.match(/^-/)?Q:`'${Q}'`).join(" ");let V=`${M.rgDiskPath} ${z}
 - cwd: ${M.cwd}`;M.rgArgs.siblingClauses&&(V+=`
 - Sibling clauses: ${JSON.stringify(M.rgArgs.siblingClauses)}`),i({message:V}),this.cmdResultCount=0,this.collectStdout(E,"utf8",i,(Q,H,K)=>{if(Q){L(Q);return}if(this.isLimitHit){L();return}const j=(O+(d?R.normalizeNFC(H||""):H)).split(`
`);if(K){const ie=j.length;j[ie-1]=j[ie-1].trim(),j[ie-1]||j.pop()}else O=j.pop()||"";if(j.length&&j[0].indexOf(`
`)!==-1){L(new Error("Splitting up files failed"));return}if(this.cmdResultCount+=j.length,B){for(const ie of j)if(this.matchFile(r,{base:m,relativePath:ie,searchPath:this.getSearchPath(n,ie)}),this.isLimitHit){T();break}(K||this.isLimitHit)&&L();return}this.addDirectoryEntries(n,y,m,j,r),K&&(this.matchDirectoryTree(y,m,r),L())})}spawnFindCmd(n){const r=this.folderExcludePatterns.get(n.folder.fsPath),i=r.getBasenameTerms(),a=r.getPathTerms(),m=["-L","."];if(i.length||a.length){m.push("-not","(","(");for(const d of i)m.push("-name",d),m.push("-o");for(const d of a)m.push("-path",d),m.push("-o");m.pop(),m.push(")","-prune",")")}return m.push("-type","f"),h.spawn("find",m,{cwd:n.folder.fsPath})}readStdout(n,r,i){let a="";this.collectStdout(n,r,()=>{},(m,d,E)=>{if(m){i(m);return}a+=d,E&&i(null,a)})}collectStdout(n,r,i,a){let m=(T,L,O)=>{(T||O)&&(m=()=>{},this.cmdSW&&this.cmdSW.stop()),a(T,L,O)},d=!1;n.stdout?(this.forwardData(n.stdout,r,m),n.stdout.once("data",()=>d=!0)):i({message:"stdout is null"});let E;n.stderr?E=this.collectData(n.stderr):i({message:"stderr is null"}),n.on("error",T=>{m(T)}),n.on("close",T=>{let L;!d&&(L=this.decodeData(E,r))&&v(L)?m(new Error(`command failed with error code ${T}: ${this.decodeData(E,r)}`)):(this.exists&&T===0&&(this.isLimitHit=!0),m(null,"",!0))})}forwardData(n,r,i){const a=new A.StringDecoder(r);return n.on("data",m=>{i(null,a.write(m))}),a}collectData(n){const r=[];return n.on("data",i=>{r.push(i)}),r}decodeData(n,r){const i=new A.StringDecoder(r);return n.map(a=>i.write(a)).join("")}initDirectoryTree(){const n={rootEntries:[],pathToEntries:Object.create(null)};return n.pathToEntries["."]=n.rootEntries,n}addDirectoryEntries(n,{pathToEntries:r},i,a,m){a.indexOf(this.filePattern)!==-1&&this.matchFile(m,{base:i,relativePath:this.filePattern,searchPath:this.getSearchPath(n,this.filePattern)});const d=E=>{const T=P.basename(E),L=P.dirname(E);let O=r[L];O||(O=r[L]=[],d(L)),O.push({base:i,relativePath:E,basename:T,searchPath:this.getSearchPath(n,E)})};a.forEach(d)}matchDirectoryTree({rootEntries:n,pathToEntries:r},i,a){const m=this,d=this.folderExcludePatterns.get(i),E=this.filePattern;function T(L){m.directoriesWalked++;const O=_.hasSiblingFn(()=>L.map(y=>y.basename));for(let y=0,B=L.length;y<B;y++){const M=L[y],{relativePath:z,basename:V}=M;if(d.test(z,V,E!==V?O:void 0))continue;const Q=r[z];if(Q)T(Q);else{if(m.filesWalked++,z===E)continue;m.matchFile(a,M)}if(m.isLimitHit)break}}T(n)}getStats(){return{cmdTime:this.cmdSW.elapsed(),fileWalkTime:this.fileWalkSW.elapsed(),directoriesWalked:this.directoriesWalked,filesWalked:this.filesWalked,cmdResultCount:this.cmdResultCount}}doWalk(n,r,i,a,m){const d=n.folder,E=_.hasSiblingFn(()=>i);this.parallel(i,(T,L)=>{if(this.isCanceled||this.isLimitHit)return L(null);const O=r?[r,T].join(P.sep):T;if(this.folderExcludePatterns.get(n.folder.fsPath).test(O,T,this.config.filePattern!==T?E:void 0))return L(null);const y=[d.fsPath,O].join(P.sep);t.lstat(y,(B,M)=>{if(B||this.isCanceled||this.isLimitHit)return L(null);this.statLinkIfNeeded(y,M,(z,V)=>z||this.isCanceled||this.isLimitHit?L(null):V.isDirectory()?(this.directoriesWalked++,this.realPathIfNeeded(y,M,(Q,H)=>Q||this.isCanceled||this.isLimitHit||(H=H||"",this.walkedPaths[H])?L(null):(this.walkedPaths[H]=!0,u.Promises.readdir(y).then(K=>{if(this.isCanceled||this.isLimitHit)return L(null);this.doWalk(n,O,K,a,G=>L(G||null))},K=>{L(null)})))):(this.filesWalked++,O===this.filePattern||this.maxFilesize&&g.isNumber(V.size)&&V.size>this.maxFilesize||this.matchFile(a,{base:d.fsPath,relativePath:O,searchPath:this.getSearchPath(n,O)}),L(null,void 0)))})},T=>{const L=T&&C.coalesce(T);return m(L&&L.length>0?L[0]:void 0)})}matchFile(n,r){this.isFileMatch(r)&&(!this.includePattern||this.includePattern(r.relativePath,P.basename(r.relativePath)))&&(this.resultCount++,(this.exists||this.maxResults&&this.resultCount>this.maxResults)&&(this.isLimitHit=!0),this.isLimitHit||n(r))}isFileMatch(n){if(this.filePattern){if(this.filePattern==="*")return!0;if(this.normalizedFilePatternLowercase)return(0,w.isFilePatternMatch)(n,this.normalizedFilePatternLowercase)}return!0}statLinkIfNeeded(n,r,i){return r.isSymbolicLink()?t.stat(n,i):i(null,r)}realPathIfNeeded(n,r,i){return r.isSymbolicLink()?t.realpath(n,(a,m)=>a?i(a):i(null,m)):i(null,n)}getSearchPath(n,r){return n.folderName?P.join(n.folderName,r):r}}e.FileWalker=c;class f{constructor(n){this.folderQueries=n.folderQueries,this.extraFiles=n.extraFileResources||[],this.walker=new c(n)}search(n,r,i){this.walker.walk(this.folderQueries,this.extraFiles,n,r,(a,m)=>{i(a,{limitHit:m,stats:this.walker.getStats(),messages:[]})})}cancel(){this.walker.cancel()}}e.Engine=f;class s{constructor(n,r){this.expression=n,this.root=r,this.init(n)}init(n){let r,i;Object.keys(n).filter(a=>n[a]).forEach(a=>{P.isAbsolute(a)?(r=r||_.getEmptyExpression(),r[a]=n[a]):(i=i||_.getEmptyExpression(),i[a]=n[a])}),this.absoluteParsedExpr=r&&_.parse(r,{trimForExclusions:!0}),this.relativeParsedExpr=i&&_.parse(i,{trimForExclusions:!0})}test(n,r,i){return this.relativeParsedExpr&&this.relativeParsedExpr(n,r,i)||this.absoluteParsedExpr&&this.absoluteParsedExpr(P.join(this.root,n),r,i)}getBasenameTerms(){const n=[];return this.absoluteParsedExpr&&n.push(..._.getBasenameTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&n.push(..._.getBasenameTerms(this.relativeParsedExpr)),n}getPathTerms(){const n=[];return this.absoluteParsedExpr&&n.push(..._.getPathTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&n.push(..._.getPathTerms(this.relativeParsedExpr)),n}}function v(o){const n=o.trim().split(`
`),r=n[0].trim();if(r.startsWith("Error parsing regex"))return r;if(r.startsWith("regex parse error"))return b.uppercaseFirstLetter(n[n.length-1].trim());if(r.startsWith("error parsing glob")||r.startsWith("unsupported encoding"))return r.charAt(0).toUpperCase()+r.substr(1);if(r==="Literal '\\n' not allowed.")return"Literal '\\n' currently not supported";if(r.startsWith("Literal "))return r}e.rgErrorMsgForDisplay=v}),define(pe[278],ve([1,0,94,22]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SUPPORTED_ENCODINGS=e.detectEncodingFromBuffer=e.toCanonicalName=e.detectEncodingByBOMFromBuffer=e.toNodeEncoding=e.encodingExists=e.toEncodeReadable=e.toDecodeStream=e.DecodeStreamError=e.DecodeStreamErrorKind=e.UTF8_BOM=e.UTF16le_BOM=e.UTF16be_BOM=e.isUTFEncoding=e.UTF16le=e.UTF16be=e.UTF8_with_bom=e.UTF8=void 0,e.UTF8="utf8",e.UTF8_with_bom="utf8bom",e.UTF16be="utf16be",e.UTF16le="utf16le";function P(o){return[e.UTF8,e.UTF8_with_bom,e.UTF16be,e.UTF16le].some(n=>n===o)}e.isUTFEncoding=P,e.UTF16be_BOM=[254,255],e.UTF16le_BOM=[255,254],e.UTF8_BOM=[239,187,191];const A=512,C=512,k=512*8,_=512*128;var R;(function(o){o[o.STREAM_IS_BINARY=1]="STREAM_IS_BINARY"})(R=e.DecodeStreamErrorKind||(e.DecodeStreamErrorKind={}));class F extends Error{constructor(n,r){super(n);this.decodeStreamErrorKind=r}}e.DecodeStreamError=F;class D{constructor(n){this.iconvLiteDecoder=n}static async create(n){let r;if(n!==e.UTF8)r=(await new Promise((a,m)=>{ee(["@vscode/iconv-lite-umd"],a,m)})).getDecoder(u(n));else{const i=new TextDecoder;r={write(a){return i.decode(a,{stream:!0})},end(){return i.decode()}}}return new D(r)}write(n){return this.iconvLiteDecoder.write(n)}end(){return this.iconvLiteDecoder.end()}}function p(o,n){const r=n.minBytesRequiredForDetection??n.guessEncoding?k:C;return new Promise((i,a)=>{const m=(0,h.newWriteableStream)(y=>y.join("")),d=[];let E=0,T,L;const O=async()=>{try{const y=await v({buffer:t.VSBuffer.concat(d),bytesRead:E},n.guessEncoding);if(y.seemsBinary&&n.acceptTextOnly)throw new F("Stream is binary but only text is accepted for decoding",1);y.encoding=await n.overwriteEncoding(y.encoding),T=await D.create(y.encoding);const B=T.write(t.VSBuffer.concat(d).buffer);m.write(B),d.length=0,E=0,i({stream:m,detected:y})}catch(y){L?.dispose(),m.destroy(),a(y)}};L=(0,h.listenStream)(o,{onData:async y=>{T?m.write(T.write(y.buffer)):(d.push(y),E+=y.byteLength,E>=r&&(o.pause(),await O(),setTimeout(()=>o.resume())))},onError:y=>m.error(y),onEnd:async()=>{T||await O(),m.end(T?.end())}})})}e.toDecodeStream=p;async function b(o,n,r){const a=(await new Promise((E,T)=>{ee(["@vscode/iconv-lite-umd"],E,T)})).getEncoder(u(n),r);let m=!1,d=!1;return{read(){if(d)return null;const E=o.read();if(typeof E!="string"){if(d=!0,!m&&r?.addBOM)switch(n){case e.UTF8:case e.UTF8_with_bom:return t.VSBuffer.wrap(Uint8Array.from(e.UTF8_BOM));case e.UTF16be:return t.VSBuffer.wrap(Uint8Array.from(e.UTF16be_BOM));case e.UTF16le:return t.VSBuffer.wrap(Uint8Array.from(e.UTF16le_BOM))}const T=a.end();return T&&T.length>0?(m=!0,t.VSBuffer.wrap(T)):null}return m=!0,t.VSBuffer.wrap(a.write(E))}}}e.toEncodeReadable=b;async function g(o){return(await new Promise((r,i)=>{ee(["@vscode/iconv-lite-umd"],r,i)})).encodingExists(u(o))}e.encodingExists=g;function u(o){return o===e.UTF8_with_bom||o===null?e.UTF8:o}e.toNodeEncoding=u;function w(o,n){if(!o||n<e.UTF16be_BOM.length)return null;const r=o.readUInt8(0),i=o.readUInt8(1);if(r===e.UTF16be_BOM[0]&&i===e.UTF16be_BOM[1])return e.UTF16be;if(r===e.UTF16le_BOM[0]&&i===e.UTF16le_BOM[1])return e.UTF16le;if(n<e.UTF8_BOM.length)return null;const a=o.readUInt8(2);return r===e.UTF8_BOM[0]&&i===e.UTF8_BOM[1]&&a===e.UTF8_BOM[2]?e.UTF8_with_bom:null}e.detectEncodingByBOMFromBuffer=w;const S=["ascii","utf-16","utf-32"];async function I(o){const n=await new Promise((d,E)=>{ee(["jschardet"],d,E)}),r=o.slice(0,_),i=f(r.buffer),a=n.detect(i);if(!a||!a.encoding)return null;const m=a.encoding.toLowerCase();return 0<=S.indexOf(m)?null:c(a.encoding)}const l={ibm866:"cp866",big5:"cp950"};function c(o){const n=o.replace(/[^a-zA-Z0-9]/g,"").toLowerCase();return l[n]||n}function f(o){let n="";for(let r=0;r<o.length;r++)n+=String.fromCharCode(o[r]);return n}function s(o){switch(o){case"shiftjis":return"shift-jis";case"utf16le":return"utf-16le";case"utf16be":return"utf-16be";case"big5hkscs":return"big5-hkscs";case"eucjp":return"euc-jp";case"euckr":return"euc-kr";case"koi8r":return"koi8-r";case"koi8u":return"koi8-u";case"macroman":return"x-mac-roman";case"utf8bom":return"utf8";default:{const n=o.match(/windows(\d+)/);return n?"windows-"+n[1]:o}}}e.toCanonicalName=s;function v({buffer:o,bytesRead:n},r){let i=w(o,n),a=!1;if(i!==e.UTF16be&&i!==e.UTF16le&&o){let m=!0,d=!0,E=!1;for(let T=0;T<n&&T<A;T++){const L=T%2==1,O=o.readUInt8(T)===0;if(O&&(E=!0),m&&(L&&!O||!L&&O)&&(m=!1),d&&(L&&O||!L&&!O)&&(d=!1),O&&!m&&!d)break}E&&(m?i=e.UTF16le:d?i=e.UTF16be:a=!0)}return r&&!a&&!i&&o?I(o.slice(0,n)).then(m=>({seemsBinary:!1,encoding:m})):{seemsBinary:a,encoding:i}}e.detectEncodingFromBuffer=v,e.SUPPORTED_ENCODINGS={utf8:{labelLong:"UTF-8",labelShort:"UTF-8",order:1,alias:"utf8bom"},utf8bom:{labelLong:"UTF-8 with BOM",labelShort:"UTF-8 with BOM",encodeOnly:!0,order:2,alias:"utf8"},utf16le:{labelLong:"UTF-16 LE",labelShort:"UTF-16 LE",order:3},utf16be:{labelLong:"UTF-16 BE",labelShort:"UTF-16 BE",order:4},windows1252:{labelLong:"Western (Windows 1252)",labelShort:"Windows 1252",order:5},iso88591:{labelLong:"Western (ISO 8859-1)",labelShort:"ISO 8859-1",order:6},iso88593:{labelLong:"Western (ISO 8859-3)",labelShort:"ISO 8859-3",order:7},iso885915:{labelLong:"Western (ISO 8859-15)",labelShort:"ISO 8859-15",order:8},macroman:{labelLong:"Western (Mac Roman)",labelShort:"Mac Roman",order:9},cp437:{labelLong:"DOS (CP 437)",labelShort:"CP437",order:10},windows1256:{labelLong:"Arabic (Windows 1256)",labelShort:"Windows 1256",order:11},iso88596:{labelLong:"Arabic (ISO 8859-6)",labelShort:"ISO 8859-6",order:12},windows1257:{labelLong:"Baltic (Windows 1257)",labelShort:"Windows 1257",order:13},iso88594:{labelLong:"Baltic (ISO 8859-4)",labelShort:"ISO 8859-4",order:14},iso885914:{labelLong:"Celtic (ISO 8859-14)",labelShort:"ISO 8859-14",order:15},windows1250:{labelLong:"Central European (Windows 1250)",labelShort:"Windows 1250",order:16},iso88592:{labelLong:"Central European (ISO 8859-2)",labelShort:"ISO 8859-2",order:17},cp852:{labelLong:"Central European (CP 852)",labelShort:"CP 852",order:18},windows1251:{labelLong:"Cyrillic (Windows 1251)",labelShort:"Windows 1251",order:19},cp866:{labelLong:"Cyrillic (CP 866)",labelShort:"CP 866",order:20},iso88595:{labelLong:"Cyrillic (ISO 8859-5)",labelShort:"ISO 8859-5",order:21},koi8r:{labelLong:"Cyrillic (KOI8-R)",labelShort:"KOI8-R",order:22},koi8u:{labelLong:"Cyrillic (KOI8-U)",labelShort:"KOI8-U",order:23},iso885913:{labelLong:"Estonian (ISO 8859-13)",labelShort:"ISO 8859-13",order:24},windows1253:{labelLong:"Greek (Windows 1253)",labelShort:"Windows 1253",order:25},iso88597:{labelLong:"Greek (ISO 8859-7)",labelShort:"ISO 8859-7",order:26},windows1255:{labelLong:"Hebrew (Windows 1255)",labelShort:"Windows 1255",order:27},iso88598:{labelLong:"Hebrew (ISO 8859-8)",labelShort:"ISO 8859-8",order:28},iso885910:{labelLong:"Nordic (ISO 8859-10)",labelShort:"ISO 8859-10",order:29},iso885916:{labelLong:"Romanian (ISO 8859-16)",labelShort:"ISO 8859-16",order:30},windows1254:{labelLong:"Turkish (Windows 1254)",labelShort:"Windows 1254",order:31},iso88599:{labelLong:"Turkish (ISO 8859-9)",labelShort:"ISO 8859-9",order:32},windows1258:{labelLong:"Vietnamese (Windows 1258)",labelShort:"Windows 1258",order:33},gbk:{labelLong:"Simplified Chinese (GBK)",labelShort:"GBK",order:34},gb18030:{labelLong:"Simplified Chinese (GB18030)",labelShort:"GB18030",order:35},cp950:{labelLong:"Traditional Chinese (Big5)",labelShort:"Big5",order:36},big5hkscs:{labelLong:"Traditional Chinese (Big5-HKSCS)",labelShort:"Big5-HKSCS",order:37},shiftjis:{labelLong:"Japanese (Shift JIS)",labelShort:"Shift JIS",order:38},eucjp:{labelLong:"Japanese (EUC-JP)",labelShort:"EUC-JP",order:39},euckr:{labelLong:"Korean (EUC-KR)",labelShort:"EUC-KR",order:40},windows874:{labelLong:"Thai (Windows 874)",labelShort:"Windows 874",order:41},iso885911:{labelLong:"Latin/Thai (ISO 8859-11)",labelShort:"ISO 8859-11",order:42},koi8ru:{labelLong:"Cyrillic (KOI8-RU)",labelShort:"KOI8-RU",order:43},koi8t:{labelLong:"Tajik (KOI8-T)",labelShort:"KOI8-T",order:44},gb2312:{labelLong:"Simplified Chinese (GB 2312)",labelShort:"GB 2312",order:45},cp865:{labelLong:"Nordic DOS (CP 865)",labelShort:"CP 865",order:46},cp850:{labelLong:"Western European DOS (CP 850)",labelShort:"CP 850",order:47}}}),define(pe[138],ve([1,0,278,28,137]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeTextSearchManager=void 0;class A extends P.TextSearchManager{constructor(k,_,R=t,F="searchProcess"){super(k,_,{readdir:D=>R.Promises.readdir(D.fsPath),toCanonicalName:D=>(0,h.toCanonicalName)(D)},F)}}e.NativeTextSearchManager=A}),define(pe[279],ve([1,0,61,4]),function(ee,e,h,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TreeViewsDragAndDropService=e.ITreeViewsDragAndDropService=void 0,e.ITreeViewsDragAndDropService=(0,t.createDecorator)("treeViewsDragAndDropService");class P{constructor(){this._dragOperations=new Map}removeDragOperationTransfer(C){if(C&&this._dragOperations.has(C)){const k=this._dragOperations.get(C);return this._dragOperations.delete(C),k}}addDragOperationTransfer(C,k){this._dragOperations.set(C,k)}}e.TreeViewsDragAndDropService=P,(0,h.registerSingleton)(e.ITreeViewsDragAndDropService,P)}),define(pe[280],ve([1,0,171,23,2,3,6,15,7,13,18,14,21,205,279]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function u(I,l){if((0,R.isString)(I))return{label:I};if(I&&typeof I=="object"&&typeof I.label=="string"){let c;return Array.isArray(I.highlights)&&(c=I.highlights.filter(f=>f.length===2&&typeof f[0]=="number"&&typeof f[1]=="number"),c=c.length?c:void 0),{label:I.label,highlights:c}}}class w{constructor(l,c,f){this._proxy=l,this.commands=c,this.logService=f,this.treeViews=new Map,this.treeDragAndDropService=new g.TreeViewsDragAndDropService;function s(v){return v&&v.$treeViewId&&v.$treeItemHandle}c.registerArgumentProcessor({processArgument:v=>s(v)?this.convertArgument(v):Array.isArray(v)&&v.length>0?v.map(o=>s(o)?this.convertArgument(o):o):v})}registerTreeDataProvider(l,c,f){const s=this.createTreeView(l,{treeDataProvider:c},f);return{dispose:()=>s.dispose()}}createTreeView(l,c,f){if(!c||!c.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const s=c.dragAndDropController?.dropMimeTypes??[],v=c.dragAndDropController?.dragMimeTypes??[],o=!!c.dragAndDropController?.handleDrag,n=!!c.dragAndDropController?.handleDrop,r=this._proxy.$registerTreeViewDataProvider(l,{showCollapseAll:!!c.showCollapseAll,canSelectMany:!!c.canSelectMany,dropMimeTypes:s,dragMimeTypes:v,hasHandleDrag:o,hasHandleDrop:n}),i=this.createExtHostTreeView(l,c,f);return{get onDidCollapseElement(){return i.onDidCollapseElement},get onDidExpandElement(){return i.onDidExpandElement},get selection(){return i.selectedElements},get onDidChangeSelection(){return i.onDidChangeSelection},get visible(){return i.visible},get onDidChangeVisibility(){return i.onDidChangeVisibility},get message(){return i.message},set message(a){i.message=a},get title(){return i.title},set title(a){i.title=a},get description(){return i.description},set description(a){i.description=a},reveal:(a,m)=>i.reveal(a,m),dispose:async()=>{await r,this.treeViews.delete(l),i.dispose()}}}$getChildren(l,c){const f=this.treeViews.get(l);return f?f.getChildren(c):Promise.reject(new Error((0,h.localize)(0,null,l)))}async $handleDrop(l,c,f,s,v,o,n){const r=this.treeViews.get(l);if(!r)return Promise.reject(new Error((0,h.localize)(1,null,l)));const i=b.TreeDataTransferConverter.toITreeDataTransfer(c);return o===l&&n&&await this.addAdditionalTransferItems(i,r,n,s,v),r.onDrop(i,f,s)}async addAdditionalTransferItems(l,c,f,s,v){const o=this.treeDragAndDropService.removeDragOperationTransfer(v);if(o)(await o)?.forEach((n,r)=>{n&&l.set(r,n)});else if(v&&c.handleDrag){const n=c.handleDrag(f,l,s);this.treeDragAndDropService.addDragOperationTransfer(v,n),await n}return l}async $handleDrag(l,c,f,s){const v=this.treeViews.get(l);if(!v)return Promise.reject(new Error((0,h.localize)(2,null,l)));const o=await this.addAdditionalTransferItems(new Map,v,c,s,f);if(!!o)return b.TreeDataTransferConverter.toTreeDataTransferDTO(o)}async $hasResolve(l){const c=this.treeViews.get(l);if(!c)throw new Error((0,h.localize)(3,null,l));return c.hasResolve}$resolve(l,c,f){const s=this.treeViews.get(l);if(!s)throw new Error((0,h.localize)(4,null,l));return s.resolveTreeItem(c,f)}$setExpanded(l,c,f){const s=this.treeViews.get(l);if(!s)throw new Error((0,h.localize)(5,null,l));s.setExpanded(c,f)}$setSelection(l,c){const f=this.treeViews.get(l);if(!f)throw new Error((0,h.localize)(6,null,l));f.setSelection(c)}$setVisible(l,c){const f=this.treeViews.get(l);if(!f)throw new Error((0,h.localize)(7,null,l));f.setVisible(c)}createExtHostTreeView(l,c,f){const s=new S(l,c,this._proxy,this.commands.converter,this.logService,f);return this.treeViews.set(l,s),s}convertArgument(l){const c=this.treeViews.get(l.$treeViewId);return c?c.getExtensionElement(l.$treeItemHandle):null}}e.ExtHostTreeViews=w;class S extends C.Disposable{constructor(l,c,f,s,v,o){super();if(this.viewId=l,this.proxy=f,this.commands=s,this.logService=v,this.extension=o,this.roots=void 0,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new A.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new A.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new A.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new A.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new A.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new p.CancellationTokenSource,o.contributes&&o.contributes.views)for(const i in o.contributes.views)for(const a of o.contributes.views[i])a.id===l&&(this._title=a.name);this.dataProvider=c.treeDataProvider,this.dndController=c.dragAndDropController,this.dataProvider.onDidChangeTreeData2?this._register(this.dataProvider.onDidChangeTreeData2(i=>this._onDidChangeData.fire({message:!1,element:i}))):this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(i=>this._onDidChangeData.fire({message:!1,element:i})));let n,r;this._register(A.Event.debounce(this._onDidChangeData.event,(i,a)=>(i||(i={message:!1,elements:[]}),a.element!==!1&&(n||(n=new Promise(m=>r=m),this.refreshPromise=this.refreshPromise.then(()=>n)),Array.isArray(a.element)?i.elements.push(...a.element):i.elements.push(a.element)),a.message&&(i.message=!0),i),200,!0)(({message:i,elements:a})=>{a.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const m=r;return n=null,this.refresh(a).then(()=>m())})),i&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(l=>this.getExtensionElement(l)).filter(l=>!(0,R.isUndefinedOrNull)(l))}async getChildren(l){const c=l?this.getExtensionElement(l):void 0;if(l&&!c)return this.logService.error(`No tree item with id '${l}' found.`),Promise.resolve([]);let f=this.getChildrenNodes(l);return f||(f=await this.fetchChildrenNodes(c)),f?f.map(s=>s.item):void 0}getExtensionElement(l){return this.elements.get(l)}reveal(l,c){c=c||{select:!0,focus:!1};const f=(0,R.isUndefinedOrNull)(c.select)?!0:c.select,s=(0,R.isUndefinedOrNull)(c.focus)?!1:c.focus,v=(0,R.isUndefinedOrNull)(c.expand)?!1:c.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):l?this.refreshPromise.then(()=>this.resolveUnknownParentChain(l)).then(o=>this.resolveTreeNode(l,o[o.length-1]).then(n=>this.proxy.$reveal(this.viewId,{item:n.item,parentChain:o.map(r=>r.item)},{select:f,focus:s,expand:v})),o=>this.logService.error(o)):this.proxy.$reveal(this.viewId,void 0,{select:f,focus:s,expand:v})}get message(){return this._message}set message(l){this._message=l,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(l){this._title=l,this.proxy.$setTitle(this.viewId,l,this._description)}get description(){return this._description}set description(l){this._description=l,this.proxy.$setTitle(this.viewId,this._title,l)}setExpanded(l,c){const f=this.getExtensionElement(l);f&&(c?this._onDidExpandElement.fire(Object.freeze({element:f})):this._onDidCollapseElement.fire(Object.freeze({element:f})))}setSelection(l){(0,F.equals)(this._selectedHandles,l)||(this._selectedHandles=l,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(l){l!==this._visible&&(this._visible=l,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}async handleDrag(l,c,f){const s=[];for(const v of l){const o=this.getExtensionElement(v);o&&s.push(o)}if(!(!this.dndController?.handleDrag||s.length===0))return await this.dndController.handleDrag(s,c,f),c}get hasHandleDrag(){return!!this.dndController?.handleDrag}async onDrop(l,c,f){const s=this.getExtensionElement(c);if(!(!s||!this.dndController?.handleDrop))return(0,k.asPromise)(()=>this.dndController?.handleDrop?this.dndController.handleDrop(s,l,f):void 0)}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(l,c){if(!this.dataProvider.resolveTreeItem)return;const f=this.elements.get(l);if(f){const s=this.nodes.get(f);if(s){const v=await this.dataProvider.resolveTreeItem(s.extensionItem,f,c)??s.extensionItem;return s.item.tooltip=this.getTooltip(v.tooltip),s.item.command=this.getCommand(s.disposableStore,v.command),s.item}}}resolveUnknownParentChain(l){return this.resolveParent(l).then(c=>c?this.resolveUnknownParentChain(c).then(f=>this.resolveTreeNode(c,f[f.length-1]).then(s=>(f.push(s),f))):Promise.resolve([]))}resolveParent(l){const c=this.nodes.get(l);return c?Promise.resolve(c.parent?this.elements.get(c.parent.item.handle):void 0):(0,k.asPromise)(()=>this.dataProvider.getParent(l))}resolveTreeNode(l,c){const f=this.nodes.get(l);return f?Promise.resolve(f):(0,k.asPromise)(()=>this.dataProvider.getTreeItem(l)).then(s=>this.createHandle(l,s,c,!0)).then(s=>this.getChildren(c?c.item.handle:void 0).then(()=>{const v=this.getExtensionElement(s);if(v){const o=this.nodes.get(v);if(o)return Promise.resolve(o)}throw new Error(`Cannot resolve tree item for element ${s}`)}))}getChildrenNodes(l){if(l){let c;if(typeof l=="string"){const f=this.getExtensionElement(l);c=f?this.nodes.get(f):void 0}else c=l;return c&&c.children||void 0}return this.roots}async fetchChildrenNodes(l){this.clearChildren(l);const c=new p.CancellationTokenSource(this._refreshCancellationSource.token);try{const f=l?this.nodes.get(l):void 0,s=await this.dataProvider.getChildren(l);if(c.token.isCancellationRequested)return;const v=await Promise.all((0,F.coalesce)(s||[]).map(async o=>{const n=await this.dataProvider.getTreeItem(o);return n&&!c.token.isCancellationRequested?this.createAndRegisterTreeNode(o,n,f):null}));return c.token.isCancellationRequested?void 0:(0,F.coalesce)(v)}finally{c.dispose()}}refresh(l){if(l.some(f=>!f))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new p.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const f=this.getHandlesToRefresh(l);if(f.length)return this.refreshHandles(f)}return Promise.resolve(void 0)}getHandlesToRefresh(l){const c=new Set,f=l.map(v=>this.nodes.get(v));for(const v of f)if(v&&!c.has(v.item.handle)){let o=v;for(;o&&o.parent&&f.findIndex(n=>o&&o.parent&&n&&n.item.handle===o.parent.item.handle)===-1;){const n=this.elements.get(o.parent.item.handle);o=n?this.nodes.get(n):void 0}o&&!o.parent&&c.add(v.item.handle)}const s=[];return c.forEach(v=>{const o=this.elements.get(v);if(o){const n=this.nodes.get(o);n&&(!n.parent||!c.has(n.parent.item.handle))&&s.push(v)}}),s}refreshHandles(l){const c={};return Promise.all(l.map(f=>this.refreshNode(f).then(s=>{s&&(c[f]=s.item)}))).then(()=>Object.keys(c).length?this.proxy.$refresh(this.viewId,c):void 0)}refreshNode(l){const c=this.getExtensionElement(l);if(c){const f=this.nodes.get(c);if(f)return this.clearChildren(c),(0,k.asPromise)(()=>this.dataProvider.getTreeItem(c)).then(s=>{if(s){const v=this.createTreeNode(c,s,f.parent);return this.updateNodeCache(c,v,f,f.parent),f.dispose(),v}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(l,c,f){const s=this.createTreeNode(l,c,f);if(c.id&&this.elements.has(s.item.handle))throw new Error((0,h.localize)(8,null,c.id));return this.addNodeToCache(l,s),this.addNodeToParentCache(s,f),s}getTooltip(l){return _.MarkdownString.isMarkdownString(l)?D.MarkdownString.from(l):l}getCommand(l,c){return c?this.commands.toInternal(c,l):void 0}createTreeNode(l,c,f){const s=new C.DisposableStore,v=this.createHandle(l,c,f),o=this.getLightIconPath(c);return{item:{handle:v,parentHandle:f?f.item.handle:void 0,label:u(c.label,this.extension),description:c.description,resourceUri:c.resourceUri,tooltip:this.getTooltip(c.tooltip),command:this.getCommand(s,c.command),contextValue:c.contextValue,icon:o,iconDark:this.getDarkIconPath(c)||o,themeIcon:this.getThemeIcon(c),collapsibleState:(0,R.isUndefinedOrNull)(c.collapsibleState)?_.TreeItemCollapsibleState.None:c.collapsibleState,accessibilityInformation:c.accessibilityInformation},extensionItem:c,parent:f,children:void 0,disposableStore:s,dispose(){s.dispose()}}}getThemeIcon(l){return l.iconPath instanceof _.ThemeIcon?l.iconPath:void 0}createHandle(l,{id:c,label:f,resourceUri:s},v,o){if(c)return`${S.ID_HANDLE_PREFIX}/${c}`;const n=u(f,this.extension),r=v?v.item.handle:S.LABEL_HANDLE_PREFIX;let i=n?n.label:s?(0,t.basename)(s):"";i=i.indexOf("/")!==-1?i.replace("/","//"):i;const a=this.nodes.has(l)?this.nodes.get(l).item.handle:void 0,m=this.getChildrenNodes(v)||[];let d,E=0;do{if(d=`${r}/${E}:${i}`,o||!this.elements.has(d)||a===d)break;E++}while(E<=m.length);return d}getLightIconPath(l){if(l.iconPath&&!(l.iconPath instanceof _.ThemeIcon))return typeof l.iconPath=="string"||P.URI.isUri(l.iconPath)?this.getIconPath(l.iconPath):this.getIconPath(l.iconPath.light)}getDarkIconPath(l){if(l.iconPath&&!(l.iconPath instanceof _.ThemeIcon)&&l.iconPath.dark)return this.getIconPath(l.iconPath.dark)}getIconPath(l){return P.URI.isUri(l)?l:P.URI.file(l)}addNodeToCache(l,c){this.elements.set(c.item.handle,l),this.nodes.set(l,c)}updateNodeCache(l,c,f,s){this.elements.delete(c.item.handle),this.nodes.delete(l),c.item.handle!==f.item.handle&&this.elements.delete(f.item.handle),this.addNodeToCache(l,c);const v=this.getChildrenNodes(s)||[],o=v.filter(n=>n.item.handle===f.item.handle)[0];o&&v.splice(v.indexOf(o),1,c)}addNodeToParentCache(l,c){c?(c.children||(c.children=[]),c.children.push(l)):(this.roots||(this.roots=[]),this.roots.push(l))}clearChildren(l){if(l){const c=this.nodes.get(l);if(c){if(c.children)for(const f of c.children){const s=this.elements.get(f.item.handle);s&&this.clear(s)}c.children=void 0}}else this.clearAll()}clear(l){const c=this.nodes.get(l);if(c){if(c.children)for(const f of c.children){const s=this.elements.get(f.item.handle);s&&this.clear(s)}this.nodes.delete(l),this.elements.delete(c.item.handle),c.dispose()}}clearAll(){this.roots=void 0,this.elements.clear(),this.nodes.forEach(l=>l.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}S.LABEL_HANDLE_PREFIX="0",S.ID_HANDLE_PREFIX="1"}),define(pe[281],ve([1,0,21,17,3,47,2,113,109,149,108,42,5,132,231,230,39,232,37,233,234,235,219,236,45,40,237,238,241,242,243,135,221,248,249,250,87,34,252,280,14,7,255,68,136,36,74,208,240,121,133,70,54,72,11,64,16,26,244,203,51,65,228,253,202,67,66,258,256,257,229,44,251,254,86,53,124,246,69,247,10,117,245,200,239,6,30,209]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I,l,c,f,s,v,o,n,r,i,a,m,d,E,T,L,O,y,B,M,z,V,Q,H,K,G,j,ie,oe,ue,Z,J,ae,he,we,Te,Ne,be,Ee,$,U,N,W,q,re,de,Ce,Ae,We,ze,qe,He,Ue,Je,et,Le,it,ne,se,Y,ge,Se,Me,$e,Ye,lt,vt,wt,je,st){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function _t(nt){const ct=nt.get($.IExtHostInitDataService),Rt=nt.get(Je.IExtHostFileSystemInfo),Tt=nt.get(We.IExtHostConsumerFileSystem),yt=nt.get(n.IExtHostExtensionService),mt=nt.get(ie.IExtHostWorkspace),Lt=nt.get(se.IExtHostTelemetry),Mt=nt.get(I.IExtHostConfiguration),Ft=nt.get(be.IURITransformerService),xe=nt.get(Ee.IExtHostRpcService),_e=nt.get(B.IExtHostStorage),ye=nt.get(Ae.IExtensionStoragePaths),fe=nt.get(Ne.ILoggerService),te=nt.get(Ne.ILogService),Ie=nt.get(W.IExtHostTunnelService),Re=nt.get(q.IExtHostApiDeprecationService),Ve=nt.get(j.IExtHostWindow),Ke=nt.get(it.IExtHostSecretState),ht=nt.get(ne.IExtHostEditorTabs);xe.set(p.ExtHostContext.ExtHostFileSystemInfo,Rt),xe.set(p.ExtHostContext.ExtHostLogLevelServiceShape,fe),xe.set(p.ExtHostContext.ExtHostWorkspace,mt),xe.set(p.ExtHostContext.ExtHostConfiguration,Mt),xe.set(p.ExtHostContext.ExtHostExtensionService,yt),xe.set(p.ExtHostContext.ExtHostStorage,_e),xe.set(p.ExtHostContext.ExtHostTunnelService,Ie),xe.set(p.ExtHostContext.ExtHostWindow,Ve),xe.set(p.ExtHostContext.ExtHostSecretState,Ke),xe.set(p.ExtHostContext.ExtHostTelemetry,Lt),xe.set(p.ExtHostContext.ExtHostEditorTabs,ht);const Et=xe.set(p.ExtHostContext.ExtHostDecorations,nt.get(ae.IExtHostDecorations)),St=xe.set(p.ExtHostContext.ExtHostDocumentsAndEditors,nt.get(o.IExtHostDocumentsAndEditors)),ot=xe.set(p.ExtHostContext.ExtHostCommands,nt.get(w.IExtHostCommands)),dt=xe.set(p.ExtHostContext.ExtHostTerminalService,nt.get(M.IExtHostTerminalService)),ut=xe.set(p.ExtHostContext.ExtHostDebugService,nt.get(we.IExtHostDebugService)),Nt=xe.set(p.ExtHostContext.ExtHostSearch,nt.get(Te.IExtHostSearch)),pt=xe.set(p.ExtHostContext.ExtHostTask,nt.get(he.IExtHostTask)),kt=xe.set(p.ExtHostContext.ExtHostOutputService,nt.get(E.IExtHostOutputService)),Ut=xe.set(p.ExtHostContext.ExtHostUrls,new K.ExtHostUrls(xe)),Ct=xe.set(p.ExtHostContext.ExtHostDocuments,new v.ExtHostDocuments(xe,St)),Bt=xe.set(p.ExtHostContext.ExtHostDocumentContentProviders,new f.ExtHostDocumentContentProvider(xe,St,te)),Ht=xe.set(p.ExtHostContext.ExtHostDocumentSaveParticipant,new s.ExtHostDocumentSaveParticipant(te,Ct,xe.getProxy(p.MainContext.MainThreadBulkEdits))),bt=xe.set(p.ExtHostContext.ExtHostNotebook,new U.ExtHostNotebookController(xe,ot,St,Ct,ye)),ei=xe.set(p.ExtHostContext.ExtHostNotebookDocuments,new lt.ExtHostNotebookDocuments(te,bt)),Xt=xe.set(p.ExtHostContext.ExtHostNotebookEditors,new Ye.ExtHostNotebookEditors(te,xe,bt)),ti=xe.set(p.ExtHostContext.ExtHostNotebookKernels,new Y.ExtHostNotebookKernels(xe,ct,bt,ot,te)),ai=xe.set(p.ExtHostContext.ExtHostNotebookRenderers,new Se.ExtHostNotebookRenderers(xe,bt)),Pt=xe.set(p.ExtHostContext.ExtHostEditors,new z.ExtHostEditors(xe,St)),ii=xe.set(p.ExtHostContext.ExtHostTreeViews,new V.ExtHostTreeViews(xe.getProxy(p.MainContext.MainThreadTreeViews),ot,te)),bi=xe.set(p.ExtHostContext.ExtHostEditorInsets,new ue.ExtHostEditorInsets(xe.getProxy(p.MainContext.MainThreadEditorInsets),Pt,ct)),qt=xe.set(p.ExtHostContext.ExtHostDiagnostics,new l.ExtHostDiagnostics(xe,te,Rt)),Gt=xe.set(p.ExtHostContext.ExtHostLanguages,new m.ExtHostLanguages(xe,Ct,ot.converter,Ft)),at=xe.set(p.ExtHostContext.ExtHostLanguageFeatures,new a.ExtHostLanguageFeatures(xe,Ft,Ct,ot,qt,te,Re)),li=xe.set(p.ExtHostContext.ExtHostFileSystem,new r.ExtHostFileSystem(xe,at)),$t=xe.set(p.ExtHostContext.ExtHostFileSystemEventService,new i.ExtHostFileSystemEventService(xe,te,St)),xt=xe.set(p.ExtHostContext.ExtHostQuickOpen,(0,L.createExtHostQuickOpen)(xe,mt,ot)),ni=xe.set(p.ExtHostContext.ExtHostSCM,new O.ExtHostSCM(xe,ot,te)),_i=xe.set(p.ExtHostContext.ExtHostComments,(0,S.createExtHostComments)(xe,ot,Ct)),fi=xe.set(p.ExtHostContext.ExtHostProgress,new T.ExtHostProgress(xe.getProxy(p.MainContext.MainThreadProgress))),Si=xe.set(p.ExtHostContext.ExtHosLabelService,new Z.ExtHostLabelService(xe)),mi=xe.set(p.ExtHostContext.ExtHostTheming,new N.ExtHostTheming(xe)),ri=xe.set(p.ExtHostContext.ExtHostAuthentication,new re.ExtHostAuthentication(xe)),Ci=xe.set(p.ExtHostContext.ExtHostTimeline,new de.ExtHostTimeline(xe,ot)),Qt=xe.set(p.ExtHostContext.ExtHostWebviews,new G.ExtHostWebviews(xe,{remote:ct.remote},mt,te,Re)),Yt=xe.set(p.ExtHostContext.ExtHostWebviewPanels,new He.ExtHostWebviewPanels(xe,Qt,mt)),yi=xe.set(p.ExtHostContext.ExtHostCustomEditors,new qe.ExtHostCustomEditors(xe,Ct,ye,Qt,Yt)),Di=xe.set(p.ExtHostContext.ExtHostWebviewViews,new ze.ExtHostWebviewViews(xe,Qt)),Jt=xe.set(p.ExtHostContext.ExtHostTesting,new et.ExtHostTesting(xe,ot)),si=xe.set(p.ExtHostContext.ExtHostUriOpeners,new Le.ExtHostUriOpeners(xe));xe.set(p.ExtHostContext.ExtHostInteractive,new vt.ExtHostInteractive(xe,bt,St,ot));const Ii=(0,oe.values)(p.ExtHostContext);xe.assertRegistered(Ii);const ki=new Ue.ExtHostBulkEdits(xe,St),Pi=new u.ExtHostClipboard(xe),Zt=new d.ExtHostMessageService(xe,te),gi=new c.ExtHostDialogs(xe),Kt=new y.ExtHostStatusBar(xe,ot.converter);return g.ExtHostApiCommands.register(ot),function(Oe,ci,Ot){const ft=function(){let le=!Oe.isUnderDevelopment;function me(){le||(te.info(`Extension '${Oe.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),le=!0)}return function ke(tt){if(Array.isArray(tt))tt.forEach(ke);else if(typeof tt=="string")me();else{const gt=tt;typeof gt.scheme=="undefined"&&me(),typeof gt.exclusive=="boolean"&&(0,je.checkProposedApiEnabled)(Oe,"documentFiltersExclusive"),typeof gt.notebookType=="string"&&(0,je.checkProposedApiEnabled)(Oe,"notebookDocumentSelector")}return tt}}(),Ti={getSession(le,me,ke){return ri.getSession(Oe,le,me,ke)},async hasSession(le,me){return(0,je.checkProposedApiEnabled)(Oe,"authSession"),!!await ri.getSession(Oe,le,me,{silent:!0})},get onDidChangeSessions(){return ri.onDidChangeSessions},registerAuthenticationProvider(le,me,ke,tt){return ri.registerAuthenticationProvider(le,me,ke,tt)}},Ai={registerCommand(le,me,ke){return ot.registerCommand(!0,le,me,ke,void 0,Oe)},registerTextEditorCommand(le,me,ke){return ot.registerCommand(!0,le,(...tt)=>{const gt=Pt.getActiveTextEditor();if(!gt){te.warn("Cannot execute "+le+" because there is no active text editor.");return}return gt.edit(It=>{me.apply(ke,[gt,It,...tt])}).then(It=>{It||te.warn("Edits from command "+le+" were not applied.")},It=>{te.warn("An error occurred while running command "+le,It)})},void 0,void 0,Oe)},registerDiffInformationCommand:(le,me,ke)=>((0,je.checkProposedApiEnabled)(Oe,"diffCommand"),ot.registerCommand(!0,le,async(...tt)=>{const gt=St.activeEditor(!0);if(!gt){te.warn("Cannot execute "+le+" because there is no active text editor.");return}const It=await Pt.getDiffInformation(gt.id);me.apply(ke,[It,...tt])},void 0,void 0,Oe)),executeCommand(le,...me){return ot.executeCommand(le,...me)},getCommands(le=!1){return ot.getCommands(le)}},pi={get machineId(){return ct.telemetryInfo.machineId},get sessionId(){return ct.telemetryInfo.sessionId},get language(){return ct.environment.appLanguage},get appName(){return ct.environment.appName},get appRoot(){return ct.environment.appRoot?.fsPath??""},get appHost(){return ct.environment.appHost},get uriScheme(){return ct.environment.appUriScheme},get clipboard(){return Pi.value},get shell(){return dt.getDefaultShell(!1)},get isTelemetryEnabled(){return Lt.getTelemetryConfiguration()},get onDidChangeTelemetryEnabled(){return Lt.onDidChangeTelemetryEnabled},get telemetryConfiguration(){return(0,je.checkProposedApiEnabled)(Oe,"telemetry"),Lt.getTelemetryDetails()},get onDidChangeTelemetryConfiguration(){return(0,je.checkProposedApiEnabled)(Oe,"telemetry"),Lt.onDidChangeTelemetryConfiguration},get isNewAppInstall(){const le=Date.now()-new Date(ct.telemetryInfo.firstSessionDate).getTime();return isNaN(le)?!1:le<1e3*60*60*24},openExternal(le,me){return Ve.openUri(le,{allowTunneling:!!ct.remote.authority,allowContributedOpeners:me?.allowContributedOpeners})},async asExternalUri(le){if(le.scheme===ct.environment.appUriScheme)return Ut.createAppUri(le);try{return await Ve.asExternalUri(le,{allowTunneling:!!ct.remote.authority})}catch(me){if((0,$e.matchesScheme)(le,Me.Schemas.http)||(0,$e.matchesScheme)(le,Me.Schemas.https))return le;throw me}},get remoteName(){return(0,J.getRemoteName)(ct.remote.authority)},get remoteAuthority(){return(0,je.checkProposedApiEnabled)(Oe,"resolvers"),ct.remote.authority},get uiKind(){return ct.uiKind}};ct.environment.extensionTestsLocationURI||Object.freeze(pi);const vi=ct.remote.isRemote?H.ExtensionKind.Workspace:H.ExtensionKind.UI,Ri={createTestController(le,me,ke){return Jt.createTestController(le,me,ke)},createTestObserver(){return(0,je.checkProposedApiEnabled)(Oe,"testObserver"),Jt.createTestObserver()},runTests(le){return(0,je.checkProposedApiEnabled)(Oe,"testObserver"),Jt.runTests(le)},get onDidChangeTestResults(){return(0,je.checkProposedApiEnabled)(Oe,"testObserver"),Jt.onResultsChanged},get testResults(){return(0,je.checkProposedApiEnabled)(Oe,"testObserver"),Jt.results}},Li={getExtension(le){const me=ci.getExtensionDescription(le);if(me)return new n.Extension(yt,Oe.identifier,me,vi)},get all(){return ci.getAllExtensionDescriptions().map(le=>new n.Extension(yt,Oe.identifier,le,vi))},get onDidChange(){return ci.onDidChange}},Oi={createDiagnosticCollection(le){return qt.createDiagnosticCollection(Oe.identifier,le)},get onDidChangeDiagnostics(){return qt.onDidChangeDiagnostics},getDiagnostics:le=>qt.getDiagnostics(le),getLanguages(){return Gt.getLanguages()},setTextDocumentLanguage(le,me){return Gt.changeLanguage(le.uri,me)},match(le,me){return(0,F.score)(Q.LanguageSelector.from(le),me.uri,me.languageId,!0,me.notebook?.notebookType)},registerCodeActionsProvider(le,me,ke){return at.registerCodeActionProvider(Oe,ft(le),me,ke)},registerCodeLensProvider(le,me){return at.registerCodeLensProvider(Oe,ft(le),me)},registerDefinitionProvider(le,me){return at.registerDefinitionProvider(Oe,ft(le),me)},registerDeclarationProvider(le,me){return at.registerDeclarationProvider(Oe,ft(le),me)},registerImplementationProvider(le,me){return at.registerImplementationProvider(Oe,ft(le),me)},registerTypeDefinitionProvider(le,me){return at.registerTypeDefinitionProvider(Oe,ft(le),me)},registerHoverProvider(le,me){return at.registerHoverProvider(Oe,ft(le),me,Oe.identifier)},registerEvaluatableExpressionProvider(le,me){return at.registerEvaluatableExpressionProvider(Oe,ft(le),me,Oe.identifier)},registerInlineValuesProvider(le,me){return at.registerInlineValuesProvider(Oe,ft(le),me,Oe.identifier)},registerDocumentHighlightProvider(le,me){return at.registerDocumentHighlightProvider(Oe,ft(le),me)},registerLinkedEditingRangeProvider(le,me){return at.registerLinkedEditingRangeProvider(Oe,ft(le),me)},registerReferenceProvider(le,me){return at.registerReferenceProvider(Oe,ft(le),me)},registerRenameProvider(le,me){return at.registerRenameProvider(Oe,ft(le),me)},registerDocumentSymbolProvider(le,me,ke){return at.registerDocumentSymbolProvider(Oe,ft(le),me,ke)},registerWorkspaceSymbolProvider(le){return at.registerWorkspaceSymbolProvider(Oe,le)},registerDocumentFormattingEditProvider(le,me){return at.registerDocumentFormattingEditProvider(Oe,ft(le),me)},registerDocumentRangeFormattingEditProvider(le,me){return at.registerDocumentRangeFormattingEditProvider(Oe,ft(le),me)},registerOnTypeFormattingEditProvider(le,me,ke,...tt){return at.registerOnTypeFormattingEditProvider(Oe,ft(le),me,[ke].concat(tt))},registerDocumentSemanticTokensProvider(le,me,ke){return at.registerDocumentSemanticTokensProvider(Oe,ft(le),me,ke)},registerDocumentRangeSemanticTokensProvider(le,me,ke){return at.registerDocumentRangeSemanticTokensProvider(Oe,ft(le),me,ke)},registerSignatureHelpProvider(le,me,ke,...tt){return typeof ke=="object"?at.registerSignatureHelpProvider(Oe,ft(le),me,ke):at.registerSignatureHelpProvider(Oe,ft(le),me,typeof ke=="undefined"?[]:[ke,...tt])},registerCompletionItemProvider(le,me,...ke){return at.registerCompletionItemProvider(Oe,ft(le),me,ke)},registerInlineCompletionItemProvider(le,me){return(0,je.checkProposedApiEnabled)(Oe,"inlineCompletions"),at.registerInlineCompletionsProvider(Oe,ft(le),me)},registerDocumentLinkProvider(le,me){return at.registerDocumentLinkProvider(Oe,ft(le),me)},registerColorProvider(le,me){return at.registerColorProvider(Oe,ft(le),me)},registerFoldingRangeProvider(le,me){return at.registerFoldingRangeProvider(Oe,ft(le),me)},registerSelectionRangeProvider(le,me){return at.registerSelectionRangeProvider(Oe,le,me)},registerCallHierarchyProvider(le,me){return at.registerCallHierarchyProvider(Oe,le,me)},registerTypeHierarchyProvider(le,me){return at.registerTypeHierarchyProvider(Oe,le,me)},setLanguageConfiguration:(le,me)=>at.setLanguageConfiguration(Oe,le,me),getTokenInformationAtPosition(le,me){return(0,je.checkProposedApiEnabled)(Oe,"tokenInformation"),Gt.tokenAtPosition(le,me)},registerInlayHintsProvider(le,me){return at.registerInlayHintsProvider(Oe,le,me)},createLanguageStatusItem(le,me){return Gt.createLanguageStatusItem(Oe,le,me)}},ui={get activeTextEditor(){return Pt.getActiveTextEditor()},get visibleTextEditors(){return Pt.getVisibleTextEditors()},get activeTerminal(){return dt.activeTerminal},get terminals(){return dt.terminals},async showTextDocument(le,me,ke){const tt=await(C.URI.isUri(le)?Promise.resolve(wi.openTextDocument(le)):Promise.resolve(le));return Pt.showTextDocument(tt,me,ke)},createTextEditorDecorationType(le){return Pt.createTextEditorDecorationType(Oe,le)},onDidChangeActiveTextEditor(le,me,ke){return Pt.onDidChangeActiveTextEditor(le,me,ke)},onDidChangeVisibleTextEditors(le,me,ke){return Pt.onDidChangeVisibleTextEditors(le,me,ke)},onDidChangeTextEditorSelection(le,me,ke){return Pt.onDidChangeTextEditorSelection(le,me,ke)},onDidChangeTextEditorOptions(le,me,ke){return Pt.onDidChangeTextEditorOptions(le,me,ke)},onDidChangeTextEditorVisibleRanges(le,me,ke){return Pt.onDidChangeTextEditorVisibleRanges(le,me,ke)},onDidChangeTextEditorViewColumn(le,me,ke){return Pt.onDidChangeTextEditorViewColumn(le,me,ke)},onDidCloseTerminal(le,me,ke){return dt.onDidCloseTerminal(le,me,ke)},onDidOpenTerminal(le,me,ke){return dt.onDidOpenTerminal(le,me,ke)},onDidChangeActiveTerminal(le,me,ke){return dt.onDidChangeActiveTerminal(le,me,ke)},onDidChangeTerminalDimensions(le,me,ke){return(0,je.checkProposedApiEnabled)(Oe,"terminalDimensions"),dt.onDidChangeTerminalDimensions(le,me,ke)},onDidChangeTerminalState(le,me,ke){return dt.onDidChangeTerminalState(le,me,ke)},onDidWriteTerminalData(le,me,ke){return(0,je.checkProposedApiEnabled)(Oe,"terminalDataWriteEvent"),dt.onDidWriteTerminalData(le,me,ke)},get state(){return Ve.state},onDidChangeWindowState(le,me,ke){return Ve.onDidChangeWindowState(le,me,ke)},showInformationMessage(le,...me){return Zt.showMessage(Oe,A.default.Info,le,me[0],me.slice(1))},showWarningMessage(le,...me){return Zt.showMessage(Oe,A.default.Warning,le,me[0],me.slice(1))},showErrorMessage(le,...me){return Zt.showMessage(Oe,A.default.Error,le,me[0],me.slice(1))},showQuickPick(le,me,ke){return xt.showQuickPick(le,me,ke)},showWorkspaceFolderPick(le){return xt.showWorkspaceFolderPick(le)},showInputBox(le,me){return xt.showInput(le,me)},showOpenDialog(le){return gi.showOpenDialog(le)},showSaveDialog(le){return gi.showSaveDialog(le)},createStatusBarItem(le,me,ke){let tt,gt,It;return typeof le=="string"?(tt=le,gt=me,It=ke):(gt=le,It=me),Kt.createStatusBarEntry(Oe,tt,gt,It)},setStatusBarMessage(le,me){return Kt.setStatusBarMessage(le,me)},withScmProgress(le){return Re.report("window.withScmProgress",Oe,"Use 'withProgress' instead."),fi.withProgress(Oe,{location:H.ProgressLocation.SourceControl},(me,ke)=>le({report(tt){}}))},withProgress(le,me){return fi.withProgress(Oe,le,me)},createOutputChannel(le,me){return me&&(0,je.checkProposedApiEnabled)(Oe,"outputChannelLanguage"),kt.createOutputChannel(le,me,Oe)},createWebviewPanel(le,me,ke,tt){return Yt.createWebviewPanel(Oe,le,me,ke,tt)},createWebviewTextEditorInset(le,me,ke,tt){return(0,je.checkProposedApiEnabled)(Oe,"editorInsets"),bi.createWebviewEditorInset(le,me,ke,tt,Oe)},createTerminal(le,me,ke){return typeof le=="object"?"pty"in le?dt.createExtensionTerminal(le):dt.createTerminalFromOptions(le):dt.createTerminal(le,me,ke)},registerTerminalLinkProvider(le){return dt.registerLinkProvider(le)},registerTerminalProfileProvider(le,me){return dt.registerProfileProvider(Oe,le,me)},registerTreeDataProvider(le,me){return ii.registerTreeDataProvider(le,me,Oe)},createTreeView(le,me){return ii.createTreeView(le,me,Oe)},registerWebviewPanelSerializer:(le,me)=>Yt.registerWebviewPanelSerializer(Oe,le,me),registerCustomEditorProvider:(le,me,ke={})=>yi.registerCustomEditorProvider(Oe,le,me,ke),registerFileDecorationProvider(le){return Et.registerFileDecorationProvider(le,Oe.identifier)},registerUriHandler(le){return Ut.registerUriHandler(Oe.identifier,le)},createQuickPick(){return xt.createQuickPick(Oe)},createInputBox(){return xt.createInputBox(Oe.identifier)},get activeColorTheme(){return mi.activeColorTheme},onDidChangeActiveColorTheme(le,me,ke){return mi.onDidChangeActiveColorTheme(le,me,ke)},registerWebviewViewProvider(le,me,ke){return Di.registerWebviewViewProvider(Oe,le,me,ke?.webviewOptions)},get activeNotebookEditor(){return(0,je.checkProposedApiEnabled)(Oe,"notebookEditor"),bt.activeNotebookEditor},onDidChangeActiveNotebookEditor(le,me,ke){return(0,je.checkProposedApiEnabled)(Oe,"notebookEditor"),bt.onDidChangeActiveNotebookEditor(le,me,ke)},get visibleNotebookEditors(){return(0,je.checkProposedApiEnabled)(Oe,"notebookEditor"),bt.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return(0,je.checkProposedApiEnabled)(Oe,"notebookEditor"),bt.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(le,me,ke){return(0,je.checkProposedApiEnabled)(Oe,"notebookEditor"),Xt.onDidChangeNotebookEditorSelection(le,me,ke)},onDidChangeNotebookEditorVisibleRanges(le,me,ke){return(0,je.checkProposedApiEnabled)(Oe,"notebookEditor"),Xt.onDidChangeNotebookEditorVisibleRanges(le,me,ke)},showNotebookDocument(le,me){return(0,je.checkProposedApiEnabled)(Oe,"notebookEditor"),bt.showNotebookDocument(le,me)},registerExternalUriOpener(le,me,ke){return(0,je.checkProposedApiEnabled)(Oe,"externalUriOpener"),si.registerExternalUriOpener(Oe.identifier,le,me,ke)},get tabGroups(){return(0,je.checkProposedApiEnabled)(Oe,"tabs"),ht.tabGroups},getInlineCompletionItemController(le){return(0,je.checkProposedApiEnabled)(Oe,"inlineCompletions"),a.InlineCompletionController.get(le)}},wi={get rootPath(){return Re.report("workspace.rootPath",Oe,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),mt.getPath()},set rootPath(le){throw t.readonly()},getWorkspaceFolder(le){return mt.getWorkspaceFolder(le)},get workspaceFolders(){return mt.getWorkspaceFolders()},get name(){return mt.name},set name(le){throw t.readonly()},get workspaceFile(){return mt.workspaceFile},set workspaceFile(le){throw t.readonly()},updateWorkspaceFolders:(le,me,...ke)=>mt.updateWorkspaceFolders(Oe,le,me||0,...ke),onDidChangeWorkspaceFolders:function(le,me,ke){return mt.onDidChangeWorkspace(le,me,ke)},asRelativePath:(le,me)=>mt.getRelativePath(le,me),findFiles:(le,me,ke,tt)=>mt.findFiles(le,me,ke,Oe.identifier,tt),findTextInFiles:(le,me,ke,tt)=>{(0,je.checkProposedApiEnabled)(Oe,"findTextInFiles");let gt,It;return typeof me=="object"?(gt=me,It=ke):(gt={},It=me,tt=ke),mt.findTextInFiles(le,gt||{},It,Oe.identifier,tt)},saveAll:le=>mt.saveAll(le),applyEdit(le){return ki.applyWorkspaceEdit(le)},createFileSystemWatcher:(le,me,ke,tt)=>$t.createFileSystemWatcher(mt,Oe,le,me,ke,tt),get textDocuments(){return Ct.getAllDocumentData().map(le=>le.document)},set textDocuments(le){throw t.readonly()},openTextDocument(le){let me;const ke=le;if(typeof le=="string")me=Promise.resolve(C.URI.file(le));else if(C.URI.isUri(le))me=Promise.resolve(le);else if(!ke||typeof ke=="object")me=Ct.createDocumentData(ke);else throw new Error("illegal argument - uriOrFileNameOrOptions");return me.then(tt=>Ct.ensureDocumentData(tt).then(gt=>gt.document))},onDidOpenTextDocument:(le,me,ke)=>Ct.onDidAddDocument(le,me,ke),onDidCloseTextDocument:(le,me,ke)=>Ct.onDidRemoveDocument(le,me,ke),onDidChangeTextDocument:(le,me,ke)=>Ct.onDidChangeDocument(le,me,ke),onDidSaveTextDocument:(le,me,ke)=>Ct.onDidSaveDocument(le,me,ke),onWillSaveTextDocument:(le,me,ke)=>Ht.getOnWillSaveTextDocumentEvent(Oe)(le,me,ke),get notebookDocuments(){return bt.notebookDocuments.map(le=>le.apiNotebook)},async openNotebookDocument(le,me){let ke;if(C.URI.isUri(le))ke=le,await bt.openNotebookDocument(le);else if(typeof le=="string")ke=C.URI.revive(await bt.createNotebookDocument({viewType:le,content:me}));else throw new Error("Invalid arguments");return bt.getNotebookDocument(ke).apiNotebook},get onDidOpenNotebookDocument(){return bt.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return bt.onDidCloseNotebookDocument},registerNotebookSerializer(le,me,ke,tt){return bt.registerNotebookSerializer(Oe,le,me,ke,(0,je.isProposedApiEnabled)(Oe,"notebookLiveShare")?tt:void 0)},registerNotebookContentProvider:(le,me,ke,tt)=>((0,je.checkProposedApiEnabled)(Oe,"notebookContentProvider"),bt.registerNotebookContentProvider(Oe,le,me,ke,(0,je.isProposedApiEnabled)(Oe,"notebookLiveShare")?tt:void 0)),onDidChangeConfiguration:(le,me,ke)=>Ot.onDidChangeConfiguration(le,me,ke),getConfiguration(le,me){return me=arguments.length===1?void 0:me,Ot.getConfiguration(le,me,Oe)},registerTextDocumentContentProvider(le,me){return Bt.registerTextDocumentContentProvider(le,me)},registerTaskProvider:(le,me)=>(Re.report("window.registerTaskProvider",Oe,"Use the corresponding function on the 'tasks' namespace instead"),pt.registerTaskProvider(Oe,le,me)),registerFileSystemProvider(le,me,ke){return(0,wt.combinedDisposable)(li.registerFileSystemProvider(Oe,le,me,ke),Tt.addFileSystemProvider(le,me))},get fs(){return Tt.value},registerFileSearchProvider:(le,me)=>((0,je.checkProposedApiEnabled)(Oe,"fileSearchProvider"),Nt.registerFileSearchProvider(le,me)),registerTextSearchProvider:(le,me)=>((0,je.checkProposedApiEnabled)(Oe,"textSearchProvider"),Nt.registerTextSearchProvider(le,me)),registerRemoteAuthorityResolver:(le,me)=>((0,je.checkProposedApiEnabled)(Oe,"resolvers"),yt.registerRemoteAuthorityResolver(le,me)),registerResourceLabelFormatter:le=>((0,je.checkProposedApiEnabled)(Oe,"resolvers"),Si.$registerResourceLabelFormatter(le)),onDidCreateFiles:(le,me,ke)=>$t.onDidCreateFile(le,me,ke),onDidDeleteFiles:(le,me,ke)=>$t.onDidDeleteFile(le,me,ke),onDidRenameFiles:(le,me,ke)=>$t.onDidRenameFile(le,me,ke),onWillCreateFiles:(le,me,ke)=>$t.getOnWillCreateFileEvent(Oe)(le,me,ke),onWillDeleteFiles:(le,me,ke)=>$t.getOnWillDeleteFileEvent(Oe)(le,me,ke),onWillRenameFiles:(le,me,ke)=>$t.getOnWillRenameFileEvent(Oe)(le,me,ke),openTunnel:le=>((0,je.checkProposedApiEnabled)(Oe,"resolvers"),Ie.openTunnel(Oe,le).then(me=>{if(!me)throw new Error("cannot open tunnel");return me})),get tunnels(){return(0,je.checkProposedApiEnabled)(Oe,"resolvers"),Ie.getTunnels()},onDidChangeTunnels:(le,me,ke)=>((0,je.checkProposedApiEnabled)(Oe,"resolvers"),Ie.onDidChangeTunnels(le,me,ke)),registerPortAttributesProvider:(le,me)=>((0,je.checkProposedApiEnabled)(Oe,"portsAttributes"),Ie.registerPortsAttributesProvider(le,me)),registerTimelineProvider:(le,me)=>((0,je.checkProposedApiEnabled)(Oe,"timeline"),Ci.registerTimelineProvider(le,me,Oe.identifier,ot.converter)),get isTrusted(){return mt.trusted},requestWorkspaceTrust:le=>((0,je.checkProposedApiEnabled)(Oe,"workspaceTrust"),mt.requestWorkspaceTrust(le)),onDidGrantWorkspaceTrust:(le,me,ke)=>mt.onDidGrantWorkspaceTrust(le,me,ke)},Fi={get inputBox(){return Re.report("scm.inputBox",Oe,"Use 'SourceControl.inputBox' instead"),ni.getLastInputBox(Oe)},createSourceControl(le,me,ke){return ni.createSourceControl(Oe,le,me,ke)}},Ni={createCommentController(le,me){return _i.createCommentController(Oe,le,me)}},Mi={get activeDebugSession(){return ut.activeDebugSession},get activeDebugConsole(){return ut.activeDebugConsole},get breakpoints(){return ut.breakpoints},onDidStartDebugSession(le,me,ke){return ut.onDidStartDebugSession(le,me,ke)},onDidTerminateDebugSession(le,me,ke){return ut.onDidTerminateDebugSession(le,me,ke)},onDidChangeActiveDebugSession(le,me,ke){return ut.onDidChangeActiveDebugSession(le,me,ke)},onDidReceiveDebugSessionCustomEvent(le,me,ke){return ut.onDidReceiveDebugSessionCustomEvent(le,me,ke)},onDidChangeBreakpoints(le,me,ke){return ut.onDidChangeBreakpoints(le,me,ke)},registerDebugConfigurationProvider(le,me,ke){return ut.registerDebugConfigurationProvider(le,me,ke||st.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(le,me){return ut.registerDebugAdapterDescriptorFactory(Oe,le,me)},registerDebugAdapterTrackerFactory(le,me){return ut.registerDebugAdapterTrackerFactory(le,me)},startDebugging(le,me,ke){return!ke||typeof ke=="object"&&"configuration"in ke?ut.startDebugging(le,me,{parentSession:ke}):ut.startDebugging(le,me,ke||{})},stopDebugging(le){return ut.stopDebugging(le)},addBreakpoints(le){return ut.addBreakpoints(le)},removeBreakpoints(le){return ut.removeBreakpoints(le)},asDebugSourceUri(le,me){return ut.asDebugSourceUri(le,me)}},Ui={registerTaskProvider:(le,me)=>pt.registerTaskProvider(Oe,le,me),fetchTasks:le=>pt.fetchTasks(le),executeTask:le=>pt.executeTask(Oe,le),get taskExecutions(){return pt.taskExecutions},onDidStartTask:(le,me,ke)=>pt.onDidStartTask(le,me,ke),onDidEndTask:(le,me,ke)=>pt.onDidEndTask(le,me,ke),onDidStartTaskProcess:(le,me,ke)=>pt.onDidStartTaskProcess(le,me,ke),onDidEndTaskProcess:(le,me,ke)=>pt.onDidEndTaskProcess(le,me,ke)},Bi={createNotebookController(le,me,ke,tt,gt){return ti.createNotebookController(Oe,le,me,ke,tt,(0,je.isProposedApiEnabled)(Oe,"notebookMessaging")?gt:void 0)},registerNotebookCellStatusBarItemProvider:(le,me)=>bt.registerNotebookCellStatusBarItemProvider(Oe,le,me),get onDidSaveNotebookDocument(){return(0,je.checkProposedApiEnabled)(Oe,"notebookEditor"),ei.onDidSaveNotebookDocument},createNotebookEditorDecorationType(le){return(0,je.checkProposedApiEnabled)(Oe,"notebookEditorDecorationType"),Xt.createNotebookEditorDecorationType(le)},createRendererMessaging(le){return ai.createRendererMessaging(Oe,le)},onDidChangeNotebookDocumentMetadata(le,me,ke){return(0,je.checkProposedApiEnabled)(Oe,"notebookEditor"),ei.onDidChangeNotebookDocumentMetadata(le,me,ke)},onDidChangeNotebookCells(le,me,ke){return(0,je.checkProposedApiEnabled)(Oe,"notebookEditor"),bt.onDidChangeNotebookCells(le,me,ke)},onDidChangeNotebookCellExecutionState(le,me,ke){return(0,je.checkProposedApiEnabled)(Oe,"notebookCellExecutionState"),ti.onDidChangeNotebookCellExecutionState(le,me,ke)},onDidChangeCellOutputs(le,me,ke){return(0,je.checkProposedApiEnabled)(Oe,"notebookEditor"),bt.onDidChangeCellOutputs(le,me,ke)},onDidChangeCellMetadata(le,me,ke){return(0,je.checkProposedApiEnabled)(Oe,"notebookEditor"),bt.onDidChangeCellMetadata(le,me,ke)},createConcatTextDocument(le,me){return(0,je.checkProposedApiEnabled)(Oe,"notebookConcatTextDocument"),new Ce.ExtHostNotebookConcatDocument(bt,Ct,le,me)}};return{version:ct.version,authentication:Ti,commands:Ai,comments:Ni,debug:Mi,env:pi,extensions:Li,languages:Oi,notebooks:Bi,scm:Fi,tasks:Ui,tests:Ri,window:ui,workspace:wi,Breakpoint:H.Breakpoint,CallHierarchyIncomingCall:H.CallHierarchyIncomingCall,CallHierarchyItem:H.CallHierarchyItem,CallHierarchyOutgoingCall:H.CallHierarchyOutgoingCall,CancellationError:t.CancellationError,CancellationTokenSource:h.CancellationTokenSource,CandidatePortSource:p.CandidatePortSource,CodeAction:H.CodeAction,CodeActionKind:H.CodeActionKind,CodeActionTriggerKind:H.CodeActionTriggerKind,CodeLens:H.CodeLens,Color:H.Color,ColorInformation:H.ColorInformation,ColorPresentation:H.ColorPresentation,ColorThemeKind:H.ColorThemeKind,CommentMode:H.CommentMode,CommentThreadCollapsibleState:H.CommentThreadCollapsibleState,CommentThreadState:H.CommentThreadState,CompletionItem:H.CompletionItem,CompletionItemKind:H.CompletionItemKind,CompletionItemTag:H.CompletionItemTag,CompletionList:H.CompletionList,CompletionTriggerKind:H.CompletionTriggerKind,ConfigurationTarget:H.ConfigurationTarget,CustomExecution:H.CustomExecution,DebugAdapterExecutable:H.DebugAdapterExecutable,DebugAdapterInlineImplementation:H.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:H.DebugAdapterNamedPipeServer,DebugAdapterServer:H.DebugAdapterServer,DebugConfigurationProviderTriggerKind:st.DebugConfigurationProviderTriggerKind,DebugConsoleMode:H.DebugConsoleMode,DecorationRangeBehavior:H.DecorationRangeBehavior,Diagnostic:H.Diagnostic,DiagnosticRelatedInformation:H.DiagnosticRelatedInformation,DiagnosticSeverity:H.DiagnosticSeverity,DiagnosticTag:H.DiagnosticTag,Disposable:H.Disposable,DocumentHighlight:H.DocumentHighlight,DocumentHighlightKind:H.DocumentHighlightKind,DocumentLink:H.DocumentLink,DocumentSymbol:H.DocumentSymbol,EndOfLine:H.EndOfLine,EnvironmentVariableMutatorType:H.EnvironmentVariableMutatorType,EvaluatableExpression:H.EvaluatableExpression,InlineValueText:H.InlineValueText,InlineValueVariableLookup:H.InlineValueVariableLookup,InlineValueEvaluatableExpression:H.InlineValueEvaluatableExpression,InlineCompletionTriggerKind:H.InlineCompletionTriggerKind,EventEmitter:P.Emitter,ExtensionKind:H.ExtensionKind,ExtensionMode:H.ExtensionMode,ExternalUriOpenerPriority:H.ExternalUriOpenerPriority,FileChangeType:H.FileChangeType,FileDecoration:H.FileDecoration,FileSystemError:H.FileSystemError,FileType:D.FileType,FilePermission:D.FilePermission,FoldingRange:H.FoldingRange,FoldingRangeKind:H.FoldingRangeKind,FunctionBreakpoint:H.FunctionBreakpoint,InlineCompletionItem:H.InlineSuggestion,InlineCompletionList:H.InlineSuggestions,Hover:H.Hover,IndentAction:R.IndentAction,Location:H.Location,MarkdownString:H.MarkdownString,OverviewRulerLane:_.OverviewRulerLane,ParameterInformation:H.ParameterInformation,PortAutoForwardAction:H.PortAutoForwardAction,Position:H.Position,ProcessExecution:H.ProcessExecution,ProgressLocation:H.ProgressLocation,QuickInputButtons:H.QuickInputButtons,Range:H.Range,RelativePattern:H.RelativePattern,Selection:H.Selection,SelectionRange:H.SelectionRange,SemanticTokens:H.SemanticTokens,SemanticTokensBuilder:H.SemanticTokensBuilder,SemanticTokensEdit:H.SemanticTokensEdit,SemanticTokensEdits:H.SemanticTokensEdits,SemanticTokensLegend:H.SemanticTokensLegend,ShellExecution:H.ShellExecution,ShellQuoting:H.ShellQuoting,SignatureHelp:H.SignatureHelp,SignatureHelpTriggerKind:H.SignatureHelpTriggerKind,SignatureInformation:H.SignatureInformation,SnippetString:H.SnippetString,SourceBreakpoint:H.SourceBreakpoint,StandardTokenType:H.StandardTokenType,StatusBarAlignment:H.StatusBarAlignment,SymbolInformation:H.SymbolInformation,SymbolKind:H.SymbolKind,SymbolTag:H.SymbolTag,Task:H.Task,TaskGroup:H.TaskGroup,TaskPanelKind:H.TaskPanelKind,TaskRevealKind:H.TaskRevealKind,TaskScope:H.TaskScope,TerminalLink:H.TerminalLink,TerminalLocation:H.TerminalLocation,TerminalProfile:H.TerminalProfile,TextDocumentSaveReason:H.TextDocumentSaveReason,TextEdit:H.TextEdit,TextEditorCursorStyle:k.TextEditorCursorStyle,TextEditorLineNumbersStyle:H.TextEditorLineNumbersStyle,TextEditorRevealType:H.TextEditorRevealType,TextEditorSelectionChangeKind:H.TextEditorSelectionChangeKind,TextDocumentChangeReason:H.TextDocumentChangeReason,ThemeColor:H.ThemeColor,ThemeIcon:H.ThemeIcon,TreeItem:H.TreeItem,TreeItemCollapsibleState:H.TreeItemCollapsibleState,TypeHierarchyItem:H.TypeHierarchyItem,UIKind:b.UIKind,Uri:C.URI,ViewColumn:H.ViewColumn,WorkspaceEdit:H.WorkspaceEdit,InlayHint:H.InlayHint,InlayHintLabelPart:H.InlayHintLabelPart,InlayHintKind:H.InlayHintKind,RemoteAuthorityResolverError:H.RemoteAuthorityResolverError,ResolvedAuthority:H.ResolvedAuthority,SourceControlInputBoxValidationType:H.SourceControlInputBoxValidationType,ExtensionRuntime:H.ExtensionRuntime,TimelineItem:H.TimelineItem,NotebookRange:H.NotebookRange,NotebookCellKind:H.NotebookCellKind,NotebookCellExecutionState:H.NotebookCellExecutionState,NotebookCellData:H.NotebookCellData,NotebookData:H.NotebookData,NotebookRendererScript:H.NotebookRendererScript,NotebookCellStatusBarAlignment:H.NotebookCellStatusBarAlignment,NotebookEditorRevealType:H.NotebookEditorRevealType,NotebookCellOutput:H.NotebookCellOutput,NotebookCellOutputItem:H.NotebookCellOutputItem,NotebookCellStatusBarItem:H.NotebookCellStatusBarItem,NotebookControllerAffinity:H.NotebookControllerAffinity,PortAttributes:H.PortAttributes,LinkedEditingRanges:H.LinkedEditingRanges,TestResultState:H.TestResultState,TestRunRequest:H.TestRunRequest,TestMessage:H.TestMessage,TestTag:H.TestTag,TestRunProfileKind:H.TestRunProfileKind,TextSearchCompleteMessageType:ge.TextSearchCompleteMessageType,TreeDataTransfer:H.TreeDataTransfer,TreeDataTransferItem:H.TreeDataTransferItem,CoveredCount:H.CoveredCount,FileCoverage:H.FileCoverage,StatementCoverage:H.StatementCoverage,BranchCoverage:H.BranchCoverage,FunctionCoverage:H.FunctionCoverage,WorkspaceTrustState:H.WorkspaceTrustState,LanguageStatusSeverity:H.LanguageStatusSeverity,QuickPickItemKind:H.QuickPickItemKind}}}e.createApiFactoryAndRegisterActors=_t}),define(pe[282],ve([1,0,283,292,293,2,294]),function(ee,e,h,t,P,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connectProxyResolver=void 0;function k(D,p,b,g,u,w){const S=w.environment.useHostProxy,I=typeof S=="boolean"?S:!w.remote.isRemote,l=(0,C.createProxyResolver)({resolveProxy:f=>D.resolveProxy(f),getHttpProxySetting:()=>p.getConfiguration("http").get("proxy"),log:(f,s,...v)=>{switch(f){case C.LogLevel.Trace:g.trace(s,...v);break;case C.LogLevel.Debug:g.debug(s,...v);break;case C.LogLevel.Info:g.info(s,...v);break;case C.LogLevel.Warning:g.warn(s,...v);break;case C.LogLevel.Error:g.error(s,...v);break;case C.LogLevel.Critical:g.critical(s,...v);break;case C.LogLevel.Off:break;default:o(f,s,v);break}function o(n,r,...i){g.error("Unknown log level",n),g.error(r,...i)}},getLogLevel:()=>g.getLevel(),proxyResolveTelemetry:()=>{},useHostProxy:I,env:process.env}),c=_(p,l);return F(b,c)}e.connectProxyResolver=k;function _(D,p){const b={config:D.getConfiguration("http").get("proxySupport")||"off"};D.onDidChangeConfiguration(u=>{b.config=D.getConfiguration("http").get("proxySupport")||"off"});const g={config:!!D.getConfiguration("http").get("systemCertificates")};return D.onDidChangeConfiguration(u=>{g.config=!!D.getConfiguration("http").get("systemCertificates")}),{http:{off:Object.assign({},h,(0,C.createHttpPatch)(h,p,{config:"off"},g,!0)),on:Object.assign({},h,(0,C.createHttpPatch)(h,p,{config:"on"},g,!0)),override:Object.assign({},h,(0,C.createHttpPatch)(h,p,{config:"override"},g,!0)),onRequest:Object.assign({},h,(0,C.createHttpPatch)(h,p,b,g,!0)),default:Object.assign(h,(0,C.createHttpPatch)(h,p,b,g,!1))},https:{off:Object.assign({},t,(0,C.createHttpPatch)(t,p,{config:"off"},g,!0)),on:Object.assign({},t,(0,C.createHttpPatch)(t,p,{config:"on"},g,!0)),override:Object.assign({},t,(0,C.createHttpPatch)(t,p,{config:"override"},g,!0)),onRequest:Object.assign({},t,(0,C.createHttpPatch)(t,p,b,g,!0)),default:Object.assign(t,(0,C.createHttpPatch)(t,p,b,g,!1))},tls:Object.assign(P,(0,C.createTlsPatch)(P))}}const R=new Map;function F(D,p){return D.getExtensionPathIndex().then(b=>{const g=ee.__$__nodeRequire("module"),u=g._load;g._load=function(S,I,l){if(S==="tls")return p.tls;if(S!=="http"&&S!=="https")return u.apply(this,arguments);const c=p[S],f=b.findSubstr(A.URI.file(I.filename));let s=R.get(f);if(s||R.set(f,s={}),!s[S]){let v=c.default;s[S]={...v}}return s[S]}})}}),define(pe[139],ve([1,0,38,295,102,18,74,32,9,8,2,31,69,296,276,88]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixNewline=e.fixRegexNewline=e.unicodeEscapesToPCRE2=e.spreadGlobComponents=e.RipgrepParser=e.buildRegexParseError=e.rgErrorMsgForDisplay=e.RipgrepTextSearchEngine=void 0;const w=g.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");class S{constructor(d){this.outputChannel=d}provideTextSearchResults(d,E,T,L){return this.outputChannel.appendLine(`provideTextSearchResults ${d.pattern}, ${JSON.stringify({...E,folder:E.folder.toString()})}`),new Promise((O,y)=>{L.onCancellationRequested(()=>G());const B=v(d,E),M=E.folder.fsPath,z=B.map(Z=>Z.match(/^-/)?Z:`'${Z}'`).join(" ");this.outputChannel.appendLine(`${w} ${z}
 - cwd: ${M}`);let V=h.spawn(w,B,{cwd:M});V.on("error",Z=>{console.error(Z),this.outputChannel.appendLine("Error: "+(Z&&Z.message)),y((0,D.serializeSearchError)(new D.SearchError(Z&&Z.message,D.SearchErrorCode.rgProcessError)))});let Q=!1;const H=new c(E.maxResults,M,E.previewOptions);H.on("result",Z=>{Q=!0,ie="",T.report(Z)});let K=!1;const G=()=>{K=!0,V&&V.kill(),H&&H.cancel()};let j=!1;H.on("hitLimit",()=>{j=!0,G()});let ie="";V.stdout.on("data",Z=>{H.handleData(Z),Q||(ie+=Z)});let oe=!1;V.stdout.once("data",()=>oe=!0);let ue="";V.stderr.on("data",Z=>{const J=Z.toString();this.outputChannel.appendLine(J),ue+=J}),V.on("close",()=>{if(this.outputChannel.appendLine(oe?"Got data from stdout":"No data from stdout"),this.outputChannel.appendLine(Q?"Got result from parser":"No result from parser"),ie&&this.outputChannel.appendLine(`Got data without result: ${ie}`),this.outputChannel.appendLine(""),K)O({limitHit:j});else{H.flush(),V=null;let Z;ue&&!oe&&(Z=I(ue))?y((0,D.serializeSearchError)(new D.SearchError(Z.message,Z.code))):O({limitHit:j})}})})}}e.RipgrepTextSearchEngine=S;function I(m){const d=m.split(`
`),E=d[0].trim();if(d.some(L=>L.startsWith("regex parse error")))return new D.SearchError(l(d),D.SearchErrorCode.regexParseError);const T=E.match(/grep config error: unknown encoding: (.*)/);if(T)return new D.SearchError(`Unknown encoding: ${T[1]}`,D.SearchErrorCode.unknownEncoding);if(E.startsWith("error parsing glob"))return new D.SearchError(E.charAt(0).toUpperCase()+E.substr(1),D.SearchErrorCode.globParseError);if(E.startsWith("the literal"))return new D.SearchError(E.charAt(0).toUpperCase()+E.substr(1),D.SearchErrorCode.invalidLiteral);if(E.startsWith("PCRE2: error compiling pattern"))return new D.SearchError(E,D.SearchErrorCode.regexParseError)}e.rgErrorMsgForDisplay=I;function l(m){const d=["Regex parse error"],E=m.filter(T=>T.startsWith("PCRE2:"));if(E.length>=1){const T=E[0].replace("PCRE2:","");if(T.indexOf(":")!==-1&&T.split(":").length>=2){const L=T.split(":")[1];d.push(":"+L)}}return d.join("")}e.buildRegexParseError=l;class c extends t.EventEmitter{constructor(d,E,T){super();this.maxResults=d,this.rootFolder=E,this.previewOptions=T,this.remainder="",this.isDone=!1,this.hitLimit=!1,this.numResults=0,this.stringDecoder=new P.StringDecoder}cancel(){this.isDone=!0}flush(){this.handleDecodedData(this.stringDecoder.end())}on(d,E){return super.on(d,E),this}handleData(d){if(this.isDone)return;const E=typeof d=="string"?d:this.stringDecoder.write(d);this.handleDecodedData(E)}handleDecodedData(d){let E=d.indexOf(`
`);const T=this.remainder+d;if(E>=0)E+=this.remainder.length;else{this.remainder=T;return}let L=0;for(;E>=0;)this.handleLine(T.substring(L,E).trim()),L=E+1,E=T.indexOf(`
`,L);this.remainder=T.substring(L)}handleLine(d){if(this.isDone||!d)return;let E;try{E=JSON.parse(d)}catch{throw new Error(`malformed line from rg: ${d}`)}if(E.type==="match"){const T=f(E.data.path),L=F.URI.file(_.join(this.rootFolder,T)),O=this.createTextSearchMatch(E.data,L);this.onResult(O),this.hitLimit&&(this.cancel(),this.emit("hitLimit"))}else if(E.type==="context"){const T=f(E.data.path),L=F.URI.file(_.join(this.rootFolder,T));this.createTextSearchContext(E.data,L).forEach(y=>this.onResult(y))}}createTextSearchMatch(d,E){const T=d.line_number-1,L=f(d.lines),O=Buffer.from(L);let y=0,B=0,M=T;d.submatches.length===0&&d.submatches.push(L.length?{start:0,end:1,match:{text:L[0]}}:{start:0,end:0,match:{text:""}});const z=(0,A.coalesce)(d.submatches.map((V,Q)=>{if(this.hitLimit)return null;this.numResults++,this.numResults>=this.maxResults&&(this.hitLimit=!0);const H=f(V.match),K=O.slice(y,V.start).toString().length,G=B+K,j=s(H),ie=M,oe=j.numLines+ie,ue=j.numLines>0?j.lastLineLength:j.lastLineLength+G;return y=V.end,B=ue,M=oe,new p.Range(ie,G,oe,ue)}));return(0,u.createTextSearchResult)(E,L,z,this.previewOptions)}createTextSearchContext(d,E){const T=f(d.lines),L=d.line_number;return T.replace(/\r?\n$/,"").split(`
`).map((O,y)=>({text:O,uri:E,lineNumber:L+y}))}onResult(d){this.emit("result",d)}}e.RipgrepParser=c;function f(m){return m.bytes?Buffer.from(m.bytes,"base64").toString():m.text}function s(m){const d=/\n/g;let E=0,T=-1,L;for(;L=d.exec(m);)E++,T=L.index;const O=T>=0?m.length-T-1:m.length;return{numLines:E,lastLineLength:O}}function v(m,d){const E=["--hidden"];E.push(m.isCaseSensitive?"--case-sensitive":"--ignore-case");const{doubleStarIncludes:T,otherIncludes:L}=(0,C.groupBy)(d.includes,y=>y.startsWith("**")?"doubleStarIncludes":"otherIncludes");if(L&&L.length){const y=new Set;L.forEach(B=>{y.add(B)}),E.push("-g","!*"),y.forEach(B=>{o(B).map(u.anchorGlob).forEach(M=>{E.push("-g",M)})})}T&&T.length&&T.forEach(y=>{E.push("-g",y)}),d.excludes.map(u.anchorGlob).forEach(y=>E.push("-g",`!${y}`)),d.maxFileSize&&E.push("--max-filesize",d.maxFileSize+""),d.useIgnoreFiles?d.useParentIgnoreFiles||E.push("--no-ignore-parent"):E.push("--no-ignore"),d.followSymlinks&&E.push("--follow"),d.encoding&&d.encoding!=="utf8"&&E.push("--encoding",d.encoding),m.pattern==="--"&&(m.isRegExp=!0,m.pattern="\\-\\-"),m.isMultiline&&!m.isRegExp&&(m.pattern=(0,R.escapeRegExpCharacters)(m.pattern),m.isRegExp=!0),d.usePCRE2&&E.push("--pcre2"),E.push("--crlf"),m.isRegExp&&(m.pattern=n(m.pattern),E.push("--engine","auto"));let O;if(m.isWordMatch){const B=(0,R.createRegExp)(m.pattern,!!m.isRegExp,{wholeWord:m.isWordMatch}).source.replace(/\\\//g,"/");E.push("--regexp",B)}else if(m.isRegExp){let y=i(m.pattern);y=a(y),E.push("--regexp",y)}else O=m.pattern,E.push("--fixed-strings");return E.push("--no-config"),d.useGlobalIgnoreFiles||E.push("--no-ignore-global"),E.push("--json"),m.isMultiline&&E.push("--multiline"),d.beforeContext&&E.push("--before-context",d.beforeContext+""),d.afterContext&&E.push("--after-context",d.afterContext+""),E.push("--"),O&&E.push(O),E.push("."),E}function o(m){const d=(0,k.splitGlobAware)(m,"/");return d.map((E,T)=>d.slice(0,T+1).join("/"))}e.spreadGlobComponents=o;function n(m){const d=/((?:[^\\]|^)(?:\\\\)*)\\u([a-z0-9]{4})/gi;for(;m.match(d);)m=m.replace(d,"$1\\x{$2}");const E=/((?:[^\\]|^)(?:\\\\)*)\\u\{([a-z0-9]{4})\}/gi;for(;m.match(E);)m=m.replace(E,"$1\\x{$2}");return m}e.unicodeEscapesToPCRE2=n;const r=m=>m.type==="Assertion"&&m.kind==="lookbehind";function i(m){let d;try{d=new b.RegExpParser().parsePattern(m)}catch{return m}let E="",T=0;const L=(B,M,z)=>{E+=m.slice(T,B)+z,T=M},O=[];return new b.RegExpVisitor({onCharacterEnter(B){if(B.raw!=="\\n")return;const M=O[0];if(!M)L(B.start,B.end,"\\r?\\n");else if(!O.some(r))if(M.type==="CharacterClass")if(M.negate){const z=m.slice(M.start+2,B.start)+m.slice(B.end,M.end-1);M.parent?.type==="Quantifier"?L(M.start,M.end,z?`[^${z}]`:"."):L(M.start,M.end,"(?!\\r?\\n"+(z?`|[${z}]`:"")+")")}else{const z=m.slice(M.start+1,B.start)+m.slice(B.end,M.end-1);L(M.start,M.end,z===""?"\\r?\\n":`(?:[${z}]|\\r?\\n)`)}else M.type==="Quantifier"&&L(B.start,B.end,"(?:\\r?\\n)")},onQuantifierEnter(B){O.unshift(B)},onQuantifierLeave(){O.shift()},onCharacterClassRangeEnter(B){O.unshift(B)},onCharacterClassRangeLeave(){O.shift()},onCharacterClassEnter(B){O.unshift(B)},onCharacterClassLeave(){O.shift()},onAssertionEnter(B){r(B)&&O.push(B)},onAssertionLeave(B){O[0]===B&&O.shift()}}).visit(d),E+=m.slice(T),E}e.fixRegexNewline=i;function a(m){return m.replace(/\n/g,"\\r?\\n")}e.fixNewline=a}),define(pe[284],ve([1,0,21,139,118,10]),function(ee,e,h,t,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RipgrepSearchProvider=void 0;class C{constructor(R){this.outputChannel=R,this.inProgress=new Set,process.once("exit",()=>this.dispose())}provideTextSearchResults(R,F,D,p){const b=new t.RipgrepTextSearchEngine(this.outputChannel);if(F.folder.scheme===A.Schemas.userData){const g={...F,folder:F.folder.with({scheme:A.Schemas.file})},u=new P.Progress(w=>D.report({...w,uri:w.uri.with({scheme:F.folder.scheme})}));return this.withToken(p,w=>b.provideTextSearchResults(R,g,u,w))}else return this.withToken(p,g=>b.provideTextSearchResults(R,F,D,g))}async withToken(R,F){const D=k(R);this.inProgress.add(D);const p=await F(D.token);return this.inProgress.delete(D),p}dispose(){this.inProgress.forEach(R=>R.cancel())}}e.RipgrepSearchProvider=C;function k(_){const R=new h.CancellationTokenSource;return _.onCancellationRequested(()=>R.cancel()),R}}),define(pe[285],ve([1,0,28,139,138]),function(ee,e,h,t,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchEngineAdapter=void 0;class A{constructor(_){this.query=_}search(_,R,F){if((!this.query.folderQueries||!this.query.folderQueries.length)&&(!this.query.extraFileResources||!this.query.extraFileResources.length))return Promise.resolve({type:"success",limitHit:!1,stats:{type:"searchProcess"}});const D={appendLine(b){F({message:b})}},p=new P.NativeTextSearchManager(this.query,new t.RipgrepTextSearchEngine(D),h);return new Promise((b,g)=>p.search(u=>{R(u.map(C))},_).then(u=>b({limitHit:u.limitHit,type:"success",stats:u.stats}),g))}}e.TextSearchEngineAdapter=A;function C(k){return{path:k.resource&&k.resource.fsPath,results:k.results,numMatches:(k.results||[]).reduce((_,R)=>{if(R.ranges){const F=R;return _+(Array.isArray(F.ranges)?F.ranges.length:1)}else return _+1},0)}}}),define(pe[286],ve([1,0,18,15,17,3,98,9,46,2,42,31,277,285]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SearchService=void 0;class g{constructor(c="searchProcess"){this.processType=c,this.caches=Object.create(null)}fileSearch(c){let f;const s=S(c),v=new A.Emitter({onFirstListenerDidAdd:()=>{f=(0,t.createCancelablePromise)(o=>this.doFileSearchWithEngine(p.Engine,s,n=>v.fire(n),o)),f.then(o=>v.fire(o),o=>v.fire({type:"error",error:{message:o.message,stack:o.stack}}))},onLastListenerRemove:()=>{f.cancel()}});return v.event}textSearch(c){let f;const s=S(c),v=new A.Emitter({onFirstListenerDidAdd:()=>{f=(0,t.createCancelablePromise)(o=>this.ripgrepTextSearch(s,n=>v.fire(n),o)),f.then(o=>v.fire(o),o=>v.fire({type:"error",error:{message:o.message,stack:o.stack}}))},onLastListenerRemove:()=>{f.cancel()}});return v.event}ripgrepTextSearch(c,f,s){return c.maxFileSize=(0,F.getPlatformLimits)(process.arch==="ia32"?0:1).maxFileSize,new b.TextSearchEngineAdapter(c).search(s,f,f)}doFileSearch(c,f,s){return this.doFileSearchWithEngine(p.Engine,c,f,s)}doFileSearchWithEngine(c,f,s,v,o=g.BATCH_SIZE){let n=0;const r=a=>{Array.isArray(a)?(n+=a.length,s(a.map(m=>this.rawMatchToSearchItem(m)))):a.relativePath?(n++,s(this.rawMatchToSearchItem(a))):s(a)};if(f.sortByScore){let a=this.trySortedSearchFromCache(f,r,v);if(!a){const m=f.maxResults?Object.assign({},f,{maxResults:null}):f,d=new c(m);a=this.doSortedSearch(d,f,s,r,v)}return new Promise((m,d)=>{a.then(([E,T])=>{const L=T.map(O=>this.rawMatchToSearchItem(O));this.sendProgress(L,s,o),m(E)},d)})}const i=new c(f);return this.doSearch(i,r,o,v).then(a=>({limitHit:a.limitHit,type:"success",stats:{detailStats:a.stats,type:this.processType,fromCache:!1,resultCount:n,sortingTime:void 0}}))}rawMatchToSearchItem(c){return{path:c.base?(0,k.join)(c.base,c.relativePath):c.relativePath}}doSortedSearch(c,f,s,v,o){const n=new A.Emitter;let r=(0,t.createCancelablePromise)(a=>{let m=[];const d=E=>{Array.isArray(E)?m=E:(v(E),n.fire(E))};return this.doSearch(c,d,-1,a).then(E=>[E,m])}),i;if(f.cacheKey){i=this.getOrCreateCache(f.cacheKey);const a={promise:r,event:n.event,resolved:!1};i.resultsToSearchCache[f.filePattern||""]=a,r.then(()=>{a.resolved=!0},m=>{delete i.resultsToSearchCache[f.filePattern||""]}),r=this.preventCancellation(r)}return r.then(([a,m])=>{const d=i?i.scorerCache:Object.create(null),E=(typeof f.maxResults!="number"||f.maxResults>0)&&_.StopWatch.create(!1);return this.sortResults(f,m,d,o).then(T=>{const L=E?E.elapsed():-1;return[{type:"success",stats:{detailStats:a.stats,sortingTime:L,fromCache:!1,type:this.processType,workspaceFolderCount:f.folderQueries.length,resultCount:T.length},messages:a.messages,limitHit:a.limitHit||typeof f.maxResults=="number"&&m.length>f.maxResults},T]})})}getOrCreateCache(c){const f=this.caches[c];return f||(this.caches[c]=new u)}trySortedSearchFromCache(c,f,s){const v=c.cacheKey&&this.caches[c.cacheKey];if(!v)return;const o=this.getResultsFromCache(v,c.filePattern||"",f,s);if(o)return o.then(([n,r,i])=>{const a=_.StopWatch.create(!1);return this.sortResults(c,r,v.scorerCache,s).then(m=>{const d=a.elapsed(),E={fromCache:!0,detailStats:i,type:this.processType,resultCount:r.length,sortingTime:d};return[{type:"success",limitHit:n.limitHit||typeof c.maxResults=="number"&&r.length>c.maxResults,stats:E},m]})})}sortResults(c,f,s,v){const o=(0,C.prepareQuery)(c.filePattern||""),n=(i,a)=>(0,C.compareItemsByFuzzyScore)(i,a,o,!0,w,s),r=typeof c.maxResults=="number"?c.maxResults:Number.MAX_VALUE;return h.topAsync(f,n,r,1e4,v)}sendProgress(c,f,s){if(s&&s>0)for(let v=0;v<c.length;v+=s)f(c.slice(v,v+s));else f(c)}getResultsFromCache(c,f,s,v){const o=_.StopWatch.create(!1),n=f.indexOf(k.sep)>=0;let r;for(const d in c.resultsToSearchCache)if(f.startsWith(d)){if(n&&d.indexOf(k.sep)<0&&d!=="")continue;const E=c.resultsToSearchCache[d];r={promise:this.preventCancellation(E.promise),event:E.event,resolved:E.resolved};break}if(!r)return null;const i=o.elapsed(),a=_.StopWatch.create(!1),m=r.event(s);return v&&v.onCancellationRequested(()=>{m.dispose()}),r.promise.then(([d,E])=>{if(v&&v.isCancellationRequested)throw(0,P.canceled)();const T=[],L=(0,C.prepareQuery)(f).normalizedLowercase;for(const O of E)!(0,D.isFilePatternMatch)(O,L)||T.push(O);return[d,T,{cacheWasResolved:r.resolved,cacheLookupTime:i,cacheFilterTime:a.elapsed(),cacheEntryCount:E.length}]})}doSearch(c,f,s,v){return new Promise((o,n)=>{let r=[];v&&v.onCancellationRequested(()=>c.cancel()),c.search(i=>{i&&(s?(r.push(i),s>0&&r.length>=s&&(f(r),r=[])):f(i))},i=>{f(i)},(i,a)=>{r.length&&f(r),i?n(i):o(a)})})}clearCache(c){return delete this.caches[c],Promise.resolve(void 0)}preventCancellation(c){return new class{get[Symbol.toStringTag](){return this.toString()}cancel(){}then(f,s){return c.then(f,s)}catch(f){return this.then(void 0,f)}finally(f){return c.finally(f)}}}}e.SearchService=g,g.BATCH_SIZE=512;class u{constructor(){this.resultsToSearchCache=Object.create(null),this.scorerCache=Object.create(null)}}const w=new class{getItemLabel(l){return(0,k.basename)(l.relativePath)}getItemDescription(l){return(0,k.dirname)(l.relativePath)}getItemPath(l){return l.relativePath}};function S(l){return{...l,folderQueries:l.folderQueries&&l.folderQueries.map(I),extraFileResources:l.extraFileResources&&l.extraFileResources.map(c=>R.URI.revive(c))}}function I(l){return{...l,folder:R.URI.revive(l.folder)}}}),define(pe[287],ve([1,0,6,10,2,28,11,26,16,72,64,31,286,284,88,138]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeExtHostSearch=void 0;let w=class extends R.ExtHostSearch{constructor(I,l,c,f){super(I,c,f);this._pfs=A,this._internalFileSearchHandle=-1,this._internalFileSearchProvider=null,this._registeredEHSearchProvider=!1;const s=new g.OutputChannel("RipgrepSearchUD",this._logService);this.registerTextSearchProvider(t.Schemas.userData,new b.RipgrepSearchProvider(s)),l.remote.isRemote&&l.remote.authority&&this._registerEHSearchProviders()}$enableExtensionHostSearch(){this._registerEHSearchProviders()}_registerEHSearchProviders(){if(this._registeredEHSearchProvider)return;this._registeredEHSearchProvider=!0;const I=new g.OutputChannel("RipgrepSearchEH",this._logService);this.registerTextSearchProvider(t.Schemas.file,new b.RipgrepSearchProvider(I)),this.registerInternalFileSearchProvider(t.Schemas.file,new p.SearchService("fileSearchProvider"))}registerInternalFileSearchProvider(I,l){const c=this._handlePool++;return this._internalFileSearchProvider=l,this._internalFileSearchHandle=c,this._proxy.$registerFileSearchProvider(c,this._transformScheme(I)),(0,h.toDisposable)(()=>{this._internalFileSearchProvider=null,this._proxy.$unregisterProvider(c)})}$provideFileSearchResults(I,l,c,f){const s=(0,R.reviveQuery)(c);return I===this._internalFileSearchHandle?this.doInternalFileSearch(I,l,s,f):super.$provideFileSearchResults(I,l,c,f)}doInternalFileSearch(I,l,c,f){const s=v=>{if((0,D.isSerializedFileMatch)(v)&&(v=[v]),Array.isArray(v)){this._proxy.$handleFileMatch(I,l,v.map(o=>P.URI.file(o.path)));return}v.message&&this._logService.debug("ExtHostSearch",v.message)};if(!this._internalFileSearchProvider)throw new Error("No internal file search handler");return this._internalFileSearchProvider.doFileSearch(c,s,f)}$clearCache(I){return this._internalFileSearchProvider&&this._internalFileSearchProvider.clearCache(I),super.$clearCache(I)}createTextSearchManager(I,l){return new u.NativeTextSearchManager(I,l,void 0,"textSearchProvider")}};w=Be([Fe(0,_.IExtHostRpcService),Fe(1,k.IExtHostInitDataService),Fe(2,F.IURITransformerService),Fe(3,C.ILogService)],w),e.NativeExtHostSearch=w}),define(pe[140],ve([1,0,297,127,60,22,17,3,6,9,12,33,104,105,298]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class u{constructor(E,T=""){this.debugLabel=T,this.socket=E,this.traceSocketEvent("created",{type:"NodeSocket"}),this._errorListener=L=>{if(this.traceSocketEvent("error",{code:L?.code,message:L?.message}),L){if(L.code==="EPIPE")return;(0,C.onUnexpectedError)(L)}},this.socket.on("error",this._errorListener)}traceSocketEvent(E,T){b.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,E,T)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(E){const T=L=>{this.traceSocketEvent("read",L),E(A.VSBuffer.wrap(L))};return this.socket.on("data",T),{dispose:()=>this.socket.off("data",T)}}onClose(E){const T=L=>{this.traceSocketEvent("close",{hadError:L}),E({type:0,hadError:L,error:void 0})};return this.socket.on("close",T),{dispose:()=>this.socket.off("close",T)}}onEnd(E){const T=()=>{this.traceSocketEvent("nodeEndReceived"),E()};return this.socket.on("end",T),{dispose:()=>this.socket.off("end",T)}}write(E){if(!this.socket.destroyed)try{this.traceSocketEvent("write",E),this.socket.write(E.buffer,T=>{if(T){if(T.code==="EPIPE")return;(0,C.onUnexpectedError)(T)}})}catch(T){if(T.code==="EPIPE")return;(0,C.onUnexpectedError)(T)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((E,T)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),E();return}const L=()=>{this.socket.off("close",L),this.socket.off("end",L),this.socket.off("error",L),this.socket.off("timeout",L),this.socket.off("drain",L),this.traceSocketEvent("nodeDrainEnd"),E()};this.socket.on("close",L),this.socket.on("end",L),this.socket.on("error",L),this.socket.on("timeout",L),this.socket.on("drain",L)})}}e.NodeSocket=u;var w;(function(d){d[d.MinHeaderByteSize=2]="MinHeaderByteSize"})(w||(w={}));var S;(function(d){d[d.PeekHeader=1]="PeekHeader",d[d.ReadHeader=2]="ReadHeader",d[d.ReadBody=3]="ReadBody",d[d.Fin=4]="Fin"})(S||(S={}));class I extends _.Disposable{constructor(E,T,L,O){super();this._onData=this._register(new k.Emitter),this._onClose=this._register(new k.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=E,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:T,inflateBytesLength:L?.byteLength||0,recordInflateBytes:O}),this._flowManager=this._register(new l(this,T,L,O,this._onData,(y,B)=>this._write(y,B))),this._register(this._flowManager.onError(y=>{console.error(y),(0,C.onUnexpectedError)(y),this._onClose.fire({type:0,hadError:!0,error:y})})),this._incomingData=new b.ChunkStream,this._register(this.socket.onData(y=>this._acceptChunk(y))),this._register(this.socket.onClose(y=>this._onClose.fire(y)))}get permessageDeflate(){return this._flowManager.permessageDeflate}get recordedInflateBytes(){return this._flowManager.recordedInflateBytes}traceSocketEvent(E,T){this.socket.traceSocketEvent(E,T)}dispose(){this._flowManager.isProcessingWriteQueue()?this._register(this._flowManager.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(E){return this._onData.event(E)}onClose(E){return this._onClose.event(E)}onEnd(E){return this.socket.onEnd(E)}write(E){this._flowManager.writeMessage(E)}_write(E,T){if(this._isEnded)return;this.traceSocketEvent("webSocketNodeSocketWrite",E);let L=2;E.byteLength<126?L+=0:E.byteLength<2**16?L+=2:L+=8;const O=A.VSBuffer.alloc(L);if(T?O.writeUInt8(194,0):O.writeUInt8(130,0),E.byteLength<126)O.writeUInt8(E.byteLength,1);else if(E.byteLength<2**16){O.writeUInt8(126,1);let y=1;O.writeUInt8(E.byteLength>>>8&255,++y),O.writeUInt8(E.byteLength>>>0&255,++y)}else{O.writeUInt8(127,1);let y=1;O.writeUInt8(0,++y),O.writeUInt8(0,++y),O.writeUInt8(0,++y),O.writeUInt8(0,++y),O.writeUInt8(E.byteLength>>>24&255,++y),O.writeUInt8(E.byteLength>>>16&255,++y),O.writeUInt8(E.byteLength>>>8&255,++y),O.writeUInt8(E.byteLength>>>0&255,++y)}this.socket.write(A.VSBuffer.concat([O,E]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(E){if(E.byteLength!==0){for(this._incomingData.acceptChunk(E);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const T=this._incomingData.peek(this._state.readLen),L=T.readUInt8(0),O=(L&128)>>>7,y=(L&64)>>>6,B=T.readUInt8(1),M=(B&128)>>>7,z=B&127;this._state.state=2,this._state.readLen=2+(M?4:0)+(z===126?2:0)+(z===127?8:0),this._state.fin=O,this._state.firstFrameOfMessage&&(this._state.compressed=Boolean(y)),this._state.firstFrameOfMessage=Boolean(O),this._state.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin})}else if(this._state.state===2){const T=this._incomingData.read(this._state.readLen),L=T.readUInt8(1),O=(L&128)>>>7;let y=L&127,B=1;y===126?y=T.readUInt8(++B)*2**8+T.readUInt8(++B):y===127&&(y=T.readUInt8(++B)*0+T.readUInt8(++B)*0+T.readUInt8(++B)*0+T.readUInt8(++B)*0+T.readUInt8(++B)*2**24+T.readUInt8(++B)*2**16+T.readUInt8(++B)*2**8+T.readUInt8(++B));let M=0;O&&(M=T.readUInt8(++B)*2**24+T.readUInt8(++B)*2**16+T.readUInt8(++B)*2**8+T.readUInt8(++B)),this._state.state=3,this._state.readLen=y,this._state.mask=M,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin,mask:this._state.mask})}else if(this._state.state===3){const T=this._incomingData.read(this._state.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",T),s(T,this._state.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",T),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._flowManager.acceptFrame(T,this._state.compressed,!!this._state.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this._flowManager.isProcessingWriteQueue()&&await k.Event.toPromise(this._flowManager.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.WebSocketNodeSocket=I;class l extends _.Disposable{constructor(E,T,L,O,y,B){super();this._tracer=E,this._onData=y,this._writeFn=B,this._onError=this._register(new k.Emitter),this.onError=this._onError.event,this._writeQueue=[],this._readQueue=[],this._onDidFinishProcessingWriteQueue=this._register(new k.Emitter),this.onDidFinishProcessingWriteQueue=this._onDidFinishProcessingWriteQueue.event,this._isProcessingWriteQueue=!1,this._isProcessingReadQueue=!1,T?(this._zlibInflateStream=this._register(new c(this._tracer,O,L,{windowBits:15})),this._zlibDeflateStream=this._register(new f(this._tracer,{windowBits:15})),this._register(this._zlibInflateStream.onError(M=>this._onError.fire(M))),this._register(this._zlibDeflateStream.onError(M=>this._onError.fire(M)))):(this._zlibInflateStream=null,this._zlibDeflateStream=null)}get permessageDeflate(){return Boolean(this._zlibInflateStream&&this._zlibDeflateStream)}get recordedInflateBytes(){return this._zlibInflateStream?this._zlibInflateStream.recordedInflateBytes:A.VSBuffer.alloc(0)}writeMessage(E){this._writeQueue.push(E),this._processWriteQueue()}async _processWriteQueue(){if(!this._isProcessingWriteQueue){for(this._isProcessingWriteQueue=!0;this._writeQueue.length>0;){const E=this._writeQueue.shift();if(this._zlibDeflateStream){const T=await this._deflateMessage(this._zlibDeflateStream,E);this._writeFn(T,!0)}else this._writeFn(E,!1)}this._isProcessingWriteQueue=!1,this._onDidFinishProcessingWriteQueue.fire()}}isProcessingWriteQueue(){return this._isProcessingWriteQueue}_deflateMessage(E,T){return new Promise((L,O)=>{E.write(T),E.flush(y=>L(y))})}acceptFrame(E,T,L){this._readQueue.push({data:E,isCompressed:T,isLastFrameOfMessage:L}),this._processReadQueue()}async _processReadQueue(){if(!this._isProcessingReadQueue){for(this._isProcessingReadQueue=!0;this._readQueue.length>0;){const E=this._readQueue.shift();if(this._zlibInflateStream&&E.isCompressed){const T=await this._inflateFrame(this._zlibInflateStream,E.data,E.isLastFrameOfMessage);this._onData.fire(T)}else this._onData.fire(E.data)}this._isProcessingReadQueue=!1}}_inflateFrame(E,T,L){return new Promise((O,y)=>{E.write(T),L&&E.write(A.VSBuffer.fromByteArray([0,0,255,255])),E.flush(B=>O(B))})}}class c extends _.Disposable{constructor(E,T,L,O){super();this._tracer=E,this._recordInflateBytes=T,this._onError=this._register(new k.Emitter),this.onError=this._onError.event,this._recordedInflateBytes=[],this._pendingInflateData=[],this._zlibInflate=g.createInflateRaw(O),this._zlibInflate.on("error",y=>{this._tracer.traceSocketEvent("zlibInflateError",{message:y?.message,code:y?.code}),this._onError.fire(y)}),this._zlibInflate.on("data",y=>{this._tracer.traceSocketEvent("zlibInflateData",y),this._pendingInflateData.push(A.VSBuffer.wrap(y))}),L&&(this._tracer.traceSocketEvent("zlibInflateInitialWrite",L.buffer),this._zlibInflate.write(L.buffer),this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateInitialFlushFired"),this._pendingInflateData.length=0}))}get recordedInflateBytes(){return this._recordInflateBytes?A.VSBuffer.concat(this._recordedInflateBytes):A.VSBuffer.alloc(0)}write(E){this._recordInflateBytes&&this._recordedInflateBytes.push(E.clone()),this._tracer.traceSocketEvent("zlibInflateWrite",E),this._zlibInflate.write(E.buffer)}flush(E){this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateFlushFired");const T=A.VSBuffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,E(T)})}}class f extends _.Disposable{constructor(E,T){super();this._tracer=E,this._onError=this._register(new k.Emitter),this.onError=this._onError.event,this._pendingDeflateData=[],this._zlibDeflate=g.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",L=>{this._tracer.traceSocketEvent("zlibDeflateError",{message:L?.message,code:L?.code}),this._onError.fire(L)}),this._zlibDeflate.on("data",L=>{this._tracer.traceSocketEvent("zlibDeflateData",L),this._pendingDeflateData.push(A.VSBuffer.wrap(L))})}write(E){this._tracer.traceSocketEvent("zlibDeflateWrite",E.buffer),this._zlibDeflate.write(E.buffer)}flush(E){this._zlibDeflate.flush(2,()=>{this._tracer.traceSocketEvent("zlibDeflateFlushFired");let T=A.VSBuffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,T=T.slice(0,T.byteLength-4),E(T)})}}function s(d,E){if(E===0)return;let T=d.byteLength>>>2;for(let z=0;z<T;z++){const V=d.readUInt32BE(z*4);d.writeUInt32BE(V^E,z*4)}let L=T*4,O=d.byteLength-L;const y=E>>>24&255,B=E>>>16&255,M=E>>>8&255;O>=1&&d.writeUInt8(d.readUInt8(L)^y,L),O>=2&&d.writeUInt8(d.readUInt8(L+1)^B,L+1),O>=3&&d.writeUInt8(d.readUInt8(L+2)^M,L+2)}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const v={[2]:107,[1]:103};function o(){const d=(0,D.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${d}-sock`;let E;return e.XDG_RUNTIME_DIR?E=(0,R.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${d}.sock`):E=(0,R.join)((0,P.tmpdir)(),`vscode-ipc-${d}.sock`),r(E),E}e.createRandomIPCHandle=o;function n(d,E,T){const L=(0,h.createHash)("md5").update(d).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${L}-${T}-${E}-sock`;let O;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?O=(0,R.join)(e.XDG_RUNTIME_DIR,`vscode-${L.substr(0,8)}-${T}-${E}.sock`):O=(0,R.join)(d,`${T}-${E}.sock`),r(O),O}e.createStaticIPCHandle=n;function r(d){const E=v[F.platform];typeof E=="number"&&d.length>=E&&console.warn(`WARNING: IPC handle "${d}" is longer than ${E} chars, try a shorter --user-data-dir`)}class i extends p.IPCServer{constructor(E){super(i.toClientConnectionEvent(E));this.server=E}static toClientConnectionEvent(E){const T=k.Event.fromNodeEventEmitter(E,"connection");return k.Event.map(T,L=>({protocol:new b.Protocol(new u(L,"ipc-server-connection")),onDidClientDisconnect:k.Event.once(k.Event.fromNodeEventEmitter(L,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=i;function a(d){return new Promise((E,T)=>{const L=(0,t.createServer)();L.on("error",T),L.listen(d,()=>{L.removeListener("error",T),E(new i(L))})})}e.serve=a;function m(d,E){return new Promise((T,L)=>{const O=(0,t.createConnection)(d,()=>{O.removeListener("error",L),T(b.Client.fromSocket(new u(O,`ipc-client${E}`),E))});O.once("error",L)})}e.connect=m}),define(pe[288],ve([1,0,140,283,59,39,2,11,43]),function(ee,e,h,t,P,A,C,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CLIServer=e.CLIServerBase=void 0;class R{constructor(p,b,g){this._commands=p,this.logService=b,this._ipcHandlePath=g,this._server=t.createServer((u,w)=>this.onRequest(u,w)),this.setup().catch(u=>(b.error(u),""))}get ipcHandlePath(){return this._ipcHandlePath}async setup(){try{this._server.listen(this.ipcHandlePath),this._server.on("error",p=>this.logService.error(p))}catch{this.logService.error("Could not start open from terminal server.")}return this._ipcHandlePath}onRequest(p,b){const g=(w,S)=>{b.writeHead(w,{"content-type":"application/json"}),b.end(JSON.stringify(S),I=>I&&this.logService.error(I))},u=[];p.setEncoding("utf8"),p.on("data",w=>u.push(w)),p.on("end",async()=>{try{const w=JSON.parse(u.join(""));let S;switch(w.type){case"open":S=await this.open(w);break;case"openExternal":S=await this.openExternal(w);break;case"status":S=await this.getStatus(w);break;case"extensionManagement":S=await this.manageExtensions(w);break;default:g(404,`Unknown message type: ${w.type}`);break}g(200,S)}catch(w){const S=w instanceof Error?w.message:JSON.stringify(w);g(500,S),this.logService.error("Error while processing pipe request",w)}})}async open(p){const{fileURIs:b,folderURIs:g,forceNewWindow:u,diffMode:w,addMode:S,forceReuseWindow:I,gotoLineMode:l,waitMarkerFilePath:c,remoteAuthority:f}=p,s=[];if(Array.isArray(g))for(const r of g)try{s.push({folderUri:C.URI.parse(r)})}catch{}if(Array.isArray(b))for(const r of b)try{(0,_.hasWorkspaceFileExtension)(r)?s.push({workspaceUri:C.URI.parse(r)}):s.push({fileUri:C.URI.parse(r)})}catch{}const v=c?C.URI.file(c):void 0,n={forceNewWindow:u,diffMode:w,addMode:S,gotoLineMode:l,forceReuseWindow:I,preferNewWindow:!I&&!v&&!S,waitMarkerFileURI:v,remoteAuthority:f};return this._commands.executeCommand("_remoteCLI.windowOpen",s,n),""}async openExternal(p){for(const b of p.uris){const g=C.URI.parse(b),u=g.scheme==="file"?g:b;await this._commands.executeCommand("_remoteCLI.openExternal",u)}}async manageExtensions(p){const b=u=>u?.map(w=>/\.vsix$/i.test(w)?C.URI.parse(w):w),g={list:p.list,install:b(p.install),uninstall:b(p.uninstall),force:p.force};return await this._commands.executeCommand("_remoteCLI.manageExtensions",g)}async getStatus(p){return await this._commands.executeCommand("_remoteCLI.getSystemStatus")}dispose(){this._server.close(),this._ipcHandlePath&&process.platform!=="win32"&&P.existsSync(this._ipcHandlePath)&&P.unlinkSync(this._ipcHandlePath)}}e.CLIServerBase=R;let F=class extends R{constructor(p,b){super(p,b,(0,h.createRandomIPCHandle)())}};F=Be([Fe(0,A.IExtHostCommands),Fe(1,k.ILogService)],F),e.CLIServer=F}),define(pe[289],ve([1,0,71,281,270,5,282,40,259,2,10,7,288,103]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;class g extends P.RequireInterceptor{_installInterceptor(){const S=this,I=ee.__$__nodeRequire("module"),l=I._load;I._load=function(v,o,n){return v=f(v),S._factories.has(v)?S._factories.get(v).load(v,R.URI.file((0,b.realpathSync)(o.filename)),r=>l.apply(this,[r,o,n])):l.apply(this,arguments)};const c=I._resolveLookupPaths;I._resolveLookupPaths=(s,v)=>c.call(this,f(s),v);const f=s=>{for(let v of S._alternatives){let o=v(s);if(o){s=o;break}}return s}}}class u extends k.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=D.ExtensionRuntime.Node}async _beforeAlmostReadyToRunExtensions(){const S=this._instaService.invokeFunction(t.createApiFactoryAndRegisterActors);if(this._instaService.createInstance(_.ExtHostDownloadService),this._initData.remote.isRemote&&this._initData.remote.authority){const s=this._instaService.createInstance(p.CLIServer);process.env.VSCODE_IPC_HOOK_CLI=s.ipcHandlePath}await this._instaService.createInstance(g,S,this._registry).install(),h.mark("code/extHost/didInitAPI");const l=await this._extHostConfiguration.getConfigProvider();await(0,C.connectProxyResolver)(this._extHostWorkspace,l,this,this._logService,this._mainThreadTelemetryProxy,this._initData),h.mark("code/extHost/didInitProxyResolver");const c=process.send,f=this._extHostContext.getProxy(A.MainContext.MainThreadConsole);process.send=(...s)=>s.length===0||!s[0]||s[0].type!=="__$console"?c.apply(process,s):(f.$logExtensionHostMessage(s[0]),!1)}_getEntryPoint(S){return S.main}_loadCommonJSModule(S,I,l){if(I.scheme!==F.Schemas.file)throw new Error(`Cannot load URI: '${I}', must be of file-scheme`);let c=null;l.codeLoadingStart(),this._logService.trace(`ExtensionService#loadCommonJSModule ${I.toString(!0)}`),this._logService.flush();try{S&&h.mark(`code/extHost/willLoadExtensionCode/${S.value}`),c=ee.__$__nodeRequire(I.fsPath)}catch(f){return Promise.reject(f)}finally{S&&h.mark(`code/extHost/didLoadExtensionCode/${S.value}`),l.codeLoadingStop()}return Promise.resolve(c)}async $setRemoteEnvironment(S){if(!!this._initData.remote.isRemote)for(const I in S){const l=S[I];l===null?delete process.env[I]:process.env[I]=l}}}e.ExtHostExtensionService=u}),define(pe[290],ve([1,0,61,262,273,272,287,289,263,54,40,72,70,34,51,67,261,260,11]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w,S,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,h.registerSingleton)(F.IExtHostExtensionService,k.ExtHostExtensionService),(0,h.registerSingleton)(I.ILoggerService,S.ExtHostLoggerService),(0,h.registerSingleton)(u.IExtensionStoragePaths,w.ExtensionStoragePaths),(0,h.registerSingleton)(R.IExtHostDebugService,A.ExtHostDebugService),(0,h.registerSingleton)(D.IExtHostSearch,C.NativeExtHostSearch),(0,h.registerSingleton)(p.IExtHostTask,P.ExtHostTask),(0,h.registerSingleton)(b.IExtHostTerminalService,t.ExtHostTerminalService),(0,h.registerSingleton)(g.IExtHostTunnelService,_.ExtHostTunnelService)}),define(pe[299],ve([1,0,127,300,71,17,105,140,191,132,271,22,28,103,15,113,206,274,290]),function(ee,e,h,t,P,A,C,k,_,R,F,D,p,b,g,u,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.startExtensionHostProcess=void 0,function(){for(let r=0;r<process.execArgv.length;r++)process.execArgv[r]==="--inspect-port=0"&&(process.execArgv.splice(r,1),r--)}();const S=t(process.argv.slice(2),{boolean:["transformURIs","skipWorkspaceStorageLock"],string:["useHostProxy"]});(function(){const n=ee.__$__nodeRequire("module"),r=n._load;n._load=function(i){if(i==="natives")throw new Error('Either the extension or an NPM dependency is using the [unsupported "natives" node module](https://go.microsoft.com/fwlink/?linkid=871887).');return r.apply(this,arguments)}})();const I=process.exit.bind(process);function l(n){process.exit=function(r){if(n)I(r);else{const i=new Error("An extension called process.exit() and this was prevented.");console.warn(i.stack)}},process.crash=function(){const r=new Error("An extension called process.crash() and this was prevented.");console.warn(r.stack)}}let c=function(n){I()};function f(){if(process.env.VSCODE_EXTHOST_WILL_SEND_SOCKET)return new Promise((n,r)=>{let i=null,a=setTimeout(()=>{c("VSCODE_EXTHOST_IPC_SOCKET timeout")},6e4);const m=108e5,d=3e5,E=new g.ProcessTimeRunOnceScheduler(()=>c("renderer disconnected for too long (1)"),m),T=new g.ProcessTimeRunOnceScheduler(()=>c("renderer disconnected for too long (2)"),d);process.on("message",(O,y)=>{if(O&&O.type==="VSCODE_EXTHOST_IPC_SOCKET"){y.setNoDelay(!0);const B=D.VSBuffer.wrap(Buffer.from(O.initialDataChunk,"base64"));let M;if(O.skipWebSocketFrames)M=new k.NodeSocket(y,"extHost-socket");else{const z=D.VSBuffer.wrap(Buffer.from(O.inflateBytes,"base64"));M=new k.WebSocketNodeSocket(new k.NodeSocket(y,"extHost-socket"),O.permessageDeflate,z,!1)}i?(E.cancel(),T.cancel(),i.beginAcceptReconnection(M,B),i.endAcceptReconnection(),i.sendResume()):(clearTimeout(a),i=new C.PersistentProtocol(M,B),i.sendResume(),i.onDidDispose(()=>c("renderer disconnected")),n(i),i.onSocketClose(()=>{E.schedule()}))}if(O&&O.type==="VSCODE_EXTHOST_IPC_REDUCE_GRACE_TIME"){if(T.isScheduled())return;E.isScheduled()&&T.schedule()}});const L={type:"VSCODE_EXTHOST_IPC_READY"};process.send&&process.send(L)});{const n=process.env.VSCODE_IPC_HOOK_EXTHOST;return new Promise((r,i)=>{const a=h.createConnection(n,()=>{a.removeListener("error",i),r(new C.PersistentProtocol(new k.NodeSocket(a,"extHost-renderer")))});a.once("error",i),a.on("close",()=>{c("renderer closed the socket")})})}}async function s(){const n=await f();return new class{constructor(){this._onMessage=new C.BufferedEmitter,this.onMessage=this._onMessage.event,this._terminating=!1,n.onMessage(r=>{(0,R.isMessageOfType)(r,2)?(this._terminating=!0,c("received terminate message from renderer")):this._onMessage.fire(r)})}send(r){this._terminating||n.send(r)}drain(){return n.drain()}}}function v(n){return new Promise(r=>{const i=n.onMessage(a=>{i.dispose();const m=JSON.parse(a.toString()),d=m.commit,E=_.default.commit;d&&E&&d!==E&&I(55);let T=0;setInterval(function(){try{process.kill(m.parentPid,0),T=0}catch(O){O&&O.code==="EPERM"?(T++,T>=3&&c(`parent process ${m.parentPid} does not exist anymore (3 x EPERM): ${O.message} (code: ${O.code}) (errno: ${O.errno})`)):c(`parent process ${m.parentPid} does not exist anymore: ${O.message} (code: ${O.code}) (errno: ${O.errno})`)}},1e3);let L;try{L=ee.__$__nodeRequire("native-watchdog"),L.start(m.parentPid)}catch(O){(0,A.onUnexpectedError)(O)}n.send((0,R.createMessageOfType)(0)),r({protocol:n,initData:m})});n.send((0,R.createMessageOfType)(1))})}async function o(){const n=[];process.on("unhandledRejection",(T,L)=>{n.push(L),setTimeout(()=>{const O=n.indexOf(L);O>=0&&L.catch(y=>{n.splice(O,1),(0,A.isCancellationError)(y)||(console.warn(`rejected promise not handled within 1 second: ${y}`),y&&y.stack&&console.warn(`stack trace: ${y.stack}`),T&&(0,A.onUnexpectedError)(T))})},1e3)}),process.on("rejectionHandled",T=>{const L=n.indexOf(T);L>=0&&n.splice(L,1)}),process.on("uncaughtException",function(T){(0,A.onUnexpectedError)(T)}),P.mark("code/extHost/willConnectToRenderer");const r=await s();P.mark("code/extHost/didConnectToRenderer");const i=await v(r);P.mark("code/extHost/didWaitForInitData");const{initData:a}=i;l(!!a.environment.extensionTestsLocationURI),a.environment.useHostProxy=S.useHostProxy!==void 0?S.useHostProxy!=="false":void 0,a.environment.skipWorkspaceStorageLock=(0,u.boolean)(S.skipWorkspaceStorageLock,!1);const m=new class{constructor(){this.pid=process.pid}exit(L){I(L)}exists(L){return p.Promises.exists(L)}realpath(L){return(0,b.realpath)(L)}};let d=null;a.remote.authority&&S.transformURIs&&(d=(0,w.createURITransformer)(a.remote.authority));const E=new F.ExtensionHostMain(i.protocol,a,m,d);c=T=>E.terminate(T)}e.startExtensionHostProcess=o,o().catch(n=>console.log(n))})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/86200d542474b26aa28034e0fd5789c45c747d8b/core/vs/workbench/api/node/extensionHostProcess.js.map
