/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Ee=["exports","require","vs/base/common/uri","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/base/common/event","vs/base/common/lifecycle","vs/workbench/api/common/extHostTypes","vs/workbench/api/common/extHostTypeConverters","vs/base/common/network","vs/base/common/strings","vs/base/common/types","vs/platform/log/common/log","vs/base/common/async","vs/workbench/api/common/extHostRpcService","vs/base/common/errors","vs/base/common/arrays","vs/base/common/path","vs/nls","vs/nls!vs/workbench/api/worker/extensionHostWorker","vs/base/common/cancellation","vs/base/common/buffer","vs/base/common/map","vs/base/common/platform","vs/base/common/resources","vs/platform/extensions/common/extensions","vs/base/common/objects","vs/workbench/api/common/extHostInitDataService","vs/workbench/services/extensions/common/extensions","vs/base/common/glob","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostWorkspace","vs/workbench/api/common/extHostConfiguration","vs/workbench/api/common/extHostExtensionService","vs/base/common/severity","vs/base/common/extpath","vs/base/common/uuid","vs/platform/registry/common/platform","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostCommands","vs/workbench/api/common/extHostTerminalService","vs/workbench/services/search/common/search","vs/base/common/assert","vs/base/common/errorMessage","vs/platform/instantiation/common/extensions","vs/platform/contextkey/common/contextkey","vs/platform/files/common/files","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostTestingPrivateApi","vs/editor/common/core/range","vs/workbench/api/common/extHostDocumentsAndEditors","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostWebview","vs/base/common/decorators","vs/base/common/idGenerator","vs/base/common/marshalling","vs/platform/instantiation/common/serviceCollection","vs/platform/theme/common/themeService","vs/workbench/api/common/cache","vs/workbench/api/common/extHostTunnelService","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/common/webview","vs/workbench/contrib/testing/common/testCollection","vs/workbench/contrib/testing/common/testId","vs/workbench/api/common/exHostSecretState","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostStorage","vs/workbench/api/common/extHostStoragePaths","vs/base/common/performance","vs/base/common/collections","vs/base/common/mime","vs/base/common/htmlContent","vs/base/common/labels","vs/editor/common/languageSelector","vs/editor/common/services/semanticTokensDto","vs/platform/instantiation/common/descriptors","vs/platform/configuration/common/configuration","vs/platform/markers/common/markers","vs/platform/opener/common/opener","vs/platform/configuration/common/configurationRegistry","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteHosts","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostDocumentData","vs/workbench/contrib/notebook/common/notebookCommon","vs/base/common/process","vs/workbench/services/editor/common/editorGroupsService","vs/editor/common/languages","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostDecorations","vs/base/common/hash","vs/workbench/api/common/extHostOutput","vs/workbench/api/common/extHostWindow","vs/workbench/services/search/common/searchExtTypes","vs/workbench/api/common/extHostTask","vs/workbench/api/common/extHostDebugService","vs/workbench/api/common/extHostSearch","vs/base/common/json","vs/base/common/marked/marked","vs/base/common/numbers","vs/base/common/stream","vs/base/common/filters","vs/base/common/iconLabels","vs/base/common/codicons","vs/base/common/comparers","vs/base/common/uriIpc","vs/editor/common/core/textModelDefaults","vs/editor/common/languages/languageConfiguration","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/editor/common/config/editorOptions","vs/editor/common/config/editorOptions","vs/editor/common/core/wordHelper","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/debug/common/debug","vs/nls!vs/workbench/contrib/tasks/common/taskService","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/nls!vs/workbench/services/search/common/queryBuilder","vs/platform/editor/common/editor","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/graph","vs/platform/environment/common/environment","vs/platform/instantiation/common/instantiationService","vs/platform/notification/common/notification","vs/platform/progress/common/progress","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/terminal/common/terminalDataBuffering","vs/platform/theme/common/theme","vs/platform/tunnel/common/tunnel","vs/platform/workspace/common/virtualWorkspace","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostNotebookDocuments","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostNotebookConcatDocument","vs/workbench/api/common/extHostTheming","vs/workbench/api/common/extHostWebviewMessaging","vs/workbench/api/common/shared/treeDataTransfer","vs/workbench/common/editor","vs/workbench/api/common/extHostCodeInsets","vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/workbench/contrib/debug/common/debug","vs/workbench/contrib/debug/common/debugUtils","vs/base/common/iterator","vs/workbench/contrib/notebook/common/notebookExecutionService","vs/workbench/contrib/output/common/output","vs/workbench/contrib/tasks/common/taskService","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostProgress","vs/workbench/contrib/testing/common/ownedTestCollection","vs/workbench/services/environment/common/environmentService","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/api/common/extHostLogService","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostInteractive","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/base/common/stopwatch","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostLoggerService","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostNotebookEditors","vs/workbench/api/common/extHostNotebookKernels","vs/workbench/api/common/extHostNotebookRenderers","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTesting","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/extensions/worker/polyfillNestedWorker","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/services/search/common/fileSearchManager","vs/workbench/services/search/common/queryBuilder","vs/workbench/services/extensions/common/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/api/common/extensionHostMain","vs/workbench/services/search/common/textSearchManager","vs/workbench/api/common/extHost.common.services","vs/workbench/services/views/common/treeViewsDragAndDropService","vs/workbench/api/common/extHostTreeViews","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/worker/extHostExtensionService","vs/workbench/api/worker/extHost.worker.services","vs/editor/common/model/mirrorTextModel","vs/editor/common/model/prefixSumComputer","vs/base/common/linkedList","vs/editor/common/core/position","vs/base/common/lazy","vs/editor/common/languages/linkComputer","vs/editor/common/core/selection","vs/base/common/functional","vs/editor/common/model/textModelSearch","vs/editor/common/model","vs/workbench/api/worker/extensionHostWorker"],be=function(Y){for(var e=[],o=0,I=Y.length;o<I;o++)e[o]=Ee[Y[o]];return e};define(Ee[42],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function o(I,_){if(!I)throw new Error(_?`Assertion failed (${_})`:"Assertion Failed")}e.ok=o}),define(Ee[70],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const o=Object.prototype.hasOwnProperty;function I(M){const E=[];for(let c in M)o.call(M,c)&&E.push(M[c]);return E}e.values=I;function _(M,E){for(let c in M)if(o.call(M,c)&&E({key:c,value:M[c]},function(){delete M[c]})===!1)return}e.forEach=_;function B(M,E){const c=Object.create(null);for(const g of M){const s=E(g);let n=c[s];n||(n=c[s]=[]),n.push(g)}return c}e.groupBy=B;function y(M){const E=Object.create(null);return M&&M.forEach((c,g)=>{E[g]=c}),E}e.fromMap=y;function P(M,E){const c=[],g=[];for(let s of M)E.has(s)||c.push(s);for(let s of E)M.has(s)||g.push(s);return{removed:c,added:g}}e.diffSets=P;function C(M,E){const c=[],g=[];for(let[s,n]of M)E.has(s)||c.push(n);for(let[s,n]of E)M.has(s)||g.push(n);return{removed:c,added:g}}e.diffMaps=C;class L{constructor(){this.map=new Map}add(E,c){let g=this.map.get(E);g||(g=new Set,this.map.set(E,g)),g.add(c)}delete(E,c){const g=this.map.get(E);!g||(g.delete(c),g.size===0&&this.map.delete(E))}forEach(E,c){const g=this.map.get(E);!g||g.forEach(c)}}e.SetMap=L}),define(Ee[53],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function o(y){return(P,C,L)=>{let M=null,E=null;if(typeof L.value=="function"?(M="value",E=L.value):typeof L.get=="function"&&(M="get",E=L.get),!E)throw new Error("not supported");L[M]=y(E,C)}}e.createDecorator=o;function I(y,P,C){let L=null,M=null;if(typeof C.value=="function"?(L="value",M=C.value,M.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof C.get=="function"&&(L="get",M=C.get),!M)throw new Error("not supported");const E=`$memoize$${P}`;C[L]=function(...c){return this.hasOwnProperty(E)||Object.defineProperty(this,E,{configurable:!1,enumerable:!1,writable:!1,value:M.apply(this,c)}),this[E]}}e.memoize=I;function _(y,P,C){return o((L,M)=>{const E=`$debounce$${M}`,c=`$debounce$result$${M}`;return function(...g){this[c]||(this[c]=C?C():void 0),clearTimeout(this[E]),P&&(this[c]=P(this[c],...g),g=[this[c]]),this[E]=setTimeout(()=>{L.apply(this,g),this[c]=C?C():void 0},y)}})}e.debounce=_;function B(y,P,C){return o((L,M)=>{const E=`$throttle$timer$${M}`,c=`$throttle$result$${M}`,g=`$throttle$lastRun$${M}`,s=`$throttle$pending$${M}`;return function(...n){if(this[c]||(this[c]=C?C():void 0),(this[g]===null||this[g]===void 0)&&(this[g]=-Number.MAX_VALUE),P&&(this[c]=P(this[c],...n)),this[s])return;const m=this[g]+y;m<=Date.now()?(this[g]=Date.now(),L.apply(this,[this[c]]),this[c]=C?C():void 0):(this[s]=!0,this[E]=setTimeout(()=>{this[s]=!1,this[g]=Date.now(),L.apply(this,[this[c]]),this[c]=C?C():void 0},m-Date.now()))}})}e.throttle=B}),define(Ee[54],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class o{constructor(_){this._prefix=_,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=o,e.defaultGenerator=new o("id#")}),define(Ee[100],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var o;(function(r){r[r.None=0]="None",r[r.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",r[r.UnexpectedEndOfString=2]="UnexpectedEndOfString",r[r.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",r[r.InvalidUnicode=4]="InvalidUnicode",r[r.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",r[r.InvalidCharacter=6]="InvalidCharacter"})(o=e.ScanError||(e.ScanError={}));var I;(function(r){r[r.OpenBraceToken=1]="OpenBraceToken",r[r.CloseBraceToken=2]="CloseBraceToken",r[r.OpenBracketToken=3]="OpenBracketToken",r[r.CloseBracketToken=4]="CloseBracketToken",r[r.CommaToken=5]="CommaToken",r[r.ColonToken=6]="ColonToken",r[r.NullKeyword=7]="NullKeyword",r[r.TrueKeyword=8]="TrueKeyword",r[r.FalseKeyword=9]="FalseKeyword",r[r.StringLiteral=10]="StringLiteral",r[r.NumericLiteral=11]="NumericLiteral",r[r.LineCommentTrivia=12]="LineCommentTrivia",r[r.BlockCommentTrivia=13]="BlockCommentTrivia",r[r.LineBreakTrivia=14]="LineBreakTrivia",r[r.Trivia=15]="Trivia",r[r.Unknown=16]="Unknown",r[r.EOF=17]="EOF"})(I=e.SyntaxKind||(e.SyntaxKind={}));var _;(function(r){r[r.InvalidSymbol=1]="InvalidSymbol",r[r.InvalidNumberFormat=2]="InvalidNumberFormat",r[r.PropertyNameExpected=3]="PropertyNameExpected",r[r.ValueExpected=4]="ValueExpected",r[r.ColonExpected=5]="ColonExpected",r[r.CommaExpected=6]="CommaExpected",r[r.CloseBraceExpected=7]="CloseBraceExpected",r[r.CloseBracketExpected=8]="CloseBracketExpected",r[r.EndOfFileExpected=9]="EndOfFileExpected",r[r.InvalidCommentToken=10]="InvalidCommentToken",r[r.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",r[r.UnexpectedEndOfString=12]="UnexpectedEndOfString",r[r.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",r[r.InvalidUnicode=14]="InvalidUnicode",r[r.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",r[r.InvalidCharacter=16]="InvalidCharacter"})(_=e.ParseErrorCode||(e.ParseErrorCode={}));var B;(function(r){r.DEFAULT={allowTrailingComma:!0}})(B=e.ParseOptions||(e.ParseOptions={}));function y(r,T=!1){let l=0,i=r.length,u="",t=0,a=16,p=0;function d(q){let $=0,j=0;for(;$<q;){const J=r.charCodeAt(l);if(J>=48&&J<=57)j=j*16+J-48;else if(J>=65&&J<=70)j=j*16+J-65+10;else if(J>=97&&J<=102)j=j*16+J-97+10;else break;l++,$++}return $<q&&(j=-1),j}function S(q){l=q,u="",t=0,a=16,p=0}function k(){const q=l;if(r.charCodeAt(l)===48)l++;else for(l++;l<r.length&&L(r.charCodeAt(l));)l++;if(l<r.length&&r.charCodeAt(l)===46)if(l++,l<r.length&&L(r.charCodeAt(l)))for(l++;l<r.length&&L(r.charCodeAt(l));)l++;else return p=3,r.substring(q,l);let $=l;if(l<r.length&&(r.charCodeAt(l)===69||r.charCodeAt(l)===101))if(l++,(l<r.length&&r.charCodeAt(l)===43||r.charCodeAt(l)===45)&&l++,l<r.length&&L(r.charCodeAt(l))){for(l++;l<r.length&&L(r.charCodeAt(l));)l++;$=l}else p=3;return r.substring(q,$)}function A(){let q="",$=l;for(;;){if(l>=i){q+=r.substring($,l),p=2;break}const j=r.charCodeAt(l);if(j===34){q+=r.substring($,l),l++;break}if(j===92){if(q+=r.substring($,l),l++,l>=i){p=2;break}switch(r.charCodeAt(l++)){case 34:q+='"';break;case 92:q+="\\";break;case 47:q+="/";break;case 98:q+="\b";break;case 102:q+="\f";break;case 110:q+=`
`;break;case 114:q+="\r";break;case 116:q+="	";break;case 117:{const z=d(4);z>=0?q+=String.fromCharCode(z):p=4;break}default:p=5}$=l;continue}if(j>=0&&j<=31)if(C(j)){q+=r.substring($,l),p=2;break}else p=6;l++}return q}function W(){if(u="",p=0,t=l,l>=i)return t=i,a=17;let q=r.charCodeAt(l);if(P(q)){do l++,u+=String.fromCharCode(q),q=r.charCodeAt(l);while(P(q));return a=15}if(C(q))return l++,u+=String.fromCharCode(q),q===13&&r.charCodeAt(l)===10&&(l++,u+=`
`),a=14;switch(q){case 123:return l++,a=1;case 125:return l++,a=2;case 91:return l++,a=3;case 93:return l++,a=4;case 58:return l++,a=6;case 44:return l++,a=5;case 34:return l++,u=A(),a=10;case 47:{const $=l-1;if(r.charCodeAt(l+1)===47){for(l+=2;l<i&&!C(r.charCodeAt(l));)l++;return u=r.substring($,l),a=12}if(r.charCodeAt(l+1)===42){l+=2;const j=i-1;let J=!1;for(;l<j;){if(r.charCodeAt(l)===42&&r.charCodeAt(l+1)===47){l+=2,J=!0;break}l++}return J||(l++,p=1),u=r.substring($,l),a=13}return u+=String.fromCharCode(q),l++,a=16}case 45:if(u+=String.fromCharCode(q),l++,l===i||!L(r.charCodeAt(l)))return a=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return u+=k(),a=11;default:for(;l<i&&b(q);)l++,q=r.charCodeAt(l);if(t!==l){switch(u=r.substring(t,l),u){case"true":return a=8;case"false":return a=9;case"null":return a=7}return a=16}return u+=String.fromCharCode(q),l++,a=16}}function b(q){if(P(q)||C(q))return!1;switch(q){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function H(){let q;do q=W();while(q>=12&&q<=15);return q}return{setPosition:S,getPosition:()=>l,scan:T?H:W,getToken:()=>a,getTokenValue:()=>u,getTokenOffset:()=>t,getTokenLength:()=>l-t,getTokenError:()=>p}}e.createScanner=y;function P(r){return r===32||r===9||r===11||r===12||r===160||r===5760||r>=8192&&r<=8203||r===8239||r===8287||r===12288||r===65279}function C(r){return r===10||r===13||r===8232||r===8233}function L(r){return r>=48&&r<=57}var M;(function(r){r[r.nullCharacter=0]="nullCharacter",r[r.maxAsciiCharacter=127]="maxAsciiCharacter",r[r.lineFeed=10]="lineFeed",r[r.carriageReturn=13]="carriageReturn",r[r.lineSeparator=8232]="lineSeparator",r[r.paragraphSeparator=8233]="paragraphSeparator",r[r.nextLine=133]="nextLine",r[r.space=32]="space",r[r.nonBreakingSpace=160]="nonBreakingSpace",r[r.enQuad=8192]="enQuad",r[r.emQuad=8193]="emQuad",r[r.enSpace=8194]="enSpace",r[r.emSpace=8195]="emSpace",r[r.threePerEmSpace=8196]="threePerEmSpace",r[r.fourPerEmSpace=8197]="fourPerEmSpace",r[r.sixPerEmSpace=8198]="sixPerEmSpace",r[r.figureSpace=8199]="figureSpace",r[r.punctuationSpace=8200]="punctuationSpace",r[r.thinSpace=8201]="thinSpace",r[r.hairSpace=8202]="hairSpace",r[r.zeroWidthSpace=8203]="zeroWidthSpace",r[r.narrowNoBreakSpace=8239]="narrowNoBreakSpace",r[r.ideographicSpace=12288]="ideographicSpace",r[r.mathematicalSpace=8287]="mathematicalSpace",r[r.ogham=5760]="ogham",r[r._=95]="_",r[r.$=36]="$",r[r._0=48]="_0",r[r._1=49]="_1",r[r._2=50]="_2",r[r._3=51]="_3",r[r._4=52]="_4",r[r._5=53]="_5",r[r._6=54]="_6",r[r._7=55]="_7",r[r._8=56]="_8",r[r._9=57]="_9",r[r.a=97]="a",r[r.b=98]="b",r[r.c=99]="c",r[r.d=100]="d",r[r.e=101]="e",r[r.f=102]="f",r[r.g=103]="g",r[r.h=104]="h",r[r.i=105]="i",r[r.j=106]="j",r[r.k=107]="k",r[r.l=108]="l",r[r.m=109]="m",r[r.n=110]="n",r[r.o=111]="o",r[r.p=112]="p",r[r.q=113]="q",r[r.r=114]="r",r[r.s=115]="s",r[r.t=116]="t",r[r.u=117]="u",r[r.v=118]="v",r[r.w=119]="w",r[r.x=120]="x",r[r.y=121]="y",r[r.z=122]="z",r[r.A=65]="A",r[r.B=66]="B",r[r.C=67]="C",r[r.D=68]="D",r[r.E=69]="E",r[r.F=70]="F",r[r.G=71]="G",r[r.H=72]="H",r[r.I=73]="I",r[r.J=74]="J",r[r.K=75]="K",r[r.L=76]="L",r[r.M=77]="M",r[r.N=78]="N",r[r.O=79]="O",r[r.P=80]="P",r[r.Q=81]="Q",r[r.R=82]="R",r[r.S=83]="S",r[r.T=84]="T",r[r.U=85]="U",r[r.V=86]="V",r[r.W=87]="W",r[r.X=88]="X",r[r.Y=89]="Y",r[r.Z=90]="Z",r[r.ampersand=38]="ampersand",r[r.asterisk=42]="asterisk",r[r.at=64]="at",r[r.backslash=92]="backslash",r[r.bar=124]="bar",r[r.caret=94]="caret",r[r.closeBrace=125]="closeBrace",r[r.closeBracket=93]="closeBracket",r[r.closeParen=41]="closeParen",r[r.colon=58]="colon",r[r.comma=44]="comma",r[r.dot=46]="dot",r[r.doubleQuote=34]="doubleQuote",r[r.equals=61]="equals",r[r.exclamation=33]="exclamation",r[r.greaterThan=62]="greaterThan",r[r.lessThan=60]="lessThan",r[r.minus=45]="minus",r[r.openBrace=123]="openBrace",r[r.openBracket=91]="openBracket",r[r.openParen=40]="openParen",r[r.percent=37]="percent",r[r.plus=43]="plus",r[r.question=63]="question",r[r.semicolon=59]="semicolon",r[r.singleQuote=39]="singleQuote",r[r.slash=47]="slash",r[r.tilde=126]="tilde",r[r.backspace=8]="backspace",r[r.formFeed=12]="formFeed",r[r.byteOrderMark=65279]="byteOrderMark",r[r.tab=9]="tab",r[r.verticalTab=11]="verticalTab"})(M||(M={}));function E(r,T){const l=[],i=new Object;let u;const t={value:{},offset:0,length:0,type:"object",parent:void 0};let a=!1;function p(d,S,k,A){t.value=d,t.offset=S,t.length=k,t.type=A,t.colonOffset=void 0,u=t}try{h(r,{onObjectBegin:(d,S)=>{if(T<=d)throw i;u=void 0,a=T>d,l.push("")},onObjectProperty:(d,S,k)=>{if(T<S||(p(d,S,k,"property"),l[l.length-1]=d,T<=S+k))throw i},onObjectEnd:(d,S)=>{if(T<=d)throw i;u=void 0,l.pop()},onArrayBegin:(d,S)=>{if(T<=d)throw i;u=void 0,l.push(0)},onArrayEnd:(d,S)=>{if(T<=d)throw i;u=void 0,l.pop()},onLiteralValue:(d,S,k)=>{if(T<S||(p(d,S,k,v(d)),T<=S+k))throw i},onSeparator:(d,S,k)=>{if(T<=S)throw i;if(d===":"&&u&&u.type==="property")u.colonOffset=S,a=!1,u=void 0;else if(d===","){const A=l[l.length-1];typeof A=="number"?l[l.length-1]=A+1:(a=!0,l[l.length-1]=""),u=void 0}}})}catch(d){if(d!==i)throw d}return{path:l,previousNode:u,isAtPropertyKey:a,matches:d=>{let S=0;for(let k=0;S<d.length&&k<l.length;k++)if(d[S]===l[k]||d[S]==="*")S++;else if(d[S]!=="**")return!1;return S===d.length}}}e.getLocation=E;function c(r,T=[],l=B.DEFAULT){let i=null,u=[];const t=[];function a(d){Array.isArray(u)?u.push(d):i!==null&&(u[i]=d)}return h(r,{onObjectBegin:()=>{const d={};a(d),t.push(u),u=d,i=null},onObjectProperty:d=>{i=d},onObjectEnd:()=>{u=t.pop()},onArrayBegin:()=>{const d=[];a(d),t.push(u),u=d,i=null},onArrayEnd:()=>{u=t.pop()},onLiteralValue:a,onError:(d,S,k)=>{T.push({error:d,offset:S,length:k})}},l),u[0]}e.parse=c;function g(r,T=[],l=B.DEFAULT){let i={type:"array",offset:-1,length:-1,children:[],parent:void 0};function u(d){i.type==="property"&&(i.length=d-i.offset,i=i.parent)}function t(d){return i.children.push(d),d}h(r,{onObjectBegin:d=>{i=t({type:"object",offset:d,length:-1,parent:i,children:[]})},onObjectProperty:(d,S,k)=>{i=t({type:"property",offset:S,length:-1,parent:i,children:[]}),i.children.push({type:"string",value:d,offset:S,length:k,parent:i})},onObjectEnd:(d,S)=>{i.length=d+S-i.offset,i=i.parent,u(d+S)},onArrayBegin:(d,S)=>{i=t({type:"array",offset:d,length:-1,parent:i,children:[]})},onArrayEnd:(d,S)=>{i.length=d+S-i.offset,i=i.parent,u(d+S)},onLiteralValue:(d,S,k)=>{t({type:v(d),offset:S,length:k,parent:i,value:d}),u(S+k)},onSeparator:(d,S,k)=>{i.type==="property"&&(d===":"?i.colonOffset=S:d===","&&u(S))},onError:(d,S,k)=>{T.push({error:d,offset:S,length:k})}},l);const p=i.children[0];return p&&delete p.parent,p}e.parseTree=g;function s(r,T){if(!r)return;let l=r;for(let i of T)if(typeof i=="string"){if(l.type!=="object"||!Array.isArray(l.children))return;let u=!1;for(const t of l.children)if(Array.isArray(t.children)&&t.children[0].value===i){l=t.children[1],u=!0;break}if(!u)return}else{const u=i;if(l.type!=="array"||u<0||!Array.isArray(l.children)||u>=l.children.length)return;l=l.children[u]}return l}e.findNodeAtLocation=s;function n(r){if(!r.parent||!r.parent.children)return[];const T=n(r.parent);if(r.parent.type==="property"){const l=r.parent.children[0].value;T.push(l)}else if(r.parent.type==="array"){const l=r.parent.children.indexOf(r);l!==-1&&T.push(l)}return T}e.getNodePath=n;function m(r){switch(r.type){case"array":return r.children.map(m);case"object":{const T=Object.create(null);for(let l of r.children){const i=l.children[1];i&&(T[l.children[0].value]=m(i))}return T}case"null":case"string":case"number":case"boolean":return r.value;default:return}}e.getNodeValue=m;function w(r,T,l=!1){return T>=r.offset&&T<r.offset+r.length||l&&T===r.offset+r.length}e.contains=w;function R(r,T,l=!1){if(w(r,T,l)){const i=r.children;if(Array.isArray(i))for(let u=0;u<i.length&&i[u].offset<=T;u++){const t=R(i[u],T,l);if(t)return t}return r}}e.findNodeAtOffset=R;function h(r,T,l=B.DEFAULT){const i=y(r,!1);function u(Se){return Se?()=>Se(i.getTokenOffset(),i.getTokenLength()):()=>!0}function t(Se){return Se?fe=>Se(fe,i.getTokenOffset(),i.getTokenLength()):()=>!0}const a=u(T.onObjectBegin),p=t(T.onObjectProperty),d=u(T.onObjectEnd),S=u(T.onArrayBegin),k=u(T.onArrayEnd),A=t(T.onLiteralValue),W=t(T.onSeparator),b=u(T.onComment),H=t(T.onError),q=l&&l.disallowComments,$=l&&l.allowTrailingComma;function j(){for(;;){const Se=i.scan();switch(i.getTokenError()){case 4:J(14);break;case 5:J(15);break;case 3:J(13);break;case 1:q||J(11);break;case 2:J(12);break;case 6:J(16);break}switch(Se){case 12:case 13:q?J(10):b();break;case 16:J(1);break;case 15:case 14:break;default:return Se}}}function J(Se,fe=[],ne=[]){if(H(Se),fe.length+ne.length>0){let me=i.getToken();for(;me!==17;){if(fe.indexOf(me)!==-1){j();break}else if(ne.indexOf(me)!==-1)break;me=j()}}}function z(Se){const fe=i.getTokenValue();return Se?A(fe):p(fe),j(),!0}function ie(){switch(i.getToken()){case 11:{let Se=0;try{Se=JSON.parse(i.getTokenValue()),typeof Se!="number"&&(J(2),Se=0)}catch{J(2)}A(Se);break}case 7:A(null);break;case 8:A(!0);break;case 9:A(!1);break;default:return!1}return j(),!0}function ae(){return i.getToken()!==10?(J(3,[],[2,5]),!1):(z(!1),i.getToken()===6?(W(":"),j(),de()||J(4,[],[2,5])):J(5,[],[2,5]),!0)}function te(){a(),j();let Se=!1;for(;i.getToken()!==2&&i.getToken()!==17;){if(i.getToken()===5){if(Se||J(4,[],[]),W(","),j(),i.getToken()===2&&$)break}else Se&&J(6,[],[]);ae()||J(4,[],[2,5]),Se=!0}return d(),i.getToken()!==2?J(7,[2],[]):j(),!0}function ce(){S(),j();let Se=!1;for(;i.getToken()!==4&&i.getToken()!==17;){if(i.getToken()===5){if(Se||J(4,[],[]),W(","),j(),i.getToken()===4&&$)break}else Se&&J(6,[],[]);de()||J(4,[],[4,5]),Se=!0}return k(),i.getToken()!==4?J(8,[4],[]):j(),!0}function de(){switch(i.getToken()){case 3:return ce();case 1:return te();case 10:return z(!0);default:return ie()}}return j(),i.getToken()===17?l.allowEmptyContent?!0:(J(4,[],[]),!1):de()?(i.getToken()!==17&&J(9,[],[]),!0):(J(4,[],[]),!1)}e.visit=h;function f(r,T){let l=y(r),i=[],u,t=0,a;do switch(a=l.getPosition(),u=l.scan(),u){case 12:case 13:case 17:t!==a&&i.push(r.substring(t,a)),T!==void 0&&i.push(l.getTokenValue().replace(/[^\r\n]/g,T)),t=l.getPosition();break}while(u!==17);return i.join("")}e.stripComments=f;function v(r){switch(typeof r){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(r){if(Array.isArray(r))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=v}),function(Y,e){typeof exports=="object"&&typeof module!="undefined"?e(exports):typeof define=="function"&&define.amd?define(Ee[101],be([0]),e):(Y=typeof globalThis!="undefined"?globalThis:Y||self,e(Y.marked={}))}(this,function(Y){"use strict";function e(ge,ue){for(var N=0;N<ue.length;N++){var F=ue[N];F.enumerable=F.enumerable||!1,F.configurable=!0,"value"in F&&(F.writable=!0),Object.defineProperty(ge,F.key,F)}}function o(ge,ue,N){return ue&&e(ge.prototype,ue),N&&e(ge,N),Object.defineProperty(ge,"prototype",{writable:!1}),ge}function I(ge,ue){if(!!ge){if(typeof ge=="string")return _(ge,ue);var N=Object.prototype.toString.call(ge).slice(8,-1);if(N==="Object"&&ge.constructor&&(N=ge.constructor.name),N==="Map"||N==="Set")return Array.from(ge);if(N==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(N))return _(ge,ue)}}function _(ge,ue){(ue==null||ue>ge.length)&&(ue=ge.length);for(var N=0,F=new Array(ue);N<ue;N++)F[N]=ge[N];return F}function B(ge,ue){var N=typeof Symbol!="undefined"&&ge[Symbol.iterator]||ge["@@iterator"];if(N)return(N=N.call(ge)).next.bind(N);if(Array.isArray(ge)||(N=I(ge))||ue&&ge&&typeof ge.length=="number"){N&&(ge=N);var F=0;return function(){return F>=ge.length?{done:!0}:{done:!1,value:ge[F++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function y(){return{baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}Y.defaults=y();function P(ge){Y.defaults=ge}var C=/[&<>"']/,L=/[&<>"']/g,M=/[<>"']|&(?!#?\w+;)/,E=/[<>"']|&(?!#?\w+;)/g,c={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},g=function(ue){return c[ue]};function s(ge,ue){if(ue){if(C.test(ge))return ge.replace(L,g)}else if(M.test(ge))return ge.replace(E,g);return ge}var n=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function m(ge){return ge.replace(n,function(ue,N){return N=N.toLowerCase(),N==="colon"?":":N.charAt(0)==="#"?N.charAt(1)==="x"?String.fromCharCode(parseInt(N.substring(2),16)):String.fromCharCode(+N.substring(1)):""})}var w=/(^|[^\[])\^/g;function R(ge,ue){ge=ge.source||ge,ue=ue||"";var N={replace:function(D,O){return O=O.source||O,O=O.replace(w,"$1"),ge=ge.replace(D,O),N},getRegex:function(){return new RegExp(ge,ue)}};return N}var h=/[^\w:]/g,f=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function v(ge,ue,N){if(ge){var F;try{F=decodeURIComponent(m(N)).replace(h,"").toLowerCase()}catch{return null}if(F.indexOf("javascript:")===0||F.indexOf("vbscript:")===0||F.indexOf("data:")===0)return null}ue&&!f.test(N)&&(N=u(ue,N));try{N=encodeURI(N).replace(/%25/g,"%")}catch{return null}return N}var r={},T=/^[^:]+:\/*[^/]*$/,l=/^([^:]+:)[\s\S]*$/,i=/^([^:]+:\/*[^/]*)[\s\S]*$/;function u(ge,ue){r[" "+ge]||(T.test(ge)?r[" "+ge]=ge+"/":r[" "+ge]=d(ge,"/",!0)),ge=r[" "+ge];var N=ge.indexOf(":")===-1;return ue.substring(0,2)==="//"?N?ue:ge.replace(l,"$1")+ue:ue.charAt(0)==="/"?N?ue:ge.replace(i,"$1")+ue:ge+ue}var t={exec:function(){}};function a(ge){for(var ue=1,N,F;ue<arguments.length;ue++){N=arguments[ue];for(F in N)Object.prototype.hasOwnProperty.call(N,F)&&(ge[F]=N[F])}return ge}function p(ge,ue){var N=ge.replace(/\|/g,function(O,x,X){for(var re=!1,ve=x;--ve>=0&&X[ve]==="\\";)re=!re;return re?"|":" |"}),F=N.split(/ \|/),D=0;if(F[0].trim()||F.shift(),F[F.length-1].trim()||F.pop(),F.length>ue)F.splice(ue);else for(;F.length<ue;)F.push("");for(;D<F.length;D++)F[D]=F[D].trim().replace(/\\\|/g,"|");return F}function d(ge,ue,N){var F=ge.length;if(F===0)return"";for(var D=0;D<F;){var O=ge.charAt(F-D-1);if(O===ue&&!N)D++;else if(O!==ue&&N)D++;else break}return ge.substr(0,F-D)}function S(ge,ue){if(ge.indexOf(ue[1])===-1)return-1;for(var N=ge.length,F=0,D=0;D<N;D++)if(ge[D]==="\\")D++;else if(ge[D]===ue[0])F++;else if(ge[D]===ue[1]&&(F--,F<0))return D;return-1}function k(ge){ge&&ge.sanitize&&!ge.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function A(ge,ue){if(ue<1)return"";for(var N="";ue>1;)ue&1&&(N+=ge),ue>>=1,ge+=ge;return N+ge}function W(ge,ue,N,F){var D=ue.href,O=ue.title?s(ue.title):null,x=ge[1].replace(/\\([\[\]])/g,"$1");if(ge[0].charAt(0)!=="!"){F.state.inLink=!0;var X={type:"link",raw:N,href:D,title:O,text:x,tokens:F.inlineTokens(x,[])};return F.state.inLink=!1,X}else return{type:"image",raw:N,href:D,title:O,text:s(x)}}function b(ge,ue){var N=ge.match(/^(\s+)(?:```)/);if(N===null)return ue;var F=N[1];return ue.split(`
`).map(function(D){var O=D.match(/^\s+/);if(O===null)return D;var x=O[0];return x.length>=F.length?D.slice(F.length):D}).join(`
`)}var H=function(){function ge(N){this.options=N||Y.defaults}var ue=ge.prototype;return ue.space=function(F){var D=this.rules.block.newline.exec(F);if(D&&D[0].length>0)return{type:"space",raw:D[0]}},ue.code=function(F){var D=this.rules.block.code.exec(F);if(D){var O=D[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:D[0],codeBlockStyle:"indented",text:this.options.pedantic?O:d(O,`
`)}}},ue.fences=function(F){var D=this.rules.block.fences.exec(F);if(D){var O=D[0],x=b(O,D[3]||"");return{type:"code",raw:O,lang:D[2]?D[2].trim():D[2],text:x}}},ue.heading=function(F){var D=this.rules.block.heading.exec(F);if(D){var O=D[2].trim();if(/#$/.test(O)){var x=d(O,"#");(this.options.pedantic||!x||/ $/.test(x))&&(O=x.trim())}var X={type:"heading",raw:D[0],depth:D[1].length,text:O,tokens:[]};return this.lexer.inline(X.text,X.tokens),X}},ue.hr=function(F){var D=this.rules.block.hr.exec(F);if(D)return{type:"hr",raw:D[0]}},ue.blockquote=function(F){var D=this.rules.block.blockquote.exec(F);if(D){var O=D[0].replace(/^ *> ?/gm,"");return{type:"blockquote",raw:D[0],tokens:this.lexer.blockTokens(O,[]),text:O}}},ue.list=function(F){var D=this.rules.block.list.exec(F);if(D){var O,x,X,re,ve,Ie,Me,Le,ze,xe,Re,Qe,tt=D[1].trim(),Te=tt.length>1,it={type:"list",raw:"",ordered:Te,start:Te?+tt.slice(0,-1):"",loose:!1,items:[]};tt=Te?"\\d{1,9}\\"+tt.slice(-1):"\\"+tt,this.options.pedantic&&(tt=Te?tt:"[*+-]");for(var G=new RegExp("^( {0,3}"+tt+")((?: [^\\n]*)?(?:\\n|$))");F&&(Qe=!1,!(!(D=G.exec(F))||this.rules.block.hr.test(F)));){if(O=D[0],F=F.substring(O.length),Le=D[2].split(`
`,1)[0],ze=F.split(`
`,1)[0],this.options.pedantic?(re=2,Re=Le.trimLeft()):(re=D[2].search(/[^ ]/),re=re>4?1:re,Re=Le.slice(re),re+=D[1].length),Ie=!1,!Le&&/^ *$/.test(ze)&&(O+=ze+`
`,F=F.substring(ze.length+1),Qe=!0),!Qe)for(var Q=new RegExp("^ {0,"+Math.min(3,re-1)+"}(?:[*+-]|\\d{1,9}[.)])");F&&(xe=F.split(`
`,1)[0],Le=xe,this.options.pedantic&&(Le=Le.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!Q.test(Le));){if(Le.search(/[^ ]/)>=re||!Le.trim())Re+=`
`+Le.slice(re);else if(!Ie)Re+=`
`+Le;else break;!Ie&&!Le.trim()&&(Ie=!0),O+=xe+`
`,F=F.substring(xe.length+1)}it.loose||(Me?it.loose=!0:/\n *\n *$/.test(O)&&(Me=!0)),this.options.gfm&&(x=/^\[[ xX]\] /.exec(Re),x&&(X=x[0]!=="[ ] ",Re=Re.replace(/^\[[ xX]\] +/,""))),it.items.push({type:"list_item",raw:O,task:!!x,checked:X,loose:!1,text:Re}),it.raw+=O}it.items[it.items.length-1].raw=O.trimRight(),it.items[it.items.length-1].text=Re.trimRight(),it.raw=it.raw.trimRight();var le=it.items.length;for(ve=0;ve<le;ve++){this.lexer.state.top=!1,it.items[ve].tokens=this.lexer.blockTokens(it.items[ve].text,[]);var Oe=it.items[ve].tokens.filter(function(Ge){return Ge.type==="space"}),He=Oe.every(function(Ge){for(var Je=Ge.raw.split(""),ft=0,It=B(Je),St;!(St=It()).done;){var kt=St.value;if(kt===`
`&&(ft+=1),ft>1)return!0}return!1});!it.loose&&Oe.length&&He&&(it.loose=!0,it.items[ve].loose=!0)}return it}},ue.html=function(F){var D=this.rules.block.html.exec(F);if(D){var O={type:"html",raw:D[0],pre:!this.options.sanitizer&&(D[1]==="pre"||D[1]==="script"||D[1]==="style"),text:D[0]};return this.options.sanitize&&(O.type="paragraph",O.text=this.options.sanitizer?this.options.sanitizer(D[0]):s(D[0]),O.tokens=[],this.lexer.inline(O.text,O.tokens)),O}},ue.def=function(F){var D=this.rules.block.def.exec(F);if(D){D[3]&&(D[3]=D[3].substring(1,D[3].length-1));var O=D[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:O,raw:D[0],href:D[2],title:D[3]}}},ue.table=function(F){var D=this.rules.block.table.exec(F);if(D){var O={type:"table",header:p(D[1]).map(function(Me){return{text:Me}}),align:D[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:D[3]?D[3].replace(/\n[ \t]*$/,"").split(`
`):[]};if(O.header.length===O.align.length){O.raw=D[0];var x=O.align.length,X,re,ve,Ie;for(X=0;X<x;X++)/^ *-+: *$/.test(O.align[X])?O.align[X]="right":/^ *:-+: *$/.test(O.align[X])?O.align[X]="center":/^ *:-+ *$/.test(O.align[X])?O.align[X]="left":O.align[X]=null;for(x=O.rows.length,X=0;X<x;X++)O.rows[X]=p(O.rows[X],O.header.length).map(function(Me){return{text:Me}});for(x=O.header.length,re=0;re<x;re++)O.header[re].tokens=[],this.lexer.inlineTokens(O.header[re].text,O.header[re].tokens);for(x=O.rows.length,re=0;re<x;re++)for(Ie=O.rows[re],ve=0;ve<Ie.length;ve++)Ie[ve].tokens=[],this.lexer.inlineTokens(Ie[ve].text,Ie[ve].tokens);return O}}},ue.lheading=function(F){var D=this.rules.block.lheading.exec(F);if(D){var O={type:"heading",raw:D[0],depth:D[2].charAt(0)==="="?1:2,text:D[1],tokens:[]};return this.lexer.inline(O.text,O.tokens),O}},ue.paragraph=function(F){var D=this.rules.block.paragraph.exec(F);if(D){var O={type:"paragraph",raw:D[0],text:D[1].charAt(D[1].length-1)===`
`?D[1].slice(0,-1):D[1],tokens:[]};return this.lexer.inline(O.text,O.tokens),O}},ue.text=function(F){var D=this.rules.block.text.exec(F);if(D){var O={type:"text",raw:D[0],text:D[0],tokens:[]};return this.lexer.inline(O.text,O.tokens),O}},ue.escape=function(F){var D=this.rules.inline.escape.exec(F);if(D)return{type:"escape",raw:D[0],text:s(D[1])}},ue.tag=function(F){var D=this.rules.inline.tag.exec(F);if(D)return!this.lexer.state.inLink&&/^<a /i.test(D[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(D[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(D[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(D[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:D[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(D[0]):s(D[0]):D[0]}},ue.link=function(F){var D=this.rules.inline.link.exec(F);if(D){var O=D[2].trim();if(!this.options.pedantic&&/^</.test(O)){if(!/>$/.test(O))return;var x=d(O.slice(0,-1),"\\");if((O.length-x.length)%2==0)return}else{var X=S(D[2],"()");if(X>-1){var re=D[0].indexOf("!")===0?5:4,ve=re+D[1].length+X;D[2]=D[2].substring(0,X),D[0]=D[0].substring(0,ve).trim(),D[3]=""}}var Ie=D[2],Me="";if(this.options.pedantic){var Le=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(Ie);Le&&(Ie=Le[1],Me=Le[3])}else Me=D[3]?D[3].slice(1,-1):"";return Ie=Ie.trim(),/^</.test(Ie)&&(this.options.pedantic&&!/>$/.test(O)?Ie=Ie.slice(1):Ie=Ie.slice(1,-1)),W(D,{href:Ie&&Ie.replace(this.rules.inline._escapes,"$1"),title:Me&&Me.replace(this.rules.inline._escapes,"$1")},D[0],this.lexer)}},ue.reflink=function(F,D){var O;if((O=this.rules.inline.reflink.exec(F))||(O=this.rules.inline.nolink.exec(F))){var x=(O[2]||O[1]).replace(/\s+/g," ");if(x=D[x.toLowerCase()],!x||!x.href){var X=O[0].charAt(0);return{type:"text",raw:X,text:X}}return W(O,x,O[0],this.lexer)}},ue.emStrong=function(F,D,O){O===void 0&&(O="");var x=this.rules.inline.emStrong.lDelim.exec(F);if(!!x&&!(x[3]&&O.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDD70-\uDD7A\uDD7C-\uDD8A\uDD8C-\uDD92\uDD94\uDD95\uDD97-\uDDA1\uDDA3-\uDDB1\uDDB3-\uDDB9\uDDBB\uDDBC\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67\uDF80-\uDF85\uDF87-\uDFB0\uDFB2-\uDFBA]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDF70-\uDF81\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC71\uDC72\uDC75\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B\uDF40-\uDF46]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEB0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|\uD80B[\uDF90-\uDFF0]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDE70-\uDEBE\uDEC0-\uDEC9\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82B[\uDFF0-\uDFF3\uDFF5-\uDFFB\uDFFD\uDFFE]|\uD82C[\uDC00-\uDD22\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD837[\uDF00-\uDF1E]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDE90-\uDEAD\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD839[\uDFE0-\uDFE6\uDFE8-\uDFEB\uDFED\uDFEE\uDFF0-\uDFFE]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDF\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF38\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var X=x[1]||x[2]||"";if(!X||X&&(O===""||this.rules.inline.punctuation.exec(O))){var re=x[0].length-1,ve,Ie,Me=re,Le=0,ze=x[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(ze.lastIndex=0,D=D.slice(-1*F.length+re);(x=ze.exec(D))!=null;)if(ve=x[1]||x[2]||x[3]||x[4]||x[5]||x[6],!!ve){if(Ie=ve.length,x[3]||x[4]){Me+=Ie;continue}else if((x[5]||x[6])&&re%3&&!((re+Ie)%3)){Le+=Ie;continue}if(Me-=Ie,!(Me>0)){if(Ie=Math.min(Ie,Ie+Me+Le),Math.min(re,Ie)%2){var xe=F.slice(1,re+x.index+Ie);return{type:"em",raw:F.slice(0,re+x.index+Ie+1),text:xe,tokens:this.lexer.inlineTokens(xe,[])}}var Re=F.slice(2,re+x.index+Ie-1);return{type:"strong",raw:F.slice(0,re+x.index+Ie+1),text:Re,tokens:this.lexer.inlineTokens(Re,[])}}}}}},ue.codespan=function(F){var D=this.rules.inline.code.exec(F);if(D){var O=D[2].replace(/\n/g," "),x=/[^ ]/.test(O),X=/^ /.test(O)&&/ $/.test(O);return x&&X&&(O=O.substring(1,O.length-1)),O=s(O,!0),{type:"codespan",raw:D[0],text:O}}},ue.br=function(F){var D=this.rules.inline.br.exec(F);if(D)return{type:"br",raw:D[0]}},ue.del=function(F){var D=this.rules.inline.del.exec(F);if(D)return{type:"del",raw:D[0],text:D[2],tokens:this.lexer.inlineTokens(D[2],[])}},ue.autolink=function(F,D){var O=this.rules.inline.autolink.exec(F);if(O){var x,X;return O[2]==="@"?(x=s(this.options.mangle?D(O[1]):O[1]),X="mailto:"+x):(x=s(O[1]),X=x),{type:"link",raw:O[0],text:x,href:X,tokens:[{type:"text",raw:x,text:x}]}}},ue.url=function(F,D){var O;if(O=this.rules.inline.url.exec(F)){var x,X;if(O[2]==="@")x=s(this.options.mangle?D(O[0]):O[0]),X="mailto:"+x;else{var re;do re=O[0],O[0]=this.rules.inline._backpedal.exec(O[0])[0];while(re!==O[0]);x=s(O[0]),O[1]==="www."?X="http://"+x:X=x}return{type:"link",raw:O[0],text:x,href:X,tokens:[{type:"text",raw:x,text:x}]}}},ue.inlineText=function(F,D){var O=this.rules.inline.text.exec(F);if(O){var x;return this.lexer.state.inRawBlock?x=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(O[0]):s(O[0]):O[0]:x=s(this.options.smartypants?D(O[0]):O[0]),{type:"text",raw:O[0],text:x}}},ge}(),q={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)( [^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?<?([^\s>]+)>?(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:t,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/};q._label=/(?!\s*\])(?:\\.|[^\[\]\\])+/,q._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,q.def=R(q.def).replace("label",q._label).replace("title",q._title).getRegex(),q.bullet=/(?:[*+-]|\d{1,9}[.)])/,q.listItemStart=R(/^( *)(bull) */).replace("bull",q.bullet).getRegex(),q.list=R(q.list).replace(/bull/g,q.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+q.def.source+")").getRegex(),q._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",q._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,q.html=R(q.html,"i").replace("comment",q._comment).replace("tag",q._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),q.paragraph=R(q._paragraph).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",q._tag).getRegex(),q.blockquote=R(q.blockquote).replace("paragraph",q.paragraph).getRegex(),q.normal=a({},q),q.gfm=a({},q.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),q.gfm.table=R(q.gfm.table).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",q._tag).getRegex(),q.gfm.paragraph=R(q._paragraph).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",q.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",q._tag).getRegex(),q.pedantic=a({},q.normal,{html:R(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",q._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:t,paragraph:R(q.normal._paragraph).replace("hr",q.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",q.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var $={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:t,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/^[^_*]*?\_\_[^_*]*?\*[^_*]*?(?=\_\_)|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?\_[^_*]*?(?=\*\*)|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:t,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};$._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",$.punctuation=R($.punctuation).replace(/punctuation/g,$._punctuation).getRegex(),$.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,$.escapedEmSt=/\\\*|\\_/g,$._comment=R(q._comment).replace("(?:-->|$)","-->").getRegex(),$.emStrong.lDelim=R($.emStrong.lDelim).replace(/punct/g,$._punctuation).getRegex(),$.emStrong.rDelimAst=R($.emStrong.rDelimAst,"g").replace(/punct/g,$._punctuation).getRegex(),$.emStrong.rDelimUnd=R($.emStrong.rDelimUnd,"g").replace(/punct/g,$._punctuation).getRegex(),$._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,$._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,$._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,$.autolink=R($.autolink).replace("scheme",$._scheme).replace("email",$._email).getRegex(),$._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,$.tag=R($.tag).replace("comment",$._comment).replace("attribute",$._attribute).getRegex(),$._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,$._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,$._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,$.link=R($.link).replace("label",$._label).replace("href",$._href).replace("title",$._title).getRegex(),$.reflink=R($.reflink).replace("label",$._label).replace("ref",q._label).getRegex(),$.nolink=R($.nolink).replace("ref",q._label).getRegex(),$.reflinkSearch=R($.reflinkSearch,"g").replace("reflink",$.reflink).replace("nolink",$.nolink).getRegex(),$.normal=a({},$),$.pedantic=a({},$.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:R(/^!?\[(label)\]\((.*?)\)/).replace("label",$._label).getRegex(),reflink:R(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",$._label).getRegex()}),$.gfm=a({},$.normal,{escape:R($.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),$.gfm.url=R($.gfm.url,"i").replace("email",$.gfm._extended_email).getRegex(),$.breaks=a({},$.gfm,{br:R($.br).replace("{2,}","*").getRegex(),text:R($.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});function j(ge){return ge.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function J(ge){var ue="",N,F,D=ge.length;for(N=0;N<D;N++)F=ge.charCodeAt(N),Math.random()>.5&&(F="x"+F.toString(16)),ue+="&#"+F+";";return ue}var z=function(){function ge(N){this.tokens=[],this.tokens.links=Object.create(null),this.options=N||Y.defaults,this.options.tokenizer=this.options.tokenizer||new H,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var F={block:q.normal,inline:$.normal};this.options.pedantic?(F.block=q.pedantic,F.inline=$.pedantic):this.options.gfm&&(F.block=q.gfm,this.options.breaks?F.inline=$.breaks:F.inline=$.gfm),this.tokenizer.rules=F}ge.lex=function(F,D){var O=new ge(D);return O.lex(F)},ge.lexInline=function(F,D){var O=new ge(D);return O.inlineTokens(F)};var ue=ge.prototype;return ue.lex=function(F){F=F.replace(/\r\n|\r/g,`
`).replace(/\t/g,"    "),this.blockTokens(F,this.tokens);for(var D;D=this.inlineQueue.shift();)this.inlineTokens(D.src,D.tokens);return this.tokens},ue.blockTokens=function(F,D){var O=this;D===void 0&&(D=[]),this.options.pedantic&&(F=F.replace(/^ +$/gm,""));for(var x,X,re,ve;F;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(Me){return(x=Me.call({lexer:O},F,D))?(F=F.substring(x.raw.length),D.push(x),!0):!1}))){if(x=this.tokenizer.space(F)){F=F.substring(x.raw.length),x.raw.length===1&&D.length>0?D[D.length-1].raw+=`
`:D.push(x);continue}if(x=this.tokenizer.code(F)){F=F.substring(x.raw.length),X=D[D.length-1],X&&(X.type==="paragraph"||X.type==="text")?(X.raw+=`
`+x.raw,X.text+=`
`+x.text,this.inlineQueue[this.inlineQueue.length-1].src=X.text):D.push(x);continue}if(x=this.tokenizer.fences(F)){F=F.substring(x.raw.length),D.push(x);continue}if(x=this.tokenizer.heading(F)){F=F.substring(x.raw.length),D.push(x);continue}if(x=this.tokenizer.hr(F)){F=F.substring(x.raw.length),D.push(x);continue}if(x=this.tokenizer.blockquote(F)){F=F.substring(x.raw.length),D.push(x);continue}if(x=this.tokenizer.list(F)){F=F.substring(x.raw.length),D.push(x);continue}if(x=this.tokenizer.html(F)){F=F.substring(x.raw.length),D.push(x);continue}if(x=this.tokenizer.def(F)){F=F.substring(x.raw.length),X=D[D.length-1],X&&(X.type==="paragraph"||X.type==="text")?(X.raw+=`
`+x.raw,X.text+=`
`+x.raw,this.inlineQueue[this.inlineQueue.length-1].src=X.text):this.tokens.links[x.tag]||(this.tokens.links[x.tag]={href:x.href,title:x.title});continue}if(x=this.tokenizer.table(F)){F=F.substring(x.raw.length),D.push(x);continue}if(x=this.tokenizer.lheading(F)){F=F.substring(x.raw.length),D.push(x);continue}if(re=F,this.options.extensions&&this.options.extensions.startBlock&&function(){var Me=1/0,Le=F.slice(1),ze=void 0;O.options.extensions.startBlock.forEach(function(xe){ze=xe.call({lexer:this},Le),typeof ze=="number"&&ze>=0&&(Me=Math.min(Me,ze))}),Me<1/0&&Me>=0&&(re=F.substring(0,Me+1))}(),this.state.top&&(x=this.tokenizer.paragraph(re))){X=D[D.length-1],ve&&X.type==="paragraph"?(X.raw+=`
`+x.raw,X.text+=`
`+x.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=X.text):D.push(x),ve=re.length!==F.length,F=F.substring(x.raw.length);continue}if(x=this.tokenizer.text(F)){F=F.substring(x.raw.length),X=D[D.length-1],X&&X.type==="text"?(X.raw+=`
`+x.raw,X.text+=`
`+x.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=X.text):D.push(x);continue}if(F){var Ie="Infinite loop on byte: "+F.charCodeAt(0);if(this.options.silent){console.error(Ie);break}else throw new Error(Ie)}}return this.state.top=!0,D},ue.inline=function(F,D){this.inlineQueue.push({src:F,tokens:D})},ue.inlineTokens=function(F,D){var O=this;D===void 0&&(D=[]);var x,X,re,ve=F,Ie,Me,Le;if(this.tokens.links){var ze=Object.keys(this.tokens.links);if(ze.length>0)for(;(Ie=this.tokenizer.rules.inline.reflinkSearch.exec(ve))!=null;)ze.includes(Ie[0].slice(Ie[0].lastIndexOf("[")+1,-1))&&(ve=ve.slice(0,Ie.index)+"["+A("a",Ie[0].length-2)+"]"+ve.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(Ie=this.tokenizer.rules.inline.blockSkip.exec(ve))!=null;)ve=ve.slice(0,Ie.index)+"["+A("a",Ie[0].length-2)+"]"+ve.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(Ie=this.tokenizer.rules.inline.escapedEmSt.exec(ve))!=null;)ve=ve.slice(0,Ie.index)+"++"+ve.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;F;)if(Me||(Le=""),Me=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(Re){return(x=Re.call({lexer:O},F,D))?(F=F.substring(x.raw.length),D.push(x),!0):!1}))){if(x=this.tokenizer.escape(F)){F=F.substring(x.raw.length),D.push(x);continue}if(x=this.tokenizer.tag(F)){F=F.substring(x.raw.length),X=D[D.length-1],X&&x.type==="text"&&X.type==="text"?(X.raw+=x.raw,X.text+=x.text):D.push(x);continue}if(x=this.tokenizer.link(F)){F=F.substring(x.raw.length),D.push(x);continue}if(x=this.tokenizer.reflink(F,this.tokens.links)){F=F.substring(x.raw.length),X=D[D.length-1],X&&x.type==="text"&&X.type==="text"?(X.raw+=x.raw,X.text+=x.text):D.push(x);continue}if(x=this.tokenizer.emStrong(F,ve,Le)){F=F.substring(x.raw.length),D.push(x);continue}if(x=this.tokenizer.codespan(F)){F=F.substring(x.raw.length),D.push(x);continue}if(x=this.tokenizer.br(F)){F=F.substring(x.raw.length),D.push(x);continue}if(x=this.tokenizer.del(F)){F=F.substring(x.raw.length),D.push(x);continue}if(x=this.tokenizer.autolink(F,J)){F=F.substring(x.raw.length),D.push(x);continue}if(!this.state.inLink&&(x=this.tokenizer.url(F,J))){F=F.substring(x.raw.length),D.push(x);continue}if(re=F,this.options.extensions&&this.options.extensions.startInline&&function(){var Re=1/0,Qe=F.slice(1),tt=void 0;O.options.extensions.startInline.forEach(function(Te){tt=Te.call({lexer:this},Qe),typeof tt=="number"&&tt>=0&&(Re=Math.min(Re,tt))}),Re<1/0&&Re>=0&&(re=F.substring(0,Re+1))}(),x=this.tokenizer.inlineText(re,j)){F=F.substring(x.raw.length),x.raw.slice(-1)!=="_"&&(Le=x.raw.slice(-1)),Me=!0,X=D[D.length-1],X&&X.type==="text"?(X.raw+=x.raw,X.text+=x.text):D.push(x);continue}if(F){var xe="Infinite loop on byte: "+F.charCodeAt(0);if(this.options.silent){console.error(xe);break}else throw new Error(xe)}}return D},o(ge,null,[{key:"rules",get:function(){return{block:q,inline:$}}}]),ge}(),ie=function(){function ge(N){this.options=N||Y.defaults}var ue=ge.prototype;return ue.code=function(F,D,O){var x=(D||"").match(/\S*/)[0];if(this.options.highlight){var X=this.options.highlight(F,x);X!=null&&X!==F&&(O=!0,F=X)}return F=F.replace(/\n$/,"")+`
`,x?'<pre><code class="'+this.options.langPrefix+s(x,!0)+'">'+(O?F:s(F,!0))+`</code></pre>
`:"<pre><code>"+(O?F:s(F,!0))+`</code></pre>
`},ue.blockquote=function(F){return`<blockquote>
`+F+`</blockquote>
`},ue.html=function(F){return F},ue.heading=function(F,D,O,x){return this.options.headerIds?"<h"+D+' id="'+this.options.headerPrefix+x.slug(O)+'">'+F+"</h"+D+`>
`:"<h"+D+">"+F+"</h"+D+`>
`},ue.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},ue.list=function(F,D,O){var x=D?"ol":"ul",X=D&&O!==1?' start="'+O+'"':"";return"<"+x+X+`>
`+F+"</"+x+`>
`},ue.listitem=function(F){return"<li>"+F+`</li>
`},ue.checkbox=function(F){return"<input "+(F?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},ue.paragraph=function(F){return"<p>"+F+`</p>
`},ue.table=function(F,D){return D&&(D="<tbody>"+D+"</tbody>"),`<table>
<thead>
`+F+`</thead>
`+D+`</table>
`},ue.tablerow=function(F){return`<tr>
`+F+`</tr>
`},ue.tablecell=function(F,D){var O=D.header?"th":"td",x=D.align?"<"+O+' align="'+D.align+'">':"<"+O+">";return x+F+"</"+O+`>
`},ue.strong=function(F){return"<strong>"+F+"</strong>"},ue.em=function(F){return"<em>"+F+"</em>"},ue.codespan=function(F){return"<code>"+F+"</code>"},ue.br=function(){return this.options.xhtml?"<br/>":"<br>"},ue.del=function(F){return"<del>"+F+"</del>"},ue.link=function(F,D,O){if(F=v(this.options.sanitize,this.options.baseUrl,F),F===null)return O;var x='<a href="'+s(F)+'"';return D&&(x+=' title="'+D+'"'),x+=">"+O+"</a>",x},ue.image=function(F,D,O){if(F=v(this.options.sanitize,this.options.baseUrl,F),F===null)return O;var x='<img src="'+F+'" alt="'+O+'"';return D&&(x+=' title="'+D+'"'),x+=this.options.xhtml?"/>":">",x},ue.text=function(F){return F},ge}(),ae=function(){function ge(){}var ue=ge.prototype;return ue.strong=function(F){return F},ue.em=function(F){return F},ue.codespan=function(F){return F},ue.del=function(F){return F},ue.html=function(F){return F},ue.text=function(F){return F},ue.link=function(F,D,O){return""+O},ue.image=function(F,D,O){return""+O},ue.br=function(){return""},ge}(),te=function(){function ge(){this.seen={}}var ue=ge.prototype;return ue.serialize=function(F){return F.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},ue.getNextSafeSlug=function(F,D){var O=F,x=0;if(this.seen.hasOwnProperty(O)){x=this.seen[F];do x++,O=F+"-"+x;while(this.seen.hasOwnProperty(O))}return D||(this.seen[F]=x,this.seen[O]=0),O},ue.slug=function(F,D){D===void 0&&(D={});var O=this.serialize(F);return this.getNextSafeSlug(O,D.dryrun)},ge}(),ce=function(){function ge(N){this.options=N||Y.defaults,this.options.renderer=this.options.renderer||new ie,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new ae,this.slugger=new te}ge.parse=function(F,D){var O=new ge(D);return O.parse(F)},ge.parseInline=function(F,D){var O=new ge(D);return O.parseInline(F)};var ue=ge.prototype;return ue.parse=function(F,D){D===void 0&&(D=!0);var O="",x,X,re,ve,Ie,Me,Le,ze,xe,Re,Qe,tt,Te,it,G,Q,le,Oe,He,Ge=F.length;for(x=0;x<Ge;x++){if(Re=F[x],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[Re.type]&&(He=this.options.extensions.renderers[Re.type].call({parser:this},Re),He!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(Re.type))){O+=He||"";continue}switch(Re.type){case"space":continue;case"hr":{O+=this.renderer.hr();continue}case"heading":{O+=this.renderer.heading(this.parseInline(Re.tokens),Re.depth,m(this.parseInline(Re.tokens,this.textRenderer)),this.slugger);continue}case"code":{O+=this.renderer.code(Re.text,Re.lang,Re.escaped);continue}case"table":{for(ze="",Le="",ve=Re.header.length,X=0;X<ve;X++)Le+=this.renderer.tablecell(this.parseInline(Re.header[X].tokens),{header:!0,align:Re.align[X]});for(ze+=this.renderer.tablerow(Le),xe="",ve=Re.rows.length,X=0;X<ve;X++){for(Me=Re.rows[X],Le="",Ie=Me.length,re=0;re<Ie;re++)Le+=this.renderer.tablecell(this.parseInline(Me[re].tokens),{header:!1,align:Re.align[re]});xe+=this.renderer.tablerow(Le)}O+=this.renderer.table(ze,xe);continue}case"blockquote":{xe=this.parse(Re.tokens),O+=this.renderer.blockquote(xe);continue}case"list":{for(Qe=Re.ordered,tt=Re.start,Te=Re.loose,ve=Re.items.length,xe="",X=0;X<ve;X++)G=Re.items[X],Q=G.checked,le=G.task,it="",G.task&&(Oe=this.renderer.checkbox(Q),Te?G.tokens.length>0&&G.tokens[0].type==="paragraph"?(G.tokens[0].text=Oe+" "+G.tokens[0].text,G.tokens[0].tokens&&G.tokens[0].tokens.length>0&&G.tokens[0].tokens[0].type==="text"&&(G.tokens[0].tokens[0].text=Oe+" "+G.tokens[0].tokens[0].text)):G.tokens.unshift({type:"text",text:Oe}):it+=Oe),it+=this.parse(G.tokens,Te),xe+=this.renderer.listitem(it,le,Q);O+=this.renderer.list(xe,Qe,tt);continue}case"html":{O+=this.renderer.html(Re.text);continue}case"paragraph":{O+=this.renderer.paragraph(this.parseInline(Re.tokens));continue}case"text":{for(xe=Re.tokens?this.parseInline(Re.tokens):Re.text;x+1<Ge&&F[x+1].type==="text";)Re=F[++x],xe+=`
`+(Re.tokens?this.parseInline(Re.tokens):Re.text);O+=D?this.renderer.paragraph(xe):xe;continue}default:{var Je='Token with "'+Re.type+'" type was not found.';if(this.options.silent){console.error(Je);return}else throw new Error(Je)}}}return O},ue.parseInline=function(F,D){D=D||this.renderer;var O="",x,X,re,ve=F.length;for(x=0;x<ve;x++){if(X=F[x],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[X.type]&&(re=this.options.extensions.renderers[X.type].call({parser:this},X),re!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(X.type))){O+=re||"";continue}switch(X.type){case"escape":{O+=D.text(X.text);break}case"html":{O+=D.html(X.text);break}case"link":{O+=D.link(X.href,X.title,this.parseInline(X.tokens,D));break}case"image":{O+=D.image(X.href,X.title,X.text);break}case"strong":{O+=D.strong(this.parseInline(X.tokens,D));break}case"em":{O+=D.em(this.parseInline(X.tokens,D));break}case"codespan":{O+=D.codespan(X.text);break}case"br":{O+=D.br();break}case"del":{O+=D.del(this.parseInline(X.tokens,D));break}case"text":{O+=D.text(X.text);break}default:{var Ie='Token with "'+X.type+'" type was not found.';if(this.options.silent){console.error(Ie);return}else throw new Error(Ie)}}}return O},ge}();function de(ge,ue,N){if(typeof ge=="undefined"||ge===null)throw new Error("marked(): input parameter is undefined or null");if(typeof ge!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(ge)+", string expected");if(typeof ue=="function"&&(N=ue,ue=null),ue=a({},de.defaults,ue||{}),k(ue),N){var F=ue.highlight,D;try{D=z.lex(ge,ue)}catch(re){return N(re)}var O=function(ve){var Ie;if(!ve)try{ue.walkTokens&&de.walkTokens(D,ue.walkTokens),Ie=ce.parse(D,ue)}catch(Me){ve=Me}return ue.highlight=F,ve?N(ve):N(null,Ie)};if(!F||F.length<3||(delete ue.highlight,!D.length))return O();var x=0;de.walkTokens(D,function(re){re.type==="code"&&(x++,setTimeout(function(){F(re.text,re.lang,function(ve,Ie){if(ve)return O(ve);Ie!=null&&Ie!==re.text&&(re.text=Ie,re.escaped=!0),x--,x===0&&O()})},0))}),x===0&&O();return}try{var X=z.lex(ge,ue);return ue.walkTokens&&de.walkTokens(X,ue.walkTokens),ce.parse(X,ue)}catch(re){if(re.message+=`
Please report this to https://github.com/markedjs/marked.`,ue.silent)return"<p>An error occurred:</p><pre>"+s(re.message+"",!0)+"</pre>";throw re}}de.options=de.setOptions=function(ge){return a(de.defaults,ge),P(de.defaults),de},de.getDefaults=y,de.defaults=Y.defaults,de.use=function(){for(var ge=arguments.length,ue=new Array(ge),N=0;N<ge;N++)ue[N]=arguments[N];var F=a.apply(void 0,[{}].concat(ue)),D=de.defaults.extensions||{renderers:{},childTokens:{}},O;ue.forEach(function(x){if(x.extensions&&(O=!0,x.extensions.forEach(function(re){if(!re.name)throw new Error("extension name required");if(re.renderer){var ve=D.renderers?D.renderers[re.name]:null;ve?D.renderers[re.name]=function(){for(var Ie=arguments.length,Me=new Array(Ie),Le=0;Le<Ie;Le++)Me[Le]=arguments[Le];var ze=re.renderer.apply(this,Me);return ze===!1&&(ze=ve.apply(this,Me)),ze}:D.renderers[re.name]=re.renderer}if(re.tokenizer){if(!re.level||re.level!=="block"&&re.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");D[re.level]?D[re.level].unshift(re.tokenizer):D[re.level]=[re.tokenizer],re.start&&(re.level==="block"?D.startBlock?D.startBlock.push(re.start):D.startBlock=[re.start]:re.level==="inline"&&(D.startInline?D.startInline.push(re.start):D.startInline=[re.start]))}re.childTokens&&(D.childTokens[re.name]=re.childTokens)})),x.renderer&&function(){var re=de.defaults.renderer||new ie,ve=function(Le){var ze=re[Le];re[Le]=function(){for(var xe=arguments.length,Re=new Array(xe),Qe=0;Qe<xe;Qe++)Re[Qe]=arguments[Qe];var tt=x.renderer[Le].apply(re,Re);return tt===!1&&(tt=ze.apply(re,Re)),tt}};for(var Ie in x.renderer)ve(Ie);F.renderer=re}(),x.tokenizer&&function(){var re=de.defaults.tokenizer||new H,ve=function(Le){var ze=re[Le];re[Le]=function(){for(var xe=arguments.length,Re=new Array(xe),Qe=0;Qe<xe;Qe++)Re[Qe]=arguments[Qe];var tt=x.tokenizer[Le].apply(re,Re);return tt===!1&&(tt=ze.apply(re,Re)),tt}};for(var Ie in x.tokenizer)ve(Ie);F.tokenizer=re}(),x.walkTokens){var X=de.defaults.walkTokens;F.walkTokens=function(re){x.walkTokens.call(this,re),X&&X.call(this,re)}}O&&(F.extensions=D),de.setOptions(F)})},de.walkTokens=function(ge,ue){for(var N=function(){var x=D.value;switch(ue.call(de,x),x.type){case"table":{for(var X=B(x.header),re;!(re=X()).done;){var ve=re.value;de.walkTokens(ve.tokens,ue)}for(var Ie=B(x.rows),Me;!(Me=Ie()).done;)for(var Le=Me.value,ze=B(Le),xe;!(xe=ze()).done;){var Re=xe.value;de.walkTokens(Re.tokens,ue)}break}case"list":{de.walkTokens(x.items,ue);break}default:de.defaults.extensions&&de.defaults.extensions.childTokens&&de.defaults.extensions.childTokens[x.type]?de.defaults.extensions.childTokens[x.type].forEach(function(Qe){de.walkTokens(x[Qe],ue)}):x.tokens&&de.walkTokens(x.tokens,ue)}},F=B(ge),D;!(D=F()).done;)N()},de.parseInline=function(ge,ue){if(typeof ge=="undefined"||ge===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof ge!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(ge)+", string expected");ue=a({},de.defaults,ue||{}),k(ue);try{var N=z.lexInline(ge,ue);return ue.walkTokens&&de.walkTokens(N,ue.walkTokens),ce.parseInline(N,ue)}catch(F){if(F.message+=`
Please report this to https://github.com/markedjs/marked.`,ue.silent)return"<p>An error occurred:</p><pre>"+s(F.message+"",!0)+"</pre>";throw F}},de.Parser=ce,de.parser=ce.parse,de.Renderer=ie,de.TextRenderer=ae,de.Lexer=z,de.lexer=z.lex,de.Tokenizer=H,de.Slugger=te,de.parse=de;var Se=de.options,fe=de.setOptions,ne=de.use,me=de.walkTokens,ke=de.parseInline,Ae=de,Be=ce.parse,Xe=z.lex;Y.Lexer=z,Y.Parser=ce,Y.Renderer=ie,Y.Slugger=te,Y.TextRenderer=ae,Y.Tokenizer=H,Y.getDefaults=y,Y.lexer=Xe,Y.marked=de,Y.options=Se,Y.parse=Ae,Y.parseInline=ke,Y.parser=Be,Y.setOptions=fe,Y.use=ne,Y.walkTokens=me,Object.defineProperty(Y,"__esModule",{value:!0})}),define(Ee[102],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SlidingWindowAverage=e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function o(P,C,L){return Math.min(Math.max(P,C),L)}e.clamp=o;function I(P,C){return(C+P%C)%C}e.rot=I;class _{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=_;class B{constructor(){this._n=1,this._val=0}update(C){return this._val=this._val+(C-this._val)/this._n,this._n+=1,this._val}get value(){return this._val}}e.MovingAverage=B;class y{constructor(C){this._n=0,this._val=0,this._values=[],this._index=0,this._sum=0,this._values=new Array(C),this._values.fill(0,0,C)}update(C){const L=this._values[this._index];return this._values[this._index]=C,this._index=(this._index+1)%this._values.length,this._sum-=L,this._sum+=C,this._n<this._values.length&&(this._n+=1),this._val=this._sum/this._n,this._val}get value(){return this._val}}e.SlidingWindowAverage=y}),function(){function Y(_){const B=[];typeof _=="number"&&B.push("code/timeOrigin",_);function y(C){B.push(C,Date.now())}function P(){const C=[];for(let L=0;L<B.length;L+=2)C.push({name:B[L],startTime:B[L+1]});return C}return{mark:y,getMarks:P}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?Y():{mark(_){performance.mark(_)},getMarks(){let _=performance.timeOrigin;typeof _!="number"&&(_=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const B=[{name:"code/timeOrigin",startTime:Math.round(_)}];for(const y of performance.getEntriesByType("mark"))B.push({name:y.name,startTime:Math.round(_+y.startTime)});return B}};if(typeof process=="object"){const _=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return Y(_)}else return console.trace("perf-util loaded in UNKNOWN environment"),Y()}function o(_){return _.MonacoPerformanceMarks||(_.MonacoPerformanceMarks=e()),_.MonacoPerformanceMarks}var I;typeof global=="object"?I=global:typeof self=="object"?I=self:I={},typeof define=="function"?define("vs/base/common/performance",[],function(){return o(I)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=o(I):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),I.perf=o(I))}(),define(Ee[71],be([1,0,17]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeMimeType=e.getExtensionForMimeType=e.getMediaMime=e.getMediaOrTextMime=e.Mimes=void 0;var I;(function(E){E.text="text/plain",E.binary="application/octet-stream",E.unknown="application/unknown",E.markdown="text/markdown",E.latex="text/latex",E.uriList="text/uri-list"})(I=e.Mimes||(e.Mimes={}));const _={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},B={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function y(E){const c=(0,o.extname)(E),g=_[c.toLowerCase()];return g!==void 0?g:P(E)}e.getMediaOrTextMime=y;function P(E){const c=(0,o.extname)(E);return B[c.toLowerCase()]}e.getMediaMime=P;function C(E){for(const c in B)if(B[c]===E)return c}e.getExtensionForMimeType=C;const L=/^(.+)\/(.+?)(;.+)?$/;function M(E,c){const g=L.exec(E);return g?`${g[1].toLowerCase()}/${g[2].toLowerCase()}${g[3]??""}`:c?void 0:E}e.normalizeMimeType=M}),define(Ee[103],be([1,0,15,6]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function _(h){const f=h;return f?[f.on,f.pause,f.resume,f.destroy].every(v=>typeof v=="function"):!1}e.isReadableStream=_;function B(h){const f=h;return f?_(f.stream)&&Array.isArray(f.buffer)&&typeof f.ended=="boolean":!1}e.isReadableBufferedStream=B;function y(h,f){return new P(h,f)}e.newWriteableStream=y;class P{constructor(f,v){this.reducer=f,this.options=v,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(f){if(!this.state.destroyed){if(this.state.flowing)this.emitData(f);else if(this.buffer.data.push(f),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(v=>this.pendingWritePromises.push(v))}}error(f){this.state.destroyed||(this.state.flowing?this.emitError(f):this.buffer.error.push(f))}end(f){this.state.destroyed||(typeof f!="undefined"&&this.write(f),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(f){this.listeners.data.slice(0).forEach(v=>v(f))}emitError(f){this.listeners.error.length===0?(0,o.onUnexpectedError)(f):this.listeners.error.slice(0).forEach(v=>v(f))}emitEnd(){this.listeners.end.slice(0).forEach(f=>f())}on(f,v){if(!this.state.destroyed)switch(f){case"data":this.listeners.data.push(v),this.resume();break;case"end":this.listeners.end.push(v),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(v),this.state.flowing&&this.flowErrors();break}}removeListener(f,v){if(this.state.destroyed)return;let r;switch(f){case"data":r=this.listeners.data;break;case"end":r=this.listeners.end;break;case"error":r=this.listeners.error;break}if(r){const T=r.indexOf(v);T>=0&&r.splice(T,1)}}flowData(){if(this.buffer.data.length>0){const f=this.reducer(this.buffer.data);this.emitData(f),this.buffer.data.length=0;const v=[...this.pendingWritePromises];this.pendingWritePromises.length=0,v.forEach(r=>r())}}flowErrors(){if(this.listeners.error.length>0){for(const f of this.buffer.error)this.emitError(f);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function C(h,f){const v=[];let r;for(;(r=h.read())!==null;)v.push(r);return f(v)}e.consumeReadable=C;function L(h,f,v){const r=[];let T;for(;(T=h.read())!==null&&r.length<v;)r.push(T);return T===null&&r.length>0?f(r):{read:()=>{if(r.length>0)return r.shift();if(typeof T!="undefined"){const l=T;return T=void 0,l}return h.read()}}}e.peekReadable=L;function M(h,f){return new Promise((v,r)=>{const T=[];E(h,{onData:l=>{f&&T.push(l)},onError:l=>{f?r(l):v(void 0)},onEnd:()=>{v(f?f(T):void 0)}})})}e.consumeStream=M;function E(h,f){let v=!1;return h.on("error",r=>{v||f.onError(r)}),h.on("end",()=>{v||f.onEnd()}),h.on("data",r=>{v||f.onData(r)}),(0,I.toDisposable)(()=>v=!0)}e.listenStream=E;function c(h,f){return new Promise((v,r)=>{const T=new I.DisposableStore,l=[],i=a=>{if(l.push(a),l.length>f)return T.dispose(),h.pause(),v({stream:h,buffer:l,ended:!1})},u=a=>r(a),t=()=>v({stream:h,buffer:l,ended:!0});T.add((0,I.toDisposable)(()=>h.removeListener("error",u))),h.on("error",u),T.add((0,I.toDisposable)(()=>h.removeListener("end",t))),h.on("end",t),T.add((0,I.toDisposable)(()=>h.removeListener("data",i))),h.on("data",i)})}e.peekStream=c;function g(h,f){const v=y(f);return v.end(h),v}e.toStream=g;function s(){const h=y(()=>{throw new Error("not supported")});return h.end(),h}e.emptyStream=s;function n(h){let f=!1;return{read:()=>f?null:(f=!0,h)}}e.toReadable=n;function m(h,f,v){const r=y(v);return E(h,{onData:T=>r.write(f.data(T)),onError:T=>r.error(f.error?f.error(T):T),onEnd:()=>r.end()}),r}e.transform=m;function w(h,f,v){let r=!1;return{read:()=>{const T=f.read();return r?T:(r=!0,T!==null?v([h,T]):h)}}}e.prefixedReadable=w;function R(h,f,v){let r=!1;const T=y(v);return E(f,{onData:l=>r?T.write(l):(r=!0,T.write(v([h,l]))),onError:l=>T.error(l),onEnd:()=>{r||(r=!0,T.write(h)),T.end()}}),T}e.prefixedStream=R}),define(Ee[21],be([1,0,103]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const I=typeof Buffer!="undefined";let _,B;class y{constructor(p){this.buffer=p,this.byteLength=this.buffer.byteLength}static alloc(p){return I?new y(Buffer.allocUnsafe(p)):new y(new Uint8Array(p))}static wrap(p){return I&&!Buffer.isBuffer(p)&&(p=Buffer.from(p.buffer,p.byteOffset,p.byteLength)),new y(p)}static fromString(p,d){return!(d?.dontUseNodeBuffer||!1)&&I?new y(Buffer.from(p)):(_||(_=new TextEncoder),new y(_.encode(p)))}static fromByteArray(p){const d=y.alloc(p.length);for(let S=0,k=p.length;S<k;S++)d.buffer[S]=p[S];return d}static concat(p,d){if(typeof d=="undefined"){d=0;for(let A=0,W=p.length;A<W;A++)d+=p[A].byteLength}const S=y.alloc(d);let k=0;for(let A=0,W=p.length;A<W;A++){const b=p[A];S.set(b,k),k+=b.byteLength}return S}clone(){const p=y.alloc(this.byteLength);return p.set(this),p}toString(){return I?this.buffer.toString():(B||(B=new TextDecoder),B.decode(this.buffer))}slice(p,d){return new y(this.buffer.subarray(p,d))}set(p,d){if(p instanceof y)this.buffer.set(p.buffer,d);else if(p instanceof Uint8Array)this.buffer.set(p,d);else if(p instanceof ArrayBuffer)this.buffer.set(new Uint8Array(p),d);else if(ArrayBuffer.isView(p))this.buffer.set(new Uint8Array(p.buffer,p.byteOffset,p.byteLength),d);else throw new Error("Unknown argument 'array'")}readUInt32BE(p){return L(this.buffer,p)}writeUInt32BE(p,d){M(this.buffer,p,d)}readUInt32LE(p){return E(this.buffer,p)}writeUInt32LE(p,d){c(this.buffer,p,d)}readUInt8(p){return g(this.buffer,p)}writeUInt8(p,d){s(this.buffer,p,d)}}e.VSBuffer=y;function P(a,p){return a[p+0]<<0>>>0|a[p+1]<<8>>>0}e.readUInt16LE=P;function C(a,p,d){a[d+0]=p&255,p=p>>>8,a[d+1]=p&255}e.writeUInt16LE=C;function L(a,p){return a[p]*2**24+a[p+1]*2**16+a[p+2]*2**8+a[p+3]}e.readUInt32BE=L;function M(a,p,d){a[d+3]=p,p=p>>>8,a[d+2]=p,p=p>>>8,a[d+1]=p,p=p>>>8,a[d]=p}e.writeUInt32BE=M;function E(a,p){return a[p+0]<<0>>>0|a[p+1]<<8>>>0|a[p+2]<<16>>>0|a[p+3]<<24>>>0}e.readUInt32LE=E;function c(a,p,d){a[d+0]=p&255,p=p>>>8,a[d+1]=p&255,p=p>>>8,a[d+2]=p&255,p=p>>>8,a[d+3]=p&255}e.writeUInt32LE=c;function g(a,p){return a[p]}e.readUInt8=g;function s(a,p,d){a[d]=p}e.writeUInt8=s;function n(a){return o.consumeReadable(a,p=>y.concat(p))}e.readableToBuffer=n;function m(a){return o.toReadable(a)}e.bufferToReadable=m;function w(a){return o.consumeStream(a,p=>y.concat(p))}e.streamToBuffer=w;async function R(a){return a.ended?y.concat(a.buffer):y.concat([...a.buffer,await w(a.stream)])}e.bufferedStreamToBuffer=R;function h(a){return o.toStream(a,p=>y.concat(p))}e.bufferToStream=h;function f(a){return o.transform(a,{data:p=>typeof p=="string"?y.fromString(p):y.wrap(p)},p=>y.concat(p))}e.streamToBufferReadableStream=f;function v(a){return o.newWriteableStream(p=>y.concat(p),a)}e.newWriteableBufferStream=v;function r(a,p){return o.prefixedReadable(a,p,d=>y.concat(d))}e.prefixedBufferReadable=r;function T(a,p){return o.prefixedStream(a,p,d=>y.concat(d))}e.prefixedBufferStream=T;function l(a){let p=0,d=0,S=0;const k=new Uint8Array(Math.floor(a.length/4*3)),A=b=>{switch(d){case 3:k[S++]=p|b,d=0;break;case 2:k[S++]=p|b>>>2,p=b<<6,d=3;break;case 1:k[S++]=p|b>>>4,p=b<<4,d=2;break;default:p=b<<2,d=1}};for(let b=0;b<a.length;b++){const H=a.charCodeAt(b);if(H>=65&&H<=90)A(H-65);else if(H>=97&&H<=122)A(H-97+26);else if(H>=48&&H<=57)A(H-48+52);else if(H===43||H===45)A(62);else if(H===47||H===95)A(63);else{if(H===61)break;throw new SyntaxError(`Unexpected base64 character ${a[b]}`)}}const W=S;for(;d>0;)A(0);return y.wrap(k).slice(0,W)}e.decodeBase64=l;const i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",u="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function t({buffer:a},p=!0,d=!1){const S=d?u:i;let k="";const A=a.byteLength%3;let W=0;for(;W<a.byteLength-A;W+=3){const b=a[W+0],H=a[W+1],q=a[W+2];k+=S[b>>>2],k+=S[(b<<4|H>>>4)&63],k+=S[(H<<2|q>>>6)&63],k+=S[q&63]}if(A===1){const b=a[W+0];k+=S[b>>>2],k+=S[b<<4&63],p&&(k+="==")}else if(A===2){const b=a[W+0],H=a[W+1];k+=S[b>>>2],k+=S[(b<<4|H>>>4)&63],k+=S[H<<2&63],p&&(k+="=")}return k}e.encodeBase64=t});var je=this&&this.__classPrivateFieldSet||function(Y,e,o,I,_){if(I==="m")throw new TypeError("Private method is not writable");if(I==="a"&&!_)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Y!==e||!_:!e.has(Y))throw new TypeError("Cannot write private member to an object whose class did not declare it");return I==="a"?_.call(Y,o):_?_.value=o:e.set(Y,o),o},De=this&&this.__classPrivateFieldGet||function(Y,e,o,I){if(o==="a"&&!I)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Y!==e||!I:!e.has(Y))throw new TypeError("Cannot read private member from an object whose class did not declare it");return o==="m"?I:o==="a"?I.call(Y):I?I.value:e.get(Y)};define(Ee[22],be([1,0,16,10]),function(Y,e,o,I){"use strict";var _,B,y;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function P(l,i,u){let t=l.get(i);return t===void 0&&(t=u,l.set(i,t)),t}e.getOrSet=P;function C(l){const i=[];return l.forEach((u,t)=>{i.push(`${t} => ${u}`)}),`Map(${l.size}) {${i.join(", ")}}`}e.mapToString=C;function L(l){const i=[];return l.forEach(u=>{i.push(u)}),`Set(${l.size}) {${i.join(", ")}}`}e.setToString=L;class M{constructor(){this._value="",this._pos=0}reset(i){return this._value=i,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(i){const u=i.charCodeAt(0),t=this._value.charCodeAt(this._pos);return u-t}value(){return this._value[this._pos]}}e.StringIterator=M;class E{constructor(i=!0){this._caseSensitive=i}reset(i){return this._value=i,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let i=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(i)this._from++;else break;else i=!1;return this}cmp(i){return this._caseSensitive?(0,I.compareSubstring)(i,this._value,0,i.length,this._from,this._to):(0,I.compareSubstringIgnoreCase)(i,this._value,0,i.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=E;class c{constructor(i=!0,u=!0){this._splitOnBackslash=i,this._caseSensitive=u}reset(i){this._from=0,this._to=0,this._value=i,this._valueLen=i.length;for(let u=i.length-1;u>=0;u--,this._valueLen--){const t=this._value.charCodeAt(u);if(!(t===47||this._splitOnBackslash&&t===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let i=!0;for(;this._to<this._valueLen;this._to++){const u=this._value.charCodeAt(this._to);if(u===47||this._splitOnBackslash&&u===92)if(i)this._from++;else break;else i=!1}return this}cmp(i){return this._caseSensitive?(0,I.compareSubstring)(i,this._value,0,i.length,this._from,this._to):(0,I.compareSubstringIgnoreCase)(i,this._value,0,i.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=c;var g;(function(l){l[l.Scheme=1]="Scheme",l[l.Authority=2]="Authority",l[l.Path=3]="Path",l[l.Query=4]="Query",l[l.Fragment=5]="Fragment"})(g||(g={}));class s{constructor(i){this._ignorePathCasing=i,this._states=[],this._stateIdx=0}reset(i){return this._value=i,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new c(!1,!this._ignorePathCasing(i)),this._pathIterator.reset(i.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(i){if(this._states[this._stateIdx]===1)return(0,I.compareIgnoreCase)(i,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,I.compareIgnoreCase)(i,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(i);if(this._states[this._stateIdx]===4)return(0,I.compare)(i,this._value.query);if(this._states[this._stateIdx]===5)return(0,I.compare)(i,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=s;class n{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const i=this.right;return this.right=i.left,i.left=this,this.updateHeight(),i.updateHeight(),i}rotateRight(){const i=this.left;return this.left=i.right,i.right=this,this.updateHeight(),i.updateHeight(),i}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var m;(function(l){l[l.Left=-1]="Left",l[l.Mid=0]="Mid",l[l.Right=1]="Right"})(m||(m={}));class w{constructor(i){this._iter=i}static forUris(i=()=>!1){return new w(new s(i))}static forPaths(i=!1){return new w(new c(void 0,!i))}static forStrings(){return new w(new M)}static forConfigKeys(){return new w(new E)}clear(){this._root=void 0}fill(i,u){if(u){const t=u.slice(0);(0,o.shuffle)(t);for(let a of t)this.set(a,i)}else{const t=i.slice(0);(0,o.shuffle)(t);for(let a of t)this.set(a[0],a[1])}}set(i,u){const t=this._iter.reset(i);let a;this._root||(this._root=new n,this._root.segment=t.value());const p=[];for(a=this._root;;){const S=t.cmp(a.segment);if(S>0)a.left||(a.left=new n,a.left.segment=t.value()),p.push([-1,a]),a=a.left;else if(S<0)a.right||(a.right=new n,a.right.segment=t.value()),p.push([1,a]),a=a.right;else if(t.hasNext())t.next(),a.mid||(a.mid=new n,a.mid.segment=t.value()),p.push([0,a]),a=a.mid;else break}const d=a.value;a.value=u,a.key=i;for(let S=p.length-1;S>=0;S--){const k=p[S][1];k.updateHeight();const A=k.balanceFactor();if(A<-1||A>1){const W=p[S][0],b=p[S+1][0];if(W===1&&b===1)p[S][1]=k.rotateLeft();else if(W===-1&&b===-1)p[S][1]=k.rotateRight();else if(W===1&&b===-1)k.right=p[S+1][1]=p[S+1][1].rotateRight(),p[S][1]=k.rotateLeft();else if(W===-1&&b===1)k.left=p[S+1][1]=p[S+1][1].rotateLeft(),p[S][1]=k.rotateRight();else throw new Error;if(S>0)switch(p[S-1][0]){case-1:p[S-1][1].left=p[S][1];break;case 1:p[S-1][1].right=p[S][1];break;case 0:p[S-1][1].mid=p[S][1];break}else this._root=p[0][1]}}return d}get(i){return this._getNode(i)?.value}_getNode(i){const u=this._iter.reset(i);let t=this._root;for(;t;){const a=u.cmp(t.segment);if(a>0)t=t.left;else if(a<0)t=t.right;else if(u.hasNext())u.next(),t=t.mid;else break}return t}has(i){const u=this._getNode(i);return!(u?.value===void 0&&u?.mid===void 0)}delete(i){return this._delete(i,!1)}deleteSuperstr(i){return this._delete(i,!0)}_delete(i,u){const t=this._iter.reset(i),a=[];let p=this._root;for(;p;){const d=t.cmp(p.segment);if(d>0)a.push([-1,p]),p=p.left;else if(d<0)a.push([1,p]),p=p.right;else if(t.hasNext())t.next(),a.push([0,p]),p=p.mid;else break}if(!!p){if(u?(p.left=void 0,p.mid=void 0,p.right=void 0,p.height=1):(p.key=void 0,p.value=void 0),!p.mid&&!p.value)if(p.left&&p.right){const d=this._min(p.right),{key:S,value:k,segment:A}=d;this._delete(d.key,!1),p.key=S,p.value=k,p.segment=A}else{const d=p.left??p.right;if(a.length>0){const[S,k]=a[a.length-1];switch(S){case-1:k.left=d;break;case 0:k.mid=d;break;case 1:k.right=d;break}}else this._root=d}for(let d=a.length-1;d>=0;d--){const S=a[d][1];S.updateHeight();const k=S.balanceFactor();if(k>1?(S.right.balanceFactor()>=0||(S.right=S.right.rotateRight()),a[d][1]=S.rotateLeft()):k<-1&&(S.left.balanceFactor()<=0||(S.left=S.left.rotateLeft()),a[d][1]=S.rotateRight()),d>0)switch(a[d-1][0]){case-1:a[d-1][1].left=a[d][1];break;case 1:a[d-1][1].right=a[d][1];break;case 0:a[d-1][1].mid=a[d][1];break}else this._root=a[0][1]}}}_min(i){for(;i.left;)i=i.left;return i}findSubstr(i){const u=this._iter.reset(i);let t=this._root,a;for(;t;){const p=u.cmp(t.segment);if(p>0)t=t.left;else if(p<0)t=t.right;else if(u.hasNext())u.next(),a=t.value||a,t=t.mid;else break}return t&&t.value||a}findSuperstr(i){const u=this._iter.reset(i);let t=this._root;for(;t;){const a=u.cmp(t.segment);if(a>0)t=t.left;else if(a<0)t=t.right;else if(u.hasNext())u.next(),t=t.mid;else return t.mid?this._entries(t.mid):void 0}}forEach(i){for(const[u,t]of this)i(t,u)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(i){!i||(i.left&&(yield*this._entries(i.left)),i.value&&(yield[i.key,i.value]),i.mid&&(yield*this._entries(i.mid)),i.right&&(yield*this._entries(i.right)))}_isBalanced(){const i=u=>{if(!u)return!0;const t=u.balanceFactor();return t<-1||t>1?!1:i(u.left)&&i(u.right)};return i(this._root)}}e.TernarySearchTree=w;class R{constructor(i,u){this.uri=i,this.value=u}}class h{constructor(i,u){this[_]="ResourceMap",i instanceof h?(this.map=new Map(i.map),this.toKey=u??h.defaultToKey):(this.map=new Map,this.toKey=i??h.defaultToKey)}set(i,u){return this.map.set(this.toKey(i),new R(i,u)),this}get(i){return this.map.get(this.toKey(i))?.value}has(i){return this.map.has(this.toKey(i))}get size(){return this.map.size}clear(){this.map.clear()}delete(i){return this.map.delete(this.toKey(i))}forEach(i,u){typeof u!="undefined"&&(i=i.bind(u));for(let[t,a]of this.map)i(a.value,a.uri,this)}*values(){for(let i of this.map.values())yield i.value}*keys(){for(let i of this.map.values())yield i.uri}*entries(){for(let i of this.map.values())yield[i.uri,i.value]}*[(_=Symbol.toStringTag,Symbol.iterator)](){for(let[,i]of this.map)yield[i.uri,i.value]}}e.ResourceMap=h,h.defaultToKey=l=>l.toString();var f;(function(l){l[l.None=0]="None",l[l.AsOld=1]="AsOld",l[l.AsNew=2]="AsNew"})(f=e.Touch||(e.Touch={}));class v{constructor(){this[B]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(i){return this._map.has(i)}get(i,u=0){const t=this._map.get(i);if(!!t)return u!==0&&this.touch(t,u),t.value}set(i,u,t=0){let a=this._map.get(i);if(a)a.value=u,t!==0&&this.touch(a,t);else{switch(a={key:i,value:u,next:void 0,previous:void 0},t){case 0:this.addItemLast(a);break;case 1:this.addItemFirst(a);break;case 2:this.addItemLast(a);break;default:this.addItemLast(a);break}this._map.set(i,a),this._size++}return this}delete(i){return!!this.remove(i)}remove(i){const u=this._map.get(i);if(!!u)return this._map.delete(i),this.removeItem(u),this._size--,u.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const i=this._head;return this._map.delete(i.key),this.removeItem(i),this._size--,i.value}forEach(i,u){const t=this._state;let a=this._head;for(;a;){if(u?i.bind(u)(a.value,a.key,this):i(a.value,a.key,this),this._state!==t)throw new Error("LinkedMap got modified during iteration.");a=a.next}}keys(){const i=this,u=this._state;let t=this._head;const a={[Symbol.iterator](){return a},next(){if(i._state!==u)throw new Error("LinkedMap got modified during iteration.");if(t){const p={value:t.key,done:!1};return t=t.next,p}else return{value:void 0,done:!0}}};return a}values(){const i=this,u=this._state;let t=this._head;const a={[Symbol.iterator](){return a},next(){if(i._state!==u)throw new Error("LinkedMap got modified during iteration.");if(t){const p={value:t.value,done:!1};return t=t.next,p}else return{value:void 0,done:!0}}};return a}entries(){const i=this,u=this._state;let t=this._head;const a={[Symbol.iterator](){return a},next(){if(i._state!==u)throw new Error("LinkedMap got modified during iteration.");if(t){const p={value:[t.key,t.value],done:!1};return t=t.next,p}else return{value:void 0,done:!0}}};return a}[(B=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(i){if(i>=this.size)return;if(i===0){this.clear();return}let u=this._head,t=this.size;for(;u&&t>i;)this._map.delete(u.key),u=u.next,t--;this._head=u,this._size=t,u&&(u.previous=void 0),this._state++}addItemFirst(i){if(!this._head&&!this._tail)this._tail=i;else if(this._head)i.next=this._head,this._head.previous=i;else throw new Error("Invalid list");this._head=i,this._state++}addItemLast(i){if(!this._head&&!this._tail)this._head=i;else if(this._tail)i.previous=this._tail,this._tail.next=i;else throw new Error("Invalid list");this._tail=i,this._state++}removeItem(i){if(i===this._head&&i===this._tail)this._head=void 0,this._tail=void 0;else if(i===this._head){if(!i.next)throw new Error("Invalid list");i.next.previous=void 0,this._head=i.next}else if(i===this._tail){if(!i.previous)throw new Error("Invalid list");i.previous.next=void 0,this._tail=i.previous}else{const u=i.next,t=i.previous;if(!u||!t)throw new Error("Invalid list");u.previous=t,t.next=u}i.next=void 0,i.previous=void 0,this._state++}touch(i,u){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(u!==1&&u!==2)){if(u===1){if(i===this._head)return;const t=i.next,a=i.previous;i===this._tail?(a.next=void 0,this._tail=a):(t.previous=a,a.next=t),i.previous=void 0,i.next=this._head,this._head.previous=i,this._head=i,this._state++}else if(u===2){if(i===this._tail)return;const t=i.next,a=i.previous;i===this._head?(t.previous=void 0,this._head=t):(t.previous=a,a.next=t),i.next=void 0,i.previous=this._tail,this._tail.next=i,this._tail=i,this._state++}}}toJSON(){const i=[];return this.forEach((u,t)=>{i.push([t,u])}),i}fromJSON(i){this.clear();for(const[u,t]of i)this.set(u,t)}}e.LinkedMap=v;class r extends v{constructor(i,u=1){super();this._limit=i,this._ratio=Math.min(Math.max(0,u),1)}get limit(){return this._limit}set limit(i){this._limit=i,this.checkTrim()}get ratio(){return this._ratio}set ratio(i){this._ratio=Math.min(Math.max(0,i),1),this.checkTrim()}get(i,u=2){return super.get(i,u)}peek(i){return super.get(i,0)}set(i,u){return super.set(i,u,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=r;class T{constructor(i){y.set(this,void 0),je(this,y,i,"f")}get size(){return De(this,y,"f").size}forEach(i,u){De(this,y,"f").forEach(i,u)}get(i){return De(this,y,"f").get(i)}has(i){return De(this,y,"f").has(i)}entries(){return De(this,y,"f").entries()}keys(){return De(this,y,"f").keys()}values(){return De(this,y,"f").values()}[(y=new WeakMap,Symbol.iterator)](){return De(this,y,"f").entries()}}e.ReadonlyMapView=T}),define(Ee[104],be([1,0,22,10]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function _(...D){return function(O,x){for(let X=0,re=D.length;X<re;X++){const ve=D[X](O,x);if(ve)return ve}return null}}e.or=_,e.matchesStrictPrefix=B.bind(void 0,!1),e.matchesPrefix=B.bind(void 0,!0);function B(D,O,x){if(!x||x.length<O.length)return null;let X;return D?X=I.startsWithIgnoreCase(x,O):X=x.indexOf(O)===0,X?O.length>0?[{start:0,end:O.length}]:[]:null}function y(D,O){const x=O.toLowerCase().indexOf(D.toLowerCase());return x===-1?null:[{start:x,end:x+D.length}]}e.matchesContiguousSubString=y;function P(D,O){return C(D.toLowerCase(),O.toLowerCase(),0,0)}e.matchesSubString=P;function C(D,O,x,X){if(x===D.length)return[];if(X===O.length)return null;if(D[x]===O[X]){let re=null;return(re=C(D,O,x+1,X+1))?w({start:X,end:X+1},re):null}return C(D,O,x,X+1)}function L(D){return 97<=D&&D<=122}function M(D){return 65<=D&&D<=90}e.isUpper=M;function E(D){return 48<=D&&D<=57}function c(D){return D===32||D===9||D===10||D===13}const g=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(D=>g.add(D.charCodeAt(0)));function s(D){return c(D)||g.has(D)}function n(D,O){return D===O||s(D)&&s(O)}function m(D){return L(D)||M(D)||E(D)}function w(D,O){return O.length===0?O=[D]:D.end===O[0].start?O[0].start=D.start:O.unshift(D),O}function R(D,O){for(let x=O;x<D.length;x++){const X=D.charCodeAt(x);if(M(X)||E(X)||x>0&&!m(D.charCodeAt(x-1)))return x}return D.length}function h(D,O,x,X){if(x===D.length)return[];if(X===O.length)return null;if(D[x]!==O[X].toLowerCase())return null;{let re=null,ve=X+1;for(re=h(D,O,x+1,X+1);!re&&(ve=R(O,ve))<O.length;)re=h(D,O,x+1,ve),ve++;return re===null?null:w({start:X,end:X+1},re)}}function f(D){let O=0,x=0,X=0,re=0,ve=0;for(let xe=0;xe<D.length;xe++)ve=D.charCodeAt(xe),M(ve)&&O++,L(ve)&&x++,m(ve)&&X++,E(ve)&&re++;const Ie=O/D.length,Me=x/D.length,Le=X/D.length,ze=re/D.length;return{upperPercent:Ie,lowerPercent:Me,alphaPercent:Le,numericPercent:ze}}function v(D){const{upperPercent:O,lowerPercent:x}=D;return x===0&&O>.6}function r(D){const{upperPercent:O,lowerPercent:x,alphaPercent:X,numericPercent:re}=D;return x>.2&&O<.8&&X>.6&&re<.2}function T(D){let O=0,x=0,X=0,re=0;for(let ve=0;ve<D.length;ve++)X=D.charCodeAt(ve),M(X)&&O++,L(X)&&x++,c(X)&&re++;return(O===0||x===0)&&re===0?D.length<=30:O<=5}function l(D,O){if(!O||(O=O.trim(),O.length===0)||!T(D)||O.length>60)return null;const x=f(O);if(!r(x)){if(!v(x))return null;O=O.toLowerCase()}let X=null,re=0;for(D=D.toLowerCase();re<O.length&&(X=h(D,O,0,re))===null;)re=R(O,re+1);return X}e.matchesCamelCase=l;function i(D,O,x=!1){if(!O||O.length===0)return null;let X=null,re=0;for(D=D.toLowerCase(),O=O.toLowerCase();re<O.length&&(X=u(D,O,0,re,x))===null;)re=t(O,re+1);return X}e.matchesWords=i;function u(D,O,x,X,re){if(x===D.length)return[];if(X===O.length)return null;if(n(D.charCodeAt(x),O.charCodeAt(X))){let ve=null,Ie=X+1;if(ve=u(D,O,x+1,X+1,re),!re)for(;!ve&&(Ie=t(O,Ie))<O.length;)ve=u(D,O,x+1,Ie,re),Ie++;return ve===null?null:w({start:X,end:X+1},ve)}else return null}function t(D,O){for(let x=O;x<D.length;x++)if(s(D.charCodeAt(x))||x>0&&s(D.charCodeAt(x-1)))return x;return D.length}const a=_(e.matchesPrefix,l,y),p=_(e.matchesPrefix,l,P),d=new o.LRUCache(1e4);function S(D,O,x=!1){if(typeof D!="string"||typeof O!="string")return null;let X=d.get(D);X||(X=new RegExp(I.convertSimple2RegExpPattern(D),"i"),d.set(D,X));const re=X.exec(O);return re?[{start:re.index,end:re.index+re[0].length}]:x?p(D,O):a(D,O)}e.matchesFuzzy=S;function k(D,O){const x=Ae(D,D.toLowerCase(),0,O,O.toLowerCase(),0,!0);return x?W(x):null}e.matchesFuzzy2=k;function A(D,O,x,X,re,ve){const Ie=Math.min(13,D.length);for(;x<Ie;x++){const Me=Ae(D,O,x,X,re,ve,!1);if(Me)return Me}return[0,ve]}e.anyScore=A;function W(D){if(typeof D=="undefined")return[];const O=[],x=D[1];for(let X=D.length-1;X>1;X--){const re=D[X]+x,ve=O[O.length-1];ve&&ve.end===re?ve.end=re+1:O.push({start:re,end:re+1})}return O}e.createMatches=W;const b=128;function H(){const D=[],O=[];for(let x=0;x<=b;x++)O[x]=0;for(let x=0;x<=b;x++)D.push(O.slice(0));return D}function q(D){const O=[];for(let x=0;x<=D;x++)O[x]=0;return O}const $=q(2*b),j=q(2*b),J=H(),z=H(),ie=H(),ae=!1;function te(D,O,x,X,re){function ve(Me,Le,ze=" "){for(;Me.length<Le;)Me=ze+Me;return Me}let Ie=` |   |${X.split("").map(Me=>ve(Me,3)).join("|")}
`;for(let Me=0;Me<=x;Me++)Me===0?Ie+=" |":Ie+=`${O[Me-1]}|`,Ie+=D[Me].slice(0,re+1).map(Le=>ve(Le.toString(),3)).join("|")+`
`;return Ie}function ce(D,O,x,X){D=D.substr(O),x=x.substr(X),console.log(te(z,D,D.length,x,x.length)),console.log(te(ie,D,D.length,x,x.length)),console.log(te(J,D,D.length,x,x.length))}function de(D,O){if(O<0||O>=D.length)return!1;const x=D.codePointAt(O);switch(x){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 40:case 91:return!0;case void 0:return!1;default:return!!I.isEmojiImprecise(x)}}function Se(D,O){if(O<0||O>=D.length)return!1;switch(D.charCodeAt(O)){case 32:case 9:return!0;default:return!1}}function fe(D,O,x){return O[D]!==x[D]}function ne(D,O,x,X,re,ve,Ie=!1){for(;O<x&&re<ve;)D[O]===X[re]&&(Ie&&($[O]=re),O+=1),re+=1;return O===x}e.isPatternInWord=ne;var me;(function(D){D[D.Diag=1]="Diag",D[D.Left=2]="Left",D[D.LeftLeft=3]="LeftLeft"})(me||(me={}));var ke;(function(D){D.Default=[-100,0];function O(x){return!x||x.length===2&&x[0]===-100&&x[1]===0}D.isDefault=O})(ke=e.FuzzyScore||(e.FuzzyScore={}));function Ae(D,O,x,X,re,ve,Ie){const Me=D.length>b?b:D.length,Le=X.length>b?b:X.length;if(x>=Me||ve>=Le||Me-x>Le-ve||!ne(O,x,Me,re,ve,Le,!0))return;Be(Me,Le,x,ve,O,re);let ze=1,xe=1,Re=x,Qe=ve;const tt=[!1];for(ze=1,Re=x;Re<Me;ze++,Re++){const le=$[Re],Oe=j[Re],He=Re+1<Me?j[Re+1]:Le;for(xe=le-ve+1,Qe=le;Qe<He;xe++,Qe++){let Ge=Number.MIN_SAFE_INTEGER,Je=!1;Qe<=Oe&&(Ge=Xe(D,O,Re,x,X,re,Qe,Le,ve,J[ze-1][xe-1]===0,tt));let ft=0;Ge!==Number.MAX_SAFE_INTEGER&&(Je=!0,ft=Ge+z[ze-1][xe-1]);const It=Qe>le,St=It?z[ze][xe-1]+(J[ze][xe-1]>0?-5:0):0,kt=Qe>le+1&&J[ze][xe-1]>0,qe=kt?z[ze][xe-2]+(J[ze][xe-2]>0?-5:0):0;if(kt&&(!It||qe>=St)&&(!Je||qe>=ft))z[ze][xe]=qe,ie[ze][xe]=3,J[ze][xe]=0;else if(It&&(!Je||St>=ft))z[ze][xe]=St,ie[ze][xe]=2,J[ze][xe]=0;else if(Je)z[ze][xe]=ft,ie[ze][xe]=1,J[ze][xe]=J[ze-1][xe-1]+1;else throw new Error("not possible")}}if(ae&&ce(D,x,X,ve),!tt[0]&&!Ie)return;ze--,xe--;const Te=[z[ze][xe],ve];let it=0,G=0;for(;ze>=1;){let le=xe;do{const Oe=ie[ze][le];if(Oe===3)le=le-2;else if(Oe===2)le=le-1;else break}while(le>=1);it>1&&O[x+ze-1]===re[ve+xe-1]&&!fe(le+ve-1,X,re)&&it+1>J[ze][le]&&(le=xe),le===xe?it++:it=1,G||(G=le),ze--,xe=le-1,Te.push(xe)}Le===Me&&(Te[0]+=2);const Q=G-Me;return Te[0]-=Q,Te}e.fuzzyScore=Ae;function Be(D,O,x,X,re,ve){let Ie=D-1,Me=O-1;for(;Ie>=x&&Me>=X;)re[Ie]===ve[Me]&&(j[Ie]=Me,Ie--),Me--}function Xe(D,O,x,X,re,ve,Ie,Me,Le,ze,xe){if(O[x]!==ve[Ie])return Number.MIN_SAFE_INTEGER;let Re=1,Qe=!1;return Ie===x-X?Re=D[x]===re[Ie]?7:5:fe(Ie,re,ve)&&(Ie===0||!fe(Ie-1,re,ve))?(Re=D[x]===re[Ie]?7:5,Qe=!0):de(ve,Ie)&&(Ie===0||!de(ve,Ie-1))?Re=5:(de(ve,Ie-1)||Se(ve,Ie-1))&&(Re=5,Qe=!0),Re>1&&x===X&&(xe[0]=!0),Qe||(Qe=fe(Ie,re,ve)||de(ve,Ie-1)||Se(ve,Ie-1)),x===X?Ie>Le&&(Re-=Qe?3:5):ze?Re+=Qe?2:0:Re+=Qe?0:1,Ie+1===Me&&(Re-=Qe?3:5),Re}function ge(D,O,x,X,re,ve,Ie){return N(D,O,x,X,re,ve,!0,Ie)}e.fuzzyScoreGracefulAggressive=ge;function ue(D,O,x,X,re,ve,Ie){return N(D,O,x,X,re,ve,!1,Ie)}e.fuzzyScoreGraceful=ue;function N(D,O,x,X,re,ve,Ie,Me){let Le=Ae(D,O,x,X,re,ve,Me);if(Le&&!Ie)return Le;if(D.length>=3){const ze=Math.min(7,D.length-1);for(let xe=x+1;xe<ze;xe++){const Re=F(D,xe);if(Re){const Qe=Ae(Re,Re.toLowerCase(),x,X,re,ve,Me);Qe&&(Qe[0]-=3,(!Le||Qe[0]>Le[0])&&(Le=Qe))}}}return Le}function F(D,O){if(O+1>=D.length)return;const x=D[O],X=D[O+1];if(x!==X)return D.slice(0,O)+X+x+D.slice(O+2)}}),define(Ee[105],be([1,0,106,104,10]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const B=new RegExp(`\\$\\(${o.CSSIcon.iconNameExpression}(?:${o.CSSIcon.iconModifierExpression})?\\)`,"g"),y=new RegExp(o.CSSIcon.iconNameCharacter),P=new RegExp(`(\\\\)?${B.source}`,"g");function C(m){return m.replace(P,(w,R)=>R?w:`\\${w}`)}e.escapeIcons=C;const L=new RegExp(`\\\\${B.source}`,"g");function M(m){return m.replace(L,w=>`\\${w}`)}e.markdownEscapeEscapedIcons=M;const E=new RegExp(`(\\s)?(\\\\)?${B.source}(\\s)?`,"g");function c(m){return m.indexOf(e.iconStartMarker)===-1?m:m.replace(E,(w,R,h,f)=>h?w:R||f||"")}e.stripIcons=c;function g(m){const w=m.indexOf(e.iconStartMarker);return w===-1?{text:m}:s(m,w)}e.parseLabelWithIcons=g;function s(m,w){const R=[];let h="";function f(a){if(a){h+=a;for(const p of a)R.push(T)}}let v=-1,r="",T=0,l,i,u=w;const t=m.length;for(f(m.substr(0,w));u<t;)l=m[u],i=m[u+1],l===e.iconStartMarker[0]&&i===e.iconStartMarker[1]?(v=u,f(r),r=e.iconStartMarker,u++):l===")"&&v!==-1?(T+=u-v+1,v=-1,r=""):v!==-1?y.test(l)?r+=l:(f(r),v=-1,r=""):f(l),u++;return f(r),{text:h,iconOffsets:R}}function n(m,w,R=!1){const{text:h,iconOffsets:f}=w;if(!f||f.length===0)return(0,I.matchesFuzzy)(m,h,R);const v=(0,_.ltrim)(h," "),r=h.length-v.length,T=(0,I.matchesFuzzy)(m,v,R);if(T)for(const l of T){const i=f[l.start+r]+r;l.start+=i,l.end+=i}return T}e.matchesFuzzyIconAware=n}),define(Ee[34],be([1,0,10]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var I;(function(_){_[_.Ignore=0]="Ignore",_[_.Info=1]="Info",_[_.Warning=2]="Warning",_[_.Error=3]="Error"})(I||(I={})),function(_){const B="error",y="warning",P="warn",C="info",L="ignore";function M(c){return c?o.equalsIgnoreCase(B,c)?_.Error:o.equalsIgnoreCase(y,c)||o.equalsIgnoreCase(P,c)?_.Warning:o.equalsIgnoreCase(C,c)?_.Info:_.Ignore:_.Ignore}_.fromValue=M;function E(c){switch(c){case _.Error:return B;case _.Warning:return y;case _.Info:return C;default:return L}}_.toString=E}(I||(I={})),e.default=I}),define(Ee[35],be([1,0,17,23,10,11]),function(Y,e,o,I,_,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function y(u){return u===47||u===92}e.isPathSeparator=y;function P(u){return u.replace(/[\\/]/g,o.posix.sep)}e.toSlashes=P;function C(u){return u.indexOf("/")===-1&&(u=P(u)),/^[a-zA-Z]:(\/|$)/.test(u)&&(u="/"+u),u}e.toPosixPath=C;function L(u,t=o.posix.sep){if(!u)return"";const a=u.length,p=u.charCodeAt(0);if(y(p)){if(y(u.charCodeAt(1))&&!y(u.charCodeAt(2))){let S=3;const k=S;for(;S<a&&!y(u.charCodeAt(S));S++);if(k!==S&&!y(u.charCodeAt(S+1))){for(S+=1;S<a;S++)if(y(u.charCodeAt(S)))return u.slice(0,S+1).replace(/[\\/]/g,t)}}return t}else if(w(p)&&u.charCodeAt(1)===58)return y(u.charCodeAt(2))?u.slice(0,2)+t:u.slice(0,2);let d=u.indexOf("://");if(d!==-1){for(d+=3;d<a;d++)if(y(u.charCodeAt(d)))return u.slice(0,d+1)}return""}e.getRoot=L;function M(u){if(!I.isWindows||!u||u.length<5)return!1;let t=u.charCodeAt(0);if(t!==92||(t=u.charCodeAt(1),t!==92))return!1;let a=2;const p=a;for(;a<u.length&&(t=u.charCodeAt(a),t!==92);a++);return!(p===a||(t=u.charCodeAt(a+1),isNaN(t)||t===92))}e.isUNC=M;const E=/[\\/:\*\?"<>\|]/g,c=/[\\/]/g,g=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function s(u,t=I.isWindows){const a=t?E:c;return!(!u||u.length===0||/^\s+$/.test(u)||(a.lastIndex=0,a.test(u))||t&&g.test(u)||u==="."||u===".."||t&&u[u.length-1]==="."||t&&u.length!==u.trim().length||u.length>255)}e.isValidBasename=s;function n(u,t,a){const p=u===t;return!a||p?p:!u||!t?!1:(0,_.equalsIgnoreCase)(u,t)}e.isEqual=n;function m(u,t,a,p=o.sep){if(u===t)return!0;if(!u||!t||t.length>u.length)return!1;if(a){if(!(0,_.startsWithIgnoreCase)(u,t))return!1;if(t.length===u.length)return!0;let S=t.length;return t.charAt(t.length-1)===p&&S--,u.charAt(S)===p}return t.charAt(t.length-1)!==p&&(t+=p),u.indexOf(t)===0}e.isEqualOrParent=m;function w(u){return u>=65&&u<=90||u>=97&&u<=122}e.isWindowsDriveLetter=w;function R(u,t){return I.isWindows&&u.endsWith(":")&&(u+=o.sep),(0,o.isAbsolute)(u)||(u=(0,o.join)(t,u)),u=(0,o.normalize)(u),I.isWindows?(u=(0,_.rtrim)(u,o.sep),u.endsWith(":")&&(u+=o.sep)):(u=(0,_.rtrim)(u,o.sep),u||(u=o.sep)),u}e.sanitizeFilePath=R;function h(u){const t=(0,o.normalize)(u);return I.isWindows?u.length>3?!1:f(t)&&(u.length===2||t.charCodeAt(2)===92):t===o.posix.sep}e.isRootOrDriveLetter=h;function f(u,t){return(t!==void 0?t:I.isWindows)?w(u.charCodeAt(0))&&u.charCodeAt(1)===58:!1}e.hasDriveLetter=f;function v(u){return f(u)?u[0]:void 0}e.getDriveLetter=v;function r(u,t,a){return t.length>u.length?-1:u===t?0:(a&&(u=u.toLowerCase(),t=t.toLowerCase()),u.indexOf(t))}e.indexOfPath=r;function T(u){const t=u.split(":");let a,p,d;for(const S of t){const k=Number(S);(0,B.isNumber)(k)?p===void 0?p=k:d===void 0&&(d=k):a=a?[a,S].join(":"):S}if(!a)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:a,line:p!==void 0?p:void 0,column:d!==void 0?d:p!==void 0?1:void 0}}e.parseLineAndColumnAware=T;const l="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function i(u,t,a=8){let p="";for(let S=0;S<a;S++)p+=l.charAt(Math.floor(Math.random()*l.length));let d;return t?d=`${t}-${p}`:d=p,u?(0,o.join)(u,d):d}e.randomPath=i}),define(Ee[55],be([1,0,21,10,2]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.MarshalledId=e.parse=e.stringify=void 0;function B(M){return JSON.stringify(M,C)}e.stringify=B;function y(M){let E=JSON.parse(M);return E=L(E),E}e.parse=y;var P;(function(M){M[M.Uri=1]="Uri",M[M.Regexp=2]="Regexp",M[M.ScmResource=3]="ScmResource",M[M.ScmResourceGroup=4]="ScmResourceGroup",M[M.ScmProvider=5]="ScmProvider",M[M.CommentController=6]="CommentController",M[M.CommentThread=7]="CommentThread",M[M.CommentThreadReply=8]="CommentThreadReply",M[M.CommentNode=9]="CommentNode",M[M.CommentThreadNode=10]="CommentThreadNode",M[M.TimelineActionContext=11]="TimelineActionContext",M[M.NotebookCellActionContext=12]="NotebookCellActionContext",M[M.TestItemContext=13]="TestItemContext",M[M.Date=14]="Date"})(P=e.MarshalledId||(e.MarshalledId={}));function C(M,E){return E instanceof RegExp?{$mid:2,source:E.source,flags:(0,I.regExpFlags)(E)}:E}function L(M,E=0){if(!M||E>200)return M;if(typeof M=="object"){switch(M.$mid){case 1:return _.URI.revive(M);case 2:return new RegExp(M.source,M.flags);case 14:return new Date(M.source)}if(M instanceof o.VSBuffer||M instanceof Uint8Array)return M;if(Array.isArray(M))for(let c=0;c<M.length;++c)M[c]=L(M[c],E+1);else for(const c in M)Object.hasOwnProperty.call(M,c)&&(M[c]=L(M[c],E+1))}return M}e.revive=L}),define(Ee[9],be([1,0,23,2]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.connectionTokenQueryName=e.connectionTokenCookieName=e.Schemas=void 0;var _;(function(P){P.inMemory="inmemory",P.vscode="vscode",P.internal="private",P.walkThrough="walkThrough",P.walkThroughSnippet="walkThroughSnippet",P.http="http",P.https="https",P.file="file",P.mailto="mailto",P.untitled="untitled",P.data="data",P.command="command",P.vscodeRemote="vscode-remote",P.vscodeRemoteResource="vscode-remote-resource",P.userData="vscode-userdata",P.vscodeCustomEditor="vscode-custom-editor",P.vscodeNotebook="vscode-notebook",P.vscodeNotebookCell="vscode-notebook-cell",P.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",P.vscodeNotebookCellOutput="vscode-notebook-cell-output",P.vscodeInteractive="vscode-interactive",P.vscodeInteractiveInput="vscode-interactive-input",P.vscodeSettings="vscode-settings",P.vscodeWorkspaceTrust="vscode-workspace-trust",P.vscodeTerminal="vscode-terminal",P.webviewPanel="webview-panel",P.vscodeWebview="vscode-webview",P.extension="extension",P.vscodeFileResource="vscode-file",P.tmp="tmp",P.vsls="vsls"})(_=e.Schemas||(e.Schemas={})),e.connectionTokenCookieName="vscode-tkn",e.connectionTokenQueryName="tkn";class B{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(C){this._preferredWebSchema=C}setDelegate(C){this._delegate=C}set(C,L,M){this._hosts[C]=L,this._ports[C]=M}setConnectionToken(C,L){this._connectionTokens[C]=L}getPreferredWebSchema(){return this._preferredWebSchema}rewrite(C){if(this._delegate)return this._delegate(C);const L=C.authority;let M=this._hosts[L];M&&M.indexOf(":")!==-1&&(M=`[${M}]`);const E=this._ports[L],c=this._connectionTokens[L];let g=`path=${encodeURIComponent(C.path)}`;return typeof c=="string"&&(g+=`&${e.connectionTokenQueryName}=${encodeURIComponent(c)}`),I.URI.from({scheme:o.isWeb?this._preferredWebSchema:_.vscodeRemoteResource,authority:`${M}:${E}`,path:"/vscode-remote-resource",query:g})}}e.RemoteAuthorities=new B;class y{asBrowserUri(C,L){const M=this.toUri(C,L);return M.scheme===_.vscodeRemote?e.RemoteAuthorities.rewrite(M):M.scheme===_.file&&(o.isNative||typeof o.globals.importScripts=="function"&&o.globals.origin===`${_.vscodeFileResource}://${y.FALLBACK_AUTHORITY}`)?M.with({scheme:_.vscodeFileResource,authority:M.authority||y.FALLBACK_AUTHORITY,query:null,fragment:null}):M}asFileUri(C,L){const M=this.toUri(C,L);return M.scheme===_.vscodeFileResource?M.with({scheme:_.file,authority:M.authority!==y.FALLBACK_AUTHORITY?M.authority:null,query:null,fragment:null}):M}toUri(C,L){return I.URI.isUri(C)?C:I.URI.parse(L.toUrl(C))}}y.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new y}),define(Ee[24],be([1,0,35,9,17,23,10,2]),function(Y,e,o,I,_,B,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function C(g){return(0,P.uriToFsPath)(g,!0)}e.originalFSPath=C;class L{constructor(s){this._ignorePathCasing=s}compare(s,n,m=!1){return s===n?0:(0,y.compare)(this.getComparisonKey(s,m),this.getComparisonKey(n,m))}isEqual(s,n,m=!1){return s===n?!0:!s||!n?!1:this.getComparisonKey(s,m)===this.getComparisonKey(n,m)}getComparisonKey(s,n=!1){return s.with({path:this._ignorePathCasing(s)?s.path.toLowerCase():void 0,fragment:n?null:void 0}).toString()}ignorePathCasing(s){return this._ignorePathCasing(s)}isEqualOrParent(s,n,m=!1){if(s.scheme===n.scheme){if(s.scheme===I.Schemas.file)return o.isEqualOrParent(C(s),C(n),this._ignorePathCasing(s))&&s.query===n.query&&(m||s.fragment===n.fragment);if((0,e.isEqualAuthority)(s.authority,n.authority))return o.isEqualOrParent(s.path,n.path,this._ignorePathCasing(s),"/")&&s.query===n.query&&(m||s.fragment===n.fragment)}return!1}joinPath(s,...n){return P.URI.joinPath(s,...n)}basenameOrAuthority(s){return(0,e.basename)(s)||s.authority}basename(s){return _.posix.basename(s.path)}extname(s){return _.posix.extname(s.path)}dirname(s){if(s.path.length===0)return s;let n;return s.scheme===I.Schemas.file?n=P.URI.file(_.dirname(C(s))).path:(n=_.posix.dirname(s.path),s.authority&&n.length&&n.charCodeAt(0)!==47&&(console.error(`dirname("${s.toString})) resulted in a relative path`),n="/")),s.with({path:n})}normalizePath(s){if(!s.path.length)return s;let n;return s.scheme===I.Schemas.file?n=P.URI.file(_.normalize(C(s))).path:n=_.posix.normalize(s.path),s.with({path:n})}relativePath(s,n){if(s.scheme!==n.scheme||!(0,e.isEqualAuthority)(s.authority,n.authority))return;if(s.scheme===I.Schemas.file){const R=_.relative(C(s),C(n));return B.isWindows?o.toSlashes(R):R}let m=s.path||"/",w=n.path||"/";if(this._ignorePathCasing(s)){let R=0;for(const h=Math.min(m.length,w.length);R<h&&!(m.charCodeAt(R)!==w.charCodeAt(R)&&m.charAt(R).toLowerCase()!==w.charAt(R).toLowerCase());R++);m=w.substr(0,R)+m.substr(R)}return _.posix.relative(m,w)}resolvePath(s,n){if(s.scheme===I.Schemas.file){const m=P.URI.file(_.resolve(C(s),n));return s.with({authority:m.authority,path:m.path})}return n=o.toPosixPath(n),s.with({path:_.posix.resolve(s.path,n)})}isAbsolutePath(s){return!!s.path&&s.path[0]==="/"}isEqualAuthority(s,n){return s===n||s!==void 0&&n!==void 0&&(0,y.equalsIgnoreCase)(s,n)}hasTrailingPathSeparator(s,n=_.sep){if(s.scheme===I.Schemas.file){const m=C(s);return m.length>o.getRoot(m).length&&m[m.length-1]===n}else{const m=s.path;return m.length>1&&m.charCodeAt(m.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(s.fsPath)}}removeTrailingPathSeparator(s,n=_.sep){return(0,e.hasTrailingPathSeparator)(s,n)?s.with({path:s.path.substr(0,s.path.length-1)}):s}addTrailingPathSeparator(s,n=_.sep){let m=!1;if(s.scheme===I.Schemas.file){const w=C(s);m=w!==void 0&&w.length===o.getRoot(w).length&&w[w.length-1]===n}else{n="/";const w=s.path;m=w.length===1&&w.charCodeAt(w.length-1)===47}return!m&&!(0,e.hasTrailingPathSeparator)(s,n)?s.with({path:s.path+"/"}):s}}e.ExtUri=L,e.extUri=new L(()=>!1),e.extUriBiasedIgnorePathCase=new L(g=>g.scheme===I.Schemas.file?!B.isLinux:!0),e.extUriIgnorePathCase=new L(g=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function M(g,s){const n=[];for(let m=0;m<g.length;m++){const w=s(g[m]);g.some((R,h)=>h===m?!1:(0,e.isEqualOrParent)(w,s(R)))||n.push(g[m])}return n}e.distinctParents=M;var E;(function(g){g.META_DATA_LABEL="label",g.META_DATA_DESCRIPTION="description",g.META_DATA_SIZE="size",g.META_DATA_MIME="mime";function s(n){const m=new Map;n.path.substring(n.path.indexOf(";")+1,n.path.lastIndexOf(";")).split(";").forEach(h=>{const[f,v]=h.split(":");f&&v&&m.set(f,v)});const R=n.path.substring(0,n.path.indexOf(";"));return R&&m.set(g.META_DATA_MIME,R),m}g.parseMetaData=s})(E=e.DataUri||(e.DataUri={}));function c(g,s,n){if(s){let m=g.path;return m&&m[0]!==_.posix.sep&&(m=_.posix.sep+m),g.with({scheme:n,authority:s,path:m})}return g.with({scheme:n})}e.toLocalResource=c}),define(Ee[13],be([1,0,20,15,5,6,24,23]),function(Y,e,o,I,_,B,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellationError=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function C(fe){return!!fe&&typeof fe.then=="function"}e.isThenable=C;function L(fe){const ne=new o.CancellationTokenSource,me=fe(ne.token),ke=new Promise((Ae,Be)=>{const Xe=ne.token.onCancellationRequested(()=>{Xe.dispose(),ne.dispose(),Be(new I.CancellationError)});Promise.resolve(me).then(ge=>{Xe.dispose(),ne.dispose(),Ae(ge)},ge=>{Xe.dispose(),ne.dispose(),Be(ge)})});return new class{cancel(){ne.cancel()}then(Ae,Be){return ke.then(Ae,Be)}catch(Ae){return this.then(void 0,Ae)}finally(Ae){return ke.finally(Ae)}}}e.createCancelablePromise=L;function M(fe,ne,me){return new Promise((ke,Ae)=>{const Be=ne.onCancellationRequested(()=>{Be.dispose(),ke(me)});fe.then(ke,Ae).finally(()=>Be.dispose())})}e.raceCancellation=M;function E(fe,ne){return new Promise((me,ke)=>{const Ae=ne.onCancellationRequested(()=>{Ae.dispose(),ke(new I.CancellationError)});fe.then(me,ke).finally(()=>Ae.dispose())})}e.raceCancellationError=E;async function c(fe){let ne=-1;const me=fe.map((Ae,Be)=>Ae.then(Xe=>(ne=Be,Xe))),ke=await Promise.race(me);return fe.forEach((Ae,Be)=>{Be!==ne&&Ae.cancel()}),ke}e.raceCancellablePromises=c;function g(fe,ne,me){let ke;const Ae=setTimeout(()=>{ke?.(void 0),me?.()},ne);return Promise.race([fe.finally(()=>clearTimeout(Ae)),new Promise(Be=>ke=Be)])}e.raceTimeout=g;function s(fe){return new Promise((ne,me)=>{const ke=fe();C(ke)?ke.then(ne,me):ne(ke)})}e.asPromise=s;class n{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(ne){if(this.activePromise){if(this.queuedPromiseFactory=ne,!this.queuedPromise){const me=()=>{this.queuedPromise=null;const ke=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,ke};this.queuedPromise=new Promise(ke=>{this.activePromise.then(me,me).then(ke)})}return new Promise((me,ke)=>{this.queuedPromise.then(me,ke)})}return this.activePromise=ne(),new Promise((me,ke)=>{this.activePromise.then(Ae=>{this.activePromise=null,me(Ae)},Ae=>{this.activePromise=null,ke(Ae)})})}}e.Throttler=n;class m{constructor(){this.current=Promise.resolve(null)}queue(ne){return this.current=this.current.then(()=>ne(),()=>ne())}}e.Sequencer=m;class w{constructor(){this.promiseMap=new Map}queue(ne,me){const Ae=(this.promiseMap.get(ne)??Promise.resolve()).catch(()=>{}).then(me).finally(()=>{this.promiseMap.get(ne)===Ae&&this.promiseMap.delete(ne)});return this.promiseMap.set(ne,Ae),Ae}}e.SequencerByKey=w;const R=(fe,ne)=>{let me=!0;const ke=setTimeout(()=>{me=!1,ne()},fe);return{isTriggered:()=>me,dispose:()=>{clearTimeout(ke),me=!1}}},h=fe=>{let ne=!0;return queueMicrotask(()=>{ne&&(ne=!1,fe())}),{isTriggered:()=>ne,dispose:()=>{ne=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class f{constructor(ne){this.defaultDelay=ne,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(ne,me=this.defaultDelay){this.task=ne,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((Ae,Be)=>{this.doResolve=Ae,this.doReject=Be}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const Ae=this.task;return this.task=null,Ae()}}));const ke=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=me===e.MicrotaskDelay?h(ke):R(me,ke),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject(new I.CancellationError),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=f;class v{constructor(ne){this.delayer=new f(ne),this.throttler=new n}trigger(ne,me){return this.delayer.trigger(()=>this.throttler.queue(ne),me)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=v;class r{constructor(){this._isOpen=!1,this._promise=new Promise((ne,me)=>{this._completePromise=ne})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=r;class T extends r{constructor(ne){super();this._timeout=setTimeout(()=>this.open(),ne)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=T;function l(fe,ne){return ne?new Promise((me,ke)=>{const Ae=setTimeout(()=>{Be.dispose(),me()},fe),Be=ne.onCancellationRequested(()=>{clearTimeout(Ae),Be.dispose(),ke(new I.CancellationError)})}):L(me=>l(fe,me))}e.timeout=l;function i(fe,ne=0){const me=setTimeout(fe,ne);return(0,B.toDisposable)(()=>clearTimeout(me))}e.disposableTimeout=i;function u(fe){const ne=[];let me=0;const ke=fe.length;function Ae(){return me<ke?fe[me++]():null}function Be(Xe){Xe!=null&&ne.push(Xe);const ge=Ae();return ge?ge.then(Be):Promise.resolve(ne)}return Promise.resolve(null).then(Be)}e.sequence=u;function t(fe,ne=ke=>!!ke,me=null){let ke=0;const Ae=fe.length,Be=()=>{if(ke>=Ae)return Promise.resolve(me);const Xe=fe[ke++];return Promise.resolve(Xe()).then(ue=>ne(ue)?Promise.resolve(ue):Be())};return Be()}e.first=t;function a(fe,ne=ke=>!!ke,me=null){if(fe.length===0)return Promise.resolve(me);let ke=fe.length;const Ae=()=>{ke=-1;for(const Be of fe)Be.cancel?.()};return new Promise((Be,Xe)=>{for(const ge of fe)ge.then(ue=>{--ke>=0&&ne(ue)?(Ae(),Be(ue)):ke===0&&Be(me)}).catch(ue=>{--ke>=0&&(Ae(),Xe(ue))})})}e.firstParallel=a;class p{constructor(ne){this._size=0,this.maxDegreeOfParalellism=ne,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new _.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(ne){return this._size++,new Promise((me,ke)=>{this.outstandingPromises.push({factory:ne,c:me,e:ke}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const ne=this.outstandingPromises.shift();this.runningPromises++;const me=ne.factory();me.then(ne.c,ne.e),me.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=p;class d extends p{constructor(){super(1)}}e.Queue=d;class S{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const ne=new ie;return this.drainers.add(ne),ne.p}isDrained(){for(const[,ne]of this.queues)if(ne.size>0)return!1;return!0}queueFor(ne,me=y.extUri){const ke=me.getComparisonKey(ne);let Ae=this.queues.get(ke);return Ae||(Ae=new d,_.Event.once(Ae.onFinished)(()=>{Ae?.dispose(),this.queues.delete(ke),this.onDidQueueFinish()}),this.queues.set(ke,Ae)),Ae}onDidQueueFinish(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const ne of this.drainers)ne.complete();this.drainers.clear()}dispose(){for(const[,ne]of this.queues)ne.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=S;class k{constructor(ne,me){this._token=-1,typeof ne=="function"&&typeof me=="number"&&this.setIfNotSet(ne,me)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(ne,me){this.cancel(),this._token=setTimeout(()=>{this._token=-1,ne()},me)}setIfNotSet(ne,me){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,ne()},me))}}e.TimeoutTimer=k;class A{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(ne,me){this.cancel(),this._token=setInterval(()=>{ne()},me)}}e.IntervalTimer=A;class W{constructor(ne,me){this.timeoutToken=-1,this.runner=ne,this.timeout=me,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(ne=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,ne)}get delay(){return this.timeout}set delay(ne){this.timeout=ne}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=W;class b{constructor(ne,me){me%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${me}ms is not a multiple of 1000ms.`),this.runner=ne,this.timeout=me,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(ne=this.timeout){ne%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${ne}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(ne/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner&&this.runner())}}e.ProcessTimeRunOnceScheduler=b;class H extends W{constructor(ne,me){super(ne,me);this.units=[]}work(ne){this.units.push(ne),this.isScheduled()||this.schedule()}doRun(){const ne=this.units;this.units=[],this.runner&&this.runner(ne)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=H;class q extends B.Disposable{constructor(ne,me){super();this.options=ne,this.handler=me,this.pendingWork=[],this.throttler=this._register(new B.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(ne){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+ne.length>this.options.maxBufferedWork)return!1}else if(this.pending+ne.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...ne),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new W(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=q,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=fe=>{(0,P.setTimeout0)(()=>{if(ne)return;const me=Date.now()+15;fe(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,me-Date.now())}}))});let ne=!1;return{dispose(){ne||(ne=!0)}}}:e.runWhenIdle=(fe,ne)=>{const me=requestIdleCallback(fe,typeof ne=="number"?{timeout:ne}:void 0);let ke=!1;return{dispose(){ke||(ke=!0,cancelIdleCallback(me))}}}}();class ${constructor(ne){this._didRun=!1,this._executor=()=>{try{this._value=ne()}catch(me){this._error=me}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=$;async function j(fe,ne,me){let ke;for(let Ae=0;Ae<me;Ae++)try{return await fe()}catch(Be){ke=Be,await l(ne)}throw ke}e.retry=j;class J{hasPending(ne){return this._pending?typeof ne=="number"?this._pending.taskId===ne:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(ne,me,ke){return this._pending={taskId:ne,cancel:()=>ke?.(),promise:me},me.then(()=>this.donePending(ne),()=>this.donePending(ne)),me}donePending(ne){this._pending&&ne===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const ne=this._next;this._next=void 0,ne.run().then(ne.promiseResolve,ne.promiseReject)}}setNext(ne){if(this._next)this._next.run=ne;else{let me,ke;const Ae=new Promise((Be,Xe)=>{me=Be,ke=Xe});this._next={run:ne,promise:Ae,promiseResolve:me,promiseReject:ke}}return this._next.promise}}e.TaskSequentializer=J;class z{constructor(ne,me=()=>Date.now()){this.interval=ne,this.nowFn=me,this.lastIncrementTime=0,this.value=0}increment(){const ne=this.nowFn();return ne-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=ne,this.value=0),this.value++,this.value}}e.IntervalCounter=z;class ie{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((ne,me)=>{this.completeCallback=ne,this.errorCallback=me})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(ne){return new Promise(me=>{this.completeCallback(ne),this.resolved=!0,me()})}error(ne){return new Promise(me=>{this.errorCallback(ne),this.rejected=!0,me()})}cancel(){new Promise(ne=>{this.errorCallback(new I.CancellationError),this.rejected=!0,ne()})}}e.DeferredPromise=ie;var ae;(function(fe){async function ne(ke){let Ae;const Be=await Promise.all(ke.map(Xe=>Xe.then(ge=>ge,ge=>{Ae||(Ae=ge)})));if(typeof Ae!="undefined")throw Ae;return Be}fe.settled=ne;function me(ke){return new Promise(async(Ae,Be)=>{try{await ke(Ae,Be)}catch(Xe){Be(Xe)}})}fe.withAsyncBody=me})(ae=e.Promises||(e.Promises={}));var te;(function(fe){fe[fe.Initial=0]="Initial",fe[fe.DoneOK=1]="DoneOK",fe[fe.DoneError=2]="DoneError"})(te||(te={}));class ce{constructor(ne){this._state=0,this._results=[],this._error=null,this._onStateChanged=new _.Emitter,queueMicrotask(async()=>{const me={emitOne:ke=>this.emitOne(ke),emitMany:ke=>this.emitMany(ke),reject:ke=>this.reject(ke)};try{await Promise.resolve(ne(me)),this.resolve()}catch(ke){this.reject(ke)}finally{me.emitOne=void 0,me.emitMany=void 0,me.reject=void 0}})}static fromArray(ne){return new ce(me=>{me.emitMany(ne)})}static fromPromise(ne){return new ce(async me=>{me.emitMany(await ne)})}static fromPromises(ne){return new ce(async me=>{await Promise.all(ne.map(async ke=>me.emitOne(await ke)))})}static merge(ne){return new ce(async me=>{await Promise.all(ne.map(async ke=>{for await(const Ae of ke)me.emitOne(Ae)}))})}[Symbol.asyncIterator](){let ne=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(ne<this._results.length)return{done:!1,value:this._results[ne++]};if(this._state===1)return{done:!0,value:void 0};await _.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(ne,me){return new ce(async ke=>{for await(const Ae of ne)ke.emitOne(me(Ae))})}map(ne){return ce.map(this,ne)}static filter(ne,me){return new ce(async ke=>{for await(const Ae of ne)me(Ae)&&ke.emitOne(Ae)})}filter(ne){return ce.filter(this,ne)}static coalesce(ne){return ce.filter(ne,me=>!!me)}coalesce(){return ce.coalesce(this)}static async toPromise(ne){const me=[];for await(const ke of ne)me.push(ke);return me}toPromise(){return ce.toPromise(this)}emitOne(ne){this._state===0&&(this._results.push(ne),this._onStateChanged.fire())}emitMany(ne){this._state===0&&(this._results=this._results.concat(ne),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(ne){this._state===0&&(this._state=2,this._error=ne,this._onStateChanged.fire())}}e.AsyncIterableObject=ce,ce.EMPTY=ce.fromArray([]);class de extends ce{constructor(ne,me){super(me);this._source=ne}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=de;function Se(fe){const ne=new o.CancellationTokenSource,me=fe(ne.token);return new de(ne,async ke=>{const Ae=ne.token.onCancellationRequested(()=>{Ae.dispose(),ne.dispose(),ke.reject(new I.CancellationError)});try{for await(const Be of me){if(ne.token.isCancellationRequested)return;ke.emitOne(Be)}Ae.dispose(),ne.dispose()}catch(Be){Ae.dispose(),ne.dispose(),ke.reject(Be)}})}e.createCancelableAsyncIterable=Se}),define(Ee[107],be([1,0,13,17]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsUnicode=e.compareFileExtensionsLower=e.compareFileExtensionsUpper=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesUnicode=e.compareFileNamesLower=e.compareFileNamesUpper=e.compareFileNamesDefault=e.compareFileNames=void 0;const _=new o.IdleValue(()=>{const d=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:d,collatorIsNumeric:d.resolvedOptions().numeric}}),B=new o.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),y=new o.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function P(d,S,k=!1){const A=d||"",W=S||"",b=_.value.collator.compare(A,W);return _.value.collatorIsNumeric&&b===0&&A!==W?A<W?-1:1:b}e.compareFileNames=P;function C(d,S){const k=B.value.collator;return d=d||"",S=S||"",v(k,d,S)}e.compareFileNamesDefault=C;function L(d,S){const k=B.value.collator;return d=d||"",S=S||"",i(d,S)||v(k,d,S)}e.compareFileNamesUpper=L;function M(d,S){const k=B.value.collator;return d=d||"",S=S||"",l(d,S)||v(k,d,S)}e.compareFileNamesLower=M;function E(d,S){return d=d||"",S=S||"",d===S?0:d<S?-1:1}e.compareFileNamesUnicode=E;function c(d,S,k=!1){k||(d=d&&d.toLowerCase(),S=S&&S.toLowerCase());const[A,W]=h(d),[b,H]=h(S);return A!==b?A<b?-1:1:W===H?0:W<H?-1:1}e.noIntlCompareFileNames=c;function g(d,S){const[k,A]=h(d),[W,b]=h(S);let H=_.value.collator.compare(A,b);if(H===0){if(_.value.collatorIsNumeric&&A!==b)return A<b?-1:1;if(H=_.value.collator.compare(k,W),_.value.collatorIsNumeric&&H===0&&k!==W)return k<W?-1:1}return H}e.compareFileExtensions=g;function s(d,S){d=d||"",S=S||"";const k=f(d),A=f(S),W=B.value.collator,b=y.value.collator;return v(b,k,A)||v(W,d,S)}e.compareFileExtensionsDefault=s;function n(d,S){d=d||"",S=S||"";const k=f(d),A=f(S),W=B.value.collator,b=y.value.collator;return v(b,k,A)||i(d,S)||v(W,d,S)}e.compareFileExtensionsUpper=n;function m(d,S){d=d||"",S=S||"";const k=f(d),A=f(S),W=B.value.collator,b=y.value.collator;return v(b,k,A)||l(d,S)||v(W,d,S)}e.compareFileExtensionsLower=m;function w(d,S){d=d||"",S=S||"";const k=f(d).toLowerCase(),A=f(S).toLowerCase();return k!==A?k<A?-1:1:d!==S?d<S?-1:1:0}e.compareFileExtensionsUnicode=w;const R=/^(.*?)(\.([^.]*))?$/;function h(d,S=!1){const k=d?R.exec(d):[];let A=[k&&k[1]||"",k&&k[3]||""];return S&&(!A[0]&&A[1]||A[0]&&A[0].charAt(0)===".")&&(A=[A[0]+"."+A[1],""]),A}function f(d){const S=d?R.exec(d):[];return S&&S[1]&&S[1].charAt(0)!=="."&&S[3]||""}function v(d,S,k){let A=d.compare(S,k);return A!==0?A:S.length!==k.length?S.length<k.length?-1:1:0}function r(d){const S=d.charAt(0);return S.toLocaleUpperCase()!==S}function T(d){const S=d.charAt(0);return S.toLocaleLowerCase()!==S}function l(d,S){return r(d)&&T(S)?-1:T(d)&&r(S)?1:0}function i(d,S){return T(d)&&r(S)?-1:r(d)&&T(S)?1:0}function u(d,S,k=!1){return k||(d=d&&d.toLowerCase(),S=S&&S.toLowerCase()),d===S?0:d<S?-1:1}function t(d,S,k=!1){const A=d.split(I.sep),W=S.split(I.sep),b=A.length-1,H=W.length-1;let q,$;for(let j=0;;j++){if(q=b===j,$=H===j,q&&$)return P(A[j],W[j],k);if(q)return-1;if($)return 1;const J=u(A[j],W[j],k);if(J!==0)return J}}e.comparePaths=t;function a(d,S,k){const A=d.toLowerCase(),W=S.toLowerCase(),b=p(d,S,k);if(b)return b;const H=A.endsWith(k),q=W.endsWith(k);if(H!==q)return H?-1:1;const $=P(A,W);return $!==0?$:A.localeCompare(W)}e.compareAnything=a;function p(d,S,k){const A=d.toLowerCase(),W=S.toLowerCase(),b=A.startsWith(k),H=W.startsWith(k);if(b!==H)return b?-1:1;if(b&&H){if(A.length<W.length)return-1;if(A.length>W.length)return 1}return 0}e.compareByPrefix=p}),define(Ee[29],be([1,0,13,35,22,17,23,10]),function(Y,e,o,I,_,B,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function C(){return Object.create(null)}e.getEmptyExpression=C,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const L="[/\\\\]",M="[^/\\\\]",E=/\//g;function c(ie){switch(ie){case 0:return"";case 1:return`${M}*?`;default:return`(?:${L}|${M}+${L}|${L}${M}+)*?`}}function g(ie,ae){if(!ie)return[];const te=[];let ce=!1,de=!1,Se="";for(const fe of ie){switch(fe){case ae:if(!ce&&!de){te.push(Se),Se="";continue}break;case"{":ce=!0;break;case"}":ce=!1;break;case"[":de=!0;break;case"]":de=!1;break}Se+=fe}return Se&&te.push(Se),te}e.splitGlobAware=g;function s(ie){if(!ie)return"";let ae="";const te=g(ie,e.GLOB_SPLIT);if(te.every(ce=>ce===e.GLOBSTAR))ae=".*";else{let ce=!1;te.forEach((de,Se)=>{if(de===e.GLOBSTAR){ce||(ae+=c(2),ce=!0);return}let fe=!1,ne="",me=!1,ke="";for(const Ae of de){if(Ae!=="}"&&fe){ne+=Ae;continue}if(me&&(Ae!=="]"||!ke)){let Be;Ae==="-"?Be=Ae:(Ae==="^"||Ae==="!")&&!ke?Be="^":Ae===e.GLOB_SPLIT?Be="":Be=(0,P.escapeRegExpCharacters)(Ae),ke+=Be;continue}switch(Ae){case"{":fe=!0;continue;case"[":me=!0;continue;case"}":{ae+=`(?:${g(ne,",").map(ge=>s(ge)).join("|")})`,fe=!1,ne="";break}case"]":ae+="["+ke+"]",me=!1,ke="";break;case"?":ae+=M;continue;case"*":ae+=c(1);continue;default:ae+=(0,P.escapeRegExpCharacters)(Ae)}}Se<te.length-1&&(te[Se+1]!==e.GLOBSTAR||Se+2<te.length)&&(ae+=L),ce=!1})}return ae}const n=/^\*\*\/\*\.[\w\.-]+$/,m=/^\*\*\/([\w\.-]+)\/?$/,w=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,R=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,h=/^\*\*((\/[\w\.-]+)+)\/?$/,f=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,v=new _.LRUCache(1e4),r=function(){return!1},T=function(){return null};function l(ie,ae){if(!ie)return T;let te;typeof ie!="string"?te=ie.pattern:te=ie,te=te.trim();const ce=`${te}_${!!ae.trimForExclusions}`;let de=v.get(ce);if(de)return i(de,ie);let Se;if(n.test(te)){const fe=te.substr(4);de=function(ne,me){return typeof ne=="string"&&ne.endsWith(fe)?te:null}}else(Se=m.exec(u(te,ae)))?de=t(Se[1],te):(ae.trimForExclusions?R:w).test(te)?de=a(te,ae):(Se=h.exec(u(te,ae)))?de=p(Se[1].substr(1),te,!0):(Se=f.exec(u(te,ae)))?de=p(Se[1],te,!1):de=d(te);return v.set(ce,de),i(de,ie)}function i(ie,ae){return typeof ae=="string"?ie:function(te,ce){return(0,I.isEqualOrParent)(te,ae.base,!y.isLinux)?ie(te.substr(ae.base.length+1),ce):null}}function u(ie,ae){return ae.trimForExclusions&&ie.endsWith("/**")?ie.substr(0,ie.length-2):ie}function t(ie,ae){const te=`/${ie}`,ce=`\\${ie}`,de=function(fe,ne){return typeof fe!="string"?null:ne?ne===ie?ae:null:fe===ie||fe.endsWith(te)||fe.endsWith(ce)?ae:null},Se=[ie];return de.basenames=Se,de.patterns=[ae],de.allBasenames=Se,de}function a(ie,ae){const te=z(ie.slice(1,-1).split(",").map(ne=>l(ne,ae)).filter(ne=>ne!==T),ie),ce=te.length;if(!ce)return T;if(ce===1)return te[0];const de=function(ne,me){for(let ke=0,Ae=te.length;ke<Ae;ke++)if(te[ke](ne,me))return ie;return null},Se=te.find(ne=>!!ne.allBasenames);Se&&(de.allBasenames=Se.allBasenames);const fe=te.reduce((ne,me)=>me.allPaths?ne.concat(me.allPaths):ne,[]);return fe.length&&(de.allPaths=fe),de}function p(ie,ae,te){const ce=B.sep===B.posix.sep,de=ce?ie:ie.replace(E,B.sep),Se=B.sep+de,fe=B.posix.sep+ie,ne=te?function(me,ke){return typeof me=="string"&&(me===de||me.endsWith(Se)||!ce&&(me===ie||me.endsWith(fe)))?ae:null}:function(me,ke){return typeof me=="string"&&(me===de||!ce&&me===ie)?ae:null};return ne.allPaths=[(te?"*/":"./")+ie],ne}function d(ie){try{const ae=new RegExp(`^${s(ie)}$`);return function(te){return ae.lastIndex=0,typeof te=="string"&&ae.test(te)?ie:null}}catch{return T}}function S(ie,ae,te){return!ie||typeof ae!="string"?!1:k(ie)(ae,void 0,te)}e.match=S;function k(ie,ae={}){if(!ie)return r;if(typeof ie=="string"||H(ie)){const te=l(ie,ae);if(te===T)return r;const ce=function(de,Se){return!!te(de,Se)};return te.allBasenames&&(ce.allBasenames=te.allBasenames),te.allPaths&&(ce.allPaths=te.allPaths),ce}return j(ie,ae)}e.parse=k;function A(ie){if(!ie)return;let ae;return te=>(ae||(ae=(ie()||Promise.resolve([])).then(ce=>ce?b(ce):{})),ae.then(ce=>!!ce[te]))}e.hasSiblingPromiseFn=A;function W(ie){if(!ie)return;let ae;return te=>{if(!ae){const ce=ie();ae=ce?b(ce):{}}return!!ae[te]}}e.hasSiblingFn=W;function b(ie){const ae={};for(const te of ie)ae[te]=!0;return ae}function H(ie){const ae=ie;return ae?typeof ae.base=="string"&&typeof ae.pattern=="string":!1}e.isRelativePattern=H;function q(ie){return ie.allBasenames||[]}e.getBasenameTerms=q;function $(ie){return ie.allPaths||[]}e.getPathTerms=$;function j(ie,ae){const te=z(Object.getOwnPropertyNames(ie).map(ne=>J(ne,ie[ne],ae)).filter(ne=>ne!==T)),ce=te.length;if(!ce)return T;if(!te.some(ne=>!!ne.requiresSiblings)){if(ce===1)return te[0];const ne=function(Ae,Be){for(let Xe=0,ge=te.length;Xe<ge;Xe++){const ue=te[Xe](Ae,Be);if(ue)return ue}return null},me=te.find(Ae=>!!Ae.allBasenames);me&&(ne.allBasenames=me.allBasenames);const ke=te.reduce((Ae,Be)=>Be.allPaths?Ae.concat(Be.allPaths):Ae,[]);return ke.length&&(ne.allPaths=ke),ne}const de=function(ne,me,ke){let Ae;for(let Be=0,Xe=te.length;Be<Xe;Be++){const ge=te[Be];ge.requiresSiblings&&ke&&(me||(me=(0,B.basename)(ne)),Ae||(Ae=me.substr(0,me.length-(0,B.extname)(ne).length)));const ue=ge(ne,me,Ae,ke);if(ue)return ue}return null},Se=te.find(ne=>!!ne.allBasenames);Se&&(de.allBasenames=Se.allBasenames);const fe=te.reduce((ne,me)=>me.allPaths?ne.concat(me.allPaths):ne,[]);return fe.length&&(de.allPaths=fe),de}function J(ie,ae,te){if(ae===!1)return T;const ce=l(ie,te);if(ce===T)return T;if(typeof ae=="boolean")return ce;if(ae){const de=ae.when;if(typeof de=="string"){const Se=(fe,ne,me,ke)=>{if(!ke||!ce(fe,ne))return null;const Ae=de.replace("$(basename)",me),Be=ke(Ae);return(0,o.isThenable)(Be)?Be.then(Xe=>Xe?ie:null):Be?ie:null};return Se.requiresSiblings=!0,Se}}return ce}function z(ie,ae){const te=ie.filter(ne=>!!ne.basenames);if(te.length<2)return ie;const ce=te.reduce((ne,me)=>{const ke=me.basenames;return ke?ne.concat(ke):ne},[]);let de;if(ae){de=[];for(let ne=0,me=ce.length;ne<me;ne++)de.push(ae)}else de=te.reduce((ne,me)=>{const ke=me.patterns;return ke?ne.concat(ke):ne},[]);const Se=function(ne,me){if(typeof ne!="string")return null;if(!me){let Ae;for(Ae=ne.length;Ae>0;Ae--){const Be=ne.charCodeAt(Ae-1);if(Be===47||Be===92)break}me=ne.substr(Ae)}const ke=ce.indexOf(me);return ke!==-1?de[ke]:null};Se.basenames=ce,Se.patterns=de,Se.allBasenames=ce;const fe=ie.filter(ne=>!ne.basenames);return fe.push(Se),fe}}),define(Ee[72],be([1,0,15,105,24,2]),function(Y,e,o,I,_,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeMarkdownSyntaxTokens=e.markdownStringEqual=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var y;(function(s){s[s.Paragraph=0]="Paragraph",s[s.Break=1]="Break"})(y=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class P{constructor(n="",m=!1){if(this.value=n,typeof this.value!="string")throw(0,o.illegalArgument)("value");typeof m=="boolean"?(this.isTrusted=m,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=m.isTrusted??void 0,this.supportThemeIcons=m.supportThemeIcons??!1,this.supportHtml=m.supportHtml??!1)}appendText(n,m=0){return this.value+=E(this.supportThemeIcons?(0,I.escapeIcons)(n):n).replace(/([ \t]+)/g,(w,R)=>"&nbsp;".repeat(R.length)).replace(/\>/gm,"\\>").replace(/\n/g,m===1?`\\
`:`

`),this}appendMarkdown(n){return this.value+=n,this}appendCodeblock(n,m){return this.value+="\n```",this.value+=n,this.value+=`
`,this.value+=m,this.value+="\n```\n",this}}e.MarkdownString=P;function C(s){return L(s)?!s.value:Array.isArray(s)?s.every(C):!0}e.isEmptyMarkdownString=C;function L(s){return s instanceof P?!0:s&&typeof s=="object"?typeof s.value=="string"&&(typeof s.isTrusted=="boolean"||s.isTrusted===void 0)&&(typeof s.supportThemeIcons=="boolean"||s.supportThemeIcons===void 0):!1}e.isMarkdownString=L;function M(s,n){return s===n?!0:!s||!n?!1:s.value===n.value&&s.isTrusted===n.isTrusted&&s.supportThemeIcons===n.supportThemeIcons&&s.supportHtml===n.supportHtml&&(s.baseUri===n.baseUri||!!s.baseUri&&!!n.baseUri&&(0,_.isEqual)(B.URI.from(s.baseUri),B.URI.from(n.baseUri)))}e.markdownStringEqual=M;function E(s){return s.replace(/[\\`*_{}[\]()#+\-!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=E;function c(s){return s&&s.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=c;function g(s){const n=[],m=s.split("|").map(R=>R.trim());s=m[0];const w=m[1];if(w){const R=/height=(\d+)/.exec(w),h=/width=(\d+)/.exec(w),f=R?R[1]:"",v=h?h[1]:"",r=isFinite(parseInt(v)),T=isFinite(parseInt(f));r&&n.push(`width="${v}"`),T&&n.push(`height="${f}"`)}return{href:s,dimensions:n}}e.parseHrefAndDimensions=g}),define(Ee[73],be([1,0,35,9,17,23,24,10,2]),function(Y,e,o,I,_,B,y,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function L(i,u,t){if(typeof i=="string"&&(i=C.URI.file(i)),t){const p=t.getWorkspaceFolder(i);if(p){const d=t.getWorkspace().folders.length>1;let S;if((0,y.isEqual)(p.uri,i)?S="":S=(0,y.relativePath)(p.uri,i),d){const k=p.name?p.name:(0,y.basename)(p.uri);S=S?k+" \u2022 "+S:k}return S}}if(i.scheme!==I.Schemas.file&&i.scheme!==I.Schemas.untitled)return i.with({query:null,fragment:null}).toString(!0);if((0,o.hasDriveLetter)(i.fsPath))return(0,_.normalize)(E(i.fsPath));let a=(0,_.normalize)(i.fsPath);return!B.isWindows&&u?.userHome&&(a=g(a,u.userHome.fsPath)),a}e.getPathLabel=L;function M(i){if(!i)return;typeof i=="string"&&(i=C.URI.file(i));const u=(0,y.basename)(i)||(i.scheme===I.Schemas.file?i.fsPath:i.path);return B.isWindows&&(0,o.isRootOrDriveLetter)(u)?E(u):u}e.getBaseLabel=M;function E(i,u){return(0,o.hasDriveLetter)(i,u)?i.charAt(0).toUpperCase()+i.slice(1):i}e.normalizeDriveLetter=E;let c=Object.create(null);function g(i,u){if(B.isWindows||!i||!u)return i;let t=c.original===u?c.normalized:void 0;return t||(t=`${(0,P.rtrim)(u,_.posix.sep)}${_.posix.sep}`,c={original:u,normalized:t}),(B.isLinux?i.startsWith(t):(0,P.startsWithIgnoreCase)(i,t))&&(i=`~/${i.substr(t.length)}`),i}e.tildify=g;function s(i,u){return i.replace(/^~($|\/|\\)/,`${u}$1`)}e.untildify=s;const n="\u2026",m="\\\\",w="~";function R(i,u=_.sep){const t=new Array(i.length);let a=!1;for(let p=0;p<i.length;p++){let d=i[p];if(d===""){t[p]=`.${u}`;continue}if(!d){t[p]=d;continue}a=!0;let S="";d.indexOf(m)===0?(S=d.substr(0,d.indexOf(m)+m.length),d=d.substr(d.indexOf(m)+m.length)):d.indexOf(u)===0?(S=d.substr(0,d.indexOf(u)+u.length),d=d.substr(d.indexOf(u)+u.length)):d.indexOf(w)===0&&(S=d.substr(0,d.indexOf(w)+w.length),d=d.substr(d.indexOf(w)+w.length));const k=d.split(u);for(let A=1;a&&A<=k.length;A++)for(let W=k.length-A;a&&W>=0;W--){a=!1;let b=k.slice(W,W+A).join(u);for(let H=0;!a&&H<i.length;H++)if(H!==p&&i[H]&&i[H].indexOf(b)>-1){const q=W+A===k.length,$=W>0&&i[H].indexOf(u)>-1?u+b:b,j=i[H].endsWith($);a=!q||j}if(!a){let H="";(k[0].endsWith(":")||S!=="")&&(W===1&&(W=0,A++,b=k[0]+u+b),W>0&&(H=k[0]+u),H=S+H),W>0&&(H=H+n+u),H=H+b,W+A<k.length&&(H=H+u+n),t[p]=H}}a&&(t[p]=d)}return t}e.shorten=R;var h;(function(i){i[i.TEXT=0]="TEXT",i[i.VARIABLE=1]="VARIABLE",i[i.SEPARATOR=2]="SEPARATOR"})(h||(h={}));function f(i,u=Object.create(null)){const t=[];let a=!1,p="";for(const d of i)if(d==="$"||a&&d==="{")p&&t.push({value:p,type:h.TEXT}),p="",a=!0;else if(d==="}"&&a){const S=u[p];if(typeof S=="string")S.length&&t.push({value:S,type:h.VARIABLE});else if(S){const k=t[t.length-1];(!k||k.type!==h.SEPARATOR)&&t.push({value:S.label,type:h.SEPARATOR})}p="",a=!1}else p+=d;return p&&!a&&t.push({value:p,type:h.TEXT}),t.filter((d,S)=>{if(d.type===h.SEPARATOR){const k=t[S-1],A=t[S+1];return[k,A].every(W=>W&&(W.type===h.VARIABLE||W.type===h.TEXT)&&W.value.length>0)}return!0}).map(d=>d.value).join("")}e.template=f;function v(i,u){return B.isMacintosh||u?i.replace(/\(&&\w\)|&&/g,"").replace(/&/g,B.isMacintosh?"&":"&&"):i.replace(/&&|&/g,t=>t==="&"?"&&":"&")}e.mnemonicMenuLabel=v;function r(i,u){return B.isMacintosh||u?i.replace(/\(&&\w\)|&&/g,""):B.isWindows?i.replace(/&&|&/g,t=>t==="&"?"&&":"&"):i.replace(/&&/g,"_")}e.mnemonicButtonLabel=r;function T(i){return i.replace(/&/g,"&&")}e.unmnemonicLabel=T;function l(i){const u=i.indexOf("/")!==-1?_.posix:_.win32,t=u.basename(i),a=u.dirname(i);return t.length?{name:t,parentPath:a}:{name:a,parentPath:""}}e.splitName=l}),define(Ee[108],be([1,0,2]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function I(M){return M.toJSON()}class _{constructor(E){this._uriTransformer=E}transformIncoming(E){const c=this._uriTransformer.transformIncoming(E);return c===E?E:I(o.URI.from(c))}transformOutgoing(E){const c=this._uriTransformer.transformOutgoing(E);return c===E?E:I(o.URI.from(c))}transformOutgoingURI(E){const c=this._uriTransformer.transformOutgoing(E);return c===E?E:o.URI.from(c)}transformOutgoingScheme(E){return this._uriTransformer.transformOutgoingScheme(E)}}e.URITransformer=_,e.DefaultURITransformer=new class{transformIncoming(M){return M}transformOutgoing(M){return M}transformOutgoingURI(M){return M}transformOutgoingScheme(M){return M}};function B(M,E,c){if(!M||c>200)return null;if(typeof M=="object"){if(M instanceof o.URI)return E.transformOutgoing(M);for(let g in M)if(Object.hasOwnProperty.call(M,g)){const s=B(M[g],E,c+1);s!==null&&(M[g]=s)}}return null}function y(M,E){const c=B(M,E,0);return c===null?M:c}e.transformOutgoingURIs=y;function P(M,E,c,g){if(!M||g>200)return null;if(typeof M=="object"){if(M.$mid===1)return c?o.URI.revive(E.transformIncoming(M)):E.transformIncoming(M);for(let s in M)if(Object.hasOwnProperty.call(M,s)){const n=P(M[s],E,c,g+1);n!==null&&(M[s]=n)}}return null}function C(M,E){const c=P(M,E,!1,0);return c===null?M:c}e.transformIncomingURIs=C;function L(M,E){const c=P(M,E,!0,0);return c===null?M:c}e.transformAndReviveIncomingURIs=L}),define(Ee[36],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const o=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function I(C){return o.test(C)}e.isUUID=I;const _=new Uint8Array(16),B=[];for(let C=0;C<256;C++)B.push(C.toString(16).padStart(2,"0"));let y;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?y=crypto.getRandomValues.bind(crypto):y=function(C){for(let L=0;L<C.length;L++)C[L]=Math.floor(Math.random()*256);return C};function P(){y(_),_[6]=_[6]&15|64,_[8]=_[8]&63|128;let C=0,L="";return L+=B[_[C++]],L+=B[_[C++]],L+=B[_[C++]],L+=B[_[C++]],L+="-",L+=B[_[C++]],L+=B[_[C++]],L+="-",L+=B[_[C++]],L+=B[_[C++]],L+="-",L+=B[_[C++]],L+=B[_[C++]],L+="-",L+=B[_[C++]],L+=B[_[C++]],L+=B[_[C++]],L+=B[_[C++]],L+=B[_[C++]],L+=B[_[C++]],L}e.generateUuid=P}),define(Ee[109],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EDITOR_MODEL_DEFAULTS=void 0,e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0,bracketPairColorizationOptions:{enabled:!1}}}),define(Ee[74],be([1,0,29,17]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function _(B,y,P,C,L){if(Array.isArray(B)){let M=0;for(const E of B){const c=_(E,y,P,C,L);if(c===10)return c;c>M&&(M=c)}return M}else{if(typeof B=="string")return C?B==="*"?5:B===P?10:0:0;if(B){const{language:M,pattern:E,scheme:c,hasAccessToAllModels:g,notebookType:s}=B;if(!C&&!g)return 0;let n=0;if(c)if(c===y.scheme)n=10;else if(c==="*")n=5;else return 0;if(M)if(M===P)n=10;else if(M==="*")n=Math.max(n,5);else return 0;if(s)if(s===L)n=10;else if(s==="*")n=Math.max(n,5);else return 0;if(E){let m;if(typeof E=="string"?m=E:m={...E,base:(0,I.normalize)(E.base)},m===y.fsPath||(0,o.match)(m,y.fsPath))n=10;else return 0}return n}else return 0}}e.score=_}),define(Ee[110],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var o;(function(y){y[y.None=0]="None",y[y.Indent=1]="Indent",y[y.IndentOutdent=2]="IndentOutdent",y[y.Outdent=3]="Outdent"})(o=e.IndentAction||(e.IndentAction={}));class I{constructor(P){if(this._neutralCharacter=null,this._neutralCharacterSearched=!1,this.open=P.open,this.close=P.close,this._inString=!0,this._inComment=!0,this._inRegEx=!0,Array.isArray(P.notIn))for(let C=0,L=P.notIn.length;C<L;C++)switch(P.notIn[C]){case"string":this._inString=!1;break;case"comment":this._inComment=!1;break;case"regex":this._inRegEx=!1;break}}isOK(P){switch(P){case 0:return!0;case 1:return this._inComment;case 2:return this._inString;case 3:return this._inRegEx}}shouldAutoClose(P,C){if(P.getTokenCount()===0)return!0;const L=P.findTokenIndexAtOffset(C-2),M=P.getStandardTokenType(L);return this.isOK(M)}_findNeutralCharacterInRange(P,C){for(let L=P;L<=C;L++){const M=String.fromCharCode(L);if(!this.open.includes(M)&&!this.close.includes(M))return M}return null}findNeutralCharacter(){return this._neutralCharacterSearched||(this._neutralCharacterSearched=!0,this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(48,57)),this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(97,122)),this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(65,90))),this._neutralCharacter}}e.StandardAutoClosingPairConditional=I;class _{constructor(P){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const C of P)B(this.autoClosingPairsOpenByStart,C.open.charAt(0),C),B(this.autoClosingPairsOpenByEnd,C.open.charAt(C.open.length-1),C),B(this.autoClosingPairsCloseByStart,C.close.charAt(0),C),B(this.autoClosingPairsCloseByEnd,C.close.charAt(C.close.length-1),C),C.close.length===1&&C.open.length===1&&B(this.autoClosingPairsCloseSingleChar,C.close,C)}}e.AutoClosingPairs=_;function B(y,P,C){y.has(P)?y.get(P).push(C):y.set(P,[C])}}),define(Ee[75],be([1,0,21,23]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var _;(function(E){E[E.Full=1]="Full",E[E.Delta=2]="Delta"})(_||(_={}));function B(E){for(let c=0,g=E.length;c<g;c+=4){const s=E[c+0],n=E[c+1],m=E[c+2],w=E[c+3];E[c+0]=w,E[c+1]=m,E[c+2]=n,E[c+3]=s}}function y(E){const c=new Uint8Array(E.buffer,E.byteOffset,E.length*4);return I.isLittleEndian()||B(c),o.VSBuffer.wrap(c)}function P(E){const c=E.buffer;if(I.isLittleEndian()||B(c),c.byteOffset%4==0)return new Uint32Array(c.buffer,c.byteOffset,c.length/4);{const g=new Uint8Array(c.byteLength);return g.set(c),new Uint32Array(g.buffer,g.byteOffset,g.length/4)}}function C(E){const c=new Uint32Array(L(E));let g=0;if(c[g++]=E.id,E.type==="full")c[g++]=1,c[g++]=E.data.length,c.set(E.data,g),g+=E.data.length;else{c[g++]=2,c[g++]=E.deltas.length;for(const s of E.deltas)c[g++]=s.start,c[g++]=s.deleteCount,s.data?(c[g++]=s.data.length,c.set(s.data,g),g+=s.data.length):c[g++]=0}return y(c)}e.encodeSemanticTokensDto=C;function L(E){let c=0;if(c+=1+1,E.type==="full")c+=1+E.data.length;else{c+=1,c+=(1+1+1)*E.deltas.length;for(const g of E.deltas)g.data&&(c+=g.data.length)}return c}function M(E){const c=P(E);let g=0;const s=c[g++];if(c[g++]===1){const R=c[g++],h=c.subarray(g,g+R);return g+=R,{id:s,type:"full",data:h}}const m=c[g++],w=[];for(let R=0;R<m;R++){const h=c[g++],f=c[g++],v=c[g++];let r;v>0&&(r=c.subarray(g,g+v),g+=v),w[R]={start:h,deleteCount:f,data:r}}return{id:s,type:"delta",deltas:w}}e.decodeSemanticTokensDto=M}),define(Ee[111],be([18,19]),function(Y,e){return Y.create("vs/base/common/date",e)}),define(Ee[112],be([1,0,111]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const I=60,_=I*60,B=_*24,y=B*7,P=B*30,C=B*365;function L(E,c,g){typeof E!="number"&&(E=E.getTime());const s=Math.round((new Date().getTime()-E)/1e3);if(s<-30)return(0,o.localize)(0,null,L(new Date().getTime()+s*1e3,!1));if(s<30)return(0,o.localize)(1,null);let n;return s<I?(n=s,c?n===1?g?(0,o.localize)(2,null,n):(0,o.localize)(3,null,n):g?(0,o.localize)(4,null,n):(0,o.localize)(5,null,n):n===1?g?(0,o.localize)(6,null,n):(0,o.localize)(7,null,n):g?(0,o.localize)(8,null,n):(0,o.localize)(9,null,n)):s<_?(n=Math.floor(s/I),c?n===1?g?(0,o.localize)(10,null,n):(0,o.localize)(11,null,n):g?(0,o.localize)(12,null,n):(0,o.localize)(13,null,n):n===1?g?(0,o.localize)(14,null,n):(0,o.localize)(15,null,n):g?(0,o.localize)(16,null,n):(0,o.localize)(17,null,n)):s<B?(n=Math.floor(s/_),c?n===1?g?(0,o.localize)(18,null,n):(0,o.localize)(19,null,n):g?(0,o.localize)(20,null,n):(0,o.localize)(21,null,n):n===1?g?(0,o.localize)(22,null,n):(0,o.localize)(23,null,n):g?(0,o.localize)(24,null,n):(0,o.localize)(25,null,n)):s<y?(n=Math.floor(s/B),c?n===1?(0,o.localize)(26,null,n):(0,o.localize)(27,null,n):n===1?(0,o.localize)(28,null,n):(0,o.localize)(29,null,n)):s<P?(n=Math.floor(s/y),c?n===1?g?(0,o.localize)(30,null,n):(0,o.localize)(31,null,n):g?(0,o.localize)(32,null,n):(0,o.localize)(33,null,n):n===1?g?(0,o.localize)(34,null,n):(0,o.localize)(35,null,n):g?(0,o.localize)(36,null,n):(0,o.localize)(37,null,n)):s<C?(n=Math.floor(s/P),c?n===1?g?(0,o.localize)(38,null,n):(0,o.localize)(39,null,n):g?(0,o.localize)(40,null,n):(0,o.localize)(41,null,n):n===1?g?(0,o.localize)(42,null,n):(0,o.localize)(43,null,n):g?(0,o.localize)(44,null,n):(0,o.localize)(45,null,n)):(n=Math.floor(s/C),c?n===1?g?(0,o.localize)(46,null,n):(0,o.localize)(47,null,n):g?(0,o.localize)(48,null,n):(0,o.localize)(49,null,n):n===1?g?(0,o.localize)(50,null,n):(0,o.localize)(51,null,n):g?(0,o.localize)(52,null,n):(0,o.localize)(53,null,n))}e.fromNow=L;function M(E){return E.getFullYear()+"-"+String(E.getMonth()+1).padStart(2,"0")+"-"+String(E.getDate()).padStart(2,"0")+"T"+String(E.getHours()).padStart(2,"0")+":"+String(E.getMinutes()).padStart(2,"0")+":"+String(E.getSeconds()).padStart(2,"0")+"."+(E.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=M}),define(Ee[113],be([18,19]),function(Y,e){return Y.create("vs/base/common/errorMessage",e)}),define(Ee[43],be([1,0,16,11,113]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.toErrorMessage=void 0;function B(E,c){return c&&(E.stack||E.stacktrace)?_.localize(0,null,P(E),y(E.stack)||y(E.stacktrace)):P(E)}function y(E){return Array.isArray(E)?E.join(`
`):E}function P(E){return typeof E.code=="string"&&typeof E.errno=="number"&&typeof E.syscall=="string"?_.localize(1,null,E.message):E.message||_.localize(2,null)}function C(E=null,c=!1){if(!E)return _.localize(3,null);if(Array.isArray(E)){const g=o.coalesce(E),s=C(g[0],c);return g.length>1?_.localize(4,null,s,g.length):s}if(I.isString(E))return E;if(E.detail){const g=E.detail;if(g.error)return B(g.error,c);if(g.exception)return B(g.exception,c)}return E.stack?B(E,c):E.message?E.message:_.localize(5,null)}e.toErrorMessage=C;function L(E){const c=E;return c instanceof Error&&Array.isArray(c.actions)}e.isErrorWithActions=L;function M(E,c=Object.create(null)){const g=new Error(E);return c.actions&&(g.actions=c.actions),g}e.createErrorWithActions=M}),define(Ee[114],be([18,19]),function(Y,e){return Y.create("vs/editor/common/config/editorOptions",e)}),define(Ee[115],be([1,0,114,23,116,16,26,109]),function(Y,e,o,I,_,B,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.unicodeHighlightConfigKeys=e.inUntrustedWorkspace=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.clampedInt=e.boolean=e.ApplyUpdateResult=e.ComputeOptionsMemory=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var C;(function(G){G[G.None=0]="None",G[G.Keep=1]="Keep",G[G.Brackets=2]="Brackets",G[G.Advanced=3]="Advanced",G[G.Full=4]="Full"})(C=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class L{constructor(Q){this._values=Q}hasChanged(Q){return this._values[Q]}}e.ConfigurationChangedEvent=L;class M{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=M;class E{constructor(Q,le,Oe,He){this.id=Q,this.name=le,this.defaultValue=Oe,this.schema=He}applyUpdate(Q,le){return g(Q,le)}compute(Q,le,Oe){return Oe}}class c{constructor(Q,le){this.newValue=Q,this.didChange=le}}e.ApplyUpdateResult=c;function g(G,Q){if(typeof G!="object"||typeof Q!="object"||!G||!Q)return new c(Q,G!==Q);if(Array.isArray(G)||Array.isArray(Q)){const Oe=Array.isArray(G)&&Array.isArray(Q)&&B.equals(G,Q);return new c(Q,Oe)}let le=!1;for(const Oe in Q)if(Q.hasOwnProperty(Oe)){const He=g(G[Oe],Q[Oe]);He.didChange&&(G[Oe]=He.newValue,le=!0)}return new c(G,le)}class s{constructor(Q){this.schema=void 0,this.id=Q,this.name="_never_",this.defaultValue=void 0}applyUpdate(Q,le){return g(Q,le)}validate(Q){return this.defaultValue}}class n{constructor(Q,le,Oe,He){this.id=Q,this.name=le,this.defaultValue=Oe,this.schema=He}applyUpdate(Q,le){return g(Q,le)}validate(Q){return typeof Q=="undefined"?this.defaultValue:Q}compute(Q,le,Oe){return Oe}}function m(G,Q){return typeof G=="undefined"?Q:G==="false"?!1:Boolean(G)}e.boolean=m;class w extends n{constructor(Q,le,Oe,He=void 0){typeof He!="undefined"&&(He.type="boolean",He.default=Oe);super(Q,le,Oe,He)}validate(Q){return m(Q,this.defaultValue)}}function R(G,Q,le,Oe){if(typeof G=="undefined")return Q;let He=parseInt(G,10);return isNaN(He)?Q:(He=Math.max(le,He),He=Math.min(Oe,He),He|0)}e.clampedInt=R;class h extends n{constructor(Q,le,Oe,He,Ge,Je=void 0){typeof Je!="undefined"&&(Je.type="integer",Je.default=Oe,Je.minimum=He,Je.maximum=Ge);super(Q,le,Oe,Je);this.minimum=He,this.maximum=Ge}static clampedInt(Q,le,Oe,He){return R(Q,le,Oe,He)}validate(Q){return h.clampedInt(Q,this.defaultValue,this.minimum,this.maximum)}}class f extends n{constructor(Q,le,Oe,He,Ge){typeof Ge!="undefined"&&(Ge.type="number",Ge.default=Oe);super(Q,le,Oe,Ge);this.validationFn=He}static clamp(Q,le,Oe){return Q<le?le:Q>Oe?Oe:Q}static float(Q,le){if(typeof Q=="number")return Q;if(typeof Q=="undefined")return le;const Oe=parseFloat(Q);return isNaN(Oe)?le:Oe}validate(Q){return this.validationFn(f.float(Q,this.defaultValue))}}class v extends n{static string(Q,le){return typeof Q!="string"?le:Q}constructor(Q,le,Oe,He=void 0){typeof He!="undefined"&&(He.type="string",He.default=Oe);super(Q,le,Oe,He)}validate(Q){return v.string(Q,this.defaultValue)}}function r(G,Q,le){return typeof G!="string"||le.indexOf(G)===-1?Q:G}e.stringSet=r;class T extends n{constructor(Q,le,Oe,He,Ge=void 0){typeof Ge!="undefined"&&(Ge.type="string",Ge.enum=He,Ge.default=Oe);super(Q,le,Oe,Ge);this._allowedValues=He}validate(Q){return r(Q,this.defaultValue,this._allowedValues)}}class l extends E{constructor(Q,le,Oe,He,Ge,Je,ft=void 0){typeof ft!="undefined"&&(ft.type="string",ft.enum=Ge,ft.default=He);super(Q,le,Oe,ft);this._allowedValues=Ge,this._convert=Je}validate(Q){return typeof Q!="string"?this.defaultValue:this._allowedValues.indexOf(Q)===-1?this.defaultValue:this._convert(Q)}}function i(G){switch(G){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class u extends E{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[o.localize(0,null),o.localize(1,null),o.localize(2,null)],default:"auto",description:o.localize(3,null)})}validate(Q){switch(Q){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(Q,le,Oe){return Oe===0?Q.accessibilitySupport:Oe}}class t extends E{constructor(){const Q={insertSpace:!0,ignoreEmptyLines:!0};super(19,"comments",Q,{"editor.comments.insertSpace":{type:"boolean",default:Q.insertSpace,description:o.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:Q.ignoreEmptyLines,description:o.localize(5,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const le=Q;return{insertSpace:m(le.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:m(le.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var a;(function(G){G[G.Hidden=0]="Hidden",G[G.Blink=1]="Blink",G[G.Smooth=2]="Smooth",G[G.Phase=3]="Phase",G[G.Expand=4]="Expand",G[G.Solid=5]="Solid"})(a=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function p(G){switch(G){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var d;(function(G){G[G.Line=1]="Line",G[G.Block=2]="Block",G[G.Underline=3]="Underline",G[G.LineThin=4]="LineThin",G[G.BlockOutline=5]="BlockOutline",G[G.UnderlineThin=6]="UnderlineThin"})(d=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function S(G){switch(G){case d.Line:return"line";case d.Block:return"block";case d.Underline:return"underline";case d.LineThin:return"line-thin";case d.BlockOutline:return"block-outline";case d.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=S;function k(G){switch(G){case"line":return d.Line;case"block":return d.Block;case"underline":return d.Underline;case"line-thin":return d.LineThin;case"block-outline":return d.BlockOutline;case"underline-thin":return d.UnderlineThin}}class A extends s{constructor(){super(128)}compute(Q,le,Oe){const He=["monaco-editor"];return le.get(33)&&He.push(le.get(33)),Q.extraEditorClassName&&He.push(Q.extraEditorClassName),le.get(66)==="default"?He.push("mouse-default"):le.get(66)==="copy"&&He.push("mouse-copy"),le.get(100)&&He.push("showUnused"),le.get(126)&&He.push("showDeprecated"),He.join(" ")}}class W extends w{constructor(){super(32,"emptySelectionClipboard",!0,{description:o.localize(6,null)})}compute(Q,le,Oe){return Oe&&Q.emptySelectionClipboard}}class b extends E{constructor(){const Q={cursorMoveOnType:!0,seedSearchStringFromSelection:"always",autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(35,"find",Q,{"editor.find.cursorMoveOnType":{type:"boolean",default:Q.cursorMoveOnType,description:o.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"string",enum:["never","always","selection"],default:Q.seedSearchStringFromSelection,enumDescriptions:[o.localize(8,null),o.localize(9,null),o.localize(10,null)],description:o.localize(11,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:Q.autoFindInSelection,enumDescriptions:[o.localize(12,null),o.localize(13,null),o.localize(14,null)],description:o.localize(15,null)},"editor.find.globalFindClipboard":{type:"boolean",default:Q.globalFindClipboard,description:o.localize(16,null),included:I.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:Q.addExtraSpaceOnTop,description:o.localize(17,null)},"editor.find.loop":{type:"boolean",default:Q.loop,description:o.localize(18,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const le=Q;return{cursorMoveOnType:m(le.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:typeof Q.seedSearchStringFromSelection=="boolean"?Q.seedSearchStringFromSelection?"always":"never":r(le.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection,["never","always","selection"]),autoFindInSelection:typeof Q.autoFindInSelection=="boolean"?Q.autoFindInSelection?"always":"never":r(le.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:m(le.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:m(le.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:m(le.loop,this.defaultValue.loop)}}}class H extends E{constructor(){super(45,"fontLigatures",H.OFF,{anyOf:[{type:"boolean",description:o.localize(19,null)},{type:"string",description:o.localize(20,null)}],description:o.localize(21,null),default:!1})}validate(Q){return typeof Q=="undefined"?this.defaultValue:typeof Q=="string"?Q==="false"?H.OFF:Q==="true"?H.ON:Q:Boolean(Q)?H.ON:H.OFF}}e.EditorFontLigatures=H,H.OFF='"liga" off, "calt" off',H.ON='"liga" on, "calt" on';class q extends s{constructor(){super(44)}compute(Q,le,Oe){return Q.fontInfo}}class $ extends n{constructor(){super(46,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:o.localize(22,null)})}validate(Q){const le=f.float(Q,this.defaultValue);return le===0?e.EDITOR_FONT_DEFAULTS.fontSize:f.clamp(le,6,100)}compute(Q,le,Oe){return Q.fontInfo.fontSize}}class j extends E{constructor(){super(47,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:j.MINIMUM_VALUE,maximum:j.MAXIMUM_VALUE,errorMessage:o.localize(23,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:j.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:o.localize(24,null)})}validate(Q){return Q==="normal"||Q==="bold"?Q:String(h.clampedInt(Q,e.EDITOR_FONT_DEFAULTS.fontWeight,j.MINIMUM_VALUE,j.MAXIMUM_VALUE))}}j.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],j.MINIMUM_VALUE=1,j.MAXIMUM_VALUE=1e3;class J extends E{constructor(){const Q={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},le={type:"string",enum:["peek","gotoAndPeek","goto"],default:Q.multiple,enumDescriptions:[o.localize(25,null),o.localize(26,null),o.localize(27,null)]},Oe=["","editor.action.referenceSearch.trigger","editor.action.goToReferences","editor.action.peekImplementation","editor.action.goToImplementation","editor.action.peekTypeDefinition","editor.action.goToTypeDefinition","editor.action.peekDeclaration","editor.action.revealDeclaration","editor.action.peekDefinition","editor.action.revealDefinitionAside","editor.action.revealDefinition"];super(51,"gotoLocation",Q,{"editor.gotoLocation.multiple":{deprecationMessage:o.localize(28,null)},"editor.gotoLocation.multipleDefinitions":{description:o.localize(29,null),...le},"editor.gotoLocation.multipleTypeDefinitions":{description:o.localize(30,null),...le},"editor.gotoLocation.multipleDeclarations":{description:o.localize(31,null),...le},"editor.gotoLocation.multipleImplementations":{description:o.localize(32,null),...le},"editor.gotoLocation.multipleReferences":{description:o.localize(33,null),...le},"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:Q.alternativeDefinitionCommand,enum:Oe,description:o.localize(34,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:Q.alternativeTypeDefinitionCommand,enum:Oe,description:o.localize(35,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:Q.alternativeDeclarationCommand,enum:Oe,description:o.localize(36,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:Q.alternativeImplementationCommand,enum:Oe,description:o.localize(37,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:Q.alternativeReferenceCommand,enum:Oe,description:o.localize(38,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const le=Q;return{multiple:r(le.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:le.multipleDefinitions??r(le.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:le.multipleTypeDefinitions??r(le.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:le.multipleDeclarations??r(le.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:le.multipleImplementations??r(le.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:le.multipleReferences??r(le.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:v.string(le.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:v.string(le.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:v.string(le.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:v.string(le.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:v.string(le.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class z extends E{constructor(){const Q={enabled:!0,delay:300,sticky:!0,above:!0};super(53,"hover",Q,{"editor.hover.enabled":{type:"boolean",default:Q.enabled,description:o.localize(39,null)},"editor.hover.delay":{type:"number",default:Q.delay,minimum:0,maximum:1e4,description:o.localize(40,null)},"editor.hover.sticky":{type:"boolean",default:Q.sticky,description:o.localize(41,null)},"editor.hover.above":{type:"boolean",default:Q.above,description:o.localize(42,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const le=Q;return{enabled:m(le.enabled,this.defaultValue.enabled),delay:h.clampedInt(le.delay,this.defaultValue.delay,0,1e4),sticky:m(le.sticky,this.defaultValue.sticky),above:m(le.above,this.defaultValue.above)}}}var ie;(function(G){G[G.None=0]="None",G[G.Text=1]="Text",G[G.Blocks=2]="Blocks"})(ie=e.RenderMinimap||(e.RenderMinimap={}));class ae extends s{constructor(){super(131)}compute(Q,le,Oe){return ae.computeLayout(le,{memory:Q.memory,outerWidth:Q.outerWidth,outerHeight:Q.outerHeight,isDominatedByLongLines:Q.isDominatedByLongLines,lineHeight:Q.fontInfo.lineHeight,viewLineCount:Q.viewLineCount,lineNumbersDigitCount:Q.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:Q.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:Q.fontInfo.maxDigitWidth,pixelRatio:Q.pixelRatio})}static computeContainedMinimapLineCount(Q){const le=Q.height/Q.lineHeight,Oe=Q.scrollBeyondLastLine?le-1:0,He=(Q.viewLineCount+Oe)/(Q.pixelRatio*Q.height),Ge=Math.floor(Q.viewLineCount/He);return{typicalViewportLineCount:le,extraLinesBeyondLastLine:Oe,desiredRatio:He,minimapLineCount:Ge}}static _computeMinimapLayout(Q,le){const Oe=Q.outerWidth,He=Q.outerHeight,Ge=Q.pixelRatio;if(!Q.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(Ge*He),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:He};const Je=le.stableMinimapLayoutInput,ft=Je&&Q.outerHeight===Je.outerHeight&&Q.lineHeight===Je.lineHeight&&Q.typicalHalfwidthCharacterWidth===Je.typicalHalfwidthCharacterWidth&&Q.pixelRatio===Je.pixelRatio&&Q.scrollBeyondLastLine===Je.scrollBeyondLastLine&&Q.minimap.enabled===Je.minimap.enabled&&Q.minimap.side===Je.minimap.side&&Q.minimap.size===Je.minimap.size&&Q.minimap.showSlider===Je.minimap.showSlider&&Q.minimap.renderCharacters===Je.minimap.renderCharacters&&Q.minimap.maxColumn===Je.minimap.maxColumn&&Q.minimap.scale===Je.minimap.scale&&Q.verticalScrollbarWidth===Je.verticalScrollbarWidth&&Q.isViewportWrapping===Je.isViewportWrapping,It=Q.lineHeight,St=Q.typicalHalfwidthCharacterWidth,kt=Q.scrollBeyondLastLine,qe=Q.minimap.renderCharacters;let vt=Ge>=2?Math.round(Q.minimap.scale*2):Q.minimap.scale;const Nt=Q.minimap.maxColumn,nt=Q.minimap.size,ut=Q.minimap.side,At=Q.verticalScrollbarWidth,Tt=Q.viewLineCount,wt=Q.remainingWidth,dt=Q.isViewportWrapping,Rt=qe?2:3;let Lt=Math.floor(Ge*He);const Ft=Lt/Ge;let Ue=!1,he=!1,pe=Rt*vt,se=vt/Ge,K=1;if(nt==="fill"||nt==="fit"){const{typicalViewportLineCount:Et,extraLinesBeyondLastLine:rt,desiredRatio:at,minimapLineCount:ot}=ae.computeContainedMinimapLineCount({viewLineCount:Tt,scrollBeyondLastLine:kt,height:He,lineHeight:It,pixelRatio:Ge});if(Tt/ot>1)Ue=!0,he=!0,vt=1,pe=1,se=vt/Ge;else{let mt=!1,Dt=vt+1;if(nt==="fit"){const Ut=Math.ceil((Tt+rt)*pe);dt&&ft&&wt<=le.stableFitRemainingWidth?(mt=!0,Dt=le.stableFitMaxMinimapScale):mt=Ut>Lt}if(nt==="fill"||mt){Ue=!0;const Ut=vt;pe=Math.min(It*Ge,Math.max(1,Math.floor(1/at))),dt&&ft&&wt<=le.stableFitRemainingWidth&&(Dt=le.stableFitMaxMinimapScale),vt=Math.min(Dt,Math.max(1,Math.floor(pe/Rt))),vt>Ut&&(K=Math.min(2,vt/Ut)),se=vt/Ge/K,Lt=Math.ceil(Math.max(Et,Tt+rt)*pe),dt?(le.stableMinimapLayoutInput=Q,le.stableFitRemainingWidth=wt,le.stableFitMaxMinimapScale=vt):(le.stableMinimapLayoutInput=null,le.stableFitRemainingWidth=0)}}}const _e=Math.floor(Nt*se),Ce=Math.min(_e,Math.max(0,Math.floor((wt-At-2)*se/(St+se)))+e.MINIMAP_GUTTER_WIDTH);let $e=Math.floor(Ge*Ce);const Ve=$e/Ge;$e=Math.floor($e*K);const lt=qe?1:2,gt=ut==="left"?0:Oe-Ce-At;return{renderMinimap:lt,minimapLeft:gt,minimapWidth:Ce,minimapHeightIsEditorHeight:Ue,minimapIsSampling:he,minimapScale:vt,minimapLineHeight:pe,minimapCanvasInnerWidth:$e,minimapCanvasInnerHeight:Lt,minimapCanvasOuterWidth:Ve,minimapCanvasOuterHeight:Ft}}static computeLayout(Q,le){const Oe=le.outerWidth|0,He=le.outerHeight|0,Ge=le.lineHeight|0,Je=le.lineNumbersDigitCount|0,ft=le.typicalHalfwidthCharacterWidth,It=le.maxDigitWidth,St=le.pixelRatio,kt=le.viewLineCount,qe=Q.get(123),vt=qe==="inherit"?Q.get(122):qe,Nt=vt==="inherit"?Q.get(118):vt,nt=Q.get(121),ut=Q.get(2),At=le.isDominatedByLongLines,Tt=Q.get(50),wt=Q.get(60).renderType!==0,dt=Q.get(61),Rt=Q.get(94),Lt=Q.get(65),Ft=Q.get(92),Ue=Ft.verticalScrollbarSize,he=Ft.verticalHasArrows,pe=Ft.arrowSize,se=Ft.horizontalScrollbarSize,K=Q.get(58),_e=Q.get(37);let Ce;if(typeof K=="string"&&/^\d+(\.\d+)?ch$/.test(K)){const Ht=parseFloat(K.substr(0,K.length-2));Ce=h.clampedInt(Ht*ft,0,0,1e3)}else Ce=h.clampedInt(K,0,0,1e3);_e&&(Ce+=16);let $e=0;if(wt){const Ht=Math.max(Je,dt);$e=Math.round(Ht*It)}let Ve=0;Tt&&(Ve=Ge);let lt=0,gt=lt+Ve,Et=gt+$e,rt=Et+Ce;const at=Oe-Ve-$e-Ce;let ot=!1,Mt=!1,mt=-1;ut!==2&&(vt==="inherit"&&At?(ot=!0,Mt=!0):Nt==="on"||Nt==="bounded"?Mt=!0:Nt==="wordWrapColumn"&&(mt=nt));const Dt=ae._computeMinimapLayout({outerWidth:Oe,outerHeight:He,lineHeight:Ge,typicalHalfwidthCharacterWidth:ft,pixelRatio:St,scrollBeyondLastLine:Rt,minimap:Lt,verticalScrollbarWidth:Ue,viewLineCount:kt,remainingWidth:at,isViewportWrapping:Mt},le.memory||new M);Dt.renderMinimap!==0&&Dt.minimapLeft===0&&(lt+=Dt.minimapWidth,gt+=Dt.minimapWidth,Et+=Dt.minimapWidth,rt+=Dt.minimapWidth);const Ut=at-Dt.minimapWidth,bt=Math.max(1,Math.floor((Ut-Ue-2)/ft)),Bt=he?pe:0;return Mt&&(mt=Math.max(1,bt),Nt==="bounded"&&(mt=Math.min(mt,nt))),{width:Oe,height:He,glyphMarginLeft:lt,glyphMarginWidth:Ve,lineNumbersLeft:gt,lineNumbersWidth:$e,decorationsLeft:Et,decorationsWidth:Ce,contentLeft:rt,contentWidth:Ut,minimap:Dt,viewportColumn:bt,isWordWrapMinified:ot,isViewportWrapping:Mt,wrappingColumn:mt,verticalScrollbarWidth:Ue,horizontalScrollbarHeight:se,overviewRuler:{top:Bt,width:Ue,height:He-2*Bt,right:0}}}}e.EditorLayoutInfoComputer=ae;class te extends E{constructor(){const Q={enabled:!0};super(57,"lightbulb",Q,{"editor.lightbulb.enabled":{type:"boolean",default:Q.enabled,description:o.localize(43,null)}})}validate(Q){return!Q||typeof Q!="object"?this.defaultValue:{enabled:m(Q.enabled,this.defaultValue.enabled)}}}class ce extends E{constructor(){const Q={enabled:!0,fontSize:0,fontFamily:""};super(127,"inlayHints",Q,{"editor.inlayHints.enabled":{type:"boolean",default:Q.enabled,description:o.localize(44,null)},"editor.inlayHints.fontSize":{type:"number",default:Q.fontSize,markdownDescription:o.localize(45,null)},"editor.inlayHints.fontFamily":{type:"string",default:Q.fontFamily,markdownDescription:o.localize(46,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const le=Q;return{enabled:m(le.enabled,this.defaultValue.enabled),fontSize:h.clampedInt(le.fontSize,this.defaultValue.fontSize,0,100),fontFamily:v.string(le.fontFamily,this.defaultValue.fontFamily)}}}class de extends f{constructor(){super(59,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,Q=>f.clamp(Q,0,150),{markdownDescription:o.localize(47,null)})}compute(Q,le,Oe){return Q.fontInfo.lineHeight}}class Se extends E{constructor(){const Q={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",renderCharacters:!0,maxColumn:120,scale:1};super(65,"minimap",Q,{"editor.minimap.enabled":{type:"boolean",default:Q.enabled,description:o.localize(48,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[o.localize(49,null),o.localize(50,null),o.localize(51,null)],default:Q.size,description:o.localize(52,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:Q.side,description:o.localize(53,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:Q.showSlider,description:o.localize(54,null)},"editor.minimap.scale":{type:"number",default:Q.scale,minimum:1,maximum:3,enum:[1,2,3],description:o.localize(55,null)},"editor.minimap.renderCharacters":{type:"boolean",default:Q.renderCharacters,description:o.localize(56,null)},"editor.minimap.maxColumn":{type:"number",default:Q.maxColumn,description:o.localize(57,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const le=Q;return{enabled:m(le.enabled,this.defaultValue.enabled),size:r(le.size,this.defaultValue.size,["proportional","fill","fit"]),side:r(le.side,this.defaultValue.side,["right","left"]),showSlider:r(le.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:m(le.renderCharacters,this.defaultValue.renderCharacters),scale:h.clampedInt(le.scale,1,1,3),maxColumn:h.clampedInt(le.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function fe(G){return G==="ctrlCmd"?I.isMacintosh?"metaKey":"ctrlKey":"altKey"}class ne extends E{constructor(){super(75,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:o.localize(58,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:o.localize(59,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const le=Q;return{top:h.clampedInt(le.top,0,0,1e3),bottom:h.clampedInt(le.bottom,0,0,1e3)}}}class me extends E{constructor(){const Q={enabled:!0,cycle:!1};super(76,"parameterHints",Q,{"editor.parameterHints.enabled":{type:"boolean",default:Q.enabled,description:o.localize(60,null)},"editor.parameterHints.cycle":{type:"boolean",default:Q.cycle,description:o.localize(61,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const le=Q;return{enabled:m(le.enabled,this.defaultValue.enabled),cycle:m(le.cycle,this.defaultValue.cycle)}}}class ke extends s{constructor(){super(129)}compute(Q,le,Oe){return Q.pixelRatio}}class Ae extends E{constructor(){const Q={other:!0,comments:!1,strings:!1};super(79,"quickSuggestions",Q,{anyOf:[{type:"boolean"},{type:"object",properties:{strings:{type:"boolean",default:Q.strings,description:o.localize(62,null)},comments:{type:"boolean",default:Q.comments,description:o.localize(63,null)},other:{type:"boolean",default:Q.other,description:o.localize(64,null)}}}],default:Q,description:o.localize(65,null)});this.defaultValue=Q}validate(Q){if(typeof Q=="boolean")return Q;if(Q&&typeof Q=="object"){const le=Q,Oe={other:m(le.other,this.defaultValue.other),comments:m(le.comments,this.defaultValue.comments),strings:m(le.strings,this.defaultValue.strings)};return Oe.other&&Oe.comments&&Oe.strings?!0:!Oe.other&&!Oe.comments&&!Oe.strings?!1:Oe}return this.defaultValue}}var Be;(function(G){G[G.Off=0]="Off",G[G.On=1]="On",G[G.Relative=2]="Relative",G[G.Interval=3]="Interval",G[G.Custom=4]="Custom"})(Be=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class Xe extends E{constructor(){super(60,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[o.localize(66,null),o.localize(67,null),o.localize(68,null),o.localize(69,null)],default:"on",description:o.localize(70,null)})}validate(Q){let le=this.defaultValue.renderType,Oe=this.defaultValue.renderFn;return typeof Q!="undefined"&&(typeof Q=="function"?(le=4,Oe=Q):Q==="interval"?le=3:Q==="relative"?le=2:Q==="on"?le=1:le=0),{renderType:le,renderFn:Oe}}}function ge(G){const Q=G.get(87);return Q==="editable"?G.get(81):Q!=="on"}e.filterValidationDecorations=ge;class ue extends E{constructor(){const Q=[],le={type:"number",description:o.localize(71,null)};super(91,"rulers",Q,{type:"array",items:{anyOf:[le,{type:["object"],properties:{column:le,color:{type:"string",description:o.localize(72,null),format:"color-hex"}}}]},default:Q,description:o.localize(73,null)})}validate(Q){if(Array.isArray(Q)){const le=[];for(let Oe of Q)if(typeof Oe=="number")le.push({column:h.clampedInt(Oe,0,0,1e4),color:null});else if(Oe&&typeof Oe=="object"){const He=Oe;le.push({column:h.clampedInt(He.column,0,0,1e4),color:He.color})}return le.sort((Oe,He)=>Oe.column-He.column),le}return this.defaultValue}}function N(G,Q){if(typeof G!="string")return Q;switch(G){case"hidden":return 2;case"visible":return 3;default:return 1}}class F extends E{constructor(){const Q={vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1};super(92,"scrollbar",Q,{"editor.scrollbar.vertical":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[o.localize(74,null),o.localize(75,null),o.localize(76,null)],default:"auto",description:o.localize(77,null)},"editor.scrollbar.horizontal":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[o.localize(78,null),o.localize(79,null),o.localize(80,null)],default:"auto",description:o.localize(81,null)},"editor.scrollbar.verticalScrollbarSize":{type:"number",default:Q.verticalScrollbarSize,description:o.localize(82,null)},"editor.scrollbar.horizontalScrollbarSize":{type:"number",default:Q.horizontalScrollbarSize,description:o.localize(83,null)},"editor.scrollbar.scrollByPage":{type:"boolean",default:Q.scrollByPage,description:o.localize(84,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const le=Q,Oe=h.clampedInt(le.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),He=h.clampedInt(le.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:h.clampedInt(le.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:N(le.vertical,this.defaultValue.vertical),horizontal:N(le.horizontal,this.defaultValue.horizontal),useShadows:m(le.useShadows,this.defaultValue.useShadows),verticalHasArrows:m(le.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:m(le.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:m(le.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:m(le.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:Oe,horizontalSliderSize:h.clampedInt(le.horizontalSliderSize,Oe,0,1e3),verticalScrollbarSize:He,verticalSliderSize:h.clampedInt(le.verticalSliderSize,He,0,1e3),scrollByPage:m(le.scrollByPage,this.defaultValue.scrollByPage)}}}e.inUntrustedWorkspace="inUntrustedWorkspace",e.unicodeHighlightConfigKeys={allowedCharacters:"editor.unicodeHighlight.allowedCharacters",invisibleCharacters:"editor.unicodeHighlight.invisibleCharacters",nonBasicASCII:"editor.unicodeHighlight.nonBasicASCII",ambiguousCharacters:"editor.unicodeHighlight.ambiguousCharacters",includeComments:"editor.unicodeHighlight.includeComments",includeStrings:"editor.unicodeHighlight.includeStrings",allowedLocales:"editor.unicodeHighlight.allowedLocales"};class D extends E{constructor(){const Q={nonBasicASCII:e.inUntrustedWorkspace,invisibleCharacters:!0,ambiguousCharacters:!0,includeComments:e.inUntrustedWorkspace,includeStrings:!0,allowedCharacters:{},allowedLocales:{_os:!0,_vscode:!0}};super(113,"unicodeHighlight",Q,{[e.unicodeHighlightConfigKeys.nonBasicASCII]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Q.nonBasicASCII,description:o.localize(85,null)},[e.unicodeHighlightConfigKeys.invisibleCharacters]:{restricted:!0,type:"boolean",default:Q.invisibleCharacters,description:o.localize(86,null)},[e.unicodeHighlightConfigKeys.ambiguousCharacters]:{restricted:!0,type:"boolean",default:Q.ambiguousCharacters,description:o.localize(87,null)},[e.unicodeHighlightConfigKeys.includeComments]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Q.includeComments,description:o.localize(88,null)},[e.unicodeHighlightConfigKeys.includeStrings]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Q.includeStrings,description:o.localize(89,null)},[e.unicodeHighlightConfigKeys.allowedCharacters]:{restricted:!0,type:"object",default:Q.allowedCharacters,description:o.localize(90,null),additionalProperties:{type:"boolean"}},[e.unicodeHighlightConfigKeys.allowedLocales]:{restricted:!0,type:"object",additionalProperties:{type:"boolean"},default:Q.allowedLocales,description:o.localize(91,null)}})}applyUpdate(Q,le){let Oe=!1;le.allowedCharacters&&(y.equals(Q.allowedCharacters,le.allowedCharacters)||(Q={...Q,allowedCharacters:le.allowedCharacters},Oe=!0)),le.allowedLocales&&(y.equals(Q.allowedLocales,le.allowedLocales)||(Q={...Q,allowedLocales:le.allowedLocales},Oe=!0));const He=super.applyUpdate(Q,le);return Oe?new c(He.newValue,!0):He}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const le=Q;return{nonBasicASCII:re(le.nonBasicASCII,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),invisibleCharacters:m(le.invisibleCharacters,this.defaultValue.invisibleCharacters),ambiguousCharacters:m(le.ambiguousCharacters,this.defaultValue.ambiguousCharacters),includeComments:re(le.includeComments,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),includeStrings:re(le.includeStrings,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),allowedCharacters:this.validateBooleanMap(Q.allowedCharacters,this.defaultValue.allowedCharacters),allowedLocales:this.validateBooleanMap(Q.allowedLocales,this.defaultValue.allowedLocales)}}validateBooleanMap(Q,le){if(typeof Q!="object"||!Q)return le;const Oe={};for(const[He,Ge]of Object.entries(Q))Ge===!0&&(Oe[He]=!0);return Oe}}class O extends E{constructor(){const Q={enabled:!0,mode:"subwordSmart"};super(55,"inlineSuggest",Q,{"editor.inlineSuggest.enabled":{type:"boolean",default:Q.enabled,description:o.localize(92,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const le=Q;return{enabled:m(le.enabled,this.defaultValue.enabled),mode:r(le.mode,this.defaultValue.mode,["prefix","subword","subwordSmart"])}}}class x extends E{constructor(){const Q={enabled:P.EDITOR_MODEL_DEFAULTS.bracketPairColorizationOptions.enabled};super(12,"bracketPairColorization",Q,{"editor.bracketPairColorization.enabled":{type:"boolean",default:Q.enabled,description:o.localize(93,null)}})}validate(Q){return!Q||typeof Q!="object"?this.defaultValue:{enabled:m(Q.enabled,this.defaultValue.enabled)}}}class X extends E{constructor(){const Q={bracketPairs:!1,bracketPairsHorizontal:"active",highlightActiveBracketPair:!0,indentation:!0,highlightActiveIndentation:!0};super(13,"guides",Q,{"editor.guides.bracketPairs":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[o.localize(94,null),o.localize(95,null),o.localize(96,null)],default:Q.bracketPairs,description:o.localize(97,null)},"editor.guides.bracketPairsHorizontal":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[o.localize(98,null),o.localize(99,null),o.localize(100,null)],default:Q.bracketPairsHorizontal,description:o.localize(101,null)},"editor.guides.highlightActiveBracketPair":{type:"boolean",default:Q.highlightActiveBracketPair,description:o.localize(102,null)},"editor.guides.indentation":{type:"boolean",default:Q.indentation,description:o.localize(103,null)},"editor.guides.highlightActiveIndentation":{type:"boolean",default:Q.highlightActiveIndentation,description:o.localize(104,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const le=Q;return{bracketPairs:re(le.bracketPairs,this.defaultValue.bracketPairs,[!0,!1,"active"]),bracketPairsHorizontal:re(le.bracketPairsHorizontal,this.defaultValue.bracketPairsHorizontal,[!0,!1,"active"]),highlightActiveBracketPair:m(le.highlightActiveBracketPair,this.defaultValue.highlightActiveBracketPair),indentation:m(le.indentation,this.defaultValue.indentation),highlightActiveIndentation:m(le.highlightActiveIndentation,this.defaultValue.highlightActiveIndentation)}}}function re(G,Q,le){const Oe=le.indexOf(G);return Oe===-1?Q:le[Oe]}class ve extends E{constructor(){const Q={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,preview:!1,previewMode:"subwordSmart",showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showDeprecated:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(106,"suggest",Q,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[o.localize(105,null),o.localize(106,null)],default:Q.insertMode,description:o.localize(107,null)},"editor.suggest.filterGraceful":{type:"boolean",default:Q.filterGraceful,description:o.localize(108,null)},"editor.suggest.localityBonus":{type:"boolean",default:Q.localityBonus,description:o.localize(109,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:Q.shareSuggestSelections,markdownDescription:o.localize(110,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:Q.snippetsPreventQuickSuggestions,description:o.localize(111,null)},"editor.suggest.showIcons":{type:"boolean",default:Q.showIcons,description:o.localize(112,null)},"editor.suggest.showStatusBar":{type:"boolean",default:Q.showStatusBar,description:o.localize(113,null)},"editor.suggest.preview":{type:"boolean",default:Q.preview,description:o.localize(114,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:Q.showInlineDetails,description:o.localize(115,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:o.localize(116,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:o.localize(117,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:o.localize(118,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:o.localize(119,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:o.localize(120,null)},"editor.suggest.showDeprecated":{type:"boolean",default:!0,markdownDescription:o.localize(121,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:o.localize(122,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:o.localize(123,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:o.localize(124,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:o.localize(125,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:o.localize(126,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:o.localize(127,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:o.localize(128,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:o.localize(129,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:o.localize(130,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:o.localize(131,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:o.localize(132,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:o.localize(133,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:o.localize(134,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:o.localize(135,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:o.localize(136,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:o.localize(137,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:o.localize(138,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:o.localize(139,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:o.localize(140,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:o.localize(141,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:o.localize(142,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:o.localize(143,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:o.localize(144,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:o.localize(145,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:o.localize(146,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const le=Q;return{insertMode:r(le.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:m(le.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:m(le.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:m(le.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:m(le.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:m(le.showIcons,this.defaultValue.showIcons),showStatusBar:m(le.showStatusBar,this.defaultValue.showStatusBar),preview:m(le.preview,this.defaultValue.preview),previewMode:r(le.previewMode,this.defaultValue.previewMode,["prefix","subword","subwordSmart"]),showInlineDetails:m(le.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:m(le.showMethods,this.defaultValue.showMethods),showFunctions:m(le.showFunctions,this.defaultValue.showFunctions),showConstructors:m(le.showConstructors,this.defaultValue.showConstructors),showDeprecated:m(le.showDeprecated,this.defaultValue.showDeprecated),showFields:m(le.showFields,this.defaultValue.showFields),showVariables:m(le.showVariables,this.defaultValue.showVariables),showClasses:m(le.showClasses,this.defaultValue.showClasses),showStructs:m(le.showStructs,this.defaultValue.showStructs),showInterfaces:m(le.showInterfaces,this.defaultValue.showInterfaces),showModules:m(le.showModules,this.defaultValue.showModules),showProperties:m(le.showProperties,this.defaultValue.showProperties),showEvents:m(le.showEvents,this.defaultValue.showEvents),showOperators:m(le.showOperators,this.defaultValue.showOperators),showUnits:m(le.showUnits,this.defaultValue.showUnits),showValues:m(le.showValues,this.defaultValue.showValues),showConstants:m(le.showConstants,this.defaultValue.showConstants),showEnums:m(le.showEnums,this.defaultValue.showEnums),showEnumMembers:m(le.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:m(le.showKeywords,this.defaultValue.showKeywords),showWords:m(le.showWords,this.defaultValue.showWords),showColors:m(le.showColors,this.defaultValue.showColors),showFiles:m(le.showFiles,this.defaultValue.showFiles),showReferences:m(le.showReferences,this.defaultValue.showReferences),showFolders:m(le.showFolders,this.defaultValue.showFolders),showTypeParameters:m(le.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:m(le.showSnippets,this.defaultValue.showSnippets),showUsers:m(le.showUsers,this.defaultValue.showUsers),showIssues:m(le.showIssues,this.defaultValue.showIssues)}}}class Ie extends E{constructor(){super(102,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:o.localize(147,null),default:!0,type:"boolean"}})}validate(Q){return!Q||typeof Q!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:m(Q.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class Me extends s{constructor(){super(130)}compute(Q,le,Oe){return le.get(81)?!0:Q.tabFocusMode}}var Le;(function(G){G[G.None=0]="None",G[G.Same=1]="Same",G[G.Indent=2]="Indent",G[G.DeepIndent=3]="DeepIndent"})(Le=e.WrappingIndent||(e.WrappingIndent={}));function ze(G){switch(G){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class xe extends s{constructor(){super(132)}compute(Q,le,Oe){const He=le.get(131);return{isDominatedByLongLines:Q.isDominatedByLongLines,isWordWrapMinified:He.isWordWrapMinified,isViewportWrapping:He.isViewportWrapping,wrappingColumn:He.wrappingColumn}}}const Re="Consolas, 'Courier New', monospace",Qe="Menlo, Monaco, 'Courier New', monospace",tt="'Droid Sans Mono', 'monospace', monospace";e.EDITOR_FONT_DEFAULTS={fontFamily:I.isMacintosh?Qe:I.isLinux?tt:Re,fontWeight:"normal",fontSize:I.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.editorOptionsRegistry=[];function Te(G){return e.editorOptionsRegistry[G.id]=G,G}var it;(function(G){G[G.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",G[G.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",G[G.accessibilitySupport=2]="accessibilitySupport",G[G.accessibilityPageSize=3]="accessibilityPageSize",G[G.ariaLabel=4]="ariaLabel",G[G.autoClosingBrackets=5]="autoClosingBrackets",G[G.autoClosingDelete=6]="autoClosingDelete",G[G.autoClosingOvertype=7]="autoClosingOvertype",G[G.autoClosingQuotes=8]="autoClosingQuotes",G[G.autoIndent=9]="autoIndent",G[G.automaticLayout=10]="automaticLayout",G[G.autoSurround=11]="autoSurround",G[G.bracketPairColorization=12]="bracketPairColorization",G[G.guides=13]="guides",G[G.codeLens=14]="codeLens",G[G.codeLensFontFamily=15]="codeLensFontFamily",G[G.codeLensFontSize=16]="codeLensFontSize",G[G.colorDecorators=17]="colorDecorators",G[G.columnSelection=18]="columnSelection",G[G.comments=19]="comments",G[G.contextmenu=20]="contextmenu",G[G.copyWithSyntaxHighlighting=21]="copyWithSyntaxHighlighting",G[G.cursorBlinking=22]="cursorBlinking",G[G.cursorSmoothCaretAnimation=23]="cursorSmoothCaretAnimation",G[G.cursorStyle=24]="cursorStyle",G[G.cursorSurroundingLines=25]="cursorSurroundingLines",G[G.cursorSurroundingLinesStyle=26]="cursorSurroundingLinesStyle",G[G.cursorWidth=27]="cursorWidth",G[G.disableLayerHinting=28]="disableLayerHinting",G[G.disableMonospaceOptimizations=29]="disableMonospaceOptimizations",G[G.domReadOnly=30]="domReadOnly",G[G.dragAndDrop=31]="dragAndDrop",G[G.emptySelectionClipboard=32]="emptySelectionClipboard",G[G.extraEditorClassName=33]="extraEditorClassName",G[G.fastScrollSensitivity=34]="fastScrollSensitivity",G[G.find=35]="find",G[G.fixedOverflowWidgets=36]="fixedOverflowWidgets",G[G.folding=37]="folding",G[G.foldingStrategy=38]="foldingStrategy",G[G.foldingHighlight=39]="foldingHighlight",G[G.foldingImportsByDefault=40]="foldingImportsByDefault",G[G.foldingMaximumRegions=41]="foldingMaximumRegions",G[G.unfoldOnClickAfterEndOfLine=42]="unfoldOnClickAfterEndOfLine",G[G.fontFamily=43]="fontFamily",G[G.fontInfo=44]="fontInfo",G[G.fontLigatures=45]="fontLigatures",G[G.fontSize=46]="fontSize",G[G.fontWeight=47]="fontWeight",G[G.formatOnPaste=48]="formatOnPaste",G[G.formatOnType=49]="formatOnType",G[G.glyphMargin=50]="glyphMargin",G[G.gotoLocation=51]="gotoLocation",G[G.hideCursorInOverviewRuler=52]="hideCursorInOverviewRuler",G[G.hover=53]="hover",G[G.inDiffEditor=54]="inDiffEditor",G[G.inlineSuggest=55]="inlineSuggest",G[G.letterSpacing=56]="letterSpacing",G[G.lightbulb=57]="lightbulb",G[G.lineDecorationsWidth=58]="lineDecorationsWidth",G[G.lineHeight=59]="lineHeight",G[G.lineNumbers=60]="lineNumbers",G[G.lineNumbersMinChars=61]="lineNumbersMinChars",G[G.linkedEditing=62]="linkedEditing",G[G.links=63]="links",G[G.matchBrackets=64]="matchBrackets",G[G.minimap=65]="minimap",G[G.mouseStyle=66]="mouseStyle",G[G.mouseWheelScrollSensitivity=67]="mouseWheelScrollSensitivity",G[G.mouseWheelZoom=68]="mouseWheelZoom",G[G.multiCursorMergeOverlapping=69]="multiCursorMergeOverlapping",G[G.multiCursorModifier=70]="multiCursorModifier",G[G.multiCursorPaste=71]="multiCursorPaste",G[G.occurrencesHighlight=72]="occurrencesHighlight",G[G.overviewRulerBorder=73]="overviewRulerBorder",G[G.overviewRulerLanes=74]="overviewRulerLanes",G[G.padding=75]="padding",G[G.parameterHints=76]="parameterHints",G[G.peekWidgetDefaultFocus=77]="peekWidgetDefaultFocus",G[G.definitionLinkOpensInPeek=78]="definitionLinkOpensInPeek",G[G.quickSuggestions=79]="quickSuggestions",G[G.quickSuggestionsDelay=80]="quickSuggestionsDelay",G[G.readOnly=81]="readOnly",G[G.renameOnType=82]="renameOnType",G[G.renderControlCharacters=83]="renderControlCharacters",G[G.renderFinalNewline=84]="renderFinalNewline",G[G.renderLineHighlight=85]="renderLineHighlight",G[G.renderLineHighlightOnlyWhenFocus=86]="renderLineHighlightOnlyWhenFocus",G[G.renderValidationDecorations=87]="renderValidationDecorations",G[G.renderWhitespace=88]="renderWhitespace",G[G.revealHorizontalRightPadding=89]="revealHorizontalRightPadding",G[G.roundedSelection=90]="roundedSelection",G[G.rulers=91]="rulers",G[G.scrollbar=92]="scrollbar",G[G.scrollBeyondLastColumn=93]="scrollBeyondLastColumn",G[G.scrollBeyondLastLine=94]="scrollBeyondLastLine",G[G.scrollPredominantAxis=95]="scrollPredominantAxis",G[G.selectionClipboard=96]="selectionClipboard",G[G.selectionHighlight=97]="selectionHighlight",G[G.selectOnLineNumbers=98]="selectOnLineNumbers",G[G.showFoldingControls=99]="showFoldingControls",G[G.showUnused=100]="showUnused",G[G.snippetSuggestions=101]="snippetSuggestions",G[G.smartSelect=102]="smartSelect",G[G.smoothScrolling=103]="smoothScrolling",G[G.stickyTabStops=104]="stickyTabStops",G[G.stopRenderingLineAfter=105]="stopRenderingLineAfter",G[G.suggest=106]="suggest",G[G.suggestFontSize=107]="suggestFontSize",G[G.suggestLineHeight=108]="suggestLineHeight",G[G.suggestOnTriggerCharacters=109]="suggestOnTriggerCharacters",G[G.suggestSelection=110]="suggestSelection",G[G.tabCompletion=111]="tabCompletion",G[G.tabIndex=112]="tabIndex",G[G.unicodeHighlighting=113]="unicodeHighlighting",G[G.unusualLineTerminators=114]="unusualLineTerminators",G[G.useShadowDOM=115]="useShadowDOM",G[G.useTabStops=116]="useTabStops",G[G.wordSeparators=117]="wordSeparators",G[G.wordWrap=118]="wordWrap",G[G.wordWrapBreakAfterCharacters=119]="wordWrapBreakAfterCharacters",G[G.wordWrapBreakBeforeCharacters=120]="wordWrapBreakBeforeCharacters",G[G.wordWrapColumn=121]="wordWrapColumn",G[G.wordWrapOverride1=122]="wordWrapOverride1",G[G.wordWrapOverride2=123]="wordWrapOverride2",G[G.wrappingIndent=124]="wrappingIndent",G[G.wrappingStrategy=125]="wrappingStrategy",G[G.showDeprecated=126]="showDeprecated",G[G.inlayHints=127]="inlayHints",G[G.editorClassName=128]="editorClassName",G[G.pixelRatio=129]="pixelRatio",G[G.tabFocusMode=130]="tabFocusMode",G[G.layoutInfo=131]="layoutInfo",G[G.wrappingInfo=132]="wrappingInfo"})(it=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:Te(new w(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:o.localize(148,null)})),acceptSuggestionOnEnter:Te(new T(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",o.localize(149,null),""],markdownDescription:o.localize(150,null)})),accessibilitySupport:Te(new u),accessibilityPageSize:Te(new h(3,"accessibilityPageSize",10,1,1073741824,{description:o.localize(151,null)})),ariaLabel:Te(new v(4,"ariaLabel",o.localize(152,null))),autoClosingBrackets:Te(new T(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",o.localize(153,null),o.localize(154,null),""],description:o.localize(155,null)})),autoClosingDelete:Te(new T(6,"autoClosingDelete","auto",["always","auto","never"],{enumDescriptions:["",o.localize(156,null),""],description:o.localize(157,null)})),autoClosingOvertype:Te(new T(7,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",o.localize(158,null),""],description:o.localize(159,null)})),autoClosingQuotes:Te(new T(8,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",o.localize(160,null),o.localize(161,null),""],description:o.localize(162,null)})),autoIndent:Te(new l(9,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],i,{enumDescriptions:[o.localize(163,null),o.localize(164,null),o.localize(165,null),o.localize(166,null),o.localize(167,null)],description:o.localize(168,null)})),automaticLayout:Te(new w(10,"automaticLayout",!1)),autoSurround:Te(new T(11,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[o.localize(169,null),o.localize(170,null),o.localize(171,null),""],description:o.localize(172,null)})),bracketPairColorization:Te(new x),bracketPairGuides:Te(new X),stickyTabStops:Te(new w(104,"stickyTabStops",!1,{description:o.localize(173,null)})),codeLens:Te(new w(14,"codeLens",!0,{description:o.localize(174,null)})),codeLensFontFamily:Te(new v(15,"codeLensFontFamily","",{description:o.localize(175,null)})),codeLensFontSize:Te(new h(16,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,markdownDescription:o.localize(176,null)})),colorDecorators:Te(new w(17,"colorDecorators",!0,{description:o.localize(177,null)})),columnSelection:Te(new w(18,"columnSelection",!1,{description:o.localize(178,null)})),comments:Te(new t),contextmenu:Te(new w(20,"contextmenu",!0)),copyWithSyntaxHighlighting:Te(new w(21,"copyWithSyntaxHighlighting",!0,{description:o.localize(179,null)})),cursorBlinking:Te(new l(22,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],p,{description:o.localize(180,null)})),cursorSmoothCaretAnimation:Te(new w(23,"cursorSmoothCaretAnimation",!1,{description:o.localize(181,null)})),cursorStyle:Te(new l(24,"cursorStyle",d.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],k,{description:o.localize(182,null)})),cursorSurroundingLines:Te(new h(25,"cursorSurroundingLines",0,0,1073741824,{description:o.localize(183,null)})),cursorSurroundingLinesStyle:Te(new T(26,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[o.localize(184,null),o.localize(185,null)],description:o.localize(186,null)})),cursorWidth:Te(new h(27,"cursorWidth",0,0,1073741824,{markdownDescription:o.localize(187,null)})),disableLayerHinting:Te(new w(28,"disableLayerHinting",!1)),disableMonospaceOptimizations:Te(new w(29,"disableMonospaceOptimizations",!1)),domReadOnly:Te(new w(30,"domReadOnly",!1)),dragAndDrop:Te(new w(31,"dragAndDrop",!0,{description:o.localize(188,null)})),emptySelectionClipboard:Te(new W),extraEditorClassName:Te(new v(33,"extraEditorClassName","")),fastScrollSensitivity:Te(new f(34,"fastScrollSensitivity",5,G=>G<=0?5:G,{markdownDescription:o.localize(189,null)})),find:Te(new b),fixedOverflowWidgets:Te(new w(36,"fixedOverflowWidgets",!1)),folding:Te(new w(37,"folding",!0,{description:o.localize(190,null)})),foldingStrategy:Te(new T(38,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[o.localize(191,null),o.localize(192,null)],description:o.localize(193,null)})),foldingHighlight:Te(new w(39,"foldingHighlight",!0,{description:o.localize(194,null)})),foldingImportsByDefault:Te(new w(40,"foldingImportsByDefault",!1,{description:o.localize(195,null)})),foldingMaximumRegions:Te(new h(41,"foldingMaximumRegions",5e3,10,65e3,{description:o.localize(196,null)})),unfoldOnClickAfterEndOfLine:Te(new w(42,"unfoldOnClickAfterEndOfLine",!1,{description:o.localize(197,null)})),fontFamily:Te(new v(43,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:o.localize(198,null)})),fontInfo:Te(new q),fontLigatures2:Te(new H),fontSize:Te(new $),fontWeight:Te(new j),formatOnPaste:Te(new w(48,"formatOnPaste",!1,{description:o.localize(199,null)})),formatOnType:Te(new w(49,"formatOnType",!1,{description:o.localize(200,null)})),glyphMargin:Te(new w(50,"glyphMargin",!0,{description:o.localize(201,null)})),gotoLocation:Te(new J),hideCursorInOverviewRuler:Te(new w(52,"hideCursorInOverviewRuler",!1,{description:o.localize(202,null)})),hover:Te(new z),inDiffEditor:Te(new w(54,"inDiffEditor",!1)),letterSpacing:Te(new f(56,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,G=>f.clamp(G,-5,20),{description:o.localize(203,null)})),lightbulb:Te(new te),lineDecorationsWidth:Te(new n(58,"lineDecorationsWidth",10)),lineHeight:Te(new de),lineNumbers:Te(new Xe),lineNumbersMinChars:Te(new h(61,"lineNumbersMinChars",5,1,300)),linkedEditing:Te(new w(62,"linkedEditing",!1,{description:o.localize(204,null)})),links:Te(new w(63,"links",!0,{description:o.localize(205,null)})),matchBrackets:Te(new T(64,"matchBrackets","always",["always","near","never"],{description:o.localize(206,null)})),minimap:Te(new Se),mouseStyle:Te(new T(66,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:Te(new f(67,"mouseWheelScrollSensitivity",1,G=>G===0?1:G,{markdownDescription:o.localize(207,null)})),mouseWheelZoom:Te(new w(68,"mouseWheelZoom",!1,{markdownDescription:o.localize(208,null)})),multiCursorMergeOverlapping:Te(new w(69,"multiCursorMergeOverlapping",!0,{description:o.localize(209,null)})),multiCursorModifier:Te(new l(70,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],fe,{markdownEnumDescriptions:[o.localize(210,null),o.localize(211,null)],markdownDescription:o.localize(212,null)})),multiCursorPaste:Te(new T(71,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[o.localize(213,null),o.localize(214,null)],markdownDescription:o.localize(215,null)})),occurrencesHighlight:Te(new w(72,"occurrencesHighlight",!0,{description:o.localize(216,null)})),overviewRulerBorder:Te(new w(73,"overviewRulerBorder",!0,{description:o.localize(217,null)})),overviewRulerLanes:Te(new h(74,"overviewRulerLanes",3,0,3)),padding:Te(new ne),parameterHints:Te(new me),peekWidgetDefaultFocus:Te(new T(77,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[o.localize(218,null),o.localize(219,null)],description:o.localize(220,null)})),definitionLinkOpensInPeek:Te(new w(78,"definitionLinkOpensInPeek",!1,{description:o.localize(221,null)})),quickSuggestions:Te(new Ae),quickSuggestionsDelay:Te(new h(80,"quickSuggestionsDelay",10,0,1073741824,{description:o.localize(222,null)})),readOnly:Te(new w(81,"readOnly",!1)),renameOnType:Te(new w(82,"renameOnType",!1,{description:o.localize(223,null),markdownDeprecationMessage:o.localize(224,null)})),renderControlCharacters:Te(new w(83,"renderControlCharacters",!0,{description:o.localize(225,null),restricted:!0})),renderFinalNewline:Te(new w(84,"renderFinalNewline",!0,{description:o.localize(226,null)})),renderLineHighlight:Te(new T(85,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",o.localize(227,null)],description:o.localize(228,null)})),renderLineHighlightOnlyWhenFocus:Te(new w(86,"renderLineHighlightOnlyWhenFocus",!1,{description:o.localize(229,null)})),renderValidationDecorations:Te(new T(87,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:Te(new T(88,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",o.localize(230,null),o.localize(231,null),o.localize(232,null),""],description:o.localize(233,null)})),revealHorizontalRightPadding:Te(new h(89,"revealHorizontalRightPadding",30,0,1e3)),roundedSelection:Te(new w(90,"roundedSelection",!0,{description:o.localize(234,null)})),rulers:Te(new ue),scrollbar:Te(new F),scrollBeyondLastColumn:Te(new h(93,"scrollBeyondLastColumn",5,0,1073741824,{description:o.localize(235,null)})),scrollBeyondLastLine:Te(new w(94,"scrollBeyondLastLine",!0,{description:o.localize(236,null)})),scrollPredominantAxis:Te(new w(95,"scrollPredominantAxis",!0,{description:o.localize(237,null)})),selectionClipboard:Te(new w(96,"selectionClipboard",!0,{description:o.localize(238,null),included:I.isLinux})),selectionHighlight:Te(new w(97,"selectionHighlight",!0,{description:o.localize(239,null)})),selectOnLineNumbers:Te(new w(98,"selectOnLineNumbers",!0)),showFoldingControls:Te(new T(99,"showFoldingControls","mouseover",["always","mouseover"],{enumDescriptions:[o.localize(240,null),o.localize(241,null)],description:o.localize(242,null)})),showUnused:Te(new w(100,"showUnused",!0,{description:o.localize(243,null)})),showDeprecated:Te(new w(126,"showDeprecated",!0,{description:o.localize(244,null)})),inlayHints:Te(new ce),snippetSuggestions:Te(new T(101,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[o.localize(245,null),o.localize(246,null),o.localize(247,null),o.localize(248,null)],description:o.localize(249,null)})),smartSelect:Te(new Ie),smoothScrolling:Te(new w(103,"smoothScrolling",!1,{description:o.localize(250,null)})),stopRenderingLineAfter:Te(new h(105,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:Te(new ve),inlineSuggest:Te(new O),suggestFontSize:Te(new h(107,"suggestFontSize",0,0,1e3,{markdownDescription:o.localize(251,null)})),suggestLineHeight:Te(new h(108,"suggestLineHeight",0,0,1e3,{markdownDescription:o.localize(252,null)})),suggestOnTriggerCharacters:Te(new w(109,"suggestOnTriggerCharacters",!0,{description:o.localize(253,null)})),suggestSelection:Te(new T(110,"suggestSelection","first",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[o.localize(254,null),o.localize(255,null),o.localize(256,null)],description:o.localize(257,null)})),tabCompletion:Te(new T(111,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[o.localize(258,null),o.localize(259,null),o.localize(260,null)],description:o.localize(261,null)})),tabIndex:Te(new h(112,"tabIndex",0,-1,1073741824)),unicodeHighlight:Te(new D),unusualLineTerminators:Te(new T(114,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[o.localize(262,null),o.localize(263,null),o.localize(264,null)],description:o.localize(265,null)})),useShadowDOM:Te(new w(115,"useShadowDOM",!0)),useTabStops:Te(new w(116,"useTabStops",!0,{description:o.localize(266,null)})),wordSeparators:Te(new v(117,"wordSeparators",_.USUAL_WORD_SEPARATORS,{description:o.localize(267,null)})),wordWrap:Te(new T(118,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[o.localize(268,null),o.localize(269,null),o.localize(270,null),o.localize(271,null)],description:o.localize(272,null)})),wordWrapBreakAfterCharacters:Te(new v(119,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:Te(new v(120,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:Te(new h(121,"wordWrapColumn",80,1,1073741824,{markdownDescription:o.localize(273,null)})),wordWrapOverride1:Te(new T(122,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:Te(new T(123,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:Te(new l(124,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],ze,{enumDescriptions:[o.localize(274,null),o.localize(275,null),o.localize(276,null),o.localize(277,null)],description:o.localize(278,null)})),wrappingStrategy:Te(new T(125,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[o.localize(279,null),o.localize(280,null)],description:o.localize(281,null)})),editorClassName:Te(new A),pixelRatio:Te(new ke),tabFocusMode:Te(new Me),layoutInfo:Te(new ae),wrappingInfo:Te(new xe)}}),define(Ee[117],be([18,19]),function(Y,e){return Y.create("vs/platform/configuration/common/configurationRegistry",e)}),define(Ee[118],be([18,19]),function(Y,e){return Y.create("vs/platform/extensions/common/extensionValidator",e)}),define(Ee[119],be([18,19]),function(Y,e){return Y.create("vs/platform/files/common/files",e)}),define(Ee[120],be([18,19]),function(Y,e){return Y.create("vs/platform/markers/common/markers",e)}),define(Ee[121],be([18,19]),function(Y,e){return Y.create("vs/platform/workspace/common/workspace",e)}),define(Ee[122],be([18,19]),function(Y,e){return Y.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(Ee[123],be([18,19]),function(Y,e){return Y.create("vs/workbench/api/common/extHostExtensionService",e)}),define(Ee[124],be([18,19]),function(Y,e){return Y.create("vs/workbench/api/common/extHostProgress",e)}),define(Ee[125],be([18,19]),function(Y,e){return Y.create("vs/workbench/api/common/extHostStatusBar",e)}),define(Ee[126],be([18,19]),function(Y,e){return Y.create("vs/workbench/api/common/extHostTerminalService",e)}),define(Ee[127],be([18,19]),function(Y,e){return Y.create("vs/workbench/api/common/extHostTreeViews",e)}),define(Ee[128],be([18,19]),function(Y,e){return Y.create("vs/workbench/api/common/extHostWorkspace",e)}),define(Ee[129],be([18,19]),function(Y,e){return Y.create("vs/workbench/common/editor",e)}),define(Ee[130],be([18,19]),function(Y,e){return Y.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(Ee[131],be([18,19]),function(Y,e){return Y.create("vs/workbench/contrib/debug/common/debug",e)}),define(Ee[132],be([18,19]),function(Y,e){return Y.create("vs/workbench/contrib/tasks/common/taskService",e)}),define(Ee[133],be([18,19]),function(Y,e){return Y.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(Ee[134],be([18,19]),function(Y,e){return Y.create("vs/workbench/services/search/common/queryBuilder",e)}),define(Ee[135],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextEditorSelectionSource=e.TextEditorSelectionRevealType=e.EditorOpenSource=e.EditorResolution=e.EditorActivation=void 0;var o;(function(P){P[P.ACTIVATE=1]="ACTIVATE",P[P.RESTORE=2]="RESTORE",P[P.PRESERVE=3]="PRESERVE"})(o=e.EditorActivation||(e.EditorActivation={}));var I;(function(P){P[P.PICK=0]="PICK",P[P.DISABLED=1]="DISABLED",P[P.EXCLUSIVE_ONLY=2]="EXCLUSIVE_ONLY"})(I=e.EditorResolution||(e.EditorResolution={}));var _;(function(P){P[P.API=0]="API",P[P.USER=1]="USER"})(_=e.EditorOpenSource||(e.EditorOpenSource={}));var B;(function(P){P[P.Center=0]="Center",P[P.CenterIfOutsideViewport=1]="CenterIfOutsideViewport",P[P.NearTop=2]="NearTop",P[P.NearTopIfOutsideViewport=3]="NearTopIfOutsideViewport"})(B=e.TextEditorSelectionRevealType||(e.TextEditorSelectionRevealType={}));var y;(function(P){P.PROGRAMMATIC="api",P.NAVIGATION="code.navigation",P.JUMP="code.jump"})(y=e.TextEditorSelectionSource||(e.TextEditorSelectionSource={}))}),define(Ee[136],be([1,0,118]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const I=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,_=/^-(\d{4})(\d{2})(\d{2})$/;function B(c){return c=c.trim(),c==="*"||I.test(c)}e.isValidVersionStr=B;function y(c){if(!B(c))return null;if(c=c.trim(),c==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let g=c.match(I);return g?{hasCaret:g[1]==="^",hasGreaterEquals:g[1]===">=",majorBase:g[2]==="x"?0:parseInt(g[2],10),majorMustEqual:g[2]!=="x",minorBase:g[4]==="x"?0:parseInt(g[4],10),minorMustEqual:g[4]!=="x",patchBase:g[6]==="x"?0:parseInt(g[6],10),patchMustEqual:g[6]!=="x",preRelease:g[8]||null}:null}e.parseVersion=y;function P(c){if(!c)return null;let g=c.majorBase,s=c.majorMustEqual,n=c.minorBase,m=c.minorMustEqual,w=c.patchBase,R=c.patchMustEqual;c.hasCaret&&(g===0||(m=!1),R=!1);let h=0;if(c.preRelease){const f=_.exec(c.preRelease);if(f){const[,v,r,T]=f;h=Date.UTC(Number(v),Number(r)-1,Number(T))}}return{majorBase:g,majorMustEqual:s,minorBase:n,minorMustEqual:m,patchBase:w,patchMustEqual:R,isMinimum:c.hasGreaterEquals,notBefore:h}}e.normalizeVersion=P;function C(c,g,s){let n;typeof c=="string"?n=P(y(c)):n=c;let m;g instanceof Date?m=g.getTime():typeof g=="string"&&(m=new Date(g).getTime());let w;if(typeof s=="string"?w=P(y(s)):w=s,!n||!w)return!1;let R=n.majorBase,h=n.minorBase,f=n.patchBase,v=w.majorBase,r=w.minorBase,T=w.patchBase,l=w.notBefore,i=w.majorMustEqual,u=w.minorMustEqual,t=w.patchMustEqual;return w.isMinimum?R>v?!0:R<v?!1:h>r?!0:h<r||m&&m<l?!1:f>=T:(R===1&&v===0&&(!i||!u||!t)&&(v=1,r=0,T=0,i=!0,u=!1,t=!1),R<v?!1:R>v?!i:h<r?!1:h>r?!u:f<T?!1:f>T?!t:!(m&&m<l))}e.isValidVersion=C;function L(c,g,s,n){return s.isBuiltin||typeof s.main=="undefined"?!0:E(c,g,s.engines.vscode,n)}e.isValidExtensionVersion=L;function M(c,g,s){return c==="*"||E(g,s,c)}e.isEngineValid=M;function E(c,g,s,n=[]){let m=P(y(s));if(!m)return n.push(o.localize(0,null,s)),!1;if(m.majorBase===0){if(!m.majorMustEqual||!m.minorMustEqual)return n.push(o.localize(1,null,s)),!1}else if(!m.majorMustEqual)return n.push(o.localize(2,null,s)),!1;return C(c,g,m)?!0:(n.push(o.localize(3,null,c,s)),!1)}}),define(Ee[76],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class o{constructor(_,B=[],y=!1){this.ctor=_,this.staticArguments=B,this.supportsDelayedInstantiation=y}}e.SyncDescriptor=o}),define(Ee[44],be([1,0,76]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const I=[];function _(y,P,C){P instanceof o.SyncDescriptor||(P=new o.SyncDescriptor(P,[],C)),I.push([y,P])}e.registerSingleton=_;function B(){return I}e.getSingletonServiceDescriptors=B}),define(Ee[137],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class o{constructor(B){this.incoming=new Map,this.outgoing=new Map,this.data=B}}e.Node=o;class I{constructor(B){this._hashFn=B,this._nodes=new Map}roots(){const B=[];for(let y of this._nodes.values())y.outgoing.size===0&&B.push(y);return B}insertEdge(B,y){const P=this.lookupOrInsertNode(B),C=this.lookupOrInsertNode(y);P.outgoing.set(this._hashFn(y),C),C.incoming.set(this._hashFn(B),P)}removeNode(B){const y=this._hashFn(B);this._nodes.delete(y);for(let P of this._nodes.values())P.outgoing.delete(y),P.incoming.delete(y)}lookupOrInsertNode(B){const y=this._hashFn(B);let P=this._nodes.get(y);return P||(P=new o(B),this._nodes.set(y,P)),P}lookup(B){return this._nodes.get(this._hashFn(B))}isEmpty(){return this._nodes.size===0}toString(){let B=[];for(let[y,P]of this._nodes)B.push(`${y}, (incoming)[${[...P.incoming.keys()].join(", ")}], (outgoing)[${[...P.outgoing.keys()].join(",")}]`);return B.join(`
`)}findCycleSlow(){for(let[B,y]of this._nodes){const P=new Set([B]),C=this._findCycle(y,P);if(C)return C}}_findCycle(B,y){for(let[P,C]of B.outgoing){if(y.has(P))return[...y,P].join(" -> ");y.add(P);const L=this._findCycle(C,y);if(L)return L;y.delete(P)}}}e.Graph=I}),define(Ee[3],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var o;(function(y){y.serviceIds=new Map,y.DI_TARGET="$di$target",y.DI_DEPENDENCIES="$di$dependencies";function P(C){return C[y.DI_DEPENDENCIES]||[]}y.getServiceDependencies=P})(o=e._util||(e._util={})),e.IInstantiationService=_("instantiationService");function I(y,P,C,L){P[o.DI_TARGET]===P?P[o.DI_DEPENDENCIES].push({id:y,index:C,optional:L}):(P[o.DI_DEPENDENCIES]=[{id:y,index:C,optional:L}],P[o.DI_TARGET]=P)}function _(y){if(o.serviceIds.has(y))return o.serviceIds.get(y);const P=function(C,L,M){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");I(P,C,M,!1)};return P.toString=()=>y,o.serviceIds.set(y,P),P}e.createDecorator=_;function B(y){return y}e.refineServiceDecorator=B}),define(Ee[77],be([1,0,11,2,3]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,_.createDecorator)("configurationService");function B(m){return m&&typeof m=="object"&&(!m.overrideIdentifier||typeof m.overrideIdentifier=="string")&&(!m.resource||m.resource instanceof I.URI)}e.isConfigurationOverrides=B;function y(m){return m&&typeof m=="object"&&(!m.overrideIdentifiers||o.isArray(m.overrideIdentifiers))&&!m.overrideIdentifier&&(!m.resource||m.resource instanceof I.URI)}e.isConfigurationUpdateOverrides=y;var P;(function(m){m[m.USER=1]="USER",m[m.USER_LOCAL=2]="USER_LOCAL",m[m.USER_REMOTE=3]="USER_REMOTE",m[m.WORKSPACE=4]="WORKSPACE",m[m.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",m[m.DEFAULT=6]="DEFAULT",m[m.MEMORY=7]="MEMORY"})(P=e.ConfigurationTarget||(e.ConfigurationTarget={}));function C(m){switch(m){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=C;function L(m,w){const R=Object.create(null);for(let h in m)M(R,h,m[h],w);return R}e.toValuesTree=L;function M(m,w,R,h){const f=w.split("."),v=f.pop();let r=m;for(let T=0;T<f.length;T++){let l=f[T],i=r[l];switch(typeof i){case"undefined":i=r[l]=Object.create(null);break;case"object":break;default:h(`Ignoring ${w} as ${f.slice(0,T+1).join(".")} is ${JSON.stringify(i)}`);return}r=i}if(typeof r=="object"&&r!==null)try{r[v]=R}catch{h(`Ignoring ${w} as ${f.join(".")} is ${JSON.stringify(r)}`)}else h(`Ignoring ${w} as ${f.join(".")} is ${JSON.stringify(r)}`)}e.addToValueTree=M;function E(m,w){const R=w.split(".");c(m,R)}e.removeFromValueTree=E;function c(m,w){const R=w.shift();if(w.length===0){delete m[R];return}if(Object.keys(m).indexOf(R)!==-1){const h=m[R];typeof h=="object"&&!Array.isArray(h)&&(c(h,w),Object.keys(h).length===0&&delete m[R])}}function g(m,w,R){function h(r,T){let l=r;for(const i of T){if(typeof l!="object"||l===null)return;l=l[i]}return l}const f=w.split("."),v=h(m,f);return typeof v=="undefined"?R:v}e.getConfigurationValue=g;function s(m,w,R){Object.keys(w).forEach(h=>{h!=="__proto__"&&(h in m?o.isObject(m[h])&&o.isObject(w[h])?s(m[h],w[h],R):R&&(m[h]=w[h]):m[h]=w[h])})}e.merge=s;function n(m,w,R){const h=m.inspect(w),f=m.inspect(R);return typeof h.userValue!="undefined"||typeof h.workspaceValue!="undefined"||typeof h.workspaceFolderValue!="undefined"?h.value:typeof f.userValue!="undefined"||typeof f.workspaceValue!="undefined"||typeof f.workspaceFolderValue!="undefined"?f.value:h.defaultValue}e.getMigratedSettingValue=n}),define(Ee[45],be([1,0,23,10,3]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.implies=e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.expressionsAreEqualWithConstantSubstitution=e.ContextKeyExpr=e.ContextKeyExprType=void 0;const B=new Map;B.set("false",!1),B.set("true",!0),B.set("isMac",o.isMacintosh),B.set("isLinux",o.isLinux),B.set("isWindows",o.isWindows),B.set("isWeb",o.isWeb),B.set("isMacNative",o.isMacintosh&&!o.isWeb),B.set("isEdge",o.isEdge),B.set("isFirefox",o.isFirefox),B.set("isChrome",o.isChrome),B.set("isSafari",o.isSafari);const y=Object.prototype.hasOwnProperty;var P;(function(W){W[W.False=0]="False",W[W.True=1]="True",W[W.Defined=2]="Defined",W[W.Not=3]="Not",W[W.Equals=4]="Equals",W[W.NotEquals=5]="NotEquals",W[W.And=6]="And",W[W.Regex=7]="Regex",W[W.NotRegex=8]="NotRegex",W[W.Or=9]="Or",W[W.In=10]="In",W[W.NotIn=11]="NotIn",W[W.Greater=12]="Greater",W[W.GreaterEquals=13]="GreaterEquals",W[W.Smaller=14]="Smaller",W[W.SmallerEquals=15]="SmallerEquals"})(P=e.ContextKeyExprType||(e.ContextKeyExprType={}));class C{static false(){return E.INSTANCE}static true(){return c.INSTANCE}static has(b){return g.create(b)}static equals(b,H){return s.create(b,H)}static notEquals(b,H){return w.create(b,H)}static regex(b,H){return l.create(b,H)}static in(b,H){return n.create(b,H)}static not(b){return R.create(b)}static and(...b){return t.create(b,null)}static or(...b){return a.create(b,null,!0)}static greater(b,H){return f.create(b,H)}static greaterEquals(b,H){return v.create(b,H)}static smaller(b,H){return r.create(b,H)}static smallerEquals(b,H){return T.create(b,H)}static deserialize(b,H=!1){if(!!b)return this._deserializeOrExpression(b,H)}static _deserializeOrExpression(b,H){let q=b.split("||");return a.create(q.map($=>this._deserializeAndExpression($,H)),null,!0)}static _deserializeAndExpression(b,H){let q=b.split("&&");return t.create(q.map($=>this._deserializeOne($,H)),null)}static _deserializeOne(b,H){if(b=b.trim(),b.indexOf("!=")>=0){let q=b.split("!=");return w.create(q[0].trim(),this._deserializeValue(q[1],H))}if(b.indexOf("==")>=0){let q=b.split("==");return s.create(q[0].trim(),this._deserializeValue(q[1],H))}if(b.indexOf("=~")>=0){let q=b.split("=~");return l.create(q[0].trim(),this._deserializeRegexValue(q[1],H))}if(b.indexOf(" in ")>=0){let q=b.split(" in ");return n.create(q[0].trim(),q[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(b)){const q=b.split(">=");return v.create(q[0].trim(),q[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(b)){const q=b.split(">");return f.create(q[0].trim(),q[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(b)){const q=b.split("<=");return T.create(q[0].trim(),q[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(b)){const q=b.split("<");return r.create(q[0].trim(),q[1].trim())}return/^\!\s*/.test(b)?R.create(b.substr(1).trim()):g.create(b)}static _deserializeValue(b,H){if(b=b.trim(),b==="true")return!0;if(b==="false")return!1;let q=/^'([^']*)'$/.exec(b);return q?q[1].trim():b}static _deserializeRegexValue(b,H){if((0,I.isFalsyOrWhitespace)(b)){if(H)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let q=b.indexOf("/"),$=b.lastIndexOf("/");if(q===$||q<0){if(H)throw new Error(`bad regexp-value '${b}', missing /-enclosure`);return console.warn(`bad regexp-value '${b}', missing /-enclosure`),null}let j=b.slice(q+1,$),J=b[$+1]==="i"?"i":"";try{return new RegExp(j,J)}catch(z){if(H)throw new Error(`bad regexp-value '${b}', parse error: ${z}`);return console.warn(`bad regexp-value '${b}', parse error: ${z}`),null}}}e.ContextKeyExpr=C;function L(W,b){const H=W?W.substituteConstants():void 0,q=b?b.substituteConstants():void 0;return!H&&!q?!0:!H||!q?!1:H.equals(q)}e.expressionsAreEqualWithConstantSubstitution=L;function M(W,b){return W.cmp(b)}class E{constructor(){this.type=0}cmp(b){return this.type-b.type}equals(b){return b.type===this.type}substituteConstants(){return this}evaluate(b){return!1}serialize(){return"false"}keys(){return[]}map(b){return this}negate(){return c.INSTANCE}}e.ContextKeyFalseExpr=E,E.INSTANCE=new E;class c{constructor(){this.type=1}cmp(b){return this.type-b.type}equals(b){return b.type===this.type}substituteConstants(){return this}evaluate(b){return!0}serialize(){return"true"}keys(){return[]}map(b){return this}negate(){return E.INSTANCE}}e.ContextKeyTrueExpr=c,c.INSTANCE=new c;class g{constructor(b,H){this.key=b,this.negated=H,this.type=2}static create(b,H=null){const q=B.get(b);return typeof q=="boolean"?q?c.INSTANCE:E.INSTANCE:new g(b,H)}cmp(b){return b.type!==this.type?this.type-b.type:d(this.key,b.key)}equals(b){return b.type===this.type?this.key===b.key:!1}substituteConstants(){const b=B.get(this.key);return typeof b=="boolean"?b?c.INSTANCE:E.INSTANCE:this}evaluate(b){return!!b.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(b){return b.mapDefined(this.key)}negate(){return this.negated||(this.negated=R.create(this.key,this)),this.negated}}e.ContextKeyDefinedExpr=g;class s{constructor(b,H,q){this.key=b,this.value=H,this.negated=q,this.type=4}static create(b,H,q=null){if(typeof H=="boolean")return H?g.create(b,q):R.create(b,q);const $=B.get(b);return typeof $=="boolean"?H===($?"true":"false")?c.INSTANCE:E.INSTANCE:new s(b,H,q)}cmp(b){return b.type!==this.type?this.type-b.type:S(this.key,this.value,b.key,b.value)}equals(b){return b.type===this.type?this.key===b.key&&this.value===b.value:!1}substituteConstants(){const b=B.get(this.key);if(typeof b=="boolean"){const H=b?"true":"false";return this.value===H?c.INSTANCE:E.INSTANCE}return this}evaluate(b){return b.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(b){return b.mapEquals(this.key,this.value)}negate(){return this.negated||(this.negated=w.create(this.key,this.value,this)),this.negated}}e.ContextKeyEqualsExpr=s;class n{constructor(b,H){this.key=b,this.valueKey=H,this.type=10,this.negated=null}static create(b,H){return new n(b,H)}cmp(b){return b.type!==this.type?this.type-b.type:S(this.key,this.valueKey,b.key,b.valueKey)}equals(b){return b.type===this.type?this.key===b.key&&this.valueKey===b.valueKey:!1}substituteConstants(){return this}evaluate(b){const H=b.getValue(this.valueKey),q=b.getValue(this.key);return Array.isArray(H)?H.indexOf(q)>=0:typeof q=="string"&&typeof H=="object"&&H!==null?y.call(H,q):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(b){return b.mapIn(this.key,this.valueKey)}negate(){return this.negated||(this.negated=m.create(this)),this.negated}}e.ContextKeyInExpr=n;class m{constructor(b){this._actual=b,this.type=11}static create(b){return new m(b)}cmp(b){return b.type!==this.type?this.type-b.type:this._actual.cmp(b._actual)}equals(b){return b.type===this.type?this._actual.equals(b._actual):!1}substituteConstants(){return this}evaluate(b){return!this._actual.evaluate(b)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(b){return new m(this._actual.map(b))}negate(){return this._actual}}e.ContextKeyNotInExpr=m;class w{constructor(b,H,q){this.key=b,this.value=H,this.negated=q,this.type=5}static create(b,H,q=null){if(typeof H=="boolean")return H?R.create(b,q):g.create(b,q);const $=B.get(b);return typeof $=="boolean"?H===($?"true":"false")?E.INSTANCE:c.INSTANCE:new w(b,H,q)}cmp(b){return b.type!==this.type?this.type-b.type:S(this.key,this.value,b.key,b.value)}equals(b){return b.type===this.type?this.key===b.key&&this.value===b.value:!1}substituteConstants(){const b=B.get(this.key);if(typeof b=="boolean"){const H=b?"true":"false";return this.value===H?E.INSTANCE:c.INSTANCE}return this}evaluate(b){return b.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(b){return b.mapNotEquals(this.key,this.value)}negate(){return this.negated||(this.negated=s.create(this.key,this.value,this)),this.negated}}e.ContextKeyNotEqualsExpr=w;class R{constructor(b,H){this.key=b,this.negated=H,this.type=3}static create(b,H=null){const q=B.get(b);return typeof q=="boolean"?q?E.INSTANCE:c.INSTANCE:new R(b,H)}cmp(b){return b.type!==this.type?this.type-b.type:d(this.key,b.key)}equals(b){return b.type===this.type?this.key===b.key:!1}substituteConstants(){const b=B.get(this.key);return typeof b=="boolean"?b?E.INSTANCE:c.INSTANCE:this}evaluate(b){return!b.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(b){return b.mapNot(this.key)}negate(){return this.negated||(this.negated=g.create(this.key,this)),this.negated}}e.ContextKeyNotExpr=R;function h(W,b){if(typeof W=="string"){const H=parseFloat(W);isNaN(H)||(W=H)}return typeof W=="string"||typeof W=="number"?b(W):E.INSTANCE}class f{constructor(b,H,q){this.key=b,this.value=H,this.negated=q,this.type=12}static create(b,H,q=null){return h(H,$=>new f(b,$,q))}cmp(b){return b.type!==this.type?this.type-b.type:S(this.key,this.value,b.key,b.value)}equals(b){return b.type===this.type?this.key===b.key&&this.value===b.value:!1}substituteConstants(){return this}evaluate(b){return typeof this.value=="string"?!1:parseFloat(b.getValue(this.key))>this.value}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(b){return b.mapGreater(this.key,this.value)}negate(){return this.negated||(this.negated=T.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterExpr=f;class v{constructor(b,H,q){this.key=b,this.value=H,this.negated=q,this.type=13}static create(b,H,q=null){return h(H,$=>new v(b,$,q))}cmp(b){return b.type!==this.type?this.type-b.type:S(this.key,this.value,b.key,b.value)}equals(b){return b.type===this.type?this.key===b.key&&this.value===b.value:!1}substituteConstants(){return this}evaluate(b){return typeof this.value=="string"?!1:parseFloat(b.getValue(this.key))>=this.value}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(b){return b.mapGreaterEquals(this.key,this.value)}negate(){return this.negated||(this.negated=r.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterEqualsExpr=v;class r{constructor(b,H,q){this.key=b,this.value=H,this.negated=q,this.type=14}static create(b,H,q=null){return h(H,$=>new r(b,$,q))}cmp(b){return b.type!==this.type?this.type-b.type:S(this.key,this.value,b.key,b.value)}equals(b){return b.type===this.type?this.key===b.key&&this.value===b.value:!1}substituteConstants(){return this}evaluate(b){return typeof this.value=="string"?!1:parseFloat(b.getValue(this.key))<this.value}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(b){return b.mapSmaller(this.key,this.value)}negate(){return this.negated||(this.negated=v.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerExpr=r;class T{constructor(b,H,q){this.key=b,this.value=H,this.negated=q,this.type=15}static create(b,H,q=null){return h(H,$=>new T(b,$,q))}cmp(b){return b.type!==this.type?this.type-b.type:S(this.key,this.value,b.key,b.value)}equals(b){return b.type===this.type?this.key===b.key&&this.value===b.value:!1}substituteConstants(){return this}evaluate(b){return typeof this.value=="string"?!1:parseFloat(b.getValue(this.key))<=this.value}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(b){return b.mapSmallerEquals(this.key,this.value)}negate(){return this.negated||(this.negated=f.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerEqualsExpr=T;class l{constructor(b,H){this.key=b,this.regexp=H,this.type=7,this.negated=null}static create(b,H){return new l(b,H)}cmp(b){if(b.type!==this.type)return this.type-b.type;if(this.key<b.key)return-1;if(this.key>b.key)return 1;const H=this.regexp?this.regexp.source:"",q=b.regexp?b.regexp.source:"";return H<q?-1:H>q?1:0}equals(b){if(b.type===this.type){const H=this.regexp?this.regexp.source:"",q=b.regexp?b.regexp.source:"";return this.key===b.key&&H===q}return!1}substituteConstants(){return this}evaluate(b){let H=b.getValue(this.key);return this.regexp?this.regexp.test(H):!1}serialize(){const b=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${b}`}keys(){return[this.key]}map(b){return b.mapRegex(this.key,this.regexp)}negate(){return this.negated||(this.negated=i.create(this)),this.negated}}e.ContextKeyRegexExpr=l;class i{constructor(b){this._actual=b,this.type=8}static create(b){return new i(b)}cmp(b){return b.type!==this.type?this.type-b.type:this._actual.cmp(b._actual)}equals(b){return b.type===this.type?this._actual.equals(b._actual):!1}substituteConstants(){return this}evaluate(b){return!this._actual.evaluate(b)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(b){return new i(this._actual.map(b))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=i;function u(W){let b=null;for(let H=0,q=W.length;H<q;H++){const $=W[H].substituteConstants();if(W[H]!==$&&b===null){b=[];for(let j=0;j<H;j++)b[j]=W[j]}b!==null&&(b[H]=$)}return b===null?W:b}class t{constructor(b,H){this.expr=b,this.negated=H,this.type=6}static create(b,H){return t._normalizeArr(b,H)}cmp(b){if(b.type!==this.type)return this.type-b.type;if(this.expr.length<b.expr.length)return-1;if(this.expr.length>b.expr.length)return 1;for(let H=0,q=this.expr.length;H<q;H++){const $=M(this.expr[H],b.expr[H]);if($!==0)return $}return 0}equals(b){if(b.type===this.type){if(this.expr.length!==b.expr.length)return!1;for(let H=0,q=this.expr.length;H<q;H++)if(!this.expr[H].equals(b.expr[H]))return!1;return!0}return!1}substituteConstants(){const b=u(this.expr);return b===this.expr?this:t.create(b,this.negated)}evaluate(b){for(let H=0,q=this.expr.length;H<q;H++)if(!this.expr[H].evaluate(b))return!1;return!0}static _normalizeArr(b,H){const q=[];let $=!1;for(const j of b)if(!!j){if(j.type===1){$=!0;continue}if(j.type===0)return E.INSTANCE;if(j.type===6){q.push(...j.expr);continue}q.push(j)}if(q.length===0&&$)return c.INSTANCE;if(q.length!==0){if(q.length===1)return q[0];q.sort(M);for(let j=1;j<q.length;j++)q[j-1].equals(q[j])&&(q.splice(j,1),j--);if(q.length===1)return q[0];for(;q.length>1;){const j=q[q.length-1];if(j.type!==9)break;q.pop();const J=q.pop(),z=q.length===0,ie=a.create(j.expr.map(ae=>t.create([ae,J],null)),null,z);ie&&(q.push(ie),q.sort(M))}return q.length===1?q[0]:new t(q,H)}}serialize(){return this.expr.map(b=>b.serialize()).join(" && ")}keys(){const b=[];for(let H of this.expr)b.push(...H.keys());return b}map(b){return new t(this.expr.map(H=>H.map(b)),null)}negate(){if(!this.negated){const b=[];for(let H of this.expr)b.push(H.negate());this.negated=a.create(b,this,!0)}return this.negated}}class a{constructor(b,H){this.expr=b,this.negated=H,this.type=9}static create(b,H,q){return a._normalizeArr(b,H,q)}cmp(b){if(b.type!==this.type)return this.type-b.type;if(this.expr.length<b.expr.length)return-1;if(this.expr.length>b.expr.length)return 1;for(let H=0,q=this.expr.length;H<q;H++){const $=M(this.expr[H],b.expr[H]);if($!==0)return $}return 0}equals(b){if(b.type===this.type){if(this.expr.length!==b.expr.length)return!1;for(let H=0,q=this.expr.length;H<q;H++)if(!this.expr[H].equals(b.expr[H]))return!1;return!0}return!1}substituteConstants(){const b=u(this.expr);return b===this.expr?this:a.create(b,this.negated,!1)}evaluate(b){for(let H=0,q=this.expr.length;H<q;H++)if(this.expr[H].evaluate(b))return!0;return!1}static _normalizeArr(b,H,q){let $=[],j=!1;if(b){for(let J=0,z=b.length;J<z;J++){const ie=b[J];if(!!ie){if(ie.type===0){j=!0;continue}if(ie.type===1)return c.INSTANCE;if(ie.type===9){$=$.concat(ie.expr);continue}$.push(ie)}}if($.length===0&&j)return E.INSTANCE;$.sort(M)}if($.length!==0){if($.length===1)return $[0];for(let J=1;J<$.length;J++)$[J-1].equals($[J])&&($.splice(J,1),J--);if($.length===1)return $[0];if(q){for(let J=0;J<$.length;J++)for(let z=J+1;z<$.length;z++)k($[J],$[z])&&($.splice(z,1),z--);if($.length===1)return $[0]}return new a($,H)}}serialize(){return this.expr.map(b=>b.serialize()).join(" || ")}keys(){const b=[];for(let H of this.expr)b.push(...H.keys());return b}map(b){return new a(this.expr.map(H=>H.map(b)),null)}negate(){if(!this.negated){let b=[];for(let H of this.expr)b.push(H.negate());for(;b.length>1;){const H=b.shift(),q=b.shift(),$=[];for(const J of A(H))for(const z of A(q))$.push(t.create([J,z],null));const j=b.length===0;b.unshift(a.create($,null,j))}this.negated=b[0]}return this.negated}}class p extends g{constructor(b,H,q){super(b,null);this._defaultValue=H,typeof q=="object"?p._info.push({...q,key:b}):q!==!0&&p._info.push({key:b,description:q,type:H!=null?typeof H:void 0})}static all(){return p._info.values()}bindTo(b){return b.createKey(this.key,this._defaultValue)}getValue(b){return b.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(b){return s.create(this.key,b)}notEqualsTo(b){return w.create(this.key,b)}}e.RawContextKey=p,p._info=[],e.IContextKeyService=(0,_.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function d(W,b){return W<b?-1:W>b?1:0}function S(W,b,H,q){return W<H?-1:W>H?1:b<q?-1:b>q?1:0}function k(W,b){if(b.type===6&&W.type!==9&&W.type!==6){for(const $ of b.expr)if(W.equals($))return!0}const H=W.negate(),q=A(H).concat(A(b));q.sort(M);for(let $=0;$<q.length;$++){const J=q[$].negate();for(let z=$+1;z<q.length;z++){const ie=q[z];if(J.equals(ie))return!0}}return!1}e.implies=k;function A(W){return W.type===9?W.expr:[W]}}),define(Ee[138],be([1,0,3]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,o.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,o.refineServiceDecorator)(e.IEnvironmentService)}),define(Ee[46],be([1,0,22,17,10,11,2,119,3]),function(Y,e,o,I,_,B,y,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,C.createDecorator)("fileService");function L(j){return j.create===!0}e.isFileOpenForWriteOptions=L;var M;(function(j){j[j.Unknown=0]="Unknown",j[j.File=1]="File",j[j.Directory=2]="Directory",j[j.SymbolicLink=64]="SymbolicLink"})(M=e.FileType||(e.FileType={}));var E;(function(j){j[j.Readonly=1]="Readonly"})(E=e.FilePermission||(e.FilePermission={}));var c;(function(j){j[j.FileReadWrite=2]="FileReadWrite",j[j.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",j[j.FileReadStream=16]="FileReadStream",j[j.FileFolderCopy=8]="FileFolderCopy",j[j.PathCaseSensitive=1024]="PathCaseSensitive",j[j.Readonly=2048]="Readonly",j[j.Trash=4096]="Trash",j[j.FileWriteUnlock=8192]="FileWriteUnlock",j[j.FileAtomicRead=16384]="FileAtomicRead"})(c=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function g(j){return!!(j.capabilities&2)}e.hasReadWriteCapability=g;function s(j){return!!(j.capabilities&8)}e.hasFileFolderCopyCapability=s;function n(j){return!!(j.capabilities&4)}e.hasOpenReadWriteCloseCapability=n;function m(j){return!!(j.capabilities&16)}e.hasFileReadStreamCapability=m;function w(j){return g(j)?!!(j.capabilities&16384):!1}e.hasFileAtomicReadCapability=w;var R;(function(j){j.FileExists="EntryExists",j.FileNotFound="EntryNotFound",j.FileNotADirectory="EntryNotADirectory",j.FileIsADirectory="EntryIsADirectory",j.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",j.FileTooLarge="EntryTooLarge",j.FileWriteLocked="EntryWriteLocked",j.NoPermissions="NoPermissions",j.Unavailable="Unavailable",j.Unknown="Unknown"})(R=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class h extends Error{constructor(J,z){super(J);this.code=z}}e.FileSystemProviderError=h;function f(j,J){const z=new h(j.toString(),J);return r(z,J),z}e.createFileSystemProviderError=f;function v(j){return j||f((0,P.localize)(0,null),R.Unknown)}e.ensureFileSystemProviderError=v;function r(j,J){return j.name=J?`${J} (FileSystemError)`:"FileSystemError",j}e.markAsFileSystemProviderError=r;function T(j){if(!j)return R.Unknown;if(j instanceof h)return j.code;const J=/^(.+) \(FileSystemError\)$/.exec(j.name);if(!J)return R.Unknown;switch(J[1]){case R.FileExists:return R.FileExists;case R.FileIsADirectory:return R.FileIsADirectory;case R.FileNotADirectory:return R.FileNotADirectory;case R.FileNotFound:return R.FileNotFound;case R.FileExceedsMemoryLimit:return R.FileExceedsMemoryLimit;case R.FileTooLarge:return R.FileTooLarge;case R.FileWriteLocked:return R.FileWriteLocked;case R.NoPermissions:return R.NoPermissions;case R.Unavailable:return R.Unavailable}return R.Unknown}e.toFileSystemProviderErrorCode=T;function l(j){if(j instanceof d)return j.fileOperationResult;switch(T(j)){case R.FileNotFound:return 1;case R.FileIsADirectory:return 0;case R.FileNotADirectory:return 10;case R.FileWriteLocked:return 5;case R.NoPermissions:return 6;case R.FileExists:return 4;case R.FileExceedsMemoryLimit:return 9;case R.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=l;var i;(function(j){j[j.CREATE=0]="CREATE",j[j.DELETE=1]="DELETE",j[j.MOVE=2]="MOVE",j[j.COPY=3]="COPY",j[j.WRITE=4]="WRITE"})(i=e.FileOperation||(e.FileOperation={}));class u{constructor(J,z,ie){this.resource=J,this.operation=z,this.target=ie}isOperation(J){return this.operation===J}}e.FileOperationEvent=u;var t;(function(j){j[j.UPDATED=0]="UPDATED",j[j.ADDED=1]="ADDED",j[j.DELETED=2]="DELETED"})(t=e.FileChangeType||(e.FileChangeType={}));class a{constructor(J,z){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=J;const ie=new Map;for(const ae of J){const te=ie.get(ae.type);switch(te?te.push([ae.resource,ae]):ie.set(ae.type,[[ae.resource,ae]]),ae.type){case 1:this.rawAdded.push(ae.resource);break;case 0:this.rawUpdated.push(ae.resource);break;case 2:this.rawDeleted.push(ae.resource);break}}for(const[ae,te]of ie)switch(ae){case 1:this.added=o.TernarySearchTree.forUris(()=>z),this.added.fill(te);break;case 0:this.updated=o.TernarySearchTree.forUris(()=>z),this.updated.fill(te);break;case 2:this.deleted=o.TernarySearchTree.forUris(()=>z),this.deleted.fill(te);break}}contains(J,...z){return this.doContains(J,{includeChildren:!1},...z)}affects(J,...z){return this.doContains(J,{includeChildren:!0},...z)}doContains(J,z,...ie){if(!J)return!1;const ae=ie.length>0;return!!((!ae||ie.includes(1))&&(this.added?.get(J)||z.includeChildren&&this.added?.findSuperstr(J))||(!ae||ie.includes(0))&&(this.updated?.get(J)||z.includeChildren&&this.updated?.findSuperstr(J))||(!ae||ie.includes(2))&&(this.deleted?.findSubstr(J)||z.includeChildren&&this.deleted?.findSuperstr(J)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=a;function p(j,J,z){return!j||!J||j===J||J.length>j.length?!1:(J.charAt(J.length-1)!==I.sep&&(J+=I.sep),z?(0,_.startsWithIgnoreCase)(j,J):j.indexOf(J)===0)}e.isParent=p;class d extends Error{constructor(J,z,ie){super(J);this.fileOperationResult=z,this.options=ie}}e.FileOperationError=d;class S extends d{constructor(J,z,ie){super(J,2,ie);this.stat=z}}e.NotModifiedSinceFileOperationError=S;var k;(function(j){j[j.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",j[j.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",j[j.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",j[j.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",j[j.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",j[j.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",j[j.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",j[j.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",j[j.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",j[j.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",j[j.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",j[j.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(k=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var A;(function(j){j[j.FILE=0]="FILE",j[j.FOLDER=1]="FOLDER",j[j.ROOT_FOLDER=2]="ROOT_FOLDER"})(A=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function W(j){if(!(typeof j.size!="number"||typeof j.mtime!="number"))return j.mtime.toString(29)+j.size.toString(31)}e.etag=W;async function b(j,J){if(!J.hasProvider(y.URI.from({scheme:j.scheme})))return new Promise(z=>{const ie=J.onDidChangeFileSystemProviderRegistrations(ae=>{ae.scheme===j.scheme&&ae.added&&(ie.dispose(),z())})})}e.whenProviderRegistered=b,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class H{static formatSize(J){return(0,B.isNumber)(J)||(J=0),J<H.KB?(0,P.localize)(1,null,J.toFixed(0)):J<H.MB?(0,P.localize)(2,null,(J/H.KB).toFixed(2)):J<H.GB?(0,P.localize)(3,null,(J/H.MB).toFixed(2)):J<H.TB?(0,P.localize)(4,null,(J/H.GB).toFixed(2)):(0,P.localize)(5,null,(J/H.TB).toFixed(2))}}e.ByteSize=H,H.KB=1024,H.MB=H.KB*H.KB,H.GB=H.MB*H.KB,H.TB=H.GB*H.KB;var q;(function(j){j[j.IA32=0]="IA32",j[j.OTHER=1]="OTHER"})(q=e.Arch||(e.Arch={}));function $(j){return{maxFileSize:j===0?300*H.MB:16*H.GB,maxHeapSize:j===0?700*H.MB:2*700*H.MB}}e.getPlatformLimits=$}),define(Ee[56],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class o{constructor(..._){this._entries=new Map;for(let[B,y]of _)this.set(B,y)}set(_,B){const y=this._entries.get(_);return this._entries.set(_,B),y}has(_){return this._entries.has(_)}get(_){return this._entries.get(_)}}e.ServiceCollection=o}),define(Ee[139],be([1,0,13,15,76,137,3,56]),function(Y,e,o,I,_,B,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Trace=e.InstantiationService=void 0;const C=!1;class L extends Error{constructor(s){super("cyclic dependency between services");this.message=s.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${s.toString()}`}}class M{constructor(s=new P.ServiceCollection,n=!1,m){this._activeInstantiations=new Set,this._services=s,this._strict=n,this._parent=m,this._services.set(y.IInstantiationService,this)}createChild(s){return new M(s,this._strict,this)}invokeFunction(s,...n){let m=c.traceInvocation(s),w=!1;try{return s({get:h=>{if(w)throw(0,I.illegalState)("service accessor is only valid during the invocation of its target method");const f=this._getOrCreateServiceInstance(h,m);if(!f)throw new Error(`[invokeFunction] unknown service '${h}'`);return f}},...n)}finally{w=!0,m.stop()}}createInstance(s,...n){let m,w;return s instanceof _.SyncDescriptor?(m=c.traceCreation(s.ctor),w=this._createInstance(s.ctor,s.staticArguments.concat(n),m)):(m=c.traceCreation(s),w=this._createInstance(s,n,m)),m.stop(),w}_createInstance(s,n=[],m){let w=y._util.getServiceDependencies(s).sort((f,v)=>f.index-v.index),R=[];for(const f of w){let v=this._getOrCreateServiceInstance(f.id,m);if(!v&&this._strict&&!f.optional)throw new Error(`[createInstance] ${s.name} depends on UNKNOWN service ${f.id}.`);R.push(v)}let h=w.length>0?w[0].index:n.length;if(n.length!==h){console.warn(`[createInstance] First service dependency of ${s.name} at position ${h+1} conflicts with ${n.length} static arguments`);let f=h-n.length;f>0?n=n.concat(new Array(f)):n=n.slice(0,h)}return new s(...[...n,...R])}_setServiceInstance(s,n){if(this._services.get(s)instanceof _.SyncDescriptor)this._services.set(s,n);else if(this._parent)this._parent._setServiceInstance(s,n);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(s){let n=this._services.get(s);return!n&&this._parent?this._parent._getServiceInstanceOrDescriptor(s):n}_getOrCreateServiceInstance(s,n){let m=this._getServiceInstanceOrDescriptor(s);return m instanceof _.SyncDescriptor?this._safeCreateAndCacheServiceInstance(s,m,n.branch(s,!0)):(n.branch(s,!1),m)}_safeCreateAndCacheServiceInstance(s,n,m){if(this._activeInstantiations.has(s))throw new Error(`illegal state - RECURSIVELY instantiating service '${s}'`);this._activeInstantiations.add(s);try{return this._createAndCacheServiceInstance(s,n,m)}finally{this._activeInstantiations.delete(s)}}_createAndCacheServiceInstance(s,n,m){const w=new B.Graph(f=>f.id.toString());let R=0;const h=[{id:s,desc:n,_trace:m}];for(;h.length;){const f=h.pop();if(w.lookupOrInsertNode(f),R++>1e3)throw new L(w);for(let v of y._util.getServiceDependencies(f.desc.ctor)){let r=this._getServiceInstanceOrDescriptor(v.id);if(!r&&!v.optional&&console.warn(`[createInstance] ${s} depends on ${v.id} which is NOT registered.`),r instanceof _.SyncDescriptor){const T={id:v.id,desc:r,_trace:f._trace.branch(v.id,!0)};w.insertEdge(f,T),h.push(T)}}}for(;;){const f=w.roots();if(f.length===0){if(!w.isEmpty())throw new L(w);break}for(const{data:v}of f){if(this._getServiceInstanceOrDescriptor(v.id)instanceof _.SyncDescriptor){const T=this._createServiceInstanceWithOwner(v.id,v.desc.ctor,v.desc.staticArguments,v.desc.supportsDelayedInstantiation,v._trace);this._setServiceInstance(v.id,T)}w.removeNode(v)}}return this._getServiceInstanceOrDescriptor(s)}_createServiceInstanceWithOwner(s,n,m=[],w,R){if(this._services.get(s)instanceof _.SyncDescriptor)return this._createServiceInstance(n,m,w,R);if(this._parent)return this._parent._createServiceInstanceWithOwner(s,n,m,w,R);throw new Error(`illegalState - creating UNKNOWN service instance ${n.name}`)}_createServiceInstance(s,n=[],m,w){if(m){const R=new o.IdleValue(()=>this._createInstance(s,n,w));return new Proxy(Object.create(null),{get(h,f){if(f in h)return h[f];let v=R.value,r=v[f];return typeof r!="function"||(r=r.bind(v),h[f]=r),r},set(h,f,v){return R.value[f]=v,!0}})}else return this._createInstance(s,n,w)}}e.InstantiationService=M;var E;(function(g){g[g.Creation=0]="Creation",g[g.Invocation=1]="Invocation",g[g.Branch=2]="Branch"})(E||(E={}));class c{constructor(s,n){this.type=s,this.name=n,this._start=Date.now(),this._dep=[]}static traceInvocation(s){return C?new c(1,s.name||s.toString().substring(0,42).replace(/\n/g,"")):c._None}static traceCreation(s){return C?new c(0,s.name):c._None}branch(s,n){let m=new c(2,s.toString());return this._dep.push([s,n,m]),m}stop(){let s=Date.now()-this._start;c._totals+=s;let n=!1;function m(R,h){let f=[],v=new Array(R+1).join("	");for(const[r,T,l]of h._dep)if(T&&l){n=!0,f.push(`${v}CREATES -> ${r}`);let i=m(R+1,l);i&&f.push(i)}else f.push(`${v}uses -> ${r}`);return f.join(`
`)}let w=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${m(1,this)}`,`DONE, took ${s.toFixed(2)}ms (grand total ${c._totals.toFixed(2)}ms)`];(s>2||n)&&console.log(w.join(`
`))}}e.Trace=c,c._None=new class extends c{constructor(){super(-1,null)}stop(){}branch(){return this}},c._totals=0}),define(Ee[12],be([1,0,43,5,6,23,3]),function(Y,e,o,I,_,B,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,y.createDecorator)("logService"),e.ILoggerService=(0,y.createDecorator)("loggerService");function P(){return new Date().toISOString()}var C;(function(T){T[T.Trace=0]="Trace",T[T.Debug=1]="Debug",T[T.Info=2]="Info",T[T.Warning=3]="Warning",T[T.Error=4]="Error",T[T.Critical=5]="Critical",T[T.Off=6]="Off"})(C=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=C.Info;function L(T,l,i){switch(l){case C.Trace:T.trace(i);break;case C.Debug:T.debug(i);break;case C.Info:T.info(i);break;case C.Warning:T.warn(i);break;case C.Error:T.error(i);break;case C.Critical:T.critical(i);break;default:throw new Error("Invalid log level")}}e.log=L;function M(T){let l="";for(let i=0;i<T.length;i++){let u=T[i];if(typeof u=="object")try{u=JSON.stringify(u)}catch{}l+=(i>0?" ":"")+u}return l}e.format=M;class E extends _.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new I.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(l){this.level!==l&&(this.level=l,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=E;class c extends E{constructor(l){super();this.logAlways=l}checkLogLevel(l){return this.logAlways||this.getLevel()<=l}trace(l,...i){this.checkLogLevel(C.Trace)&&this.log(C.Trace,M([l,...i]))}debug(l,...i){this.checkLogLevel(C.Debug)&&this.log(C.Debug,M([l,...i]))}info(l,...i){this.checkLogLevel(C.Info)&&this.log(C.Info,M([l,...i]))}warn(l,...i){this.checkLogLevel(C.Warning)&&this.log(C.Warning,M([l,...i]))}error(l,...i){if(this.checkLogLevel(C.Error))if(l instanceof Error){const u=Array.prototype.slice.call(arguments);u[0]=l.stack,this.log(C.Error,M(u))}else this.log(C.Error,M([l,...i]))}critical(l,...i){this.checkLogLevel(C.Critical)&&this.log(C.Critical,M([l,...i]))}flush(){}}e.AbstractMessageLogger=c;class g extends E{constructor(l=e.DEFAULT_LOG_LEVEL){super();this.setLevel(l),this.useColors=!B.isWindows}trace(l,...i){this.getLevel()<=C.Trace&&(this.useColors?console.log(`[90m[main ${P()}][0m`,l,...i):console.log(`[main ${P()}]`,l,...i))}debug(l,...i){this.getLevel()<=C.Debug&&(this.useColors?console.log(`[90m[main ${P()}][0m`,l,...i):console.log(`[main ${P()}]`,l,...i))}info(l,...i){this.getLevel()<=C.Info&&(this.useColors?console.log(`[90m[main ${P()}][0m`,l,...i):console.log(`[main ${P()}]`,l,...i))}warn(l,...i){this.getLevel()<=C.Warning&&(this.useColors?console.warn(`[93m[main ${P()}][0m`,l,...i):console.warn(`[main ${P()}]`,l,...i))}error(l,...i){this.getLevel()<=C.Error&&(this.useColors?console.error(`[91m[main ${P()}][0m`,l,...i):console.error(`[main ${P()}]`,l,...i))}critical(l,...i){this.getLevel()<=C.Critical&&(this.useColors?console.error(`[90m[main ${P()}][0m`,l,...i):console.error(`[main ${P()}]`,l,...i))}dispose(){}flush(){}}e.ConsoleMainLogger=g;class s extends E{constructor(l=e.DEFAULT_LOG_LEVEL){super();this.setLevel(l)}trace(l,...i){this.getLevel()<=C.Trace&&console.log("%cTRACE","color: #888",l,...i)}debug(l,...i){this.getLevel()<=C.Debug&&console.log("%cDEBUG","background: #eee; color: #888",l,...i)}info(l,...i){this.getLevel()<=C.Info&&console.log("%c INFO","color: #33f",l,...i)}warn(l,...i){this.getLevel()<=C.Warning&&console.log("%c WARN","color: #993",l,...i)}error(l,...i){this.getLevel()<=C.Error&&console.log("%c  ERR","color: #f33",l,...i)}critical(l,...i){this.getLevel()<=C.Critical&&console.log("%cCRITI","background: #f33; color: white",l,...i)}dispose(){}flush(){}}e.ConsoleLogger=s;class n extends E{constructor(l,i=e.DEFAULT_LOG_LEVEL){super();this.adapter=l,this.setLevel(i)}trace(l,...i){this.getLevel()<=C.Trace&&this.adapter.log(C.Trace,[this.extractMessage(l),...i])}debug(l,...i){this.getLevel()<=C.Debug&&this.adapter.log(C.Debug,[this.extractMessage(l),...i])}info(l,...i){this.getLevel()<=C.Info&&this.adapter.log(C.Info,[this.extractMessage(l),...i])}warn(l,...i){this.getLevel()<=C.Warning&&this.adapter.log(C.Warning,[this.extractMessage(l),...i])}error(l,...i){this.getLevel()<=C.Error&&this.adapter.log(C.Error,[this.extractMessage(l),...i])}critical(l,...i){this.getLevel()<=C.Critical&&this.adapter.log(C.Critical,[this.extractMessage(l),...i])}extractMessage(l){return typeof l=="string"?l:(0,o.toErrorMessage)(l,this.getLevel()<=C.Trace)}dispose(){}flush(){}}e.AdapterLogger=n;class m extends E{constructor(l){super();this.logServices=l,l.length&&this.setLevel(l[0].getLevel())}setLevel(l){for(const i of this.logServices)i.setLevel(l);super.setLevel(l)}trace(l,...i){for(const u of this.logServices)u.trace(l,...i)}debug(l,...i){for(const u of this.logServices)u.debug(l,...i)}info(l,...i){for(const u of this.logServices)u.info(l,...i)}warn(l,...i){for(const u of this.logServices)u.warn(l,...i)}error(l,...i){for(const u of this.logServices)u.error(l,...i)}critical(l,...i){for(const u of this.logServices)u.critical(l,...i)}flush(){for(const l of this.logServices)l.flush()}dispose(){for(const l of this.logServices)l.dispose()}}e.MultiplexLogService=m;class w extends _.Disposable{constructor(l){super();this.logger=l,this._register(l)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(l){this.logger.setLevel(l)}getLevel(){return this.logger.getLevel()}trace(l,...i){this.logger.trace(l,...i)}debug(l,...i){this.logger.debug(l,...i)}info(l,...i){this.logger.info(l,...i)}warn(l,...i){this.logger.warn(l,...i)}error(l,...i){this.logger.error(l,...i)}critical(l,...i){this.logger.critical(l,...i)}flush(){this.logger.flush()}}e.LogService=w;class R extends _.Disposable{constructor(l,i){super();this.logLevel=l,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(i(u=>{this.logLevel=u,this.logLevelChangeableLoggers.forEach(t=>t.setLevel(u))}))}getLogger(l){return this.loggers.get(l.toString())}createLogger(l,i){let u=this.loggers.get(l.toString());return u||(u=this.doCreateLogger(l,i?.always?C.Trace:this.logLevel,i),this.loggers.set(l.toString(),u),i?.always||this.logLevelChangeableLoggers.push(u)),u}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(l=>l.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=R;class h{constructor(){this.onDidChangeLogLevel=new I.Emitter().event}setLevel(l){}getLevel(){return C.Info}trace(l,...i){}debug(l,...i){}info(l,...i){}warn(l,...i){}error(l,...i){}critical(l,...i){}dispose(){}flush(){}}e.NullLogService=h;function f(T){if(T.verbose)return C.Trace;if(typeof T.logLevel=="string"){const l=v(T.logLevel.toLowerCase());if(l!==void 0)return l}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=f;function v(T){switch(T){case"trace":return C.Trace;case"debug":return C.Debug;case"info":return C.Info;case"warn":return C.Warning;case"error":return C.Error;case"critical":return C.Critical;case"off":return C.Off}}e.parseLogLevel=v;function r(T){switch(T){case C.Trace:return"trace";case C.Debug:return"debug";case C.Info:return"info";case C.Warning:return"warn";case C.Error:return"error";case C.Critical:return"critical";case C.Off:return"off"}}e.LogLevelToString=r}),define(Ee[78],be([1,0,34,120,3]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var B;(function(C){C[C.Unnecessary=1]="Unnecessary",C[C.Deprecated=2]="Deprecated"})(B=e.MarkerTag||(e.MarkerTag={}));var y;(function(C){C[C.Hint=1]="Hint",C[C.Info=2]="Info",C[C.Warning=4]="Warning",C[C.Error=8]="Error"})(y=e.MarkerSeverity||(e.MarkerSeverity={})),function(C){function L(s,n){return n-s}C.compare=L;const M=Object.create(null);M[C.Error]=(0,I.localize)(0,null),M[C.Warning]=(0,I.localize)(1,null),M[C.Info]=(0,I.localize)(2,null);function E(s){return M[s]||""}C.toString=E;function c(s){switch(s){case o.default.Error:return C.Error;case o.default.Warning:return C.Warning;case o.default.Info:return C.Info;case o.default.Ignore:return C.Hint}}C.fromSeverity=c;function g(s){switch(s){case C.Error:return o.default.Error;case C.Warning:return o.default.Warning;case C.Info:return o.default.Info;case C.Hint:return o.default.Ignore}}C.toSeverity=g}(y=e.MarkerSeverity||(e.MarkerSeverity={}));var P;(function(C){const L="";function M(c){return E(c,!0)}C.makeKey=M;function E(c,g){let s=[L];return c.source?s.push(c.source.replace("\xA6","\\\xA6")):s.push(L),c.code?typeof c.code=="string"?s.push(c.code.replace("\xA6","\\\xA6")):s.push(c.code.value.replace("\xA6","\\\xA6")):s.push(L),c.severity!==void 0&&c.severity!==null?s.push(y.toString(c.severity)):s.push(L),c.message&&g?s.push(c.message.replace("\xA6","\\\xA6")):s.push(L),c.startLineNumber!==void 0&&c.startLineNumber!==null?s.push(c.startLineNumber.toString()):s.push(L),c.startColumn!==void 0&&c.startColumn!==null?s.push(c.startColumn.toString()):s.push(L),c.endLineNumber!==void 0&&c.endLineNumber!==null?s.push(c.endLineNumber.toString()):s.push(L),c.endColumn!==void 0&&c.endColumn!==null?s.push(c.endColumn.toString()):s.push(L),s.push(L),s.join("\xA6")}C.makeKeyOptionalMessage=E})(P=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=(0,_.createDecorator)("markerService")}),define(Ee[140],be([1,0,5,34,3]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=I.default,e.INotificationService=(0,_.createDecorator)("notificationService");var B;(function(L){L[L.WORKSPACE=0]="WORKSPACE",L[L.GLOBAL=1]="GLOBAL"})(B=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var y;(function(L){L[L.OFF=0]="OFF",L[L.SILENT=1]="SILENT",L[L.ERROR=2]="ERROR"})(y=e.NotificationsFilter||(e.NotificationsFilter={}));class P{constructor(){this.progress=new C,this.onDidClose=o.Event.None,this.onDidChangeVisibility=o.Event.None}updateSeverity(M){}updateMessage(M){}updateActions(M){}close(){}}e.NoOpNotification=P;class C{infinite(){}done(){}total(M){}worked(M){}}e.NoOpProgress=C}),define(Ee[79],be([1,0,6,10,2,3]),function(Y,e,o,I,_,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.selectionFragment=e.withSelectionFragment=e.matchesSomeScheme=e.matchesScheme=e.NullOpenerService=e.IOpenerService=void 0,e.IOpenerService=(0,B.createDecorator)("openerService"),e.NullOpenerService=Object.freeze({_serviceBrand:void 0,registerOpener(){return o.Disposable.None},registerValidator(){return o.Disposable.None},registerExternalUriResolver(){return o.Disposable.None},setDefaultExternalOpener(){},registerExternalOpener(){return o.Disposable.None},async open(){return!1},async resolveExternalUri(M){return{resolved:M,dispose(){}}}});function y(M,E){return _.URI.isUri(M)?(0,I.equalsIgnoreCase)(M.scheme,E):(0,I.startsWithIgnoreCase)(M,E+":")}e.matchesScheme=y;function P(M,...E){return E.some(c=>y(M,c))}e.matchesSomeScheme=P;function C(M,E){return M.with({fragment:`${E.startLineNumber},${E.startColumn}${E.endLineNumber?`-${E.endLineNumber}${E.endColumn?`,${E.endColumn}`:""}`:""}`})}e.withSelectionFragment=C;function L(M){let E;const c=/^L?(\d+)(?:,(\d+))?(-L?(\d+)(?:,(\d+))?)?/.exec(M.fragment);return c&&(E={startLineNumber:parseInt(c[1]),startColumn:c[2]?parseInt(c[2]):1,endLineNumber:c[4]?parseInt(c[4]):void 0,endColumn:c[4]?c[5]?parseInt(c[5]):1:void 0}),E}e.selectionFragment=L});var Fe=this&&this.__decorate||function(Y,e,o,I){var _=arguments.length,B=_<3?e:I===null?I=Object.getOwnPropertyDescriptor(e,o):I,y;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")B=Reflect.decorate(Y,e,o,I);else for(var P=Y.length-1;P>=0;P--)(y=Y[P])&&(B=(_<3?y(B):_>3?y(e,o,B):y(e,o))||B);return _>3&&B&&Object.defineProperty(e,o,B),B},Ne=this&&this.__param||function(Y,e){return function(o,I){e(o,I,Y)}};define(Ee[141],be([1,0,13,20,6,3]),function(Y,e,o,I,_,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.UnmanagedProgress=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=(0,B.createDecorator)("progressService");var y;(function(M){M[M.Explorer=1]="Explorer",M[M.Scm=3]="Scm",M[M.Extensions=5]="Extensions",M[M.Window=10]="Window",M[M.Notification=15]="Notification",M[M.Dialog=20]="Dialog"})(y=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class P{constructor(E){this.callback=E}get value(){return this._value}report(E){this._value=E,this.callback(this._value)}}e.Progress=P,P.None=Object.freeze({report(){}});let C=class extends _.Disposable{constructor(E,c){super();this.deferred=new o.DeferredPromise,c.withProgress(E,g=>(this.reporter=g,this.lastStep&&g.report(this.lastStep),this.deferred.p)),this._register((0,_.toDisposable)(()=>this.deferred.complete()))}report(E){this.reporter?this.reporter.report(E):this.lastStep=E}};C=Fe([Ne(1,e.IProgressService)],C),e.UnmanagedProgress=C;class L extends _.Disposable{constructor(E){super();this.progressIndicator=E,this.currentOperationId=0,this.currentOperationDisposables=this._register(new _.DisposableStore)}start(E){this.stop();const c=++this.currentOperationId,g=new I.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{c===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},E),this.currentOperationDisposables.add((0,_.toDisposable)(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add((0,_.toDisposable)(()=>g.cancel())),this.currentOperationDisposables.add((0,_.toDisposable)(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:c,token:g.token,stop:()=>this.doStop(c),isCurrent:()=>this.currentOperationId===c}}stop(){this.doStop(this.currentOperationId)}doStop(E){this.currentOperationId===E&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=L,e.IEditorProgressService=(0,B.createDecorator)("editorProgressService")}),define(Ee[37],be([1,0,42,11]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class _{constructor(){this.data=new Map}add(y,P){o.ok(I.isString(y)),o.ok(I.isObject(P)),o.ok(!this.data.has(y),"There is already an extension with this id"),this.data.set(y,P)}knows(y){return this.data.has(y)}as(y){return this.data.get(y)||null}}e.Registry=new _}),define(Ee[142],be([1,0,5,37]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function _(P){return P.length>0&&P.charAt(P.length-1)==="#"?P.substring(0,P.length-1):P}class B{constructor(){this._onDidChangeSchema=new o.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(C,L){this.schemasById[_(C)]=L,this._onDidChangeSchema.fire(C)}notifySchemaChanged(C){this._onDidChangeSchema.fire(C)}getSchemaContributions(){return{schemas:this.schemasById}}}const y=new B;I.Registry.add(e.Extensions.JSONContribution,y)}),define(Ee[80],be([1,0,16,5,11,117,142,37]),function(Y,e,o,I,_,B,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var C;(function(f){f.Multiline="multilineText",f.Singleline="singlelineText"})(C=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var L;(function(f){f[f.APPLICATION=1]="APPLICATION",f[f.MACHINE=2]="MACHINE",f[f.WINDOW=3]="WINDOW",f[f.RESOURCE=4]="RESOURCE",f[f.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",f[f.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(L=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const M=P.Registry.as(y.Extensions.JSONContribution);class E{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new I.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new I.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:B.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},M.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(v,r=!0){this.registerConfigurations([v],r)}registerConfigurations(v,r=!0){const T=this.doRegisterConfigurations(v,r);M.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:T})}deregisterConfigurations(v){const r=this.doDeregisterConfigurations(v);M.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r})}updateConfigurations({add:v,remove:r}){const T=[];T.push(...this.doDeregisterConfigurations(r)),T.push(...this.doRegisterConfigurations(v,!1)),M.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,o.distinct)(T)})}registerDefaultConfigurations(v){const r=[],T=[];for(const{overrides:l,source:i}of v)for(const u in l)if(r.push(u),e.OVERRIDE_PROPERTY_REGEX.test(u)){const t={...this.configurationDefaultsOverrides.get(u)?.value||{},...l[u]};this.configurationDefaultsOverrides.set(u,{source:i,value:t});const a={type:"object",default:t,description:B.localize(1,null,u),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:t,source:_.isString(i)?void 0:i};T.push(...s(u)),this.configurationProperties[u]=a,this.defaultLanguageConfigurationOverridesNode.properties[u]=a}else{this.configurationDefaultsOverrides.set(u,{value:l[u],source:i});const t=this.configurationProperties[u];t&&(this.updatePropertyDefaultValue(u,t),this.updateSchema(u,t))}this.registerOverrideIdentifiers(T),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r,defaultsOverrides:!0})}deregisterDefaultConfigurations(v){const r=[];for(const{overrides:T,source:l}of v)for(const i in T){const u=this.configurationDefaultsOverrides.get(i),t=_.isString(l)?l:l?.id,a=_.isString(u?.source)?u?.source:u?.source?.id;if(t===a)if(r.push(i),this.configurationDefaultsOverrides.delete(i),e.OVERRIDE_PROPERTY_REGEX.test(i))delete this.configurationProperties[i],delete this.defaultLanguageConfigurationOverridesNode.properties[i];else{const p=this.configurationProperties[i];p&&(this.updatePropertyDefaultValue(i,p),this.updateSchema(i,p))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...v){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(v){for(const r of v)this.overrideIdentifiers.add(r);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(v,r){const T=[];return v.forEach(l=>{T.push(...this.validateAndRegisterProperties(l,r,l.extensionInfo,l.restrictedProperties)),this.configurationContributors.push(l),this.registerJSONConfiguration(l)}),T}doDeregisterConfigurations(v){const r=[],T=l=>{if(l.properties)for(const i in l.properties)r.push(i),delete this.configurationProperties[i],this.removeFromSchema(i,l.properties[i]);l.allOf&&l.allOf.forEach(i=>T(i))};for(const l of v){T(l);const i=this.configurationContributors.indexOf(l);i!==-1&&this.configurationContributors.splice(i,1)}return r}validateAndRegisterProperties(v,r=!0,T,l,i=3){i=_.isUndefinedOrNull(v.scope)?i:v.scope;let u=[],t=v.properties;if(t)for(let p in t){if(r&&R(p)){delete t[p];continue}const d=t[p];if(d.source=T,d.defaultDefaultValue=t[p].default,this.updatePropertyDefaultValue(p,d),e.OVERRIDE_PROPERTY_REGEX.test(p)?d.scope=void 0:(d.scope=_.isUndefinedOrNull(d.scope)?i:d.scope,d.restricted=_.isUndefinedOrNull(d.restricted)?!!l?.includes(p):d.restricted),t[p].hasOwnProperty("included")&&!t[p].included){this.excludedConfigurationProperties[p]=t[p],delete t[p];continue}else this.configurationProperties[p]=t[p];!t[p].deprecationMessage&&t[p].markdownDeprecationMessage&&(t[p].deprecationMessage=t[p].markdownDeprecationMessage),u.push(p)}let a=v.allOf;if(a)for(let p of a)u.push(...this.validateAndRegisterProperties(p,r,T,l,i));return u}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(v){const r=T=>{let l=T.properties;if(l)for(const u in l)this.updateSchema(u,l[u]);let i=T.allOf;i&&i.forEach(r)};r(v)}updateSchema(v,r){switch(e.allSettings.properties[v]=r,r.scope){case 1:e.applicationSettings.properties[v]=r;break;case 2:e.machineSettings.properties[v]=r;break;case 6:e.machineOverridableSettings.properties[v]=r;break;case 3:e.windowSettings.properties[v]=r;break;case 4:e.resourceSettings.properties[v]=r;break;case 5:e.resourceSettings.properties[v]=r,this.resourceLanguageSettingsSchema.properties[v]=r;break}}removeFromSchema(v,r){switch(delete e.allSettings.properties[v],r.scope){case 1:delete e.applicationSettings.properties[v];break;case 2:delete e.machineSettings.properties[v];break;case 6:delete e.machineOverridableSettings.properties[v];break;case 3:delete e.windowSettings.properties[v];break;case 4:case 5:delete e.resourceSettings.properties[v],delete this.resourceLanguageSettingsSchema.properties[v];break}}updateOverridePropertyPatternKey(){for(const v of this.overrideIdentifiers.values()){const r=`[${v}]`,T={type:"object",description:B.localize(2,null),errorMessage:B.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(r,T),e.allSettings.properties[r]=T,e.applicationSettings.properties[r]=T,e.machineSettings.properties[r]=T,e.machineOverridableSettings.properties[r]=T,e.windowSettings.properties[r]=T,e.resourceSettings.properties[r]=T}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const v={type:"object",description:B.localize(4,null),errorMessage:B.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=v,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=v,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=v,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=v,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=v,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=v,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(v,r){const T=this.configurationDefaultsOverrides.get(v);let l=T?.value,i=T?.source;_.isUndefined(l)&&(l=r.defaultDefaultValue,i=void 0),_.isUndefined(l)&&(l=m(r.type)),r.default=l,r.defaultValueSource=i}}const c="\\[([^\\]]+)\\]",g=new RegExp(c,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${c})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function s(f){const v=[];if(e.OVERRIDE_PROPERTY_REGEX.test(f)){let r=g.exec(f);for(;r?.length;){const T=r[1].trim();T&&v.push(T),r=g.exec(f)}}return(0,o.distinct)(v)}e.overrideIdentifiersFromKey=s;function n(f){return f.reduce((v,r)=>`${v}[${r}]`,"")}e.keyFromOverrideIdentifiers=n;function m(f){switch(Array.isArray(f)?f[0]:f){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=m;const w=new E;P.Registry.add(e.Extensions.Configuration,w);function R(f){return f.trim()?e.OVERRIDE_PROPERTY_REGEX.test(f)?B.localize(7,null,f):w.getConfigurationProperties()[f]!==void 0?B.localize(8,null,f):null:B.localize(6,null)}e.validateProperty=R;function h(){const f=[],v=w.getConfigurationProperties();for(const r of Object.keys(v))f.push([r,v[r].scope]);return f.push(["launch",4]),f.push(["task",4]),f}e.getScopes=h}),define(Ee[143],be([1,0,16,5,100,6,22,26,11,2,77,80,37]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class g{constructor(l={},i=[],u=[]){this._contents=l,this._keys=i,this._overrides=u,this.isFrozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(l){return l?(0,M.getConfigurationValue)(this.contents,l):this.contents}getOverrideValue(l,i){const u=this.getContentsForOverrideIdentifer(i);return u?l?(0,M.getConfigurationValue)(u,l):u:void 0}getKeysForOverrideIdentifier(l){const i=[];for(const u of this.overrides)u.identifiers.includes(l)&&i.push(...u.keys);return o.distinct(i)}getAllOverrideIdentifiers(){const l=[];for(const i of this.overrides)l.push(...i.identifiers);return o.distinct(l)}override(l){let i=this.overrideConfigurations.get(l);return i||(i=this.createOverrideConfigurationModel(l),this.overrideConfigurations.set(l,i)),i}merge(...l){const i=P.deepClone(this.contents),u=P.deepClone(this.overrides),t=[...this.keys];for(const a of l){this.mergeContents(i,a.contents);for(const p of a.overrides){const[d]=u.filter(S=>o.equals(S.identifiers,p.identifiers));d?(this.mergeContents(d.contents,p.contents),d.keys.push(...p.keys),d.keys=o.distinct(d.keys)):u.push(P.deepClone(p))}for(const p of a.keys)t.indexOf(p)===-1&&t.push(p)}return new g(i,t,u)}freeze(){return this.isFrozen=!0,this}createOverrideConfigurationModel(l){const i=this.getContentsForOverrideIdentifer(l);if(!i||typeof i!="object"||!Object.keys(i).length)return this;let u={};for(const t of o.distinct([...Object.keys(this.contents),...Object.keys(i)])){let a=this.contents[t],p=i[t];p&&(typeof a=="object"&&typeof p=="object"?(a=P.deepClone(a),this.mergeContents(a,p)):a=p),u[t]=a}return new g(u,this.keys,this.overrides)}mergeContents(l,i){for(const u of Object.keys(i)){if(u in l&&C.isObject(l[u])&&C.isObject(i[u])){this.mergeContents(l[u],i[u]);continue}l[u]=P.deepClone(i[u])}}checkAndFreeze(l){return this.isFrozen&&!Object.isFrozen(l)?P.deepFreeze(l):l}getContentsForOverrideIdentifer(l){let i=null,u=null;const t=a=>{a&&(u?this.mergeContents(u,a):u=P.deepClone(a))};for(const a of this.overrides)o.equals(a.identifiers,[l])?i=a.contents:a.identifiers.includes(l)&&t(a.contents);return t(i),u}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(l,i){this.addKey(l),(0,M.addToValueTree)(this.contents,l,i,u=>{throw new Error(u)})}removeValue(l){this.removeKey(l)&&(0,M.removeFromValueTree)(this.contents,l)}addKey(l){let i=this.keys.length;for(let u=0;u<i;u++)l.indexOf(this.keys[u])===0&&(i=u);this.keys.splice(i,1,l)}removeKey(l){let i=this.keys.indexOf(l);return i!==-1?(this.keys.splice(i,1),!0):!1}}e.ConfigurationModel=g;class s extends g{constructor(l={}){const i=c.Registry.as(E.Extensions.Configuration).getConfigurationProperties(),u=Object.keys(i),t=Object.create(null),a=[];for(const p in i){const d=l[p],S=d!==void 0?d:i[p].default;(0,M.addToValueTree)(t,p,S,k=>console.error(`Conflict in default settings: ${k}`))}for(const p of Object.keys(t))E.OVERRIDE_PROPERTY_REGEX.test(p)&&a.push({identifiers:(0,E.overrideIdentifiersFromKey)(p),keys:Object.keys(t[p]),contents:(0,M.toValuesTree)(t[p],d=>console.error(`Conflict in default settings file: ${d}`))});super(t,u,a)}}e.DefaultConfigurationModel=s;class n{constructor(l){this._name=l,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new g}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(l,i){if(!C.isUndefinedOrNull(l)){const u=this.doParseContent(l);this.parseRaw(u,i)}}reparse(l){this._raw&&this.parseRaw(this._raw,l)}parseRaw(l,i){this._raw=l;const{contents:u,keys:t,overrides:a,restricted:p}=this.doParseRaw(l,i);this._configurationModel=new g(u,t,a),this._restrictedConfigurations=p||[]}doParseContent(l){let i={},u=null,t=[],a=[],p=[];function d(k){Array.isArray(t)?t.push(k):u!==null&&(t[u]=k)}let S={onObjectBegin:()=>{let k={};d(k),a.push(t),t=k,u=null},onObjectProperty:k=>{u=k},onObjectEnd:()=>{t=a.pop()},onArrayBegin:()=>{let k=[];d(k),a.push(t),t=k,u=null},onArrayEnd:()=>{t=a.pop()},onLiteralValue:d,onError:(k,A,W)=>{p.push({error:k,offset:A,length:W})}};if(l)try{_.visit(l,S),i=t[0]||{}}catch(k){console.error(`Error while parsing settings file ${this._name}: ${k}`),this._parseErrors=[k]}return i}doParseRaw(l,i){const u=c.Registry.as(E.Extensions.Configuration).getConfigurationProperties(),t=this.filter(l,u,!0,i);l=t.raw;const a=(0,M.toValuesTree)(l,S=>console.error(`Conflict in settings file ${this._name}: ${S}`)),p=Object.keys(l),d=this.toOverrides(l,S=>console.error(`Conflict in settings file ${this._name}: ${S}`));return{contents:a,keys:p,overrides:d,restricted:t.restricted}}filter(l,i,u,t){if(!t?.scopes&&!t?.skipRestricted)return{raw:l,restricted:[]};const a={},p=[];for(let d in l)if(E.OVERRIDE_PROPERTY_REGEX.test(d)&&u){const S=this.filter(l[d],i,!1,t);a[d]=S.raw,p.push(...S.restricted)}else{const S=i[d],k=S?typeof S.scope!="undefined"?S.scope:3:void 0;S?.restricted&&p.push(d),(k===void 0||t.scopes===void 0||t.scopes.includes(k))&&(t.skipRestricted&&S?.restricted||(a[d]=l[d]))}return{raw:a,restricted:p}}toOverrides(l,i){const u=[];for(const t of Object.keys(l))if(E.OVERRIDE_PROPERTY_REGEX.test(t)){const a={};for(const p in l[t])a[p]=l[t][p];u.push({identifiers:(0,E.overrideIdentifiersFromKey)(t),keys:Object.keys(a),contents:(0,M.toValuesTree)(a,i)})}return u}}e.ConfigurationModelParser=n;class m extends B.Disposable{constructor(l,i,u,t){super();this.userSettingsResource=l,this.scopes=i,this.fileService=t,this._onDidChange=this._register(new I.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new n(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(u.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(I.Event.any(I.Event.filter(this.fileService.onDidFilesChange,a=>a.contains(this.userSettingsResource)),I.Event.filter(this.fileService.onDidRunOperation,a=>(a.isOperation(0)||a.isOperation(1)||a.isOperation(4))&&u.isEqual(a.resource,l)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const l=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(l.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new g}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=m;class w{constructor(l,i,u=new g,t=new g,a=new y.ResourceMap,p=new g,d=new y.ResourceMap,S=!0){this._defaultConfiguration=l,this._localUserConfiguration=i,this._remoteUserConfiguration=u,this._workspaceConfiguration=t,this._folderConfigurations=a,this._memoryConfiguration=p,this._memoryConfigurationByResource=d,this._freeze=S,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new y.ResourceMap,this._userConfiguration=null}getValue(l,i,u){return this.getConsolidateConfigurationModel(i,u).getValue(l)}updateValue(l,i,u={}){let t;u.resource?(t=this._memoryConfigurationByResource.get(u.resource),t||(t=new g,this._memoryConfigurationByResource.set(u.resource,t))):t=this._memoryConfiguration,i===void 0?t.removeValue(l):t.setValue(l,i),u.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(l,i,u){const t=this.getConsolidateConfigurationModel(i,u),a=this.getFolderConfigurationModelForResource(i.resource,u),p=i.resource?this._memoryConfigurationByResource.get(i.resource)||this._memoryConfiguration:this._memoryConfiguration,d=i.overrideIdentifier?this._defaultConfiguration.freeze().override(i.overrideIdentifier).getValue(l):this._defaultConfiguration.freeze().getValue(l),S=i.overrideIdentifier?this.userConfiguration.freeze().override(i.overrideIdentifier).getValue(l):this.userConfiguration.freeze().getValue(l),k=i.overrideIdentifier?this.localUserConfiguration.freeze().override(i.overrideIdentifier).getValue(l):this.localUserConfiguration.freeze().getValue(l),A=i.overrideIdentifier?this.remoteUserConfiguration.freeze().override(i.overrideIdentifier).getValue(l):this.remoteUserConfiguration.freeze().getValue(l),W=u?i.overrideIdentifier?this._workspaceConfiguration.freeze().override(i.overrideIdentifier).getValue(l):this._workspaceConfiguration.freeze().getValue(l):void 0,b=a?i.overrideIdentifier?a.freeze().override(i.overrideIdentifier).getValue(l):a.freeze().getValue(l):void 0,H=i.overrideIdentifier?p.override(i.overrideIdentifier).getValue(l):p.getValue(l),q=t.getValue(l),$=o.distinct(o.flatten(t.overrides.map(j=>j.identifiers))).filter(j=>t.getOverrideValue(l,j)!==void 0);return{defaultValue:d,userValue:S,userLocalValue:k,userRemoteValue:A,workspaceValue:W,workspaceFolderValue:b,memoryValue:H,value:q,default:d!==void 0?{value:this._defaultConfiguration.freeze().getValue(l),override:i.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(l,i.overrideIdentifier):void 0}:void 0,user:S!==void 0?{value:this.userConfiguration.freeze().getValue(l),override:i.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(l,i.overrideIdentifier):void 0}:void 0,userLocal:k!==void 0?{value:this.localUserConfiguration.freeze().getValue(l),override:i.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(l,i.overrideIdentifier):void 0}:void 0,userRemote:A!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(l),override:i.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(l,i.overrideIdentifier):void 0}:void 0,workspace:W!==void 0?{value:this._workspaceConfiguration.freeze().getValue(l),override:i.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(l,i.overrideIdentifier):void 0}:void 0,workspaceFolder:b!==void 0?{value:a?.freeze().getValue(l),override:i.overrideIdentifier?a?.freeze().getOverrideValue(l,i.overrideIdentifier):void 0}:void 0,memory:H!==void 0?{value:p.getValue(l),override:i.overrideIdentifier?p.getOverrideValue(l,i.overrideIdentifier):void 0}:void 0,overrideIdentifiers:$.length?$:void 0}}keys(l){const i=this.getFolderConfigurationModelForResource(void 0,l);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:i?i.freeze().keys:[]}}updateDefaultConfiguration(l){this._defaultConfiguration=l,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(l){this._localUserConfiguration=l,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(l){this._remoteUserConfiguration=l,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(l){this._workspaceConfiguration=l,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(l,i){this._folderConfigurations.set(l,i),this._foldersConsolidatedConfigurations.delete(l)}deleteFolderConfiguration(l){this.folderConfigurations.delete(l),this._foldersConsolidatedConfigurations.delete(l)}compareAndUpdateDefaultConfiguration(l,i){const u=[];if(!i){const{added:t,updated:a,removed:p}=v(this._defaultConfiguration,l);i=[...t,...a,...p]}for(const t of i)for(const a of(0,E.overrideIdentifiersFromKey)(t)){const p=this._defaultConfiguration.getKeysForOverrideIdentifier(a),d=l.getKeysForOverrideIdentifier(a),S=[...d.filter(k=>p.indexOf(k)===-1),...p.filter(k=>d.indexOf(k)===-1),...p.filter(k=>!P.equals(this._defaultConfiguration.override(a).getValue(k),l.override(a).getValue(k)))];u.push([a,S])}return this.updateDefaultConfiguration(l),{keys:i,overrides:u}}compareAndUpdateLocalUserConfiguration(l){const{added:i,updated:u,removed:t,overrides:a}=v(this.localUserConfiguration,l),p=[...i,...u,...t];return p.length&&this.updateLocalUserConfiguration(l),{keys:p,overrides:a}}compareAndUpdateRemoteUserConfiguration(l){const{added:i,updated:u,removed:t,overrides:a}=v(this.remoteUserConfiguration,l);let p=[...i,...u,...t];return p.length&&this.updateRemoteUserConfiguration(l),{keys:p,overrides:a}}compareAndUpdateWorkspaceConfiguration(l){const{added:i,updated:u,removed:t,overrides:a}=v(this.workspaceConfiguration,l);let p=[...i,...u,...t];return p.length&&this.updateWorkspaceConfiguration(l),{keys:p,overrides:a}}compareAndUpdateFolderConfiguration(l,i){const u=this.folderConfigurations.get(l),{added:t,updated:a,removed:p,overrides:d}=v(u,i);let S=[...t,...a,...p];return(S.length||!u)&&this.updateFolderConfiguration(l,i),{keys:S,overrides:d}}compareAndDeleteFolderConfiguration(l){const i=this.folderConfigurations.get(l);if(!i)throw new Error("Unknown folder");this.deleteFolderConfiguration(l);const{added:u,updated:t,removed:a,overrides:p}=v(i,void 0);return{keys:[...u,...t,...a],overrides:p}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(l,i){let u=this.getConsolidatedConfigurationModelForResource(l,i);return l.overrideIdentifier?u.override(l.overrideIdentifier):u}getConsolidatedConfigurationModelForResource({resource:l},i){let u=this.getWorkspaceConsolidatedConfiguration();if(i&&l){const t=i.getFolder(l);t&&(u=this.getFolderConsolidatedConfiguration(t.uri)||u);const a=this._memoryConfigurationByResource.get(l);a&&(u=u.merge(a))}return u}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(l){let i=this._foldersConsolidatedConfigurations.get(l);if(!i){const u=this.getWorkspaceConsolidatedConfiguration(),t=this._folderConfigurations.get(l);t?(i=u.merge(t),this._freeze&&(i=i.freeze()),this._foldersConsolidatedConfigurations.set(l,i)):i=u}return i}getFolderConfigurationModelForResource(l,i){if(i&&l){const u=i.getFolder(l);if(u)return this._folderConfigurations.get(u.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((l,i)=>{const{contents:u,overrides:t,keys:a}=this._folderConfigurations.get(i);return l.push([i,{contents:u,overrides:t,keys:a}]),l},[])}}allKeys(){const l=new Set;return this._defaultConfiguration.freeze().keys.forEach(i=>l.add(i)),this.userConfiguration.freeze().keys.forEach(i=>l.add(i)),this._workspaceConfiguration.freeze().keys.forEach(i=>l.add(i)),this._folderConfigurations.forEach(i=>i.freeze().keys.forEach(u=>l.add(u))),[...l.values()]}allOverrideIdentifiers(){const l=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>l.add(i)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>l.add(i)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>l.add(i)),this._folderConfigurations.forEach(i=>i.freeze().getAllOverrideIdentifiers().forEach(u=>l.add(u))),[...l.values()]}getAllKeysForOverrideIdentifier(l){const i=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(l).forEach(u=>i.add(u)),this.userConfiguration.getKeysForOverrideIdentifier(l).forEach(u=>i.add(u)),this._workspaceConfiguration.getKeysForOverrideIdentifier(l).forEach(u=>i.add(u)),this._folderConfigurations.forEach(u=>u.getKeysForOverrideIdentifier(l).forEach(t=>i.add(t))),[...i.values()]}static parse(l){const i=this.parseConfigurationModel(l.defaults),u=this.parseConfigurationModel(l.user),t=this.parseConfigurationModel(l.workspace),a=l.folders.reduce((p,d)=>(p.set(L.URI.revive(d[0]),this.parseConfigurationModel(d[1])),p),new y.ResourceMap);return new w(i,u,new g,t,a,new g,new y.ResourceMap,!1)}static parseConfigurationModel(l){return new g(l.contents,l.keys,l.overrides).freeze()}}e.Configuration=w;function R(...T){if(T.length===0)return{keys:[],overrides:[]};if(T.length===1)return T[0];const l=new Set,i=new Map;for(const t of T)t.keys.forEach(a=>l.add(a)),t.overrides.forEach(([a,p])=>{const d=(0,y.getOrSet)(i,a,new Set);p.forEach(S=>d.add(S))});const u=[];return i.forEach((t,a)=>u.push([a,[...t.values()]])),{keys:[...l.values()],overrides:u}}e.mergeChanges=R;class h{constructor(l,i,u,t){this.change=l,this.previous=i,this.currentConfiguraiton=u,this.currentWorkspace=t,this._previousConfiguration=void 0;const a=new Set;l.keys.forEach(d=>a.add(d)),l.overrides.forEach(([,d])=>d.forEach(S=>a.add(S))),this.affectedKeys=[...a.values()];const p=new g;this.affectedKeys.forEach(d=>p.setValue(d,{})),this.affectedKeysTree=p.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=w.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(l,i){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,l)){if(i){const u=this.previousConfiguration?this.previousConfiguration.getValue(l,i,this.previous?.workspace):void 0,t=this.currentConfiguraiton.getValue(l,i,this.currentWorkspace);return!P.equals(u,t)}return!0}return!1}doesAffectedKeysTreeContains(l,i){let u=(0,M.toValuesTree)({[i]:!0},()=>{}),t;for(;typeof u=="object"&&(t=Object.keys(u)[0]);){if(l=l[t],!l)return!1;u=u[t]}return!0}}e.ConfigurationChangeEvent=h;class f extends h{constructor(l,i,u,t){super({keys:l.allKeys(),overrides:[]},void 0,l,i);this.source=u,this.sourceConfig=t}}e.AllKeysConfigurationChangeEvent=f;function v(T,l){const{added:i,removed:u,updated:t}=r(l,T),a=[],p=T?.getAllOverrideIdentifiers()||[],d=l?.getAllOverrideIdentifiers()||[];if(l){const S=d.filter(k=>!p.includes(k));for(const k of S)a.push([k,l.getKeysForOverrideIdentifier(k)])}if(T){const S=p.filter(k=>!d.includes(k));for(const k of S)a.push([k,T.getKeysForOverrideIdentifier(k)])}if(l&&T){for(const S of p)if(d.includes(S)){const k=r({contents:T.getOverrideValue(void 0,S)||{},keys:T.getKeysForOverrideIdentifier(S)},{contents:l.getOverrideValue(void 0,S)||{},keys:l.getKeysForOverrideIdentifier(S)});a.push([S,[...k.added,...k.removed,...k.updated]])}}return{added:i,removed:u,updated:t,overrides:a}}function r(T,l){const i=T?l?T.keys.filter(a=>l.keys.indexOf(a)===-1):[...T.keys]:[],u=l?T?l.keys.filter(a=>T.keys.indexOf(a)===-1):[...l.keys]:[],t=[];if(T&&l){for(const a of l.keys)if(T.keys.indexOf(a)!==-1){const p=(0,M.getConfigurationValue)(l.contents,a),d=(0,M.getConfigurationValue)(T.contents,a);P.equals(p,d)||t.push(a)}}return{added:i,removed:u,updated:t}}}),define(Ee[81],be([1,0,3]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,o.createDecorator)("remoteAuthorityResolverService");var I;(function(B){B.Unknown="Unknown",B.NotAvailable="NotAvailable",B.TemporarilyNotAvailable="TemporarilyNotAvailable",B.NoResolverFound="NoResolverFound"})(I=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class _ extends Error{constructor(y,P=I.Unknown,C){super(y);this._message=y,this._code=P,this._detail=C,this.isHandled=P===I.NotAvailable&&C===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,_.prototype)}static isTemporarilyNotAvailable(y){return y instanceof _&&y._code===I.TemporarilyNotAvailable}static isNoResolverFound(y){return y instanceof _&&y._code===I.NoResolverFound}static isHandled(y){return y instanceof _&&y.isHandled}}e.RemoteAuthorityResolverError=_}),define(Ee[82],be([1,0,9]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemoteName=e.getRemoteAuthority=void 0;function I(B){return B.scheme===o.Schemas.vscodeRemote?B.authority:void 0}e.getRemoteAuthority=I;function _(B){if(!B)return;const y=B.indexOf("+");return y<0?B:B.substr(0,y)}e.getRemoteName=_}),define(Ee[25],be([1,0,10,3,82]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.UNDEFINED_PUBLISHER=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.UNDEFINED_PUBLISHER="undefined_publisher",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function B(c){if(typeof c=="object"&&c!==null&&c.supported!==!0)return c.description}e.getWorkspaceSupportTypeMessage=B;function y(c){return c&&typeof c=="object"&&typeof c.id=="string"&&(!c.uuid||typeof c.uuid=="string")}e.isIExtensionIdentifier=y,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var P;(function(c){c[c.System=0]="System",c[c.User=1]="User"})(P=e.ExtensionType||(e.ExtensionType={}));class C{constructor(g){this.value=g,this._lower=g.toLowerCase()}static equals(g,s){if(typeof g=="undefined"||g===null)return typeof s=="undefined"||s===null;if(typeof s=="undefined"||s===null)return!1;if(typeof g=="string"||typeof s=="string"){let n=typeof g=="string"?g:g.value,m=typeof s=="string"?s:s.value;return o.equalsIgnoreCase(n,m)}return g._lower===s._lower}static toKey(g){return typeof g=="string"?g.toLowerCase():g._lower}}e.ExtensionIdentifier=C;function L(c){return c.contributes&&c.contributes.localizations?c.contributes.localizations.length>0:!1}e.isLanguagePackExtension=L;function M(c){return c.contributes&&c.contributes.authentication?c.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=M;function E(c,g){if(g){const s=`onResolveRemoteAuthority:${(0,_.getRemoteName)(g)}`;return c.activationEvents?.indexOf(s)!==-1}return!1}e.isResolverExtension=E,e.IBuiltinExtensionsScannerService=(0,I.createDecorator)("IBuiltinExtensionsScannerService")}),define(Ee[144],be([1,0,10,25]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function _(s,n){return s.uuid&&n.uuid?s.uuid===n.uuid:s.id===n.id?!0:(0,o.compareIgnoreCase)(s.id,n.id)===0}e.areSameExtensions=_;class B{constructor(n,m){this.version=m,this.id=n.id,this.uuid=n.uuid}key(){return`${this.id}-${this.version}`}equals(n){return n instanceof B?_(this,n)&&this.version===n.version:!1}}e.ExtensionIdentifierWithVersion=B;function y(s,n){return`${s}.${n}`}e.getExtensionId=y;function P(s){return s.toLocaleLowerCase()}e.adoptToGalleryExtensionId=P;function C(s,n){return P(y(s,n))}e.getGalleryExtensionId=C;function L(s,n){const m=[],w=R=>{for(const h of m)if(h.some(f=>_(n(f),n(R))))return h;return null};for(const R of s){const h=w(R);h?h.push(R):m.push([R])}return m}e.groupByExtension=L;function M(s){return{id:s.identifier.id,name:s.manifest.name,galleryId:null,publisherId:s.publisherId,publisherName:s.manifest.publisher,publisherDisplayName:s.publisherDisplayName,dependencies:s.manifest.extensionDependencies&&s.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=M;function E(s){return{id:s.identifier.id,name:s.name,galleryId:s.identifier.uuid,publisherId:s.publisherId,publisherName:s.publisher,publisherDisplayName:s.publisherDisplayName,isPreReleaseVersion:s.properties.isPreReleaseVersion,dependencies:!!(s.properties.dependencies&&s.properties.dependencies.length>0),...s.telemetryData}}e.getGalleryExtensionTelemetryData=E,e.BetterMergeId=new I.ExtensionIdentifier("pprice.better-merge");function c(s){const n=new Set;if(s.malicious)for(const m of s.malicious)n.add(m.id);return n}e.getMaliciousExtensionsSet=c;function g(s,n){const m=[],w=n.manifest.extensionDependencies?.slice(0)??[];for(;w.length;){const R=w.shift();if(R&&m.every(h=>!_(h.identifier,{id:R}))){const h=s.filter(f=>_(f.identifier,{id:R}));h.length===1&&(m.push(h[0]),w.push(...h[0].manifest.extensionDependencies?.slice(0)??[]))}}return m}e.getExtensionDependencies=g}),define(Ee[145],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class o{constructor(_){this._callback=_,this._terminalBufferMap=new Map}dispose(){for(const _ of this._terminalBufferMap.values())_.dispose()}startBuffering(_,B,y=5){let P;return P=B(C=>{const L=typeof C=="string"?C:C.data;let M=this._terminalBufferMap.get(_);if(M){M.data.push(L);return}const E=setTimeout(()=>this.flushBuffer(_),y);M={data:[L],timeoutId:E,dispose:()=>{clearTimeout(E),this.flushBuffer(_),P.dispose()}},this._terminalBufferMap.set(_,M)}),P}stopBuffering(_){const B=this._terminalBufferMap.get(_);B&&B.dispose()}flushBuffer(_){const B=this._terminalBufferMap.get(_);B&&(this._terminalBufferMap.delete(_),this._callback(_,B.data.join("")))}}e.TerminalDataBufferer=o}),define(Ee[146],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var o;(function(I){I.DARK="dark",I.LIGHT="light",I.HIGH_CONTRAST="hc"})(o=e.ColorScheme||(e.ColorScheme={}))}),define(Ee[57],be([1,0,106,5,6,3,37,146]),function(Y,e,o,I,_,B,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,B.createDecorator)("themeService");var C;(function(m){function w(R){return R&&typeof R=="object"&&typeof R.id=="string"}m.isThemeColor=w})(C=e.ThemeColor||(e.ThemeColor={}));function L(m){return{id:m}}e.themeColorFromId=L;var M;(function(m){function w(i){return i&&typeof i=="object"&&typeof i.id=="string"&&(typeof i.color=="undefined"||C.isThemeColor(i.color))}m.isThemeIcon=w;const R=new RegExp(`^\\$\\((${o.CSSIcon.iconNameExpression}(?:${o.CSSIcon.iconModifierExpression})?)\\)$`);function h(i){const u=R.exec(i);if(!u)return;let[,t]=u;return{id:t}}m.fromString=h;function f(i){return{id:i}}m.fromId=f;function v(i,u){let t=i.id;const a=t.lastIndexOf("~");return a!==-1&&(t=t.substring(0,a)),u&&(t=`${t}~${u}`),{id:t}}m.modify=v;function r(i){const u=i.id.lastIndexOf("~");if(u!==-1)return i.id.substring(u+1)}m.getModifier=r;function T(i,u){return i.id===u.id&&i.color?.id===u.color?.id}m.isEqual=T;function l(i,u){return{id:i.id,color:u?L(u):void 0}}m.asThemeIcon=l,m.asClassNameArray=o.CSSIcon.asClassNameArray,m.asClassName=o.CSSIcon.asClassName,m.asCSSSelector=o.CSSIcon.asCSSSelector})(M=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=o.Codicon.file,e.FolderThemeIcon=o.Codicon.folder;function E(m){switch(m){case P.ColorScheme.DARK:return"vs-dark";case P.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=E,e.Extensions={ThemingContribution:"base.contributions.theming"};class c{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new I.Emitter}onColorThemeChange(w){return this.themingParticipants.push(w),this.onThemingParticipantAddedEmitter.fire(w),(0,_.toDisposable)(()=>{const R=this.themingParticipants.indexOf(w);this.themingParticipants.splice(R,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let g=new c;y.Registry.add(e.Extensions.ThemingContribution,g);function s(m){return g.onColorThemeChange(m)}e.registerThemingParticipant=s;class n extends _.Disposable{constructor(w){super();this.themeService=w,this.theme=w.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(R=>this.onThemeChange(R)))}onThemeChange(w){this.theme=w,this.updateStyles()}updateStyles(){}getColor(w,R){let h=this.theme.getColor(w);return h&&R&&(h=R(h,this.theme)),h?h.toString():null}}e.Themable=n}),define(Ee[147],be([1,0,5,23,3,12]),function(Y,e,o,I,_,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,_.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,_.createDecorator)("sharedTunnelsService");var y;(function(s){s.Http="http",s.Https="https"})(y=e.TunnelProtocol||(e.TunnelProtocol={}));var P;(function(s){s.ConstantPrivate="constantPrivate",s.Private="private",s.Public="public"})(P=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var C;(function(s){s[s.Notify=1]="Notify",s[s.OpenBrowser=2]="OpenBrowser",s[s.OpenPreview=3]="OpenPreview",s[s.Silent=4]="Silent",s[s.Ignore=5]="Ignore",s[s.OpenBrowserOnce=6]="OpenBrowserOnce"})(C=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function L(s){if(s.scheme!=="http"&&s.scheme!=="https")return;const n=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(s.authority);if(!!n)return{address:n[1],port:+n[2]}}e.extractLocalHostUriMetaDataForPortMapping=L,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function M(s){return e.LOCALHOST_ADDRESSES.indexOf(s)>=0}e.isLocalhost=M,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function E(s){return e.ALL_INTERFACES_ADDRESSES.indexOf(s)>=0}e.isAllInterfaces=E;function c(s,n){return n?n!==1&&s<1024:!I.isWindows&&s<1024}e.isPortPrivileged=c;let g=class{constructor(n){this.logService=n,this._onTunnelOpened=new o.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new o.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new o.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[]}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(n){return this._tunnelProvider=n,n?(this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}setTunnelFeatures(n){this._canElevate=n.elevation,this._privacyOptions=n.privacyOptions}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const n=[],m=Array.from(this._tunnels.values());for(let w of m){const R=Array.from(w.values());for(let h of R){const f=await h.value;f&&n.push(f)}}return n}async dispose(){for(const n of this._tunnels.values()){for(const{value:m}of n.values())await m.then(w=>w?.dispose());n.clear()}this._tunnels.clear()}openTunnel(n,m,w,R,h=!1,f=P.Private,v){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${m}:${w} on local port ${R}.`),!n)return;m||(m="localhost");const r=this.retainOrCreateTunnel(n,m,w,R,h,f,v);return r?r.then(T=>{if(!T){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(m,w);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const l=this.makeTunnel(T);return(T.tunnelRemoteHost!==m||T.tunnelRemotePort!==w)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(l),l}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),r)}makeTunnel(n){return{tunnelRemotePort:n.tunnelRemotePort,tunnelRemoteHost:n.tunnelRemoteHost,tunnelLocalPort:n.tunnelLocalPort,localAddress:n.localAddress,privacy:n.privacy,protocol:n.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${n.tunnelRemoteHost}:${n.tunnelRemotePort} `);const m=this._tunnels.get(n.tunnelRemoteHost);if(m){const w=m.get(n.tunnelRemotePort);w&&(w.refcount--,await this.tryDisposeTunnel(n.tunnelRemoteHost,n.tunnelRemotePort,w))}}}}async tryDisposeTunnel(n,m,w){if(w.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${n}:${m}.`);const R=w.value.then(async h=>{h&&(await h.dispose(!0),this._onTunnelClosed.fire({host:h.tunnelRemoteHost,port:h.tunnelRemotePort}))});return this._tunnels.has(n)&&this._tunnels.get(n).delete(m),R}}async closeTunnel(n,m){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${n}:${m} `);const w=this._tunnels.get(n);if(w&&w.has(m)){const R=w.get(m);R.refcount=0,await this.tryDisposeTunnel(n,m,R)}}addTunnelToMap(n,m,w){this._tunnels.has(n)||this._tunnels.set(n,new Map),this._tunnels.get(n).set(m,{refcount:1,value:w})}async removeEmptyTunnelFromMap(n,m){const w=this._tunnels.get(n);w&&(await w.get(m)||w.delete(m),w.size===0&&this._tunnels.delete(n))}getTunnelFromMap(n,m){let w=[n];M(n)?(w.push(...e.LOCALHOST_ADDRESSES),w.push(...e.ALL_INTERFACES_ADDRESSES)):E(n)&&w.push(...e.ALL_INTERFACES_ADDRESSES);const R=w.map(h=>this._tunnels.get(h));for(const h of R){const f=h?.get(m);if(f)return f}}canTunnel(n){return!!L(n)}createWithProvider(n,m,w,R,h,f,v){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${m}:${w} on local port ${R}.`);const T={elevationRequired:h?c(R===void 0?w:R):!1},l={remoteAddress:{host:m,port:w},localAddressPort:R,privacy:f,public:f!==P.Private,protocol:v},i=n.forwardPort(l,T);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),i&&this.addTunnelToMap(m,w,i),i}};g=Fe([Ne(0,B.ILogService)],g),e.AbstractTunnelService=g}),define(Ee[148],be([1,0,9]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVirtualWorkspace=e.getVirtualWorkspaceScheme=e.getVirtualWorkspaceLocation=e.isVirtualResource=void 0;function I(P){return P.scheme!==o.Schemas.file&&P.scheme!==o.Schemas.vscodeRemote}e.isVirtualResource=I;function _(P){if(P.folders.length)return P.folders.every(C=>I(C.uri))?P.folders[0].uri:void 0;if(P.configuration&&I(P.configuration))return P.configuration}e.getVirtualWorkspaceLocation=_;function B(P){return _(P)?.scheme}e.getVirtualWorkspaceScheme=B;function y(P){return _(P)!==void 0}e.isVirtualWorkspace=y}),define(Ee[47],be([1,0,121,17,22,24,2,3]),function(Y,e,o,I,_,B,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasWorkspaceFileExtension=e.isUntitledWorkspace=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,P.createDecorator)("contextService");function C(v){const r=v;return typeof r?.id=="string"&&y.URI.isUri(r.uri)}e.isSingleFolderWorkspaceIdentifier=C;function L(v){if(v.configuration)return{id:v.id,configPath:v.configuration};if(v.folders.length===1)return{id:v.id,uri:v.folders[0].uri}}e.toWorkspaceIdentifier=L;function M(v){const r=v;return typeof r?.id=="string"&&y.URI.isUri(r.configPath)}e.isWorkspaceIdentifier=M;function E(v){const r=v;if(r?.uri)return{id:r.id,uri:y.URI.revive(r.uri)};const T=v;if(T?.configPath)return{id:T.id,configPath:y.URI.revive(T.configPath)};if(v?.id)return{id:v.id}}e.reviveIdentifier=E;var c;(function(v){v[v.EMPTY=1]="EMPTY",v[v.FOLDER=2]="FOLDER",v[v.WORKSPACE=3]="WORKSPACE"})(c=e.WorkbenchState||(e.WorkbenchState={}));function g(v){const r=v;return!!(r&&typeof r=="object"&&typeof r.id=="string"&&Array.isArray(r.folders))}e.isWorkspace=g;function s(v){const r=v;return!!(r&&typeof r=="object"&&y.URI.isUri(r.uri)&&typeof r.name=="string"&&typeof r.toResource=="function")}e.isWorkspaceFolder=s;class n{constructor(r,T,l,i,u){this._id=r,this._transient=l,this._configuration=i,this._ignorePathCasing=u,this._foldersMap=_.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=T}update(r){this._id=r.id,this._configuration=r.configuration,this._transient=r.transient,this._ignorePathCasing=r._ignorePathCasing,this.folders=r.folders}get folders(){return this._folders}set folders(r){this._folders=r,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(r){this._configuration=r}getFolder(r){return r&&this._foldersMap.findSubstr(r.with({scheme:r.scheme,authority:r.authority,path:r.path}))||null}updateFoldersMap(){this._foldersMap=_.TernarySearchTree.forUris(this._ignorePathCasing);for(const r of this.folders)this._foldersMap.set(r.uri,r)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=n;class m{constructor(r,T){this.raw=T,this.uri=r.uri,this.index=r.index,this.name=r.name}toResource(r){return(0,B.joinPath)(this.uri,r)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=m;function w(v){return new m({uri:v,index:0,name:(0,B.basenameOrAuthority)(v)},{uri:v.toString()})}e.toWorkspaceFolder=w,e.WORKSPACE_EXTENSION="code-workspace";const R=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,o.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function h(v,r){return B.extUriBiasedIgnorePathCase.isEqualOrParent(v,r.untitledWorkspacesHome)}e.isUntitledWorkspace=h;function f(v){return(typeof v=="string"?(0,I.extname)(v):(0,B.extname)(v))===R}e.hasWorkspaceFileExtension=f}),define(Ee[58],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class o{constructor(_){this.id=_,this._data=new Map,this._idPool=1}add(_){const B=this._idPool++;return this._data.set(B,_),this.logDebugInfo(),B}get(_,B){return this._data.has(_)?this._data.get(_)[B]:void 0}delete(_){this._data.delete(_),this.logDebugInfo()}logDebugInfo(){!o.enableDebugLogging||console.log(`${this.id} cache size - ${this._data.size}`)}}e.Cache=o,o.enableDebugLogging=!1}),define(Ee[30],be([1,0,9,24,3]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class B{constructor(){this._systemSchemes=new Set(Object.keys(o.Schemas)),this._providerInfo=new Map,this.extUri=new I.ExtUri(P=>{const C=this._providerInfo.get(P.scheme);return!(C===void 0||C&1024)})}$acceptProviderInfos(P,C){C===null?this._providerInfo.delete(P.scheme):this._providerInfo.set(P.scheme,C)}isFreeScheme(P){return!this._providerInfo.has(P)&&!this._systemSchemes.has(P)}getCapabilities(P){return this._providerInfo.get(P)}}e.ExtHostFileSystemInfo=B,e.IExtHostFileSystemInfo=(0,_.createDecorator)("IExtHostFileSystemInfo")}),define(Ee[27],be([1,0,3]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=(0,o.createDecorator)("IExtHostInitDataService")}),define(Ee[149],be([1,0,13]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class I{constructor(y,P,C){this._deferredPromises=new Map,this._id=y,this._shared=P,this._storage=C,this._init=this._storage.initializeExtensionStorage(this._shared,this._id,Object.create(null)).then(L=>(this._value=L,this)),this._storageListener=this._storage.onDidChangeStorage(L=>{L.shared===this._shared&&L.key===this._id&&(this._value=L.value)}),this._scheduler=new o.RunOnceScheduler(()=>{const L=this._deferredPromises;this._deferredPromises=new Map,(async()=>{try{await this._storage.setValue(this._shared,this._id,this._value);for(const M of L.values())M.complete()}catch(M){for(const E of L.values())E.error(M)}})()},0)}keys(){return Object.entries(this._value??{}).filter(([,y])=>y!==void 0).map(([y])=>y)}get whenReady(){return this._init}get(y,P){let C=this._value[y];return typeof C=="undefined"&&(C=P),C}update(y,P){this._value[y]=P;let C=this._deferredPromises.get(y);if(C!==void 0)return C.p;const L=new o.DeferredPromise;return this._deferredPromises.set(y,L),this._scheduler.isScheduled()||this._scheduler.schedule(),L.p}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=I;class _ extends I{constructor(y,P){super(y.identifier.value,!0,P);this._extension=y}setKeysForSync(y){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},y)}}e.ExtensionGlobalMemento=_}),define(Ee[150],be([1,0,5,2,12]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocuments=void 0;let B=class{constructor(P,C){this._logService=P,this._notebooksAndEditors=C,this._onDidChangeNotebookDocumentMetadata=new o.Emitter,this.onDidChangeNotebookDocumentMetadata=this._onDidChangeNotebookDocumentMetadata.event,this._onDidSaveNotebookDocument=new o.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event}$acceptModelChanged(P,C,L){this._notebooksAndEditors.getNotebookDocument(I.URI.revive(P)).acceptModelChanged(C.value,L)}$acceptDirtyStateChanged(P,C){this._notebooksAndEditors.getNotebookDocument(I.URI.revive(P)).acceptDirty(C)}$acceptModelSaved(P){const C=this._notebooksAndEditors.getNotebookDocument(I.URI.revive(P));this._onDidSaveNotebookDocument.fire(C.apiNotebook)}$acceptDocumentPropertiesChanged(P,C){this._logService.debug("ExtHostNotebook#$acceptDocumentPropertiesChanged",P.path,C);const L=this._notebooksAndEditors.getNotebookDocument(I.URI.revive(P));L.acceptDocumentPropertiesChanged(C),C.metadata&&this._onDidChangeNotebookDocumentMetadata.fire({document:L.apiNotebook})}};B=Fe([Ne(0,_.ILogService)],B),e.ExtHostNotebookDocuments=B}),define(Ee[14],be([1,0,3]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=(0,o.createDecorator)("IExtHostRpcService");class I{constructor(B){this.getProxy=B.getProxy.bind(B),this.set=B.set.bind(B),this.assertRegistered=B.assertRegistered.bind(B),this.drain=B.drain.bind(B)}}e.ExtHostRpcService=I});var je=this&&this.__classPrivateFieldSet||function(Y,e,o,I,_){if(I==="m")throw new TypeError("Private method is not writable");if(I==="a"&&!_)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Y!==e||!_:!e.has(Y))throw new TypeError("Cannot write private member to an object whose class did not declare it");return I==="a"?_.call(Y,o):_?_.value=o:e.set(Y,o),o},De=this&&this.__classPrivateFieldGet||function(Y,e,o,I){if(o==="a"&&!I)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Y!==e||!I:!e.has(Y))throw new TypeError("Cannot read private member from an object whose class did not declare it");return o==="m"?I:o==="a"?I.call(Y):I?I.value:e.get(Y)};define(Ee[151],be([1,0,25,5]),function(Y,e,o,I){"use strict";var _;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class B{constructor(P,C){_.set(this,void 0),this._onDidChange=new I.Emitter,this.onDidChange=this._onDidChange.event,this._id=o.ExtensionIdentifier.toKey(P.identifier),je(this,_,C,"f"),De(this,_,"f").onDidChangePassword(L=>{L.extensionId===this._id&&this._onDidChange.fire({key:L.key})})}get(P){return De(this,_,"f").get(this._id,P)}store(P,C){return De(this,_,"f").store(this._id,P,C)}delete(P){return De(this,_,"f").delete(this._id,P)}}e.ExtensionSecrets=B,_=new WeakMap}),define(Ee[83],be([1,0,3,5]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTelemetry=e.ExtHostTelemetry=void 0;class _{constructor(){this._onDidChangeTelemetryEnabled=new I.Emitter,this.onDidChangeTelemetryEnabled=this._onDidChangeTelemetryEnabled.event,this._onDidChangeTelemetryConfiguration=new I.Emitter,this.onDidChangeTelemetryConfiguration=this._onDidChangeTelemetryConfiguration.event,this._level=0}getTelemetryConfiguration(){return this._level===3}getTelemetryDetails(){return{isCrashEnabled:this._level>=1,isErrorsEnabled:this._level>=2,isUsageEnabled:this._level>=3}}$initializeTelemetryLevel(y){this._level=y}$onDidChangeTelemetryLevel(y){this._oldTelemetryEnablement=this.getTelemetryConfiguration(),this._level=y,this._oldTelemetryEnablement!==this.getTelemetryConfiguration()&&this._onDidChangeTelemetryEnabled.fire(this.getTelemetryConfiguration()),this._onDidChangeTelemetryConfiguration.fire(this.getTelemetryDetails())}}e.ExtHostTelemetry=_,e.IExtHostTelemetry=(0,o.createDecorator)("IExtHostTelemetry")}),define(Ee[48],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestItemRootImpl=e.TestItemImpl=e.MixedTestItemController=e.InvalidTestItemError=e.DuplicateTestItemError=e.diffTestItems=e.getPrivateApiFor=e.createPrivateApiFor=e.ExtHostTestItemEventOp=void 0;var o;(function(R){R[R.Upsert=0]="Upsert",R[R.RemoveChild=1]="RemoveChild",R[R.Invalidated=2]="Invalidated",R[R.SetProp=3]="SetProp",R[R.Bulk=4]="Bulk"})(o=e.ExtHostTestItemEventOp||(e.ExtHostTestItemEventOp={}));const I=new WeakMap,_=(R,h)=>{const f={controllerId:h};return I.set(R,f),f};e.createPrivateApiFor=_;const B=R=>I.get(R);e.getPrivateApiFor=B;const y=(R,h,f,v)=>{let r=f;return{enumerable:!0,configurable:!1,get(){return r},set(T){if(!v(r,T)){const l=r;r=T,R.listener?.({op:3,key:h,value:T,previous:l})}}}},P=(R,h)=>R===h,C={range:(R,h)=>R===h?!0:!R||!h?!1:R.isEqual(h),label:P,description:P,sortText:P,busy:P,error:P,canResolveChildren:P,tags:(R,h)=>!(R.length!==h.length||R.some(f=>!h.find(v=>f.id===v.id)))},L=Object.keys(C),M=(R,h)=>({range:y(R,"range",void 0,C.range),label:y(R,"label",h,C.label),description:y(R,"description",void 0,C.description),sortText:y(R,"sortText",void 0,C.sortText),canResolveChildren:y(R,"canResolveChildren",!1,C.canResolveChildren),busy:y(R,"busy",!1,C.busy),error:y(R,"error",void 0,C.error),tags:y(R,"tags",[],C.tags)}),E=(R,h)=>{const f=new Map;for(const v of L)C[v](R[v],h[v])||f.set(v,h[v]);return f};e.diffTestItems=E;class c extends Error{constructor(h){super(`Attempted to insert a duplicate test item ID ${h}`)}}e.DuplicateTestItemError=c;class g extends Error{constructor(h){super(`TestItem with ID "${h}" is invalid. Make sure to create it from the createTestItem method.`)}}e.InvalidTestItemError=g;class s extends Error{constructor(h,f,v){super(`TestItem with ID "${h}" is from controller "${f}" and cannot be added as a child of an item from controller "${v}".`)}}e.MixedTestItemController=s;const n=R=>{const h=(0,e.getPrivateApiFor)(R);let f=new Map;return{get size(){return f.size},forEach(v,r){for(const T of f.values())v.call(r,T,this)},replace(v){const r=new Map,T=new Set(f.keys()),l={op:4,ops:[]};for(const i of v){if(!(i instanceof m))throw new g(i.id);const u=(0,e.getPrivateApiFor)(i).controllerId;if(u!==h.controllerId)throw new s(i.id,u,h.controllerId);if(r.has(i.id))throw new c(i.id);r.set(i.id,i),T.delete(i.id),l.ops.push({op:0,item:i})}for(const i of T.keys())l.ops.push({op:1,id:i});h.listener?.(l),f=r},add(v){if(!(v instanceof m))throw new g(v.id);f.set(v.id,v),h.listener?.({op:0,item:v})},delete(v){f.delete(v)&&h.listener?.({op:1,id:v})},get(v){return f.get(v)},toJSON(){return Array.from(f.values())},[Symbol.iterator](){return f.values()}}};class m{constructor(h,f,v,r){if(f.includes("\0"))throw new Error(`Test IDs may not include the ${JSON.stringify(f)} symbol`);const T=(0,e.createPrivateApiFor)(this,h);Object.defineProperties(this,{id:{value:f,enumerable:!0,writable:!1},uri:{value:r,enumerable:!0,writable:!1},parent:{enumerable:!1,get(){return T.parent instanceof w?void 0:T.parent}},children:{value:n(this),enumerable:!0,writable:!1},...M(T,v)})}invalidateResults(){(0,e.getPrivateApiFor)(this).listener?.({op:2})}}e.TestItemImpl=m;class w extends m{constructor(h,f){super(h,h,f,void 0)}}e.TestItemRootImpl=w}),define(Ee[59],be([1,0,3,147,5,14]),function(Y,e,o,I,_,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDtoConverter=void 0;var y;(function(C){function L(E){return{remoteAddress:E.remoteAddress,localAddress:E.localAddress,public:!!E.public,privacy:E.privacy??(E.public?I.TunnelPrivacyId.Public:I.TunnelPrivacyId.Private),protocol:E.protocol}}C.fromApiTunnel=L;function M(E){return{remoteAddress:{host:E.tunnelRemoteHost,port:E.tunnelRemotePort},localAddress:E.localAddress,public:E.privacy!==I.TunnelPrivacyId.ConstantPrivate&&E.privacy!==I.TunnelPrivacyId.ConstantPrivate,privacy:E.privacy,protocol:E.protocol}}C.fromServiceTunnel=M})(y=e.TunnelDtoConverter||(e.TunnelDtoConverter={})),e.IExtHostTunnelService=(0,o.createDecorator)("IExtHostTunnelService");let P=class{constructor(L){this.onDidChangeTunnels=new _.Emitter().event}async $applyCandidateFilter(L){return L}async openTunnel(L,M){}async getTunnels(){return[]}async setTunnelFactory(L){return{dispose:()=>{}}}registerPortsAttributesProvider(L,M){return{dispose:()=>{}}}async $providePortAttributes(L,M,E,c,g){return[]}async $forwardPort(L,M){}async $closeTunnel(L){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};P=Fe([Ne(0,B.IExtHostRpcService)],P),e.ExtHostTunnelService=P});var je=this&&this.__classPrivateFieldSet||function(Y,e,o,I,_){if(I==="m")throw new TypeError("Private method is not writable");if(I==="a"&&!_)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Y!==e||!_:!e.has(Y))throw new TypeError("Cannot write private member to an object whose class did not declare it");return I==="a"?_.call(Y,o):_?_.value=o:e.set(Y,o),o},De=this&&this.__classPrivateFieldGet||function(Y,e,o,I){if(o==="a"&&!I)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Y!==e||!I:!e.has(Y))throw new TypeError("Cannot read private member from an object whose class did not declare it");return o==="m"?I:o==="a"?I.call(Y):I?I.value:e.get(Y)};define(Ee[7],be([1,0,16,15,72,22,71,10,11,2,36,46,81]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c){"use strict";var g,s,n,m,w,R,h,f,v,r,T,l,i,u,t,a,p,d,S,k;Object.defineProperty(e,"__esModule",{value:!0}),e.TypeHierarchyItem=e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.FunctionCoverage=e.BranchCoverage=e.StatementCoverage=e.FileCoverage=e.CoveredCount=e.TestTag=e.TestMessage=e.TestRunRequest=e.TestRunProfileKind=e.TestResultState=e.PortAttributes=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookRendererScript=e.NotebookControllerAffinity=e.NotebookCellStatusBarItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookData=e.NotebookCellData=e.NotebookRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.QuickPickItemKind=e.QuickInputButtons=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentThreadState=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.InlineCompletionTriggerKind=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.TreeDataTransfer=e.TreeDataTransferItem=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.TerminalProfile=e.TerminalLocation=e.TerminalLink=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextDocumentChangeReason=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.InlineSuggestions=e.InlineSuggestion=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlayHint=e.InlayHintLabelPart=e.InlayHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.LanguageStatusSeverity=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTriggerKind=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function A(V){function U(){return Reflect.construct(V,arguments,this.constructor)}return Object.defineProperty(U,"name",Object.getOwnPropertyDescriptor(V,"name")),Object.setPrototypeOf(U,V),Object.setPrototypeOf(U.prototype,V.prototype),U}let W=w=class{constructor(U){g.set(this,void 0),je(this,g,U,"f")}static from(...U){let ee=U;return new w(function(){if(ee){for(const we of ee)we&&typeof we.dispose=="function"&&we.dispose();ee=void 0}})}dispose(){typeof De(this,g,"f")=="function"&&(De(this,g,"f").call(this),je(this,g,void 0,"f"))}};g=new WeakMap,W=w=Fe([A],W),e.Disposable=W;let b=R=class{constructor(U,ee){if(U<0)throw(0,I.illegalArgument)("line must be non-negative");if(ee<0)throw(0,I.illegalArgument)("character must be non-negative");this._line=U,this._character=ee}static Min(...U){if(U.length===0)throw new TypeError;let ee=U[0];for(let we=1;we<U.length;we++){const We=U[we];We.isBefore(ee)&&(ee=We)}return ee}static Max(...U){if(U.length===0)throw new TypeError;let ee=U[0];for(let we=1;we<U.length;we++){const We=U[we];We.isAfter(ee)&&(ee=We)}return ee}static isPosition(U){if(!U)return!1;if(U instanceof R)return!0;let{line:ee,character:we}=U;return typeof ee=="number"&&typeof we=="number"}static of(U){if(U instanceof R)return U;if(this.isPosition(U))return new R(U.line,U.character);throw new Error("Invalid argument, is NOT a position-like object")}get line(){return this._line}get character(){return this._character}isBefore(U){return this._line<U._line?!0:U._line<this._line?!1:this._character<U._character}isBeforeOrEqual(U){return this._line<U._line?!0:U._line<this._line?!1:this._character<=U._character}isAfter(U){return!this.isBeforeOrEqual(U)}isAfterOrEqual(U){return!this.isBefore(U)}isEqual(U){return this._line===U._line&&this._character===U._character}compareTo(U){return this._line<U._line?-1:this._line>U.line?1:this._character<U._character?-1:this._character>U._character?1:0}translate(U,ee=0){if(U===null||ee===null)throw(0,I.illegalArgument)();let we;return typeof U=="undefined"?we=0:typeof U=="number"?we=U:(we=typeof U.lineDelta=="number"?U.lineDelta:0,ee=typeof U.characterDelta=="number"?U.characterDelta:0),we===0&&ee===0?this:new R(this.line+we,this.character+ee)}with(U,ee=this.character){if(U===null||ee===null)throw(0,I.illegalArgument)();let we;return typeof U=="undefined"?we=this.line:typeof U=="number"?we=U:(we=typeof U.line=="number"?U.line:this.line,ee=typeof U.character=="number"?U.character:this.character),we===this.line&&ee===this.character?this:new R(we,ee)}toJSON(){return{line:this.line,character:this.character}}};b=R=Fe([A],b),e.Position=b;let H=h=class{constructor(U,ee,we,We){let Ke,Ye;if(typeof U=="number"&&typeof ee=="number"&&typeof we=="number"&&typeof We=="number"?(Ke=new b(U,ee),Ye=new b(we,We)):b.isPosition(U)&&b.isPosition(ee)&&(Ke=b.of(U),Ye=b.of(ee)),!Ke||!Ye)throw new Error("Invalid arguments");Ke.isBefore(Ye)?(this._start=Ke,this._end=Ye):(this._start=Ye,this._end=Ke)}static isRange(U){return U instanceof h?!0:U?b.isPosition(U.start)&&b.isPosition(U.end):!1}static of(U){if(U instanceof h)return U;if(this.isRange(U))return new h(U.start,U.end);throw new Error("Invalid argument, is NOT a range-like object")}get start(){return this._start}get end(){return this._end}contains(U){return h.isRange(U)?this.contains(U.start)&&this.contains(U.end):b.isPosition(U)?!(b.of(U).isBefore(this._start)||this._end.isBefore(U)):!1}isEqual(U){return this._start.isEqual(U._start)&&this._end.isEqual(U._end)}intersection(U){const ee=b.Max(U.start,this._start),we=b.Min(U.end,this._end);if(!ee.isAfter(we))return new h(ee,we)}union(U){if(this.contains(U))return this;if(U.contains(this))return U;const ee=b.Min(U.start,this._start),we=b.Max(U.end,this.end);return new h(ee,we)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(U,ee=this.end){if(U===null||ee===null)throw(0,I.illegalArgument)();let we;return U?b.isPosition(U)?we=U:(we=U.start||this.start,ee=U.end||this.end):we=this.start,we.isEqual(this._start)&&ee.isEqual(this.end)?this:new h(we,ee)}toJSON(){return[this.start,this.end]}};H=h=Fe([A],H),e.Range=H;let q=f=class extends H{constructor(U,ee,we,We){let Ke,Ye;if(typeof U=="number"&&typeof ee=="number"&&typeof we=="number"&&typeof We=="number"?(Ke=new b(U,ee),Ye=new b(we,We)):b.isPosition(U)&&b.isPosition(ee)&&(Ke=b.of(U),Ye=b.of(ee)),!Ke||!Ye)throw new Error("Invalid arguments");super(Ke,Ye);this._anchor=Ke,this._active=Ye}static isSelection(U){return U instanceof f?!0:U?H.isRange(U)&&b.isPosition(U.anchor)&&b.isPosition(U.active)&&typeof U.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};q=f=Fe([A],q),e.Selection=q;class ${constructor(U,ee,we){if(typeof U!="string"||U.length===0)throw(0,I.illegalArgument)("host");if(typeof ee!="number"||ee===0||Math.round(ee)!==ee)throw(0,I.illegalArgument)("port");if(typeof we!="undefined"&&(typeof we!="string"||we.length===0||!/^[0-9A-Za-z\-]+$/.test(we)))throw(0,I.illegalArgument)("connectionToken");this.host=U,this.port=Math.round(ee),this.connectionToken=we}}e.ResolvedAuthority=$;class j extends Error{constructor(U,ee=c.RemoteAuthorityResolverErrorCode.Unknown,we){super(U);this._message=U,this._code=ee,this._detail=we,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,j.prototype)}static NotAvailable(U,ee){return new j(U,c.RemoteAuthorityResolverErrorCode.NotAvailable,ee)}static TemporarilyNotAvailable(U){return new j(U,c.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=j;var J;(function(V){V[V.LF=1]="LF",V[V.CRLF=2]="CRLF"})(J=e.EndOfLine||(e.EndOfLine={}));var z;(function(V){V[V.Replace=1]="Replace",V[V.Append=2]="Append",V[V.Prepend=3]="Prepend"})(z=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let ie=v=class{constructor(U,ee){this._range=U,this._newText=ee}static isTextEdit(U){return U instanceof v?!0:U?H.isRange(U)&&typeof U.newText=="string":!1}static replace(U,ee){return new v(U,ee)}static insert(U,ee){return v.replace(new H(U,U),ee)}static delete(U){return v.replace(U,"")}static setEndOfLine(U){const ee=new v(new H(new b(0,0),new b(0,0)),"");return ee.newEol=U,ee}get range(){return this._range}set range(U){if(U&&!H.isRange(U))throw(0,I.illegalArgument)("range");this._range=U}get newText(){return this._newText||""}set newText(U){if(U&&typeof U!="string")throw(0,I.illegalArgument)("newText");this._newText=U}get newEol(){return this._newEol}set newEol(U){if(U&&typeof U!="number")throw(0,I.illegalArgument)("newEol");this._newEol=U}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};ie=v=Fe([A],ie),e.TextEdit=ie;var ae;(function(V){V[V.File=1]="File",V[V.Text=2]="Text",V[V.Cell=3]="Cell",V[V.CellReplace=5]="CellReplace"})(ae=e.FileEditType||(e.FileEditType={}));let te=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(U,ee,we,We){this._edits.push({_type:1,from:U,to:ee,options:we,metadata:We})}createFile(U,ee,we){this._edits.push({_type:1,from:void 0,to:U,options:ee,metadata:we})}deleteFile(U,ee,we){this._edits.push({_type:1,from:U,to:void 0,options:ee,metadata:we})}replaceNotebookMetadata(U,ee,we){this._edits.push({_type:3,metadata:we,uri:U,edit:{editType:5,metadata:ee},notebookMetadata:ee})}replaceNotebookCells(U,ee,we,We,Ke){let Ye,et,_t=[],Pt;if(Gt.isNotebookRange(ee)&&Pe.isNotebookCellDataArray(we)&&!Pe.isNotebookCellDataArray(We)?(Ye=ee.start,et=ee.end,_t=we,Pt=We):typeof ee=="number"&&typeof we=="number"&&Pe.isNotebookCellDataArray(We)&&(Ye=ee,et=we,_t=We,Pt=Ke),Ye===void 0||et===void 0)throw new Error("Invalid arguments");(Ye!==et||_t.length>0)&&this._edits.push({_type:5,uri:U,index:Ye,count:et-Ye,cells:_t,metadata:Pt})}replaceNotebookCellMetadata(U,ee,we,We){this._edits.push({_type:3,metadata:We,uri:U,edit:{editType:8,index:ee,metadata:we}})}replace(U,ee,we,We){this._edits.push({_type:2,uri:U,edit:new ie(ee,we),metadata:We})}insert(U,ee,we,We){this.replace(U,new H(ee,ee),we,We)}delete(U,ee,we){this.replace(U,ee,"",we)}has(U){return this._edits.some(ee=>ee._type===2&&ee.uri.toString()===U.toString())}set(U,ee){if(ee)for(const we of ee)we&&this._edits.push({_type:2,uri:U,edit:we});else{for(let we=0;we<this._edits.length;we++){const We=this._edits[we];We._type===2&&We.uri.toString()===U.toString()&&(this._edits[we]=void 0)}(0,o.coalesceInPlace)(this._edits)}}get(U){const ee=[];for(let we of this._edits)we._type===2&&we.uri.toString()===U.toString()&&ee.push(we.edit);return ee}entries(){const U=new B.ResourceMap;for(let ee of this._edits)if(ee._type===2){let we=U.get(ee.uri);we||(we=[ee.uri,[]],U.set(ee.uri,we)),we[1].push(ee.edit)}return[...U.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};te=Fe([A],te),e.WorkspaceEdit=te;let ce=r=class{constructor(U){this._tabstop=1,this.value=U||""}static isSnippetString(U){return U instanceof r?!0:U?typeof U.value=="string":!1}static _escape(U){return U.replace(/\$|}|\\/g,"\\$&")}appendText(U){return this.value+=r._escape(U),this}appendTabstop(U=this._tabstop++){return this.value+="$",this.value+=U,this}appendPlaceholder(U,ee=this._tabstop++){if(typeof U=="function"){const we=new r;we._tabstop=this._tabstop,U(we),this._tabstop=we._tabstop,U=we.value}else U=r._escape(U);return this.value+="${",this.value+=ee,this.value+=":",this.value+=U,this.value+="}",this}appendChoice(U,ee=this._tabstop++){const we=U.map(We=>We.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=ee,this.value+="|",this.value+=we,this.value+="|}",this}appendVariable(U,ee){if(typeof ee=="function"){const we=new r;we._tabstop=this._tabstop,ee(we),this._tabstop=we._tabstop,ee=we.value}else typeof ee=="string"&&(ee=ee.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=U,ee&&(this.value+=":",this.value+=ee),this.value+="}",this}};ce=r=Fe([A],ce),e.SnippetString=ce;var de;(function(V){V[V.Unnecessary=1]="Unnecessary",V[V.Deprecated=2]="Deprecated"})(de=e.DiagnosticTag||(e.DiagnosticTag={}));var Se;(function(V){V[V.Hint=3]="Hint",V[V.Information=2]="Information",V[V.Warning=1]="Warning",V[V.Error=0]="Error"})(Se=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let fe=T=class{constructor(U,ee){if(this.uri=U,ee)if(H.isRange(ee))this.range=H.of(ee);else if(b.isPosition(ee))this.range=new H(ee,ee);else throw new Error("Illegal argument")}static isLocation(U){return U instanceof T?!0:U?H.isRange(U.range)&&L.URI.isUri(U.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};fe=T=Fe([A],fe),e.Location=fe;let ne=class{constructor(U,ee){this.location=U,this.message=ee}static is(U){return U?typeof U.message=="string"&&U.location&&H.isRange(U.location.range)&&L.URI.isUri(U.location.uri):!1}static isEqual(U,ee){return U===ee?!0:!U||!ee?!1:U.message===ee.message&&U.location.range.isEqual(ee.location.range)&&U.location.uri.toString()===ee.location.uri.toString()}};ne=Fe([A],ne),e.DiagnosticRelatedInformation=ne;let me=class{constructor(U,ee,we=Se.Error){if(!H.isRange(U))throw new TypeError("range must be set");if(!ee)throw new TypeError("message must be set");this.range=U,this.message=ee,this.severity=we}toJSON(){return{severity:Se[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(U,ee){return U===ee?!0:!U||!ee?!1:U.message===ee.message&&U.severity===ee.severity&&U.code===ee.code&&U.severity===ee.severity&&U.source===ee.source&&U.range.isEqual(ee.range)&&(0,o.equals)(U.tags,ee.tags)&&(0,o.equals)(U.relatedInformation,ee.relatedInformation,ne.isEqual)}};me=Fe([A],me),e.Diagnostic=me;let ke=class{constructor(U,ee){if(!U)throw new Error("Illegal argument, contents must be defined");Array.isArray(U)?this.contents=U:this.contents=[U],this.range=ee}};ke=Fe([A],ke),e.Hover=ke;var Ae;(function(V){V[V.Text=0]="Text",V[V.Read=1]="Read",V[V.Write=2]="Write"})(Ae=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let Be=class{constructor(U,ee=Ae.Text){this.range=U,this.kind=ee}toJSON(){return{range:this.range,kind:Ae[this.kind]}}};Be=Fe([A],Be),e.DocumentHighlight=Be;var Xe;(function(V){V[V.File=0]="File",V[V.Module=1]="Module",V[V.Namespace=2]="Namespace",V[V.Package=3]="Package",V[V.Class=4]="Class",V[V.Method=5]="Method",V[V.Property=6]="Property",V[V.Field=7]="Field",V[V.Constructor=8]="Constructor",V[V.Enum=9]="Enum",V[V.Interface=10]="Interface",V[V.Function=11]="Function",V[V.Variable=12]="Variable",V[V.Constant=13]="Constant",V[V.String=14]="String",V[V.Number=15]="Number",V[V.Boolean=16]="Boolean",V[V.Array=17]="Array",V[V.Object=18]="Object",V[V.Key=19]="Key",V[V.Null=20]="Null",V[V.EnumMember=21]="EnumMember",V[V.Struct=22]="Struct",V[V.Event=23]="Event",V[V.Operator=24]="Operator",V[V.TypeParameter=25]="TypeParameter"})(Xe=e.SymbolKind||(e.SymbolKind={}));var ge;(function(V){V[V.Deprecated=1]="Deprecated"})(ge=e.SymbolTag||(e.SymbolTag={}));let ue=l=class{constructor(U,ee,we,We,Ke){this.name=U,this.kind=ee,this.containerName=Ke,typeof we=="string"&&(this.containerName=we),We instanceof fe?this.location=We:we instanceof H&&(this.location=new fe(We,we)),l.validate(this)}static validate(U){if(!U.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:Xe[this.kind],location:this.location,containerName:this.containerName}}};ue=l=Fe([A],ue),e.SymbolInformation=ue;let N=i=class{constructor(U,ee,we,We,Ke){this.name=U,this.detail=ee,this.kind=we,this.range=We,this.selectionRange=Ke,this.children=[],i.validate(this)}static validate(U){if(!U.name)throw new Error("name must not be falsy");if(!U.range.contains(U.selectionRange))throw new Error("selectionRange must be contained in fullRange");U.children&&U.children.forEach(i.validate)}};N=i=Fe([A],N),e.DocumentSymbol=N;var F;(function(V){V[V.Invoke=1]="Invoke",V[V.Automatic=2]="Automatic"})(F=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));let D=class{constructor(U,ee){this.title=U,this.kind=ee}};D=Fe([A],D),e.CodeAction=D;let O=u=class{constructor(U){this.value=U}append(U){return new u(this.value?this.value+u.sep+U:U)}intersects(U){return this.contains(U)||U.contains(this)}contains(U){return this.value===U.value||U.value.startsWith(this.value+u.sep)}};O.sep=".",O=u=Fe([A],O),e.CodeActionKind=O,O.Empty=new O(""),O.QuickFix=O.Empty.append("quickfix"),O.Refactor=O.Empty.append("refactor"),O.RefactorExtract=O.Refactor.append("extract"),O.RefactorInline=O.Refactor.append("inline"),O.RefactorRewrite=O.Refactor.append("rewrite"),O.Source=O.Empty.append("source"),O.SourceOrganizeImports=O.Source.append("organizeImports"),O.SourceFixAll=O.Source.append("fixAll");let x=class{constructor(U,ee){if(this.range=U,this.parent=ee,ee&&!ee.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};x=Fe([A],x),e.SelectionRange=x;class X{constructor(U,ee,we,We,Ke,Ye){this.kind=U,this.name=ee,this.detail=we,this.uri=We,this.range=Ke,this.selectionRange=Ye}}e.CallHierarchyItem=X;class re{constructor(U,ee){this.fromRanges=ee,this.from=U}}e.CallHierarchyIncomingCall=re;class ve{constructor(U,ee){this.fromRanges=ee,this.to=U}}e.CallHierarchyOutgoingCall=ve;var Ie;(function(V){V[V.Information=0]="Information",V[V.Warning=1]="Warning",V[V.Error=2]="Error"})(Ie=e.LanguageStatusSeverity||(e.LanguageStatusSeverity={}));let Me=class{constructor(U,ee){this.range=U,this.command=ee}get isResolved(){return!!this.command}};Me=Fe([A],Me),e.CodeLens=Me;let Le=t=class{constructor(U,ee=!1){s.set(this,void 0),je(this,s,new _.MarkdownString(U,{supportThemeIcons:ee}),"f")}static isMarkdownString(U){return U instanceof t?!0:U&&U.appendCodeblock&&U.appendMarkdown&&U.appendText&&U.value!==void 0}get value(){return De(this,s,"f").value}set value(U){De(this,s,"f").value=U}get isTrusted(){return De(this,s,"f").isTrusted}set isTrusted(U){De(this,s,"f").isTrusted=U}get supportThemeIcons(){return De(this,s,"f").supportThemeIcons}set supportThemeIcons(U){De(this,s,"f").supportThemeIcons=U}get supportHtml(){return De(this,s,"f").supportHtml}set supportHtml(U){De(this,s,"f").supportHtml=U}get baseUri(){return De(this,s,"f").baseUri}set baseUri(U){De(this,s,"f").baseUri=U}appendText(U){return De(this,s,"f").appendText(U),this}appendMarkdown(U){return De(this,s,"f").appendMarkdown(U),this}appendCodeblock(U,ee){return De(this,s,"f").appendCodeblock(ee??"",U),this}};s=new WeakMap,Le=t=Fe([A],Le),e.MarkdownString=Le;let ze=class{constructor(U,ee){this.label=U,this.documentation=ee}};ze=Fe([A],ze),e.ParameterInformation=ze;let xe=class{constructor(U,ee){this.label=U,this.documentation=ee,this.parameters=[]}};xe=Fe([A],xe),e.SignatureInformation=xe;let Re=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};Re=Fe([A],Re),e.SignatureHelp=Re;var Qe;(function(V){V[V.Invoke=1]="Invoke",V[V.TriggerCharacter=2]="TriggerCharacter",V[V.ContentChange=3]="ContentChange"})(Qe=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var tt;(function(V){V[V.Type=1]="Type",V[V.Parameter=2]="Parameter"})(tt=e.InlayHintKind||(e.InlayHintKind={}));let Te=class{constructor(U){this.value=U}};Te=Fe([A],Te),e.InlayHintLabelPart=Te;let it=class{constructor(U,ee,we){this.position=U,this.label=ee,this.kind=we}};it=Fe([A],it),e.InlayHint=it;var G;(function(V){V[V.Invoke=0]="Invoke",V[V.TriggerCharacter=1]="TriggerCharacter",V[V.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(G=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Q;(function(V){V[V.Text=0]="Text",V[V.Method=1]="Method",V[V.Function=2]="Function",V[V.Constructor=3]="Constructor",V[V.Field=4]="Field",V[V.Variable=5]="Variable",V[V.Class=6]="Class",V[V.Interface=7]="Interface",V[V.Module=8]="Module",V[V.Property=9]="Property",V[V.Unit=10]="Unit",V[V.Value=11]="Value",V[V.Enum=12]="Enum",V[V.Keyword=13]="Keyword",V[V.Snippet=14]="Snippet",V[V.Color=15]="Color",V[V.File=16]="File",V[V.Reference=17]="Reference",V[V.Folder=18]="Folder",V[V.EnumMember=19]="EnumMember",V[V.Constant=20]="Constant",V[V.Struct=21]="Struct",V[V.Event=22]="Event",V[V.Operator=23]="Operator",V[V.TypeParameter=24]="TypeParameter",V[V.User=25]="User",V[V.Issue=26]="Issue"})(Q=e.CompletionItemKind||(e.CompletionItemKind={}));var le;(function(V){V[V.Deprecated=1]="Deprecated"})(le=e.CompletionItemTag||(e.CompletionItemTag={}));let Oe=class{constructor(U,ee){this.label=U,this.kind=ee}toJSON(){return{label:this.label,kind:this.kind&&Q[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};Oe=Fe([A],Oe),e.CompletionItem=Oe;let He=class{constructor(U=[],ee=!1){this.items=U,this.isIncomplete=ee}};He=Fe([A],He),e.CompletionList=He;let Ge=class{constructor(U,ee,we){this.insertText=U,this.range=ee,this.command=we}};Ge=Fe([A],Ge),e.InlineSuggestion=Ge;let Je=class{constructor(U){this.items=U}};Je=Fe([A],Je),e.InlineSuggestions=Je;var ft;(function(V){V[V.Active=-1]="Active",V[V.Beside=-2]="Beside",V[V.One=1]="One",V[V.Two=2]="Two",V[V.Three=3]="Three",V[V.Four=4]="Four",V[V.Five=5]="Five",V[V.Six=6]="Six",V[V.Seven=7]="Seven",V[V.Eight=8]="Eight",V[V.Nine=9]="Nine"})(ft=e.ViewColumn||(e.ViewColumn={}));var It;(function(V){V[V.Left=1]="Left",V[V.Right=2]="Right"})(It=e.StatusBarAlignment||(e.StatusBarAlignment={}));var St;(function(V){V[V.Off=0]="Off",V[V.On=1]="On",V[V.Relative=2]="Relative"})(St=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var kt;(function(V){V[V.Manual=1]="Manual",V[V.AfterDelay=2]="AfterDelay",V[V.FocusOut=3]="FocusOut"})(kt=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var qe;(function(V){V[V.Default=0]="Default",V[V.InCenter=1]="InCenter",V[V.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",V[V.AtTop=3]="AtTop"})(qe=e.TextEditorRevealType||(e.TextEditorRevealType={}));var vt;(function(V){V[V.Keyboard=1]="Keyboard",V[V.Mouse=2]="Mouse",V[V.Command=3]="Command"})(vt=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var Nt;(function(V){V[V.Undo=1]="Undo",V[V.Redo=2]="Redo"})(Nt=e.TextDocumentChangeReason||(e.TextDocumentChangeReason={}));var nt;(function(V){V[V.OpenOpen=0]="OpenOpen",V[V.ClosedClosed=1]="ClosedClosed",V[V.OpenClosed=2]="OpenClosed",V[V.ClosedOpen=3]="ClosedOpen"})(nt=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function(V){function U(ee){switch(ee){case"keyboard":return V.Keyboard;case"mouse":return V.Mouse;case"api":return V.Command}}V.fromValue=U}(vt=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let ut=class{constructor(U,ee){if(ee&&!L.URI.isUri(ee))throw(0,I.illegalArgument)("target");if(!H.isRange(U)||U.isEmpty)throw(0,I.illegalArgument)("range");this.range=U,this.target=ee}};ut=Fe([A],ut),e.DocumentLink=ut;let At=class{constructor(U,ee,we,We){this.red=U,this.green=ee,this.blue=we,this.alpha=We}};At=Fe([A],At),e.Color=At;let Tt=class{constructor(U,ee){if(ee&&!(ee instanceof At))throw(0,I.illegalArgument)("color");if(!H.isRange(U)||U.isEmpty)throw(0,I.illegalArgument)("range");this.range=U,this.color=ee}};Tt=Fe([A],Tt),e.ColorInformation=Tt;let wt=class{constructor(U){if(!U||typeof U!="string")throw(0,I.illegalArgument)("label");this.label=U}};wt=Fe([A],wt),e.ColorPresentation=wt;var dt;(function(V){V[V.RGB=0]="RGB",V[V.HEX=1]="HEX",V[V.HSL=2]="HSL"})(dt=e.ColorFormat||(e.ColorFormat={}));var Rt;(function(V){V[V.Error=0]="Error",V[V.Warning=1]="Warning",V[V.Information=2]="Information"})(Rt=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));class Lt{constructor(U,ee,we){if(this.startIndex=U,this.length=ee,this.tooltip=we,typeof U!="number"||U<0)throw(0,I.illegalArgument)("startIndex");if(typeof ee!="number"||ee<1)throw(0,I.illegalArgument)("length");if(we!==void 0&&typeof we!="string")throw(0,I.illegalArgument)("tooltip")}}e.TerminalLink=Lt;var Ft;(function(V){V[V.Panel=1]="Panel",V[V.Editor=2]="Editor"})(Ft=e.TerminalLocation||(e.TerminalLocation={}));class Ue{constructor(U){this.options=U,typeof U!="object"&&(0,I.illegalArgument)("options")}}e.TerminalProfile=Ue;var he;(function(V){V[V.Always=1]="Always",V[V.Silent=2]="Silent",V[V.Never=3]="Never"})(he=e.TaskRevealKind||(e.TaskRevealKind={}));var pe;(function(V){V[V.Shared=1]="Shared",V[V.Dedicated=2]="Dedicated",V[V.New=3]="New"})(pe=e.TaskPanelKind||(e.TaskPanelKind={}));let se=a=class{constructor(U,ee){if(this.label=ee,typeof U!="string"||typeof ee!="string")throw(0,I.illegalArgument)("name");this._id=U}static from(U){switch(U){case"clean":return a.Clean;case"build":return a.Build;case"rebuild":return a.Rebuild;case"test":return a.Test;default:return}}get id(){return this._id}};se.Clean=new a("clean","Clean"),se.Build=new a("build","Build"),se.Rebuild=new a("rebuild","Rebuild"),se.Test=new a("test","Test"),se=a=Fe([A],se),e.TaskGroup=se;function K(V){let U="";for(let ee=0;ee<V.length;ee++)U+=V[ee].replace(/,/g,",,")+",";return U}let _e=class{constructor(U,ee,we){if(typeof U!="string")throw(0,I.illegalArgument)("process");this._args=[],this._process=U,ee!==void 0&&(Array.isArray(ee)?(this._args=ee,this._options=we):this._options=ee)}get process(){return this._process}set process(U){if(typeof U!="string")throw(0,I.illegalArgument)("process");this._process=U}get args(){return this._args}set args(U){Array.isArray(U)||(U=[]),this._args=U}get options(){return this._options}set options(U){this._options=U}computeId(){const U=[];if(U.push("process"),this._process!==void 0&&U.push(this._process),this._args&&this._args.length>0)for(let ee of this._args)U.push(ee);return K(U)}};_e=Fe([A],_e),e.ProcessExecution=_e;let Ce=class{constructor(U,ee,we){if(this._args=[],Array.isArray(ee)){if(!U)throw(0,I.illegalArgument)("command can't be undefined or null");if(typeof U!="string"&&typeof U.value!="string")throw(0,I.illegalArgument)("command");this._command=U,this._args=ee,this._options=we}else{if(typeof U!="string")throw(0,I.illegalArgument)("commandLine");this._commandLine=U,this._options=ee}}get commandLine(){return this._commandLine}set commandLine(U){if(typeof U!="string")throw(0,I.illegalArgument)("commandLine");this._commandLine=U}get command(){return this._command?this._command:""}set command(U){if(typeof U!="string"&&typeof U.value!="string")throw(0,I.illegalArgument)("command");this._command=U}get args(){return this._args}set args(U){this._args=U||[]}get options(){return this._options}set options(U){this._options=U}computeId(){const U=[];if(U.push("shell"),this._commandLine!==void 0&&U.push(this._commandLine),this._command!==void 0&&U.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(let ee of this._args)U.push(typeof ee=="string"?ee:ee.value);return K(U)}};Ce=Fe([A],Ce),e.ShellExecution=Ce;var $e;(function(V){V[V.Escape=1]="Escape",V[V.Strong=2]="Strong",V[V.Weak=3]="Weak"})($e=e.ShellQuoting||(e.ShellQuoting={}));var Ve;(function(V){V[V.Global=1]="Global",V[V.Workspace=2]="Workspace"})(Ve=e.TaskScope||(e.TaskScope={}));class lt{constructor(U){this._callback=U}computeId(){return"customExecution"+(0,M.generateUuid)()}set callback(U){this._callback=U}get callback(){return this._callback}}e.CustomExecution=lt;let gt=p=class{constructor(U,ee,we,We,Ke,Ye){this.__deprecated=!1,this._definition=this.definition=U;let et;typeof ee=="string"?(this._name=this.name=ee,this._source=this.source=we,this.execution=We,et=Ke,this.__deprecated=!0):ee===Ve.Global||ee===Ve.Workspace?(this.target=ee,this._name=this.name=we,this._source=this.source=We,this.execution=Ke,et=Ye):(this.target=ee,this._name=this.name=we,this._source=this.source=We,this.execution=Ke,et=Ye),typeof et=="string"?(this._problemMatchers=[et],this._hasDefinedMatchers=!0):Array.isArray(et)?(this._problemMatchers=et,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(U){this.__id=U}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof _e?this._definition={type:p.ProcessType,id:this._execution.computeId()}:this._execution instanceof Ce?this._definition={type:p.ShellType,id:this._execution.computeId()}:this._execution instanceof lt?this._definition={type:p.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:p.EmptyType,id:(0,M.generateUuid)()}}get definition(){return this._definition}set definition(U){if(U==null)throw(0,I.illegalArgument)("Kind can't be undefined or null");this.clear(),this._definition=U}get scope(){return this._scope}set target(U){this.clear(),this._scope=U}get name(){return this._name}set name(U){if(typeof U!="string")throw(0,I.illegalArgument)("name");this.clear(),this._name=U}get execution(){return this._execution}set execution(U){U===null&&(U=void 0),this.clear(),this._execution=U;const ee=this._definition.type;(p.EmptyType===ee||p.ProcessType===ee||p.ShellType===ee||p.ExtensionCallbackType===ee)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(U){if(Array.isArray(U))this.clear(),this._problemMatchers=U,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(U){U!==!0&&U!==!1&&(U=!1),this.clear(),this._isBackground=U}get source(){return this._source}set source(U){if(typeof U!="string"||U.length===0)throw(0,I.illegalArgument)("source must be a string of length > 0");this.clear(),this._source=U}get group(){return this._group}set group(U){U===null&&(U=void 0),this.clear(),this._group=U}get detail(){return this._detail}set detail(U){U===null&&(U=void 0),this._detail=U}get presentationOptions(){return this._presentationOptions}set presentationOptions(U){U==null&&(U=Object.create(null)),this.clear(),this._presentationOptions=U}get runOptions(){return this._runOptions}set runOptions(U){U==null&&(U=Object.create(null)),this.clear(),this._runOptions=U}};gt.ExtensionCallbackType="customExecution",gt.ProcessType="process",gt.ShellType="shell",gt.EmptyType="$empty",gt=p=Fe([A],gt),e.Task=gt;var Et;(function(V){V[V.SourceControl=1]="SourceControl",V[V.Window=10]="Window",V[V.Notification=15]="Notification"})(Et=e.ProgressLocation||(e.ProgressLocation={}));let rt=class{constructor(U,ee=at.None){this.collapsibleState=ee,L.URI.isUri(U)?this.resourceUri=U:this.label=U}};rt=Fe([A],rt),e.TreeItem=rt;var at;(function(V){V[V.None=0]="None",V[V.Collapsed=1]="Collapsed",V[V.Expanded=2]="Expanded"})(at=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let ot=class{constructor(U){this.value=U}async asString(){return typeof this.value=="string"?this.value:JSON.stringify(this.value)}};ot=Fe([A],ot),e.TreeDataTransferItem=ot;let Mt=class{constructor(){this._items=new Map}get(U){return this._items.get(U)}set(U,ee){this._items.set(U,ee)}forEach(U){this._items.forEach(U)}};Mt=Fe([A],Mt),e.TreeDataTransfer=Mt;let mt=class{constructor(U,ee){this.id=U,this.color=ee}};mt=Fe([A],mt),e.ThemeIcon=mt,mt.File=new mt("file"),mt.Folder=new mt("folder");let Dt=class{constructor(U){this.id=U}};Dt=Fe([A],Dt),e.ThemeColor=Dt;var Ut;(function(V){V[V.Global=1]="Global",V[V.Workspace=2]="Workspace",V[V.WorkspaceFolder=3]="WorkspaceFolder"})(Ut=e.ConfigurationTarget||(e.ConfigurationTarget={}));let bt=class{constructor(U,ee){if(typeof U!="string"&&(!U||!L.URI.isUri(U)&&!L.URI.isUri(U.uri)))throw(0,I.illegalArgument)("base");if(typeof ee!="string")throw(0,I.illegalArgument)("pattern");typeof U=="string"?this.baseUri=L.URI.file(U):L.URI.isUri(U)?this.baseUri=U:this.baseUri=U.uri,this.pattern=ee}get base(){return this._base}set base(U){this._base=U,this._baseUri=L.URI.file(U)}get baseUri(){return this._baseUri}set baseUri(U){this._baseUri=U,this._base=U.fsPath}toJSON(){return{pattern:this.pattern,base:this.base,baseUri:this.baseUri.toJSON()}}};bt=Fe([A],bt),e.RelativePattern=bt;let Bt=class{constructor(U,ee,we,We){this.enabled=typeof U=="boolean"?U:!0,typeof ee=="string"&&(this.condition=ee),typeof we=="string"&&(this.hitCondition=we),typeof We=="string"&&(this.logMessage=We)}get id(){return this._id||(this._id=(0,M.generateUuid)()),this._id}};Bt=Fe([A],Bt),e.Breakpoint=Bt;let Ht=class extends Bt{constructor(U,ee,we,We,Ke){super(ee,we,We,Ke);if(U===null)throw(0,I.illegalArgument)("location");this.location=U}};Ht=Fe([A],Ht),e.SourceBreakpoint=Ht;let pt=class extends Bt{constructor(U,ee,we,We,Ke){super(ee,we,We,Ke);this.functionName=U}};pt=Fe([A],pt),e.FunctionBreakpoint=pt;let ei=class extends Bt{constructor(U,ee,we,We,Ke,Ye,et){super(We,Ke,Ye,et);if(!ee)throw(0,I.illegalArgument)("dataId");this.label=U,this.dataId=ee,this.canPersist=we}};ei=Fe([A],ei),e.DataBreakpoint=ei;let Xt=class{constructor(U,ee,we){this.command=U,this.args=ee||[],this.options=we}};Xt=Fe([A],Xt),e.DebugAdapterExecutable=Xt;let ti=class{constructor(U,ee){this.port=U,this.host=ee}};ti=Fe([A],ti),e.DebugAdapterServer=ti;let ai=class{constructor(U){this.path=U}};ai=Fe([A],ai),e.DebugAdapterNamedPipeServer=ai;let Ct=class{constructor(U){this.implementation=U}};Ct=Fe([A],Ct),e.DebugAdapterInlineImplementation=Ct;let ii=class{constructor(U,ee){this.range=U,this.expression=ee}};ii=Fe([A],ii),e.EvaluatableExpression=ii;var wi;(function(V){V[V.Automatic=0]="Automatic",V[V.Explicit=1]="Explicit"})(wi=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));let qt=class{constructor(U,ee){this.range=U,this.text=ee}};qt=Fe([A],qt),e.InlineValueText=qt;let Kt=class{constructor(U,ee,we=!0){this.range=U,this.variableName=ee,this.caseSensitiveLookup=we}};Kt=Fe([A],Kt),e.InlineValueVariableLookup=Kt;let st=class{constructor(U,ee){this.range=U,this.expression=ee}};st=Fe([A],st),e.InlineValueEvaluatableExpression=st;let li=class{constructor(U,ee){this.frameId=U,this.stoppedLocation=ee}};li=Fe([A],li),e.InlineValueContext=li;var Wt;(function(V){V[V.Changed=1]="Changed",V[V.Created=2]="Created",V[V.Deleted=3]="Deleted"})(Wt=e.FileChangeType||(e.FileChangeType={}));let zt=d=class extends Error{constructor(U,ee=E.FileSystemProviderErrorCode.Unknown,we){super(L.URI.isUri(U)?U.toString(!0):U);this.code=we?.name??"Unknown",(0,E.markAsFileSystemProviderError)(this,ee),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,d.prototype),typeof Error.captureStackTrace=="function"&&typeof we=="function"&&Error.captureStackTrace(this,we)}static FileExists(U){return new d(U,E.FileSystemProviderErrorCode.FileExists,d.FileExists)}static FileNotFound(U){return new d(U,E.FileSystemProviderErrorCode.FileNotFound,d.FileNotFound)}static FileNotADirectory(U){return new d(U,E.FileSystemProviderErrorCode.FileNotADirectory,d.FileNotADirectory)}static FileIsADirectory(U){return new d(U,E.FileSystemProviderErrorCode.FileIsADirectory,d.FileIsADirectory)}static NoPermissions(U){return new d(U,E.FileSystemProviderErrorCode.NoPermissions,d.NoPermissions)}static Unavailable(U){return new d(U,E.FileSystemProviderErrorCode.Unavailable,d.Unavailable)}};zt=d=Fe([A],zt),e.FileSystemError=zt;let ni=class{constructor(U,ee,we){this.start=U,this.end=ee,this.kind=we}};ni=Fe([A],ni),e.FoldingRange=ni;var _i;(function(V){V[V.Comment=1]="Comment",V[V.Imports=2]="Imports",V[V.Region=3]="Region"})(_i=e.FoldingRangeKind||(e.FoldingRangeKind={}));var fi;(function(V){V[V.Collapsed=0]="Collapsed",V[V.Expanded=1]="Expanded"})(fi=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var Si;(function(V){V[V.Editing=0]="Editing",V[V.Preview=1]="Preview"})(Si=e.CommentMode||(e.CommentMode={}));var mi;(function(V){V[V.Unresolved=0]="Unresolved",V[V.Resolved=1]="Resolved"})(mi=e.CommentThreadState||(e.CommentThreadState={}));class ri{constructor(U,ee=[]){this.tokenTypes=U,this.tokenModifiers=ee}}e.SemanticTokensLegend=ri;function yi(V){return typeof V=="undefined"||(0,C.isStringArray)(V)}class Qt{constructor(U){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,U){this._hasLegend=!0;for(let ee=0,we=U.tokenTypes.length;ee<we;ee++)this._tokenTypeStrToInt.set(U.tokenTypes[ee],ee);for(let ee=0,we=U.tokenModifiers.length;ee<we;ee++)this._tokenModifierStrToInt.set(U.tokenModifiers[ee],ee)}}push(U,ee,we,We,Ke){if(typeof U=="number"&&typeof ee=="number"&&typeof we=="number"&&typeof We=="number"&&(typeof Ke=="number"||typeof Ke=="undefined"))return typeof Ke=="undefined"&&(Ke=0),this._pushEncoded(U,ee,we,We,Ke);if(H.isRange(U)&&typeof ee=="string"&&yi(we))return this._push(U,ee,we);throw(0,I.illegalArgument)()}_push(U,ee,we){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(U.start.line!==U.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(ee))throw new Error("`tokenType` is not in the provided legend");const We=U.start.line,Ke=U.start.character,Ye=U.end.character-U.start.character,et=this._tokenTypeStrToInt.get(ee);let _t=0;if(we)for(const Pt of we){if(!this._tokenModifierStrToInt.has(Pt))throw new Error("`tokenModifier` is not in the provided legend");const xt=this._tokenModifierStrToInt.get(Pt);_t|=1<<xt>>>0}this._pushEncoded(We,Ke,Ye,et,_t)}_pushEncoded(U,ee,we,We,Ke){if(this._dataIsSortedAndDeltaEncoded&&(U<this._prevLine||U===this._prevLine&&ee<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const _t=this._data.length/5|0;let Pt=0,xt=0;for(let $t=0;$t<_t;$t++){let Vt=this._data[5*$t],di=this._data[5*$t+1];Vt===0?(Vt=Pt,di+=xt):Vt+=Pt,this._data[5*$t]=Vt,this._data[5*$t+1]=di,Pt=Vt,xt=di}}let Ye=U,et=ee;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(Ye-=this._prevLine,Ye===0&&(et-=this._prevChar)),this._data[this._dataLen++]=Ye,this._data[this._dataLen++]=et,this._data[this._dataLen++]=we,this._data[this._dataLen++]=We,this._data[this._dataLen++]=Ke,this._prevLine=U,this._prevChar=ee}static _sortAndDeltaEncode(U){let ee=[];const we=U.length/5|0;for(let et=0;et<we;et++)ee[et]=et;ee.sort((et,_t)=>{const Pt=U[5*et],xt=U[5*_t];if(Pt===xt){const $t=U[5*et+1],Vt=U[5*_t+1];return $t-Vt}return Pt-xt});const We=new Uint32Array(U.length);let Ke=0,Ye=0;for(let et=0;et<we;et++){const _t=5*ee[et],Pt=U[_t+0],xt=U[_t+1],$t=U[_t+2],Vt=U[_t+3],di=U[_t+4],zi=Pt-Ke,Ji=zi===0?xt-Ye:xt,hi=5*et;We[hi+0]=zi,We[hi+1]=Ji,We[hi+2]=$t,We[hi+3]=Vt,We[hi+4]=di,Ke=Pt,Ye=xt}return We}build(U){return this._dataIsSortedAndDeltaEncoded?new Yt(new Uint32Array(this._data),U):new Yt(Qt._sortAndDeltaEncode(this._data),U)}}e.SemanticTokensBuilder=Qt;class Yt{constructor(U,ee){this.resultId=ee,this.data=U}}e.SemanticTokens=Yt;class Di{constructor(U,ee,we){this.start=U,this.deleteCount=ee,this.data=we}}e.SemanticTokensEdit=Di;class Ci{constructor(U,ee){this.resultId=ee,this.edits=U}}e.SemanticTokensEdits=Ci;var Jt;(function(V){V[V.Separate=0]="Separate",V[V.MergeWithParent=1]="MergeWithParent"})(Jt=e.DebugConsoleMode||(e.DebugConsoleMode={}));let si=class{constructor(){}};si.Back={iconPath:new mt("arrow-left")},si=Fe([A],si),e.QuickInputButtons=si;var Ii;(function(V){V[V.Separator=-1]="Separator",V[V.Default=0]="Default"})(Ii=e.QuickPickItemKind||(e.QuickPickItemKind={}));var ki;(function(V){V[V.UI=1]="UI",V[V.Workspace=2]="Workspace"})(ki=e.ExtensionKind||(e.ExtensionKind={}));class Ti{constructor(U,ee,we){this.badge=U,this.tooltip=ee,this.color=we}static validate(U){if(U.badge){let ee=(0,P.nextCharLength)(U.badge,0);if(ee<U.badge.length&&(ee+=(0,P.nextCharLength)(U.badge,ee)),U.badge.length>ee)throw new Error("The 'badge'-property must be undefined or a short character")}if(!U.color&&!U.badge&&!U.tooltip)throw new Error("The decoration is empty");return!0}}e.FileDecoration=Ti;let Zt=class{constructor(U){this.kind=U}};Zt=Fe([A],Zt),e.ColorTheme=Zt;var gi;(function(V){V[V.Light=1]="Light",V[V.Dark=2]="Dark",V[V.HighContrast=3]="HighContrast"})(gi=e.ColorThemeKind||(e.ColorThemeKind={}));class Gt{constructor(U,ee){if(U<0)throw(0,I.illegalArgument)("start must be positive");if(ee<0)throw(0,I.illegalArgument)("end must be positive");U<=ee?(this._start=U,this._end=ee):(this._start=ee,this._end=U)}static isNotebookRange(U){return U instanceof Gt?!0:U?typeof U.start=="number"&&typeof U.end=="number":!1}get start(){return this._start}get end(){return this._end}get isEmpty(){return this._start===this._end}with(U){let ee=this._start,we=this._end;return U.start!==void 0&&(ee=U.start),U.end!==void 0&&(we=U.end),ee===this._start&&we===this._end?this:new Gt(ee,we)}}e.NotebookRange=Gt;class Pe{constructor(U,ee,we,We,Ke,Ye,et){this.kind=U,this.value=ee,this.languageId=we,this.mime=We,this.outputs=Ke??[],this.metadata=Ye,this.executionSummary=et,Pe.validate(this)}static validate(U){if(typeof U.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof U.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof U.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray(U){return Array.isArray(U)&&U.every(ee=>Pe.isNotebookCellData(ee))}static isNotebookCellData(U){return!0}}e.NotebookCellData=Pe;class ci{constructor(U){this.cells=U}}e.NotebookData=ci;class Ot{constructor(U,ee){this.data=U,this.mime=ee;const we=(0,y.normalizeMimeType)(ee,!0);if(!we)throw new Error(`INVALID mime type: ${ee}. Must be in the format "type/subtype[;optionalparameter]"`);this.mime=we}static isNotebookCellOutputItem(U){return U instanceof Ot?!0:U?typeof U.mime=="string"&&U.data instanceof Uint8Array:!1}static error(U){const ee={name:U.name,message:U.message,stack:U.stack};return Ot.json(ee,"application/vnd.code.notebook.error")}static stdout(U){return Ot.text(U,"application/vnd.code.notebook.stdout")}static stderr(U){return Ot.text(U,"application/vnd.code.notebook.stderr")}static bytes(U,ee="application/octet-stream"){return new Ot(U,ee)}static text(U,ee=y.Mimes.text){const we=De(Ot,n,"f",m).encode(String(U));return new Ot(we,ee)}static json(U,ee="application/json"){const we=JSON.stringify(U,void 0,"	");return Ot.text(we,ee)}}e.NotebookCellOutputItem=Ot,n=Ot,m={value:new TextEncoder};class ct{constructor(U,ee,we){this.items=ct.ensureUniqueMimeTypes(U,!0),typeof ee=="string"?(this.id=ee,this.metadata=we):(this.id=(0,M.generateUuid)(),this.metadata=ee??we)}static isNotebookCellOutput(U){return U instanceof ct?!0:!U||typeof U!="object"?!1:typeof U.id=="string"&&(0,C.isArray)(U.items)}static ensureUniqueMimeTypes(U,ee=!1){const we=new Set,We=new Set;for(let Ke=0;Ke<U.length;Ke++){const Ye=U[Ke],et=(0,y.normalizeMimeType)(Ye.mime);if(!we.has(et)){we.add(et);continue}We.add(Ke),ee&&console.warn(`DUPLICATED mime type '${Ye.mime}' will be dropped`)}return We.size===0?U:U.filter((Ke,Ye)=>!We.has(Ye))}}e.NotebookCellOutput=ct;var Pi;(function(V){V[V.Markup=1]="Markup",V[V.Code=2]="Code"})(Pi=e.NotebookCellKind||(e.NotebookCellKind={}));var Ai;(function(V){V[V.Idle=1]="Idle",V[V.Pending=2]="Pending",V[V.Executing=3]="Executing"})(Ai=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var pi;(function(V){V[V.Left=1]="Left",V[V.Right=2]="Right"})(pi=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var vi;(function(V){V[V.Default=0]="Default",V[V.InCenter=1]="InCenter",V[V.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",V[V.AtTop=3]="AtTop"})(vi=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));class Ri{constructor(U,ee){this.text=U,this.alignment=ee}}e.NotebookCellStatusBarItem=Ri;var Oi;(function(V){V[V.Default=1]="Default",V[V.Preferred=2]="Preferred"})(Oi=e.NotebookControllerAffinity||(e.NotebookControllerAffinity={}));class Fi{constructor(U,ee=[]){this.uri=U,this.provides=(0,o.asArray)(ee)}}e.NotebookRendererScript=Fi;let ui=class{constructor(U,ee){this.label=U,this.timestamp=ee}};ui=Fe([A],ui),e.TimelineItem=ui;var Ei;(function(V){V[V.Production=1]="Production",V[V.Development=2]="Development",V[V.Test=3]="Test"})(Ei=e.ExtensionMode||(e.ExtensionMode={}));var Mi;(function(V){V[V.Node=1]="Node",V[V.Webworker=2]="Webworker"})(Mi=e.ExtensionRuntime||(e.ExtensionRuntime={}));var Ni;(function(V){V[V.Other=0]="Other",V[V.Comment=1]="Comment",V[V.String=2]="String",V[V.RegEx=3]="RegEx"})(Ni=e.StandardTokenType||(e.StandardTokenType={}));class Li{constructor(U,ee){this.ranges=U,this.wordPattern=ee}}e.LinkedEditingRanges=Li;class Ui{constructor(U,ee){this._port=U,this._autoForwardAction=ee}get port(){return this._port}get autoForwardAction(){return this._autoForwardAction}}e.PortAttributes=Ui;var Bi;(function(V){V[V.Queued=1]="Queued",V[V.Running=2]="Running",V[V.Passed=3]="Passed",V[V.Failed=4]="Failed",V[V.Skipped=5]="Skipped",V[V.Errored=6]="Errored"})(Bi=e.TestResultState||(e.TestResultState={}));var Z;(function(V){V[V.Run=1]="Run",V[V.Debug=2]="Debug",V[V.Coverage=3]="Coverage"})(Z=e.TestRunProfileKind||(e.TestRunProfileKind={}));let oe=class{constructor(U=void 0,ee=void 0,we=void 0){this.include=U,this.exclude=ee,this.profile=we}};oe=Fe([A],oe),e.TestRunRequest=oe;let ye=S=class{constructor(U){this.message=U}static diff(U,ee,we){const We=new S(U);return We.expectedOutput=ee,We.actualOutput=we,We}};ye=S=Fe([A],ye),e.TestMessage=ye;let Ze=class{constructor(U){this.id=U}};Ze=Fe([A],Ze),e.TestTag=Ze;let ht=class{constructor(U,ee){this.covered=U,this.total=ee}};ht=Fe([A],ht),e.CoveredCount=ht;let yt=k=class{constructor(U,ee,we,We){this.uri=U,this.statementCoverage=ee,this.branchCoverage=we,this.functionCoverage=We}static fromDetails(U,ee){const we=new ht(0,0),We=new ht(0,0),Ke=new ht(0,0);for(const et of ee)if("branches"in et){we.total+=1,we.covered+=et.executionCount>0?1:0;for(const _t of et.branches)We.total+=1,We.covered+=_t.executionCount>0?1:0}else Ke.total+=1,Ke.covered+=et.executionCount>0?1:0;const Ye=new k(U,we,We.total>0?We:void 0,Ke.total>0?Ke:void 0);return Ye.detailedCoverage=ee,Ye}};yt=k=Fe([A],yt),e.FileCoverage=yt;let xi=class{constructor(U,ee,we=[]){this.executionCount=U,this.location=ee,this.branches=we}};xi=Fe([A],xi),e.StatementCoverage=xi;let $i=class{constructor(U,ee){this.executionCount=U,this.location=ee}};$i=Fe([A],$i),e.BranchCoverage=$i;let Hi=class{constructor(U,ee){this.executionCount=U,this.location=ee}};Hi=Fe([A],Hi),e.FunctionCoverage=Hi;var Gi;(function(V){V[V.None=0]="None",V[V.Option=1]="Option",V[V.Default=2]="Default",V[V.Preferred=3]="Preferred"})(Gi=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var Xi;(function(V){V[V.Untrusted=0]="Untrusted",V[V.Trusted=1]="Trusted",V[V.Unspecified=2]="Unspecified"})(Xi=e.WorkspaceTrustState||(e.WorkspaceTrustState={}));var Qi;(function(V){V[V.Notify=1]="Notify",V[V.OpenBrowser=2]="OpenBrowser",V[V.OpenPreview=3]="OpenPreview",V[V.Silent=4]="Silent",V[V.Ignore=5]="Ignore",V[V.OpenBrowserOnce=6]="OpenBrowserOnce"})(Qi=e.PortAutoForwardAction||(e.PortAutoForwardAction={}));class Yi{constructor(U,ee,we,We,Ke,Ye){this.kind=U,this.name=ee,this.detail=we,this.uri=We,this.range=Ke,this.selectionRange=Ye}}e.TypeHierarchyItem=Yi}),define(Ee[84],be([1,0,42,9,10,226,116,7,16]),function(Y,e,o,I,_,B,y,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const L=new Map;function M(s,n){n?L.set(s,n):L.delete(s)}e.setWordDefinitionFor=M;function E(s){return L.get(s)}e.getWordDefinitionFor=E;class c extends B.MirrorTextModel{constructor(n,m,w,R,h,f,v,r){super(m,w,R,h);this._proxy=n,this._languageId=f,this._isDirty=v,this._notebook=r,this._isDisposed=!1}dispose(){(0,o.ok)(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(n){return(0,C.equals)(this._lines,n)}get document(){if(!this._document){const n=this;this._document={get uri(){return n._uri},get fileName(){return n._uri.fsPath},get isUntitled(){return n._uri.scheme===I.Schemas.untitled},get languageId(){return n._languageId},get version(){return n._versionId},get isClosed(){return n._isDisposed},get isDirty(){return n._isDirty},get notebook(){return n._notebook},save(){return n._save()},getText(m){return m?n._getTextInRange(m):n.getText()},get eol(){return n._eol===`
`?P.EndOfLine.LF:P.EndOfLine.CRLF},get lineCount(){return n._lines.length},lineAt(m){return n._lineAt(m)},offsetAt(m){return n._offsetAt(m)},positionAt(m){return n._positionAt(m)},validateRange(m){return n._validateRange(m)},validatePosition(m){return n._validatePosition(m)},getWordRangeAtPosition(m,w){return n._getWordRangeAtPosition(m,w)}}}return Object.freeze(this._document)}_acceptLanguageId(n){(0,o.ok)(!this._isDisposed),this._languageId=n}_acceptIsDirty(n){(0,o.ok)(!this._isDisposed),this._isDirty=n}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(n){const m=this._validateRange(n);if(m.isEmpty)return"";if(m.isSingleLine)return this._lines[m.start.line].substring(m.start.character,m.end.character);const w=this._eol,R=m.start.line,h=m.end.line,f=[];f.push(this._lines[R].substring(m.start.character));for(let v=R+1;v<h;v++)f.push(this._lines[v]);return f.push(this._lines[h].substring(0,m.end.character)),f.join(w)}_lineAt(n){let m;if(n instanceof P.Position?m=n.line:typeof n=="number"&&(m=n),typeof m!="number"||m<0||m>=this._lines.length||Math.floor(m)!==m)throw new Error("Illegal value for `line`");return new g(m,this._lines[m],m===this._lines.length-1)}_offsetAt(n){return n=this._validatePosition(n),this._ensureLineStarts(),this._lineStarts.getPrefixSum(n.line-1)+n.character}_positionAt(n){n=Math.floor(n),n=Math.max(0,n),this._ensureLineStarts();const m=this._lineStarts.getIndexOf(n),w=this._lines[m.index].length;return new P.Position(m.index,Math.min(m.remainder,w))}_validateRange(n){if(!(n instanceof P.Range))throw new Error("Invalid argument");const m=this._validatePosition(n.start),w=this._validatePosition(n.end);return m===n.start&&w===n.end?n:new P.Range(m.line,m.character,w.line,w.character)}_validatePosition(n){if(!(n instanceof P.Position))throw new Error("Invalid argument");if(this._lines.length===0)return n.with(0,0);let{line:m,character:w}=n,R=!1;if(m<0)m=0,w=0,R=!0;else if(m>=this._lines.length)m=this._lines.length-1,w=this._lines[m].length,R=!0;else{const h=this._lines[m].length;w<0?(w=0,R=!0):w>h&&(w=h,R=!0)}return R?new P.Position(m,w):n}_getWordRangeAtPosition(n,m){const w=this._validatePosition(n);if(!m)m=E(this._languageId);else if((0,_.regExpLeadsToEndlessLoop)(m))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${m.source}' because it matches the empty string.`);const R=(0,y.getWordAtText)(w.character+1,(0,y.ensureValidWordDefinition)(m),this._lines[w.line],0);if(R)return new P.Range(w.line,R.startColumn-1,w.line,R.endColumn-1)}}e.ExtHostDocumentData=c;class g{constructor(n,m,w){this._line=n,this._text=m,this._isLastLine=w}get lineNumber(){return this._line}get text(){return this._text}get range(){return new P.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new P.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=g}),define(Ee[152],be([1,0,7,5,227,6,74,22,2,36]),function(Y,e,o,I,_,B,y,P,C,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookConcatDocument=void 0;class M{constructor(c,g,s,n){this._notebook=s,this._selector=n,this._disposables=new B.DisposableStore,this._isClosed=!1,this._versionId=0,this._onDidChange=new I.Emitter,this.onDidChange=this._onDidChange.event,this.uri=C.URI.from({scheme:"vscode-concat-doc",path:(0,L.generateUuid)()}),this._init(),this._disposables.add(g.onDidChangeDocument(w=>{const R=this._cellUris.get(w.document.uri);R!==void 0&&(this._cellLengths.setValue(R,this._cells[R].document.getText().length+1),this._cellLines.setValue(R,this._cells[R].document.lineCount),this._versionId+=1,this._onDidChange.fire(void 0))}));const m=w=>{w===this._notebook&&(this._init(),this._versionId+=1,this._onDidChange.fire(void 0))};this._disposables.add(c.onDidChangeNotebookCells(w=>m(w.document)))}dispose(){this._disposables.dispose(),this._isClosed=!0}get isClosed(){return this._isClosed}_init(){this._cells=[],this._cellUris=new P.ResourceMap;const c=[],g=[];for(const s of this._notebook.getCells())s.kind===o.NotebookCellKind.Code&&(!this._selector||(0,y.score)(this._selector,s.document.uri,s.document.languageId,!0,void 0))&&(this._cellUris.set(s.document.uri,this._cells.length),this._cells.push(s),c.push(s.document.getText().length+1),g.push(s.document.lineCount));this._cellLengths=new _.PrefixSumComputer(new Uint32Array(c)),this._cellLines=new _.PrefixSumComputer(new Uint32Array(g))}get version(){return this._versionId}getText(c){if(!c){let R="";for(const h of this._cells)R+=h.document.getText()+`
`;return R=R.slice(0,-1),R}if(c.isEmpty)return"";const g=this.locationAt(c.start),s=this.locationAt(c.end),n=this._cellUris.get(g.uri),m=this._cellUris.get(s.uri);if(n===void 0||m===void 0)return"";if(n===m)return this._cells[n].document.getText(new o.Range(g.range.start,s.range.end));const w=[this._cells[n].document.getText(new o.Range(g.range.start,new o.Position(this._cells[n].document.lineCount,0)))];for(let R=n+1;R<m;R++)w.push(this._cells[R].document.getText());return w.push(this._cells[m].document.getText(new o.Range(new o.Position(0,0),s.range.end))),w.join(`
`)}offsetAt(c){const g=this._cellLines.getIndexOf(c.line),s=this._cellLengths.getPrefixSum(g.index-1),n=this._cells[g.index].document.offsetAt(c.with(g.remainder));return s+n}positionAt(c){if(typeof c=="number"){const s=this._cellLengths.getIndexOf(c),n=this._cellLines.getPrefixSum(s.index-1);return this._cells[s.index].document.positionAt(s.remainder).translate(n)}const g=this._cellUris.get(c.uri);if(g!==void 0){const s=this._cellLines.getPrefixSum(g-1);return new o.Position(s+c.range.start.line,c.range.start.character)}return new o.Position(0,0)}locationAt(c){o.Range.isRange(c)||(c=new o.Range(c,c));const g=this._cellLines.getIndexOf(c.start.line);let s=g;c.isEmpty||(s=this._cellLines.getIndexOf(c.end.line));const n=new o.Position(g.remainder,c.start.character),m=new o.Position(s.remainder,c.end.character),w=new o.Range(n,m),R=this._cells[g.index];return new o.Location(R.document.uri,R.document.validateRange(w))}contains(c){return this._cellUris.has(c)}validateRange(c){const g=this.validatePosition(c.start),s=this.validatePosition(c.end);return c.with(g,s)}validatePosition(c){const g=this._cellLines.getIndexOf(c.line),s=new o.Position(g.remainder,c.character),n=this._cells[g.index].document.validatePosition(s),m=this._cellLines.getPrefixSum(g.index-1);return new o.Position(m+n.line,n.character)}}e.ExtHostNotebookConcatDocument=M}),define(Ee[153],be([1,0,7,14,5]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let B=class{constructor(P){this._actual=new o.ColorTheme(o.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new _.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(P){let C=P==="light"?o.ColorThemeKind.Light:P==="dark"?o.ColorThemeKind.Dark:o.ColorThemeKind.HighContrast;this._actual=new o.ColorTheme(C),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};B=Fe([Ne(0,I.IExtHostRpcService)],B),e.ExtHostTheming=B}),define(Ee[60],be([1,0,3]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=(0,o.createDecorator)("IURITransformerService");class I{constructor(B){B?(this.transformIncoming=B.transformIncoming.bind(B),this.transformOutgoing=B.transformOutgoing.bind(B),this.transformOutgoingURI=B.transformOutgoingURI.bind(B),this.transformOutgoingScheme=B.transformOutgoingScheme.bind(B)):(this.transformIncoming=y=>y,this.transformOutgoing=y=>y,this.transformOutgoingURI=y=>y,this.transformOutgoingScheme=y=>y)}}e.URITransformerService=I}),define(Ee[154],be([1,0,21]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeWebviewMessage=e.serializeWebviewMessage=void 0;class I{constructor(){this.buffers=[]}add(C){let L=this.buffers.indexOf(C);return L<0&&(L=this.buffers.length,this.buffers.push(C)),L}}function _(P,C){if(C.serializeBuffersForPostMessage){const L=new I,M=(g,s)=>{if(s instanceof ArrayBuffer){const n=L.add(s);return{$$vscode_array_buffer_reference$$:!0,index:n}}else if(ArrayBuffer.isView(s)){const n=B(s);if(n){const m=L.add(s.buffer);return{$$vscode_array_buffer_reference$$:!0,index:m,view:{type:n,byteLength:s.byteLength,byteOffset:s.byteOffset}}}}return s},E=JSON.stringify(P,M),c=L.buffers.map(g=>{const s=new Uint8Array(g);return o.VSBuffer.wrap(s)});return{message:E,buffers:c}}else return{message:JSON.stringify(P),buffers:[]}}e.serializeWebviewMessage=_;function B(P){switch(P.constructor.name){case"Int8Array":return 1;case"Uint8Array":return 2;case"Uint8ClampedArray":return 3;case"Int16Array":return 4;case"Uint16Array":return 5;case"Int32Array":return 6;case"Uint32Array":return 7;case"Float32Array":return 8;case"Float64Array":return 9;case"BigInt64Array":return 10;case"BigUint64Array":return 11}}function y(P,C){const L=C.map(c=>{const g=new ArrayBuffer(c.byteLength);return new Uint8Array(g).set(c.buffer),g}),M=C.length?(c,g)=>{if(g&&typeof g=="object"&&g.$$vscode_array_buffer_reference$$){const s=g,{index:n}=s,m=L[n];if(s.view)switch(s.view.type){case 1:return new Int8Array(m,s.view.byteOffset,s.view.byteLength/Int8Array.BYTES_PER_ELEMENT);case 2:return new Uint8Array(m,s.view.byteOffset,s.view.byteLength/Uint8Array.BYTES_PER_ELEMENT);case 3:return new Uint8ClampedArray(m,s.view.byteOffset,s.view.byteLength/Uint8ClampedArray.BYTES_PER_ELEMENT);case 4:return new Int16Array(m,s.view.byteOffset,s.view.byteLength/Int16Array.BYTES_PER_ELEMENT);case 5:return new Uint16Array(m,s.view.byteOffset,s.view.byteLength/Uint16Array.BYTES_PER_ELEMENT);case 6:return new Int32Array(m,s.view.byteOffset,s.view.byteLength/Int32Array.BYTES_PER_ELEMENT);case 7:return new Uint32Array(m,s.view.byteOffset,s.view.byteLength/Uint32Array.BYTES_PER_ELEMENT);case 8:return new Float32Array(m,s.view.byteOffset,s.view.byteLength/Float32Array.BYTES_PER_ELEMENT);case 9:return new Float64Array(m,s.view.byteOffset,s.view.byteLength/Float64Array.BYTES_PER_ELEMENT);case 10:return new BigInt64Array(m,s.view.byteOffset,s.view.byteLength/BigInt64Array.BYTES_PER_ELEMENT);case 11:return new BigUint64Array(m,s.view.byteOffset,s.view.byteLength/BigUint64Array.BYTES_PER_ELEMENT);default:throw new Error("Unknown array buffer view type")}return m}return g}:void 0;return{message:JSON.parse(P,M),arrayBuffers:L}}e.deserializeWebviewMessage=y}),define(Ee[155],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TreeDataTransferConverter=void 0;var o;(function(I){function _(y){const P=new Map;return y.types.forEach((C,L)=>{P.set(C,{asString:async()=>y.items[L].asString,value:void 0})}),P}I.toITreeDataTransfer=_;async function B(y){const P={types:[],items:[]},C=Array.from(y.entries());for(const L of C)P.types.push(L[0]),P.items.push({asString:await L[1].asString()});return P}I.toTreeDataTransferDTO=B})(o=e.TreeDataTransferConverter||(e.TreeDataTransferConverter={}))}),define(Ee[156],be([1,0,129,11,2,6,3,37,46,16,9]),function(Y,e,o,I,_,B,y,P,C,L,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorsOrder=e.pathsToEditors=e.CloseDirection=e.EditorResourceAccessor=e.SideBySideEditor=e.GroupModelChangeKind=e.EditorCloseContext=e.isEditorIdentifier=e.isEditorInputWithOptionsAndGroup=e.isEditorInputWithOptions=e.isDiffEditorInput=e.isSideBySideEditorInput=e.isEditorInput=e.AbstractEditorInput=e.EditorInputCapabilities=e.SaveReason=e.Verbosity=e.isUntitledResourceEditorInput=e.isResourceSideBySideEditorInput=e.isResourceDiffEditorInput=e.isResourceEditorInput=e.findViewStateForEditor=e.isEditorPaneWithSelection=e.EditorPaneSelectionCompareResult=e.EditorPaneSelectionChangeReason=e.BINARY_DIFF_EDITOR_ID=e.TEXT_DIFF_EDITOR_ID=e.SIDE_BY_SIDE_EDITOR_ID=e.DEFAULT_EDITOR_ASSOCIATION=e.EditorExtensions=void 0,e.EditorExtensions={EditorPane:"workbench.contributions.editors",EditorFactory:"workbench.contributions.editor.inputFactories"},e.DEFAULT_EDITOR_ASSOCIATION={id:"default",displayName:(0,o.localize)(0,null),providerDisplayName:(0,o.localize)(1,null)},e.SIDE_BY_SIDE_EDITOR_ID="workbench.editor.sidebysideEditor",e.TEXT_DIFF_EDITOR_ID="workbench.editors.textDiffEditor",e.BINARY_DIFF_EDITOR_ID="workbench.editors.binaryResourceDiffEditor";var E;(function($){$[$.PROGRAMMATIC=1]="PROGRAMMATIC",$[$.USER=2]="USER",$[$.EDIT=3]="EDIT",$[$.NAVIGATION=4]="NAVIGATION",$[$.JUMP=5]="JUMP"})(E=e.EditorPaneSelectionChangeReason||(e.EditorPaneSelectionChangeReason={}));var c;(function($){$[$.IDENTICAL=1]="IDENTICAL",$[$.SIMILAR=2]="SIMILAR",$[$.DIFFERENT=3]="DIFFERENT"})(c=e.EditorPaneSelectionCompareResult||(e.EditorPaneSelectionCompareResult={}));function g($){const j=$;return!!j&&typeof j.getSelection=="function"&&!!j.onDidChangeSelection}e.isEditorPaneWithSelection=g;function s($,j,J){for(const z of J.visibleEditorPanes)if(z.group.id===j&&$.matches(z.input))return z.getViewState()}e.findViewStateForEditor=s;function n($){if(T($))return!1;const j=$;return _.URI.isUri(j?.resource)}e.isResourceEditorInput=n;function m($){if(T($))return!1;const j=$;return j?.original!==void 0&&j.modified!==void 0}e.isResourceDiffEditorInput=m;function w($){if(T($)||m($))return!1;const j=$;return j?.primary!==void 0&&j.secondary!==void 0}e.isResourceSideBySideEditorInput=w;function R($){if(T($))return!1;const j=$;return j?j.resource===void 0||j.resource.scheme===M.Schemas.untitled||j.forceUntitled===!0:!1}e.isUntitledResourceEditorInput=R;var h;(function($){$[$.SHORT=0]="SHORT",$[$.MEDIUM=1]="MEDIUM",$[$.LONG=2]="LONG"})(h=e.Verbosity||(e.Verbosity={}));var f;(function($){$[$.EXPLICIT=1]="EXPLICIT",$[$.AUTO=2]="AUTO",$[$.FOCUS_CHANGE=3]="FOCUS_CHANGE",$[$.WINDOW_CHANGE=4]="WINDOW_CHANGE"})(f=e.SaveReason||(e.SaveReason={}));var v;(function($){$[$.None=0]="None",$[$.Readonly=2]="Readonly",$[$.Untitled=4]="Untitled",$[$.Singleton=8]="Singleton",$[$.RequiresTrust=16]="RequiresTrust",$[$.CanSplitInGroup=32]="CanSplitInGroup",$[$.ForceDescription=64]="ForceDescription"})(v=e.EditorInputCapabilities||(e.EditorInputCapabilities={}));class r extends B.Disposable{}e.AbstractEditorInput=r;function T($){return $ instanceof r}e.isEditorInput=T;function l($){const j=$;return _.URI.isUri(j?.preferredResource)}function i($){const j=$;return T(j?.primary)&&T(j?.secondary)}e.isSideBySideEditorInput=i;function u($){const j=$;return T(j?.modified)&&T(j?.original)}e.isDiffEditorInput=u;function t($){return T($?.editor)}e.isEditorInputWithOptions=t;function a($){const j=$;return t($)&&j?.group!==void 0}e.isEditorInputWithOptionsAndGroup=a;function p($){const j=$;return typeof j?.groupId=="number"&&T(j.editor)}e.isEditorIdentifier=p;var d;(function($){$[$.UNKNOWN=0]="UNKNOWN",$[$.REPLACE=1]="REPLACE",$[$.MOVE=2]="MOVE",$[$.UNPIN=3]="UNPIN"})(d=e.EditorCloseContext||(e.EditorCloseContext={}));var S;(function($){$[$.GROUP_ACTIVE=0]="GROUP_ACTIVE",$[$.GROUP_INDEX=1]="GROUP_INDEX",$[$.GROUP_LOCKED=2]="GROUP_LOCKED",$[$.EDITOR_OPEN=3]="EDITOR_OPEN",$[$.EDITOR_CLOSE=4]="EDITOR_CLOSE",$[$.EDITOR_MOVE=5]="EDITOR_MOVE",$[$.EDITOR_ACTIVE=6]="EDITOR_ACTIVE",$[$.EDITOR_LABEL=7]="EDITOR_LABEL",$[$.EDITOR_CAPABILITIES=8]="EDITOR_CAPABILITIES",$[$.EDITOR_PIN=9]="EDITOR_PIN",$[$.EDITOR_STICKY=10]="EDITOR_STICKY",$[$.EDITOR_DIRTY=11]="EDITOR_DIRTY",$[$.EDITOR_WILL_DISPOSE=12]="EDITOR_WILL_DISPOSE"})(S=e.GroupModelChangeKind||(e.GroupModelChangeKind={}));var k;(function($){$[$.PRIMARY=1]="PRIMARY",$[$.SECONDARY=2]="SECONDARY",$[$.BOTH=3]="BOTH",$[$.ANY=4]="ANY"})(k=e.SideBySideEditor||(e.SideBySideEditor={}));class A{getOriginalUri(j,J){if(!j)return;if(J?.supportSideBySide){const{primary:ie,secondary:ae}=this.getSideEditors(j);if(ie&&ae){if(J?.supportSideBySide===k.BOTH)return{primary:this.getOriginalUri(ie,{filterByScheme:J.filterByScheme}),secondary:this.getOriginalUri(ae,{filterByScheme:J.filterByScheme})};if(J?.supportSideBySide===k.ANY)return this.getOriginalUri(ie,{filterByScheme:J.filterByScheme})??this.getOriginalUri(ae,{filterByScheme:J.filterByScheme});j=J.supportSideBySide===k.PRIMARY?ie:ae}}if(m(j)||w(j))return;const z=l(j)?j.preferredResource:j.resource;return!z||!J||!J.filterByScheme?z:this.filterUri(z,J.filterByScheme)}getSideEditors(j){return i(j)||w(j)?{primary:j.primary,secondary:j.secondary}:u(j)||m(j)?{primary:j.modified,secondary:j.original}:{primary:void 0,secondary:void 0}}getCanonicalUri(j,J){if(!j)return;if(J?.supportSideBySide){const{primary:ie,secondary:ae}=this.getSideEditors(j);if(ie&&ae){if(J?.supportSideBySide===k.BOTH)return{primary:this.getCanonicalUri(ie,{filterByScheme:J.filterByScheme}),secondary:this.getCanonicalUri(ae,{filterByScheme:J.filterByScheme})};if(J?.supportSideBySide===k.ANY)return this.getCanonicalUri(ie,{filterByScheme:J.filterByScheme})??this.getCanonicalUri(ae,{filterByScheme:J.filterByScheme});j=J.supportSideBySide===k.PRIMARY?ie:ae}}if(m(j)||w(j))return;const z=j.resource;return!z||!J||!J.filterByScheme?z:this.filterUri(z,J.filterByScheme)}filterUri(j,J){if(Array.isArray(J)){if(J.some(z=>j.scheme===z))return j}else if(J===j.scheme)return j}}e.EditorResourceAccessor=new A;var W;(function($){$[$.LEFT=0]="LEFT",$[$.RIGHT=1]="RIGHT"})(W=e.CloseDirection||(e.CloseDirection={}));class b{constructor(){this.editorSerializerConstructors=new Map,this.editorSerializerInstances=new Map}start(j){const J=this.instantiationService=j.get(y.IInstantiationService);for(const[z,ie]of this.editorSerializerConstructors)this.createEditorSerializer(z,ie,J);this.editorSerializerConstructors.clear()}createEditorSerializer(j,J,z){const ie=z.createInstance(J);this.editorSerializerInstances.set(j,ie)}registerFileEditorFactory(j){if(this.fileEditorFactory)throw new Error("Can only register one file editor factory.");this.fileEditorFactory=j}getFileEditorFactory(){return(0,I.assertIsDefined)(this.fileEditorFactory)}registerEditorSerializer(j,J){if(this.editorSerializerConstructors.has(j)||this.editorSerializerInstances.has(j))throw new Error(`A editor serializer with type ID '${j}' was already registered.`);return this.instantiationService?this.createEditorSerializer(j,J,this.instantiationService):this.editorSerializerConstructors.set(j,J),(0,B.toDisposable)(()=>{this.editorSerializerConstructors.delete(j),this.editorSerializerInstances.delete(j)})}getEditorSerializer(j){return this.editorSerializerInstances.get(typeof j=="string"?j:j.typeId)}}P.Registry.add(e.EditorExtensions.EditorFactory,new b);async function H($,j){if(!$||!$.length)return[];const J=await Promise.all($.map(async z=>{const ie=_.URI.revive(z.fileUri);if(!ie||!await j.canHandleResource(ie))return;let te=z.exists,ce=z.type;if(typeof te!="boolean"||typeof ce!="number")try{ce=(await j.resolve(ie)).isDirectory?C.FileType.Directory:C.FileType.Unknown,te=!0}catch{te=!1}if(!te&&z.openOnlyIfExists||ce===C.FileType.Directory)return;const de={selection:te?z.selection:void 0,pinned:!0,override:z.editorOverrideId};let Se;return te?Se={resource:ie,options:de}:Se={resource:ie,options:de,forceUntitled:!0},Se}));return(0,L.coalesce)(J)}e.pathsToEditors=H;var q;(function($){$[$.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",$[$.SEQUENTIAL=1]="SEQUENTIAL"})(q=e.EditorsOrder||(e.EditorsOrder={}))}),define(Ee[61],be([1,0,9,2]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeAuthority=e.asWebviewUri=e.webviewGenericCspSource=e.webviewRootResourceAuthority=e.webviewResourceBaseHost=void 0,e.webviewResourceBaseHost="vscode-webview.net",e.webviewRootResourceAuthority=`vscode-resource.${e.webviewResourceBaseHost}`,e.webviewGenericCspSource=`https://*.${e.webviewResourceBaseHost}`;function _(P,C){return P.scheme===o.Schemas.http||P.scheme===o.Schemas.https?P:(C&&C.authority&&C.isRemote&&P.scheme===o.Schemas.file&&(P=I.URI.from({scheme:o.Schemas.vscodeRemote,authority:C.authority,path:P.path})),I.URI.from({scheme:o.Schemas.https,authority:`${P.scheme}+${B(P.authority)}.${e.webviewRootResourceAuthority}`,path:P.path,fragment:P.fragment,query:P.query}))}e.asWebviewUri=_;function B(P){return P.replace(/./g,C=>{const L=C.charCodeAt(0);return L>=97&&L<=122||L>=65&&L<=90||L>=48&&L<=57?C:"-"+L.toString(16).padStart(4,"0")})}function y(P){return P.replace(/-([0-9a-f]{4})/g,(C,L)=>String.fromCharCode(parseInt(L,16)))}e.decodeAuthority=y}),define(Ee[157],be([1,0,5,6,61]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class B{constructor(P,C,L){this._proxy=P,this._editors=C,this._initData=L,this._handlePool=0,this._disposables=new I.DisposableStore,this._insets=new Map,this._disposables.add(C.onDidChangeVisibleTextEditors(()=>{const M=C.getVisibleTextEditors();for(const E of this._insets.values())M.indexOf(E.editor)<0&&E.inset.dispose()}))}dispose(){this._insets.forEach(P=>P.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(P,C,L,M,E){let c;for(const h of this._editors.getVisibleTextEditors(!0))if(h.value===P){c=h;break}if(!c)throw new Error("not a visible editor");const g=this,s=this._handlePool++,n=new o.Emitter,m=new o.Emitter,w=new class{constructor(){this._html="",this._options=Object.create(null)}asWebviewUri(h){return(0,_.asWebviewUri)(h,g._initData.remote)}get cspSource(){return _.webviewGenericCspSource}set options(h){this._options=h,g._proxy.$setOptions(s,h)}get options(){return this._options}set html(h){this._html=h,g._proxy.$setHtml(s,h)}get html(){return this._html}get onDidReceiveMessage(){return n.event}postMessage(h){return g._proxy.$postMessage(s,h)}},R=new class{constructor(){this.editor=P,this.line=C,this.height=L,this.webview=w,this.onDidDispose=m.event}dispose(){g._insets.has(s)&&(g._insets.delete(s),g._proxy.$disposeEditorInset(s),m.fire(),m.dispose(),n.dispose())}};return this._proxy.$createEditorInset(s,c.id,c.value.document.uri,C+1,L,M||{},E.identifier,E.extensionLocation),this._insets.set(s,{editor:P,inset:R,onDidReceiveMessage:n}),R}$onDidDispose(P){const C=this._insets.get(P);C&&C.inset.dispose()}$onDidReceiveMessage(P,C){const L=this._insets.get(P);L&&L.onDidReceiveMessage.fire(C)}}e.ExtHostEditorInsets=B}),define(Ee[158],be([1,0,5,13,130]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class B{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new o.Emitter,this._onExit=new o.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(P){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=P}onEvent(P){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=P}onRequest(P){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=P}sendResponse(P){P.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${P.command}`)):this.internalSend("response",P)}sendRequest(P,C,L,M){const E={command:P};if(C&&Object.keys(C).length>0&&(E.arguments=C),this.internalSend("request",E),typeof M=="number"){const c=setTimeout(()=>{clearTimeout(c);const g=this.pendingRequests.get(E.seq);if(g){this.pendingRequests.delete(E.seq);const s={type:"response",seq:0,request_seq:E.seq,success:!1,command:P,message:(0,_.localize)(0,null,M,P)};g(s)}},M)}return L&&this.pendingRequests.set(E.seq,L),E.seq}acceptMessage(P){this.messageCallback?this.messageCallback(P):(this.queue.push(P),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(P,C){return P.type!=="event"||C.type!=="event"}async processQueue(){let P;for(;this.queue.length;){if((!P||this.needsTaskBoundaryBetween(this.queue[0],P))&&await(0,I.timeout)(0),P=this.queue.shift(),!P)return;switch(P.type){case"event":this.eventCallback&&this.eventCallback(P);break;case"request":this.requestCallback&&this.requestCallback(P);break;case"response":{const C=P,L=this.pendingRequests.get(C.request_seq);L&&(this.pendingRequests.delete(C.request_seq),L(C));break}}}}internalSend(P,C){C.type=P,C.seq=this.sequence++,this.sendMessage(C)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const P=new Map;this.pendingRequests.forEach((C,L)=>P.set(L,C)),await(0,I.timeout)(500),P.forEach((C,L)=>{C({type:"response",seq:0,request_seq:L,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(L)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=B}),define(Ee[159],be([1,0,131,45,3]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BreakpointWidgetContext=e.IDebugService=e.DebugConfigurationProviderTriggerKind=e.DEBUG_MEMORY_SCHEME=e.MemoryRangeType=e.getStateLabel=e.State=e.INTERNAL_CONSOLE_OPTIONS_SCHEMA=e.DEBUG_SCHEME=e.BREAKPOINT_EDITOR_CONTRIBUTION_ID=e.EDITOR_CONTRIBUTION_ID=e.debuggerDisabledMessage=e.CONTEXT_FOCUSED_STACK_FRAME_HAS_INSTRUCTION_POINTER_REFERENCE=e.CONTEXT_LANGUAGE_SUPPORTS_DISASSEMBLE_REQUEST=e.CONTEXT_DISASSEMBLY_VIEW_FOCUS=e.CONTEXT_DISASSEMBLE_REQUEST_SUPPORTED=e.CONTEXT_MULTI_SESSION_DEBUG=e.CONTEXT_MULTI_SESSION_REPL=e.CONTEXT_EXCEPTION_WIDGET_VISIBLE=e.CONTEXT_VARIABLE_IS_READONLY=e.CONTEXT_VARIABLE_EVALUATE_NAME_PRESENT=e.CONTEXT_TERMINATE_DEBUGGEE_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_IS_READ_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_IS_ACCESSED_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_CHANGES_SUPPORTED=e.CONTEXT_SET_EXPRESSION_SUPPORTED=e.CONTEXT_SET_VARIABLE_SUPPORTED=e.CONTEXT_DEBUG_PROTOCOL_VARIABLE_MENU_CONTEXT=e.CONTEXT_DEBUG_EXTENSION_AVAILABLE=e.CONTEXT_DEBUGGERS_AVAILABLE=e.CONTEXT_BREAKPOINTS_EXIST=e.CONTEXT_STEP_INTO_TARGETS_SUPPORTED=e.CONTEXT_JUMP_TO_CURSOR_SUPPORTED=e.CONTEXT_STACK_FRAME_SUPPORTS_RESTART=e.CONTEXT_RESTART_FRAME_SUPPORTED=e.CONTEXT_STEP_BACK_SUPPORTED=e.CONTEXT_FOCUSED_SESSION_IS_ATTACH=e.CONTEXT_LOADED_SCRIPTS_ITEM_TYPE=e.CONTEXT_LOADED_SCRIPTS_SUPPORTED=e.CONTEXT_BREAKPOINT_SUPPORTS_CONDITION=e.CONTEXT_BREAKPOINT_ACCESS_TYPE=e.CONTEXT_BREAKPOINT_ITEM_TYPE=e.CONTEXT_CAN_VIEW_MEMORY=e.CONTEXT_WATCH_ITEM_TYPE=e.CONTEXT_CALLSTACK_SESSION_HAS_ONE_THREAD=e.CONTEXT_CALLSTACK_ITEM_STOPPED=e.CONTEXT_CALLSTACK_SESSION_IS_ATTACH=e.CONTEXT_CALLSTACK_ITEM_TYPE=e.CONTEXT_BREAKPOINT_INPUT_FOCUSED=e.CONTEXT_EXPRESSION_SELECTED=e.CONTEXT_VARIABLES_FOCUSED=e.CONTEXT_WATCH_EXPRESSIONS_EXIST=e.CONTEXT_WATCH_EXPRESSIONS_FOCUSED=e.CONTEXT_BREAKPOINTS_FOCUSED=e.CONTEXT_IN_BREAKPOINT_WIDGET=e.CONTEXT_BREAKPOINT_WIDGET_VISIBLE=e.CONTEXT_IN_DEBUG_REPL=e.CONTEXT_IN_DEBUG_MODE=e.CONTEXT_DEBUG_UX=e.CONTEXT_DEBUG_UX_KEY=e.CONTEXT_DEBUG_STATE=e.CONTEXT_DEBUG_CONFIGURATION_TYPE=e.CONTEXT_DEBUG_TYPE=e.DEBUG_SERVICE_ID=e.REPL_VIEW_ID=e.DEBUG_PANEL_ID=e.DISASSEMBLY_VIEW_ID=e.BREAKPOINTS_VIEW_ID=e.LOADED_SCRIPTS_VIEW_ID=e.CALLSTACK_VIEW_ID=e.WATCH_VIEW_ID=e.VARIABLES_VIEW_ID=e.VIEWLET_ID=void 0,e.VIEWLET_ID="workbench.view.debug",e.VARIABLES_VIEW_ID="workbench.debug.variablesView",e.WATCH_VIEW_ID="workbench.debug.watchExpressionsView",e.CALLSTACK_VIEW_ID="workbench.debug.callStackView",e.LOADED_SCRIPTS_VIEW_ID="workbench.debug.loadedScriptsView",e.BREAKPOINTS_VIEW_ID="workbench.debug.breakPointsView",e.DISASSEMBLY_VIEW_ID="workbench.debug.disassemblyView",e.DEBUG_PANEL_ID="workbench.panel.repl",e.REPL_VIEW_ID="workbench.panel.repl.view",e.DEBUG_SERVICE_ID="debugService",e.CONTEXT_DEBUG_TYPE=new I.RawContextKey("debugType",void 0,{type:"string",description:o.localize(0,null)}),e.CONTEXT_DEBUG_CONFIGURATION_TYPE=new I.RawContextKey("debugConfigurationType",void 0,{type:"string",description:o.localize(1,null)}),e.CONTEXT_DEBUG_STATE=new I.RawContextKey("debugState","inactive",{type:"string",description:o.localize(2,null)}),e.CONTEXT_DEBUG_UX_KEY="debugUx",e.CONTEXT_DEBUG_UX=new I.RawContextKey(e.CONTEXT_DEBUG_UX_KEY,"default",{type:"string",description:o.localize(3,null)}),e.CONTEXT_IN_DEBUG_MODE=new I.RawContextKey("inDebugMode",!1,{type:"boolean",description:o.localize(4,null)}),e.CONTEXT_IN_DEBUG_REPL=new I.RawContextKey("inDebugRepl",!1,{type:"boolean",description:o.localize(5,null)}),e.CONTEXT_BREAKPOINT_WIDGET_VISIBLE=new I.RawContextKey("breakpointWidgetVisible",!1,{type:"boolean",description:o.localize(6,null)}),e.CONTEXT_IN_BREAKPOINT_WIDGET=new I.RawContextKey("inBreakpointWidget",!1,{type:"boolean",description:o.localize(7,null)}),e.CONTEXT_BREAKPOINTS_FOCUSED=new I.RawContextKey("breakpointsFocused",!0,{type:"boolean",description:o.localize(8,null)}),e.CONTEXT_WATCH_EXPRESSIONS_FOCUSED=new I.RawContextKey("watchExpressionsFocused",!0,{type:"boolean",description:o.localize(9,null)}),e.CONTEXT_WATCH_EXPRESSIONS_EXIST=new I.RawContextKey("watchExpressionsExist",!1,{type:"boolean",description:o.localize(10,null)}),e.CONTEXT_VARIABLES_FOCUSED=new I.RawContextKey("variablesFocused",!0,{type:"boolean",description:o.localize(11,null)}),e.CONTEXT_EXPRESSION_SELECTED=new I.RawContextKey("expressionSelected",!1,{type:"boolean",description:o.localize(12,null)}),e.CONTEXT_BREAKPOINT_INPUT_FOCUSED=new I.RawContextKey("breakpointInputFocused",!1,{type:"boolean",description:o.localize(13,null)}),e.CONTEXT_CALLSTACK_ITEM_TYPE=new I.RawContextKey("callStackItemType",void 0,{type:"string",description:o.localize(14,null)}),e.CONTEXT_CALLSTACK_SESSION_IS_ATTACH=new I.RawContextKey("callStackSessionIsAttach",!1,{type:"boolean",description:o.localize(15,null)}),e.CONTEXT_CALLSTACK_ITEM_STOPPED=new I.RawContextKey("callStackItemStopped",!1,{type:"boolean",description:o.localize(16,null)}),e.CONTEXT_CALLSTACK_SESSION_HAS_ONE_THREAD=new I.RawContextKey("callStackSessionHasOneThread",!1,{type:"boolean",description:o.localize(17,null)}),e.CONTEXT_WATCH_ITEM_TYPE=new I.RawContextKey("watchItemType",void 0,{type:"string",description:o.localize(18,null)}),e.CONTEXT_CAN_VIEW_MEMORY=new I.RawContextKey("canViewMemory",void 0,{type:"boolean",description:o.localize(19,null)}),e.CONTEXT_BREAKPOINT_ITEM_TYPE=new I.RawContextKey("breakpointItemType",void 0,{type:"string",description:o.localize(20,null)}),e.CONTEXT_BREAKPOINT_ACCESS_TYPE=new I.RawContextKey("breakpointAccessType",void 0,{type:"string",description:o.localize(21,null)}),e.CONTEXT_BREAKPOINT_SUPPORTS_CONDITION=new I.RawContextKey("breakpointSupportsCondition",!1,{type:"boolean",description:o.localize(22,null)}),e.CONTEXT_LOADED_SCRIPTS_SUPPORTED=new I.RawContextKey("loadedScriptsSupported",!1,{type:"boolean",description:o.localize(23,null)}),e.CONTEXT_LOADED_SCRIPTS_ITEM_TYPE=new I.RawContextKey("loadedScriptsItemType",void 0,{type:"string",description:o.localize(24,null)}),e.CONTEXT_FOCUSED_SESSION_IS_ATTACH=new I.RawContextKey("focusedSessionIsAttach",!1,{type:"boolean",description:o.localize(25,null)}),e.CONTEXT_STEP_BACK_SUPPORTED=new I.RawContextKey("stepBackSupported",!1,{type:"boolean",description:o.localize(26,null)}),e.CONTEXT_RESTART_FRAME_SUPPORTED=new I.RawContextKey("restartFrameSupported",!1,{type:"boolean",description:o.localize(27,null)}),e.CONTEXT_STACK_FRAME_SUPPORTS_RESTART=new I.RawContextKey("stackFrameSupportsRestart",!1,{type:"boolean",description:o.localize(28,null)}),e.CONTEXT_JUMP_TO_CURSOR_SUPPORTED=new I.RawContextKey("jumpToCursorSupported",!1,{type:"boolean",description:o.localize(29,null)}),e.CONTEXT_STEP_INTO_TARGETS_SUPPORTED=new I.RawContextKey("stepIntoTargetsSupported",!1,{type:"boolean",description:o.localize(30,null)}),e.CONTEXT_BREAKPOINTS_EXIST=new I.RawContextKey("breakpointsExist",!1,{type:"boolean",description:o.localize(31,null)}),e.CONTEXT_DEBUGGERS_AVAILABLE=new I.RawContextKey("debuggersAvailable",!1,{type:"boolean",description:o.localize(32,null)}),e.CONTEXT_DEBUG_EXTENSION_AVAILABLE=new I.RawContextKey("debugExtensionAvailable",!1,{type:"boolean",description:o.localize(33,null)}),e.CONTEXT_DEBUG_PROTOCOL_VARIABLE_MENU_CONTEXT=new I.RawContextKey("debugProtocolVariableMenuContext",void 0,{type:"string",description:o.localize(34,null)}),e.CONTEXT_SET_VARIABLE_SUPPORTED=new I.RawContextKey("debugSetVariableSupported",!1,{type:"boolean",description:o.localize(35,null)}),e.CONTEXT_SET_EXPRESSION_SUPPORTED=new I.RawContextKey("debugSetExpressionSupported",!1,{type:"boolean",description:o.localize(36,null)}),e.CONTEXT_BREAK_WHEN_VALUE_CHANGES_SUPPORTED=new I.RawContextKey("breakWhenValueChangesSupported",!1,{type:"boolean",description:o.localize(37,null)}),e.CONTEXT_BREAK_WHEN_VALUE_IS_ACCESSED_SUPPORTED=new I.RawContextKey("breakWhenValueIsAccessedSupported",!1,{type:"boolean",description:o.localize(38,null)}),e.CONTEXT_BREAK_WHEN_VALUE_IS_READ_SUPPORTED=new I.RawContextKey("breakWhenValueIsReadSupported",!1,{type:"boolean",description:o.localize(39,null)}),e.CONTEXT_TERMINATE_DEBUGGEE_SUPPORTED=new I.RawContextKey("terminateDebuggeeSupported",!1,{type:"boolean",description:o.localize(40,null)}),e.CONTEXT_VARIABLE_EVALUATE_NAME_PRESENT=new I.RawContextKey("variableEvaluateNamePresent",!1,{type:"boolean",description:o.localize(41,null)}),e.CONTEXT_VARIABLE_IS_READONLY=new I.RawContextKey("variableIsReadonly",!1,{type:"boolean",description:o.localize(42,null)}),e.CONTEXT_EXCEPTION_WIDGET_VISIBLE=new I.RawContextKey("exceptionWidgetVisible",!1,{type:"boolean",description:o.localize(43,null)}),e.CONTEXT_MULTI_SESSION_REPL=new I.RawContextKey("multiSessionRepl",!1,{type:"boolean",description:o.localize(44,null)}),e.CONTEXT_MULTI_SESSION_DEBUG=new I.RawContextKey("multiSessionDebug",!1,{type:"boolean",description:o.localize(45,null)}),e.CONTEXT_DISASSEMBLE_REQUEST_SUPPORTED=new I.RawContextKey("disassembleRequestSupported",!1,{type:"boolean",description:o.localize(46,null)}),e.CONTEXT_DISASSEMBLY_VIEW_FOCUS=new I.RawContextKey("disassemblyViewFocus",!1,{type:"boolean",description:o.localize(47,null)}),e.CONTEXT_LANGUAGE_SUPPORTS_DISASSEMBLE_REQUEST=new I.RawContextKey("languageSupportsDisassembleRequest",!1,{type:"boolean",description:o.localize(48,null)}),e.CONTEXT_FOCUSED_STACK_FRAME_HAS_INSTRUCTION_POINTER_REFERENCE=new I.RawContextKey("focusedStackFrameHasInstructionReference",!1,{type:"boolean",description:o.localize(49,null)});const B=E=>o.localize(50,null,E);e.debuggerDisabledMessage=B,e.EDITOR_CONTRIBUTION_ID="editor.contrib.debug",e.BREAKPOINT_EDITOR_CONTRIBUTION_ID="editor.contrib.breakpoint",e.DEBUG_SCHEME="debug",e.INTERNAL_CONSOLE_OPTIONS_SCHEMA={enum:["neverOpen","openOnSessionStart","openOnFirstSessionStart"],default:"openOnFirstSessionStart",description:o.localize(51,null)};var y;(function(E){E[E.Inactive=0]="Inactive",E[E.Initializing=1]="Initializing",E[E.Stopped=2]="Stopped",E[E.Running=3]="Running"})(y=e.State||(e.State={}));function P(E){switch(E){case 1:return"initializing";case 2:return"stopped";case 3:return"running";default:return"inactive"}}e.getStateLabel=P;var C;(function(E){E[E.Valid=0]="Valid",E[E.Unreadable=1]="Unreadable",E[E.Error=2]="Error"})(C=e.MemoryRangeType||(e.MemoryRangeType={})),e.DEBUG_MEMORY_SCHEME="vscode-debug-memory";var L;(function(E){E[E.Initial=1]="Initial",E[E.Dynamic=2]="Dynamic"})(L=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={})),e.IDebugService=(0,_.createDecorator)(e.DEBUG_SERVICE_ID);var M;(function(E){E[E.CONDITION=0]="CONDITION",E[E.HIT_COUNT=1]="HIT_COUNT",E[E.LOG_MESSAGE=2]="LOG_MESSAGE"})(M=e.BreakpointWidgetContext||(e.BreakpointWidgetContext={}))}),define(Ee[160],be([1,0,10,2,17,26,9]),function(Y,e,o,I,_,B,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.saveAllBeforeDebugStart=e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const P=/{([^}]+)}/g;function C(l,i,u){return l.replace(P,function(t,a){return i&&a.length>0&&a[0]!=="_"?t:u&&u.hasOwnProperty(a)?u[a]:t})}e.formatPII=C;function L(l){const i={};for(const u of Object.keys(l))u.startsWith("!")||(i[u]=l[u]);return i}e.filterExceptionsFromTelemetry=L;function M(l){return l.configuration.request==="attach"&&!E(l)&&(!l.parentSession||M(l.parentSession))}e.isSessionAttach=M;function E(l){let i=l.configuration.type;if(!!i)return i==="vslsShare"&&(i=l.configuration.adapterProxy.configuration.type),(0,o.equalsIgnoreCase)(i,"extensionhost")||(0,o.equalsIgnoreCase)(i,"pwa-extensionhost")?l:l.parentSession?E(l.parentSession):void 0}e.getExtensionHostDebugSession=E;function c(l){return l.type&&(l.label||l.program||l.runtime)}e.isDebuggerMainContribution=c;function g(l,i,u){let t,a=0;const p=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g;let d=null;for(;d=p.exec(l);){const S=d.index+1,k=S+d[0].length;if(S<=i&&k>=u){t=d[0],a=S;break}}if(t){const S=/\w+/g;let k=null;for(;(k=S.exec(t))&&!(k.index+1+a+k[0].length>=u););k&&(t=t.substring(0,S.lastIndex))}return t?{start:a,end:a+t.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=g;const s=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function n(l){return!!(l&&l.match(s))}e.isUri=n;function m(l){if(typeof l.path=="string"&&!(typeof l.sourceReference=="number"&&l.sourceReference>0)){if(n(l.path))return I.URI.parse(l.path);if((0,_.isAbsolute)(l.path))return I.URI.file(l.path)}return l.path}function w(l){if(typeof l.path=="object"){const i=I.URI.revive(l.path);if(i)return i.scheme===y.Schemas.file?i.fsPath:i.toString()}return l.path}function R(l,i){const u=i?m:w,t=(0,B.deepClone)(l);return f(t,(a,p)=>{a&&p&&(p.path=u(p))}),t}e.convertToDAPaths=R;function h(l,i){const u=i?m:w,t=(0,B.deepClone)(l);return f(t,(a,p)=>{!a&&p&&(p.path=u(p))}),t}e.convertToVSCPaths=h;function f(l,i){switch(l.type){case"event":{const u=l;switch(u.event){case"output":i(!1,u.body.source);break;case"loadedSource":i(!1,u.body.source);break;case"breakpoint":i(!1,u.body.breakpoint.source);break;default:break}break}case"request":{const u=l;switch(u.command){case"setBreakpoints":i(!0,u.arguments.source);break;case"breakpointLocations":i(!0,u.arguments.source);break;case"source":i(!0,u.arguments.source);break;case"gotoTargets":i(!0,u.arguments.source);break;case"launchVSCode":u.arguments.args.forEach(t=>i(!1,t));break;default:break}break}case"response":{const u=l;if(u.success&&u.body)switch(u.command){case"stackTrace":u.body.stackFrames.forEach(t=>i(!1,t.source));break;case"loadedSources":u.body.sources.forEach(t=>i(!1,t));break;case"scopes":u.body.scopes.forEach(t=>i(!1,t.source));break;case"setFunctionBreakpoints":u.body.breakpoints.forEach(t=>i(!1,t.source));break;case"setBreakpoints":u.body.breakpoints.forEach(t=>i(!1,t.source));break;case"disassemble":{const t=u;t.body&&t.body.instructions.forEach(a=>i(!1,a.location))}break;default:break}break}}}function v(l){return l.filter(i=>!i.presentation?.hidden).sort((i,u)=>i.presentation?u.presentation?i.presentation.group?u.presentation.group?i.presentation.group!==u.presentation.group?i.presentation.group.localeCompare(u.presentation.group):r(i.presentation.order,u.presentation.order):-1:u.presentation.group?1:r(i.presentation.order,u.presentation.order):-1:u.presentation?1:0)}e.getVisibleAndSorted=v;function r(l,i){return typeof l!="number"?typeof i!="number"?0:1:typeof i!="number"?-1:l-i}async function T(l,i){const u=l.getValue("debug.saveBeforeStart",{overrideIdentifier:i.activeTextEditorLanguageId});if(u!=="none"&&(await i.saveAll(),u==="allEditorsInActiveGroup")){const t=i.activeEditorPane;t&&t.input.resource?.scheme===y.Schemas.untitled&&await i.save({editor:t.input,groupId:t.group.id})}await l.reloadConfiguration()}e.saveAllBeforeDebugStart=T}),define(Ee[85],be([1,0,29,161,71,9,17,23,45]),function(Y,e,o,I,_,B,y,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookWorkingCopyTypeIdentifier=e.CellStatusbarAlignment=e.NotebookSetting=e.CellSequence=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.MimeTypeDisplayOrder=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookCellExecutionState=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.RENDERER_EQUIVALENT_EXTENSIONS=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=e.NOTEBOOK_DIFF_EDITOR_ID=e.NOTEBOOK_EDITOR_ID=void 0,e.NOTEBOOK_EDITOR_ID="workbench.editor.notebook",e.NOTEBOOK_DIFF_EDITOR_ID="workbench.editor.notebookTextDiffEditor";var L;(function(t){t[t.Markup=1]="Markup",t[t.Code=2]="Code"})(L=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml",_.Mimes.latex,_.Mimes.markdown,"image/png","image/jpeg",_.Mimes.text],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=[_.Mimes.latex,_.Mimes.markdown,"application/json",_.Mimes.text,"text/html","image/svg+xml","image/png","image/jpeg"],e.RENDERER_EQUIVALENT_EXTENSIONS=new Map([["ms-toolsai.jupyter",new Set(["jupyter-notebook","interactive"])],["ms-toolsai.jupyter-renderers",new Set(["jupyter-notebook","interactive"])]]),e.RENDERER_NOT_AVAILABLE="_notAvailable";var M;(function(t){t[t.Running=1]="Running",t[t.Idle=2]="Idle"})(M=e.NotebookRunState||(e.NotebookRunState={}));var E;(function(t){t[t.Unconfirmed=1]="Unconfirmed",t[t.Pending=2]="Pending",t[t.Executing=3]="Executing"})(E=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var c;(function(t){t[t.WithHardKernelDependency=0]="WithHardKernelDependency",t[t.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",t[t.Pure=2]="Pure",t[t.Never=3]="Never"})(c=e.NotebookRendererMatch||(e.NotebookRendererMatch={}));var g;(function(t){t.Always="always",t.Never="never",t.Optional="optional"})(g=e.RendererMessagingSpec||(e.RendererMessagingSpec={}));var s;(function(t){t[t.ModelChange=1]="ModelChange",t[t.Move=2]="Move",t[t.ChangeLanguage=5]="ChangeLanguage",t[t.Initialize=6]="Initialize",t[t.ChangeCellMetadata=7]="ChangeCellMetadata",t[t.Output=8]="Output",t[t.OutputItem=9]="OutputItem",t[t.ChangeCellContent=10]="ChangeCellContent",t[t.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",t[t.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",t[t.ChangeCellMime=13]="ChangeCellMime",t[t.Unknown=100]="Unknown"})(s=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var n;(function(t){t[t.Handle=0]="Handle",t[t.Index=1]="Index"})(n=e.SelectionStateType||(e.SelectionStateType={}));var m;(function(t){t[t.Replace=1]="Replace",t[t.Output=2]="Output",t[t.Metadata=3]="Metadata",t[t.CellLanguage=4]="CellLanguage",t[t.DocumentMetadata=5]="DocumentMetadata",t[t.Move=6]="Move",t[t.OutputItems=7]="OutputItems",t[t.PartialMetadata=8]="PartialMetadata",t[t.PartialInternalMetadata=9]="PartialInternalMetadata"})(m=e.CellEditType||(e.CellEditType={}));var w;(function(t){t.scheme=B.Schemas.vscodeNotebookCell;const a=/^ch(\d{7,})/;function p(b,H){return b.with({scheme:t.scheme,fragment:`ch${H.toString().padStart(7,"0")}${b.scheme!==B.Schemas.file?b.scheme:""}`})}t.generate=p;function d(b){if(b.scheme!==t.scheme)return;const H=a.exec(b.fragment);return H?{handle:Number(H[1]),notebook:b.with({scheme:b.fragment.substring(H[0].length)||B.Schemas.file,fragment:null})}:void 0}t.parse=d;function S(b,H){return b.with({scheme:B.Schemas.vscodeNotebookCellOutput,fragment:`op${H??""},${b.scheme!==B.Schemas.file?b.scheme:""}`})}t.generateCellOutputUri=S;function k(b){if(b.scheme!==B.Schemas.vscodeNotebookCellOutput)return;const H=/^op([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?\,(.*)$/i.exec(b.fragment);if(!H)return;const q=H[1]&&H[1]!==""?H[1]:void 0,$=H[2];return{outputId:q,notebook:b.with({scheme:$||B.Schemas.file,fragment:null})}}t.parseCellOutputUri=k;function A(b,H,q){return b.with({scheme:q,fragment:`ch${H.toString().padStart(7,"0")}${b.scheme!==B.Schemas.file?b.scheme:""}`})}t.generateCellUri=A;function W(b,H){if(b.scheme!==H)return;const q=a.exec(b.fragment);return q?{handle:Number(q[1]),notebook:b.with({scheme:b.fragment.substring(q[0].length)||B.Schemas.file,fragment:null})}:void 0}t.parseCellUri=W})(w=e.CellUri||(e.CellUri={}));const R=t=>P.isWindows?t.replace(/\//g,"\\"):t;class h{constructor(a=[],p=e.NOTEBOOK_DISPLAY_ORDER){this.defaultOrder=p,this.order=[...new Set(a)].map(d=>({pattern:d,matches:o.parse(R(d))}))}sort(a){const p=new Map(I.Iterable.map(a,S=>[S,R(S)]));let d=[];for(const{matches:S}of this.order)for(const[k,A]of p)if(S(A)){d.push(k),p.delete(k);break}return p.size&&(d=d.concat([...p.keys()].sort((S,k)=>this.defaultOrder.indexOf(S)-this.defaultOrder.indexOf(k)))),d}prioritize(a,p){const d=this.findIndex(a);if(d===-1){this.order.unshift({pattern:a,matches:o.parse(R(a))});return}const S=new Set(p.map(A=>this.findIndex(A,d)));S.delete(-1);const k=Array.from(S).sort();this.order.splice(d+1,0,...k.map(A=>this.order[A]));for(let A=k.length-1;A>=0;A--)this.order.splice(k[A],1)}toArray(){return this.order.map(a=>a.pattern)}findIndex(a,p=this.order.length){const d=R(a);for(let S=0;S<p;S++)if(this.order[S].matches(d))return S;return-1}}e.MimeTypeDisplayOrder=h;function f(t,a,p,d=(S,k)=>S===k){const S=[];function k(b,H,q){if(H===0&&q.length===0)return;const $=S[S.length-1];$&&$.start+$.deleteCount===b?($.deleteCount+=H,$.toInsert.push(...q)):S.push({start:b,deleteCount:H,toInsert:q})}let A=0,W=0;for(;;){if(A===t.length){k(A,0,a.slice(W));break}if(W===a.length){k(A,t.length-A,[]);break}const b=t[A],H=a[W];if(d(b,H)){A+=1,W+=1;continue}p(H)?(k(A,1,[]),A+=1):(k(A,0,[H]),W+=1)}return S}e.diff=f,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new C.RawContextKey("notebookEditorCursorAtBoundary","none");var v;(function(t){t.default="default",t.option="option"})(v=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function r(t){const a=t;return!!((typeof a.include=="string"||o.isRelativePattern(a.include))&&(typeof a.exclude=="string"||o.isRelativePattern(a.exclude)))}e.isDocumentExcludePattern=r;function T(t,a,p){if(Array.isArray(t.viewType)&&t.viewType.indexOf(a)>=0||t.viewType===a)return!0;if(t.filenamePattern){const d=r(t.filenamePattern)?t.filenamePattern.include:t.filenamePattern,S=r(t.filenamePattern)?t.filenamePattern.exclude:void 0;if(o.match(d,(0,y.basename)(p.fsPath).toLowerCase()))return!(S&&o.match(S,(0,y.basename)(p.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=T;class l{constructor(a){this.textModel=a}getElements(){const a=new Int32Array(this.textModel.cells.length);for(let p=0;p<this.textModel.cells.length;p++)a[p]=this.textModel.cells[p].getHashValue();return a}}e.CellSequence=l,e.NotebookSetting={displayOrder:"notebook.displayOrder",cellToolbarLocation:"notebook.cellToolbarLocation",cellToolbarVisibility:"notebook.cellToolbarVisibility",showCellStatusBar:"notebook.showCellStatusBar",textDiffEditorPreview:"notebook.diff.enablePreview",experimentalInsertToolbarAlignment:"notebook.experimental.insertToolbarAlignment",compactView:"notebook.compactView",focusIndicator:"notebook.cellFocusIndicator",insertToolbarLocation:"notebook.insertToolbarLocation",globalToolbar:"notebook.globalToolbar",undoRedoPerCell:"notebook.undoRedoPerCell",consolidatedOutputButton:"notebook.consolidatedOutputButton",showFoldingControls:"notebook.showFoldingControls",dragAndDropEnabled:"notebook.dragAndDropEnabled",cellEditorOptionsCustomizations:"notebook.editorOptionsCustomizations",consolidatedRunButton:"notebook.consolidatedRunButton",openGettingStarted:"notebook.experimental.openGettingStarted",textOutputLineLimit:"notebook.output.textLineLimit",globalToolbarShowLabel:"notebook.globalToolbarShowLabel",markupFontSize:"notebook.markup.fontSize",interactiveWindowCollapseCodeCells:"interactiveWindow.collapseCellInputCode"};var i;(function(t){t[t.Left=1]="Left",t[t.Right=2]="Right"})(i=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));class u{static create(a){return`${u._prefix}${a}`}static parse(a){if(a.startsWith(u._prefix))return a.substring(u._prefix.length)}}e.NotebookWorkingCopyTypeIdentifier=u,u._prefix="notebook/"}),define(Ee[162],be([1,0,3]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INotebookExecutionService=e.CellExecutionUpdateType=void 0;var I;(function(_){_[_.Output=1]="Output",_[_.OutputItems=2]="OutputItems",_[_.ExecutionState=3]="ExecutionState"})(I=e.CellExecutionUpdateType||(e.CellExecutionUpdateType={})),e.INotebookExecutionService=(0,o.createDecorator)("INotebookExecutionService")}),define(Ee[163],be([1,0,3,45]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutputChannelUpdateMode=e.IOutputService=e.CONTEXT_OUTPUT_SCROLL_LOCK=e.CONTEXT_ACTIVE_LOG_OUTPUT=e.CONTEXT_IN_OUTPUT=e.MAX_OUTPUT_LENGTH=e.OUTPUT_SERVICE_ID=e.OUTPUT_VIEW_ID=e.LOG_MODE_ID=e.LOG_SCHEME=e.LOG_MIME=e.OUTPUT_MODE_ID=e.OUTPUT_SCHEME=e.OUTPUT_MIME=void 0,e.OUTPUT_MIME="text/x-code-output",e.OUTPUT_SCHEME="output",e.OUTPUT_MODE_ID="Log",e.LOG_MIME="text/x-code-log-output",e.LOG_SCHEME="log",e.LOG_MODE_ID="log",e.OUTPUT_VIEW_ID="workbench.panel.output",e.OUTPUT_SERVICE_ID="outputService",e.MAX_OUTPUT_LENGTH=1e4*100,e.CONTEXT_IN_OUTPUT=new I.RawContextKey("inOutput",!1),e.CONTEXT_ACTIVE_LOG_OUTPUT=new I.RawContextKey("activeLogOutput",!1),e.CONTEXT_OUTPUT_SCROLL_LOCK=new I.RawContextKey("outputView.scrollLock",!1),e.IOutputService=(0,o.createDecorator)(e.OUTPUT_SERVICE_ID);var _;(function(B){B[B.Append=1]="Append",B[B.Replace=2]="Replace",B[B.Clear=3]="Clear"})(_=e.OutputChannelUpdateMode||(e.OutputChannelUpdateMode={}))}),define(Ee[164],be([1,0,132,3,45]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USER_TASKS_GROUP_KEY=e.ITaskService=e.ProcessExecutionSupportedContext=e.ShellExecutionSupportedContext=e.CustomExecutionSupportedContext=void 0,e.CustomExecutionSupportedContext=new _.RawContextKey("customExecutionSupported",!0,o.localize(0,null)),e.ShellExecutionSupportedContext=new _.RawContextKey("shellExecutionSupported",!1,o.localize(1,null)),e.ProcessExecutionSupportedContext=new _.RawContextKey("processExecutionSupported",!1,o.localize(2,null)),e.ITaskService=(0,I.createDecorator)("taskService"),e.USER_TASKS_GROUP_KEY="settings"}),define(Ee[165],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function o(_){return[..._.entries()]}e.serializeEnvironmentVariableCollection=o;function I(_){return new Map(_)}e.deserializeEnvironmentVariableCollection=I}),define(Ee[62],be([1,0,2,49]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.TestsDiffOp=e.TestDiffOpType=e.DetailType=e.TestResultItem=e.applyTestItemUpdate=e.ITestItemUpdate=e.InternalTestItem=e.TestItemExpandState=e.ITestItem=e.denamespaceTestTag=e.namespaceTestTag=e.ITestTaskState=e.ITestMessage=e.ITestOutputMessage=e.ITestErrorMessage=e.TestMessageType=e.IRichLocation=e.testRunProfileBitsetList=e.TestRunProfileBitset=e.TestResultState=void 0;var _;(function(u){u[u.Unset=0]="Unset",u[u.Queued=1]="Queued",u[u.Running=2]="Running",u[u.Passed=3]="Passed",u[u.Failed=4]="Failed",u[u.Skipped=5]="Skipped",u[u.Errored=6]="Errored"})(_=e.TestResultState||(e.TestResultState={}));var B;(function(u){u[u.Run=2]="Run",u[u.Debug=4]="Debug",u[u.Coverage=8]="Coverage",u[u.HasNonDefaultProfile=16]="HasNonDefaultProfile",u[u.HasConfigurable=32]="HasConfigurable"})(B=e.TestRunProfileBitset||(e.TestRunProfileBitset={})),e.testRunProfileBitsetList=[2,4,8,16];var y;(function(u){u.serialize=t=>({range:t.range.toJSON(),uri:t.uri.toJSON()}),u.deserialize=t=>({range:I.Range.lift(t.range),uri:o.URI.revive(t.uri)})})(y=e.IRichLocation||(e.IRichLocation={}));var P;(function(u){u[u.Error=0]="Error",u[u.Info=1]="Info"})(P=e.TestMessageType||(e.TestMessageType={}));var C;(function(u){u.serialize=t=>({message:t.message,type:0,expected:t.expected,actual:t.actual,location:t.location&&y.serialize(t.location)}),u.deserialize=t=>({message:t.message,type:0,expected:t.expected,actual:t.actual,location:t.location&&y.deserialize(t.location)})})(C=e.ITestErrorMessage||(e.ITestErrorMessage={}));var L;(function(u){u.serialize=t=>({message:t.message,type:1,offset:t.offset,location:t.location&&y.serialize(t.location)}),u.deserialize=t=>({message:t.message,type:1,offset:t.offset,location:t.location&&y.deserialize(t.location)})})(L=e.ITestOutputMessage||(e.ITestOutputMessage={}));var M;(function(u){u.serialize=t=>t.type===0?C.serialize(t):L.serialize(t),u.deserialize=t=>t.type===0?C.deserialize(t):L.deserialize(t)})(M=e.ITestMessage||(e.ITestMessage={}));var E;(function(u){u.serialize=t=>({state:t.state,duration:t.duration,messages:t.messages.map(M.serialize)}),u.deserialize=t=>({state:t.state,duration:t.duration,messages:t.messages.map(M.deserialize)})})(E=e.ITestTaskState||(e.ITestTaskState={}));const c="\0",g=(u,t)=>u+c+t;e.namespaceTestTag=g;const s=u=>{const t=u.indexOf(c);return{ctrlId:u.slice(0,t),tagId:u.slice(t+1)}};e.denamespaceTestTag=s;var n;(function(u){u.serialize=t=>({extId:t.extId,label:t.label,tags:t.tags,busy:t.busy,children:void 0,uri:t.uri?.toJSON(),range:t.range?.toJSON()||null,description:t.description,error:t.error,sortText:t.sortText}),u.deserialize=t=>({extId:t.extId,label:t.label,tags:t.tags,busy:t.busy,children:void 0,uri:t.uri?o.URI.revive(t.uri):void 0,range:t.range?I.Range.lift(t.range):null,description:t.description,error:t.error,sortText:t.sortText})})(n=e.ITestItem||(e.ITestItem={}));var m;(function(u){u[u.NotExpandable=0]="NotExpandable",u[u.Expandable=1]="Expandable",u[u.BusyExpanding=2]="BusyExpanding",u[u.Expanded=3]="Expanded"})(m=e.TestItemExpandState||(e.TestItemExpandState={}));var w;(function(u){u.serialize=t=>({controllerId:t.controllerId,expand:t.expand,parent:t.parent,item:n.serialize(t.item)}),u.deserialize=t=>({controllerId:t.controllerId,expand:t.expand,parent:t.parent,item:n.deserialize(t.item)})})(w=e.InternalTestItem||(e.InternalTestItem={}));var R;(function(u){u.serialize=t=>{let a;return t.item&&(a={},t.item.label!==void 0&&(a.label=t.item.label),t.item.tags!==void 0&&(a.tags=t.item.tags),t.item.busy!==void 0&&(a.busy=t.item.busy),t.item.uri!==void 0&&(a.uri=t.item.uri?.toJSON()),t.item.range!==void 0&&(a.range=t.item.range?.toJSON()),t.item.description!==void 0&&(a.description=t.item.description),t.item.error!==void 0&&(a.error=t.item.error),t.item.sortText!==void 0&&(a.sortText=t.item.sortText)),{extId:t.extId,expand:t.expand,item:a}},u.deserialize=t=>{let a;return t.item&&(a={},t.item.label!==void 0&&(a.label=t.item.label),t.item.tags!==void 0&&(a.tags=t.item.tags),t.item.busy!==void 0&&(a.busy=t.item.busy),t.item.range!==void 0&&(a.range=t.item.range?I.Range.lift(t.item.range):null),t.item.description!==void 0&&(a.description=t.item.description),t.item.error!==void 0&&(a.error=t.item.error),t.item.sortText!==void 0&&(a.sortText=t.item.sortText)),{extId:t.extId,expand:t.expand,item:a}}})(R=e.ITestItemUpdate||(e.ITestItemUpdate={}));const h=(u,t)=>{t.expand!==void 0&&(u.expand=t.expand),t.item!==void 0&&(u.item=u.item?Object.assign(u.item,t.item):t.item)};e.applyTestItemUpdate=h;var f;(function(u){u.serialize=(t,a)=>({...w.serialize(t),children:a,ownComputedState:t.ownComputedState,computedState:t.computedState,tasks:t.tasks.map(E.serialize)})})(f=e.TestResultItem||(e.TestResultItem={}));var v;(function(u){u[u.Function=0]="Function",u[u.Statement=1]="Statement"})(v=e.DetailType||(e.DetailType={}));var r;(function(u){u[u.Add=0]="Add",u[u.Update=1]="Update",u[u.Remove=2]="Remove",u[u.IncrementPendingExtHosts=3]="IncrementPendingExtHosts",u[u.Retire=4]="Retire",u[u.AddTag=5]="AddTag",u[u.RemoveTag=6]="RemoveTag"})(r=e.TestDiffOpType||(e.TestDiffOpType={}));var T;(function(u){u.deserialize=t=>t.op===0?{op:t.op,item:w.deserialize(t.item)}:t.op===1?{op:t.op,item:R.deserialize(t.item)}:t,u.serialize=t=>t.op===0?{op:t.op,item:w.serialize(t.item)}:t.op===1?{op:t.op,item:R.serialize(t.item)}:t})(T=e.TestsDiffOp||(e.TestsDiffOp={}));class l{add(t){}update(t){}remove(t,a){}complete(){}}e.IncrementalChangeCollector=l;class i{constructor(){this._tags=new Map,this.items=new Map,this.roots=new Set,this.busyControllerCount=0,this.pendingRootCount=0,this.tags=this._tags}apply(t){const a=this.createChangeCollector();for(const p of t)switch(p.op){case 0:{const d=w.deserialize(p.item);if(d.parent){if(this.items.has(d.parent)){const S=this.items.get(d.parent);S.children.add(d.item.extId);const k=this.createItem(d,S);this.items.set(d.item.extId,k),a.add(k)}}else{const S=this.createItem(d);this.roots.add(S),this.items.set(d.item.extId,S),a.add(S)}d.expand===2&&this.busyControllerCount++;break}case 1:{const d=R.deserialize(p.item),S=this.items.get(d.extId);if(!S)break;d.expand!==void 0&&(S.expand===2&&this.busyControllerCount--,d.expand===2&&this.busyControllerCount++),(0,e.applyTestItemUpdate)(S,d),a.update(S);break}case 2:{const d=this.items.get(p.itemId);if(!d)break;d.parent?this.items.get(d.parent).children.delete(d.item.extId):this.roots.delete(d);const S=[[p.itemId]];for(;S.length;)for(const k of S.pop()){const A=this.items.get(k);A&&(S.push(A.children),this.items.delete(k),a.remove(A,A!==d),A.expand===2&&this.busyControllerCount--)}break}case 4:this.retireTest(p.itemId);break;case 3:this.updatePendingRoots(p.amount);break;case 5:this._tags.set(p.tag.id,p.tag);break;case 6:this._tags.delete(p.id);break}a.complete()}retireTest(t){}updatePendingRoots(t){this.pendingRootCount+=t}createChangeCollector(){return new l}}e.AbstractIncrementalTestCollection=i}),define(Ee[63],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestId=e.TestPosition=e.TestIdPathParts=void 0;var o;(function(B){B.Delimiter="\0"})(o=e.TestIdPathParts||(e.TestIdPathParts={}));var I;(function(B){B[B.IsSame=0]="IsSame",B[B.Disconnected=1]="Disconnected",B[B.IsChild=2]="IsChild",B[B.IsParent=3]="IsParent"})(I=e.TestPosition||(e.TestPosition={}));class _{constructor(y,P=y.length){if(this.path=y,this.viewEnd=P,y.length===0||P<1)throw new Error("cannot create test with empty path")}static fromExtHostTestItem(y,P,C=y.parent){if(y.id===P)return new _([P]);let L=[y.id];for(let M=C;M&&M.id!==P;M=M.parent)L.push(M.id);return L.push(P),new _(L.reverse())}static isRoot(y){return!y.includes("\0")}static root(y){const P=y.indexOf("\0");return P===-1?y:y.slice(0,P)}static fromString(y){return new _(y.split("\0"))}static join(y,P){return new _([...y.path,P])}static joinToString(y,P){return y.toString()+"\0"+P}static compare(y,P){return y===P?0:P.startsWith(y+"\0")?2:y.startsWith(P+"\0")?3:1}get parentId(){return this.viewEnd>1?new _(this.path,this.viewEnd-1):this}get localId(){return this.path[this.viewEnd-1]}get controllerId(){return this.path[0]}get isRoot(){return this.viewEnd===1}*idsFromRoot(){for(let y=1;y<=this.viewEnd;y++)yield new _(this.path,y)}compare(y){if(typeof y=="string")return _.compare(this.toString(),y);for(let P=0;P<y.viewEnd&&P<this.viewEnd;P++)if(y.path[P]!==this.path[P])return 1;return y.viewEnd>this.viewEnd?2:y.viewEnd<this.viewEnd?3:0}toJSON(){return this.toString()}toString(){if(!this.stringifed){this.stringifed=this.path[0];for(let y=1;y<this.viewEnd;y++)this.stringifed+="\0",this.stringifed+=this.path[y]}return this.stringifed}}e.TestId=_}),define(Ee[166],be([1,0,17,86,11,26,23,73,133]),function(Y,e,o,I,_,B,y,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class L{constructor(E,c,g,s){this._contributedVariables=new Map,this._context=E,this._labelService=c,this._userHomePromise=g,s&&(this._envVariablesPromise=s.then(n=>this.prepareEnv(n)))}prepareEnv(E){if(y.isWindows){const c=Object.create(null);return Object.keys(E).forEach(g=>{c[g.toLowerCase()]=E[g]}),c}return E}resolveWithEnvironment(E,c,g){return this.recursiveResolve(this.prepareEnv(E),c?c.uri:void 0,g)}async resolveAsync(E,c){const g={env:await this._envVariablesPromise,userHome:await this._userHomePromise};return this.recursiveResolve(g,E?E.uri:void 0,c)}async resolveAnyBase(E,c,g,s){const n=B.deepClone(c);y.isWindows&&n.windows?Object.keys(n.windows).forEach(w=>n[w]=n.windows[w]):y.isMacintosh&&n.osx?Object.keys(n.osx).forEach(w=>n[w]=n.osx[w]):y.isLinux&&n.linux&&Object.keys(n.linux).forEach(w=>n[w]=n.linux[w]),delete n.windows,delete n.osx,delete n.linux;const m={env:await this._envVariablesPromise,userHome:await this._userHomePromise};return this.recursiveResolve(m,E?E.uri:void 0,n,g,s)}async resolveAnyAsync(E,c,g){return this.resolveAnyBase(E,c,g)}async resolveAnyMap(E,c,g){const s=new Map;return{newConfig:await this.resolveAnyBase(E,c,g,s),resolvedVariables:s}}resolveWithInteractionReplace(E,c,g,s){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(E,c,g,s){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(E,c){if(this._contributedVariables.has(E))throw new Error("Variable "+E+" is contributed twice.");this._contributedVariables.set(E,c)}recursiveResolve(E,c,g,s,n){if(_.isString(g))return this.resolveString(E,c,g,s,n);if(_.isArray(g))return g.map(m=>this.recursiveResolve(E,c,m,s,n));if(_.isObject(g)){let m=Object.create(null);return Object.keys(g).forEach(w=>{const R=this.resolveString(E,c,w,s,n);m[R]=this.recursiveResolve(E,c,g[w],s,n)}),m}return g}resolveString(E,c,g,s,n){return g.replace(L.VARIABLE_REGEXP,(w,R)=>{if(R.includes(L.VARIABLE_LHS))return w;let h=this.evaluateSingleVariable(E,w,R,c,s);return n&&n.set(R,h),h!==w&&_.isString(h)&&h.match(L.VARIABLE_REGEXP)&&(h=this.resolveString(E,c,h,s,n)),h})}fsPath(E){return this._labelService?this._labelService.getUriLabel(E,{noPrefix:!0}):E.fsPath}evaluateSingleVariable(E,c,g,s,n){let m;const w=g.split(":");w.length>1&&(g=w[0],m=w[1]);const R=()=>{const v=this._context.getFilePath();if(v)return v;throw new Error((0,C.localize)(0,null,c))},h=()=>{const v=R();if(this._context.getWorkspaceFolderPathForFile){const r=this._context.getWorkspaceFolderPathForFile();if(r)return r}throw new Error((0,C.localize)(1,null,c,o.basename(v)))},f=()=>{if(m){const v=this._context.getFolderUri(m);if(v)return v;throw new Error((0,C.localize)(2,null,c,m))}if(s)return s;throw this._context.getWorkspaceFolderCount()>1?new Error((0,C.localize)(3,null,c)):new Error((0,C.localize)(4,null,c))};switch(g){case"env":if(m){if(E.env){const v=E.env[y.isWindows?m.toLowerCase():m];if(_.isString(v))return v}return""}throw new Error((0,C.localize)(5,null,c));case"config":if(m){const v=this._context.getConfigurationValue(s,m);if(_.isUndefinedOrNull(v))throw new Error((0,C.localize)(6,null,c,m));if(_.isObject(v))throw new Error((0,C.localize)(7,null,c,m));return v}throw new Error((0,C.localize)(8,null,c));case"command":return this.resolveFromMap(c,m,n,"command");case"input":return this.resolveFromMap(c,m,n,"input");default:switch(g){case"workspaceRoot":case"workspaceFolder":return(0,P.normalizeDriveLetter)(this.fsPath(f()));case"cwd":return s||m?(0,P.normalizeDriveLetter)(this.fsPath(f())):I.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return o.basename(this.fsPath(f()));case"userHome":{if(E.userHome)return E.userHome;throw new Error((0,C.localize)(9,null,c))}case"lineNumber":{const v=this._context.getLineNumber();if(v)return v;throw new Error((0,C.localize)(10,null,c))}case"selectedText":{const v=this._context.getSelectedText();if(v)return v;throw new Error((0,C.localize)(11,null,c))}case"file":return R();case"fileWorkspaceFolder":return h();case"relativeFile":return s||m?o.relative(this.fsPath(f()),R()):R();case"relativeFileDirname":{const v=o.dirname(R());if(s||m){const r=o.relative(this.fsPath(f()),v);return r.length===0?".":r}return v}case"fileDirname":return o.dirname(R());case"fileExtname":return o.extname(R());case"fileBasename":return o.basename(R());case"fileBasenameNoExtension":{const v=o.basename(R());return v.slice(0,v.length-o.extname(v).length)}case"fileDirnameBasename":return o.basename(o.dirname(R()));case"execPath":{const v=this._context.getExecPath();return v||c}case"execInstallFolder":{const v=this._context.getAppRoot();return v||c}case"pathSeparator":return o.sep;default:try{const v=m?`${g}:${m}`:g;return this.resolveFromMap(c,v,n,void 0)}catch{return c}}}}resolveFromMap(E,c,g,s){if(c&&g){const n=s===void 0?g[c]:g[s+":"+c];if(typeof n=="string")return n;throw new Error((0,C.localize)(12,null,E))}return E}}e.AbstractVariableResolverService=L,L.VARIABLE_LHS="${",L.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(Ee[87],be([1,0,3,156]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.isEditorGroup=e.OpenEditorContext=e.GroupsOrder=e.isEditorReplacement=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=(0,o.createDecorator)("editorGroupsService");var _;(function(s){s[s.UP=0]="UP",s[s.DOWN=1]="DOWN",s[s.LEFT=2]="LEFT",s[s.RIGHT=3]="RIGHT"})(_=e.GroupDirection||(e.GroupDirection={}));var B;(function(s){s[s.HORIZONTAL=0]="HORIZONTAL",s[s.VERTICAL=1]="VERTICAL"})(B=e.GroupOrientation||(e.GroupOrientation={}));var y;(function(s){s[s.FIRST=0]="FIRST",s[s.LAST=1]="LAST",s[s.NEXT=2]="NEXT",s[s.PREVIOUS=3]="PREVIOUS"})(y=e.GroupLocation||(e.GroupLocation={}));var P;(function(s){s[s.MINIMIZE_OTHERS=0]="MINIMIZE_OTHERS",s[s.EVEN=1]="EVEN",s[s.TOGGLE=2]="TOGGLE"})(P=e.GroupsArrangement||(e.GroupsArrangement={}));var C;(function(s){s[s.COPY_EDITORS=0]="COPY_EDITORS",s[s.MOVE_EDITORS=1]="MOVE_EDITORS"})(C=e.MergeGroupMode||(e.MergeGroupMode={}));function L(s){const n=s;return(0,I.isEditorInput)(n?.editor)&&(0,I.isEditorInput)(n?.replacement)}e.isEditorReplacement=L;var M;(function(s){s[s.CREATION_TIME=0]="CREATION_TIME",s[s.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",s[s.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(M=e.GroupsOrder||(e.GroupsOrder={}));var E;(function(s){s[s.NEW_EDITOR=1]="NEW_EDITOR",s[s.MOVE_EDITOR=2]="MOVE_EDITOR",s[s.COPY_EDITOR=3]="COPY_EDITOR"})(E=e.OpenEditorContext||(e.OpenEditorContext={}));function c(s){const n=s;return!!n&&typeof n.id=="number"&&Array.isArray(n.editors)}e.isEditorGroup=c;function g(s){return s.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=g}),define(Ee[167],be([1,0,3,87]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isPreferredGroup=e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=(0,o.createDecorator)("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2;function _(B){const y=B;return typeof B=="number"||(0,I.isEditorGroup)(y)}e.isPreferredGroup=_}),define(Ee[8],be([1,0,16,21,72,101,55,26,11,2,49,88,135,78,48,85,62,63,167,7]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m,w,R,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TypeHierarchyItem=e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestTag=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookStatusBarItem=e.NotebookDecorationRenderOptions=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionState=e.NotebookCellExecutionSummary=e.NotebookRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHintLabelPart=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.DocumentSelector=e.Position=e.TokenType=e.Range=e.Selection=void 0;var f;(function(he){function pe(K){const{selectionStartLineNumber:_e,selectionStartColumn:Ce,positionLineNumber:$e,positionColumn:Ve}=K,lt=new h.Position(_e-1,Ce-1),gt=new h.Position($e-1,Ve-1);return new h.Selection(lt,gt)}he.to=pe;function se(K){const{anchor:_e,active:Ce}=K;return{selectionStartLineNumber:_e.line+1,selectionStartColumn:_e.character+1,positionLineNumber:Ce.line+1,positionColumn:Ce.character+1}}he.from=se})(f=e.Selection||(e.Selection={}));var v;(function(he){function pe(K){if(!K)return;const{start:_e,end:Ce}=K;return{startLineNumber:_e.line+1,startColumn:_e.character+1,endLineNumber:Ce.line+1,endColumn:Ce.character+1}}he.from=pe;function se(K){if(!K)return;const{startLineNumber:_e,startColumn:Ce,endLineNumber:$e,endColumn:Ve}=K;return new h.Range(_e-1,Ce-1,$e-1,Ve-1)}he.to=se})(v=e.Range||(e.Range={}));var r;(function(he){function pe(se){switch(se){case 1:return h.StandardTokenType.Comment;case 0:return h.StandardTokenType.Other;case 3:return h.StandardTokenType.RegEx;case 2:return h.StandardTokenType.String}}he.to=pe})(r=e.TokenType||(e.TokenType={}));var T;(function(he){function pe(K){return new h.Position(K.lineNumber-1,K.column-1)}he.to=pe;function se(K){return{lineNumber:K.line+1,column:K.character+1}}he.from=se})(T=e.Position||(e.Position={}));var l;(function(he){function pe(_e,Ce){return(0,o.coalesce)((0,o.asArray)(_e).map($e=>se($e,Ce)))}he.from=pe;function se(_e,Ce){if(typeof _e=="string")return{$serialized:!0,language:_e};if(_e)return{$serialized:!0,language:_e.language,scheme:K(_e.scheme,Ce),pattern:le.from(_e.pattern)??void 0,exclusive:_e.exclusive,notebookType:_e.notebookType}}function K(_e,Ce){return Ce&&typeof _e=="string"?Ce.transformOutgoingScheme(_e):_e}})(l=e.DocumentSelector||(e.DocumentSelector={}));var i;(function(he){function pe(K){switch(K){case h.DiagnosticTag.Unnecessary:return 1;case h.DiagnosticTag.Deprecated:return 2}}he.from=pe;function se(K){switch(K){case 1:return h.DiagnosticTag.Unnecessary;case 2:return h.DiagnosticTag.Deprecated;default:return}}he.to=se})(i=e.DiagnosticTag||(e.DiagnosticTag={}));var u;(function(he){function pe(K){let _e;return K.code&&((0,C.isString)(K.code)||(0,C.isNumber)(K.code)?_e=String(K.code):_e={value:String(K.code.value),target:K.code.target}),{...v.from(K.range),message:K.message,source:K.source,code:_e,severity:a.from(K.severity),relatedInformation:K.relatedInformation&&K.relatedInformation.map(t.from),tags:Array.isArray(K.tags)?(0,o.coalesce)(K.tags.map(i.from)):void 0}}he.from=pe;function se(K){const _e=new h.Diagnostic(v.to(K),K.message,a.to(K.severity));return _e.source=K.source,_e.code=(0,C.isString)(K.code)?K.code:K.code?.value,_e.relatedInformation=K.relatedInformation&&K.relatedInformation.map(t.to),_e.tags=K.tags&&(0,o.coalesce)(K.tags.map(i.to)),_e}he.to=se})(u=e.Diagnostic||(e.Diagnostic={}));var t;(function(he){function pe(K){return{...v.from(K.location.range),message:K.message,resource:K.location.uri}}he.from=pe;function se(K){return new h.DiagnosticRelatedInformation(new h.Location(K.resource,v.to(K)),K.message)}he.to=se})(t=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var a;(function(he){function pe(K){switch(K){case h.DiagnosticSeverity.Error:return g.MarkerSeverity.Error;case h.DiagnosticSeverity.Warning:return g.MarkerSeverity.Warning;case h.DiagnosticSeverity.Information:return g.MarkerSeverity.Info;case h.DiagnosticSeverity.Hint:return g.MarkerSeverity.Hint}return g.MarkerSeverity.Error}he.from=pe;function se(K){switch(K){case g.MarkerSeverity.Info:return h.DiagnosticSeverity.Information;case g.MarkerSeverity.Warning:return h.DiagnosticSeverity.Warning;case g.MarkerSeverity.Error:return h.DiagnosticSeverity.Error;case g.MarkerSeverity.Hint:return h.DiagnosticSeverity.Hint;default:return h.DiagnosticSeverity.Error}}he.to=se})(a=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var p;(function(he){function pe(K){return typeof K=="number"&&K>=h.ViewColumn.One?K-1:K===h.ViewColumn.Beside?R.SIDE_GROUP:R.ACTIVE_GROUP}he.from=pe;function se(K){if(typeof K=="number"&&K>=0)return K+1;throw new Error("invalid 'EditorGroupColumn'")}he.to=se})(p=e.ViewColumn||(e.ViewColumn={}));function d(he){return typeof he.range!="undefined"}function S(he){return he.length===0?!0:!!d(he[0])}e.isDecorationOptionsArr=S;var k;(function(he){function pe(Ve){return Ve.map(he.from)}he.fromMany=pe;function se(Ve){return Ve&&typeof Ve=="object"&&typeof Ve.language=="string"&&typeof Ve.value=="string"}function K(Ve){let lt;if(se(Ve)){const{language:at,value:ot}=Ve;lt={value:"```"+at+`
`+ot+"\n```\n"}}else h.MarkdownString.isMarkdownString(Ve)?lt={value:Ve.value,isTrusted:Ve.isTrusted,supportThemeIcons:Ve.supportThemeIcons,supportHtml:Ve.supportHtml,baseUri:Ve.baseUri}:typeof Ve=="string"?lt={value:Ve}:lt={value:""};const gt=Object.create(null);lt.uris=gt;const Et=at=>{try{let ot=L.URI.parse(at,!0);ot=ot.with({query:_e(ot.query,gt)}),gt[at]=ot}catch{}return""},rt=new B.marked.Renderer;return rt.link=Et,rt.image=at=>typeof at=="string"?Et(_.parseHrefAndDimensions(at).href):"",(0,B.marked)(lt.value,{renderer:rt}),lt}he.from=K;function _e(Ve,lt){if(!Ve)return Ve;let gt;try{gt=(0,y.parse)(Ve)}catch{}if(!gt)return Ve;let Et=!1;return gt=(0,P.cloneAndChange)(gt,rt=>{if(L.URI.isUri(rt)){const at=`__uri_${Math.random().toString(16).slice(2,8)}`;return lt[at]=rt,Et=!0,at}else return}),Et?JSON.stringify(gt):Ve}function Ce(Ve){const lt=new h.MarkdownString(Ve.value,Ve.supportThemeIcons);return lt.isTrusted=Ve.isTrusted,lt.supportHtml=Ve.supportHtml,lt.baseUri=Ve.baseUri?L.URI.from(Ve.baseUri):void 0,lt}he.to=Ce;function $e(Ve){if(!!Ve)return typeof Ve=="string"?Ve:he.from(Ve)}he.fromStrict=$e})(k=e.MarkdownString||(e.MarkdownString={}));function A(he){return S(he)?he.map(pe=>({range:v.from(pe.range),hoverMessage:Array.isArray(pe.hoverMessage)?k.fromMany(pe.hoverMessage):pe.hoverMessage?k.from(pe.hoverMessage):void 0,renderOptions:pe.renderOptions})):he.map(pe=>({range:v.from(pe)}))}e.fromRangeOrRangeWithMessage=A;function W(he){return typeof he=="undefined"?he:typeof he=="string"?L.URI.file(he):he}e.pathOrURIToURI=W;var b;(function(he){function pe(se){return typeof se=="undefined"?se:{contentText:se.contentText,contentIconPath:se.contentIconPath?W(se.contentIconPath):void 0,border:se.border,borderColor:se.borderColor,fontStyle:se.fontStyle,fontWeight:se.fontWeight,textDecoration:se.textDecoration,color:se.color,backgroundColor:se.backgroundColor,margin:se.margin,width:se.width,height:se.height}}he.from=pe})(b=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var H;(function(he){function pe(se){return typeof se=="undefined"?se:{backgroundColor:se.backgroundColor,outline:se.outline,outlineColor:se.outlineColor,outlineStyle:se.outlineStyle,outlineWidth:se.outlineWidth,border:se.border,borderColor:se.borderColor,borderRadius:se.borderRadius,borderSpacing:se.borderSpacing,borderStyle:se.borderStyle,borderWidth:se.borderWidth,fontStyle:se.fontStyle,fontWeight:se.fontWeight,textDecoration:se.textDecoration,cursor:se.cursor,color:se.color,opacity:se.opacity,letterSpacing:se.letterSpacing,gutterIconPath:se.gutterIconPath?W(se.gutterIconPath):void 0,gutterIconSize:se.gutterIconSize,overviewRulerColor:se.overviewRulerColor,before:se.before?b.from(se.before):void 0,after:se.after?b.from(se.after):void 0}}he.from=pe})(H=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var q;(function(he){function pe(se){if(typeof se=="undefined")return se;switch(se){case h.DecorationRangeBehavior.OpenOpen:return 0;case h.DecorationRangeBehavior.ClosedClosed:return 1;case h.DecorationRangeBehavior.OpenClosed:return 2;case h.DecorationRangeBehavior.ClosedOpen:return 3}}he.from=pe})(q=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var $;(function(he){function pe(se){return{isWholeLine:se.isWholeLine,rangeBehavior:se.rangeBehavior?q.from(se.rangeBehavior):void 0,overviewRulerLane:se.overviewRulerLane,light:se.light?H.from(se.light):void 0,dark:se.dark?H.from(se.dark):void 0,backgroundColor:se.backgroundColor,outline:se.outline,outlineColor:se.outlineColor,outlineStyle:se.outlineStyle,outlineWidth:se.outlineWidth,border:se.border,borderColor:se.borderColor,borderRadius:se.borderRadius,borderSpacing:se.borderSpacing,borderStyle:se.borderStyle,borderWidth:se.borderWidth,fontStyle:se.fontStyle,fontWeight:se.fontWeight,textDecoration:se.textDecoration,cursor:se.cursor,color:se.color,opacity:se.opacity,letterSpacing:se.letterSpacing,gutterIconPath:se.gutterIconPath?W(se.gutterIconPath):void 0,gutterIconSize:se.gutterIconSize,overviewRulerColor:se.overviewRulerColor,before:se.before?b.from(se.before):void 0,after:se.after?b.from(se.after):void 0}}he.from=pe})($=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var j;(function(he){function pe(K){return{text:K.newText,eol:K.newEol&&tt.from(K.newEol),range:v.from(K.range)}}he.from=pe;function se(K){const _e=new h.TextEdit(v.to(K.range),K.text);return _e.newEol=typeof K.eol=="undefined"?void 0:tt.to(K.eol),_e}he.to=se})(j=e.TextEdit||(e.TextEdit={}));var J;(function(he){function pe(K,_e){const Ce={edits:[]};if(K instanceof h.WorkspaceEdit)for(let $e of K._allEntries())$e._type===1?Ce.edits.push({_type:1,oldUri:$e.from,newUri:$e.to,options:$e.options,metadata:$e.metadata}):$e._type===2?Ce.edits.push({_type:2,resource:$e.uri,edit:j.from($e.edit),modelVersionId:_e?.getTextDocumentVersion($e.uri),metadata:$e.metadata}):$e._type===3?Ce.edits.push({_type:3,metadata:$e.metadata,resource:$e.uri,edit:$e.edit,notebookMetadata:$e.notebookMetadata,notebookVersionId:_e?.getNotebookDocumentVersion($e.uri)}):$e._type===5&&Ce.edits.push({_type:3,metadata:$e.metadata,resource:$e.uri,notebookVersionId:_e?.getNotebookDocumentVersion($e.uri),edit:{editType:1,index:$e.index,count:$e.count,cells:$e.cells.map(St.from)}});return Ce}he.from=pe;function se(K){const _e=new h.WorkspaceEdit;for(const Ce of K.edits)Ce.edit?_e.replace(L.URI.revive(Ce.resource),v.to(Ce.edit.range),Ce.edit.text):_e.renameFile(L.URI.revive(Ce.oldUri),L.URI.revive(Ce.newUri),Ce.options);return _e}he.to=se})(J=e.WorkspaceEdit||(e.WorkspaceEdit={}));var z;(function(he){const pe=Object.create(null);pe[h.SymbolKind.File]=0,pe[h.SymbolKind.Module]=1,pe[h.SymbolKind.Namespace]=2,pe[h.SymbolKind.Package]=3,pe[h.SymbolKind.Class]=4,pe[h.SymbolKind.Method]=5,pe[h.SymbolKind.Property]=6,pe[h.SymbolKind.Field]=7,pe[h.SymbolKind.Constructor]=8,pe[h.SymbolKind.Enum]=9,pe[h.SymbolKind.Interface]=10,pe[h.SymbolKind.Function]=11,pe[h.SymbolKind.Variable]=12,pe[h.SymbolKind.Constant]=13,pe[h.SymbolKind.String]=14,pe[h.SymbolKind.Number]=15,pe[h.SymbolKind.Boolean]=16,pe[h.SymbolKind.Array]=17,pe[h.SymbolKind.Object]=18,pe[h.SymbolKind.Key]=19,pe[h.SymbolKind.Null]=20,pe[h.SymbolKind.EnumMember]=21,pe[h.SymbolKind.Struct]=22,pe[h.SymbolKind.Event]=23,pe[h.SymbolKind.Operator]=24,pe[h.SymbolKind.TypeParameter]=25;function se(_e){return typeof pe[_e]=="number"?pe[_e]:6}he.from=se;function K(_e){for(const Ce in pe)if(pe[Ce]===_e)return Number(Ce);return h.SymbolKind.Property}he.to=K})(z=e.SymbolKind||(e.SymbolKind={}));var ie;(function(he){function pe(K){switch(K){case h.SymbolTag.Deprecated:return 1}}he.from=pe;function se(K){switch(K){case 1:return h.SymbolTag.Deprecated}}he.to=se})(ie=e.SymbolTag||(e.SymbolTag={}));var ae;(function(he){function pe(K){return{name:K.name,kind:z.from(K.kind),tags:K.tags&&K.tags.map(ie.from),containerName:K.containerName,location:fe.from(K.location)}}he.from=pe;function se(K){const _e=new h.SymbolInformation(K.name,z.to(K.kind),K.containerName,fe.to(K.location));return _e.tags=K.tags&&K.tags.map(ie.to),_e}he.to=se})(ae=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var te;(function(he){function pe(K){const _e={name:K.name||"!!MISSING: name!!",detail:K.detail,range:v.from(K.range),selectionRange:v.from(K.selectionRange),kind:z.from(K.kind),tags:K.tags?.map(ie.from)??[]};return K.children&&(_e.children=K.children.map(pe)),_e}he.from=pe;function se(K){const _e=new h.DocumentSymbol(K.name,K.detail,z.to(K.kind),v.to(K.range),v.to(K.selectionRange));return(0,o.isNonEmptyArray)(K.tags)&&(_e.tags=K.tags.map(ie.to)),K.children&&(_e.children=K.children.map(se)),_e}he.to=se})(te=e.DocumentSymbol||(e.DocumentSymbol={}));var ce;(function(he){function pe(K){const _e=new h.CallHierarchyItem(z.to(K.kind),K.name,K.detail||"",L.URI.revive(K.uri),v.to(K.range),v.to(K.selectionRange));return _e._sessionId=K._sessionId,_e._itemId=K._itemId,_e}he.to=pe;function se(K,_e,Ce){if(_e=_e??K._sessionId,Ce=Ce??K._itemId,_e===void 0||Ce===void 0)throw new Error("invalid item");return{_sessionId:_e,_itemId:Ce,name:K.name,detail:K.detail,kind:z.from(K.kind),uri:K.uri,range:v.from(K.range),selectionRange:v.from(K.selectionRange),tags:K.tags?.map(ie.from)}}he.from=se})(ce=e.CallHierarchyItem||(e.CallHierarchyItem={}));var de;(function(he){function pe(se){return new h.CallHierarchyIncomingCall(ce.to(se.from),se.fromRanges.map(K=>v.to(K)))}he.to=pe})(de=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var Se;(function(he){function pe(se){return new h.CallHierarchyOutgoingCall(ce.to(se.to),se.fromRanges.map(K=>v.to(K)))}he.to=pe})(Se=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var fe;(function(he){function pe(K){return{range:K.range&&v.from(K.range),uri:K.uri}}he.from=pe;function se(K){return new h.Location(L.URI.revive(K.uri),v.to(K.range))}he.to=se})(fe=e.location||(e.location={}));var ne;(function(he){function pe(K){const _e=K,Ce=K;return{originSelectionRange:_e.originSelectionRange?v.from(_e.originSelectionRange):void 0,uri:_e.targetUri?_e.targetUri:Ce.uri,range:v.from(_e.targetRange?_e.targetRange:Ce.range),targetSelectionRange:_e.targetSelectionRange?v.from(_e.targetSelectionRange):void 0}}he.from=pe;function se(K){return{targetUri:L.URI.revive(K.uri),targetRange:v.to(K.range),targetSelectionRange:K.targetSelectionRange?v.to(K.targetSelectionRange):void 0,originSelectionRange:K.originSelectionRange?v.to(K.originSelectionRange):void 0}}he.to=se})(ne=e.DefinitionLink||(e.DefinitionLink={}));var me;(function(he){function pe(K){return{range:v.from(K.range),contents:k.fromMany(K.contents)}}he.from=pe;function se(K){return new h.Hover(K.contents.map(k.to),v.to(K.range))}he.to=se})(me=e.Hover||(e.Hover={}));var ke;(function(he){function pe(K){return{range:v.from(K.range),expression:K.expression}}he.from=pe;function se(K){return new h.EvaluatableExpression(v.to(K.range),K.expression)}he.to=se})(ke=e.EvaluatableExpression||(e.EvaluatableExpression={}));var Ae;(function(he){function pe(K){if(K instanceof h.InlineValueText)return{type:"text",range:v.from(K.range),text:K.text};if(K instanceof h.InlineValueVariableLookup)return{type:"variable",range:v.from(K.range),variableName:K.variableName,caseSensitiveLookup:K.caseSensitiveLookup};if(K instanceof h.InlineValueEvaluatableExpression)return{type:"expression",range:v.from(K.range),expression:K.expression};throw new Error("Unknown 'InlineValue' type")}he.from=pe;function se(K){switch(K.type){case"text":return{range:v.to(K.range),text:K.text};case"variable":return{range:v.to(K.range),variableName:K.variableName,caseSensitiveLookup:K.caseSensitiveLookup};case"expression":return{range:v.to(K.range),expression:K.expression}}}he.to=se})(Ae=e.InlineValue||(e.InlineValue={}));var Be;(function(he){function pe(K){return{frameId:K.frameId,stoppedLocation:v.from(K.stoppedLocation)}}he.from=pe;function se(K){return new h.InlineValueContext(K.frameId,v.to(K.stoppedLocation))}he.to=se})(Be=e.InlineValueContext||(e.InlineValueContext={}));var Xe;(function(he){function pe(K){return{range:v.from(K.range),kind:K.kind}}he.from=pe;function se(K){return new h.DocumentHighlight(v.to(K.range),K.kind)}he.to=se})(Xe=e.DocumentHighlight||(e.DocumentHighlight={}));var ge;(function(he){function pe(se){switch(se){case 1:return h.CompletionTriggerKind.TriggerCharacter;case 2:return h.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return h.CompletionTriggerKind.Invoke}}he.to=pe})(ge=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var ue;(function(he){function pe(se){return{triggerKind:ge.to(se.triggerKind),triggerCharacter:se.triggerCharacter}}he.to=pe})(ue=e.CompletionContext||(e.CompletionContext={}));var N;(function(he){function pe(K){switch(K){case h.CompletionItemTag.Deprecated:return 1}}he.from=pe;function se(K){switch(K){case 1:return h.CompletionItemTag.Deprecated}}he.to=se})(N=e.CompletionItemTag||(e.CompletionItemTag={}));var F;(function(he){const pe=new Map([[h.CompletionItemKind.Method,0],[h.CompletionItemKind.Function,1],[h.CompletionItemKind.Constructor,2],[h.CompletionItemKind.Field,3],[h.CompletionItemKind.Variable,4],[h.CompletionItemKind.Class,5],[h.CompletionItemKind.Interface,7],[h.CompletionItemKind.Struct,6],[h.CompletionItemKind.Module,8],[h.CompletionItemKind.Property,9],[h.CompletionItemKind.Unit,12],[h.CompletionItemKind.Value,13],[h.CompletionItemKind.Constant,14],[h.CompletionItemKind.Enum,15],[h.CompletionItemKind.EnumMember,16],[h.CompletionItemKind.Keyword,17],[h.CompletionItemKind.Snippet,27],[h.CompletionItemKind.Text,18],[h.CompletionItemKind.Color,19],[h.CompletionItemKind.File,20],[h.CompletionItemKind.Reference,21],[h.CompletionItemKind.Folder,23],[h.CompletionItemKind.Event,10],[h.CompletionItemKind.Operator,11],[h.CompletionItemKind.TypeParameter,24],[h.CompletionItemKind.Issue,26],[h.CompletionItemKind.User,25]]);function se(Ce){return pe.get(Ce)??9}he.from=se;const K=new Map([[0,h.CompletionItemKind.Method],[1,h.CompletionItemKind.Function],[2,h.CompletionItemKind.Constructor],[3,h.CompletionItemKind.Field],[4,h.CompletionItemKind.Variable],[5,h.CompletionItemKind.Class],[7,h.CompletionItemKind.Interface],[6,h.CompletionItemKind.Struct],[8,h.CompletionItemKind.Module],[9,h.CompletionItemKind.Property],[12,h.CompletionItemKind.Unit],[13,h.CompletionItemKind.Value],[14,h.CompletionItemKind.Constant],[15,h.CompletionItemKind.Enum],[16,h.CompletionItemKind.EnumMember],[17,h.CompletionItemKind.Keyword],[27,h.CompletionItemKind.Snippet],[18,h.CompletionItemKind.Text],[19,h.CompletionItemKind.Color],[20,h.CompletionItemKind.File],[21,h.CompletionItemKind.Reference],[23,h.CompletionItemKind.Folder],[10,h.CompletionItemKind.Event],[11,h.CompletionItemKind.Operator],[24,h.CompletionItemKind.TypeParameter],[25,h.CompletionItemKind.User],[26,h.CompletionItemKind.Issue]]);function _e(Ce){return K.get(Ce)??h.CompletionItemKind.Property}he.to=_e})(F=e.CompletionItemKind||(e.CompletionItemKind={}));var D;(function(he){function pe(se,K){const _e=new h.CompletionItem(se.label);return _e.insertText=se.insertText,_e.kind=F.to(se.kind),_e.tags=se.tags?.map(N.to),_e.detail=se.detail,_e.documentation=_.isMarkdownString(se.documentation)?k.to(se.documentation):se.documentation,_e.sortText=se.sortText,_e.filterText=se.filterText,_e.preselect=se.preselect,_e.commitCharacters=se.commitCharacters,M.Range.isIRange(se.range)?_e.range=v.to(se.range):typeof se.range=="object"&&(_e.range={inserting:v.to(se.range.insert),replacing:v.to(se.range.replace)}),_e.keepWhitespace=typeof se.insertTextRules=="undefined"?!1:Boolean(se.insertTextRules&1),typeof se.insertTextRules!="undefined"&&se.insertTextRules&4?_e.insertText=new h.SnippetString(se.insertText):(_e.insertText=se.insertText,_e.textEdit=_e.range instanceof h.Range?new h.TextEdit(_e.range,_e.insertText):void 0),se.additionalTextEdits&&se.additionalTextEdits.length>0&&(_e.additionalTextEdits=se.additionalTextEdits.map(Ce=>j.to(Ce))),_e.command=K&&se.command?K.fromInternal(se.command):void 0,_e}he.to=pe})(D=e.CompletionItem||(e.CompletionItem={}));var O;(function(he){function pe(K){return{label:K.label,documentation:k.fromStrict(K.documentation)}}he.from=pe;function se(K){return{label:K.label,documentation:_.isMarkdownString(K.documentation)?k.to(K.documentation):K.documentation}}he.to=se})(O=e.ParameterInformation||(e.ParameterInformation={}));var x;(function(he){function pe(K){return{label:K.label,documentation:k.fromStrict(K.documentation),parameters:Array.isArray(K.parameters)?K.parameters.map(O.from):[],activeParameter:K.activeParameter}}he.from=pe;function se(K){return{label:K.label,documentation:_.isMarkdownString(K.documentation)?k.to(K.documentation):K.documentation,parameters:Array.isArray(K.parameters)?K.parameters.map(O.to):[],activeParameter:K.activeParameter}}he.to=se})(x=e.SignatureInformation||(e.SignatureInformation={}));var X;(function(he){function pe(K){return{activeSignature:K.activeSignature,activeParameter:K.activeParameter,signatures:Array.isArray(K.signatures)?K.signatures.map(x.from):[]}}he.from=pe;function se(K){return{activeSignature:K.activeSignature,activeParameter:K.activeParameter,signatures:Array.isArray(K.signatures)?K.signatures.map(x.to):[]}}he.to=se})(X=e.SignatureHelp||(e.SignatureHelp={}));var re;(function(he){function pe(se,K){const _e=new h.InlayHint(T.to(K.position),typeof K.label=="string"?K.label:K.label.map(ve.to.bind(void 0,se)),K.kind&&Ie.to(K.kind));return _e.tooltip=_.isMarkdownString(K.tooltip)?k.to(K.tooltip):K.tooltip,_e.command=K.command&&se.fromInternal(K.command),_e.paddingLeft=K.paddingLeft,_e.paddingRight=K.paddingRight,_e}he.to=pe})(re=e.InlayHint||(e.InlayHint={}));var ve;(function(he){function pe(se,K){const _e=new h.InlayHintLabelPart(K.label);return _e.tooltip=_.isMarkdownString(K.tooltip)?k.to(K.tooltip):K.tooltip,E.Command.is(K.command)&&(_e.command=se.fromInternal(K.command)),K.location&&(_e.location=fe.to(K.location)),_e}he.to=pe})(ve=e.InlayHintLabelPart||(e.InlayHintLabelPart={}));var Ie;(function(he){function pe(K){return K}he.from=pe;function se(K){return K}he.to=se})(Ie=e.InlayHintKind||(e.InlayHintKind={}));var Me;(function(he){function pe(K){return{range:v.from(K.range),url:K.target,tooltip:K.tooltip}}he.from=pe;function se(K){let _e;if(K.url)try{_e=typeof K.url=="string"?L.URI.parse(K.url,!0):L.URI.revive(K.url)}catch{}return new h.DocumentLink(v.to(K.range),_e)}he.to=se})(Me=e.DocumentLink||(e.DocumentLink={}));var Le;(function(he){function pe(K){const _e=new h.ColorPresentation(K.label);return K.textEdit&&(_e.textEdit=j.to(K.textEdit)),K.additionalTextEdits&&(_e.additionalTextEdits=K.additionalTextEdits.map(Ce=>j.to(Ce))),_e}he.to=pe;function se(K){return{label:K.label,textEdit:K.textEdit?j.from(K.textEdit):void 0,additionalTextEdits:K.additionalTextEdits?K.additionalTextEdits.map(_e=>j.from(_e)):void 0}}he.from=se})(Le=e.ColorPresentation||(e.ColorPresentation={}));var ze;(function(he){function pe(K){return new h.Color(K[0],K[1],K[2],K[3])}he.to=pe;function se(K){return[K.red,K.green,K.blue,K.alpha]}he.from=se})(ze=e.Color||(e.Color={}));var xe;(function(he){function pe(K){return{range:v.from(K.range)}}he.from=pe;function se(K){return new h.SelectionRange(v.to(K.range))}he.to=se})(xe=e.SelectionRange||(e.SelectionRange={}));var Re;(function(he){function pe(se){switch(se){case 2:return h.TextDocumentSaveReason.AfterDelay;case 1:return h.TextDocumentSaveReason.Manual;case 3:case 4:return h.TextDocumentSaveReason.FocusOut}}he.to=pe})(Re=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var Qe;(function(he){function pe(K){switch(K){case h.TextEditorLineNumbersStyle.Off:return 0;case h.TextEditorLineNumbersStyle.Relative:return 2;case h.TextEditorLineNumbersStyle.On:default:return 1}}he.from=pe;function se(K){switch(K){case 0:return h.TextEditorLineNumbersStyle.Off;case 2:return h.TextEditorLineNumbersStyle.Relative;case 1:default:return h.TextEditorLineNumbersStyle.On}}he.to=se})(Qe=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var tt;(function(he){function pe(K){if(K===h.EndOfLine.CRLF)return 1;if(K===h.EndOfLine.LF)return 0}he.from=pe;function se(K){if(K===1)return h.EndOfLine.CRLF;if(K===0)return h.EndOfLine.LF}he.to=se})(tt=e.EndOfLine||(e.EndOfLine={}));var Te;(function(he){function pe(se){if(typeof se=="object")return se.viewId;switch(se){case h.ProgressLocation.SourceControl:return 3;case h.ProgressLocation.Window:return 10;case h.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}he.from=pe})(Te=e.ProgressLocation||(e.ProgressLocation={}));var it;(function(he){function pe(se){const K={start:se.start+1,end:se.end+1};return se.kind&&(K.kind=G.from(se.kind)),K}he.from=pe})(it=e.FoldingRange||(e.FoldingRange={}));var G;(function(he){function pe(se){if(se)switch(se){case h.FoldingRangeKind.Comment:return E.FoldingRangeKind.Comment;case h.FoldingRangeKind.Imports:return E.FoldingRangeKind.Imports;case h.FoldingRangeKind.Region:return E.FoldingRangeKind.Region}}he.from=pe})(G=e.FoldingRangeKind||(e.FoldingRangeKind={}));var Q;(function(he){function pe(se){if(se)return{pinned:typeof se.preview=="boolean"?!se.preview:void 0,inactive:se.background,preserveFocus:se.preserveFocus,selection:typeof se.selection=="object"?v.from(se.selection):void 0,override:typeof se.override=="boolean"?c.EditorResolution.DISABLED:void 0}}he.from=pe})(Q=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var le;(function(he){function pe(Ce){return Ce instanceof h.RelativePattern?Ce.toJSON():typeof Ce=="string"?Ce:se(Ce)||K(Ce)?new h.RelativePattern(Ce.baseUri??Ce.base,Ce.pattern).toJSON():Ce}he.from=pe;function se(Ce){const $e=Ce;return $e?L.URI.isUri($e.baseUri)&&typeof $e.pattern=="string":!1}function K(Ce){const $e=Ce;return $e?typeof $e.base=="string"&&typeof $e.pattern=="string":!1}function _e(Ce){return typeof Ce=="string"?Ce:new h.RelativePattern(L.URI.revive(Ce.baseUri),Ce.pattern)}he.to=_e})(le=e.GlobPattern||(e.GlobPattern={}));var Oe;(function(he){function pe(se){if(se){if(Array.isArray(se))return se.map(pe);if(typeof se=="string")return se;{const K=se;return{language:K.language,scheme:K.scheme,pattern:le.from(K.pattern),exclusive:K.exclusive}}}else return}he.from=pe})(Oe=e.LanguageSelector||(e.LanguageSelector={}));var He;(function(he){function pe(K){return{start:K.start,end:K.end}}he.from=pe;function se(K){return new h.NotebookRange(K.start,K.end)}he.to=se})(He=e.NotebookRange||(e.NotebookRange={}));var Ge;(function(he){function pe(K){return{timing:typeof K.runStartTime=="number"&&typeof K.runEndTime=="number"?{startTime:K.runStartTime,endTime:K.runEndTime}:void 0,executionOrder:K.executionOrder,success:K.lastRunSuccess}}he.to=pe;function se(K){return{lastRunSuccess:K.success,runStartTime:K.timing?.startTime,runEndTime:K.timing?.endTime,executionOrder:K.executionOrder}}he.from=se})(Ge=e.NotebookCellExecutionSummary||(e.NotebookCellExecutionSummary={}));var Je;(function(he){function pe(se){if(se===n.NotebookCellExecutionState.Executing)return h.NotebookCellExecutionState.Executing;if(se===n.NotebookCellExecutionState.Pending)return h.NotebookCellExecutionState.Pending;if(se===n.NotebookCellExecutionState.Unconfirmed)return h.NotebookCellExecutionState.Pending;throw new Error(`Unknown state: ${se}`)}he.to=pe})(Je=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var ft;(function(he){function pe(K){switch(K){case h.NotebookCellKind.Markup:return n.CellKind.Markup;case h.NotebookCellKind.Code:default:return n.CellKind.Code}}he.from=pe;function se(K){switch(K){case n.CellKind.Markup:return h.NotebookCellKind.Markup;case n.CellKind.Code:default:return h.NotebookCellKind.Code}}he.to=se})(ft=e.NotebookCellKind||(e.NotebookCellKind={}));var It;(function(he){function pe(K){const _e={metadata:K.metadata??Object.create(null),cells:[]};for(let Ce of K.cells)h.NotebookCellData.validate(Ce),_e.cells.push(St.from(Ce));return _e}he.from=pe;function se(K){const _e=new h.NotebookData(K.cells.map(St.to));return(0,C.isEmptyObject)(K.metadata)||(_e.metadata=K.metadata),_e}he.to=se})(It=e.NotebookData||(e.NotebookData={}));var St;(function(he){function pe(K){return{cellKind:ft.from(K.kind),language:K.languageId,mime:K.mime,source:K.value,metadata:K.metadata,internalMetadata:Ge.from(K.executionSummary??{}),outputs:K.outputs?K.outputs.map(qe.from):[]}}he.from=pe;function se(K){return new h.NotebookCellData(ft.to(K.cellKind),K.source,K.language,K.mime,K.outputs?K.outputs.map(qe.to):void 0,K.metadata,K.internalMetadata?Ge.to(K.internalMetadata):void 0)}he.to=se})(St=e.NotebookCellData||(e.NotebookCellData={}));var kt;(function(he){function pe(K){return{mime:K.mime,valueBytes:I.VSBuffer.wrap(K.data)}}he.from=pe;function se(K){return new h.NotebookCellOutputItem(K.valueBytes.buffer,K.mime)}he.to=se})(kt=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var qe;(function(he){function pe(K){return{outputId:K.id,items:K.items.map(kt.from),metadata:K.metadata}}he.from=pe;function se(K){const _e=K.items.map(kt.to);return new h.NotebookCellOutput(_e,K.outputId,K.metadata)}he.to=se})(qe=e.NotebookCellOutput||(e.NotebookCellOutput={}));var vt;(function(he){function pe(_e){return K(_e)?{include:(0,C.withNullAsUndefined)(le.from(_e.include)),exclude:(0,C.withNullAsUndefined)(le.from(_e.exclude))}:(0,C.withNullAsUndefined)(le.from(_e))}he.from=pe;function se(_e){return K(_e)?{include:le.to(_e.include),exclude:le.to(_e.exclude)}:le.to(_e)}he.to=se;function K(_e){const Ce=_e;return Ce?!!Ce.include&&!!Ce.exclude:!1}})(vt=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var Nt;(function(he){function pe(se){return{backgroundColor:se.backgroundColor,borderColor:se.borderColor,top:se.top?b.from(se.top):void 0}}he.from=pe})(Nt=e.NotebookDecorationRenderOptions||(e.NotebookDecorationRenderOptions={}));var nt;(function(he){function pe(se,K,_e){const Ce=typeof se.command=="string"?{title:"",command:se.command}:se.command;return{alignment:se.alignment===h.NotebookCellStatusBarAlignment.Left?1:2,command:K.toInternal(Ce,_e),text:se.text,tooltip:se.tooltip,accessibilityInformation:se.accessibilityInformation,priority:se.priority}}he.from=pe})(nt=e.NotebookStatusBarItem||(e.NotebookStatusBarItem={}));var ut;(function(he){function pe(se){return{transientOutputs:se?.transientOutputs??!1,transientCellMetadata:se?.transientCellMetadata??{},transientDocumentMetadata:se?.transientDocumentMetadata??{}}}he.from=pe})(ut=e.NotebookDocumentContentOptions||(e.NotebookDocumentContentOptions={}));var At;(function(he){function pe(K){return{uri:K.uri,provides:K.provides}}he.from=pe;function se(K){return new h.NotebookRendererScript(L.URI.revive(K.uri),K.provides)}he.to=se})(At=e.NotebookRendererScript||(e.NotebookRendererScript={}));var Tt;(function(he){function pe(K){return{message:k.fromStrict(K.message)||"",type:0,expected:K.expectedOutput,actual:K.actualOutput,location:K.location&&{range:v.from(K.location.range),uri:K.location.uri}}}he.from=pe;function se(K){const _e=new h.TestMessage(typeof K.message=="string"?K.message:k.to(K.message));return _e.actualOutput=K.actual,_e.expectedOutput=K.expected,_e.location=K.location?fe.to(K.location):void 0,_e}he.to=se})(Tt=e.TestMessage||(e.TestMessage={}));var wt;(function(he){he.namespace=m.namespaceTestTag,he.denamespace=m.denamespaceTestTag})(wt=e.TestTag||(e.TestTag={}));var dt;(function(he){function pe(Ce){const $e=(0,s.getPrivateApiFor)(Ce).controllerId;return{extId:w.TestId.fromExtHostTestItem(Ce,$e).toString(),label:Ce.label,uri:L.URI.revive(Ce.uri),busy:!1,tags:Ce.tags.map(Ve=>wt.namespace($e,Ve.id)),range:M.Range.lift(v.from(Ce.range)),description:Ce.description||null,sortText:Ce.sortText||null,error:Ce.error&&k.fromStrict(Ce.error)||null}}he.from=pe;function se(Ce){return{parent:void 0,error:void 0,id:w.TestId.fromString(Ce.extId).localId,label:Ce.label,uri:L.URI.revive(Ce.uri),tags:(Ce.tags||[]).map($e=>{const{tagId:Ve}=wt.denamespace($e);return new h.TestTag(Ve)}),range:v.to(Ce.range||void 0),invalidateResults:()=>{},canResolveChildren:!1,busy:!1,description:Ce.description||void 0,sortText:Ce.sortText||void 0}}he.toPlain=se;function K(Ce){const $e=w.TestId.fromString(Ce.extId),Ve=new s.TestItemImpl($e.controllerId,$e.localId,Ce.label,L.URI.revive(Ce.uri)||void 0);return Ve.range=v.to(Ce.range||void 0),Ve.description=Ce.description||void 0,Ve.sortText=Ce.sortText||void 0,Ve}function _e(Ce){let $e;for(const Ve of Ce.tests){const lt=K(Ve.item);(0,s.getPrivateApiFor)(lt).parent=$e,$e=lt}return $e}he.toItemFromContext=_e})(dt=e.TestItem||(e.TestItem={})),function(he){function pe(K){return{id:K.id}}he.from=pe;function se(K){return new h.TestTag(K.id)}he.to=se}(wt=e.TestTag||(e.TestTag={}));var Rt;(function(he){const pe=(K,_e)=>{const Ce={...dt.toPlain(K.item),parent:void 0,taskStates:K.tasks.map($e=>({state:$e.state,duration:$e.duration,messages:$e.messages.filter(Ve=>Ve.type===0).map(Tt.to)})),children:K.children.map($e=>_e.get($e)).filter(C.isDefined).map($e=>pe($e,_e))};for(const $e of Ce.children)$e.parent=Ce;return Ce};function se(K){const _e=[],Ce=new Map;for(const $e of K.items)Ce.set($e.item.extId,$e),K.request.targets.some(Ve=>Ve.controllerId===$e.controllerId&&Ve.testIds.includes($e.item.extId))&&_e.push($e);return{completedAt:K.completedAt,results:_e.map($e=>pe($e,Ce))}}he.to=se})(Rt=e.TestResults||(e.TestResults={}));var Lt;(function(he){function pe(Ce){return{covered:Ce.covered,total:Ce.covered}}function se(Ce){return"line"in Ce?T.from(Ce):v.from(Ce)}function K(Ce){return"branches"in Ce?{count:Ce.executionCount,location:se(Ce.location),type:1,branches:Ce.branches.length?Ce.branches.map($e=>({count:$e.executionCount,location:$e.location&&se($e.location)})):void 0}:{type:0,count:Ce.executionCount,location:se(Ce.location)}}he.fromDetailed=K;function _e(Ce){return{uri:Ce.uri,statement:pe(Ce.statementCoverage),branch:Ce.branchCoverage&&pe(Ce.branchCoverage),function:Ce.functionCoverage&&pe(Ce.functionCoverage),details:Ce.detailedCoverage?.map(K)}}he.fromFile=_e})(Lt=e.TestCoverage||(e.TestCoverage={}));var Ft;(function(he){function pe(se){switch(se){case 1:return h.CodeActionTriggerKind.Invoke;case 2:return h.CodeActionTriggerKind.Automatic}}he.to=pe})(Ft=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));var Ue;(function(he){function pe(K){const _e=new h.TypeHierarchyItem(z.to(K.kind),K.name,K.detail||"",L.URI.revive(K.uri),v.to(K.range),v.to(K.selectionRange));return _e._sessionId=K._sessionId,_e._itemId=K._itemId,_e}he.to=pe;function se(K,_e,Ce){if(_e=_e??K._sessionId,Ce=Ce??K._itemId,_e===void 0||Ce===void 0)throw new Error("invalid item");return{_sessionId:_e,_itemId:Ce,kind:z.from(K.kind),name:K.name,detail:K.detail??"",uri:K.uri,range:v.from(K.range),selectionRange:v.from(K.selectionRange),tags:K.tags?.map(ie.from)}}he.from=se})(Ue=e.TypeHierarchyItem||(e.TypeHierarchyItem={}))}),define(Ee[168],be([1,0,2,15,7,8,228]),function(Y,e,o,I,_,B,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class P{constructor(L,M,E,c={timeout:1500,errors:3}){this._logService=L,this._documents=M,this._mainThreadBulkEdits=E,this._thresholds=c,this._callbacks=new y.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(L){return(M,E,c)=>{const s={dispose:this._callbacks.push([M,E,L])};return Array.isArray(c)&&c.push(s),s}}async $participateInSave(L,M){const E=o.URI.revive(L);let c=!1;const g=setTimeout(()=>c=!0,this._thresholds.timeout),s=[];try{for(let n of[...this._callbacks]){if(c)break;const m=this._documents.getDocument(E),w=await this._deliverEventAsyncAndBlameBadListeners(n,{document:m,reason:B.TextDocumentSaveReason.to(M)});s.push(w)}}finally{clearTimeout(g)}return s}_deliverEventAsyncAndBlameBadListeners([L,M,E],c){const g=this._badListeners.get(L);return typeof g=="number"&&g>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(E,L,M,c).then(()=>!0,s=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${E.identifier.value}' threw ERROR`),this._logService.error(s),!(s instanceof Error)||s.message!=="concurrent_edits"){const n=this._badListeners.get(L);this._badListeners.set(L,n?n+1:1),typeof n=="number"&&n>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${E.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(L,M,E,c){const g=[],s=Date.now(),{document:n,reason:m}=c,{version:w}=n,R=Object.freeze({document:n,reason:m,waitUntil(h){if(Object.isFrozen(g))throw(0,I.illegalState)("waitUntil can not be called async");g.push(Promise.resolve(h))}});try{M.apply(E,[R])}catch(h){return Promise.reject(h)}return Object.freeze(g),new Promise((h,f)=>{const v=setTimeout(()=>f(new Error("timeout")),this._thresholds.timeout);return Promise.all(g).then(r=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${L.identifier.value}' finished after ${Date.now()-s}ms`),clearTimeout(v),h(r)}).catch(r=>{clearTimeout(v),f(r)})}).then(h=>{const f={edits:[]};for(const v of h)if(Array.isArray(v)&&v.every(r=>r instanceof _.TextEdit))for(const{newText:r,newEol:T,range:l}of v)f.edits.push({_type:2,resource:n.uri,edit:{range:l&&B.Range.from(l),text:r,eol:T&&B.EndOfLine.from(T)}});if(f.edits.length!==0)return w===n.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(f):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=P}),define(Ee[169],be([1,0,9,26,2,8,85]),function(Y,e,o,I,_,B,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class P{constructor(E,c,g,s){this.start=E,this.deletedCount=c,this.deletedItems=g,this.items=s}static asApiEvents(E){return E.map(c=>({start:c.start,deletedCount:c.deletedCount,deletedItems:c.deletedItems,items:c.items.map(g=>g.apiCell)}))}}class C{constructor(E,c,g){this.notebook=E,this._extHostDocument=c,this._cellData=g,this.handle=g.handle,this.uri=_.URI.revive(g.uri),this.cellKind=g.cellKind,this._outputs=g.outputs.map(B.NotebookCellOutput.to),this._internalMetadata=g.internalMetadata??{},this._metadata=Object.freeze(g.metadata??{}),this._previousResult=Object.freeze(B.NotebookCellExecutionSummary.to(g.internalMetadata??{}))}static asModelAddData(E,c){return{EOL:c.eol,lines:c.source,languageId:c.language,uri:c.uri,isDirty:!1,versionId:1,notebook:E}}get internalMetadata(){return this._internalMetadata}get apiCell(){if(!this._apiCell){const E=this,c=this._extHostDocument.getDocument(this.uri);if(!c)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);this._apiCell=Object.freeze({get index(){return E.notebook.getCellIndex(E)},notebook:E.notebook.apiNotebook,kind:B.NotebookCellKind.to(this._cellData.cellKind),document:c.document,get mime(){return E._mime},set mime(g){E._mime=g},get outputs(){return E._outputs.slice(0)},get metadata(){return E._metadata},get executionSummary(){return E._previousResult}})}return this._apiCell}setOutputs(E){this._outputs=E.map(B.NotebookCellOutput.to)}setOutputItems(E,c,g){const s=g.map(B.NotebookCellOutputItem.to),n=this._outputs.find(m=>m.id===E);n&&(c||(n.items.length=0),n.items.push(...s))}setMetadata(E){this._metadata=Object.freeze(E)}setInternalMetadata(E){this._internalMetadata=E,this._previousResult=Object.freeze(B.NotebookCellExecutionSummary.to(E))}setMime(E){}}e.ExtHostCell=C;class L{constructor(E,c,g,s,n,m){this._proxy=E,this._textDocumentsAndEditors=c,this._textDocuments=g,this._emitter=s,this.uri=n,this.handle=L._handlePool++,this._cells=[],this._versionId=0,this._isDirty=!1,this._disposed=!1,this._notebookType=m.viewType,this._metadata=Object.freeze(m.metadata??Object.create(null)),this._spliceNotebookCells([[0,0,m.cells]],!0),this._versionId=m.versionId}dispose(){this._disposed=!0}get apiNotebook(){if(!this._notebook){const E=this;this._notebook={get uri(){return E.uri},get version(){return E._versionId},get notebookType(){return E._notebookType},get isDirty(){return E._isDirty},get isUntitled(){return E.uri.scheme===o.Schemas.untitled},get isClosed(){return E._disposed},get metadata(){return E._metadata},get cellCount(){return E._cells.length},cellAt(c){return c=E._validateIndex(c),E._cells[c].apiCell},getCells(c){return(c?E._getCells(c):E._cells).map(s=>s.apiCell)},save(){return E._save()}}}return this._notebook}updateBackup(E){this._backup?.delete(),this._backup=E}disposeBackup(){this._backup?.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(E){E.metadata&&(this._metadata=Object.freeze({...this._metadata,...E.metadata}))}acceptDirty(E){this._isDirty=E}acceptModelChanged(E,c){this._versionId=E.versionId,this._isDirty=c;for(const g of E.rawEvents)g.kind===y.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(g.changes,!1):g.kind===y.NotebookCellsChangeType.Move?this._moveCell(g.index,g.newIdx):g.kind===y.NotebookCellsChangeType.Output?this._setCellOutputs(g.index,g.outputs):g.kind===y.NotebookCellsChangeType.OutputItem?this._setCellOutputItems(g.index,g.outputId,g.append,g.outputItems):g.kind===y.NotebookCellsChangeType.ChangeLanguage?this._changeCellLanguage(g.index,g.language):g.kind===y.NotebookCellsChangeType.ChangeCellMime?this._changeCellMime(g.index,g.mime):g.kind===y.NotebookCellsChangeType.ChangeCellMetadata?this._changeCellMetadata(g.index,g.metadata):g.kind===y.NotebookCellsChangeType.ChangeCellInternalMetadata&&this._changeCellInternalMetadata(g.index,g.internalMetadata)}_validateIndex(E){return E=E|0,E<0?0:E>=this._cells.length?this._cells.length-1:E}_validateRange(E){let c=E.start|0,g=E.end|0;return c<0&&(c=0),g>this._cells.length&&(g=this._cells.length),E.with({start:c,end:g})}_getCells(E){E=this._validateRange(E);const c=[];for(let g=E.start;g<E.end;g++)c.push(this._cells[g]);return c}async _save(){return this._disposed?Promise.reject(new Error("Notebook has been closed")):this._proxy.$trySaveNotebook(this.uri)}_spliceNotebookCells(E,c){if(this._disposed)return;const g=[],s=[],n=[];E.reverse().forEach(m=>{const R=m[2].map(v=>{const r=new C(this,this._textDocumentsAndEditors,v);return c||s.push(C.asModelAddData(this.apiNotebook,v)),r}),h=new P(m[0],m[1],[],R),f=this._cells.splice(m[0],m[1],...R);for(const v of f)n.push(v.uri),h.deletedItems.push(v.apiCell);g.push(h)}),this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:s,removedDocuments:n}),c||this._emitter.emitModelChange((0,I.deepFreeze)({document:this.apiNotebook,changes:P.asApiEvents(g)}))}_moveCell(E,c){const g=this._cells.splice(E,1);this._cells.splice(c,0,...g);const s=[new P(E,1,g.map(n=>n.apiCell),[]),new P(c,0,[],g)];this._emitter.emitModelChange((0,I.deepFreeze)({document:this.apiNotebook,changes:P.asApiEvents(s)}))}_setCellOutputs(E,c){const g=this._cells[E];g.setOutputs(c),this._emitter.emitCellOutputsChange((0,I.deepFreeze)({document:this.apiNotebook,cells:[g.apiCell]}))}_setCellOutputItems(E,c,g,s){const n=this._cells[E];n.setOutputItems(c,g,s),this._emitter.emitCellOutputsChange((0,I.deepFreeze)({document:this.apiNotebook,cells:[n.apiCell]}))}_changeCellLanguage(E,c){const g=this._cells[E];g.apiCell.document.languageId!==c&&this._textDocuments.$acceptModelLanguageChanged(g.uri,c)}_changeCellMime(E,c){const g=this._cells[E];g.apiCell.mime=c}_changeCellMetadata(E,c){const g=this._cells[E],s=g.apiCell.metadata;g.setMetadata(c);const n=g.apiCell.metadata;(0,I.equals)(s,n)||this._emitter.emitCellMetadataChange((0,I.deepFreeze)({document:this.apiNotebook,cell:g.apiCell}))}_changeCellInternalMetadata(E,c){this._cells[E].setInternalMetadata(c)}getCellFromApiCell(E){return this._cells.find(c=>c.apiCell===E)}getCellFromIndex(E){return this._cells[E]}getCell(E){return this._cells.find(c=>c.handle===E)}getCellIndex(E){return this._cells.indexOf(E)}}e.ExtHostNotebookDocument=L,L._handlePool=0}),define(Ee[89],be([1,0,7,8,15]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class B{constructor(C){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=C}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(C){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:C})}replaceCellMetadata(C,L){this._throwIfFinalized(),this._collectedEdits.push({editType:8,index:C,metadata:L})}replaceCells(C,L,M){this._throwIfFinalized(),!(C===L&&M.length===0)&&this._collectedEdits.push({editType:1,index:C,count:L-C,cells:M.map(I.NotebookCellData.from)})}}class y{constructor(C,L,M,E,c,g){this.id=C,this._proxy=L,this.notebookData=M,this._selections=[],this._visibleRanges=[],this._visible=!1,this._hasDecorationsForKey=new Set,this._selections=c,this._visibleRanges=E,this._viewColumn=g}get apiEditor(){if(!this._editor){const C=this;this._editor={get document(){return C.notebookData.apiNotebook},get selections(){return C._selections},set selections(L){if(!Array.isArray(L)||!L.every(o.NotebookRange.isNotebookRange))throw(0,_.illegalArgument)("selections");C._selections=L,C._trySetSelections(L)},get visibleRanges(){return C._visibleRanges},revealRange(L,M){C._proxy.$tryRevealRange(C.id,I.NotebookRange.from(L),M??o.NotebookEditorRevealType.Default)},get viewColumn(){return C._viewColumn},edit(L){const M=new B(this.document.version);return L(M),C._applyEdit(M.finalize())},setDecorations(L,M){return C.setDecorations(L,M)}},y.apiEditorsToExtHost.set(this._editor,this)}return this._editor}get visible(){return this._visible}_acceptVisibility(C){this._visible=C}_acceptVisibleRanges(C){this._visibleRanges=C}_acceptSelections(C){this._selections=C}_trySetSelections(C){this._proxy.$trySetSelections(this.id,C.map(I.NotebookRange.from))}_acceptViewColumn(C){this._viewColumn=C}_applyEdit(C){if(C.cellEdits.length===0)return Promise.resolve(!0);const L=[];let M=-1;for(let E=0;E<C.cellEdits.length;E++){if(M<0){L.push(C.cellEdits[E]),M++;continue}const g=L[M],s=C.cellEdits[E];if(g.editType===1&&s.editType===1&&g.index===s.index){g.cells.push(...C.cellEdits[E].cells),g.count+=C.cellEdits[E].count;continue}L.push(C.cellEdits[E]),M++}return this._proxy.$tryApplyEdits(this.id,C.documentVersionId,L)}setDecorations(C,L){if(!(L.isEmpty&&!this._hasDecorationsForKey.has(C.key)))return L.isEmpty?this._hasDecorationsForKey.delete(C.key):this._hasDecorationsForKey.add(C.key),this._proxy.$trySetDecorations(this.id,I.NotebookRange.from(L),C.key)}}e.ExtHostNotebookEditor=y,y.apiEditorsToExtHost=new WeakMap}),define(Ee[170],be([1,0,8,141,124,20,53,15]),function(Y,e,o,I,_,B,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class C{constructor(c){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=c}async withProgress(c,g,s){const n=this._handles++,{title:m,location:w,cancellable:R}=g,h={label:(0,_.localize)(0,null,c.displayName||c.name),id:c.identifier.value};return this._proxy.$startProgress(n,{location:o.ProgressLocation.from(w),title:m,source:h,cancellable:R},c.isUnderDevelopment?void 0:c.identifier.value).catch(P.onUnexpectedExternalError),this._withProgress(n,s,!!R)}_withProgress(c,g,s){let n;s&&(n=new B.CancellationTokenSource,this._mapHandleToCancellationSource.set(c,n));const m=R=>{this._proxy.$progressEnd(R),this._mapHandleToCancellationSource.delete(R),n&&n.dispose()};let w;try{w=g(new M(this._proxy,c),s&&n?n.token:B.CancellationToken.None)}catch(R){throw m(c),R}return w.then(R=>m(c),R=>m(c)),w}$acceptProgressCanceled(c){const g=this._mapHandleToCancellationSource.get(c);g&&(g.cancel(),this._mapHandleToCancellationSource.delete(c))}}e.ExtHostProgress=C;function L(E,c){return E.message=c.message,typeof c.increment=="number"&&(typeof E.increment=="number"?E.increment+=c.increment:E.increment=c.increment),E}class M extends I.Progress{constructor(c,g){super(s=>this.throttledReport(s));this._proxy=c,this._handle=g}throttledReport(c){this._proxy.$progressReport(this._handle,c)}}Fe([(0,y.throttle)(100,(E,c)=>L(E,c),()=>Object.create(null))],M.prototype,"throttledReport",null)}),define(Ee[90],be([1,0,42,15,54,8,7]),function(Y,e,o,I,_,B,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class P{constructor(c,g,s){const n=P._Keys.nextId();c.$registerTextEditorDecorationType(g.identifier,n,B.DecorationRenderOptions.from(s)),this.value=Object.freeze({key:n,dispose(){c.$removeTextEditorDecorationType(n)}})}}e.TextEditorDecorationType=P,P._Keys=new _.IdGenerator("TextEditorDecorationType");class C{constructor(c,g){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=c,this._documentVersionId=c.version,this._undoStopBefore=g.undoStopBefore,this._undoStopAfter=g.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(c,g){this._throwIfFinalized();let s=null;if(c instanceof y.Position)s=new y.Range(c,c);else if(c instanceof y.Range)s=c;else throw new Error("Unrecognized location");this._pushEdit(s,g,!1)}insert(c,g){this._throwIfFinalized(),this._pushEdit(new y.Range(c,c),g,!0)}delete(c){this._throwIfFinalized();let g=null;if(c instanceof y.Range)g=c;else throw new Error("Unrecognized location");this._pushEdit(g,null,!0)}_pushEdit(c,g,s){const n=this._document.validateRange(c);this._collectedEdits.push({range:n,text:g,forceMoveMarkers:s})}setEndOfLine(c){if(this._throwIfFinalized(),c!==y.EndOfLine.LF&&c!==y.EndOfLine.CRLF)throw(0,I.illegalArgument)("endOfLine");this._setEndOfLine=c}}e.TextEditorEdit=C;class L{constructor(c,g,s,n){this._proxy=c,this._id=g,this._accept(s),this._logService=n;const m=this;this.value={get tabSize(){return m._tabSize},set tabSize(w){m._setTabSize(w)},get insertSpaces(){return m._insertSpaces},set insertSpaces(w){m._setInsertSpaces(w)},get cursorStyle(){return m._cursorStyle},set cursorStyle(w){m._setCursorStyle(w)},get lineNumbers(){return m._lineNumbers},set lineNumbers(w){m._setLineNumbers(w)}}}_accept(c){this._tabSize=c.tabSize,this._insertSpaces=c.insertSpaces,this._cursorStyle=c.cursorStyle,this._lineNumbers=B.TextEditorLineNumbersStyle.to(c.lineNumbers)}_validateTabSize(c){if(c==="auto")return"auto";if(typeof c=="number"){const g=Math.floor(c);return g>0?g:null}if(typeof c=="string"){const g=parseInt(c,10);return isNaN(g)?null:g>0?g:null}return null}_setTabSize(c){const g=this._validateTabSize(c);if(g!==null){if(typeof g=="number"){if(this._tabSize===g)return;this._tabSize=g}this._warnOnError("setTabSize",this._proxy.$trySetOptions(this._id,{tabSize:g}))}}_validateInsertSpaces(c){return c==="auto"?"auto":c==="false"?!1:Boolean(c)}_setInsertSpaces(c){const g=this._validateInsertSpaces(c);if(typeof g=="boolean"){if(this._insertSpaces===g)return;this._insertSpaces=g}this._warnOnError("setInsertSpaces",this._proxy.$trySetOptions(this._id,{insertSpaces:g}))}_setCursorStyle(c){this._cursorStyle!==c&&(this._cursorStyle=c,this._warnOnError("setCursorStyle",this._proxy.$trySetOptions(this._id,{cursorStyle:c})))}_setLineNumbers(c){this._lineNumbers!==c&&(this._lineNumbers=c,this._warnOnError("setLineNumbers",this._proxy.$trySetOptions(this._id,{lineNumbers:B.TextEditorLineNumbersStyle.from(c)})))}assign(c){const g={};let s=!1;if(typeof c.tabSize!="undefined"){const n=this._validateTabSize(c.tabSize);n==="auto"?(s=!0,g.tabSize=n):typeof n=="number"&&this._tabSize!==n&&(this._tabSize=n,s=!0,g.tabSize=n)}if(typeof c.insertSpaces!="undefined"){const n=this._validateInsertSpaces(c.insertSpaces);n==="auto"?(s=!0,g.insertSpaces=n):this._insertSpaces!==n&&(this._insertSpaces=n,s=!0,g.insertSpaces=n)}typeof c.cursorStyle!="undefined"&&this._cursorStyle!==c.cursorStyle&&(this._cursorStyle=c.cursorStyle,s=!0,g.cursorStyle=c.cursorStyle),typeof c.lineNumbers!="undefined"&&this._lineNumbers!==c.lineNumbers&&(this._lineNumbers=c.lineNumbers,s=!0,g.lineNumbers=B.TextEditorLineNumbersStyle.from(c.lineNumbers)),s&&this._warnOnError("setOptions",this._proxy.$trySetOptions(this._id,g))}_warnOnError(c,g){g.catch(s=>{this._logService.warn(`ExtHostTextEditorOptions '${c}' failed:'`),this._logService.warn(s)})}}e.ExtHostTextEditorOptions=L;class M{constructor(c,g,s,n,m,w,R,h){this.id=c,this._proxy=g,this._logService=s,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=m,this._options=new L(this._proxy,this.id,w,s),this._visibleRanges=R,this._viewColumn=h;const f=this;this.value=Object.freeze({get document(){return n.getValue()},set document(v){throw(0,I.readonly)("document")},get selection(){return f._selections&&f._selections[0]},set selection(v){if(!(v instanceof y.Selection))throw(0,I.illegalArgument)("selection");f._selections=[v],f._trySetSelection()},get selections(){return f._selections},set selections(v){if(!Array.isArray(v)||v.some(r=>!(r instanceof y.Selection)))throw(0,I.illegalArgument)("selections");f._selections=v,f._trySetSelection()},get visibleRanges(){return f._visibleRanges},set visibleRanges(v){throw(0,I.readonly)("visibleRanges")},get options(){return f._options.value},set options(v){f._disposed||f._options.assign(v)},get viewColumn(){return f._viewColumn},set viewColumn(v){throw(0,I.readonly)("viewColumn")},edit(v,r={undoStopBefore:!0,undoStopAfter:!0}){if(f._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const T=new C(n.getValue(),r);return v(T),f._applyEdit(T)},insertSnippet(v,r,T={undoStopBefore:!0,undoStopAfter:!0}){if(f._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let l;if(!r||Array.isArray(r)&&r.length===0)l=f._selections.map(i=>B.Range.from(i));else if(r instanceof y.Position){const{lineNumber:i,column:u}=B.Position.from(r);l=[{startLineNumber:i,startColumn:u,endLineNumber:i,endColumn:u}]}else if(r instanceof y.Range)l=[B.Range.from(r)];else{l=[];for(const i of r)if(i instanceof y.Range)l.push(B.Range.from(i));else{const{lineNumber:u,column:t}=B.Position.from(i);l.push({startLineNumber:u,startColumn:t,endLineNumber:u,endColumn:t})}}return g.$tryInsertSnippet(c,v.value,l,T)},setDecorations(v,r){const T=r.length===0;T&&!f._hasDecorationsForKey.has(v.key)||(T?f._hasDecorationsForKey.delete(v.key):f._hasDecorationsForKey.add(v.key),f._runOnProxy(()=>{if(B.isDecorationOptionsArr(r))return g.$trySetDecorations(c,v.key,B.fromRangeOrRangeWithMessage(r));{const l=new Array(4*r.length);for(let i=0,u=r.length;i<u;i++){const t=r[i];l[4*i]=t.start.line+1,l[4*i+1]=t.start.character+1,l[4*i+2]=t.end.line+1,l[4*i+3]=t.end.character+1}return g.$trySetDecorationsFast(c,v.key,l)}}))},revealRange(v,r){f._runOnProxy(()=>g.$tryRevealRange(c,B.Range.from(v),r||y.TextEditorRevealType.Default))},show(v){g.$tryShowEditor(c,B.ViewColumn.from(v))},hide(){g.$tryHideEditor(c)}})}dispose(){(0,o.ok)(!this._disposed),this._disposed=!0}_acceptOptions(c){(0,o.ok)(!this._disposed),this._options._accept(c)}_acceptVisibleRanges(c){(0,o.ok)(!this._disposed),this._visibleRanges=c}_acceptViewColumn(c){(0,o.ok)(!this._disposed),this._viewColumn=c}_acceptSelections(c){(0,o.ok)(!this._disposed),this._selections=c}async _trySetSelection(){const c=this._selections.map(B.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,c)),this.value}_applyEdit(c){const g=c.finalize();if(g.edits.length===0&&!g.setEndOfLine)return Promise.resolve(!0);const s=g.edits.map(m=>m.range);s.sort((m,w)=>m.end.line===w.end.line?m.end.character===w.end.character?m.start.line===w.start.line?m.start.character-w.start.character:m.start.line-w.start.line:m.end.character-w.end.character:m.end.line-w.end.line);for(let m=0,w=s.length-1;m<w;m++){const R=s[m].end;if(s[m+1].start.isBefore(R))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const n=g.edits.map(m=>({range:B.Range.from(m.range),text:m.text,forceMoveMarkers:m.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,g.documentVersionId,n,{setEndOfLine:typeof g.setEndOfLine=="number"?B.EndOfLine.from(g.setEndOfLine):void 0,undoStopBefore:g.undoStopBefore,undoStopAfter:g.undoStopAfter})}_runOnProxy(c){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):c().then(()=>this,g=>(g instanceof Error&&g.name==="DISPOSED"||this._logService.warn(g),null))}}e.ExtHostTextEditor=M}),define(Ee[171],be([1,0,13,5,6,11,48,8,62,63,49]),function(Y,e,o,I,_,B,y,P,C,L,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SingleUseTestCollection=void 0;class E extends _.Disposable{constructor(g){super();this.controllerId=g,this.debounceSendDiff=this._register(new o.RunOnceScheduler(()=>this.flushDiff(),200)),this.diffOpEmitter=this._register(new I.Emitter),this.root=new y.TestItemRootImpl(this.controllerId,this.controllerId),this.tree=new Map,this.tags=new Map,this.diff=[],this.onDidGenerateDiff=this.diffOpEmitter.event,this.root.canResolveChildren=!0,this.upsertItem(this.root,void 0)}set resolveHandler(g){this._resolveHandler=g;for(const s of this.tree.values())this.updateExpandability(s)}collectDiff(){const g=this.diff;return this.diff=[],g}pushDiff(g){const s=this.diff[this.diff.length-1];if(s&&g.op===1){if(s.op===1&&s.item.extId===g.item.extId){(0,C.applyTestItemUpdate)(s.item,g.item);return}if(s.op===0&&s.item.item.extId===g.item.extId){(0,C.applyTestItemUpdate)(s.item,g.item);return}}this.diff.push(g),this.debounceSendDiff.isScheduled()||this.debounceSendDiff.schedule()}expand(g,s){const n=this.tree.get(g);if(!!n){if((n.expandLevels===void 0||s>n.expandLevels)&&(n.expandLevels=s),n.expand===1){const m=this.resolveChildren(n);return m.isOpen()?this.expandChildren(n,s-1):m.wait().then(()=>this.expandChildren(n,s-1))}else if(n.expand===3)return n.resolveBarrier?.isOpen()===!1?n.resolveBarrier.wait().then(()=>this.expandChildren(n,s-1)):this.expandChildren(n,s-1)}}dispose(){for(const g of this.tree.values())(0,y.getPrivateApiFor)(g.actual).listener=void 0;this.tree.clear(),this.diff=[],super.dispose()}onTestItemEvent(g,s){switch(s.op){case 2:this.pushDiff({op:4,itemId:g.fullId.toString()});break;case 1:this.removeItem(L.TestId.joinToString(g.fullId,s.id));break;case 0:this.upsertItem(s.item,g);break;case 4:for(const n of s.ops)this.onTestItemEvent(g,n);break;case 3:{const{key:n,value:m,previous:w}=s,R=g.fullId.toString();switch(n){case"canResolveChildren":this.updateExpandability(g);break;case"tags":this.diffTagRefs(m,w,R);break;case"range":this.pushDiff({op:1,item:{extId:R,item:{range:M.Range.lift(P.Range.from(m))}}});break;case"error":this.pushDiff({op:1,item:{extId:R,item:{error:P.MarkdownString.fromStrict(m)||null}}});break;default:this.pushDiff({op:1,item:{extId:R,item:{[n]:m??null}}});break}break}default:(0,B.assertNever)(s)}}upsertItem(g,s){if(!(g instanceof y.TestItemImpl))throw new Error(`TestItems provided to the VS Code API must extend \`vscode.TestItem\`, but ${g.id} did not`);const n=L.TestId.fromExtHostTestItem(g,this.root.id,s?.actual),m=(0,y.getPrivateApiFor)(g);m.parent&&m.parent!==s?.actual&&m.parent.children.delete(g.id);let w=this.tree.get(n.toString());if(!w){w={fullId:n,actual:g,parent:s?n.parentId:null,expandLevels:s?.expandLevels?s.expandLevels-1:void 0,expand:0},g.tags.forEach(this.incrementTagRefs,this),this.tree.set(w.fullId.toString(),w),this.setItemParent(g,s),this.pushDiff({op:0,item:{parent:w.parent&&w.parent.toString(),controllerId:this.controllerId,expand:w.expand,item:P.TestItem.from(g)}}),this.connectItemAndChildren(g,w,s);return}if(w.actual===g){this.connectItem(g,w,s);return}const R=w.actual.children,h=w.actual,f=(0,y.diffTestItems)(h,g);(0,y.getPrivateApiFor)(h).listener=void 0,w.actual=g,w.expand=0;for(const[v,r]of f)this.onTestItemEvent(w,{op:3,key:v,value:r,previous:h[v]});this.connectItemAndChildren(g,w,s);for(const v of R)g.children.get(v.id)||this.removeItem(L.TestId.joinToString(n,v.id))}diffTagRefs(g,s,n){const m=new Set(s.map(w=>w.id));for(const w of g)m.delete(w.id)||this.incrementTagRefs(w);this.pushDiff({op:1,item:{extId:n,item:{tags:g.map(w=>P.TestTag.namespace(this.controllerId,w.id))}}}),m.forEach(this.decrementTagRefs,this)}incrementTagRefs(g){const s=this.tags.get(g.id);s?s.refCount++:(this.tags.set(g.id,{refCount:1}),this.pushDiff({op:5,tag:{id:P.TestTag.namespace(this.controllerId,g.id),ctrlLabel:this.root.label}}))}decrementTagRefs(g){const s=this.tags.get(g);s&&!--s.refCount&&(this.tags.delete(g),this.pushDiff({op:6,id:(0,C.namespaceTestTag)(this.controllerId,g)}))}setItemParent(g,s){(0,y.getPrivateApiFor)(g).parent=s&&s.actual!==this.root?s.actual:void 0}connectItem(g,s,n){this.setItemParent(g,n);const m=(0,y.getPrivateApiFor)(g);m.parent=n?.actual,m.listener=w=>this.onTestItemEvent(s,w),this.updateExpandability(s)}connectItemAndChildren(g,s,n){this.connectItem(g,s,n);for(const m of g.children)this.upsertItem(m,s)}updateExpandability(g){let s;this._resolveHandler?g.resolveBarrier?s=g.resolveBarrier.isOpen()?3:2:s=g.actual.canResolveChildren?1:0:s=0,s!==g.expand&&(g.expand=s,this.pushDiff({op:1,item:{extId:g.fullId.toString(),expand:s}}),s===1&&g.expandLevels!==void 0&&this.resolveChildren(g))}expandChildren(g,s){if(s<0)return;const n=[];for(const m of g.actual.children){const w=this.expand(L.TestId.joinToString(g.fullId,m.id),s);(0,o.isThenable)(w)&&n.push(w)}if(n.length)return Promise.all(n).then(()=>{})}resolveChildren(g){if(g.resolveBarrier)return g.resolveBarrier;if(!this._resolveHandler){const w=new o.Barrier;return w.open(),w}g.expand=2,this.pushExpandStateUpdate(g);const s=g.resolveBarrier=new o.Barrier,n=w=>{console.error(`Unhandled error in resolveHandler of test controller "${this.controllerId}"`),g.actual!==this.root&&(g.actual.error=w.stack||w.message||String(w))};let m;try{m=this._resolveHandler(g.actual===this.root?void 0:g.actual)}catch(w){n(w)}return(0,o.isThenable)(m)?m.catch(n).then(()=>{s.open(),this.updateExpandability(g)}):(s.open(),this.updateExpandability(g)),g.resolveBarrier}pushExpandStateUpdate(g){this.pushDiff({op:1,item:{extId:g.fullId.toString(),expand:g.expand}})}removeItem(g){const s=this.tree.get(g);if(!s)throw new Error("attempting to remove non-existent child");this.pushDiff({op:2,itemId:g});const n=[s];for(;n.length;){const m=n.pop();if(!!m){(0,y.getPrivateApiFor)(m.actual).listener=void 0;for(const w of m.actual.tags)this.decrementTagRefs(w.id);this.tree.delete(m.fullId.toString());for(const w of m.actual.children)n.push(this.tree.get(L.TestId.joinToString(m.fullId,w.id)))}}}flushDiff(){const g=this.collectDiff();g.length&&this.diffOpEmitter.fire(g)}}e.SingleUseTestCollection=E}),define(Ee[172],be([1,0,3,138]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWorkbenchEnvironmentService=void 0,e.IWorkbenchEnvironmentService=(0,o.refineServiceDecorator)(I.IEnvironmentService)}),define(Ee[173],be([1,0,25,5,17]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class B{constructor(M){this.removedDueToLooping=M}}e.DeltaExtensionsResult=B;class y{constructor(M){this._onDidChange=new I.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=M,this._initialize()}_initialize(){this._extensionDescriptions.sort(C),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const M of this._extensionDescriptions){if(this._extensionsMap.has(o.ExtensionIdentifier.toKey(M.identifier))){console.error("Extension `"+M.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(o.ExtensionIdentifier.toKey(M.identifier),M),this._extensionsArr.push(M),Array.isArray(M.activationEvents))for(let E of M.activationEvents)E==="onUri"&&(E=`onUri:${o.ExtensionIdentifier.toKey(M.identifier)}`),this._activationMap.has(E)||this._activationMap.set(E,[]),this._activationMap.get(E).push(M)}}keepOnly(M){const E=new Set;M.forEach(c=>E.add(o.ExtensionIdentifier.toKey(c))),this._extensionDescriptions=this._extensionDescriptions.filter(c=>E.has(o.ExtensionIdentifier.toKey(c.identifier))),this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(M,E){M.length>0&&(this._extensionDescriptions=this._extensionDescriptions.concat(M));const c=y._findLoopingExtensions(this._extensionDescriptions);if(E=E.concat(c.map(g=>g.identifier)),E.length>0){const g=new Set;E.forEach(s=>g.add(o.ExtensionIdentifier.toKey(s))),this._extensionDescriptions=this._extensionDescriptions.filter(s=>!g.has(o.ExtensionIdentifier.toKey(s.identifier)))}return this._initialize(),this._onDidChange.fire(void 0),new B(c)}static _findLoopingExtensions(M){const E=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(m){this._nodesSet.has(m)||(this._nodesSet.add(m),this._nodesArr.push(m))}addArc(m,w){this.addNode(m),this.addNode(w),this._arcs.has(m)?this._arcs.get(m).push(w):this._arcs.set(m,[w])}getArcs(m){return this._arcs.has(m)?this._arcs.get(m):[]}hasOnlyGoodArcs(m,w){const R=E.getArcs(m);for(let h=0;h<R.length;h++)if(!w.has(R[h]))return!1;return!0}getNodes(){return this._nodesArr}};let c=new Map;for(let m of M){const w=o.ExtensionIdentifier.toKey(m.identifier);if(c.set(w,m),m.extensionDependencies)for(let R of m.extensionDependencies){const h=o.ExtensionIdentifier.toKey(R);E.addArc(w,h)}}let g=new Set;E.getNodes().filter(m=>E.getArcs(m).length===0).forEach(m=>g.add(m));let s=E.getNodes().filter(m=>!g.has(m)),n;do{n=!1;for(let m=0;m<s.length;m++){const w=s[m];E.hasOnlyGoodArcs(w,g)&&(s.splice(m,1),m--,g.add(w),n=!0)}}while(n);return s.map(m=>c.get(m))}containsActivationEvent(M){return this._activationMap.has(M)}containsExtension(M){return this._extensionsMap.has(o.ExtensionIdentifier.toKey(M))}getExtensionDescriptionsForActivationEvent(M){const E=this._activationMap.get(M);return E?E.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(M){const E=this._extensionsMap.get(o.ExtensionIdentifier.toKey(M));return E||void 0}}e.ExtensionDescriptionRegistry=y;var P;(function(L){L[L.Builtin=0]="Builtin",L[L.User=1]="User",L[L.Dev=2]="Dev"})(P||(P={}));function C(L,M){const E=L.isBuiltin?0:L.isUnderDevelopment?2:1,c=M.isBuiltin?0:M.isUnderDevelopment?2:1;if(E!==c)return E-c;const g=_.posix.basename(L.extensionLocation.path),s=_.posix.basename(M.extensionLocation.path);return g<s?-1:g>s?1:0}}),define(Ee[91],be([1,0,21]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=e.UIKind=void 0;var I;(function(C){C[C.Desktop=1]="Desktop",C[C.Web=2]="Web"})(I=e.UIKind||(e.UIKind={}));var _;(function(C){C[C.VersionMismatch=55]="VersionMismatch",C[C.UnexpectedError=81]="UnexpectedError"})(_=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var B;(function(C){C[C.Initialized=0]="Initialized",C[C.Ready=1]="Ready",C[C.Terminate=2]="Terminate"})(B=e.MessageType||(e.MessageType={}));function y(C){const L=o.VSBuffer.alloc(1);switch(C){case 0:L.writeUInt8(1,0);break;case 1:L.writeUInt8(2,0);break;case 2:L.writeUInt8(3,0);break}return L}e.createMessageOfType=y;function P(C,L){if(C.byteLength!==1)return!1;switch(C.readUInt8(0)){case 1:return L===0;case 2:return L===1;case 3:return L===2;default:return!1}}e.isMessageOfType=P}),define(Ee[28],be([1,0,5,2,3,25,144]),function(Y,e,o,I,_,B,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.checkProposedApiEnabled=e.isProposedApiEnabled=e.extensionHostKindToString=e.ExtensionHostKind=e.MissingExtensionDependency=e.extensionRunningLocationToString=e.ExtensionRunningLocation=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new B.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",engines:{vscode:""},extensionLocation:I.URI.parse("void:location"),isBuiltin:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=(0,_.createDecorator)("extensionService");var P;(function(f){f[f.None=0]="None",f[f.LocalProcess=1]="LocalProcess",f[f.LocalWebWorker=2]="LocalWebWorker",f[f.Remote=3]="Remote"})(P=e.ExtensionRunningLocation||(e.ExtensionRunningLocation={}));function C(f){switch(f){case 0:return"None";case 1:return"LocalProcess";case 2:return"LocalWebWorker";case 3:return"Remote"}}e.extensionRunningLocationToString=C;class L{constructor(v){this.dependency=v}}e.MissingExtensionDependency=L;var M;(function(f){f[f.LocalProcess=0]="LocalProcess",f[f.LocalWebWorker=1]="LocalWebWorker",f[f.Remote=2]="Remote"})(M=e.ExtensionHostKind||(e.ExtensionHostKind={}));function E(f){switch(f){case 0:return"LocalProcess";case 1:return"LocalWebWorker";case 2:return"Remote"}}e.extensionHostKindToString=E;function c(f,v){return f.enabledApiProposals?f.enabledApiProposals.includes(v):!1}e.isProposedApiEnabled=c;function g(f,v){if(!c(f,v))throw new Error(`Extension '${f.identifier.value}' CANNOT use API proposal: ${v}.
Its package.json#enabledApiProposals-property declares: ${f.enabledApiProposals?.join(", ")??"[]"} but NOT ${v}.
 The missing proposal MUST be added and you must start in extension development mode or use the following command line switch: --enable-proposed-api ${f.identifier.value}`)}e.checkProposedApiEnabled=g;class s{constructor(v,r,T,l){this.codeLoadingTime=v,this.activateCallTime=r,this.activateResolvedTime=T,this.activationReason=l}}e.ActivationTimes=s;class n{constructor(v,r){this.description=v,this.value=r}}e.ExtensionPointContribution=n,e.ExtensionHostLogFileName="exthost";var m;(function(f){f[f.Normal=0]="Normal",f[f.Immediate=1]="Immediate"})(m=e.ActivationKind||(e.ActivationKind={}));function w(f){return{type:f.isBuiltin?0:1,isBuiltin:f.isBuiltin||f.isUserBuiltin,identifier:{id:(0,y.getGalleryExtensionId)(f.publisher,f.name),uuid:f.uuid},manifest:f,location:f.extensionLocation}}e.toExtension=w;function R(f,v){return{identifier:new B.ExtensionIdentifier((0,y.getExtensionId)(f.manifest.publisher,f.manifest.name)),isBuiltin:f.type===0,isUserBuiltin:f.type===1&&f.isBuiltin,isUnderDevelopment:!!v,extensionLocation:f.location,...f.manifest,uuid:f.identifier.uuid}}e.toExtensionDescription=R;class h{constructor(){this.onDidRegisterExtensions=o.Event.None,this.onDidChangeExtensionsStatus=o.Event.None,this.onDidChangeExtensions=o.Event.None,this.onWillActivateByEvent=o.Event.None,this.onDidChangeResponsiveChange=o.Event.None}activateByEvent(v){return Promise.resolve(void 0)}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(v){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(v){return Promise.resolve(0)}stopExtensionHosts(){}async restartExtensionHost(){}async startExtensionHosts(){}async setRemoteEnvironment(v){}canAddExtension(){return!1}canRemoveExtension(){return!1}_activateById(v,r){return Promise.resolve()}}e.NullExtensionService=h}),define(Ee[174],be([1,0,15,25,28,12]),function(Y,e,o,I,_,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;const y=Promise.resolve(void 0);class P{constructor(n,m,w,R){this.startup=n,this.codeLoadingTime=m,this.activateCallTime=w,this.activateResolvedTime=R}}e.ExtensionActivationTimes=P,P.NONE=new P(!1,-1,-1,-1);class C{constructor(n){this._startup=n,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(n,m){return n===-1||m===-1?-1:m-n}build(){return new P(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=C;class L{constructor(n,m,w,R,h,f){this.activationFailed=n,this.activationFailedError=m,this.activationTimes=w,this.module=R,this.exports=h,this.subscriptions=f}}e.ActivatedExtension=L;class M extends L{constructor(n){super(!1,null,n,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=M;class E extends L{constructor(){super(!1,null,P.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=E;class c extends L{constructor(n){super(!0,n,P.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=c;let g=class{constructor(n,m,w,R,h){this._logService=h,this._isDisposed=!1,this._registry=n,this._resolvedExtensionsSet=new Set,m.forEach(f=>this._resolvedExtensionsSet.add(I.ExtensionIdentifier.toKey(f))),this._hostExtensionsMap=new Map,w.forEach(f=>this._hostExtensionsMap.set(I.ExtensionIdentifier.toKey(f),f)),this._host=R,this._activatingExtensions=new Map,this._activatedExtensions=new Map,this._alreadyActivatedEvents=Object.create(null)}dispose(){this._isDisposed=!0}isActivated(n){const m=I.ExtensionIdentifier.toKey(n);return this._activatedExtensions.has(m)}getActivatedExtension(n){const m=I.ExtensionIdentifier.toKey(n),w=this._activatedExtensions.get(m);if(!w)throw new Error("Extension `"+n.value+"` is not known or not activated");return w}activateByEvent(n,m){if(this._alreadyActivatedEvents[n])return y;const w=this._registry.getExtensionDescriptionsForActivationEvent(n);return this._activateExtensions(w.map(R=>({id:R.identifier,reason:{startup:m,extensionId:R.identifier,activationEvent:n}}))).then(()=>{this._alreadyActivatedEvents[n]=!0})}activateById(n,m){const w=this._registry.getExtensionDescription(n);if(!w)throw new Error("Extension `"+n+"` is not known");return this._activateExtensions([{id:w.identifier,reason:m}])}_handleActivateRequest(n,m,w){if(this._hostExtensionsMap.has(I.ExtensionIdentifier.toKey(n.id))){m[I.ExtensionIdentifier.toKey(n.id)]=n;return}const R=this._registry.getExtensionDescription(n.id);if(!R){const v=new Error(`Cannot activate unknown extension '${n.id.value}'`);this._host.onExtensionActivationError(n.id,v,new _.MissingExtensionDependency(n.id.value)),this._activatedExtensions.set(I.ExtensionIdentifier.toKey(n.id),new c(v));return}const h=typeof R.extensionDependencies=="undefined"?[]:R.extensionDependencies;let f=!0;for(let v=0,r=h.length;v<r;v++){const T=h[v];if(this._resolvedExtensionsSet.has(I.ExtensionIdentifier.toKey(T)))continue;const l=this._activatedExtensions.get(I.ExtensionIdentifier.toKey(T));if(l&&!l.activationFailed)continue;if(l&&l.activationFailed){const a=R.displayName||R.identifier.value,p=this._registry.getExtensionDescription(T),d=p&&p.displayName||T,S=new Error(`Cannot activate the '${a}' extension because its dependency '${d}' failed to activate`);S.detail=l.activationFailedError,this._host.onExtensionActivationError(R.identifier,S,null),this._activatedExtensions.set(I.ExtensionIdentifier.toKey(R.identifier),new c(S));return}if(this._hostExtensionsMap.has(I.ExtensionIdentifier.toKey(T))){f=!1,m[I.ExtensionIdentifier.toKey(T)]={id:this._hostExtensionsMap.get(I.ExtensionIdentifier.toKey(T)),reason:n.reason};continue}const i=this._registry.getExtensionDescription(T);if(i){if(!i.main&&!i.browser)continue;f=!1,m[I.ExtensionIdentifier.toKey(T)]={id:i.identifier,reason:n.reason};continue}const u=R.displayName||R.identifier.value,t=new Error(`Cannot activate the '${u}' extension because it depends on unknown extension '${T}'`);this._host.onExtensionActivationError(R.identifier,t,new _.MissingExtensionDependency(T)),this._activatedExtensions.set(I.ExtensionIdentifier.toKey(R.identifier),new c(t));return}f?m[I.ExtensionIdentifier.toKey(R.identifier)]=n:w.push(n)}_activateExtensions(n){if(n.length===0||(n=n.filter(h=>!this._activatedExtensions.has(I.ExtensionIdentifier.toKey(h.id))),n.length===0))return Promise.resolve(void 0);const m=Object.create(null),w=[];for(let h=0,f=n.length;h<f;h++)this._handleActivateRequest(n[h],m,w);for(let h=0,f=w.length;h<f;h++){const v=I.ExtensionIdentifier.toKey(w[h].id);m[v]&&delete m[v]}const R=Object.keys(m).map(h=>m[h]);return w.length===0?Promise.all(R.map(h=>this._activateExtension(h.id,h.reason))).then(h=>{}):this._activateExtensions(R).then(h=>this._activateExtensions(w))}_activateExtension(n,m){const w=I.ExtensionIdentifier.toKey(n);if(this._activatedExtensions.has(w))return Promise.resolve(void 0);const R=this._activatingExtensions.get(w);if(R)return R;const h=this._host.actualActivateExtension(n,m).then(void 0,f=>{const v=new Error;return f&&f.name&&(v.name=f.name),f&&f.message?v.message=`Activating extension '${n.value}' failed: ${f.message}.`:v.message=`Activating extension '${n.value}' failed: ${f}.`,f&&f.stack&&(v.stack=f.stack),this._isDisposed&&o.isCancellationError(f)?new c(f):(this._host.onExtensionActivationError(n,v,null),this._logService.error(`Activating extension ${n.value} failed due to an error:`),this._logService.error(f),new c(f))}).then(f=>{this._activatedExtensions.set(w,f),this._activatingExtensions.delete(w)});return this._activatingExtensions.set(w,h),h}};g=Fe([Ne(4,B.ILogService)],g),e.ExtensionsActivator=g}),define(Ee[175],be([1,0,12,27,28]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let B=class extends o.LogService{constructor(P,C){super(P.createLogger(C.logFile,{name:_.ExtensionHostLogFileName}))}};B=Fe([Ne(0,o.ILoggerService),Ne(1,I.IExtHostInitDataService)],B),e.ExtHostLogService=B}),define(Ee[176],be([1,0,15]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LazyPromise=void 0;class I{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((B,y)=>{this._actualOk=B,this._actualErr=y,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(B){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=B,this._actual&&this._actualOk(B))}resolveErr(B){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=B,this._actual?this._actualErr(B):(0,o.onUnexpectedError)(B))}then(B,y){return this._ensureActual().then(B,y)}catch(B){return this._ensureActual().then(void 0,B)}finally(B){return this._ensureActual().finally(B)}}e.LazyPromise=I}),define(Ee[38],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SerializableObjectWithBuffers=e.getStringIdentifierForProxy=e.createProxyIdentifier=e.ProxyIdentifier=void 0;class o{constructor(C){this._proxyIdentifierBrand=void 0,this.sid=C,this.nid=++o.count}}e.ProxyIdentifier=o,o.count=0;const I=[];function _(P){const C=new o(P);return I[C.nid]=C,C}e.createProxyIdentifier=_;function B(P){return I[P].sid}e.getStringIdentifierForProxy=B;class y{constructor(C){this.value=C}}e.SerializableObjectWithBuffers=y}),define(Ee[4],be([1,0,55,2,38]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.WorkspaceEditType=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TextEditorRevealType=void 0;var B;(function(w){w[w.Default=0]="Default",w[w.InCenter=1]="InCenter",w[w.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",w[w.AtTop=3]="AtTop"})(B=e.TextEditorRevealType||(e.TextEditorRevealType={}));var y;(function(w){w[w.Editable=0]="Editable",w[w.SupportsHotExit=1]="SupportsHotExit"})(y=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var P;(function(w){w[w.Int8Array=1]="Int8Array",w[w.Uint8Array=2]="Uint8Array",w[w.Uint8ClampedArray=3]="Uint8ClampedArray",w[w.Int16Array=4]="Int16Array",w[w.Uint16Array=5]="Uint16Array",w[w.Int32Array=6]="Int32Array",w[w.Uint32Array=7]="Uint32Array",w[w.Float32Array=8]="Float32Array",w[w.Float64Array=9]="Float64Array",w[w.BigInt64Array=10]="BigInt64Array",w[w.BigUint64Array=11]="BigUint64Array"})(P=e.WebviewMessageArrayBufferViewType||(e.WebviewMessageArrayBufferViewType={}));var C;(function(w){w[w.Text=1]="Text",w[w.Error=2]="Error",w[w.Rich=3]="Rich"})(C=e.CellOutputKind||(e.CellOutputKind={}));var L;(function(w){w[w.Default=0]="Default",w[w.InCenter=1]="InCenter",w[w.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",w[w.AtTop=3]="AtTop"})(L=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var M;(function(w){w[w.None=0]="None",w[w.Process=1]="Process",w[w.Output=2]="Output"})(M=e.CandidatePortSource||(e.CandidatePortSource={}));class E{static mixin(R){return R._id=E._n++,R}}e.IdObject=E,E._n=0;var c;(function(w){w.label="a",w.kind="b",w.detail="c",w.documentation="d",w.sortText="e",w.filterText="f",w.preselect="g",w.insertText="h",w.insertTextRules="i",w.range="j",w.commitCharacters="k",w.additionalTextEdits="l",w.command="m",w.kindModifier="n"})(c=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var g;(function(w){w.defaultRanges="a",w.completions="b",w.isIncomplete="c",w.duration="d"})(g=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));var s;(function(w){w[w.File=1]="File",w[w.Text=2]="Text",w[w.Cell=3]="Cell"})(s=e.WorkspaceEditType||(e.WorkspaceEditType={}));function n(w){if(w&&w.edits)for(const R of w.edits)typeof R.resource=="object"?R.resource=I.URI.revive(R.resource):(R.newUri=I.URI.revive(R.newUri),R.oldUri=I.URI.revive(R.oldUri)),R.metadata&&R.metadata.iconPath&&(R.metadata=(0,o.revive)(R.metadata));return w}e.reviveWorkspaceEditDto=n;var m;(function(w){w[w.Workspace=0]="Workspace",w[w.TextDocument=1]="TextDocument"})(m=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:(0,_.createProxyIdentifier)("MainThreadAuthentication"),MainThreadBulkEdits:(0,_.createProxyIdentifier)("MainThreadBulkEdits"),MainThreadClipboard:(0,_.createProxyIdentifier)("MainThreadClipboard"),MainThreadCommands:(0,_.createProxyIdentifier)("MainThreadCommands"),MainThreadComments:(0,_.createProxyIdentifier)("MainThreadComments"),MainThreadConfiguration:(0,_.createProxyIdentifier)("MainThreadConfiguration"),MainThreadConsole:(0,_.createProxyIdentifier)("MainThreadConsole"),MainThreadDebugService:(0,_.createProxyIdentifier)("MainThreadDebugService"),MainThreadDecorations:(0,_.createProxyIdentifier)("MainThreadDecorations"),MainThreadDiagnostics:(0,_.createProxyIdentifier)("MainThreadDiagnostics"),MainThreadDialogs:(0,_.createProxyIdentifier)("MainThreadDiaglogs"),MainThreadDocuments:(0,_.createProxyIdentifier)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,_.createProxyIdentifier)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,_.createProxyIdentifier)("MainThreadTextEditors"),MainThreadEditorInsets:(0,_.createProxyIdentifier)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,_.createProxyIdentifier)("MainThreadEditorTabs"),MainThreadErrors:(0,_.createProxyIdentifier)("MainThreadErrors"),MainThreadTreeViews:(0,_.createProxyIdentifier)("MainThreadTreeViews"),MainThreadDownloadService:(0,_.createProxyIdentifier)("MainThreadDownloadService"),MainThreadKeytar:(0,_.createProxyIdentifier)("MainThreadKeytar"),MainThreadLanguageFeatures:(0,_.createProxyIdentifier)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,_.createProxyIdentifier)("MainThreadLanguages"),MainThreadLogger:(0,_.createProxyIdentifier)("MainThreadLogger"),MainThreadMessageService:(0,_.createProxyIdentifier)("MainThreadMessageService"),MainThreadOutputService:(0,_.createProxyIdentifier)("MainThreadOutputService"),MainThreadProgress:(0,_.createProxyIdentifier)("MainThreadProgress"),MainThreadQuickOpen:(0,_.createProxyIdentifier)("MainThreadQuickOpen"),MainThreadStatusBar:(0,_.createProxyIdentifier)("MainThreadStatusBar"),MainThreadSecretState:(0,_.createProxyIdentifier)("MainThreadSecretState"),MainThreadStorage:(0,_.createProxyIdentifier)("MainThreadStorage"),MainThreadTelemetry:(0,_.createProxyIdentifier)("MainThreadTelemetry"),MainThreadTerminalService:(0,_.createProxyIdentifier)("MainThreadTerminalService"),MainThreadWebviews:(0,_.createProxyIdentifier)("MainThreadWebviews"),MainThreadWebviewPanels:(0,_.createProxyIdentifier)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,_.createProxyIdentifier)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,_.createProxyIdentifier)("MainThreadCustomEditors"),MainThreadUrls:(0,_.createProxyIdentifier)("MainThreadUrls"),MainThreadUriOpeners:(0,_.createProxyIdentifier)("MainThreadUriOpeners"),MainThreadWorkspace:(0,_.createProxyIdentifier)("MainThreadWorkspace"),MainThreadFileSystem:(0,_.createProxyIdentifier)("MainThreadFileSystem"),MainThreadExtensionService:(0,_.createProxyIdentifier)("MainThreadExtensionService"),MainThreadSCM:(0,_.createProxyIdentifier)("MainThreadSCM"),MainThreadSearch:(0,_.createProxyIdentifier)("MainThreadSearch"),MainThreadTask:(0,_.createProxyIdentifier)("MainThreadTask"),MainThreadWindow:(0,_.createProxyIdentifier)("MainThreadWindow"),MainThreadLabelService:(0,_.createProxyIdentifier)("MainThreadLabelService"),MainThreadNotebook:(0,_.createProxyIdentifier)("MainThreadNotebook"),MainThreadNotebookDocuments:(0,_.createProxyIdentifier)("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:(0,_.createProxyIdentifier)("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:(0,_.createProxyIdentifier)("MainThreadNotebookKernels"),MainThreadNotebookRenderers:(0,_.createProxyIdentifier)("MainThreadNotebookRenderers"),MainThreadInteractive:(0,_.createProxyIdentifier)("MainThreadInteractive"),MainThreadTheming:(0,_.createProxyIdentifier)("MainThreadTheming"),MainThreadTunnelService:(0,_.createProxyIdentifier)("MainThreadTunnelService"),MainThreadTimeline:(0,_.createProxyIdentifier)("MainThreadTimeline"),MainThreadTesting:(0,_.createProxyIdentifier)("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:(0,_.createProxyIdentifier)("ExtHostCommands"),ExtHostConfiguration:(0,_.createProxyIdentifier)("ExtHostConfiguration"),ExtHostDiagnostics:(0,_.createProxyIdentifier)("ExtHostDiagnostics"),ExtHostDebugService:(0,_.createProxyIdentifier)("ExtHostDebugService"),ExtHostDecorations:(0,_.createProxyIdentifier)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,_.createProxyIdentifier)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,_.createProxyIdentifier)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,_.createProxyIdentifier)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,_.createProxyIdentifier)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,_.createProxyIdentifier)("ExtHostEditors"),ExtHostTreeViews:(0,_.createProxyIdentifier)("ExtHostTreeViews"),ExtHostFileSystem:(0,_.createProxyIdentifier)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,_.createProxyIdentifier)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,_.createProxyIdentifier)("ExtHostFileSystemEventService"),ExtHostLanguages:(0,_.createProxyIdentifier)("ExtHostLanguages"),ExtHostLanguageFeatures:(0,_.createProxyIdentifier)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,_.createProxyIdentifier)("ExtHostQuickOpen"),ExtHostExtensionService:(0,_.createProxyIdentifier)("ExtHostExtensionService"),ExtHostLogLevelServiceShape:(0,_.createProxyIdentifier)("ExtHostLogLevelServiceShape"),ExtHostTerminalService:(0,_.createProxyIdentifier)("ExtHostTerminalService"),ExtHostSCM:(0,_.createProxyIdentifier)("ExtHostSCM"),ExtHostSearch:(0,_.createProxyIdentifier)("ExtHostSearch"),ExtHostTask:(0,_.createProxyIdentifier)("ExtHostTask"),ExtHostWorkspace:(0,_.createProxyIdentifier)("ExtHostWorkspace"),ExtHostWindow:(0,_.createProxyIdentifier)("ExtHostWindow"),ExtHostWebviews:(0,_.createProxyIdentifier)("ExtHostWebviews"),ExtHostWebviewPanels:(0,_.createProxyIdentifier)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,_.createProxyIdentifier)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,_.createProxyIdentifier)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,_.createProxyIdentifier)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,_.createProxyIdentifier)("ExtHostEditorTabs"),ExtHostProgress:(0,_.createProxyIdentifier)("ExtHostProgress"),ExtHostComments:(0,_.createProxyIdentifier)("ExtHostComments"),ExtHostSecretState:(0,_.createProxyIdentifier)("ExtHostSecretState"),ExtHostStorage:(0,_.createProxyIdentifier)("ExtHostStorage"),ExtHostUrls:(0,_.createProxyIdentifier)("ExtHostUrls"),ExtHostUriOpeners:(0,_.createProxyIdentifier)("ExtHostUriOpeners"),ExtHostOutputService:(0,_.createProxyIdentifier)("ExtHostOutputService"),ExtHosLabelService:(0,_.createProxyIdentifier)("ExtHostLabelService"),ExtHostNotebook:(0,_.createProxyIdentifier)("ExtHostNotebook"),ExtHostNotebookDocuments:(0,_.createProxyIdentifier)("ExtHostNotebookDocuments"),ExtHostNotebookEditors:(0,_.createProxyIdentifier)("ExtHostNotebookEditors"),ExtHostNotebookKernels:(0,_.createProxyIdentifier)("ExtHostNotebookKernels"),ExtHostNotebookRenderers:(0,_.createProxyIdentifier)("ExtHostNotebookRenderers"),ExtHostInteractive:(0,_.createProxyIdentifier)("ExtHostInteractive"),ExtHostTheming:(0,_.createProxyIdentifier)("ExtHostTheming"),ExtHostTunnelService:(0,_.createProxyIdentifier)("ExtHostTunnelService"),ExtHostAuthentication:(0,_.createProxyIdentifier)("ExtHostAuthentication"),ExtHostTimeline:(0,_.createProxyIdentifier)("ExtHostTimeline"),ExtHostTesting:(0,_.createProxyIdentifier)("ExtHostTesting"),ExtHostTelemetry:(0,_.createProxyIdentifier)("ExtHostTelemetry")}}),define(Ee[64],be([1,0,4,5,3]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class B{constructor(P){this._onDidChangePassword=new I.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=P.getProxy(o.MainContext.MainThreadSecretState)}async $onDidChangePassword(P){this._onDidChangePassword.fire(P)}get(P,C){return this._proxy.$getPassword(P,C)}store(P,C,L){return this._proxy.$setPassword(P,C,L)}delete(P,C){return this._proxy.$deletePassword(P,C)}}e.ExtHostSecretState=B,e.IExtHostSecretState=(0,_.createDecorator)("IExtHostSecretState")}),define(Ee[65],be([1,0,3,12,4,14]),function(Y,e,o,I,_,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=(0,o.createDecorator)("IExtHostApiDeprecationService");let y=class{constructor(C,L){this._extHostLogService=L,this._reportedUsages=new Set,this._telemetryShape=C.getProxy(_.MainContext.MainThreadTelemetry)}report(C,L,M){const E=this.getUsageKey(C,L);this._reportedUsages.has(E)||(this._reportedUsages.add(E),L.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${C}' is deprecated. ${M}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:L.identifier.value,apiId:C}))}getUsageKey(C,L){return`${C}-${L.identifier.value}`}};y=Fe([Ne(0,B.IExtHostRpcService),Ne(1,I.ILogService)],y),e.ExtHostApiDeprecationService=y,e.NullApiDeprecationService=Object.freeze(new class{report(P,C,L){}})}),define(Ee[177],be([1,0,5,4,7,25]),function(Y,e,o,I,_,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class y{constructor(C){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeSessions=new o.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=C.getProxy(I.MainContext.MainThreadAuthentication)}$setProviders(C){return this._providers=C,Promise.resolve()}async getSession(C,L,M,E={}){const c=B.ExtensionIdentifier.toKey(C.identifier),g=this._inFlightRequests.get(c)||[],s=[...M].sort().join(" ");let n=g.find(m=>m.scopes===s);if(n)return n.result;{const m=this._getSession(C,c,L,M,E);n={scopes:s,result:m},g.push(n),this._inFlightRequests.set(c,g);try{await m}finally{const w=g.findIndex(R=>R.scopes===s);w>-1&&(g.splice(w),this._inFlightRequests.set(c,g))}return m}}async _getSession(C,L,M,E,c={}){await this._proxy.$ensureProvider(M);const g=C.displayName||C.name;return this._proxy.$getSession(M,E,L,g,c)}async removeSession(C,L){const M=this._authenticationProviders.get(C);return M?M.provider.removeSession(L):this._proxy.$removeSession(C,L)}registerAuthenticationProvider(C,L,M,E){if(this._authenticationProviders.get(C))throw new Error(`An authentication provider with id '${C}' is already registered.`);this._authenticationProviders.set(C,{label:L,provider:M,options:E??{supportsMultipleAccounts:!1}}),this._providers.find(g=>g.id===C)||this._providers.push({id:C,label:L});const c=M.onDidChangeSessions(g=>{this._proxy.$sendDidChangeSessions(C,{added:g.added??[],changed:g.changed??[],removed:g.removed??[]})});return this._proxy.$registerAuthenticationProvider(C,L,E?.supportsMultipleAccounts??!1),new _.Disposable(()=>{c.dispose(),this._authenticationProviders.delete(C);const g=this._providers.findIndex(s=>s.id===C);g>-1&&this._providers.splice(g),this._proxy.$unregisterAuthenticationProvider(C)})}$createSession(C,L){const M=this._authenticationProviders.get(C);if(M)return Promise.resolve(M.provider.createSession(L));throw new Error(`Unable to find authentication provider with handle: ${C}`)}$removeSession(C,L){const M=this._authenticationProviders.get(C);if(M)return Promise.resolve(M.provider.removeSession(L));throw new Error(`Unable to find authentication provider with handle: ${C}`)}$getSessions(C,L){const M=this._authenticationProviders.get(C);if(M)return Promise.resolve(M.provider.getSessions(L));throw new Error(`Unable to find authentication provider with handle: ${C}`)}$onDidChangeAuthenticationSessions(C,L){return this._onDidChangeSessions.fire({provider:{id:C,label:L}}),Promise.resolve()}}e.ExtHostAuthentication=y}),define(Ee[178],be([1,0,4,14,8]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let B=class{constructor(P,C){this._proxy=P.getProxy(o.MainContext.MainThreadBulkEdits),this._versionInformationProvider={getTextDocumentVersion:L=>C.getDocument(L)?.version,getNotebookDocumentVersion:()=>{}}}applyWorkspaceEdit(P){const C=_.WorkspaceEdit.from(P,this._versionInformationProvider);return this._proxy.$tryApplyWorkspaceEdit(C)}};B=Fe([Ne(0,I.IExtHostRpcService)],B),e.ExtHostBulkEdits=B}),define(Ee[179],be([1,0,4]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class I{constructor(B){const y=B.getProxy(o.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return y.$readText()},writeText(P){return y.$writeText(P)}})}}e.ExtHostClipboard=I});var je=this&&this.__classPrivateFieldSet||function(Y,e,o,I,_){if(I==="m")throw new TypeError("Private method is not writable");if(I==="a"&&!_)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Y!==e||!_:!e.has(Y))throw new TypeError("Cannot write private member to an object whose class did not declare it");return I==="a"?_.call(Y,o):_?_.value=o:e.set(Y,o),o},De=this&&this.__classPrivateFieldGet||function(Y,e,o,I){if(o==="a"&&!I)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Y!==e||!I:!e.has(Y))throw new TypeError("Cannot read private member from an object whose class did not declare it");return o==="m"?I:o==="a"?I.call(Y):I?I.value:e.get(Y)};define(Ee[39],be([1,0,11,7,8,26,4,16,12,55,49,229,2,6,3,14,48,21,38,43]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m,w,R,h){"use strict";var f;Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let v=class{constructor(t,a){f.set(this,void 0),this._commands=new Map,this._apiCommands=new Map,je(this,f,t.getProxy(y.MainContext.MainThreadCommands),"f"),this._logService=a,this.converter=new r(this,p=>{const d=this._apiCommands.get(p);return d?.result===l.Void?d:void 0},a),this._argumentProcessors=[{processArgument(p){return(0,L.revive)(p)}},{processArgument(p){return(0,B.cloneAndChange)(p,function(d){if(M.Range.isIRange(d))return _.Range.to(d);if(E.Position.isIPosition(d))return _.Position.to(d);if(M.Range.isIRange(d.range)&&c.URI.isUri(d.uri))return _.location.to(d);if(d instanceof w.VSBuffer)return d.buffer.buffer;if(!Array.isArray(d))return d})}}]}registerArgumentProcessor(t){this._argumentProcessors.push(t)}registerApiCommand(t){const a=this.registerCommand(!1,t.id,async(...p)=>{const d=t.args.map((k,A)=>{if(!k.validate(p[A]))throw new Error(`Invalid argument '${k.name}' when running '${t.id}', received: ${p[A]}`);return k.convert(p[A])}),S=await this.executeCommand(t.internalId,...d);return t.result.convert(S,p,this.converter)},void 0,{description:t.description,args:t.args,returns:t.result.description});return this._apiCommands.set(t.id,t),new I.Disposable(()=>{a.dispose(),this._apiCommands.delete(t.id)})}registerCommand(t,a,p,d,S,k){if(this._logService.trace("ExtHostCommands#registerCommand",a),!a.trim().length)throw new Error("invalid id");if(this._commands.has(a))throw new Error(`command '${a}' already exists`);return this._commands.set(a,{callback:p,thisArg:d,description:S,extension:k}),t&&De(this,f,"f").$registerCommand(a),new I.Disposable(()=>{this._commands.delete(a)&&t&&De(this,f,"f").$unregisterCommand(a)})}executeCommand(t,...a){return this._logService.trace("ExtHostCommands#executeCommand",t),this._doExecuteCommand(t,a,!0)}async _doExecuteCommand(t,a,p){if(this._commands.has(t))return this._executeContributedCommand(t,a,!1);{let d=!1;const S=(0,B.cloneAndChange)(a,function(k){if(k instanceof I.Position)return _.Position.from(k);if(k instanceof I.Range)return _.Range.from(k);if(k instanceof I.Location)return _.location.from(k);if(I.NotebookRange.isNotebookRange(k))return _.NotebookRange.from(k);if(k instanceof ArrayBuffer)return d=!0,w.VSBuffer.wrap(new Uint8Array(k));if(k instanceof Uint8Array)return d=!0,w.VSBuffer.wrap(k);if(!Array.isArray(k))return k});try{const k=await De(this,f,"f").$executeCommand(t,d?new R.SerializableObjectWithBuffers(S):S,p);return(0,L.revive)(k)}catch(k){if(k instanceof Error&&k.message==="$executeCommand:retry")return this._doExecuteCommand(t,a,!1);throw k}}}async _executeContributedCommand(t,a,p){const d=this._commands.get(t);if(!d)throw new Error("Unknown command");let{callback:S,thisArg:k,description:A}=d;if(A)for(let W=0;W<A.args.length;W++)try{(0,o.validateConstraint)(a[W],A.args[W].constraint)}catch{throw new Error(`Running the contributed command: '${t}' failed. Illegal argument '${A.args[W].name}' - ${A.args[W].description}`)}try{return await S.apply(k,a)}catch(W){if(t===this.converter.delegatingCommandId){const b=this.converter.getActualCommand(...a);b&&(t=b.command)}throw this._logService.error(W,t,d.extension?.identifier),p?new class extends Error{constructor(){super((0,h.toErrorMessage)(W));this.id=t,this.source=d.extension?.displayName??d.extension?.name}}:W}}$executeContributedCommand(t,...a){return this._logService.trace("ExtHostCommands#$executeContributedCommand",t),this._commands.has(t)?(a=a.map(p=>this._argumentProcessors.reduce((d,S)=>S.processArgument(d),p)),this._executeContributedCommand(t,a,!0)):Promise.reject(new Error(`Contributed command '${t}' does not exist.`))}getCommands(t=!1){return this._logService.trace("ExtHostCommands#getCommands",t),De(this,f,"f").$getCommands().then(a=>(t&&(a=a.filter(p=>p[0]!=="_")),a))}$getContributedCommandHandlerDescriptions(){const t=Object.create(null);for(let[a,p]of this._commands){let{description:d}=p;d&&(t[a]=d)}return Promise.resolve(t)}};f=new WeakMap,v=Fe([Ne(0,n.IExtHostRpcService),Ne(1,C.ILogService)],v),e.ExtHostCommands=v,e.IExtHostCommands=(0,s.createDecorator)("IExtHostCommands");class r{constructor(t,a,p){this._commands=t,this._lookupApiCommand=a,this._logService=p,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(t,a){if(!t)return;const p={$ident:void 0,id:t.command,title:t.title,tooltip:t.tooltip};if(!t.command)return p;const d=this._lookupApiCommand(t.command);if(d)p.id=d.internalId,p.arguments=d.args.map((S,k)=>S.convert(t.arguments&&t.arguments[k]));else if((0,P.isNonEmptyArray)(t.arguments)){const S=++this._cachIdPool;this._cache.set(S,t),a.add((0,g.toDisposable)(()=>{this._cache.delete(S),this._logService.trace("CommandsConverter#DISPOSE",S)})),p.$ident=S,p.id=this.delegatingCommandId,p.arguments=[S],this._logService.trace("CommandsConverter#CREATE",t.command,S)}return p}fromInternal(t){return typeof t.$ident=="number"?this._cache.get(t.$ident):{command:t.id,title:t.title,arguments:t.arguments}}getActualCommand(...t){return this._cache.get(t[0])}_executeConvertedCommand(...t){const a=this.getActualCommand(...t);return this._logService.trace("CommandsConverter#EXECUTE",t[0],a?a.command:"MISSING"),a?this._commands.executeCommand(a.command,...a.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=r;class T{constructor(t,a,p,d){this.name=t,this.description=a,this.validate=p,this.convert=d}optional(){return new T(this.name,`(optional) ${this.description}`,t=>t==null||this.validate(t),t=>t===void 0?void 0:t===null?null:this.convert(t))}with(t,a){return new T(t??this.name,a??this.description,this.validate,this.convert)}}e.ApiCommandArgument=T,T.Uri=new T("uri","Uri of a text document",u=>c.URI.isUri(u),u=>u),T.Position=new T("position","A position in a text document",u=>I.Position.isPosition(u),_.Position.from),T.Range=new T("range","A range in a text document",u=>I.Range.isRange(u),_.Range.from),T.Selection=new T("selection","A selection in a text document",u=>I.Selection.isSelection(u),_.Selection.from),T.Number=new T("number","",u=>typeof u=="number",u=>u),T.String=new T("string","",u=>typeof u=="string",u=>u),T.CallHierarchyItem=new T("item","A call hierarchy item",u=>u instanceof I.CallHierarchyItem,_.CallHierarchyItem.from),T.TypeHierarchyItem=new T("item","A type hierarchy item",u=>u instanceof I.TypeHierarchyItem,_.TypeHierarchyItem.from),T.TestItem=new T("testItem","A VS Code TestItem",u=>u instanceof m.TestItemImpl,_.TestItem.from);class l{constructor(t,a){this.description=t,this.convert=a}}e.ApiCommandResult=l,l.Void=new l("no result",u=>u);class i{constructor(t,a,p,d,S){this.id=t,this.internalId=a,this.description=p,this.args=d,this.result=S}}e.ApiCommand=i}),define(Ee[180],be([1,0,2,8,7,88,39,16,75,79,9]),function(Y,e,o,I,_,B,y,P,C,L,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const E=[new y.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",g(I.DocumentHighlight.to))),new y.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",(n,m)=>{if((0,P.isFalsyOrEmpty)(n))return;class w extends _.SymbolInformation{static to(h){const f=new w(h.name,I.SymbolKind.to(h.kind),h.containerName||"",new _.Location(m[0],I.Range.to(h.range)));return f.detail=h.detail,f.range=f.location.range,f.selectionRange=I.Range.to(h.selectionRange),f.children=h.children?h.children.map(w.to):[],f}}return n.map(w.to)})),new y.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("options","Formatting options",n=>!0,n=>n)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",g(I.TextEdit.to))),new y.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range,new y.ApiCommandArgument("options","Formatting options",n=>!0,n=>n)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",g(I.TextEdit.to))),new y.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,new y.ApiCommandArgument("ch","Trigger character",n=>typeof n=="string",n=>n),new y.ApiCommandArgument("options","Formatting options",n=>!0,n=>n)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",g(I.TextEdit.to))),new y.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",s)),new y.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",s)),new y.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",s)),new y.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",s)),new y.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location-instances.",g(I.location.to))),new y.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Hover-instances.",g(I.Hover.to))),new y.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("position","A position in a text document",n=>Array.isArray(n)&&n.every(m=>_.Position.isPosition(m)),n=>n.map(I.Position.from))],new y.ApiCommandResult("A promise that resolves to an array of ranges.",n=>n.map(m=>{let w;for(const R of m.reverse())w=new _.SelectionRange(I.Range.to(R),w);return w}))),new y.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[y.ApiCommandArgument.String.with("query","Search string")],new y.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",n=>n.map(I.WorkspaceSymbol.to))),new y.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A CallHierarchyItem or undefined",n=>n.map(I.CallHierarchyItem.to))),new y.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[y.ApiCommandArgument.CallHierarchyItem],new y.ApiCommandResult("A CallHierarchyItem or undefined",n=>n.map(I.CallHierarchyIncomingCall.to))),new y.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[y.ApiCommandArgument.CallHierarchyItem],new y.ApiCommandResult("A CallHierarchyItem or undefined",n=>n.map(I.CallHierarchyOutgoingCall.to))),new y.ApiCommand("vscode.prepareRename","_executePrepareRename","Execute the prepareRename of rename provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to a range and placeholder text.",n=>{if(!!n)return{range:I.Range.to(n.range),placeholder:n.text}})),new y.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("newName","The new symbol name")],new y.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",n=>{if(!!n){if(n.rejectReason)throw new Error(n.rejectReason);return I.WorkspaceEdit.to(n)}})),new y.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new y.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",n=>n.map(I.DocumentLink.to))),new y.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",n=>{if(!!n)return new _.SemanticTokensLegend(n.tokenTypes,n.tokenModifiers)})),new y.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to SemanticTokens.",n=>{if(!n)return;const m=(0,C.decodeSemanticTokensDto)(n);if(m.type==="full")return new _.SemanticTokens(m.data,void 0)})),new y.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range.optional()],new y.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",n=>{if(!!n)return new _.SemanticTokensLegend(n.tokenTypes,n.tokenModifiers)})),new y.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to SemanticTokens.",n=>{if(!n)return;const m=(0,C.decodeSemanticTokensDto)(n);if(m.type==="full")return new _.SemanticTokens(m.data,void 0)})),new y.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),y.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new y.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(n,m,w)=>{if(!n)return new _.CompletionList([]);const R=n.suggestions.map(h=>I.CompletionItem.to(h,w));return new _.CompletionList(R,n.incomplete)})),new y.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new y.ApiCommandResult("A promise that resolves to SignatureHelp.",n=>{if(n)return I.SignatureHelp.to(n)})),new y.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new y.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(n,m,w)=>g(R=>new _.CodeLens(I.Range.to(R.range),R.command&&w.fromInternal(R.command)))(n))),new y.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",n=>_.Range.isRange(n),n=>_.Selection.isSelection(n)?I.Selection.from(n):I.Range.from(n)),y.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),y.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new y.ApiCommandResult("A promise that resolves to an array of Command-instances.",(n,m,w)=>g(R=>{if(R._isSynthetic){if(!R.command)throw new Error("Synthetic code actions must have a command");return w.fromInternal(R.command)}else{const h=new _.CodeAction(R.title,R.kind?new _.CodeActionKind(R.kind):void 0);return R.edit&&(h.edit=I.WorkspaceEdit.to(R.edit)),R.command&&(h.command=w.fromInternal(R.command)),h.isPreferred=R.isPreferred,h}})(n))),new y.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",n=>n?n.map(m=>new _.ColorInformation(I.Range.to(m.range),I.Color.to(m.color))):[])),new y.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new y.ApiCommandArgument("color","The color to show and insert",n=>n instanceof _.Color,I.Color.from),new y.ApiCommandArgument("context","Context object with uri and range",n=>!0,n=>({uri:n.uri,range:I.Range.from(n.range)}))],new y.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",n=>n?n.map(I.ColorPresentation.to):[])),new y.ApiCommand("vscode.executeInlayHintProvider","_executeInlayHintProvider","Execute inlay hints provider",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to an array of Inlay objects",(n,m,w)=>n.map(I.InlayHint.to.bind(void 0,w)))),new y.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new y.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",g(n=>({viewType:n.viewType,displayName:n.displayName,options:{transientOutputs:n.options.transientOutputs,transientCellMetadata:n.options.transientCellMetadata,transientDocumentMetadata:n.options.transientDocumentMetadata},filenamePattern:n.filenamePattern.map(m=>I.NotebookExclusiveDocumentPattern.to(m))})))),new y.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to an array of InlineValue objects",n=>n.map(I.InlineValue.to))),new y.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[new y.ApiCommandArgument("uriOrString","Uri-instance or string (only http/https)",n=>o.URI.isUri(n)||typeof n=="string"&&(0,L.matchesSomeScheme)(n,M.Schemas.http,M.Schemas.https),n=>n),new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",n=>n===void 0||typeof n=="number"||typeof n=="object",n=>n&&(typeof n=="number"?[I.ViewColumn.from(n),void 0]:[I.ViewColumn.from(n.viewColumn),I.TextEditorOpenOptions.from(n)])).optional(),y.ApiCommandArgument.String.with("label","").optional()],y.ApiCommandResult.Void),new y.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[y.ApiCommandArgument.Uri.with("resource","Resource to open"),y.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",n=>n===void 0||typeof n=="number"||typeof n=="object",n=>n&&(typeof n=="number"?[I.ViewColumn.from(n),void 0]:[I.ViewColumn.from(n.viewColumn),I.TextEditorOpenOptions.from(n)])).optional()],y.ApiCommandResult.Void),new y.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[y.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),y.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),y.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",n=>n===void 0||typeof n=="object",n=>n&&[I.ViewColumn.from(n.viewColumn),I.TextEditorOpenOptions.from(n)]).optional()],y.ApiCommandResult.Void),new y.ApiCommand("vscode.prepareTypeHierarchy","_executePrepareTypeHierarchy","Prepare type hierarchy at a position inside a document",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A TypeHierarchyItem or undefined",n=>n.map(I.TypeHierarchyItem.to))),new y.ApiCommand("vscode.provideSupertypes","_executeProvideSupertypes","Compute supertypes for an item",[y.ApiCommandArgument.TypeHierarchyItem],new y.ApiCommandResult("A TypeHierarchyItem or undefined",n=>n.map(I.TypeHierarchyItem.to))),new y.ApiCommand("vscode.provideSubtypes","_executeProvideSubtypes","Compute subtypes for an item",[y.ApiCommandArgument.TypeHierarchyItem],new y.ApiCommandResult("A TypeHierarchyItem or undefined",n=>n.map(I.TypeHierarchyItem.to))),new y.ApiCommand("vscode.revealTestInExplorer","_revealTestInExplorer","Reveals a test instance in the explorer",[y.ApiCommandArgument.TestItem],y.ApiCommandResult.Void)];class c{static register(m){E.forEach(m.registerApiCommand,m)}}e.ExtHostApiCommands=c;function g(n){return m=>{if(Array.isArray(m))return m.map(n)}}function s(n){if(!Array.isArray(n))return;const m=[];for(const w of n)B.isLocationLink(w)?m.push(I.DefinitionLink.to(w)):m.push(I.location.to(w));return m}}),define(Ee[181],be([1,0,13,53,5,6,2,88,25,8,7,4]),function(Y,e,o,I,_,B,y,P,C,L,M,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostComments=void 0;function c(g,s,n){const m=g.getProxy(E.MainContext.MainThreadComments);class w{constructor(){this._commentControllers=new Map,this._commentControllersByExtension=new Map,s.registerArgumentProcessor({processArgument:i=>{if(i&&i.$mid===6){const u=this._commentControllers.get(i.handle);return u||i}else if(i&&i.$mid===7){const u=this._commentControllers.get(i.commentControlHandle);if(!u)return i;const t=u.getCommentThread(i.commentThreadHandle);return t||i}else if(i&&i.$mid===8){const u=this._commentControllers.get(i.thread.commentControlHandle);if(!u)return i;const t=u.getCommentThread(i.thread.commentThreadHandle);return t?{thread:t,text:i.text}:i}else if(i&&i.$mid===9){const u=this._commentControllers.get(i.thread.commentControlHandle);if(!u)return i;const t=u.getCommentThread(i.thread.commentThreadHandle);if(!t)return i;let a=i.commentUniqueId,p=t.getCommentByUniqueId(a);return p||i}else if(i&&i.$mid===10){const u=this._commentControllers.get(i.thread.commentControlHandle);if(!u)return i;const t=u.getCommentThread(i.thread.commentThreadHandle);if(!t)return i;let a=i.text,p=i.commentUniqueId,d=t.getCommentByUniqueId(p);return d?(d.body=a,d):i}return i}})}createCommentController(i,u,t){const a=w.handlePool++,p=new h(i,a,u,t);this._commentControllers.set(p.handle,p);const d=this._commentControllersByExtension.get(C.ExtensionIdentifier.toKey(i.identifier))||[];return d.push(p),this._commentControllersByExtension.set(C.ExtensionIdentifier.toKey(i.identifier),d),p.value}$createCommentThreadTemplate(i,u,t){const a=this._commentControllers.get(i);!a||a.$createCommentThreadTemplate(u,t)}async $updateCommentThreadTemplate(i,u,t){const a=this._commentControllers.get(i);!a||a.$updateCommentThreadTemplate(u,t)}$deleteCommentThread(i,u){const t=this._commentControllers.get(i);t&&t.$deleteCommentThread(u)}$provideCommentingRanges(i,u,t){const a=this._commentControllers.get(i);if(!a||!a.commentingRangeProvider)return Promise.resolve(void 0);const p=n.getDocument(y.URI.revive(u));return(0,o.asPromise)(()=>a.commentingRangeProvider.provideCommentingRanges(p,t)).then(d=>d?d.map(S=>L.Range.from(S)):void 0)}$toggleReaction(i,u,t,a,p){const d=this._commentControllers.get(i);return!d||!d.reactionHandler?Promise.resolve(void 0):(0,o.asPromise)(()=>{const S=d.getCommentThread(u);if(S){const k=S.getCommentByUniqueId(a.uniqueIdInThread);if(d!==void 0&&k&&d.reactionHandler)return d.reactionHandler(k,r(p))}return Promise.resolve(void 0)})}dispose(){}}w.handlePool=0;class R{constructor(i,u,t,a,p,d,S){this._commentControllerHandle=u,this._id=t,this._uri=a,this._range=p,this._comments=d,this.extensionDescription=S,this.handle=R._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new _.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new B.MutableDisposable,this._acceptInputDisposables.value=new B.DisposableStore,this._id===void 0&&(this._id=`${i}.${this.handle}`),m.$createCommentThread(u,this.handle,this._id,this._uri,L.Range.from(this._range),S.identifier),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=d,this._localDisposables.push({dispose:()=>{m.$deleteCommentThread(u,this.handle)}});const k=this;this.value={get uri(){return k.uri},get range(){return k.range},set range(A){k.range=A},get comments(){return k.comments},set comments(A){k.comments=A},get collapsibleState(){return k.collapsibleState},set collapsibleState(A){k.collapsibleState=A},get canReply(){return k.canReply},set canReply(A){k.canReply=A},get contextValue(){return k.contextValue},set contextValue(A){k.contextValue=A},get label(){return k.label},set label(A){k.label=A},dispose:()=>{k.dispose()}}}set threadId(i){this._id=i}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(i){i.isEqual(this._range)||(this._range=i,this.modifications.range=i,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(i){this._canReply!==i&&(this._canReply=i,this.modifications.canReply=i,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(i){this._label=i,this.modifications.label=i,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(i){this._contextValue=i,this.modifications.contextValue=i,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(i){this._comments=i,this.modifications.comments=i,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(i){this._collapseState=i,this.modifications.collapsibleState=i,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}eventuallyUpdateCommentThread(){if(this._isDiposed)return;this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new B.DisposableStore);const i=t=>Object.prototype.hasOwnProperty.call(this.modifications,t),u={};i("range")&&(u.range=L.Range.from(this._range)),i("label")&&(u.label=this.label),i("contextValue")&&(u.contextValue=this.contextValue??null),i("comments")&&(u.comments=this._comments.map(t=>f(this,t,this._commentsMap))),i("collapsibleState")&&(u.collapseState=T(this._collapseState)),i("canReply")&&(u.canReply=this.canReply),this.modifications={},m.$updateCommentThread(this._commentControllerHandle,this.handle,this._id,this._uri,u)}getCommentByUniqueId(i){for(let u of this._commentsMap){let t=u[0],a=u[1];if(i===a)return t}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(i=>i.dispose())}}R._handlePool=0,Fe([(0,I.debounce)(100)],R.prototype,"eventuallyUpdateCommentThread",null);class h{constructor(i,u,t,a){this._extension=i,this._handle=u,this._id=t,this._label=a,this._threads=new Map,m.$registerCommentController(this.handle,t,a);const p=this;this.value=Object.freeze({id:p.id,label:p.label,get options(){return p.options},set options(d){p.options=d},get commentingRangeProvider(){return p.commentingRangeProvider},set commentingRangeProvider(d){p.commentingRangeProvider=d},get reactionHandler(){return p.reactionHandler},set reactionHandler(d){p.reactionHandler=d},createCommentThread(d,S,k){return p.createCommentThread(d,S,k).value},dispose:()=>{p.dispose()}}),this._localDisposables=[],this._localDisposables.push({dispose:()=>{m.$unregisterCommentController(this.handle)}})}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get commentingRangeProvider(){return this._commentingRangeProvider}set commentingRangeProvider(i){this._commentingRangeProvider=i,m.$updateCommentingRanges(this.handle)}get reactionHandler(){return this._reactionHandler}set reactionHandler(i){this._reactionHandler=i,m.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!i})}get options(){return this._options}set options(i){this._options=i,m.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(i,u,t,a){if(typeof i=="string"){const p=new R(this.id,this.handle,i,u,t,a,this._extension);return this._threads.set(p.handle,p),p}else{const p=new R(this.id,this.handle,void 0,i,u,t,this._extension);return this._threads.set(p.handle,p),p}}$createCommentThreadTemplate(i,u){const t=new R(this.id,this.handle,void 0,y.URI.revive(i),L.Range.to(u),[],this._extension);return t.collapsibleState=P.CommentThreadCollapsibleState.Expanded,this._threads.set(t.handle,t),t}$updateCommentThreadTemplate(i,u){let t=this._threads.get(i);t&&(t.range=L.Range.to(u))}$deleteCommentThread(i){let u=this._threads.get(i);u&&u.dispose(),this._threads.delete(i)}getCommentThread(i){return this._threads.get(i)}dispose(){this._threads.forEach(i=>{i.dispose()}),this._localDisposables.forEach(i=>i.dispose())}}function f(l,i,u){let t=u.get(i);t||(t=++l.commentHandle,u.set(i,t));const a=i.author&&i.author.iconPath?i.author.iconPath.toString():void 0;return{mode:i.mode,contextValue:i.contextValue,uniqueIdInThread:t,body:typeof i.body=="string"?i.body:L.MarkdownString.from(i.body),userName:i.author.name,userIconPath:a,label:i.label,commentReactions:i.reactions?i.reactions.map(p=>v(p)):void 0,timestamp:i.timestamp?.toJSON()}}function v(l){return{label:l.label,iconPath:l.iconPath?L.pathOrURIToURI(l.iconPath):void 0,count:l.count,hasReacted:l.authorHasReacted}}function r(l){return{label:l.label||"",count:l.count||0,iconPath:l.iconPath?y.URI.revive(l.iconPath):"",authorHasReacted:l.hasReacted||!1}}function T(l){if(l!==void 0)switch(l){case M.CommentThreadCollapsibleState.Expanded:return P.CommentThreadCollapsibleState.Expanded;case M.CommentThreadCollapsibleState.Collapsed:return P.CommentThreadCollapsibleState.Collapsed}return P.CommentThreadCollapsibleState.Collapsed}return new w}e.createExtHostComments=c}),define(Ee[92],be([1,0,2,4,7,3,14,12,16,10,17]),function(Y,e,o,I,_,B,y,P,C,L,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let E=class bi{constructor(g,s){this._logService=s,this._provider=new Map,this._proxy=g.getProxy(I.MainContext.MainThreadDecorations)}registerFileDecorationProvider(g,s){const n=bi._handlePool++;this._provider.set(n,{provider:g,extensionId:s}),this._proxy.$registerDecorationProvider(n,s.value);const m=g.onDidChangeFileDecorations&&g.onDidChangeFileDecorations(w=>{if(!w){this._proxy.$onDidChange(n,null);return}let R=(0,C.asArray)(w);if(R.length<=bi._maxEventSize){this._proxy.$onDidChange(n,R);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",s.value,R.length);const h=R.map(r=>({uri:r,rank:(0,L.count)(r.path,"/")})),f=(0,C.groupBy)(h,(r,T)=>r.rank-T.rank||(0,L.compare)(r.uri.path,T.uri.path));let v=[];e:for(let r of f){let T;for(let l of r){let i=(0,M.dirname)(l.uri.path);if(T!==i&&(T=i,v.push(l.uri)>=bi._maxEventSize))break e}}this._proxy.$onDidChange(n,v)});return new _.Disposable(()=>{m?.dispose(),this._proxy.$unregisterDecorationProvider(n),this._provider.delete(n)})}async $provideDecorations(g,s,n){if(!this._provider.has(g))return Object.create(null);const m=Object.create(null),{provider:w,extensionId:R}=this._provider.get(g);return await Promise.all(s.map(async h=>{try{const{uri:f,id:v}=h,r=await Promise.resolve(w.provideFileDecoration(o.URI.revive(f),n));if(!r)return;try{_.FileDecoration.validate(r),m[v]=[r.propagate,r.tooltip,r.badge,r.color]}catch(T){this._logService.warn(`INVALID decoration from extension '${R.value}': ${T}`)}}catch(f){this._logService.error(f)}})),m}};E._handlePool=0,E._maxEventSize=250,E=Fe([Ne(0,y.IExtHostRpcService),Ne(1,P.ILogService)],E),e.ExtHostDecorations=E,e.IExtHostDecorations=(0,B.createDecorator)("IExtHostDecorations")});var je=this&&this.__classPrivateFieldSet||function(Y,e,o,I,_){if(I==="m")throw new TypeError("Private method is not writable");if(I==="a"&&!_)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Y!==e||!_:!e.has(Y))throw new TypeError("Cannot write private member to an object whose class did not declare it");return I==="a"?_.call(Y,o):_?_.value=o:e.set(Y,o),o},De=this&&this.__classPrivateFieldGet||function(Y,e,o,I){if(o==="a"&&!I)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Y!==e||!I:!e.has(Y))throw new TypeError("Cannot read private member from an object whose class did not declare it");return o==="m"?I:o==="a"?I.call(Y):I?I.value:e.get(Y)};define(Ee[182],be([1,0,122,78,2,4,7,8,5,12,22,30]),function(Y,e,o,I,_,B,y,P,C,L,M,E){"use strict";var c,g,s;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class n{constructor(R,h,f,v,r,T){this._name=R,this._owner=h,this._maxDiagnosticsPerFile=f,c.set(this,void 0),g.set(this,void 0),s.set(this,void 0),this._isDisposed=!1,je(this,s,new M.ResourceMap(l=>v.getComparisonKey(l)),"f"),je(this,c,r,"f"),je(this,g,T,"f")}dispose(){this._isDisposed||(De(this,g,"f").fire([...De(this,s,"f").keys()]),De(this,c,"f")&&De(this,c,"f").$clear(this._owner),De(this,s,"f").clear(),this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(R,h){if(!R){this.clear();return}this._checkDisposed();let f=[];if(_.URI.isUri(R)){if(!h){this.delete(R);return}De(this,s,"f").set(R,h.slice()),f=[R]}else if(Array.isArray(R)){f=[];let r;R=[...R].sort(n._compareIndexedTuplesByUri);for(const T of R){const[l,i]=T;if((!r||l.toString()!==r.toString())&&(r&&De(this,s,"f").get(r).length===0&&De(this,s,"f").delete(r),r=l,f.push(l),De(this,s,"f").set(l,[])),i){const u=De(this,s,"f").get(l);u&&u.push(...i)}else{const u=De(this,s,"f").get(l);u&&(u.length=0)}}}if(De(this,g,"f").fire(f),!De(this,c,"f"))return;const v=[];for(let r of f){let T=[];const l=De(this,s,"f").get(r);if(l)if(l.length>this._maxDiagnosticsPerFile){T=[];const i=[y.DiagnosticSeverity.Error,y.DiagnosticSeverity.Warning,y.DiagnosticSeverity.Information,y.DiagnosticSeverity.Hint];e:for(let u=0;u<4;u++)for(let t of l)if(t.severity===i[u]&&T.push(P.Diagnostic.from(t))===this._maxDiagnosticsPerFile)break e;T.push({severity:I.MarkerSeverity.Info,message:(0,o.localize)(0,null,l.length-this._maxDiagnosticsPerFile),startLineNumber:T[T.length-1].startLineNumber,startColumn:T[T.length-1].startColumn,endLineNumber:T[T.length-1].endLineNumber,endColumn:T[T.length-1].endColumn})}else T=l.map(i=>P.Diagnostic.from(i));v.push([r,T])}De(this,c,"f").$changeMany(this._owner,v)}delete(R){this._checkDisposed(),De(this,g,"f").fire([R]),De(this,s,"f").delete(R),De(this,c,"f")&&De(this,c,"f").$changeMany(this._owner,[[R,void 0]])}clear(){this._checkDisposed(),De(this,g,"f").fire([...De(this,s,"f").keys()]),De(this,s,"f").clear(),De(this,c,"f")&&De(this,c,"f").$clear(this._owner)}forEach(R,h){this._checkDisposed();for(let f of De(this,s,"f").keys())R.apply(h,[f,this.get(f),this])}get(R){this._checkDisposed();const h=De(this,s,"f").get(R);return Array.isArray(h)?Object.freeze(h.slice(0)):[]}has(R){return this._checkDisposed(),Array.isArray(De(this,s,"f").get(R))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(R,h){return R[0].toString()<h[0].toString()?-1:R[0].toString()>h[0].toString()?1:0}}e.DiagnosticCollection=n,c=new WeakMap,g=new WeakMap,s=new WeakMap;let m=class oi{constructor(R,h,f){this._logService=h,this._fileSystemInfoService=f,this._collections=new Map,this._onDidChangeDiagnostics=new C.DebounceEmitter({merge:v=>v.flat(),delay:50}),this.onDidChangeDiagnostics=C.Event.map(this._onDidChangeDiagnostics.event,oi._mapper),this._proxy=R.getProxy(B.MainContext.MainThreadDiagnostics)}static _mapper(R){const h=new M.ResourceMap;for(const f of R)h.set(f,f);return{uris:Object.freeze(Array.from(h.values()))}}createDiagnosticCollection(R,h){const{_collections:f,_proxy:v,_onDidChangeDiagnostics:r,_logService:T,_fileSystemInfoService:l}=this,i=new class{$changeMany(a,p){v.$changeMany(a,p),T.trace("[DiagnosticCollection] change many (extension, owner, uris)",R.value,a,p.length===0?"CLEARING":p)}$clear(a){v.$clear(a),T.trace("[DiagnosticCollection] remove all (extension, owner)",R.value,a)}dispose(){v.dispose()}};let u;if(!h)h="_generated_diagnostic_collection_name_#"+oi._idPool++,u=h;else if(!f.has(h))u=h;else{this._logService.warn(`DiagnosticCollection with name '${h}' does already exist.`);do u=h+oi._idPool++;while(f.has(u))}return new class extends n{constructor(){super(h,u,oi._maxDiagnosticsPerFile,l.extUri,i,r);f.set(u,this)}dispose(){super.dispose(),f.delete(u)}}}getDiagnostics(R){if(R)return this._getDiagnostics(R);{const h=new Map,f=[];for(const v of this._collections.values())v.forEach((r,T)=>{let l=h.get(r.toString());typeof l=="undefined"&&(l=f.length,h.set(r.toString(),l),f.push([r,[]])),f[l][1]=f[l][1].concat(...T)});return f}}_getDiagnostics(R){let h=[];for(let f of this._collections.values())f.has(R)&&(h=h.concat(f.get(R)));return h}$acceptMarkersChange(R){if(!this._mirrorCollection){const h="_generated_mirror",f=new n(h,h,oi._maxDiagnosticsPerFile,this._fileSystemInfoService.extUri,void 0,this._onDidChangeDiagnostics);this._collections.set(h,f),this._mirrorCollection=f}for(const[h,f]of R)this._mirrorCollection.set(_.URI.revive(h),f.map(P.Diagnostic.to))}};m._idPool=0,m._maxDiagnosticsPerFile=1e3,m=Fe([Ne(1,L.ILogService),Ne(2,E.IExtHostFileSystemInfo)],m),e.ExtHostDiagnostics=m}),define(Ee[183],be([1,0,2,4]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class _{constructor(y){this._proxy=y.getProxy(I.MainContext.MainThreadDialogs)}showOpenDialog(y){return this._proxy.$showOpenDialog(y).then(P=>P?P.map(C=>o.URI.revive(C)):void 0)}showSaveDialog(y){return this._proxy.$showSaveDialog(y).then(P=>P?o.URI.revive(P):void 0)}}e.ExtHostDialogs=_}),define(Ee[184],be([1,0,15,2,7,4,9,20,10]),function(Y,e,o,I,_,B,y,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class L{constructor(E,c,g){this._documentsAndEditors=c,this._logService=g,this._documentContentProviders=new Map,this._proxy=E.getProxy(B.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(E,c){if(Object.keys(y.Schemas).indexOf(E)>=0)throw new Error(`scheme '${E}' already registered`);const g=L._handlePool++;this._documentContentProviders.set(g,c),this._proxy.$registerTextContentProvider(g,E);let s;return typeof c.onDidChange=="function"&&(s=c.onDidChange(n=>{if(n.scheme!==E){this._logService.warn(`Provider for scheme '${E}' is firing event for schema '${n.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(n)&&this.$provideTextDocumentContent(g,n).then(m=>{if(!m&&typeof m!="string")return;const w=this._documentsAndEditors.getDocument(n);if(!w)return;const R=(0,C.splitLines)(m);if(!w.equalLines(R))return this._proxy.$onVirtualDocumentChange(n,m)},o.onUnexpectedError)})),new _.Disposable(()=>{this._documentContentProviders.delete(g)&&this._proxy.$unregisterTextContentProvider(g),s&&(s.dispose(),s=void 0)})}$provideTextDocumentContent(E,c){const g=this._documentContentProviders.get(E);return g?Promise.resolve(g.provideTextDocumentContent(I.URI.revive(c),P.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${c.scheme}`))}}e.ExtHostDocumentContentProvider=L,L._handlePool=0}),define(Ee[185],be([1,0,5,6,2,4,84,8,11,26,7]),function(Y,e,o,I,_,B,y,P,C,L,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class E{constructor(g,s){this._onDidAddDocument=new o.Emitter,this._onDidRemoveDocument=new o.Emitter,this._onDidChangeDocument=new o.Emitter,this._onDidSaveDocument=new o.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new I.DisposableStore,this._documentLoader=new Map,this._proxy=g.getProxy(B.MainContext.MainThreadDocuments),this._documentsAndEditors=s,this._documentsAndEditors.onDidRemoveDocuments(n=>{for(const m of n)this._onDidRemoveDocument.fire(m.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(n=>{for(const m of n)this._onDidAddDocument.fire(m.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(g){if(!g)return;const s=this._documentsAndEditors.getDocument(g);if(s)return s}getDocument(g){const s=this.getDocumentData(g);if(!s?.document)throw new Error(`Unable to retrieve document from URI '${g}'`);return s.document}ensureDocumentData(g){const s=this._documentsAndEditors.getDocument(g);if(s)return Promise.resolve(s);let n=this._documentLoader.get(g.toString());return n||(n=this._proxy.$tryOpenDocument(g).then(m=>{this._documentLoader.delete(g.toString());const w=_.URI.revive(m);return(0,C.assertIsDefined)(this._documentsAndEditors.getDocument(w))},m=>(this._documentLoader.delete(g.toString()),Promise.reject(m))),this._documentLoader.set(g.toString(),n)),n}createDocumentData(g){return this._proxy.$tryCreateDocument(g).then(s=>_.URI.revive(s))}$acceptModelLanguageChanged(g,s){const n=_.URI.revive(g),m=this._documentsAndEditors.getDocument(n);if(!m)throw new Error("unknown document");this._onDidRemoveDocument.fire(m.document),m._acceptLanguageId(s),this._onDidAddDocument.fire(m.document)}$acceptModelSaved(g){const s=_.URI.revive(g),n=this._documentsAndEditors.getDocument(s);if(!n)throw new Error("unknown document");this.$acceptDirtyStateChanged(g,!1),this._onDidSaveDocument.fire(n.document)}$acceptDirtyStateChanged(g,s){const n=_.URI.revive(g),m=this._documentsAndEditors.getDocument(n);if(!m)throw new Error("unknown document");m._acceptIsDirty(s),this._onDidChangeDocument.fire({document:m.document,contentChanges:[],reason:void 0})}$acceptModelChanged(g,s,n){const m=_.URI.revive(g),w=this._documentsAndEditors.getDocument(m);if(!w)throw new Error("unknown document");w._acceptIsDirty(n),w.onEvents(s);let R;s.isUndoing?R=M.TextDocumentChangeReason.Undo:s.isRedoing&&(R=M.TextDocumentChangeReason.Redo),this._onDidChangeDocument.fire((0,L.deepFreeze)({document:w.document,contentChanges:s.changes.map(h=>({range:P.Range.to(h.range),rangeOffset:h.rangeOffset,rangeLength:h.rangeLength,text:h.text})),reason:R}))}setWordDefinitionFor(g,s){(0,y.setWordDefinitionFor)(g,s)}}e.ExtHostDocuments=E}),define(Ee[50],be([1,0,42,5,6,2,3,4,84,14,90,8,12,22,9,161,230]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class w{constructor(f){this.value=f,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let R=class{constructor(f,v){this._extHostRpc=f,this._logService=v,this._activeEditorId=null,this._editors=new Map,this._documents=new g.ResourceMap,this._onDidAddDocuments=new I.Emitter,this._onDidRemoveDocuments=new I.Emitter,this._onDidChangeVisibleTextEditors=new I.Emitter,this._onDidChangeActiveTextEditor=new I.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(f){this.acceptDocumentsAndEditorsDelta(f)}acceptDocumentsAndEditorsDelta(f){const v=[],r=[],T=[];if(f.removedDocuments)for(const l of f.removedDocuments){const i=B.URI.revive(l),u=this._documents.get(i);u?.unref()&&(this._documents.delete(i),v.push(u.value))}if(f.addedDocuments)for(const l of f.addedDocuments){const i=B.URI.revive(l.uri);let u=this._documents.get(i);if(u&&i.scheme!==s.Schemas.vscodeNotebookCell&&i.scheme!==s.Schemas.vscodeInteractiveInput)throw new Error(`document '${i} already exists!'`);u||(u=new w(new C.ExtHostDocumentData(this._extHostRpc.getProxy(P.MainContext.MainThreadDocuments),i,l.lines,l.EOL,l.versionId,l.languageId,l.isDirty,l.notebook)),this._documents.set(i,u),r.push(u.value)),u.ref()}if(f.removedEditors)for(const l of f.removedEditors){const i=this._editors.get(l);this._editors.delete(l),i&&T.push(i)}if(f.addedEditors)for(const l of f.addedEditors){const i=B.URI.revive(l.documentUri);o.ok(this._documents.has(i),`document '${i}' does not exist`),o.ok(!this._editors.has(l.id),`editor '${l.id}' already exists!`);const u=this._documents.get(i).value,t=new M.ExtHostTextEditor(l.id,this._extHostRpc.getProxy(P.MainContext.MainThreadTextEditors),this._logService,new m.Lazy(()=>u.document),l.selections.map(E.Selection.to),l.options,l.visibleRanges.map(a=>E.Range.to(a)),typeof l.editorPosition=="number"?E.ViewColumn.to(l.editorPosition):void 0);this._editors.set(l.id,t)}f.newActiveEditor!==void 0&&(o.ok(f.newActiveEditor===null||this._editors.has(f.newActiveEditor),`active editor '${f.newActiveEditor}' does not exist`),this._activeEditorId=f.newActiveEditor),(0,_.dispose)(v),(0,_.dispose)(T),f.removedDocuments&&this._onDidRemoveDocuments.fire(v),f.addedDocuments&&this._onDidAddDocuments.fire(r),(f.removedEditors||f.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(l=>l.value)),f.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(f){return this._documents.get(f)?.value}allDocuments(){return n.Iterable.map(this._documents.values(),f=>f.value)}getEditor(f){return this._editors.get(f)}activeEditor(f){if(!this._activeEditorId)return;const v=this._editors.get(this._activeEditorId);return f?v:v?.value}allEditors(){return[...this._editors.values()]}};R=Fe([Ne(0,L.IExtHostRpcService),Ne(1,c.ILogService)],R),e.ExtHostDocumentsAndEditors=R,e.IExtHostDocumentsAndEditors=(0,y.createDecorator)("IExtHostDocumentsAndEditors")}),define(Ee[66],be([1,0,8,4,2,5,3,14]),function(Y,e,o,I,_,B,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=e.IExtHostEditorTabs=void 0,e.IExtHostEditorTabs=(0,y.createDecorator)("IExtHostEditorTabs");let C=class{constructor(M){this._onDidChangeTabGroup=new B.Emitter,this.onDidChangeTabGroup=this._onDidChangeTabGroup.event,this._tabGroups={all:[],onDidChangeTabGroup:this._onDidChangeTabGroup.event},this._proxy=M.getProxy(I.MainContext.MainThreadEditorTabs)}get tabGroups(){return this._tabGroups}$acceptEditorTabModel(M){this._tabGroups.all.length=0;for(const E of M){let c;const g=E.tabs.map(s=>{const n=this.createExtHostTabObject(s);return s.isActive&&(c=n),n});this._tabGroups.all.push(Object.freeze({isActive:E.isActive,viewColumn:o.ViewColumn.to(E.viewColumn),activeTab:c,tabs:g}))}this._onDidChangeTabGroup.fire()}createExtHostTabObject(M){return Object.freeze({label:M.label,viewColumn:o.ViewColumn.to(M.viewColumn),resource:_.URI.revive(M.resource),additionalResourcesAndViewIds:M.additionalResourcesAndViewIds.map(({resource:E,viewId:c})=>({resource:_.URI.revive(E),viewId:c})),viewId:M.editorId,isActive:M.isActive,isDirty:M.isDirty,move:async(E,c)=>{this._proxy.$moveTab(M,E,o.ViewColumn.from(c))},close:async()=>{await this._proxy.$closeTab(M)}})}};C=Fe([Ne(0,P.IExtHostRpcService)],C),e.ExtHostEditorTabs=C}),define(Ee[186],be([1,0,2,4,6,7,8,231,10,21,28]),function(Y,e,o,I,_,B,y,P,C,L,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class E{constructor(){this._schemes=[]}add(s){this._stateMachine=void 0,this._schemes.push(s)}delete(s){const n=this._schemes.indexOf(s);n>=0&&(this._schemes.splice(n,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const s=this._schemes.sort(),n=[];let m,w,R=14,h=14;for(const f of s){let v=m?(0,C.commonPrefixLength)(m,f):0;for(v===0?w=1:w=h;v<f.length;v++)v+1===f.length?(R=h,h=9):h+=1,n.push([w,f.toUpperCase().charCodeAt(v),h]),n.push([w,f.toLowerCase().charCodeAt(v),h]),w=h;m=f,h=R}n.push([9,58,10]),n.push([10,47,12]),this._stateMachine=new P.StateMachine(n)}}provideDocumentLinks(s){this._initStateMachine();const n=[],m=P.LinkComputer.computeLinks({getLineContent(w){return s.lineAt(w-1).text},getLineCount(){return s.lineCount}},this._stateMachine);for(const w of m){const R=y.DocumentLink.to(w);R.target&&n.push(R)}return n}}class c{constructor(s,n){this._extHostLanguageFeatures=n,this._linkProvider=new E,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._handlePool=0,this._proxy=s.getProxy(I.MainContext.MainThreadFileSystem)}dispose(){this._linkProviderRegistration?.dispose()}registerFileSystemProvider(s,n,m,w={}){if(this._registeredSchemes.has(n))throw new Error(`a provider for the scheme '${n}' is already registered`);this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(s,"*",this._linkProvider));const R=this._handlePool++;this._linkProvider.add(n),this._registeredSchemes.add(n),this._fsProvider.set(R,m);let h=2;w.isCaseSensitive&&(h+=1024),w.isReadonly&&(h+=2048),typeof m.copy=="function"&&(h+=8),typeof m.open=="function"&&typeof m.close=="function"&&typeof m.read=="function"&&typeof m.write=="function"&&((0,M.checkProposedApiEnabled)(s,"fsChunks"),h+=4),this._proxy.$registerFileSystemProvider(R,n,h).catch(v=>{console.error(`FAILED to register filesystem provider of ${s.identifier.value}-extension for the scheme ${n}`),console.error(v)});const f=m.onDidChangeFile(v=>{const r=[];for(const T of v){let{uri:l,type:i}=T;if(l.scheme!==n)continue;let u;switch(i){case B.FileChangeType.Changed:u=0;break;case B.FileChangeType.Created:u=1;break;case B.FileChangeType.Deleted:u=2;break;default:throw new Error("Unknown FileChangeType")}r.push({resource:l,type:u})}this._proxy.$onFileSystemChange(R,r)});return(0,_.toDisposable)(()=>{f.dispose(),this._linkProvider.delete(n),this._registeredSchemes.delete(n),this._fsProvider.delete(R),this._proxy.$unregisterProvider(R)})}static _asIStat(s){const{type:n,ctime:m,mtime:w,size:R,permissions:h}=s;return{type:n,ctime:m,mtime:w,size:R,permissions:h}}$stat(s,n){return Promise.resolve(this._getFsProvider(s).stat(o.URI.revive(n))).then(m=>c._asIStat(m))}$readdir(s,n){return Promise.resolve(this._getFsProvider(s).readDirectory(o.URI.revive(n)))}$readFile(s,n){return Promise.resolve(this._getFsProvider(s).readFile(o.URI.revive(n))).then(m=>L.VSBuffer.wrap(m))}$writeFile(s,n,m,w){return Promise.resolve(this._getFsProvider(s).writeFile(o.URI.revive(n),m.buffer,w))}$delete(s,n,m){return Promise.resolve(this._getFsProvider(s).delete(o.URI.revive(n),m))}$rename(s,n,m,w){return Promise.resolve(this._getFsProvider(s).rename(o.URI.revive(n),o.URI.revive(m),w))}$copy(s,n,m,w){const R=this._getFsProvider(s);if(!R.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(R.copy(o.URI.revive(n),o.URI.revive(m),w))}$mkdir(s,n){return Promise.resolve(this._getFsProvider(s).createDirectory(o.URI.revive(n)))}$watch(s,n,m,w){const R=this._getFsProvider(s).watch(o.URI.revive(m),w);this._watches.set(n,R)}$unwatch(s,n){const m=this._watches.get(n);m&&(m.dispose(),this._watches.delete(n))}$open(s,n,m){const w=this._getFsProvider(s);if(!w.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(w.open(o.URI.revive(n),m))}$close(s,n){const m=this._getFsProvider(s);if(!m.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(m.close(n))}$read(s,n,m,w){const R=this._getFsProvider(s);if(!R.read)throw new Error('FileSystemProvider does not implement "read"');const h=L.VSBuffer.alloc(w);return Promise.resolve(R.read(n,m,h.buffer,0,w)).then(f=>h.slice(0,f))}$write(s,n,m,w){const R=this._getFsProvider(s);if(!R.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(R.write(n,m,w.buffer,0,w.byteLength))}_getFsProvider(s){const n=this._fsProvider.get(s);if(!n){const m=new Error;throw m.name="ENOPRO",m.message="no provider",m}return n}}e.ExtHostFileSystem=c}),define(Ee[51],be([1,0,4,46,7,21,3,14,30,6]),function(Y,e,o,I,_,B,y,P,C,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let M=class jt{constructor(c,g){this._fileSystemProvider=new Map,this._proxy=c.getProxy(o.MainContext.MainThreadFileSystem);const s=this;this.value=Object.freeze({async stat(n){try{const m=s._fileSystemProvider.get(n.scheme);if(!m)return await s._proxy.$stat(n);await s._proxy.$ensureActivation(n.scheme);const w=await m.stat(n);return{type:w.type,ctime:w.ctime,mtime:w.mtime,size:w.size,permissions:w.permissions}}catch(m){jt._handleError(m)}},async readDirectory(n){try{const m=s._fileSystemProvider.get(n.scheme);return m?(await s._proxy.$ensureActivation(n.scheme),(await m.readDirectory(n)).slice()):await s._proxy.$readdir(n)}catch(m){return jt._handleError(m)}},async createDirectory(n){try{return await s._proxy.$mkdir(n)}catch(m){return jt._handleError(m)}},async readFile(n){try{const m=s._fileSystemProvider.get(n.scheme);return m?(await s._proxy.$ensureActivation(n.scheme),(await m.readFile(n)).slice()):(await s._proxy.$readFile(n)).buffer}catch(m){return jt._handleError(m)}},async writeFile(n,m){try{return await s._proxy.$writeFile(n,B.VSBuffer.wrap(m))}catch(w){return jt._handleError(w)}},async delete(n,m){try{const w=s._fileSystemProvider.get(n.scheme);return w?(await s._proxy.$ensureActivation(n.scheme),await w.delete(n,{recursive:!1,...m})):await s._proxy.$delete(n,{recursive:!1,useTrash:!1,...m})}catch(w){return jt._handleError(w)}},async rename(n,m,w){try{return await s._proxy.$rename(n,m,{overwrite:!1,...w})}catch(R){return jt._handleError(R)}},async copy(n,m,w){try{return await s._proxy.$copy(n,m,{overwrite:!1,...w})}catch(R){return jt._handleError(R)}},isWritableFileSystem(n){const m=g.getCapabilities(n);if(typeof m=="number")return!(m&2048)}})}static _handleError(c){if(c instanceof _.FileSystemError)throw c;if(!(c instanceof Error))throw new _.FileSystemError(String(c));if(c.name==="ENOPRO")throw _.FileSystemError.Unavailable(c.message);switch(c.name){case I.FileSystemProviderErrorCode.FileExists:throw _.FileSystemError.FileExists(c.message);case I.FileSystemProviderErrorCode.FileNotFound:throw _.FileSystemError.FileNotFound(c.message);case I.FileSystemProviderErrorCode.FileNotADirectory:throw _.FileSystemError.FileNotADirectory(c.message);case I.FileSystemProviderErrorCode.FileIsADirectory:throw _.FileSystemError.FileIsADirectory(c.message);case I.FileSystemProviderErrorCode.NoPermissions:throw _.FileSystemError.NoPermissions(c.message);case I.FileSystemProviderErrorCode.Unavailable:throw _.FileSystemError.Unavailable(c.message);default:throw new _.FileSystemError(c.message,c.name)}}addFileSystemProvider(c,g){return this._fileSystemProvider.set(c,g),(0,L.toDisposable)(()=>this._fileSystemProvider.delete(c))}};M=Fe([Ne(0,P.IExtHostRpcService),Ne(1,C.IExtHostFileSystemInfo)],M),e.ExtHostConsumerFileSystem=M,e.IExtHostConsumerFileSystem=(0,y.createDecorator)("IExtHostConsumerFileSystem")}),define(Ee[187],be([1,0,5,29,2,4,8,7]),function(Y,e,o,I,_,B,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class C{constructor(E,c,g,s,n,m,w,R){this._onDidCreate=new o.Emitter,this._onDidChange=new o.Emitter,this._onDidDelete=new o.Emitter;const h=this.ensureWatching(E,g,n);this._config=0,m&&(this._config+=1),w&&(this._config+=2),R&&(this._config+=4);const f=(0,I.parse)(n),v=typeof n=="string",r=s(T=>{if(!m)for(let l of T.created){const i=_.URI.revive(l);f(i.fsPath)&&(!v||c.getWorkspaceFolder(i))&&this._onDidCreate.fire(i)}if(!w)for(let l of T.changed){const i=_.URI.revive(l);f(i.fsPath)&&(!v||c.getWorkspaceFolder(i))&&this._onDidChange.fire(i)}if(!R)for(let l of T.deleted){const i=_.URI.revive(l);f(i.fsPath)&&(!v||c.getWorkspaceFolder(i))&&this._onDidDelete.fire(i)}});this._disposable=P.Disposable.from(h,this._onDidCreate,this._onDidChange,this._onDidDelete,r)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}ensureWatching(E,c,g){let s=P.Disposable.from();if(typeof g=="string")return s;const n=E.getProxy(B.MainContext.MainThreadFileSystem);let m=!1;(g.pattern.includes(I.GLOBSTAR)||g.pattern.includes(I.GLOB_SPLIT))&&(m=!0);const w=Math.random();return n.$watch(c.identifier.value,w,g.baseUri,{recursive:m,excludes:[]}),P.Disposable.from({dispose:()=>n.$unwatch(w)})}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class L{constructor(E,c,g){this._mainContext=E,this._logService=c,this._extHostDocumentsAndEditors=g,this._onFileSystemEvent=new o.Emitter,this._onDidRenameFile=new o.Emitter,this._onDidCreateFile=new o.Emitter,this._onDidDeleteFile=new o.Emitter,this._onWillRenameFile=new o.AsyncEmitter,this._onWillCreateFile=new o.AsyncEmitter,this._onWillDeleteFile=new o.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(E,c,g,s,n,m){return new C(this._mainContext,E,c,this._onFileSystemEvent.event,y.GlobPattern.from(g),s,n,m)}$onFileEvent(E){this._onFileSystemEvent.fire(E)}$onDidRunFileOperation(E,c){switch(E){case 2:this._onDidRenameFile.fire(Object.freeze({files:c.map(g=>({oldUri:_.URI.revive(g.source),newUri:_.URI.revive(g.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:c.map(g=>_.URI.revive(g.target))}));break;case 0:this._onDidCreateFile.fire(Object.freeze({files:c.map(g=>_.URI.revive(g.target))}));break;default:}}getOnWillRenameFileEvent(E){return this._createWillExecuteEvent(E,this._onWillRenameFile)}getOnWillCreateFileEvent(E){return this._createWillExecuteEvent(E,this._onWillCreateFile)}getOnWillDeleteFileEvent(E){return this._createWillExecuteEvent(E,this._onWillDeleteFile)}_createWillExecuteEvent(E,c){return(g,s,n)=>{const m=function(R){g.call(s,R)};return m.extension=E,c.event(m,void 0,n)}}async $onWillRunFileOperation(E,c,g,s){switch(E){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:c.map(n=>({oldUri:_.URI.revive(n.source),newUri:_.URI.revive(n.target)}))},g,s);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:c.map(n=>_.URI.revive(n.target))},g,s);case 0:return await this._fireWillEvent(this._onWillCreateFile,{files:c.map(n=>_.URI.revive(n.target))},g,s)}}async _fireWillEvent(E,c,g,s){const n=new Set,m=[];if(await E.fireAsync(c,s,async(R,h)=>{const f=Date.now(),v=await Promise.resolve(R);v instanceof P.WorkspaceEdit&&(m.push(v),n.add(h.extension.displayName??h.extension.identifier.value)),Date.now()-f>g&&this._logService.warn("SLOW file-participant",h.extension.identifier)}),s.isCancellationRequested||m.length===0)return;const w={edits:[]};for(let R of m){let{edits:h}=y.WorkspaceEdit.from(R,{getTextDocumentVersion:f=>this._extHostDocumentsAndEditors.getDocument(f)?.version,getNotebookDocumentVersion:()=>{}});w.edits=w.edits.concat(h)}return{edit:w,extensionNames:Array.from(n)}}}e.ExtHostFileSystemEventService=L}),define(Ee[188],be([1,0,2,39]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostInteractive=void 0;class _{constructor(y,P,C,L){this._extHostNotebooks=P,this._textDocumentsAndEditors=C,this._commands=L;const M=new I.ApiCommand("interactive.open","_interactive.open","Open interactive window and return notebook editor and input URI",[new I.ApiCommandArgument("showOptions","Show Options",E=>!0,E=>E),new I.ApiCommandArgument("resource","Interactive resource Uri",E=>!0,E=>E),new I.ApiCommandArgument("controllerId","Notebook controller Id",E=>!0,E=>E),new I.ApiCommandArgument("title","Interactive editor title",E=>!0,E=>E)],new I.ApiCommandResult("Notebook and input URI",E=>{if(E.notebookEditorId!==void 0){const c=this._extHostNotebooks.getEditorById(E.notebookEditorId);return{notebookUri:o.URI.revive(E.notebookUri),inputUri:o.URI.revive(E.inputUri),notebookEditor:c.apiEditor}}return{notebookUri:o.URI.revive(E.notebookUri),inputUri:o.URI.revive(E.inputUri)}}));this._commands.registerApiCommand(M)}$willAddInteractiveDocument(y,P,C,L){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:[{EOL:P,lines:[""],languageId:C,uri:y,isDirty:!1,versionId:1,notebook:this._extHostNotebooks.getNotebookDocument(o.URI.revive(L))?.apiNotebook}]})}$willRemoveInteractiveDocument(y,P){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({removedDocuments:[y]})}}e.ExtHostInteractive=_}),define(Ee[189],be([1,0,6,4]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class _{constructor(y){this._handlePool=0,this._proxy=y.getProxy(I.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(y){const P=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(P,y),(0,o.toDisposable)(()=>{this._proxy.$unregisterResourceLabelFormatter(P)})}}e.ExtHostLabelService=_}),define(Ee[190],be([1,0,2,26,8,7,4,10,49,16,11,232,20,6,75,54,58,191,15,5,13]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m,w,R,h,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.InlineCompletionController=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class v{constructor(N,F){this._documents=N,this._provider=F}async provideDocumentSymbols(N,F){const D=this._documents.getDocument(N),O=await this._provider.provideDocumentSymbols(D,F);if(!(0,L.isFalsyOrEmpty)(O))return O[0]instanceof B.DocumentSymbol?O.map(_.DocumentSymbol.from):v._asDocumentSymbolTree(O)}static _asDocumentSymbolTree(N){N=N.slice(0).sort((O,x)=>{let X=O.location.range.start.compareTo(x.location.range.start);return X===0&&(X=x.location.range.end.compareTo(O.location.range.end)),X});const F=[],D=[];for(const O of N){const x={name:O.name||"!!MISSING: name!!",kind:_.SymbolKind.from(O.kind),tags:O.tags?.map(_.SymbolTag.from)||[],detail:"",containerName:O.containerName,range:_.Range.from(O.location.range),selectionRange:_.Range.from(O.location.range),children:[]};for(;;){if(D.length===0){D.push(x),F.push(x);break}const X=D[D.length-1];if(C.Range.containsRange(X.range,x.range)&&!C.Range.equalsRange(X.range,x.range)){X.children&&X.children.push(x),D.push(x);break}D.pop()}}return F}}class r{constructor(N,F,D){this._documents=N,this._commands=F,this._provider=D,this._cache=new m.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses(N,F){const D=this._documents.getDocument(N),O=await this._provider.provideCodeLenses(D,F);if(!O||F.isCancellationRequested)return;const x=this._cache.add(O),X=new g.DisposableStore;this._disposables.set(x,X);const re={cacheId:x,lenses:[]};for(let ve=0;ve<O.length;ve++)re.lenses.push({cacheId:[x,ve],range:_.Range.from(O[ve].range),command:this._commands.toInternal(O[ve].command,X)});return re}async resolveCodeLens(N,F){const D=N.cacheId&&this._cache.get(...N.cacheId);if(!D)return;let O;if(typeof this._provider.resolveCodeLens!="function"||D.isResolved?O=D:O=await this._provider.resolveCodeLens(D,F),O||(O=D),F.isCancellationRequested)return;const x=N.cacheId&&this._disposables.get(N.cacheId[0]);if(!!x)return N.command=this._commands.toInternal(O.command??r._badCmd,x),N}releaseCodeLenses(N){this._disposables.get(N)?.dispose(),this._disposables.delete(N),this._cache.delete(N)}}r._badCmd={command:"missing",title:"!!MISSING: command!!"};function T(ue){return Array.isArray(ue)?ue.map(_.DefinitionLink.from):ue?[_.DefinitionLink.from(ue)]:[]}class l{constructor(N,F){this._documents=N,this._provider=F}async provideDefinition(N,F,D){const O=this._documents.getDocument(N),x=_.Position.to(F),X=await this._provider.provideDefinition(O,x,D);return T(X)}}class i{constructor(N,F){this._documents=N,this._provider=F}async provideDeclaration(N,F,D){const O=this._documents.getDocument(N),x=_.Position.to(F),X=await this._provider.provideDeclaration(O,x,D);return T(X)}}class u{constructor(N,F){this._documents=N,this._provider=F}async provideImplementation(N,F,D){const O=this._documents.getDocument(N),x=_.Position.to(F),X=await this._provider.provideImplementation(O,x,D);return T(X)}}class t{constructor(N,F){this._documents=N,this._provider=F}async provideTypeDefinition(N,F,D){const O=this._documents.getDocument(N),x=_.Position.to(F),X=await this._provider.provideTypeDefinition(O,x,D);return T(X)}}class a{constructor(N,F){this._documents=N,this._provider=F}async provideHover(N,F,D){const O=this._documents.getDocument(N),x=_.Position.to(F),X=await this._provider.provideHover(O,x,D);if(!(!X||(0,L.isFalsyOrEmpty)(X.contents)))return X.range||(X.range=O.getWordRangeAtPosition(x)),X.range||(X.range=new B.Range(x,x)),_.Hover.from(X)}}class p{constructor(N,F){this._documents=N,this._provider=F}async provideEvaluatableExpression(N,F,D){const O=this._documents.getDocument(N),x=_.Position.to(F),X=await this._provider.provideEvaluatableExpression(O,x,D);if(X)return _.EvaluatableExpression.from(X)}}class d{constructor(N,F){this._documents=N,this._provider=F}async provideInlineValues(N,F,D,O){const x=this._documents.getDocument(N),X=await this._provider.provideInlineValues(x,_.Range.to(F),_.InlineValueContext.to(D),O);if(Array.isArray(X))return X.map(re=>_.InlineValue.from(re))}}class S{constructor(N,F){this._documents=N,this._provider=F}async provideDocumentHighlights(N,F,D){const O=this._documents.getDocument(N),x=_.Position.to(F),X=await this._provider.provideDocumentHighlights(O,x,D);if(Array.isArray(X))return X.map(_.DocumentHighlight.from)}}class k{constructor(N,F){this._documents=N,this._provider=F}async provideLinkedEditingRanges(N,F,D){const O=this._documents.getDocument(N),x=_.Position.to(F),X=await this._provider.provideLinkedEditingRanges(O,x,D);if(X&&Array.isArray(X.ranges))return{ranges:(0,L.coalesce)(X.ranges.map(_.Range.from)),wordPattern:X.wordPattern}}}class A{constructor(N,F){this._documents=N,this._provider=F}async provideReferences(N,F,D,O){const x=this._documents.getDocument(N),X=_.Position.to(F),re=await this._provider.provideReferences(x,X,D,O);if(Array.isArray(re))return re.map(_.location.from)}}class W{constructor(N,F,D,O,x,X,re){this._documents=N,this._commands=F,this._diagnostics=D,this._provider=O,this._logService=x,this._extension=X,this._apiDeprecation=re,this._cache=new m.Cache("CodeAction"),this._disposables=new Map}async provideCodeActions(N,F,D,O){const x=this._documents.getDocument(N),X=E.Selection.isISelection(F)?_.Selection.to(F):_.Range.to(F),re=[];for(const xe of this._diagnostics.getDiagnostics(N))if(X.intersection(xe.range)&&re.push(xe)>W._maxCodeActionsPerFile)break;const ve={diagnostics:re,only:D.only?new B.CodeActionKind(D.only):void 0,triggerKind:_.CodeActionTriggerKind.to(D.trigger)},Ie=await this._provider.provideCodeActions(x,X,ve,O);if(!(0,L.isNonEmptyArray)(Ie)||O.isCancellationRequested)return;const Me=this._cache.add(Ie),Le=new g.DisposableStore;this._disposables.set(Me,Le);const ze=[];for(let xe=0;xe<Ie.length;xe++){const Re=Ie[xe];!Re||(W._isCommand(Re)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),ze.push({_isSynthetic:!0,title:Re.title,command:this._commands.toInternal(Re,Le)})):(ve.only&&(Re.kind?ve.only.contains(Re.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${ve.only.value} 'requested but returned code action is of kind '${Re.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${ve.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),ze.push({cacheId:[Me,xe],title:Re.title,command:Re.command&&this._commands.toInternal(Re.command,Le),diagnostics:Re.diagnostics&&Re.diagnostics.map(_.Diagnostic.from),edit:Re.edit&&_.WorkspaceEdit.from(Re.edit),kind:Re.kind&&Re.kind.value,isPreferred:Re.isPreferred,disabled:Re.disabled?.reason})))}return{cacheId:Me,actions:ze}}async resolveCodeAction(N,F){const[D,O]=N,x=this._cache.get(D,O);if(!x||W._isCommand(x)||!this._provider.resolveCodeAction)return;const X=await this._provider.resolveCodeAction(x,F)??x;return X?.edit?_.WorkspaceEdit.from(X.edit):void 0}releaseCodeActions(N){this._disposables.get(N)?.dispose(),this._disposables.delete(N),this._cache.delete(N)}static _isCommand(N){return typeof N.command=="string"&&typeof N.title=="string"}}W._maxCodeActionsPerFile=1e3;class b{constructor(N,F){this._documents=N,this._provider=F}async provideDocumentFormattingEdits(N,F,D){const O=this._documents.getDocument(N),x=await this._provider.provideDocumentFormattingEdits(O,F,D);if(Array.isArray(x))return x.map(_.TextEdit.from)}}class H{constructor(N,F){this._documents=N,this._provider=F}async provideDocumentRangeFormattingEdits(N,F,D,O){const x=this._documents.getDocument(N),X=_.Range.to(F),re=await this._provider.provideDocumentRangeFormattingEdits(x,X,D,O);if(Array.isArray(re))return re.map(_.TextEdit.from)}}class q{constructor(N,F){this._documents=N,this._provider=F,this.autoFormatTriggerCharacters=[]}async provideOnTypeFormattingEdits(N,F,D,O,x){const X=this._documents.getDocument(N),re=_.Position.to(F),ve=await this._provider.provideOnTypeFormattingEdits(X,re,D,O,x);if(Array.isArray(ve))return ve.map(_.TextEdit.from)}}class ${constructor(N,F){this._provider=N,this._logService=F,this._cache=new m.Cache("WorkspaceSymbols")}async provideWorkspaceSymbols(N,F){const D=await this._provider.provideWorkspaceSymbols(N,F);if(!(0,L.isNonEmptyArray)(D))return{symbols:[]};const O=this._cache.add(D),x={cacheId:O,symbols:[]};for(let X=0;X<D.length;X++){const re=D[X];if(!re||!re.name){this._logService.warn("INVALID SymbolInformation",re);continue}x.symbols.push({..._.WorkspaceSymbol.from(re),cacheId:[O,X]})}return x}async resolveWorkspaceSymbol(N,F){if(typeof this._provider.resolveWorkspaceSymbol!="function"||!N.cacheId)return N;const D=this._cache.get(...N.cacheId);if(D){const O=await this._provider.resolveWorkspaceSymbol(D,F);return O&&(0,I.mixin)(N,_.WorkspaceSymbol.from(O),!0)}}releaseWorkspaceSymbols(N){this._cache.delete(N)}}class j{constructor(N,F,D){this._documents=N,this._provider=F,this._logService=D}static supportsResolving(N){return typeof N.prepareRename=="function"}async provideRenameEdits(N,F,D,O){const x=this._documents.getDocument(N),X=_.Position.to(F);try{const re=await this._provider.provideRenameEdits(x,X,D,O);return re?_.WorkspaceEdit.from(re):void 0}catch(re){const ve=j._asMessage(re);return ve?{rejectReason:ve,edits:void 0}:Promise.reject(re)}}async resolveRenameLocation(N,F,D){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const O=this._documents.getDocument(N),x=_.Position.to(F);try{const X=await this._provider.prepareRename(O,x,D);let re,ve;if(B.Range.isRange(X)?(re=X,ve=O.getText(X)):(0,M.isObject)(X)&&(re=X.range,ve=X.placeholder),!re||!ve)return;if(re.start.line>x.line||re.end.line<x.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:_.Range.from(re),text:ve}}catch(X){const re=j._asMessage(X);return re?{rejectReason:re,range:void 0,text:void 0}:Promise.reject(X)}}static _asMessage(N){return typeof N=="string"?N:N instanceof Error&&typeof N.message=="string"?N.message:void 0}}class J{constructor(N,F){this.resultId=N,this.tokens=F}}class z{constructor(N,F){this._documents=N,this._provider=F,this._nextResultId=1,this._previousResults=new Map}async provideDocumentSemanticTokens(N,F,D){const O=this._documents.getDocument(N),x=F!==0?this._previousResults.get(F):null;let X=typeof x?.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?await this._provider.provideDocumentSemanticTokensEdits(O,x.resultId,D):await this._provider.provideDocumentSemanticTokens(O,D);return x&&this._previousResults.delete(F),X?(X=z._fixProvidedSemanticTokens(X),this._send(z._convertToEdits(x,X),X)):null}async releaseDocumentSemanticColoring(N){this._previousResults.delete(N)}static _fixProvidedSemanticTokens(N){return z._isSemanticTokens(N)?z._isCorrectSemanticTokens(N)?N:new B.SemanticTokens(new Uint32Array(N.data),N.resultId):z._isSemanticTokensEdits(N)?z._isCorrectSemanticTokensEdits(N)?N:new B.SemanticTokensEdits(N.edits.map(F=>new B.SemanticTokensEdit(F.start,F.deleteCount,F.data?new Uint32Array(F.data):F.data)),N.resultId):N}static _isSemanticTokens(N){return N&&!!N.data}static _isCorrectSemanticTokens(N){return N.data instanceof Uint32Array}static _isSemanticTokensEdits(N){return N&&Array.isArray(N.edits)}static _isCorrectSemanticTokensEdits(N){for(const F of N.edits)if(!(F.data instanceof Uint32Array))return!1;return!0}static _convertToEdits(N,F){if(!z._isSemanticTokens(F)||!N||!N.tokens)return F;const D=N.tokens,O=D.length,x=F.data,X=x.length;let re=0;const ve=Math.min(O,X);for(;re<ve&&D[re]===x[re];)re++;if(re===O&&re===X)return new B.SemanticTokensEdits([],F.resultId);let Ie=0;const Me=ve-re;for(;Ie<Me&&D[O-Ie-1]===x[X-Ie-1];)Ie++;return new B.SemanticTokensEdits([{start:re,deleteCount:O-re-Ie,data:x.subarray(re,X-Ie)}],F.resultId)}_send(N,F){if(z._isSemanticTokens(N)){const D=this._nextResultId++;return this._previousResults.set(D,new J(N.resultId,N.data)),(0,s.encodeSemanticTokensDto)({id:D,type:"full",data:N.data})}if(z._isSemanticTokensEdits(N)){const D=this._nextResultId++;return z._isSemanticTokens(F)?this._previousResults.set(D,new J(F.resultId,F.data)):this._previousResults.set(D,new J(N.resultId)),(0,s.encodeSemanticTokensDto)({id:D,type:"delta",deltas:(N.edits||[]).map(O=>({start:O.start,deleteCount:O.deleteCount,data:O.data}))})}return null}}e.DocumentSemanticTokensAdapter=z;class ie{constructor(N,F){this._documents=N,this._provider=F}async provideDocumentRangeSemanticTokens(N,F,D){const O=this._documents.getDocument(N),x=await this._provider.provideDocumentRangeSemanticTokens(O,_.Range.to(F),D);return x?this._send(x):null}_send(N){return(0,s.encodeSemanticTokensDto)({id:0,type:"full",data:N.data})}}e.DocumentRangeSemanticTokensAdapter=ie;class ae{constructor(N,F,D,O,x){this._documents=N,this._commands=F,this._provider=D,this._apiDeprecation=O,this._extension=x,this._cache=new m.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving(N){return typeof N.resolveCompletionItem=="function"}async provideCompletionItems(N,F,D,O){const x=this._documents.getDocument(N),X=_.Position.to(F),re=x.getWordRangeAtPosition(X)||new B.Range(X,X),ve=re.with({end:X}),Ie=new w.StopWatch(!0),Me=await this._provider.provideCompletionItems(x,X,O,_.CompletionContext.to(D));if(!Me||O.isCancellationRequested)return;const Le=Array.isArray(Me)?new B.CompletionList(Me):Me,ze=ae.supportsResolving(this._provider)?this._cache.add(Le.items):this._cache.add([]),xe=new g.DisposableStore;this._disposables.set(ze,xe);const Re=[],Qe={x:ze,b:Re,a:{replace:_.Range.from(re),insert:_.Range.from(ve)},c:Le.isIncomplete||void 0,d:Ie.elapsed()};for(let tt=0;tt<Le.items.length;tt++){const Te=Le.items[tt],it=this._convertCompletionItem(Te,[ze,tt],ve,re);Re.push(it)}return Qe}async resolveCompletionItem(N,F){if(typeof this._provider.resolveCompletionItem!="function")return;const D=this._cache.get(...N);if(!D)return;const O=await this._provider.resolveCompletionItem(D,F);if(!!O)return this._convertCompletionItem(O,N)}releaseCompletionItems(N){this._disposables.get(N)?.dispose(),this._disposables.delete(N),this._cache.delete(N)}_convertCompletionItem(N,F,D,O){const x=this._disposables.get(F[0]);if(!x)throw Error("DisposableStore is missing...");const X={x:F,a:N.label,b:N.kind!==void 0?_.CompletionItemKind.from(N.kind):void 0,n:N.tags&&N.tags.map(_.CompletionItemTag.from),c:N.detail,d:typeof N.documentation=="undefined"?void 0:_.MarkdownString.fromStrict(N.documentation),e:N.sortText!==N.label?N.sortText:void 0,f:N.filterText!==N.label?N.filterText:void 0,g:N.preselect||void 0,i:N.keepWhitespace?1:0,k:N.commitCharacters,l:N.additionalTextEdits&&N.additionalTextEdits.map(_.TextEdit.from),m:this._commands.toInternal(N.command,x)};N.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),X.h=N.textEdit.newText):typeof N.insertText=="string"?X.h=N.insertText:N.insertText instanceof B.SnippetString&&(X.h=N.insertText.value,X.i|=4);let re;return N.textEdit?re=N.textEdit.range:N.range&&(re=N.range),B.Range.isRange(re)?X.j=_.Range.from(re):re&&(!D?.isEqual(re.inserting)||!O?.isEqual(re.replacing))&&(X.j={insert:_.Range.from(re.inserting),replace:_.Range.from(re.replacing)}),X}}class te{constructor(N,F,D){this._documents=N,this._provider=F,this._commands=D,this._cache=new m.Cache("InlineCompletionItem"),this._disposables=new Map}async provideInlineCompletions(N,F,D,O){const x=this._documents.getDocument(N),X=_.Position.to(F),re=await this._provider.provideInlineCompletionItems(x,X,{selectedCompletionInfo:D.selectedSuggestionInfo?{range:_.Range.to(D.selectedSuggestionInfo.range),text:D.selectedSuggestionInfo.text,isSnippetText:D.selectedSuggestionInfo.isSnippetText,completionKind:_.CompletionItemKind.to(D.selectedSuggestionInfo.completionKind)}:void 0,triggerKind:D.triggerKind},O);if(!re||O.isCancellationRequested)return;const ve=(0,M.isArray)(re)?re:re.items,Ie=this._cache.add(ve);let Me;return{pid:Ie,items:ve.map((Le,ze)=>{let xe;Le.command&&(Me||(Me=new g.DisposableStore,this._disposables.set(Ie,Me)),xe=this._commands.toInternal(Le.command,Me));const Re=Le.insertText??Le.text;if(Re===void 0)throw new Error("text or insertText must be defined");return{text:Re,range:Le.range?_.Range.from(Le.range):void 0,command:xe,idx:ze,completeBracketPairs:Le.completeBracketPairs}})}}disposeCompletions(N){this._cache.delete(N);const F=this._disposables.get(N);F&&F.clear(),this._disposables.delete(N)}handleDidShowCompletionItem(N,F){const D=this._cache.get(N,F);D&&ce.get(this._provider).fireOnDidShowCompletionItem({completionItem:D})}}class ce{constructor(){this._onDidShowCompletionItemEmitter=new h.Emitter,this.onDidShowCompletionItem=this._onDidShowCompletionItemEmitter.event}static get(N){let F=ce.map.get(N);return F||(F=new ce,ce.map.set(N,F)),F}fireOnDidShowCompletionItem(N){this._onDidShowCompletionItemEmitter.fire(N)}}e.InlineCompletionController=ce,ce.map=new WeakMap;class de{constructor(N,F){this._documents=N,this._provider=F,this._cache=new m.Cache("SignatureHelp")}async provideSignatureHelp(N,F,D,O){const x=this._documents.getDocument(N),X=_.Position.to(F),re=this.reviveContext(D),ve=await this._provider.provideSignatureHelp(x,X,O,re);if(ve){const Ie=this._cache.add([ve]);return{..._.SignatureHelp.from(ve),id:Ie}}}reviveContext(N){let F;if(N.activeSignatureHelp){const D=_.SignatureHelp.to(N.activeSignatureHelp),O=this._cache.get(N.activeSignatureHelp.id,0);O?(F=O,F.activeSignature=D.activeSignature,F.activeParameter=D.activeParameter):F=D}return{...N,activeSignatureHelp:F}}releaseSignatureHelp(N){this._cache.delete(N)}}class Se{constructor(N,F,D,O,x){this._documents=N,this._commands=F,this._provider=D,this._logService=O,this._extension=x,this._cache=new m.Cache("InlayHints"),this._disposables=new Map}async provideInlayHints(N,F,D){const O=this._documents.getDocument(N),x=_.Range.to(F),X=await this._provider.provideInlayHints(O,x,D);if(!Array.isArray(X)||X.length===0){this._logService.trace(`[InlayHints] NO inlay hints from '${this._extension.identifier.value}' for ${F}`);return}if(D.isCancellationRequested)return;const re=this._cache.add(X);this._disposables.set(re,new g.DisposableStore);const ve={hints:[],cacheId:re};for(let Ie=0;Ie<X.length;Ie++)this._isValidInlayHint(X[Ie],x)&&ve.hints.push(this._convertInlayHint(X[Ie],[re,Ie]));return this._logService.trace(`[InlayHints] ${ve.hints.length} inlay hints from '${this._extension.identifier.value}' for ${F}`),ve}async resolveInlayHint(N,F){if(typeof this._provider.resolveInlayHint!="function")return;const D=this._cache.get(...N);if(!D)return;const O=await this._provider.resolveInlayHint(D,F);if(!!O&&!!this._isValidInlayHint(O))return this._convertInlayHint(O,N)}releaseHints(N){this._disposables.get(N)?.dispose(),this._disposables.delete(N),this._cache.delete(N)}_isValidInlayHint(N,F){return N.label.length===0||Array.isArray(N.label)&&N.label.every(D=>D.value.length===0)?(console.log("INVALID inlay hint, empty label",N),!1):!(F&&!F.contains(N.position))}_convertInlayHint(N,F){const D=this._disposables.get(F[0]);if(!D)throw Error("DisposableStore is missing...");const O={label:"",cacheId:F,tooltip:_.MarkdownString.fromStrict(N.tooltip),command:N.command&&this._commands.toInternal(N.command,D),position:_.Position.from(N.position),kind:N.kind&&_.InlayHintKind.from(N.kind),paddingLeft:N.paddingLeft,paddingRight:N.paddingRight};return typeof N.label=="string"?O.label=N.label:O.label=N.label.map(x=>{let X={label:x.value};return X.tooltip=_.MarkdownString.fromStrict(x.tooltip),B.Location.isLocation(x.location)&&(X.location=_.location.from(x.location)),x.command&&(X.command=this._commands.toInternal(x.command,D)),X}),O}}class fe{constructor(N,F){this._documents=N,this._provider=F,this._cache=new m.Cache("DocumentLink")}async provideLinks(N,F){const D=this._documents.getDocument(N),O=await this._provider.provideDocumentLinks(D,F);if(!(!Array.isArray(O)||O.length===0)&&!F.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:O.filter(fe._validateLink).map(_.DocumentLink.from)};{const x=this._cache.add(O),X={links:[],cacheId:x};for(let re=0;re<O.length;re++){if(!fe._validateLink(O[re]))continue;const ve=_.DocumentLink.from(O[re]);ve.cacheId=[x,re],X.links.push(ve)}return X}}}static _validateLink(N){return N.target&&N.target.path.length>5e4?(console.warn("DROPPING link because it is too long"),!1):!0}async resolveLink(N,F){if(typeof this._provider.resolveDocumentLink!="function")return;const D=this._cache.get(...N);if(!D)return;const O=await this._provider.resolveDocumentLink(D,F);if(!(!O||!fe._validateLink(O)))return _.DocumentLink.from(O)}releaseLinks(N){this._cache.delete(N)}}class ne{constructor(N,F){this._documents=N,this._provider=F}async provideColors(N,F){const D=this._documents.getDocument(N),O=await this._provider.provideDocumentColors(D,F);return Array.isArray(O)?O.map(X=>({color:_.Color.from(X.color),range:_.Range.from(X.range)})):[]}async provideColorPresentations(N,F,D){const O=this._documents.getDocument(N),x=_.Range.to(F.range),X=_.Color.to(F.color),re=await this._provider.provideColorPresentations(X,{document:O,range:x},D);if(!!Array.isArray(re))return re.map(_.ColorPresentation.from)}}class me{constructor(N,F){this._documents=N,this._provider=F}async provideFoldingRanges(N,F,D){const O=this._documents.getDocument(N),x=await this._provider.provideFoldingRanges(O,F,D);if(!!Array.isArray(x))return x.map(_.FoldingRange.from)}}class ke{constructor(N,F,D){this._documents=N,this._provider=F,this._logService=D}async provideSelectionRanges(N,F,D){const O=this._documents.getDocument(N),x=F.map(_.Position.to),X=await this._provider.provideSelectionRanges(O,x,D);if(!(0,L.isNonEmptyArray)(X))return[];if(X.length!==x.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const re=[];for(let ve=0;ve<x.length;ve++){const Ie=[];re.push(Ie);let Me=x[ve],Le=X[ve];for(;;){if(!Le.range.contains(Me))throw new Error("INVALID selection range, must contain the previous range");if(Ie.push(_.SelectionRange.from(Le)),!Le.parent)break;Me=Le.range,Le=Le.parent}}return re}}class Ae{constructor(N,F){this._documents=N,this._provider=F,this._idPool=new n.IdGenerator(""),this._cache=new Map}async prepareSession(N,F,D){const O=this._documents.getDocument(N),x=_.Position.to(F),X=await this._provider.prepareCallHierarchy(O,x,D);if(!X)return;const re=this._idPool.nextId();return this._cache.set(re,new Map),Array.isArray(X)?X.map(ve=>this._cacheAndConvertItem(re,ve)):[this._cacheAndConvertItem(re,X)]}async provideCallsTo(N,F,D){const O=this._itemFromCache(N,F);if(!O)throw new Error("missing call hierarchy item");const x=await this._provider.provideCallHierarchyIncomingCalls(O,D);if(!!x)return x.map(X=>({from:this._cacheAndConvertItem(N,X.from),fromRanges:X.fromRanges.map(re=>_.Range.from(re))}))}async provideCallsFrom(N,F,D){const O=this._itemFromCache(N,F);if(!O)throw new Error("missing call hierarchy item");const x=await this._provider.provideCallHierarchyOutgoingCalls(O,D);if(!!x)return x.map(X=>({to:this._cacheAndConvertItem(N,X.to),fromRanges:X.fromRanges.map(re=>_.Range.from(re))}))}releaseSession(N){this._cache.delete(N)}_cacheAndConvertItem(N,F){const D=this._cache.get(N),O=_.CallHierarchyItem.from(F,N,D.size.toString(36));return D.set(O._itemId,F),O}_itemFromCache(N,F){return this._cache.get(N)?.get(F)}}class Be{constructor(N,F){this._documents=N,this._provider=F,this._idPool=new n.IdGenerator(""),this._cache=new Map}async prepareSession(N,F,D){const O=this._documents.getDocument(N),x=_.Position.to(F),X=await this._provider.prepareTypeHierarchy(O,x,D);if(!X)return;const re=this._idPool.nextId();return this._cache.set(re,new Map),Array.isArray(X)?X.map(ve=>this._cacheAndConvertItem(re,ve)):[this._cacheAndConvertItem(re,X)]}async provideSupertypes(N,F,D){const O=this._itemFromCache(N,F);if(!O)throw new Error("missing type hierarchy item");const x=await this._provider.provideTypeHierarchySupertypes(O,D);if(!!x)return x.map(X=>this._cacheAndConvertItem(N,X))}async provideSubtypes(N,F,D){const O=this._itemFromCache(N,F);if(!O)throw new Error("missing type hierarchy item");const x=await this._provider.provideTypeHierarchySubtypes(O,D);if(!!x)return x.map(X=>this._cacheAndConvertItem(N,X))}releaseSession(N){this._cache.delete(N)}_cacheAndConvertItem(N,F){const D=this._cache.get(N),O=_.TypeHierarchyItem.from(F,N,D.size.toString(36));return D.set(O._itemId,F),O}_itemFromCache(N,F){return this._cache.get(N)?.get(F)}}class Xe{constructor(N,F){this.adapter=N,this.extension=F}}class ge{constructor(N,F,D,O,x,X,re){this._adapter=new Map,this._uriTransformer=F,this._proxy=N.getProxy(y.MainContext.MainThreadLanguageFeatures),this._documents=D,this._commands=O,this._diagnostics=x,this._logService=X,this._apiDeprecation=re}_transformDocumentSelector(N){return _.DocumentSelector.from(N,this._uriTransformer)}_createDisposable(N){return new B.Disposable(()=>{this._adapter.delete(N),this._proxy.$unregister(N)})}_nextHandle(){return ge._handlePool++}async _withAdapter(N,F,D,O,x){const X=this._adapter.get(N);if(!X||!(X.adapter instanceof F))return O;const re=Date.now();this._logService.trace(`[${X.extension.identifier.value}] INVOKE provider '${D.toString().replace(/[\r\n]/g,"")}'`);const ve=D(X.adapter,X.extension);return Promise.resolve(ve).catch(Ie=>{(0,R.isCancellationError)(Ie)||(this._logService.error(`[${X.extension.identifier.value}] provider FAILED`),this._logService.error(Ie))}).finally(()=>{this._logService.trace(`[${X.extension.identifier.value}] provider DONE after ${Date.now()-re}ms`)}),c.CancellationToken.isCancellationToken(x)?(0,f.raceCancellationError)(ve,x):ve}_addNewAdapter(N,F){const D=this._nextHandle();return this._adapter.set(D,new Xe(N,F)),D}static _extLabel(N){return N.displayName||N.name}registerDocumentSymbolProvider(N,F,D,O){const x=this._addNewAdapter(new v(this._documents,D),N),X=O&&O.label||ge._extLabel(N);return this._proxy.$registerDocumentSymbolProvider(x,this._transformDocumentSelector(F),X),this._createDisposable(x)}$provideDocumentSymbols(N,F,D){return this._withAdapter(N,v,O=>O.provideDocumentSymbols(o.URI.revive(F),D),void 0,D)}registerCodeLensProvider(N,F,D){const O=this._nextHandle(),x=typeof D.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(O,new Xe(new r(this._documents,this._commands.converter,D),N)),this._proxy.$registerCodeLensSupport(O,this._transformDocumentSelector(F),x);let X=this._createDisposable(O);if(x!==void 0){const re=D.onDidChangeCodeLenses(ve=>this._proxy.$emitCodeLensEvent(x));X=B.Disposable.from(X,re)}return X}$provideCodeLenses(N,F,D){return this._withAdapter(N,r,O=>O.provideCodeLenses(o.URI.revive(F),D),void 0,D)}$resolveCodeLens(N,F,D){return this._withAdapter(N,r,O=>O.resolveCodeLens(F,D),void 0,void 0)}$releaseCodeLenses(N,F){this._withAdapter(N,r,D=>Promise.resolve(D.releaseCodeLenses(F)),void 0,void 0)}registerDefinitionProvider(N,F,D){const O=this._addNewAdapter(new l(this._documents,D),N);return this._proxy.$registerDefinitionSupport(O,this._transformDocumentSelector(F)),this._createDisposable(O)}$provideDefinition(N,F,D,O){return this._withAdapter(N,l,x=>x.provideDefinition(o.URI.revive(F),D,O),[],O)}registerDeclarationProvider(N,F,D){const O=this._addNewAdapter(new i(this._documents,D),N);return this._proxy.$registerDeclarationSupport(O,this._transformDocumentSelector(F)),this._createDisposable(O)}$provideDeclaration(N,F,D,O){return this._withAdapter(N,i,x=>x.provideDeclaration(o.URI.revive(F),D,O),[],O)}registerImplementationProvider(N,F,D){const O=this._addNewAdapter(new u(this._documents,D),N);return this._proxy.$registerImplementationSupport(O,this._transformDocumentSelector(F)),this._createDisposable(O)}$provideImplementation(N,F,D,O){return this._withAdapter(N,u,x=>x.provideImplementation(o.URI.revive(F),D,O),[],O)}registerTypeDefinitionProvider(N,F,D){const O=this._addNewAdapter(new t(this._documents,D),N);return this._proxy.$registerTypeDefinitionSupport(O,this._transformDocumentSelector(F)),this._createDisposable(O)}$provideTypeDefinition(N,F,D,O){return this._withAdapter(N,t,x=>x.provideTypeDefinition(o.URI.revive(F),D,O),[],O)}registerHoverProvider(N,F,D,O){const x=this._addNewAdapter(new a(this._documents,D),N);return this._proxy.$registerHoverProvider(x,this._transformDocumentSelector(F)),this._createDisposable(x)}$provideHover(N,F,D,O){return this._withAdapter(N,a,x=>x.provideHover(o.URI.revive(F),D,O),void 0,O)}registerEvaluatableExpressionProvider(N,F,D,O){const x=this._addNewAdapter(new p(this._documents,D),N);return this._proxy.$registerEvaluatableExpressionProvider(x,this._transformDocumentSelector(F)),this._createDisposable(x)}$provideEvaluatableExpression(N,F,D,O){return this._withAdapter(N,p,x=>x.provideEvaluatableExpression(o.URI.revive(F),D,O),void 0,O)}registerInlineValuesProvider(N,F,D,O){const x=typeof D.onDidChangeInlineValues=="function"?this._nextHandle():void 0,X=this._addNewAdapter(new d(this._documents,D),N);this._proxy.$registerInlineValuesProvider(X,this._transformDocumentSelector(F),x);let re=this._createDisposable(X);if(x!==void 0){const ve=D.onDidChangeInlineValues(Ie=>this._proxy.$emitInlineValuesEvent(x));re=B.Disposable.from(re,ve)}return re}$provideInlineValues(N,F,D,O,x){return this._withAdapter(N,d,X=>X.provideInlineValues(o.URI.revive(F),D,O,x),void 0,x)}registerDocumentHighlightProvider(N,F,D){const O=this._addNewAdapter(new S(this._documents,D),N);return this._proxy.$registerDocumentHighlightProvider(O,this._transformDocumentSelector(F)),this._createDisposable(O)}$provideDocumentHighlights(N,F,D,O){return this._withAdapter(N,S,x=>x.provideDocumentHighlights(o.URI.revive(F),D,O),void 0,O)}registerLinkedEditingRangeProvider(N,F,D){const O=this._addNewAdapter(new k(this._documents,D),N);return this._proxy.$registerLinkedEditingRangeProvider(O,this._transformDocumentSelector(F)),this._createDisposable(O)}$provideLinkedEditingRanges(N,F,D,O){return this._withAdapter(N,k,async x=>{const X=await x.provideLinkedEditingRanges(o.URI.revive(F),D,O);if(X)return{ranges:X.ranges,wordPattern:X.wordPattern?ge._serializeRegExp(X.wordPattern):void 0}},void 0,O)}registerReferenceProvider(N,F,D){const O=this._addNewAdapter(new A(this._documents,D),N);return this._proxy.$registerReferenceSupport(O,this._transformDocumentSelector(F)),this._createDisposable(O)}$provideReferences(N,F,D,O,x){return this._withAdapter(N,A,X=>X.provideReferences(o.URI.revive(F),D,O,x),void 0,x)}registerCodeActionProvider(N,F,D,O){const x=new g.DisposableStore,X=this._addNewAdapter(new W(this._documents,this._commands.converter,this._diagnostics,D,this._logService,N,this._apiDeprecation),N);return this._proxy.$registerQuickFixSupport(X,this._transformDocumentSelector(F),{providedKinds:O?.providedCodeActionKinds?.map(re=>re.value),documentation:O?.documentation?.map(re=>({kind:re.kind.value,command:this._commands.converter.toInternal(re.command,x)}))},ge._extLabel(N),Boolean(D.resolveCodeAction)),x.add(this._createDisposable(X)),x}$provideCodeActions(N,F,D,O,x){return this._withAdapter(N,W,X=>X.provideCodeActions(o.URI.revive(F),D,O,x),void 0,x)}$resolveCodeAction(N,F,D){return this._withAdapter(N,W,O=>O.resolveCodeAction(F,D),void 0,void 0)}$releaseCodeActions(N,F){this._withAdapter(N,W,D=>Promise.resolve(D.releaseCodeActions(F)),void 0,void 0)}registerDocumentFormattingEditProvider(N,F,D){const O=this._addNewAdapter(new b(this._documents,D),N);return this._proxy.$registerDocumentFormattingSupport(O,this._transformDocumentSelector(F),N.identifier,N.displayName||N.name),this._createDisposable(O)}$provideDocumentFormattingEdits(N,F,D,O){return this._withAdapter(N,b,x=>x.provideDocumentFormattingEdits(o.URI.revive(F),D,O),void 0,O)}registerDocumentRangeFormattingEditProvider(N,F,D){const O=this._addNewAdapter(new H(this._documents,D),N);return this._proxy.$registerRangeFormattingSupport(O,this._transformDocumentSelector(F),N.identifier,N.displayName||N.name),this._createDisposable(O)}$provideDocumentRangeFormattingEdits(N,F,D,O,x){return this._withAdapter(N,H,X=>X.provideDocumentRangeFormattingEdits(o.URI.revive(F),D,O,x),void 0,x)}registerOnTypeFormattingEditProvider(N,F,D,O){const x=this._addNewAdapter(new q(this._documents,D),N);return this._proxy.$registerOnTypeFormattingSupport(x,this._transformDocumentSelector(F),O,N.identifier),this._createDisposable(x)}$provideOnTypeFormattingEdits(N,F,D,O,x,X){return this._withAdapter(N,q,re=>re.provideOnTypeFormattingEdits(o.URI.revive(F),D,O,x,X),void 0,X)}registerWorkspaceSymbolProvider(N,F){const D=this._addNewAdapter(new $(F,this._logService),N);return this._proxy.$registerNavigateTypeSupport(D,typeof F.resolveWorkspaceSymbol=="function"),this._createDisposable(D)}$provideWorkspaceSymbols(N,F,D){return this._withAdapter(N,$,O=>O.provideWorkspaceSymbols(F,D),{symbols:[]},D)}$resolveWorkspaceSymbol(N,F,D){return this._withAdapter(N,$,O=>O.resolveWorkspaceSymbol(F,D),void 0,void 0)}$releaseWorkspaceSymbols(N,F){this._withAdapter(N,$,D=>D.releaseWorkspaceSymbols(F),void 0,void 0)}registerRenameProvider(N,F,D){const O=this._addNewAdapter(new j(this._documents,D,this._logService),N);return this._proxy.$registerRenameSupport(O,this._transformDocumentSelector(F),j.supportsResolving(D)),this._createDisposable(O)}$provideRenameEdits(N,F,D,O,x){return this._withAdapter(N,j,X=>X.provideRenameEdits(o.URI.revive(F),D,O,x),void 0,x)}$resolveRenameLocation(N,F,D,O){return this._withAdapter(N,j,x=>x.resolveRenameLocation(o.URI.revive(F),D,O),void 0,O)}registerDocumentSemanticTokensProvider(N,F,D,O){const x=this._addNewAdapter(new z(this._documents,D),N),X=typeof D.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._proxy.$registerDocumentSemanticTokensProvider(x,this._transformDocumentSelector(F),O,X);let re=this._createDisposable(x);if(X){const ve=D.onDidChangeSemanticTokens(Ie=>this._proxy.$emitDocumentSemanticTokensEvent(X));re=B.Disposable.from(re,ve)}return re}$provideDocumentSemanticTokens(N,F,D,O){return this._withAdapter(N,z,x=>x.provideDocumentSemanticTokens(o.URI.revive(F),D,O),null,O)}$releaseDocumentSemanticTokens(N,F){this._withAdapter(N,z,D=>D.releaseDocumentSemanticColoring(F),void 0,void 0)}registerDocumentRangeSemanticTokensProvider(N,F,D,O){const x=this._addNewAdapter(new ie(this._documents,D),N);return this._proxy.$registerDocumentRangeSemanticTokensProvider(x,this._transformDocumentSelector(F),O),this._createDisposable(x)}$provideDocumentRangeSemanticTokens(N,F,D,O){return this._withAdapter(N,ie,x=>x.provideDocumentRangeSemanticTokens(o.URI.revive(F),D,O),null,O)}registerCompletionItemProvider(N,F,D,O){const x=this._addNewAdapter(new ae(this._documents,this._commands.converter,D,this._apiDeprecation,N),N);return this._proxy.$registerSuggestSupport(x,this._transformDocumentSelector(F),O,ae.supportsResolving(D),`${N.identifier.value}(${O.join("")})`),this._createDisposable(x)}$provideCompletionItems(N,F,D,O,x){return this._withAdapter(N,ae,X=>X.provideCompletionItems(o.URI.revive(F),D,O,x),void 0,x)}$resolveCompletionItem(N,F,D){return this._withAdapter(N,ae,O=>O.resolveCompletionItem(F,D),void 0,D)}$releaseCompletionItems(N,F){this._withAdapter(N,ae,D=>D.releaseCompletionItems(F),void 0,void 0)}registerInlineCompletionsProvider(N,F,D){const O=this._addNewAdapter(new te(this._documents,D,this._commands.converter),N);return this._proxy.$registerInlineCompletionsSupport(O,this._transformDocumentSelector(F)),this._createDisposable(O)}$provideInlineCompletions(N,F,D,O,x){return this._withAdapter(N,te,X=>X.provideInlineCompletions(o.URI.revive(F),D,O,x),void 0,x)}$handleInlineCompletionDidShow(N,F,D){this._withAdapter(N,te,async O=>{O.handleDidShowCompletionItem(F,D)},void 0,void 0)}$freeInlineCompletionsList(N,F){this._withAdapter(N,te,async D=>{D.disposeCompletions(F)},void 0,void 0)}registerSignatureHelpProvider(N,F,D,O){const x=Array.isArray(O)?{triggerCharacters:O,retriggerCharacters:[]}:O,X=this._addNewAdapter(new de(this._documents,D),N);return this._proxy.$registerSignatureHelpProvider(X,this._transformDocumentSelector(F),x),this._createDisposable(X)}$provideSignatureHelp(N,F,D,O,x){return this._withAdapter(N,de,X=>X.provideSignatureHelp(o.URI.revive(F),D,O,x),void 0,x)}$releaseSignatureHelp(N,F){this._withAdapter(N,de,D=>D.releaseSignatureHelp(F),void 0,void 0)}registerInlayHintsProvider(N,F,D){const O=typeof D.onDidChangeInlayHints=="function"?this._nextHandle():void 0,x=this._addNewAdapter(new Se(this._documents,this._commands.converter,D,this._logService,N),N);this._proxy.$registerInlayHintsProvider(x,this._transformDocumentSelector(F),typeof D.resolveInlayHint=="function",O,ge._extLabel(N));let X=this._createDisposable(x);if(O!==void 0){const re=D.onDidChangeInlayHints(ve=>this._proxy.$emitInlayHintsEvent(O));X=B.Disposable.from(X,re)}return X}$provideInlayHints(N,F,D,O){return this._withAdapter(N,Se,x=>x.provideInlayHints(o.URI.revive(F),D,O),void 0,O)}$resolveInlayHint(N,F,D){return this._withAdapter(N,Se,O=>O.resolveInlayHint(F,D),void 0,D)}$releaseInlayHints(N,F){this._withAdapter(N,Se,D=>D.releaseHints(F),void 0,void 0)}registerDocumentLinkProvider(N,F,D){const O=this._addNewAdapter(new fe(this._documents,D),N);return this._proxy.$registerDocumentLinkProvider(O,this._transformDocumentSelector(F),typeof D.resolveDocumentLink=="function"),this._createDisposable(O)}$provideDocumentLinks(N,F,D){return this._withAdapter(N,fe,O=>O.provideLinks(o.URI.revive(F),D),void 0,D)}$resolveDocumentLink(N,F,D){return this._withAdapter(N,fe,O=>O.resolveLink(F,D),void 0,void 0)}$releaseDocumentLinks(N,F){this._withAdapter(N,fe,D=>D.releaseLinks(F),void 0,void 0)}registerColorProvider(N,F,D){const O=this._addNewAdapter(new ne(this._documents,D),N);return this._proxy.$registerDocumentColorProvider(O,this._transformDocumentSelector(F)),this._createDisposable(O)}$provideDocumentColors(N,F,D){return this._withAdapter(N,ne,O=>O.provideColors(o.URI.revive(F),D),[],D)}$provideColorPresentations(N,F,D,O){return this._withAdapter(N,ne,x=>x.provideColorPresentations(o.URI.revive(F),D,O),void 0,O)}registerFoldingRangeProvider(N,F,D){const O=this._nextHandle(),x=typeof D.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(O,new Xe(new me(this._documents,D),N)),this._proxy.$registerFoldingRangeProvider(O,this._transformDocumentSelector(F),x);let X=this._createDisposable(O);if(x!==void 0){const re=D.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(x));X=B.Disposable.from(X,re)}return X}$provideFoldingRanges(N,F,D,O){return this._withAdapter(N,me,x=>x.provideFoldingRanges(o.URI.revive(F),D,O),void 0,O)}registerSelectionRangeProvider(N,F,D){const O=this._addNewAdapter(new ke(this._documents,D,this._logService),N);return this._proxy.$registerSelectionRangeProvider(O,this._transformDocumentSelector(F)),this._createDisposable(O)}$provideSelectionRanges(N,F,D,O){return this._withAdapter(N,ke,x=>x.provideSelectionRanges(o.URI.revive(F),D,O),[],O)}registerCallHierarchyProvider(N,F,D){const O=this._addNewAdapter(new Ae(this._documents,D),N);return this._proxy.$registerCallHierarchyProvider(O,this._transformDocumentSelector(F)),this._createDisposable(O)}$prepareCallHierarchy(N,F,D,O){return this._withAdapter(N,Ae,x=>Promise.resolve(x.prepareSession(o.URI.revive(F),D,O)),void 0,O)}$provideCallHierarchyIncomingCalls(N,F,D,O){return this._withAdapter(N,Ae,x=>x.provideCallsTo(F,D,O),void 0,O)}$provideCallHierarchyOutgoingCalls(N,F,D,O){return this._withAdapter(N,Ae,x=>x.provideCallsFrom(F,D,O),void 0,O)}$releaseCallHierarchy(N,F){this._withAdapter(N,Ae,D=>Promise.resolve(D.releaseSession(F)),void 0,void 0)}registerTypeHierarchyProvider(N,F,D){const O=this._addNewAdapter(new Be(this._documents,D),N);return this._proxy.$registerTypeHierarchyProvider(O,this._transformDocumentSelector(F)),this._createDisposable(O)}$prepareTypeHierarchy(N,F,D,O){return this._withAdapter(N,Be,x=>Promise.resolve(x.prepareSession(o.URI.revive(F),D,O)),void 0,O)}$provideTypeHierarchySupertypes(N,F,D,O){return this._withAdapter(N,Be,x=>x.provideSupertypes(F,D,O),void 0,O)}$provideTypeHierarchySubtypes(N,F,D,O){return this._withAdapter(N,Be,x=>x.provideSubtypes(F,D,O),void 0,O)}$releaseTypeHierarchy(N,F){this._withAdapter(N,Be,D=>Promise.resolve(D.releaseSession(F)),void 0,void 0)}static _serializeRegExp(N){return{pattern:N.source,flags:(0,P.regExpFlags)(N)}}static _serializeIndentationRule(N){return{decreaseIndentPattern:ge._serializeRegExp(N.decreaseIndentPattern),increaseIndentPattern:ge._serializeRegExp(N.increaseIndentPattern),indentNextLinePattern:N.indentNextLinePattern?ge._serializeRegExp(N.indentNextLinePattern):void 0,unIndentedLinePattern:N.unIndentedLinePattern?ge._serializeRegExp(N.unIndentedLinePattern):void 0}}static _serializeOnEnterRule(N){return{beforeText:ge._serializeRegExp(N.beforeText),afterText:N.afterText?ge._serializeRegExp(N.afterText):void 0,previousLineText:N.previousLineText?ge._serializeRegExp(N.previousLineText):void 0,action:N.action}}static _serializeOnEnterRules(N){return N.map(ge._serializeOnEnterRule)}setLanguageConfiguration(N,F,D){let{wordPattern:O}=D;if(O&&(0,P.regExpLeadsToEndlessLoop)(O))throw new Error(`Invalid language configuration: wordPattern '${O}' is not allowed to match the empty string.`);O?this._documents.setWordDefinitionFor(F,O):this._documents.setWordDefinitionFor(F,void 0),D.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",N,"Do not use."),D.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",N,"Do not use.");const x=this._nextHandle(),X={comments:D.comments,brackets:D.brackets,wordPattern:D.wordPattern?ge._serializeRegExp(D.wordPattern):void 0,indentationRules:D.indentationRules?ge._serializeIndentationRule(D.indentationRules):void 0,onEnterRules:D.onEnterRules?ge._serializeOnEnterRules(D.onEnterRules):void 0,__electricCharacterSupport:D.__electricCharacterSupport,__characterPairSupport:D.__characterPairSupport};return this._proxy.$setLanguageConfiguration(x,F,X),this._createDisposable(x)}$setWordDefinitions(N){for(const F of N)this._documents.setWordDefinitionFor(F.languageId,new RegExp(F.regexSource,F.regexFlags))}}e.ExtHostLanguageFeatures=ge,ge._handlePool=0}),define(Ee[192],be([1,0,4,8,7,34,13,6]),function(Y,e,o,I,_,B,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class C{constructor(M,E,c,g){this._documents=E,this._commands=c,this._uriTransformer=g,this._languageIds=[],this._handlePool=0,this._ids=new Set,this._proxy=M.getProxy(o.MainContext.MainThreadLanguages)}$acceptLanguageIds(M){this._languageIds=M}async getLanguages(){return this._languageIds.slice(0)}async changeLanguage(M,E){await this._proxy.$changeLanguage(M,E);const c=this._documents.getDocumentData(M);if(!c)throw new Error(`document '${M.toString}' NOT found`);return c.document}async tokenAtPosition(M,E){const c=M.version,g=I.Position.from(E),s=await this._proxy.$tokensAtPosition(M.uri,g),n={type:_.StandardTokenType.Other,range:M.getWordRangeAtPosition(E)??new _.Range(E.line,E.character,E.line,E.character)};if(!s)return n;const m={range:I.Range.to(s.range),type:I.TokenType.to(s.type)};return!m.range.contains(E)||c!==M.version?n:m}createLanguageStatusItem(M,E,c){const g=this._handlePool++,s=this._proxy,n=this._ids,m=`${M.identifier.value}/${E}`;if(n.has(m))throw new Error(`LanguageStatusItem with id '${E}' ALREADY exists`);n.add(m);const w={selector:c,id:E,name:M.displayName??M.name,severity:_.LanguageStatusSeverity.Information,command:void 0,text:"",detail:"",busy:!1};let R,h=new P.DisposableStore;const f=()=>{R?.dispose(),R=(0,y.disposableTimeout)(()=>{h.clear(),this._proxy.$setLanguageStatus(g,{id:m,name:w.name??M.displayName??M.name,source:M.displayName??M.name,selector:I.DocumentSelector.from(w.selector,this._uriTransformer),label:w.text,detail:w.detail??"",severity:w.severity===_.LanguageStatusSeverity.Error?B.default.Error:w.severity===_.LanguageStatusSeverity.Warning?B.default.Warning:B.default.Info,command:w.command&&this._commands.toInternal(w.command,h),accessibilityInfo:w.accessibilityInformation,busy:w.busy})},0)},v={dispose(){h.dispose(),R?.dispose(),s.$removeLanguageStatus(g),n.delete(m)},get id(){return w.id},get name(){return w.name},set name(r){w.name=r,f()},get selector(){return w.selector},set selector(r){w.selector=r,f()},get text(){return w.text},set text(r){w.text=r,f()},get detail(){return w.detail},set detail(r){w.detail=r,f()},get severity(){return w.severity},set severity(r){w.severity=r,f()},get accessibilityInformation(){return w.accessibilityInformation},set accessibilityInformation(r){w.accessibilityInformation=r,f()},get command(){return w.command},set command(r){w.command=r,f()},get busy(){return w.busy},set busy(r){w.busy=r,f()}};return f(),v}}e.ExtHostLanguages=C}),define(Ee[193],be([1,0,12,4,27,14,5]),function(Y,e,o,I,_,B,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLoggerService=void 0;let P=class extends o.AbstractLoggerService{constructor(M,E){const c=new y.Emitter;super(E.logLevel,c.event);this._proxy=M.getProxy(I.MainContext.MainThreadLogger),this._onDidChangeLogLevel=this._register(c)}$setLevel(M){this._onDidChangeLogLevel.fire(M)}doCreateLogger(M,E,c){return new C(this._proxy,M,E,c)}};P=Fe([Ne(0,B.IExtHostRpcService),Ne(1,_.IExtHostInitDataService)],P),e.ExtHostLoggerService=P;class C extends o.AbstractMessageLogger{constructor(M,E,c,g){super(g?.always);this.proxy=M,this.file=E,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(c),this.proxy.$createLogger(E,g).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(M,E){const c=[[M,E]];this.isLoggerCreated?this.doLog(c):this.buffer.push(...c)}doLog(M){this.proxy.$log(this.file,M)}}}),define(Ee[194],be([1,0,4,12,28]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function B(P){return P&&P.title}let y=class{constructor(C,L){this._logService=L,this._proxy=C.getProxy(o.MainContext.MainThreadMessageService)}showMessage(C,L,M,E,c){const g={source:{identifier:C.identifier,label:C.displayName||C.name}};let s;typeof E=="string"||B(E)?s=[E,...c]:(g.modal=E?.modal,g.useCustom=E?.useCustom,g.detail=E?.detail,s=c),g.useCustom&&(0,_.checkProposedApiEnabled)(C,"resolvers");const n=[];for(let m=0;m<s.length;m++){const w=s[m];if(typeof w=="string")n.push({title:w,handle:m,isCloseAffordance:!1});else if(typeof w=="object"){let{title:R,isCloseAffordance:h}=w;n.push({title:R,isCloseAffordance:!!h,handle:m})}else this._logService.warn("Invalid message item:",w)}return this._proxy.$showMessage(L,M,g,n).then(m=>{if(typeof m=="number")return s[m]})}};y=Fe([Ne(1,I.ILogService)],y),e.ExtHostMessageService=y}),define(Ee[195],be([1,0,21,5,93,6,22,10,11,2,58,4,8,7,38,169,89]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookController=void 0;class w{constructor(h,f,v,r,T){this._textDocumentsAndEditors=v,this._textDocuments=r,this._extensionStoragePaths=T,this._notebookContentProviders=new Map,this._notebookStatusBarItemProviders=new Map,this._documents=new y.ResourceMap,this._editors=new Map,this._onDidChangeNotebookCells=new I.Emitter,this.onDidChangeNotebookCells=this._onDidChangeNotebookCells.event,this._onDidChangeCellOutputs=new I.Emitter,this.onDidChangeCellOutputs=this._onDidChangeCellOutputs.event,this._onDidChangeCellMetadata=new I.Emitter,this.onDidChangeCellMetadata=this._onDidChangeCellMetadata.event,this._onDidChangeActiveNotebookEditor=new I.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new I.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new I.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidChangeVisibleNotebookEditors=new I.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._statusBarCache=new M.Cache("NotebookCellStatusBarCache"),this._handlePool=0,this._notebookSerializer=new Map,this._backupIdPool=0,this._notebookProxy=h.getProxy(E.MainContext.MainThreadNotebook),this._notebookDocumentsProxy=h.getProxy(E.MainContext.MainThreadNotebookDocuments),this._notebookEditorsProxy=h.getProxy(E.MainContext.MainThreadNotebookEditors),this._commandsConverter=f.converter,f.registerArgumentProcessor({processArgument:l=>{if(l&&l.$mid===12){const i=l.notebookEditor?.notebookUri,u=l.cell.handle,a=this._documents.get(i)?.getCell(u);if(a)return a.apiCell}return l}})}get activeNotebookEditor(){return this._activeNotebookEditor?.apiEditor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(h=>h.apiEditor)}getEditorById(h){const f=this._editors.get(h);if(!f)throw new Error(`unknown text editor: ${h}. known editors: ${[...this._editors.keys()]} `);return f}getIdByEditor(h){for(const[f,v]of this._editors)if(v.apiEditor===h)return f}get notebookDocuments(){return[...this._documents.values()]}getNotebookDocument(h,f){const v=this._documents.get(h);if(!v&&!f)throw new Error(`NO notebook document for '${h}'`);return v}_getProviderData(h){const f=this._notebookContentProviders.get(h);if(!f)throw new Error(`NO provider for '${h}'`);return f}registerNotebookContentProvider(h,f,v,r,T){if((0,P.isFalsyOrWhitespace)(f))throw new Error("viewType cannot be empty or just whitespace");if(this._notebookContentProviders.has(f))throw new Error(`Notebook provider for '${f}' already registered`);this._notebookContentProviders.set(f,{extension:h,provider:v});let l;return v.onDidChangeNotebookContentOptions&&(l=v.onDidChangeNotebookContentOptions(()=>{const i=c.NotebookDocumentContentOptions.from(v.options);this._notebookProxy.$updateNotebookProviderOptions(f,i)})),this._notebookProxy.$registerNotebookProvider({id:h.identifier,location:h.extensionLocation},f,c.NotebookDocumentContentOptions.from(r),w._convertNotebookRegistrationData(h,T)),new g.Disposable(()=>{l?.dispose(),this._notebookContentProviders.delete(f),this._notebookProxy.$unregisterNotebookProvider(f)})}static _convertNotebookRegistrationData(h,f){if(!f)return;const v=f.filenamePattern.map(r=>c.NotebookExclusiveDocumentPattern.from(r)).filter(r=>r!==void 0);if(f.filenamePattern&&!v){console.warn(`Notebook content provider view options file name pattern is invalid ${f.filenamePattern}`);return}return{extension:h.identifier,providerDisplayName:h.displayName||h.name,displayName:f.displayName,filenamePattern:v,exclusive:f.exclusive||!1}}registerNotebookCellStatusBarItemProvider(h,f,v){const r=w._notebookStatusBarItemProviderHandlePool++,T=typeof v.onDidChangeCellStatusBarItems=="function"?w._notebookStatusBarItemProviderHandlePool++:void 0;this._notebookStatusBarItemProviders.set(r,v),this._notebookProxy.$registerNotebookCellStatusBarItemProvider(r,T,f);let l;return T!==void 0&&(l=v.onDidChangeCellStatusBarItems(i=>this._notebookProxy.$emitCellStatusBarEvent(T))),new g.Disposable(()=>{this._notebookStatusBarItemProviders.delete(r),this._notebookProxy.$unregisterNotebookCellStatusBarItemProvider(r,T),l&&l.dispose()})}async createNotebookDocument(h){const f=await this._notebookDocumentsProxy.$tryCreateNotebook({viewType:h.viewType,content:h.content&&c.NotebookData.from(h.content)});return L.URI.revive(f)}async openNotebookDocument(h){const f=this._documents.get(h);if(f)return f.apiNotebook;const v=await this._notebookDocumentsProxy.$tryOpenNotebook(h),r=this._documents.get(L.URI.revive(v));return(0,C.assertIsDefined)(r?.apiNotebook)}async showNotebookDocument(h,f){L.URI.isUri(h)&&(h=await this.openNotebookDocument(h));let v;typeof f=="object"?v={position:c.ViewColumn.from(f.viewColumn),preserveFocus:f.preserveFocus,selections:f.selections&&f.selections.map(c.NotebookRange.from),pinned:typeof f.preview=="boolean"?!f.preview:void 0}:v={preserveFocus:!1};const r=await this._notebookEditorsProxy.$tryShowNotebookDocument(h.uri,h.notebookType,v),T=r&&this._editors.get(r)?.apiEditor;if(T)return T;throw r?new Error(`Could NOT open editor for "${h.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${h.uri.toString()}".`)}async $provideNotebookCellStatusBarItems(h,f,v,r){const T=this._notebookStatusBarItemProviders.get(h),l=L.URI.revive(f),i=this._documents.get(l);if(!i||!T)return;const u=i.getCellFromIndex(v);if(!u)return;const t=await T.provideCellStatusBarItems(u.apiCell,r);if(!t)return;const a=new B.DisposableStore,p=this._statusBarCache.add([a]),S=(Array.isArray(t)?t:[t]).map(k=>c.NotebookStatusBarItem.from(k,this._commandsConverter,a));return{cacheId:p,items:S}}$releaseNotebookCellStatusBarItems(h){this._statusBarCache.delete(h)}registerNotebookSerializer(h,f,v,r,T){if((0,P.isFalsyOrWhitespace)(f))throw new Error("viewType cannot be empty or just whitespace");const l=this._handlePool++;return this._notebookSerializer.set(l,v),this._notebookProxy.$registerNotebookSerializer(l,{id:h.identifier,location:h.extensionLocation},f,c.NotebookDocumentContentOptions.from(r),w._convertNotebookRegistrationData(h,T)),(0,B.toDisposable)(()=>{this._notebookProxy.$unregisterNotebookSerializer(l)})}async $dataToNotebook(h,f,v){const r=this._notebookSerializer.get(h);if(!r)throw new Error("NO serializer found");const T=await r.deserializeNotebook(f.buffer,v);return new s.SerializableObjectWithBuffers(c.NotebookData.from(T))}async $notebookToData(h,f,v){const r=this._notebookSerializer.get(h);if(!r)throw new Error("NO serializer found");const T=await r.serializeNotebook(c.NotebookData.to(f.value),v);return o.VSBuffer.wrap(T)}async $openNotebook(h,f,v,r,T){const{provider:l}=this._getProviderData(h),i=await l.openNotebook(L.URI.revive(f),{backupId:v,untitledDocumentData:r?.buffer},T);return new s.SerializableObjectWithBuffers({metadata:i.metadata??Object.create(null),cells:i.cells.map(c.NotebookCellData.from)})}async $saveNotebook(h,f,v){const r=this.getNotebookDocument(L.URI.revive(f)),{provider:T}=this._getProviderData(h);return await T.saveNotebook(r.apiNotebook,v),!0}async $saveNotebookAs(h,f,v,r){const T=this.getNotebookDocument(L.URI.revive(f)),{provider:l}=this._getProviderData(h);return await l.saveNotebookAs(L.URI.revive(v),T.apiNotebook,r),!0}async $backupNotebook(h,f,v){const r=this.getNotebookDocument(L.URI.revive(f)),T=this._getProviderData(h),l=this._extensionStoragePaths.workspaceValue(T.extension)??this._extensionStoragePaths.globalValue(T.extension),i=String((0,_.hash)([r.uri.toString(),this._backupIdPool++])),u=L.URI.joinPath(l,i),t=await T.provider.backupNotebook(r.apiNotebook,{destination:u},v);return r.updateBackup(t),t.id}_createExtHostEditor(h,f,v){if(this._editors.has(f))throw new Error(`editor with id ALREADY EXSIST: ${f}`);const r=new m.ExtHostNotebookEditor(f,this._notebookEditorsProxy,h,v.visibleRanges.map(c.NotebookRange.to),v.selections.map(c.NotebookRange.to),typeof v.viewColumn=="number"?c.ViewColumn.to(v.viewColumn):void 0);this._editors.set(f,r)}$acceptDocumentAndEditorsDelta(h){if(h.value.removedDocuments)for(const v of h.value.removedDocuments){const r=L.URI.revive(v),T=this._documents.get(r);T&&(T.dispose(),this._documents.delete(r),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:T.apiNotebook.getCells().map(l=>l.document.uri)}),this._onDidCloseNotebookDocument.fire(T.apiNotebook));for(const l of this._editors.values())l.notebookData.uri.toString()===r.toString()&&this._editors.delete(l.id)}if(h.value.addedDocuments){const v=[];for(const r of h.value.addedDocuments){const T=L.URI.revive(r.uri);if(this._documents.has(T))throw new Error(`adding EXISTING notebook ${T} `);const l=this,i=new n.ExtHostNotebookDocument(this._notebookDocumentsProxy,this._textDocumentsAndEditors,this._textDocuments,{emitModelChange(u){l._onDidChangeNotebookCells.fire(u)},emitCellOutputsChange(u){l._onDidChangeCellOutputs.fire(u)},emitCellMetadataChange(u){l._onDidChangeCellMetadata.fire(u)}},T,r);v.push(...r.cells.map(u=>n.ExtHostCell.asModelAddData(i.apiNotebook,u))),this._documents.get(T)?.dispose(),this._documents.set(T,i),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:v}),this._onDidOpenNotebookDocument.fire(i.apiNotebook)}}if(h.value.addedEditors)for(const v of h.value.addedEditors){if(this._editors.has(v.id))return;const r=L.URI.revive(v.documentUri),T=this._documents.get(r);T&&this._createExtHostEditor(T,v.id,v)}const f=[];if(h.value.removedEditors)for(const v of h.value.removedEditors){const r=this._editors.get(v);r&&(this._editors.delete(v),this._activeNotebookEditor?.id===r.id&&(this._activeNotebookEditor=void 0),f.push(r))}if(h.value.visibleEditors){this._visibleNotebookEditors=h.value.visibleEditors.map(r=>this._editors.get(r)).filter(r=>!!r);const v=new Set;this._visibleNotebookEditors.forEach(r=>v.add(r.id));for(const r of this._editors.values()){const T=v.has(r.id);r._acceptVisibility(T)}this._visibleNotebookEditors=[...this._editors.values()].map(r=>r).filter(r=>r.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}h.value.newActiveEditor===null?this._activeNotebookEditor=void 0:h.value.newActiveEditor&&(this._activeNotebookEditor=this._editors.get(h.value.newActiveEditor)),h.value.newActiveEditor!==void 0&&this._onDidChangeActiveNotebookEditor.fire(this._activeNotebookEditor?.apiEditor)}}e.ExtHostNotebookController=w,w._notebookStatusBarItemProviderHandlePool=0}),define(Ee[196],be([1,0,5,54,12,4,14,8]),function(Y,e,o,I,_,B,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditors=void 0;class C{constructor(E,c){const g=C._Keys.nextId();E.$registerNotebookEditorDecorationType(g,P.NotebookDecorationRenderOptions.from(c)),this.value={key:g,dispose(){E.$removeNotebookEditorDecorationType(g)}}}}C._Keys=new I.IdGenerator("NotebookEditorDecorationType");let L=class{constructor(E,c,g){this._logService=E,this._extHostRpc=c,this._notebooksAndEditors=g,this._onDidChangeNotebookEditorSelection=new o.Emitter,this._onDidChangeNotebookEditorVisibleRanges=new o.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event}createNotebookEditorDecorationType(E){return new C(this._extHostRpc.getProxy(B.MainContext.MainThreadNotebookEditors),E).value}$acceptEditorPropertiesChanged(E,c){this._logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",E,c);const g=this._notebooksAndEditors.getEditorById(E);c.visibleRanges&&g._acceptVisibleRanges(c.visibleRanges.ranges.map(P.NotebookRange.to)),c.selections&&g._acceptSelections(c.selections.selections.map(P.NotebookRange.to)),c.visibleRanges&&this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:g.apiEditor,visibleRanges:g.apiEditor.visibleRanges}),c.selections&&this._onDidChangeNotebookEditorSelection.fire(Object.freeze({notebookEditor:g.apiEditor,selections:g.apiEditor.selections}))}$acceptEditorViewColumns(E){for(const c in E)this._notebooksAndEditors.getEditorById(c)._acceptViewColumn(P.ViewColumn.to(E[c]))}};L=Fe([Ne(0,_.ILogService),Ne(1,y.IExtHostRpcService)],L),e.ExtHostNotebookEditors=L}),define(Ee[197],be([1,0,16,13,20,5,6,22,2,25,12,4,39,8,7,61,162,28,38]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m,w,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookKernels=void 0;let h=class{constructor(i,u,t,a,p){this._initData=u,this._extHostNotebook=t,this._commands=a,this._logService=p,this._activeExecutions=new P.ResourceMap,this._kernelData=new Map,this._handlePool=0,this._onDidChangeCellExecutionState=new B.Emitter,this.onDidChangeNotebookCellExecutionState=this._onDidChangeCellExecutionState.event,this._proxy=i.getProxy(E.MainContext.MainThreadNotebookKernels);const d=new c.ApiCommand("notebook.selectKernel","_notebook.selectKernel","Trigger kernel picker for specified notebook editor widget",[new c.ApiCommandArgument("options","Select kernel options",S=>!0,S=>{if(S&&"notebookEditor"in S&&"id"in S){const k=this._extHostNotebook.getIdByEditor(S.notebookEditor);return{id:S.id,extension:S.extension,notebookEditorId:k}}else if(S&&"notebookEditor"in S){const k=this._extHostNotebook.getIdByEditor(S.notebookEditor);if(k===void 0)throw new Error(`Cannot invoke 'notebook.selectKernel' for unrecognized notebook editor ${S.notebookEditor.document.uri.toString()}`);return{notebookEditorId:k}}return S})],c.ApiCommandResult.Void);this._commands.registerApiCommand(d)}createNotebookController(i,u,t,a,p,d){for(const ce of this._kernelData.values())if(ce.controller.id===u&&L.ExtensionIdentifier.equals(i.identifier,ce.extensionId))throw new Error(`notebook controller with id '${u}' ALREADY exist`);const S=this._handlePool++,k=this;this._logService.trace(`NotebookController[${S}], CREATED by ${i.identifier.value}, ${u}`);const A=()=>console.warn(`NO execute handler from notebook controller '${$.id}' of extension: '${i.identifier}'`);let W=!1;const b=new y.DisposableStore,H=new B.Emitter,q=new B.Emitter,$={id:T(i,u),notebookType:t,extensionId:i.identifier,extensionLocation:i.extensionLocation,label:a||i.identifier.value,preloads:d?d.map(g.NotebookRendererScript.from):[]};let j=p??A,J;this._proxy.$addKernel(S,$).catch(ce=>{console.log(ce),W=!0});let z=0;const ie=()=>{if(W)return;const ce=++z;Promise.resolve().then(()=>{ce===z&&this._proxy.$updateKernel(S,$)})},ae=new P.ResourceMap,te={get id(){return u},get notebookType(){return $.notebookType},onDidChangeSelectedNotebooks:H.event,get label(){return $.label},set label(ce){$.label=ce??i.displayName??i.name,ie()},get detail(){return $.detail??""},set detail(ce){$.detail=ce,ie()},get description(){return $.description??""},set description(ce){$.description=ce,ie()},get kind(){return(0,w.checkProposedApiEnabled)(i,"notebookControllerKind"),$.kind??""},set kind(ce){(0,w.checkProposedApiEnabled)(i,"notebookControllerKind"),$.kind=ce,ie()},get supportedLanguages(){return $.supportedLanguages},set supportedLanguages(ce){$.supportedLanguages=ce,ie()},get supportsExecutionOrder(){return $.supportsExecutionOrder??!1},set supportsExecutionOrder(ce){$.supportsExecutionOrder=ce,ie()},get rendererScripts(){return $.preloads?$.preloads.map(g.NotebookRendererScript.to):[]},get executeHandler(){return j},set executeHandler(ce){j=ce??A},get interruptHandler(){return J},set interruptHandler(ce){J=ce,$.supportsInterrupt=Boolean(ce),ie()},createNotebookCellExecution(ce){if(W)throw new Error("notebook controller is DISPOSED");if(!ae.has(ce.notebook.uri))throw k._logService.trace(`NotebookController[${S}] NOT associated to notebook, associated to THESE notebooks:`,Array.from(ae.keys()).map(de=>de.toString())),new Error(`notebook controller is NOT associated to notebook: ${ce.notebook.uri.toString()}`);return k._createNotebookCellExecution(ce,T(i,this.id))},dispose:()=>{W||(this._logService.trace(`NotebookController[${S}], DISPOSED`),W=!0,this._kernelData.delete(S),b.dispose(),H.dispose(),q.dispose(),this._proxy.$removeKernel(S))},updateNotebookAffinity(ce,de){k._proxy.$updateNotebookPriority(S,ce.uri,de)},onDidReceiveMessage:q.event,postMessage(ce,de){return(0,w.checkProposedApiEnabled)(i,"notebookMessaging"),k._proxy.$postMessage(S,de&&k._extHostNotebook.getIdByEditor(de),ce)},asWebviewUri(ce){return(0,w.checkProposedApiEnabled)(i,"notebookMessaging"),(0,n.asWebviewUri)(ce,k._initData.remote)}};return this._kernelData.set(S,{extensionId:i.identifier,controller:te,onDidReceiveMessage:q,onDidChangeSelection:H,associatedNotebooks:ae}),te}$acceptNotebookAssociation(i,u,t){const a=this._kernelData.get(i);if(a){const p=this._extHostNotebook.getNotebookDocument(C.URI.revive(u));t?a.associatedNotebooks.set(p.uri,!0):a.associatedNotebooks.delete(p.uri),this._logService.trace(`NotebookController[${i}] ASSOCIATE notebook`,p.uri.toString(),t),a.onDidChangeSelection.fire({selected:t,notebook:p.apiNotebook})}}async $executeCells(i,u,t){const a=this._kernelData.get(i);if(!a)return;const p=this._extHostNotebook.getNotebookDocument(C.URI.revive(u)),d=[];for(const S of t){const k=p.getCell(S);k&&d.push(k.apiCell)}try{this._logService.trace(`NotebookController[${i}] EXECUTE cells`,p.uri.toString(),d.length),await a.controller.executeHandler.call(a.controller,d,p.apiNotebook,a.controller)}catch(S){this._logService.error(`NotebookController[${i}] execute cells FAILED`,S),console.error(S)}}async $cancelCells(i,u,t){const a=this._kernelData.get(i);if(!a)return;const p=this._extHostNotebook.getNotebookDocument(C.URI.revive(u));if(a.controller.interruptHandler)await a.controller.interruptHandler.call(a.controller,p.apiNotebook);else for(const d of t){const S=p.getCell(d);S&&this._activeExecutions.get(S.uri)?.cancel()}}$acceptKernelMessageFromRenderer(i,u,t){const a=this._kernelData.get(i);if(!a)return;const p=this._extHostNotebook.getEditorById(u);a.onDidReceiveMessage.fire(Object.freeze({editor:p.apiEditor,message:t}))}$cellExecutionChanged(i,u,t){const p=this._extHostNotebook.getNotebookDocument(C.URI.revive(i)).getCell(u);p&&this._onDidChangeCellExecutionState.fire({cell:p.apiCell,state:t?g.NotebookCellExecutionState.to(t):s.NotebookCellExecutionState.Idle})}_createNotebookCellExecution(i,u){if(i.index<0)throw new Error("CANNOT execute cell that has been REMOVED from notebook");const a=this._extHostNotebook.getNotebookDocument(i.notebook.uri).getCellFromApiCell(i);if(!a)throw new Error("invalid cell");if(this._activeExecutions.has(a.uri))throw new Error(`duplicate execution for ${a.uri}`);const p=new v(u,a,this._proxy);this._activeExecutions.set(a.uri,p);const d=p.onDidChangeState(()=>{p.state===f.Resolved&&(p.dispose(),d.dispose(),this._activeExecutions.delete(a.uri))});return p.asApiObject()}};h=Fe([Ne(4,M.ILogService)],h),e.ExtHostNotebookKernels=h;var f;(function(l){l[l.Init=0]="Init",l[l.Started=1]="Started",l[l.Resolved=2]="Resolved"})(f||(f={}));class v extends y.Disposable{constructor(i,u,t){super();this._cell=u,this._proxy=t,this._handle=v.HANDLE++,this._onDidChangeState=new B.Emitter,this.onDidChangeState=this._onDidChangeState.event,this._state=f.Init,this._tokenSource=this._register(new _.CancellationTokenSource),this._collector=new r(10,a=>this.update(a)),this._executionOrder=u.internalMetadata.executionOrder,this._proxy.$createExecution(this._handle,i,this._cell.notebook.uri,this._cell.handle)}get state(){return this._state}cancel(){this._tokenSource.cancel()}async updateSoon(i){await this._collector.addItem(i)}async update(i){const u=Array.isArray(i)?i:[i];return this._proxy.$updateExecution(this._handle,new R.SerializableObjectWithBuffers(u))}verifyStateForOutput(){if(this._state===f.Init)throw new Error("Must call start before modifying cell output");if(this._state===f.Resolved)throw new Error("Cannot modify cell output after calling resolve")}validateAndConvertOutputs(i){return i.map(u=>{const t=s.NotebookCellOutput.ensureUniqueMimeTypes(u.items,!0);return t===u.items?g.NotebookCellOutput.from(u):g.NotebookCellOutput.from({items:t,id:u.id,metadata:u.metadata})})}async updateOutputs(i,u,t){const a=this.validateAndConvertOutputs((0,o.asArray)(i));return this.updateSoon({editType:m.CellExecutionUpdateType.Output,append:t,outputs:a})}async updateOutputItems(i,u,t){return i=s.NotebookCellOutput.ensureUniqueMimeTypes((0,o.asArray)(i),!0),this.updateSoon({editType:m.CellExecutionUpdateType.OutputItems,items:i.map(g.NotebookCellOutputItem.from),outputId:u.id,append:t})}asApiObject(){const i=this;return Object.freeze({get token(){return i._tokenSource.token},get cell(){return i._cell.apiCell},get executionOrder(){return i._executionOrder},set executionOrder(t){i._executionOrder=t,i.update([{editType:m.CellExecutionUpdateType.ExecutionState,executionOrder:i._executionOrder}])},start(t){if(i._state===f.Resolved||i._state===f.Started)throw new Error("Cannot call start again");i._state=f.Started,i._onDidChangeState.fire(),i.update({editType:m.CellExecutionUpdateType.ExecutionState,runStartTime:t})},end(t,a){if(i._state===f.Resolved)throw new Error("Cannot call resolve twice");i._state=f.Resolved,i._onDidChangeState.fire(),i._collector.flush(),i._proxy.$completeExecution(i._handle,new R.SerializableObjectWithBuffers({runEndTime:a,lastRunSuccess:t}))},clearOutput(t){return i.verifyStateForOutput(),i.updateOutputs([],t,!1)},appendOutput(t,a){return i.verifyStateForOutput(),i.updateOutputs(t,a,!0)},replaceOutput(t,a){return i.verifyStateForOutput(),i.updateOutputs(t,a,!1)},appendOutputItems(t,a){return i.verifyStateForOutput(),i.updateOutputItems(t,a,!0)},replaceOutputItems(t,a){return i.verifyStateForOutput(),i.updateOutputItems(t,a,!1)}})}}v.HANDLE=0;class r{constructor(i,u){this.delay=i,this.callback=u,this.batch=[],this.startedTimer=Date.now()}addItem(i){return this.batch.push(i),this.currentDeferred||(this.currentDeferred=new I.DeferredPromise,this.startedTimer=Date.now(),(0,I.timeout)(this.delay).then(()=>this.flush())),Date.now()-this.startedTimer>this.delay?this.flush():this.currentDeferred.p}flush(){if(this.batch.length===0||!this.currentDeferred)return Promise.resolve();const i=this.currentDeferred;this.currentDeferred=void 0;const u=this.batch;return this.batch=[],this.callback(u).finally(()=>i.complete())}}function T(l,i){return`${l.identifier.value}/${i}`}}),define(Ee[198],be([1,0,5,4,89,28]),function(Y,e,o,I,_,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookRenderers=void 0;class y{constructor(C,L){this._extHostNotebook=L,this._rendererMessageEmitters=new Map,this.proxy=C.getProxy(I.MainContext.MainThreadNotebookRenderers)}$postRendererMessage(C,L,M){const E=this._extHostNotebook.getEditorById(C);this._rendererMessageEmitters.get(L)?.fire({editor:E.apiEditor,message:M})}createRendererMessaging(C,L){if(!C.contributes?.notebookRenderer?.some(g=>g.id===L))throw new Error(`Extensions may only call createRendererMessaging() for renderers they contribute (got ${L})`);const M=(0,B.isProposedApiEnabled)(C,"notebookEditor"),E=new WeakMap;return{onDidReceiveMessage:(g,s,n)=>{const m=M?g:w=>{const R={};E.set(R,w.editor),g({editor:R,message:w.message})};return this.getOrCreateEmitterFor(L).event(m,s,n)},postMessage:(g,s)=>{_.ExtHostNotebookEditor.apiEditorsToExtHost.has(g)&&([g,s]=[s,g]);const n=M?s:E.get(s),m=n&&_.ExtHostNotebookEditor.apiEditorsToExtHost.get(n);return this.proxy.$postMessage(m?.id,L,g)}}}getOrCreateEmitterFor(C){let L=this._rendererMessageEmitters.get(C);return L||(L=new o.Emitter({onLastListenerRemove:()=>{L?.dispose(),this._rendererMessageEmitters.delete(C)}}),this._rendererMessageEmitters.set(C,L),L)}}e.ExtHostNotebookRenderers=y}),define(Ee[94],be([1,0,4,6,3,14,12,163,51,27,30,112,21,11]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.ExtHostOutputChannel=void 0;class s extends I.Disposable{constructor(w,R,h,f){super();this.id=w,this.name=R,this.logger=h,this.proxy=f,this.offset=0,this.visible=!1,this._disposed=!1}get disposed(){return this._disposed}appendLine(w){this.append(w+`
`)}append(w){this.write(w),this.visible&&(this.logger.flush(),this.proxy.$update(this.id,P.OutputChannelUpdateMode.Append))}clear(){const w=this.offset;this.logger.flush(),this.proxy.$update(this.id,P.OutputChannelUpdateMode.Clear,w)}replace(w){const R=this.offset;this.write(w),this.proxy.$update(this.id,P.OutputChannelUpdateMode.Replace,R),this.visible&&this.logger.flush()}show(w,R){this.logger.flush(),this.proxy.$reveal(this.id,!!(typeof w=="boolean"?w:R))}hide(){this.proxy.$close(this.id)}write(w){this.offset+=c.VSBuffer.fromString(w).byteLength,this.logger.info(w)}dispose(){super.dispose(),this._disposed||(this.proxy.$dispose(this.id),this._disposed=!0)}}e.ExtHostOutputChannel=s;let n=class{constructor(w,R,h,f,v){this.extHostFileSystem=h,this.extHostFileSystemInfo=f,this.loggerService=v,this.namePool=1,this.channels=new Map,this.visibleChannelId=null,this.proxy=w.getProxy(o.MainContext.MainThreadOutputService),this.outputsLocation=this.extHostFileSystemInfo.extUri.joinPath(R.logsLocation,`output_logging_${(0,E.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}`)}$setVisibleChannel(w){this.visibleChannelId=w;for(const[R,h]of this.channels)h.visible=R===this.visibleChannelId}createOutputChannel(w,R,h){if(w=w.trim(),!w)throw new Error("illegal argument `name`. must not be falsy");if((0,g.isString)(R)&&!R.trim())throw new Error("illegal argument `languageId`. must not be empty");const f=this.doCreateOutputChannel(w,R,h);return f.then(v=>{this.channels.set(v.id,v),v.visible=v.id===this.visibleChannelId}),this.createExtHostOutputChannel(w,f)}async doCreateOutputChannel(w,R,h){const f=await this.createOutputDirectory(),v=this.extHostFileSystemInfo.extUri.joinPath(f,`${this.namePool++}-${w.replace(/[\\/:\*\?"<>\|]/g,"")}.log`),r=this.loggerService.createLogger(v,{always:!0,donotRotate:!0,donotUseFormatters:!0}),T=await this.proxy.$register(w,!1,v,R,h.identifier.value);return new s(T,w,r,this.proxy)}createOutputDirectory(){return this.outputDirectoryPromise||(this.outputDirectoryPromise=this.extHostFileSystem.value.createDirectory(this.outputsLocation).then(()=>this.outputsLocation)),this.outputDirectoryPromise}createExtHostOutputChannel(w,R){let h=!1;const f=()=>{if(h)throw new Error("Channel has been closed")};return{get name(){return w},append(v){f(),R.then(r=>r.append(v))},appendLine(v){f(),R.then(r=>r.appendLine(v))},clear(){f(),R.then(v=>v.clear())},replace(v){f(),R.then(r=>r.replace(v))},show(v,r){f(),R.then(T=>T.show(v,r))},hide(){f(),R.then(v=>v.hide())},dispose(){h=!0,R.then(v=>v.dispose())}}}};n=Fe([Ne(0,B.IExtHostRpcService),Ne(1,L.IExtHostInitDataService),Ne(2,C.IExtHostConsumerFileSystem),Ne(3,M.IExtHostFileSystemInfo),Ne(4,y.ILoggerService)],n),e.ExtHostOutputService=n,e.IExtHostOutputService=(0,_.createDecorator)("IExtHostOutputService")}),define(Ee[199],be([1,0,13,20,5,6,4,2,7,15,16,34,57]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function g(s,n,m){const w=s.getProxy(y.MainContext.MainThreadQuickOpen);class R{constructor(t,a){this._sessions=new Map,this._instances=0,this._workspace=t,this._commands=a}showQuickPick(t,a,p=I.CancellationToken.None){this._onDidSelectItem=void 0;const d=Promise.resolve(t),S=++this._instances,k=w.$show(S,{title:a?.title,placeHolder:a?.placeHolder,matchOnDescription:a?.matchOnDescription,matchOnDetail:a?.matchOnDetail,ignoreFocusLost:a?.ignoreFocusOut,canPickMany:a?.canPickMany},p),A={},W=k.then(()=>A);return Promise.race([W,d]).then(b=>{if(b!==A)return d.then(H=>{const q=[];for(let $=0;$<H.length;$++){const j=H[$];typeof j=="string"?q.push({label:j,handle:$}):j.kind===C.QuickPickItemKind.Separator?q.push({type:"separator",label:j.label}):q.push({label:j.label,description:j.description,detail:j.detail,picked:j.picked,alwaysShow:j.alwaysShow,handle:$})}return a&&typeof a.onDidSelectItem=="function"&&(this._onDidSelectItem=$=>{a.onDidSelectItem(H[$])}),w.$setItems(S,q),k.then($=>{if(typeof $=="number")return H[$];if(Array.isArray($))return $.map(j=>H[j])})})}).then(void 0,b=>{if(!(0,L.isCancellationError)(b))return w.$setError(S,b),Promise.reject(b)})}$onItemSelected(t){this._onDidSelectItem&&this._onDidSelectItem(t)}showInput(t,a=I.CancellationToken.None){return this._validateInput=t?t.validateInput:void 0,w.$input(t,typeof this._validateInput=="function",a).then(void 0,p=>{if(!(0,L.isCancellationError)(p))return Promise.reject(p)})}$validateInput(t){return this._validateInput?(0,o.asPromise)(()=>this._validateInput(t)):Promise.resolve(void 0)}async showWorkspaceFolderPick(t,a=I.CancellationToken.None){const p=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[t]);if(!p)return;const d=await this._workspace.getWorkspaceFolders2();if(!!d)return d.find(S=>S.uri.toString()===p.uri.toString())}createQuickPick(t){const a=new l(t,()=>this._sessions.delete(a._id));return this._sessions.set(a._id,a),a}createInputBox(t){const a=new i(t,()=>this._sessions.delete(a._id));return this._sessions.set(a._id,a),a}$onDidChangeValue(t,a){const p=this._sessions.get(t);p&&p._fireDidChangeValue(a)}$onDidAccept(t){const a=this._sessions.get(t);a&&a._fireDidAccept()}$onDidChangeActive(t,a){const p=this._sessions.get(t);p instanceof l&&p._fireDidChangeActive(a)}$onDidChangeSelection(t,a){const p=this._sessions.get(t);p instanceof l&&p._fireDidChangeSelection(a)}$onDidTriggerButton(t,a){const p=this._sessions.get(t);p&&p._fireDidTriggerButton(a)}$onDidTriggerItemButton(t,a,p){const d=this._sessions.get(t);d instanceof l&&d._fireDidTriggerItemButton(a,p)}$onDidHide(t){const a=this._sessions.get(t);a&&a._fireDidHide()}}class h{constructor(t,a){this._extensionId=t,this._onDidDispose=a,this._id=l._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new _.Emitter,this._onDidChangeValueEmitter=new _.Emitter,this._onDidTriggerButtonEmitter=new _.Emitter,this._onDidHideEmitter=new _.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(t){this._title=t,this.update({title:t})}get step(){return this._steps}set step(t){this._steps=t,this.update({step:t})}get totalSteps(){return this._totalSteps}set totalSteps(t){this._totalSteps=t,this.update({totalSteps:t})}get enabled(){return this._enabled}set enabled(t){this._enabled=t,this.update({enabled:t})}get busy(){return this._busy}set busy(t){this._busy=t,this.update({busy:t})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(t){this._ignoreFocusOut=t,this.update({ignoreFocusOut:t})}get value(){return this._value}set value(t){this._value=t,this.update({value:t})}get placeholder(){return this._placeholder}set placeholder(t){this._placeholder=t,this.update({placeholder:t})}get buttons(){return this._buttons}set buttons(t){this._buttons=t.slice(),this._handlesToButtons.clear(),t.forEach((a,p)=>{const d=a===C.QuickInputButtons.Back?-1:p;this._handlesToButtons.set(d,a)}),this.update({buttons:t.map((a,p)=>({...T(a),tooltip:a.tooltip,handle:a===C.QuickInputButtons.Back?-1:p}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(t){this._value=t,this._onDidChangeValueEmitter.fire(t)}_fireDidTriggerButton(t){const a=this._handlesToButtons.get(t);a&&this._onDidTriggerButtonEmitter.fire(a)}_fireDidHide(){this._expectingHide&&(this._expectingHide=this._visible,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=(0,B.dispose)(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),w.$dispose(this._id))}update(t){if(!this._disposed){for(const a of Object.keys(t)){const p=t[a];this._pendingUpdate[a]=p===void 0?null:p}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){w.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}h._nextId=1;function f(u){if(u instanceof C.ThemeIcon)return{id:u.id};const t=r(u),a=v(u);return{dark:typeof t=="string"?P.URI.file(t):t,light:typeof a=="string"?P.URI.file(a):a}}function v(u){return typeof u=="object"&&"light"in u?u.light:u}function r(u){return typeof u=="object"&&"dark"in u?u.dark:u}function T(u){const t=f(u.iconPath);let a,p;return"id"in t?p=c.ThemeIcon.asClassName(t):a=t,{iconPath:a,iconClass:p}}class l extends h{constructor(t,a){super(t.identifier,a);this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._keepScrollPosition=!1,this._activeItems=[],this._onDidChangeActiveEmitter=new _.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new _.Emitter,this._onDidTriggerItemButtonEmitter=new _.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this.onDidTriggerItemButton=this._onDidTriggerItemButtonEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter,this._onDidTriggerItemButtonEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(t){this._items=t.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),t.forEach((p,d)=>{this._handlesToItems.set(d,p),this._itemsToHandles.set(p,d)});const a=[];for(let p=0;p<t.length;p++){const d=t[p];d.kind===C.QuickPickItemKind.Separator?a.push({type:"separator",label:d.label}):a.push({handle:p,label:d.label,description:d.description,detail:d.detail,picked:d.picked,alwaysShow:d.alwaysShow,buttons:d.buttons?.map((S,k)=>({...T(S),tooltip:S.tooltip,handle:k}))})}this.update({items:a})}get canSelectMany(){return this._canSelectMany}set canSelectMany(t){this._canSelectMany=t,this.update({canSelectMany:t})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(t){this._matchOnDescription=t,this.update({matchOnDescription:t})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(t){this._matchOnDetail=t,this.update({matchOnDetail:t})}get sortByLabel(){return this._sortByLabel}set sortByLabel(t){this._sortByLabel=t,this.update({sortByLabel:t})}get keepScrollPosition(){return this._keepScrollPosition}set keepScrollPosition(t){this._keepScrollPosition=t,this.update({keepScrollPosition:t})}get activeItems(){return this._activeItems}set activeItems(t){this._activeItems=t.filter(a=>this._itemsToHandles.has(a)),this.update({activeItems:this._activeItems.map(a=>this._itemsToHandles.get(a))})}get selectedItems(){return this._selectedItems}set selectedItems(t){this._selectedItems=t.filter(a=>this._itemsToHandles.has(a)),this.update({selectedItems:this._selectedItems.map(a=>this._itemsToHandles.get(a))})}_fireDidChangeActive(t){const a=(0,M.coalesce)(t.map(p=>this._handlesToItems.get(p)));this._activeItems=a,this._onDidChangeActiveEmitter.fire(a)}_fireDidChangeSelection(t){const a=(0,M.coalesce)(t.map(p=>this._handlesToItems.get(p)));this._selectedItems=a,this._onDidChangeSelectionEmitter.fire(a)}_fireDidTriggerItemButton(t,a){const p=this._handlesToItems.get(t);if(!p||!p.buttons||!p.buttons.length)return;const d=p.buttons[a];d&&this._onDidTriggerItemButtonEmitter.fire({button:d,item:p})}}class i extends h{constructor(t,a){super(t,a);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(t){this._password=t,this.update({password:t})}get prompt(){return this._prompt}set prompt(t){this._prompt=t,this.update({prompt:t})}get validationMessage(){return this._validationMessage}set validationMessage(t){this._validationMessage=t,this.update({validationMessage:t,severity:t?E.default.Error:E.default.Ignore})}}return new R(n,m)}e.createExtHostQuickOpen=g});var je=this&&this.__classPrivateFieldSet||function(Y,e,o,I,_){if(I==="m")throw new TypeError("Private method is not writable");if(I==="a"&&!_)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Y!==e||!_:!e.has(Y))throw new TypeError("Cannot write private member to an object whose class did not declare it");return I==="a"?_.call(Y,o):_?_.value=o:e.set(Y,o),o},De=this&&this.__classPrivateFieldGet||function(Y,e,o,I){if(o==="a"&&!I)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Y!==e||!I:!e.has(Y))throw new TypeError("Cannot read private member from an object whose class did not declare it");return o==="m"?I:o==="a"?I.call(Y):I?I.value:e.get(Y)};define(Ee[200],be([1,0,2,5,53,6,13,4,16,107,12,25,57,8,28]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s){"use strict";var n,m;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function w(p){if(p)return typeof p.iconPath=="string"?o.URI.file(p.iconPath):o.URI.isUri(p.iconPath)||c.ThemeIcon.isThemeIcon(p.iconPath)?p.iconPath:void 0}function R(p,d){if(!p.iconPath&&!d.iconPath)return 0;if(p.iconPath){if(!d.iconPath)return 1}else return-1;const S=typeof p.iconPath=="string"?p.iconPath:o.URI.isUri(p.iconPath)?p.iconPath.fsPath:p.iconPath.id,k=typeof d.iconPath=="string"?d.iconPath:o.URI.isUri(d.iconPath)?d.iconPath.fsPath:d.iconPath.id;return(0,L.comparePaths)(S,k)}function h(p,d){let S=0;if(p.strikeThrough!==d.strikeThrough)return p.strikeThrough?1:-1;if(p.faded!==d.faded)return p.faded?1:-1;if(p.tooltip!==d.tooltip)return(p.tooltip||"").localeCompare(d.tooltip||"");if(S=R(p,d),S!==0)return S;if(p.light&&d.light)S=R(p.light,d.light);else{if(p.light)return 1;if(d.light)return-1}if(S!==0)return S;if(p.dark&&d.dark)S=R(p.dark,d.dark);else{if(p.dark)return 1;if(d.dark)return-1}return S}function f(p,d){if(p.command!==d.command)return p.command<d.command?-1:1;if(p.title!==d.title)return p.title<d.title?-1:1;if(p.tooltip!==d.tooltip){if(p.tooltip!==void 0&&d.tooltip!==void 0)return p.tooltip<d.tooltip?-1:1;if(p.tooltip!==void 0)return 1;if(d.tooltip!==void 0)return-1}if(p.arguments===d.arguments)return 0;if(p.arguments)if(d.arguments){if(p.arguments.length!==d.arguments.length)return p.arguments.length-d.arguments.length}else return 1;else return-1;for(let S=0;S<p.arguments.length;S++){const k=p.arguments[S],A=d.arguments[S];if(k!==A)return k<A?-1:1}return 0}function v(p,d){let S=(0,L.comparePaths)(p.resourceUri.fsPath,d.resourceUri.fsPath,!0);if(S!==0)return S;if(p.command&&d.command)S=f(p.command,d.command);else{if(p.command)return 1;if(d.command)return-1}if(S!==0)return S;if(p.decorations&&d.decorations)S=h(p.decorations,d.decorations);else{if(p.decorations)return 1;if(d.decorations)return-1}return S}function r(p,d){for(let S=0;S<p.length;S++)if(p[S]!==d[S])return!1;return!0}function T(p,d){return p.command===d.command&&p.title===d.title&&p.tooltip===d.tooltip&&(p.arguments&&d.arguments?r(p.arguments,d.arguments):p.arguments===d.arguments)}function l(p,d){return(0,C.equals)(p,d,T)}class i{constructor(d,S,k){this._extension=d,this._sourceControlHandle=k,n.set(this,void 0),this._value="",this._onDidChange=new I.Emitter,this._placeholder="",this._visible=!0,je(this,n,S,"f")}get value(){return this._value}set value(d){d=d??"",De(this,n,"f").$setInputBoxValue(this._sourceControlHandle,d),this.updateValue(d)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(d){De(this,n,"f").$setInputBoxPlaceholder(this._sourceControlHandle,d),this._placeholder=d}get validateInput(){return(0,s.checkProposedApiEnabled)(this._extension,"scmValidation"),this._validateInput}set validateInput(d){if((0,s.checkProposedApiEnabled)(this._extension,"scmValidation"),d&&typeof d!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=d,De(this,n,"f").$setValidationProviderIsEnabled(this._sourceControlHandle,!!d)}get visible(){return this._visible}set visible(d){d=!!d,this._visible!==d&&(this._visible=d,De(this,n,"f").$setInputBoxVisibility(this._sourceControlHandle,d))}showValidationMessage(d,S){(0,s.checkProposedApiEnabled)(this._extension,"scmValidation"),De(this,n,"f").$showValidationMessage(this._sourceControlHandle,d,S)}$onInputBoxValueChange(d){this.updateValue(d)}updateValue(d){this._value=d,this._onDidChange.fire(d)}}e.ExtHostSCMInputBox=i,n=new WeakMap;class u{constructor(d,S,k,A,W){this._proxy=d,this._commands=S,this._sourceControlHandle=k,this._id=A,this._label=W,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new I.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new I.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=u._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(d){this._label=d,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,d)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(d){this._hideWhenEmpty=d,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(d){this._resourceStates=[...d],this._onDidUpdateResourceStates.fire()}getResourceState(d){return this._resourceStatesMap.get(d)}$executeResourceCommand(d,S){const k=this._resourceStatesCommandsMap.get(d);return k?(0,y.asPromise)(()=>this._commands.executeCommand(k.command,...k.arguments||[],S)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){const d=[...this._resourceStates].sort(v),k=(0,C.sortedDiff)(this._resourceSnapshot,d,v).map(b=>{const H=b.toInsert.map(q=>{const $=this._resourceHandlePool++;this._resourceStatesMap.set($,q);const j=q.resourceUri;let J;if(q.command)if(q.command.command==="vscode.open"||q.command.command==="vscode.diff"){const me=new B.DisposableStore;J=this._commands.converter.toInternal(q.command,me),this._resourceStatesDisposablesMap.set($,me)}else this._resourceStatesCommandsMap.set($,q.command);const z=w(q.decorations),ie=q.decorations&&w(q.decorations.light)||z,ae=q.decorations&&w(q.decorations.dark)||z,te=[ie,ae],ce=q.decorations&&q.decorations.tooltip||"",de=q.decorations&&!!q.decorations.strikeThrough,Se=q.decorations&&!!q.decorations.faded,fe=q.contextValue||"";return{rawResource:[$,j,te,ce,de,Se,fe,J],handle:$}});return{start:b.start,deleteCount:b.deleteCount,toInsert:H}}),A=k.map(({start:b,deleteCount:H,toInsert:q})=>[b,H,q.map($=>$.rawResource)]),W=k.reverse();for(const{start:b,deleteCount:H,toInsert:q}of W){const $=q.map(J=>J.handle),j=this._handlesSnapshot.splice(b,H,...$);for(const J of j)this._resourceStatesMap.delete(J),this._resourceStatesCommandsMap.delete(J),this._resourceStatesDisposablesMap.get(J)?.dispose(),this._resourceStatesDisposablesMap.delete(J)}return this._resourceSnapshot=d,A}dispose(){this._disposed=!0,this._onDidDispose.fire()}}u._handlePool=0;class t{constructor(d,S,k,A,W,b){this._extension=d,this._commands=k,this._id=A,this._label=W,this._rootUri=b,m.set(this,void 0),this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new B.MutableDisposable,this._acceptInputCommand=void 0,this._actionButtonDisposables=new B.MutableDisposable,this._statusBarDisposables=new B.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new I.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=t._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,je(this,m,S,"f"),this._inputBox=new i(d,De(this,m,"f"),this.handle),De(this,m,"f").$registerSourceControl(this.handle,A,W,b)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(d){this._count!==d&&(this._count=d,De(this,m,"f").$updateSourceControl(this.handle,{count:d}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(d){this._quickDiffProvider=d,De(this,m,"f").$updateSourceControl(this.handle,{hasQuickDiffProvider:!!d})}get commitTemplate(){return this._commitTemplate}set commitTemplate(d){d!==this._commitTemplate&&(this._commitTemplate=d,De(this,m,"f").$updateSourceControl(this.handle,{commitTemplate:d}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(d){this._acceptInputDisposables.value=new B.DisposableStore,this._acceptInputCommand=d;const S=this._commands.converter.toInternal(d,this._acceptInputDisposables.value);De(this,m,"f").$updateSourceControl(this.handle,{acceptInputCommand:S})}get actionButton(){return(0,s.checkProposedApiEnabled)(this._extension,"scmActionButton"),this._actionButton}set actionButton(d){(0,s.checkProposedApiEnabled)(this._extension,"scmActionButton"),this._actionButtonDisposables.value=new B.DisposableStore,this._actionButton=d;const S=d!==void 0?{command:this._commands.converter.toInternal(d.command,this._actionButtonDisposables.value),description:d.description}:void 0;De(this,m,"f").$updateSourceControl(this.handle,{actionButton:S??null})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(d){if(this._statusBarCommands&&d&&l(this._statusBarCommands,d))return;this._statusBarDisposables.value=new B.DisposableStore,this._statusBarCommands=d;const S=(d||[]).map(k=>this._commands.converter.toInternal(k,this._statusBarDisposables.value));De(this,m,"f").$updateSourceControl(this.handle,{statusBarCommands:S})}get selected(){return this._selected}createResourceGroup(d,S){const k=new u(De(this,m,"f"),this._commands,this.handle,d,S),A=I.Event.once(k.onDidDispose)(()=>this.createdResourceGroups.delete(k));return this.createdResourceGroups.set(k,A),this.eventuallyAddResourceGroups(),k}eventuallyAddResourceGroups(){const d=[],S=[];for(const[k,A]of this.createdResourceGroups){A.dispose();const W=k.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(k),this.eventuallyUpdateResourceStates()});I.Event.once(k.onDidDispose)(()=>{this.updatedResourceGroups.delete(k),W.dispose(),this._groups.delete(k.handle),De(this,m,"f").$unregisterGroup(this.handle,k.handle)}),d.push([k.handle,k.id,k.label,k.features]);const b=k._takeResourceStateSnapshot();b.length>0&&S.push([k.handle,b]),this._groups.set(k.handle,k)}De(this,m,"f").$registerGroups(this.handle,d,S),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const d=[];this.updatedResourceGroups.forEach(S=>{const k=S._takeResourceStateSnapshot();k.length!==0&&d.push([S.handle,k])}),d.length>0&&De(this,m,"f").$spliceResourceStates(this.handle,d),this.updatedResourceGroups.clear()}getResourceGroup(d){return this._groups.get(d)}setSelectionState(d){this._selected=d,this._onDidChangeSelection.fire(d)}dispose(){this._acceptInputDisposables.dispose(),this._actionButtonDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(d=>d.dispose()),De(this,m,"f").$unregisterSourceControl(this.handle)}}m=new WeakMap,t._handlePool=0,Fe([(0,_.debounce)(100)],t.prototype,"eventuallyAddResourceGroups",null),Fe([(0,_.debounce)(100)],t.prototype,"eventuallyUpdateResourceStates",null);let a=class Vi{constructor(d,S,k){this._commands=S,this.logService=k,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new I.Emitter,this._proxy=d.getProxy(P.MainContext.MainThreadSCM),this._telemetry=d.getProxy(P.MainContext.MainThreadTelemetry),S.registerArgumentProcessor({processArgument:A=>{if(A&&A.$mid===3){const W=this._sourceControls.get(A.sourceControlHandle);if(!W)return A;const b=W.getResourceGroup(A.groupHandle);return b?b.getResourceState(A.handle):A}else if(A&&A.$mid===4){const W=this._sourceControls.get(A.sourceControlHandle);return W?W.getResourceGroup(A.groupHandle):A}else if(A&&A.$mid===5){const W=this._sourceControls.get(A.handle);return W||A}return A}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(d,S,k,A){this.logService.trace("ExtHostSCM#createSourceControl",d.identifier.value,S,k,A),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:d.identifier.value});const W=Vi._handlePool++,b=new t(d,this._proxy,this._commands,S,k,A);this._sourceControls.set(W,b);const H=this._sourceControlsByExtension.get(E.ExtensionIdentifier.toKey(d.identifier))||[];return H.push(b),this._sourceControlsByExtension.set(E.ExtensionIdentifier.toKey(d.identifier),H),b}getLastInputBox(d){this.logService.trace("ExtHostSCM#getLastInputBox",d.identifier.value);const S=this._sourceControlsByExtension.get(E.ExtensionIdentifier.toKey(d.identifier)),k=S&&S[S.length-1];return k&&k.inputBox}$provideOriginalResource(d,S,k){const A=o.URI.revive(S);this.logService.trace("ExtHostSCM#$provideOriginalResource",d,A.toString());const W=this._sourceControls.get(d);return!W||!W.quickDiffProvider||!W.quickDiffProvider.provideOriginalResource?Promise.resolve(null):(0,y.asPromise)(()=>W.quickDiffProvider.provideOriginalResource(A,k)).then(b=>b||null)}$onInputBoxValueChange(d,S){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",d);const k=this._sourceControls.get(d);return k&&k.inputBox.$onInputBoxValueChange(S),Promise.resolve(void 0)}$executeResourceCommand(d,S,k,A){this.logService.trace("ExtHostSCM#$executeResourceCommand",d,S,k);const W=this._sourceControls.get(d);if(!W)return Promise.resolve(void 0);const b=W.getResourceGroup(S);return b?b.$executeResourceCommand(k,A):Promise.resolve(void 0)}$validateInput(d,S,k){this.logService.trace("ExtHostSCM#$validateInput",d);const A=this._sourceControls.get(d);return!A||!A.inputBox.validateInput?Promise.resolve(void 0):(0,y.asPromise)(()=>A.inputBox.validateInput(S,k)).then(W=>{if(!W)return Promise.resolve(void 0);const b=g.MarkdownString.fromStrict(W.message);return b?Promise.resolve([b,W.type]):Promise.resolve(void 0)})}$setSelectedSourceControl(d){return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",d),d!==void 0&&this._sourceControls.get(d)?.setSelectionState(!0),this._selectedSourceControlHandle!==void 0&&this._sourceControls.get(this._selectedSourceControlHandle)?.setSelectionState(!1),this._selectedSourceControlHandle=d,Promise.resolve(void 0)}};a._handlePool=0,a=Fe([Ne(2,M.ILogService)],a),e.ExtHostSCM=a});var je=this&&this.__classPrivateFieldSet||function(Y,e,o,I,_){if(I==="m")throw new TypeError("Private method is not writable");if(I==="a"&&!_)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Y!==e||!_:!e.has(Y))throw new TypeError("Cannot write private member to an object whose class did not declare it");return I==="a"?_.call(Y,o):_?_.value=o:e.set(Y,o),o},De=this&&this.__classPrivateFieldGet||function(Y,e,o,I){if(o==="a"&&!I)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Y!==e||!I:!e.has(Y))throw new TypeError("Cannot read private member from an object whose class did not declare it");return o==="m"?I:o==="a"?I.call(Y):I?I.value:e.get(Y)};define(Ee[201],be([1,0,7,4,125,6,8,11]),function(Y,e,o,I,_,B,y,P){"use strict";var C,L;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class M{constructor(s,n,m,w,R=o.StatusBarAlignment.Left,h){C.set(this,void 0),L.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new B.DisposableStore,je(this,C,s,"f"),je(this,L,n,"f"),this._entryId=M.ID_GEN++,this._extension=m,this._id=w,this._alignment=R,this._priority=this.validatePriority(h)}validatePriority(s){if(!!(0,P.isNumber)(s))return s===Number.POSITIVE_INFINITY?Number.MAX_VALUE:s===Number.NEGATIVE_INFINITY?-Number.MAX_VALUE:s}get id(){return this._id??this._extension.identifier.value}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get name(){return this._name}get tooltip(){return this._tooltip}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){return this._command?.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(s){this._text=s,this.update()}set name(s){this._name=s,this.update()}set tooltip(s){this._tooltip=s,this.update()}set color(s){this._color=s,this.update()}set backgroundColor(s){s&&!M.ALLOWED_BACKGROUND_COLORS.has(s.id)&&(s=void 0),this._backgroundColor=s,this.update()}set command(s){this._command?.fromApi!==s&&(this._internalCommandRegistration.clear(),typeof s=="string"?this._command={fromApi:s,internal:De(this,L,"f").toInternal({title:"",command:s},this._internalCommandRegistration)}:s?this._command={fromApi:s,internal:De(this,L,"f").toInternal(s,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(s){this._accessibilityInformation=s,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,De(this,C,"f").$dispose(this._entryId)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{this._timeoutHandle=void 0;let s;this._extension?this._id?s=`${this._extension.identifier.value}.${this._id}`:s=this._extension.identifier.value:s=this._id;let n;this._name?n=this._name:n=(0,_.localize)(0,null,this._extension.displayName||this._extension.name);let m=this._color;this._backgroundColor&&(m=M.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id));const w=y.MarkdownString.fromStrict(this._tooltip);De(this,C,"f").$setEntry(this._entryId,s,n,this._text,w,this._command?.internal,m,this._backgroundColor,this._alignment===o.StatusBarAlignment.Left,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=M,C=new WeakMap,L=new WeakMap,M.ID_GEN=0,M.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new o.ThemeColor("statusBarItem.errorForeground")],["statusBarItem.warningBackground",new o.ThemeColor("statusBarItem.warningForeground")]]);class E{constructor(s){this._messages=[],this._item=s.createStatusBarEntry(void 0,"status.extensionMessage",o.StatusBarAlignment.Left,Number.MIN_VALUE),this._item.name=(0,_.localize)(1,null)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(s){const n={message:s};return this._messages.unshift(n),this._update(),new o.Disposable(()=>{const m=this._messages.indexOf(n);m>=0&&(this._messages.splice(m,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class c{constructor(s,n){this._proxy=s.getProxy(I.MainContext.MainThreadStatusBar),this._commands=n,this._statusMessage=new E(this)}createStatusBarEntry(s,n,m,w){return new M(this._proxy,this._commands,s,n,m,w)}setStatusBarMessage(s,n){const m=this._statusMessage.setMessage(s);let w;return typeof n=="number"?w=setTimeout(()=>m.dispose(),n):typeof n!="undefined"&&n.then(()=>m.dispose(),()=>m.dispose()),new o.Disposable(()=>{m.dispose(),clearTimeout(w)})}}e.ExtHostStatusBar=c}),define(Ee[67],be([1,0,4,5,3]),function(Y,e,o,I,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class B{constructor(P){this._onDidChangeStorage=new I.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=P.getProxy(o.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(P,C){this._proxy.$registerExtensionStorageKeysToSync(P,C)}initializeExtensionStorage(P,C,L){return this._proxy.$initializeExtensionStorage(P,C).then(M=>M||L)}setValue(P,C,L){return this._proxy.$setValue(P,C,L)}$acceptValue(P,C,L){this._onDidChangeStorage.fire({shared:P,key:C,value:L})}}e.ExtHostStorage=B,e.IExtHostStorage=(0,_.createDecorator)("IExtHostStorage")}),define(Ee[68],be([1,0,3,27,12,51,2]),function(Y,e,o,I,_,B,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=(0,o.createDecorator)("IExtensionStoragePaths");let P=class{constructor(L,M,E){this._logService=M,this._extHostFileSystem=E,this._workspace=L.workspace??void 0,this._environment=L.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(c=>this._value=c)}async _getWorkspaceStorageURI(L){return y.URI.joinPath(this._environment.workspaceStorageHome,L)}async _getOrCreateWorkspaceStoragePath(){if(!this._workspace)return Promise.resolve(void 0);const L=this._workspace.id,M=await this._getWorkspaceStorageURI(L);try{return await this._extHostFileSystem.value.stat(M),this._logService.trace("[ExtHostStorage] storage dir already exists",M),M}catch{}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",M),await this._extHostFileSystem.value.createDirectory(M),await this._extHostFileSystem.value.writeFile(y.URI.joinPath(M,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:y.URI.revive(this._workspace.configuration)?.toString(),name:this._workspace.name},void 0,2))),M}catch(E){this._logService.error("[ExtHostStorage]",E);return}}workspaceValue(L){if(this._value)return y.URI.joinPath(this._value,L.identifier.value)}globalValue(L){return y.URI.joinPath(this._environment.globalStorageHome,L.identifier.value.toLowerCase())}onWillDeactivateAll(){}};P=Fe([Ne(0,I.IExtHostInitDataService),Ne(1,_.ILogService),Ne(2,B.IExtHostConsumerFileSystem)],P),e.ExtensionStoragePaths=P}),define(Ee[40],be([1,0,5,4,3,2,14,6,7,126,15,165,20,36,145,57,11,13]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=(0,_.createDecorator)("IExtHostTerminalService");class R{constructor(t,a,p,d){this._proxy=t,this._id=a,this._creationOptions=p,this._name=d,this._disposed=!1,this._state={isInteractedWith:!1},this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(k=>this._pidPromiseComplete=k);const S=this;this.value={get name(){return S._name||""},get processId(){return S._pidPromise},get creationOptions(){return S._creationOptions},get exitStatus(){return S._exitStatus},get state(){return S._state},sendText(k,A=!0){S._checkDisposed(),S._proxy.$sendText(S._id,k,A)},show(k){S._checkDisposed(),S._proxy.$show(S._id,k)},hide(){S._checkDisposed(),S._proxy.$hide(S._id)},dispose(){S._disposed||(S._disposed=!0,S._proxy.$dispose(S._id))},get dimensions(){if(!(S._cols===void 0||S._rows===void 0))return{columns:S._cols,rows:S._rows}}}}async create(t,a){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:t.name,shellPath:(0,m.withNullAsUndefined)(t.shellPath),shellArgs:(0,m.withNullAsUndefined)(t.shellArgs),cwd:(0,m.withNullAsUndefined)(t.cwd),env:(0,m.withNullAsUndefined)(t.env),icon:(0,m.withNullAsUndefined)(l(t.iconPath)),color:n.ThemeColor.isThemeColor(t.color)?t.color.id:void 0,initialText:(0,m.withNullAsUndefined)(t.message),strictEnv:(0,m.withNullAsUndefined)(t.strictEnv),hideFromUser:(0,m.withNullAsUndefined)(t.hideFromUser),isFeatureTerminal:(0,m.withNullAsUndefined)(a?.isFeatureTerminal),isExtensionOwnedTerminal:!0,useShellEnvironment:(0,m.withNullAsUndefined)(a?.useShellEnvironment),location:a?.location||this._serializeParentTerminal(t.location,a?.resolvedExtHostIdentifier),isTransient:(0,m.withNullAsUndefined)(t.isTransient)})}async createExtensionTerminal(t,a,p,d){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionCustomPtyTerminal:!0,icon:p,color:n.ThemeColor.isThemeColor(d)?d.id:void 0,location:this._serializeParentTerminal(t,a),isTransient:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_serializeParentTerminal(t,a){return typeof t=="object"?"parentTerminal"in t&&t.parentTerminal&&a?{parentTerminal:a}:"viewColumn"in t?{viewColumn:t.viewColumn,preserveFocus:t.preserveFocus}:void 0:t}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(t){this._name=t}setExitCode(t){this._exitStatus=Object.freeze({code:t})}setDimensions(t,a){return t===this._cols&&a===this._rows||t===0||a===0?!1:(this._cols=t,this._rows=a,!0)}setInteractedWith(){return this._state.isInteractedWith?!1:(this._state={isInteractedWith:!0},!0)}_setProcessId(t){this._pidPromiseComplete?(this._pidPromiseComplete(t),this._pidPromiseComplete=void 0):this._pidPromise.then(a=>{a!==t&&(this._pidPromise=Promise.resolve(t))})}}e.ExtHostTerminal=R;class h{constructor(t){this._pty=t,this.id=0,this.shouldPersist=!1,this._onProcessData=new o.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessReady=new o.Emitter,this._onDidChangeProperty=new o.Emitter,this.onDidChangeProperty=this._onDidChangeProperty.event,this._onProcessExit=new o.Emitter,this.onProcessExit=this._onProcessExit.event}get onProcessReady(){return this._onProcessReady.event}refreshProperty(t){throw new Error(`refreshProperty is not suppported in extension owned terminals. property: ${t}`)}updateProperty(t,a){throw new Error(`updateProperty is not suppported in extension owned terminals. property: ${t}, value: ${a}`)}async start(){}shutdown(){this._pty.close()}input(t){this._pty.handleInput?.(t)}resize(t,a){this._pty.setDimensions?.({columns:t,rows:a})}async processBinary(t){}acknowledgeDataEvent(t){}async setUnicodeVersion(t){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(t){this._pty.onDidWrite(a=>this._onProcessData.fire(a)),this._pty.onDidClose?.((a=void 0)=>{this._onProcessExit.fire(a===void 0?void 0:a)}),this._pty.onDidOverrideDimensions?.(a=>{a&&this._onDidChangeProperty.fire({type:"overrideDimensions",value:{cols:a.columns,rows:a.rows}})}),this._pty.onDidChangeName?.(a=>{this._onDidChangeProperty.fire({type:"title",value:a})}),this._pty.open(t||void 0),t&&this._pty.setDimensions?.(t),this._onProcessReady.fire({pid:-1,cwd:""})}}e.ExtHostPseudoterminal=h;let f=1,v=class extends P.Disposable{constructor(t,a){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._profileProviders=new Map,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new o.Emitter,this.onDidCloseTerminal=this._onDidCloseTerminal.event,this._onDidOpenTerminal=new o.Emitter,this.onDidOpenTerminal=this._onDidOpenTerminal.event,this._onDidChangeActiveTerminal=new o.Emitter,this.onDidChangeActiveTerminal=this._onDidChangeActiveTerminal.event,this._onDidChangeTerminalDimensions=new o.Emitter,this.onDidChangeTerminalDimensions=this._onDidChangeTerminalDimensions.event,this._onDidChangeTerminalState=new o.Emitter,this.onDidChangeTerminalState=this._onDidChangeTerminalState.event,this._proxy=a.getProxy(I.MainContext.MainThreadTerminalService),this._bufferer=new s.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new o.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(t),this._register({dispose:()=>{for(const[p,d]of this._terminalProcesses)d.shutdown(!0)}})}get activeTerminal(){return this._activeTerminal?.value}get terminals(){return this._terminals.map(t=>t.value)}get onDidWriteTerminalData(){return this._onDidWriteTerminalData.event}getDefaultShell(t){return(t?this._defaultAutomationProfile:this._defaultProfile)?.path||""}getDefaultShellArgs(t){return(t?this._defaultAutomationProfile:this._defaultProfile)?.args||[]}createExtensionTerminal(t,a){const p=new R(this._proxy,(0,g.generateUuid)(),t,t.name),d=new h(t.pty);return p.createExtensionTerminal(t.location,this._serializeParentTerminal(t,a).resolvedExtHostIdentifier,l(t.iconPath),i(t.color)).then(S=>{const k=this._setupExtHostProcessListeners(S,d);this._terminalProcessDisposables[S]=k}),this._terminals.push(p),p.value}_serializeParentTerminal(t,a){if(a=a||{},t.location&&typeof t.location=="object"&&"parentTerminal"in t.location){const p=t.location.parentTerminal;if(p){const d=this._terminals.find(S=>S.value===p);d&&(a.resolvedExtHostIdentifier=d._id)}}else t.location&&typeof t.location!="object"?a.location=t.location:a.location&&typeof a.location=="object"&&"splitActiveTerminal"in a.location&&(a.location={splitActiveTerminal:!0});return a}attachPtyToTerminal(t,a){if(!this._getTerminalById(t))throw new Error(`Cannot resolve terminal with id ${t} for virtual process`);const d=new h(a),S=this._setupExtHostProcessListeners(t,d);this._terminalProcessDisposables[t]=S}async $acceptActiveTerminalChanged(t){const a=this._activeTerminal;if(t===null){this._activeTerminal=void 0,a!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const p=this._getTerminalById(t);p&&(this._activeTerminal=p,a!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(t,a){const p=this._getTerminalById(t);p&&this._onDidWriteTerminalData.fire({terminal:p.value,data:a})}async $acceptTerminalDimensions(t,a,p){const d=this._getTerminalById(t);d&&d.setDimensions(a,p)&&this._onDidChangeTerminalDimensions.fire({terminal:d.value,dimensions:d.value.dimensions})}async $acceptTerminalMaximumDimensions(t,a,p){this._terminalProcesses.get(t)?.resize(a,p)}async $acceptTerminalTitleChange(t,a){const p=this._getTerminalById(t);p&&(p.name=a)}async $acceptTerminalClosed(t,a){const p=this._getTerminalObjectIndexById(this._terminals,t);if(p!==null){const d=this._terminals.splice(p,1)[0];d.setExitCode(a),this._onDidCloseTerminal.fire(d.value)}}$acceptTerminalOpened(t,a,p,d){if(a){const A=this._getTerminalObjectIndexById(this._terminals,a);if(A!==null){this._terminals[A]._id=t,this._onDidOpenTerminal.fire(this.terminals[A]),this._terminals[A].isOpen=!0;return}}const S={name:d.name,shellPath:d.executable,shellArgs:d.args,cwd:typeof d.cwd=="string"?d.cwd:B.URI.revive(d.cwd),env:d.env,hideFromUser:d.hideFromUser},k=new R(this._proxy,t,S,p);this._terminals.push(k),this._onDidOpenTerminal.fire(k.value),k.isOpen=!0}async $acceptTerminalProcessId(t,a){const p=this._getTerminalById(t);p&&p._setProcessId(a)}async $startExtensionTerminal(t,a){const p=this._getTerminalById(t);if(!p)return{message:(0,L.localize)(0,null,t)};p.isOpen||await new Promise(S=>{const k=this.onDidOpenTerminal(async A=>{A===p.value&&(k.dispose(),S())})});const d=this._terminalProcesses.get(t);d?d.startSendingEvents(a):this._extensionTerminalAwaitingStart[t]={initialDimensions:a}}_setupExtHostProcessListeners(t,a){const p=new P.DisposableStore;p.add(a.onProcessReady(S=>this._proxy.$sendProcessReady(t,S.pid,S.cwd))),p.add(a.onDidChangeProperty(S=>this._proxy.$sendProcessProperty(t,S))),this._bufferer.startBuffering(t,a.onProcessData),p.add(a.onProcessExit(S=>this._onProcessExit(t,S))),this._terminalProcesses.set(t,a);const d=this._extensionTerminalAwaitingStart[t];return d&&a instanceof h&&(a.startSendingEvents(d.initialDimensions),delete this._extensionTerminalAwaitingStart[t]),p}$acceptProcessAckDataEvent(t,a){this._terminalProcesses.get(t)?.acknowledgeDataEvent(a)}$acceptProcessInput(t,a){this._terminalProcesses.get(t)?.input(a)}$acceptTerminalInteraction(t){const a=this._getTerminalById(t);a?.setInteractedWith()&&this._onDidChangeTerminalState.fire(a.value)}$acceptProcessResize(t,a,p){try{this._terminalProcesses.get(t)?.resize(a,p)}catch(d){if(d.code!=="EPIPE"&&d.code!=="ERR_IPC_CHANNEL_CLOSED")throw d}}$acceptProcessShutdown(t,a){this._terminalProcesses.get(t)?.shutdown(a)}$acceptProcessRequestInitialCwd(t){this._terminalProcesses.get(t)?.getInitialCwd().then(a=>this._proxy.$sendProcessProperty(t,{type:"initialCwd",value:a}))}$acceptProcessRequestCwd(t){this._terminalProcesses.get(t)?.getCwd().then(a=>this._proxy.$sendProcessProperty(t,{type:"cwd",value:a}))}$acceptProcessRequestLatency(t){return Promise.resolve(t)}registerLinkProvider(t){return this._linkProviders.add(t),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new C.Disposable(()=>{this._linkProviders.delete(t),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}registerProfileProvider(t,a,p){if(this._profileProviders.has(a))throw new Error(`Terminal profile provider "${a}" already registered`);return this._profileProviders.set(a,p),this._proxy.$registerProfileProvider(a,t.identifier.value),new C.Disposable(()=>{this._profileProviders.delete(a),this._proxy.$unregisterProfileProvider(a)})}async $createContributedProfileTerminal(t,a){const p=new c.CancellationTokenSource().token;let d=await this._profileProviders.get(t)?.provideTerminalProfile(p);if(!p.isCancellationRequested){if(d&&!("options"in d)&&(d={options:d}),!d||!("options"in d))throw new Error(`No terminal profile options provided for id "${t}"`);if("pty"in d.options){this.createExtensionTerminal(d.options,a);return}this.createTerminalFromOptions(d.options,a)}}async $provideLinks(t,a){const p=this._getTerminalById(t);if(!p)return[];this._terminalLinkCache.delete(t);const d=this._terminalLinkCancellationSource.get(t);d&&d.dispose(!0);const S=new c.CancellationTokenSource;this._terminalLinkCancellationSource.set(t,S);const k=[],A={terminal:p.value,line:a},W=[];for(const q of this._linkProviders)W.push(w.Promises.withAsyncBody(async $=>{S.token.onCancellationRequested(()=>$({provider:q,links:[]}));const j=await q.provideTerminalLinks(A,S.token)||[];S.token.isCancellationRequested||$({provider:q,links:j})}));const b=await Promise.all(W);if(S.token.isCancellationRequested)return[];const H=new Map;for(const q of b)q&&q.links.length>0&&k.push(...q.links.map($=>{const j={id:f++,startIndex:$.startIndex,length:$.length,label:$.tooltip};return H.set(j.id,{provider:q.provider,link:$}),j}));return this._terminalLinkCache.set(t,H),k}$activateLink(t,a){const p=this._terminalLinkCache.get(t)?.get(a);!p||p.provider.handleTerminalLink(p.link)}_onProcessExit(t,a){this._bufferer.stopBuffering(t),this._terminalProcesses.delete(t),delete this._extensionTerminalAwaitingStart[t];const p=this._terminalProcessDisposables[t];p&&(p.dispose(),delete this._terminalProcessDisposables[t]),this._proxy.$sendProcessExit(t,a)}_getTerminalById(t){return this._getTerminalObjectById(this._terminals,t)}_getTerminalObjectById(t,a){const p=this._getTerminalObjectIndexById(t,a);return p!==null?t[p]:null}_getTerminalObjectIndexById(t,a){let p=null;return t.some((d,S)=>d._id===a?(p=S,!0):!1),p}getEnvironmentVariableCollection(t){let a=this._environmentVariableCollections.get(t.identifier.value);return a||(a=new r,this._setEnvironmentVariableCollection(t.identifier.value,a)),a}_syncEnvironmentVariableCollection(t,a){const p=(0,E.serializeEnvironmentVariableCollection)(a.map);this._proxy.$setEnvironmentVariableCollection(t,a.persistent,p.length===0?void 0:p)}$initEnvironmentVariableCollections(t){t.forEach(a=>{const p=a[0],d=new r(a[1]);this._setEnvironmentVariableCollection(p,d)})}$acceptDefaultProfile(t,a){this._defaultProfile=t,this._defaultAutomationProfile=a}_setEnvironmentVariableCollection(t,a){this._environmentVariableCollections.set(t,a),a.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(t,a)})}};v=Fe([Ne(1,y.IExtHostRpcService)],v),e.BaseExtHostTerminalService=v;class r{constructor(t){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new o.Emitter,this.map=new Map(t)}get persistent(){return this._persistent}set persistent(t){this._persistent=t,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(t,a){this._setIfDiffers(t,{value:a,type:C.EnvironmentVariableMutatorType.Replace})}append(t,a){this._setIfDiffers(t,{value:a,type:C.EnvironmentVariableMutatorType.Append})}prepend(t,a){this._setIfDiffers(t,{value:a,type:C.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(t,a){const p=this.map.get(t);(!p||p.value!==a.value||p.type!==a.type)&&(this.map.set(t,a),this._onDidChangeCollection.fire())}get(t){return this.map.get(t)}forEach(t,a){this.map.forEach((p,d)=>t.call(a,d,p,this))}delete(t){this.map.delete(t),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=r;let T=class extends v{constructor(t){super(!1,t)}createTerminal(t,a,p){throw new M.NotSupportedError}createTerminalFromOptions(t,a){throw new M.NotSupportedError}};T=Fe([Ne(0,y.IExtHostRpcService)],T),e.WorkerExtHostTerminalService=T;function l(u){if(!(!u||typeof u=="string"))return"id"in u?{id:u.id,color:u.color}:u}function i(u){return n.ThemeColor.isThemeColor(u)?u:void 0}});var je=this&&this.__classPrivateFieldSet||function(Y,e,o,I,_){if(I==="m")throw new TypeError("Private method is not writable");if(I==="a"&&!_)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Y!==e||!_:!e.has(Y))throw new TypeError("Cannot write private member to an object whose class did not declare it");return I==="a"?_.call(Y,o):_?_.value=o:e.set(Y,o),o},De=this&&this.__classPrivateFieldGet||function(Y,e,o,I){if(o==="a"&&!I)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Y!==e||!I:!e.has(Y))throw new TypeError("Cannot read private member from an object whose class did not declare it");return o==="m"?I:o==="a"?I.call(Y):I?I.value:e.get(Y)};define(Ee[202],be([1,0,16,21,20,5,233,93,6,26,11,36,4,14,48,8,7,171,62,63]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m,w,R,h){"use strict";var f;Object.defineProperty(e,"__esModule",{value:!0}),e.TestRunProfileImpl=e.MirroredTestCollection=e.TestRunDto=e.TestRunCoordinator=e.ExtHostTesting=void 0;let v=class{constructor(A,W){this.resultsChangedEmitter=new B.Emitter,this.controllers=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=A.getProxy(c.MainContext.MainThreadTesting),this.observer=new p(this.proxy),this.runTracker=new T(this.proxy),W.registerArgumentProcessor({processArgument:b=>b?.$mid===13?n.TestItem.toItemFromContext(b):b})}createTestController(A,W,b){if(this.controllers.has(A))throw new Error(`Attempt to insert a duplicate controller with ID "${A}"`);const H=new C.DisposableStore,q=H.add(new w.SingleUseTestCollection(A));q.root.label=W;const $=new Map,j=this.proxy,J={items:q.root.children,get label(){return W},set label(ie){W=ie,q.root.label=ie,j.$updateController(A,{label:W})},get refreshHandler(){return b},set refreshHandler(ie){b=ie,j.$updateController(A,{canRefresh:!!ie})},get id(){return A},createRunProfile:(ie,ae,te,ce,de)=>{let Se=(0,P.hash)(ie);for(;$.has(Se);)Se++;const fe=new d(this.proxy,A,Se,ie,ae,te,ce,de);return $.set(Se,fe),fe},createTestItem(ie,ae,te){return new s.TestItemImpl(A,ie,ae,te)},createTestRun:(ie,ae,te=!0)=>this.runTracker.createTestRun(A,q,ie,ae,te),set resolveHandler(ie){q.resolveHandler=ie},get resolveHandler(){return q.resolveHandler},dispose:()=>{H.dispose()}};j.$registerTestController(A,W,!!b),H.add((0,C.toDisposable)(()=>j.$unregisterTestController(A)));const z={controller:J,collection:q,profiles:$};return this.controllers.set(A,z),H.add((0,C.toDisposable)(()=>this.controllers.delete(A))),H.add(q.onDidGenerateDiff(ie=>j.$publishDiff(A,ie.map(R.TestsDiffOp.serialize)))),J}createTestObserver(){return this.observer.checkout()}async runTests(A,W=_.CancellationToken.None){const b=l(A);if(!b)throw new Error("The request passed to `vscode.test.runTests` must include a profile");const H=this.controllers.get(b.controllerId);if(!H)throw new Error("Controller not found");await this.proxy.$runTests({isUiTriggered:!1,targets:[{testIds:A.include?.map(q=>q.id)??[H.collection.root.id],profileGroup:S[b.kind],profileId:b.profileId,controllerId:b.controllerId}],exclude:A.exclude?.map(q=>q.id)},W)}$provideFileCoverage(A,W,b){return(0,o.mapFind)(this.runTracker.trackers,q=>q.id===A?q.getCoverage(W):void 0)?.provideFileCoverage(b)??Promise.resolve([])}$resolveFileCoverage(A,W,b,H){return(0,o.mapFind)(this.runTracker.trackers,$=>$.id===A?$.getCoverage(W):void 0)?.resolveFileCoverage(b,H)??Promise.resolve([])}$configureRunProfile(A,W){this.controllers.get(A)?.profiles.get(W)?.configureHandler?.()}async $refreshTests(A,W){await this.controllers.get(A)?.controller.refreshHandler?.(W)}$publishTestResults(A){this.results=Object.freeze(A.map(W=>(0,L.deepFreeze)(n.TestResults.to(W))).concat(this.results).sort((W,b)=>b.completedAt-W.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $expandTest(A,W){const b=this.controllers.get(h.TestId.fromString(A).controllerId)?.collection;b&&(await b.expand(A,W<0?1/0:W),b.flushDiff())}$acceptDiff(A){this.observer.applyDiff(A.map(R.TestsDiffOp.deserialize))}async $runControllerTests(A,W){const b=this.controllers.get(A.controllerId);if(!b)return;const{collection:H,profiles:q}=b,$=q.get(A.profileId);if(!$)return;const j=A.testIds.map(ae=>H.tree.get(ae)).filter(M.isDefined),J=A.excludeExtIds.map(ae=>b.collection.tree.get(ae)).filter(M.isDefined).filter(ae=>j.some(te=>te.fullId.compare(ae.fullId)===2));if(!j.length)return;const z=new m.TestRunRequest(j.some(ae=>ae.actual instanceof s.TestItemRootImpl)?void 0:j.map(ae=>ae.actual),J.map(ae=>ae.actual),$),ie=this.runTracker.prepareForMainThreadTestRun(z,i.fromInternal(A,b.collection),W);try{await $.runHandler(z,W)}finally{ie.isRunning&&!W.isCancellationRequested&&await B.Event.toPromise(ie.onEnd),ie.dispose()}}$cancelExtensionTestRun(A){A===void 0?this.runTracker.cancelAllRuns():this.runTracker.cancelRunById(A)}};v=Fe([Ne(0,g.IExtHostRpcService)],v),e.ExtHostTesting=v;class r extends C.Disposable{constructor(A,W,b){super();this.dto=A,this.proxy=W,this.tasks=new Map,this.sharedTestIds=new Set,this.endEmitter=this._register(new B.Emitter),this.disposed=!1,this.onEnd=this.endEmitter.event,this.cts=this._register(new _.CancellationTokenSource(b)),this._register(this.cts.token.onCancellationRequested(()=>{for(const{run:H}of this.tasks.values())H.end()}))}get isRunning(){return this.tasks.size>0}get id(){return this.dto.id}getCoverage(A){return this.tasks.get(A)?.coverage}createRun(A){const W=this.dto.id,b=this.dto.controllerId,H=(0,E.generateUuid)(),q=new u(this.proxy,W,H),$=ie=>(ae,...te)=>{if(J){console.warn(`Setting the state of test "${ae.id}" is a no-op after the run ends.`);return}!this.dto.isIncluded(ae)||(this.ensureTestIsKnown(ae),ie(ae,...te))},j=(ie,ae)=>{const te=ae instanceof Array?ae.map(n.TestMessage.from):[n.TestMessage.from(ae)];if(ie.uri&&ie.range){const ce={range:n.Range.from(ie.range),uri:ie.uri};for(const de of te)de.location=de.location||ce}this.proxy.$appendTestMessagesInRun(W,H,h.TestId.fromExtHostTestItem(ie,b).toString(),te)};let J=!1;const z={isPersisted:this.dto.isPersisted,token:this.cts.token,name:A,get coverageProvider(){return q.coverageProvider},set coverageProvider(ie){q.coverageProvider=ie},enqueued:$(ie=>{this.proxy.$updateTestStateInRun(W,H,h.TestId.fromExtHostTestItem(ie,b).toString(),1)}),skipped:$(ie=>{this.proxy.$updateTestStateInRun(W,H,h.TestId.fromExtHostTestItem(ie,b).toString(),5)}),started:$(ie=>{this.proxy.$updateTestStateInRun(W,H,h.TestId.fromExtHostTestItem(ie,b).toString(),2)}),errored:$((ie,ae,te)=>{j(ie,ae),this.proxy.$updateTestStateInRun(W,H,h.TestId.fromExtHostTestItem(ie,b).toString(),6,te)}),failed:$((ie,ae,te)=>{j(ie,ae),this.proxy.$updateTestStateInRun(W,H,h.TestId.fromExtHostTestItem(ie,b).toString(),4,te)}),passed:$((ie,ae)=>{this.proxy.$updateTestStateInRun(W,H,h.TestId.fromExtHostTestItem(ie,this.dto.controllerId).toString(),3,ae)}),appendOutput:(ie,ae,te)=>{J||(te&&(this.dto.isIncluded(te)?this.ensureTestIsKnown(te):te=void 0),this.proxy.$appendOutputToRun(W,H,I.VSBuffer.fromString(ie),ae&&n.location.from(ae),te&&h.TestId.fromExtHostTestItem(te,b).toString()))},end:()=>{J||(J=!0,this.proxy.$finishedTestRunTask(W,H),this.tasks.delete(H),this.isRunning||this.dispose())}};return this.tasks.set(H,{run:z,coverage:q}),this.proxy.$startedTestRunTask(W,{id:H,name:A,running:!0}),z}dispose(){this.disposed||(this.disposed=!0,this.endEmitter.fire(),this.cts.cancel(),super.dispose())}ensureTestIsKnown(A){if(!(A instanceof s.TestItemImpl))throw new s.InvalidTestItemError(A.id);if(this.sharedTestIds.has(h.TestId.fromExtHostTestItem(A,this.dto.controllerId).toString()))return;const W=[],b=this.dto.colllection.root;for(;;){const H=n.TestItem.from(A);if(W.unshift(H),this.sharedTestIds.has(H.extId)||(this.sharedTestIds.add(H.extId),A===b))break;A=A.parent||b}this.proxy.$addTestsToRun(this.dto.controllerId,this.dto.id,W)}}class T{constructor(A){this.proxy=A,this.tracked=new Map}get trackers(){return this.tracked.values()}prepareForMainThreadTestRun(A,W,b){return this.getTracker(A,W,b)}cancelRunById(A){for(const W of this.tracked.values())if(W.id===A){W.dispose();return}}cancelAllRuns(){for(const A of this.tracked.values())A.dispose()}createTestRun(A,W,b,H,q){const $=this.tracked.get(b);if($)return $.createRun(H);const j=i.fromPublic(A,W,b,q),J=l(b);this.proxy.$startedExtensionTestRun({controllerId:A,profile:J&&{group:S[J.kind],id:J.profileId},exclude:b.exclude?.map(ie=>ie.id)??[],id:j.id,include:b.include?.map(ie=>ie.id)??[W.root.id],persist:q});const z=this.getTracker(b,j);return z.onEnd(()=>this.proxy.$finishedExtensionTestRun(j.id)),z.createRun(H)}getTracker(A,W,b){const H=new r(W,this.proxy,b);return this.tracked.set(A,H),H.onEnd(()=>this.tracked.delete(A)),H}}e.TestRunCoordinator=T;const l=k=>{if(!!k.profile){if(!(k.profile instanceof d))throw new Error("TestRunRequest.profile is not an instance created from TestController.createRunProfile");return k.profile}};class i{constructor(A,W,b,H,q,$){this.controllerId=A,this.id=W,this.isPersisted=q,this.colllection=$,this.includePrefix=b.map(j=>j+"\0"),this.excludePrefix=H.map(j=>j+"\0")}static fromPublic(A,W,b,H){return new i(A,(0,E.generateUuid)(),b.include?.map(q=>h.TestId.fromExtHostTestItem(q,A).toString())??[A],b.exclude?.map(q=>h.TestId.fromExtHostTestItem(q,A).toString())??[],H,W)}static fromInternal(A,W){return new i(A.controllerId,A.runId,A.testIds,A.excludeExtIds,!0,W)}isIncluded(A){const W=h.TestId.fromExtHostTestItem(A,this.controllerId).toString()+"\0";for(const b of this.excludePrefix)if(W===b||W.startsWith(b))return!1;for(const b of this.includePrefix)if(W===b||W.startsWith(b))return!0;return!1}}e.TestRunDto=i;class u{constructor(A,W,b){this.proxy=A,this.runId=W,this.taskId=b}set coverageProvider(A){if(this._coverageProvider)throw new Error("The TestCoverageProvider cannot be replaced after being provided");!A||(this._coverageProvider=A,this.proxy.$signalCoverageAvailable(this.runId,this.taskId))}get coverageProvider(){return this._coverageProvider}async provideFileCoverage(A){if(!this._coverageProvider)return[];this.fileCoverage||(this.fileCoverage=(async()=>this._coverageProvider.provideFileCoverage(A))());try{return(await this.fileCoverage)?.map(n.TestCoverage.fromFile)??[]}catch(W){throw this.fileCoverage=void 0,W}}async resolveFileCoverage(A,W){const b=await this.fileCoverage;let H=b?.[A];return!this._coverageProvider||!b||!H?[]:(H.detailedCoverage||(H=b[A]=await this._coverageProvider.resolveFileCoverage?.(H,W)??H),H.detailedCoverage?.map(n.TestCoverage.fromDetailed)??[])}}class t extends R.IncrementalChangeCollector{constructor(A){super();this.emitter=A,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add(A){this.added.add(A)}update(A){Object.assign(A.revived,n.TestItem.toPlain(A.item)),this.added.has(A)||this.updated.add(A)}remove(A){if(this.added.has(A)){this.added.delete(A);return}if(this.updated.delete(A),A.parent&&this.alreadyRemoved.has(A.parent)){this.alreadyRemoved.add(A.item.extId);return}this.removed.add(A)}getChangeEvent(){const{added:A,updated:W,removed:b}=this;return{get added(){return[...A].map(H=>H.revived)},get updated(){return[...W].map(H=>H.revived)},get removed(){return[...b].map(H=>H.revived)}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class a extends R.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new B.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTests(){return super.roots}getMirroredTestDataById(A){return this.items.get(A)}getMirroredTestDataByReference(A){return this.items.get(A.id)}createItem(A,W){return{...A,revived:n.TestItem.toPlain(A.item),depth:W?W.depth+1:0,children:new Set}}createChangeCollector(){return new t(this.changeEmitter)}}e.MirroredTestCollection=a;class p{constructor(A){this.proxy=A}checkout(){this.current||(this.current=this.createObserverData());const A=this.current;return A.observers++,{onDidChangeTest:A.tests.onDidChangeTests,get tests(){return[...A.tests.rootTests].map(W=>W.revived)},dispose:(0,y.once)(()=>{--A.observers==0&&(this.proxy.$unsubscribeFromDiffs(),this.current=void 0)})}}getMirroredTestDataByReference(A){return this.current?.tests.getMirroredTestDataByReference(A)}applyDiff(A){this.current?.tests.apply(A)}createObserverData(){const A=new a;return this.proxy.$subscribeToDiffs(),{observers:0,tests:A}}}class d{constructor(A,W,b,H,q,$,j=!1,J=void 0){this.controllerId=W,this.profileId=b,this._label=H,this.kind=q,this.runHandler=$,this._isDefault=j,this._tag=J,f.set(this,void 0),je(this,f,A,"f");const z=S[q];if(typeof z!="number")throw new Error(`Unknown TestRunProfile.group ${q}`);De(this,f,"f").$publishTestRunProfile({profileId:b,controllerId:W,tag:J?n.TestTag.namespace(this.controllerId,J.id):null,label:H,group:z,isDefault:j,hasConfigurationHandler:!1})}get label(){return this._label}set label(A){A!==this._label&&(this._label=A,De(this,f,"f").$updateTestRunConfig(this.controllerId,this.profileId,{label:A}))}get isDefault(){return this._isDefault}set isDefault(A){A!==this._isDefault&&(this._isDefault=A,De(this,f,"f").$updateTestRunConfig(this.controllerId,this.profileId,{isDefault:A}))}get tag(){return this._tag}set tag(A){A?.id!==this._tag?.id&&(this._tag=A,De(this,f,"f").$updateTestRunConfig(this.controllerId,this.profileId,{tag:A?n.TestTag.namespace(this.controllerId,A.id):null}))}get configureHandler(){return this._configureHandler}set configureHandler(A){A!==this._configureHandler&&(this._configureHandler=A,De(this,f,"f").$updateTestRunConfig(this.controllerId,this.profileId,{hasConfigurationHandler:!!A}))}dispose(){De(this,f,"f").$removeTestProfile(this.controllerId,this.profileId)}}e.TestRunProfileImpl=d,f=new WeakMap;const S={[m.TestRunProfileKind.Coverage]:8,[m.TestRunProfileKind.Debug]:4,[m.TestRunProfileKind.Run]:2}}),define(Ee[203],be([1,0,5,16,4,90,8,7]),function(Y,e,o,I,_,B,y,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class C{constructor(M,E){this._extHostDocumentsAndEditors=E,this._onDidChangeTextEditorSelection=new o.Emitter,this._onDidChangeTextEditorOptions=new o.Emitter,this._onDidChangeTextEditorVisibleRanges=new o.Emitter,this._onDidChangeTextEditorViewColumn=new o.Emitter,this._onDidChangeActiveTextEditor=new o.Emitter,this._onDidChangeVisibleTextEditors=new o.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=M.getProxy(_.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(c=>this._onDidChangeVisibleTextEditors.fire(c)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(c=>this._onDidChangeActiveTextEditor.fire(c))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(M){const E=this._extHostDocumentsAndEditors.allEditors();return M?E:E.map(c=>c.value)}async showTextDocument(M,E,c){let g;typeof E=="number"?g={position:y.ViewColumn.from(E),preserveFocus:c}:typeof E=="object"?g={position:y.ViewColumn.from(E.viewColumn),preserveFocus:E.preserveFocus,selection:typeof E.selection=="object"?y.Range.from(E.selection):void 0,pinned:typeof E.preview=="boolean"?!E.preview:void 0}:g={preserveFocus:!1};const s=await this._proxy.$tryShowTextDocument(M.uri,g),n=s&&this._extHostDocumentsAndEditors.getEditor(s);if(n)return n.value;throw s?new Error(`Could NOT open editor for "${M.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${M.uri.toString()}".`)}createTextEditorDecorationType(M,E){return new B.TextEditorDecorationType(this._proxy,M,E).value}$acceptEditorPropertiesChanged(M,E){const c=this._extHostDocumentsAndEditors.getEditor(M);if(!c)throw new Error("unknown text editor");if(E.options&&c._acceptOptions(E.options),E.selections){const g=E.selections.selections.map(y.Selection.to);c._acceptSelections(g)}if(E.visibleRanges){const g=I.coalesce(E.visibleRanges.map(y.Range.to));c._acceptVisibleRanges(g)}if(E.options&&this._onDidChangeTextEditorOptions.fire({textEditor:c.value,options:{...E.options,lineNumbers:y.TextEditorLineNumbersStyle.to(E.options.lineNumbers)}}),E.selections){const g=P.TextEditorSelectionChangeKind.fromValue(E.selections.source),s=E.selections.selections.map(y.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:c.value,selections:s,kind:g})}if(E.visibleRanges){const g=I.coalesce(E.visibleRanges.map(y.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:c.value,visibleRanges:g})}}$acceptEditorPositionData(M){for(const E in M){const c=this._extHostDocumentsAndEditors.getEditor(E);if(!c)throw new Error("Unknown text editor");const g=y.ViewColumn.to(M[E]);c.value.viewColumn!==g&&(c._acceptViewColumn(g),this._onDidChangeTextEditorViewColumn.fire({textEditor:c.value,viewColumn:g}))}}getDiffInformation(M){return Promise.resolve(this._proxy.$getDiffInformation(M))}}e.ExtHostEditors=C}),define(Ee[204],be([1,0,2,3,4,6,7,8,11]),function(Y,e,o,I,_,B,y,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=(0,I.createDecorator)("IExtHostTimeline");class L{constructor(c,g){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=c.getProxy(_.MainContext.MainThreadTimeline),g.registerArgumentProcessor({processArgument:s=>{if(s&&s.$mid===11){const n=s.uri===void 0?void 0:o.URI.revive(s.uri);return this._itemsBySourceAndUriMap.get(s.source)?.get(M(n))?.get(s.handle)}return s}})}async $getTimeline(c,g,s,n,m){return this._providers.get(c)?.provideTimeline(o.URI.revive(g),s,n,m)}registerTimelineProvider(c,g,s,n){const m=new B.DisposableStore,w=this.convertTimelineItem(g.id,n,m).bind(this);let R;g.onDidChange&&(R=g.onDidChange(f=>this._proxy.$emitTimelineChangeEvent({uri:void 0,reset:!0,...f,id:g.id}),this));const h=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore({...g,scheme:c,onDidChange:void 0,async provideTimeline(f,v,r,T){T?.resetCache&&(m.clear(),h.get(g.id)?.clear());const l=await g.provideTimeline(f,v,r);if(l==null)return;const i=w(f,T);return{...l,source:g.id,items:l.items.map(i)}},dispose(){for(const f of h.values())f.get(g.id)?.clear();R?.dispose(),m.dispose()}})}convertTimelineItem(c,g,s){return(n,m)=>{let w;if(m?.cacheResults){let R=this._itemsBySourceAndUriMap.get(c);R===void 0&&(R=new Map,this._itemsBySourceAndUriMap.set(c,R));const h=M(n);w=R.get(h),w===void 0&&(w=new Map,R.set(h,w))}return R=>{const{iconPath:h,...f}=R,v=`${c}|${R.id??R.timestamp}`;w?.set(v,R);let r,T,l;R.iconPath&&(h instanceof y.ThemeIcon?l={id:h.id,color:h.color}:o.URI.isUri(h)?(r=h,T=h):{light:r,dark:T}=h);let i;return y.MarkdownString.isMarkdownString(f.detail)?i=P.MarkdownString.from(f.detail):(0,C.isString)(f.detail)&&(i=f.detail),{...f,id:f.id??void 0,handle:v,source:c,command:R.command?g.toInternal(R.command,s):void 0,icon:r,iconDark:T,themeIcon:l,detail:i,accessibilityInformation:R.accessibilityInformation}}}}registerTimelineProviderCore(c){if(this._providers.get(c.id))throw new Error(`Timeline Provider ${c.id} already exists.`);return this._proxy.$registerTimelineProvider({id:c.id,label:c.label,scheme:c.scheme}),this._providers.set(c.id,c),(0,B.toDisposable)(()=>{for(const s of this._itemsBySourceAndUriMap.values())s.get(c.id)?.clear();this._providers.delete(c.id),this._proxy.$unregisterTimelineProvider(c.id),c.dispose()})}}e.ExtHostTimeline=L;function M(E){return E?.toString()}}),define(Ee[205],be([1,0,6,9,2,4]),function(Y,e,o,I,_,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class y{constructor(C){this._openers=new Map,this._proxy=C.getProxy(B.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(C,L,M,E){if(this._openers.has(L))throw new Error(`Opener with id '${L}' already registered`);const c=E.schemes.find(g=>!y.supportedSchemes.has(g));if(c)throw new Error(`Scheme '${c}' is not supported. Only http and https are currently supported.`);return this._openers.set(L,M),this._proxy.$registerUriOpener(L,E.schemes,C,E.label),(0,o.toDisposable)(()=>{this._openers.delete(L),this._proxy.$unregisterUriOpener(L)})}async $canOpenUri(C,L,M){const E=this._openers.get(C);if(!E)throw new Error(`Unknown opener with id: ${C}`);const c=_.URI.revive(L);return E.canOpenExternalUri(c,M)}async $openUri(C,L,M){const E=this._openers.get(C);if(!E)throw new Error(`Unknown opener id: '${C}'`);return E.openExternalUri(_.URI.revive(L.resolvedUri),{sourceUri:_.URI.revive(L.sourceUri)},M)}}e.ExtHostUriOpeners=y,y.supportedSchemes=new Set([I.Schemas.http,I.Schemas.https])}),define(Ee[206],be([1,0,4,2,6,15,25]),function(Y,e,o,I,_,B,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class P{constructor(L){this.handles=new Set,this.handlers=new Map,this._proxy=L.getProxy(o.MainContext.MainThreadUrls)}registerUriHandler(L,M){if(this.handles.has(y.ExtensionIdentifier.toKey(L)))throw new Error(`Protocol handler already registered for extension ${L}`);const E=P.HandlePool++;return this.handles.add(y.ExtensionIdentifier.toKey(L)),this.handlers.set(E,M),this._proxy.$registerUriHandler(E,L),(0,_.toDisposable)(()=>{this.handles.delete(y.ExtensionIdentifier.toKey(L)),this.handlers.delete(E),this._proxy.$unregisterUriHandler(E)})}$handleExternalUri(L,M){const E=this.handlers.get(L);if(!E)return Promise.resolve(void 0);try{E.handleUri(I.URI.revive(M))}catch(c){(0,B.onUnexpectedError)(c)}return Promise.resolve(void 0)}async createAppUri(L){return I.URI.revive(await this._proxy.$createAppUri(L))}}e.ExtHostUrls=P,P.HandlePool=0});var je=this&&this.__classPrivateFieldSet||function(Y,e,o,I,_){if(I==="m")throw new TypeError("Private method is not writable");if(I==="a"&&!_)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Y!==e||!_:!e.has(Y))throw new TypeError("Cannot write private member to an object whose class did not declare it");return I==="a"?_.call(Y,o):_?_.value=o:e.set(Y,o),o},De=this&&this.__classPrivateFieldGet||function(Y,e,o,I){if(o==="a"&&!I)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Y!==e||!I:!e.has(Y))throw new TypeError("Cannot read private member from an object whose class did not declare it");return o==="m"?I:o==="a"?I.call(Y):I?I.value:e.get(Y)};define(Ee[52],be([1,0,5,9,2,136,154,61,4]),function(Y,e,o,I,_,B,y,P,C){"use strict";var L,M,E,c,g,s,n,m,w,R,h,f;Object.defineProperty(e,"__esModule",{value:!0}),e.reviveOptions=e.serializeWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.shouldSerializeBuffersForPostMessage=e.ExtHostWebview=void 0;class v{constructor(p,d,S,k,A,W,b){L.set(this,void 0),M.set(this,void 0),E.set(this,void 0),c.set(this,void 0),g.set(this,void 0),s.set(this,void 0),n.set(this,""),m.set(this,void 0),w.set(this,!1),R.set(this,!1),h.set(this,!1),this._onMessageEmitter=new o.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,f.set(this,new o.Emitter),this._onDidDispose=De(this,f,"f").event,je(this,L,p,"f"),je(this,M,d,"f"),je(this,m,S,"f"),je(this,c,k,"f"),je(this,g,A,"f"),je(this,s,W,"f"),je(this,h,r(W),"f"),je(this,E,b,"f")}dispose(){je(this,w,!0,"f"),De(this,f,"f").fire(),De(this,f,"f").dispose(),this._onMessageEmitter.dispose()}asWebviewUri(p){return je(this,R,!0,"f"),(0,P.asWebviewUri)(p,De(this,c,"f").remote)}get cspSource(){const p=De(this,s,"f").extensionLocation;if(p.scheme===I.Schemas.https||p.scheme===I.Schemas.http){let d=p.toString();return d.endsWith("/")||(d+="/"),d+" "+P.webviewGenericCspSource}return P.webviewGenericCspSource}get html(){return this.assertNotDisposed(),De(this,n,"f")}set html(p){this.assertNotDisposed(),De(this,n,"f")!==p&&(je(this,n,p,"f"),!De(this,R,"f")&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(p)&&(je(this,R,!0,"f"),De(this,E,"f").report("Webview vscode-resource: uris",De(this,s,"f"),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),De(this,M,"f").$setHtml(De(this,L,"f"),p))}get options(){return this.assertNotDisposed(),De(this,m,"f")}set options(p){this.assertNotDisposed(),De(this,M,"f").$setOptions(De(this,L,"f"),i(De(this,s,"f"),De(this,g,"f"),p)),je(this,m,p,"f")}async postMessage(p){if(De(this,w,"f"))return!1;const d=(0,y.serializeWebviewMessage)(p,{serializeBuffersForPostMessage:De(this,h,"f")});return De(this,M,"f").$postMessage(De(this,L,"f"),d.message,...d.buffers)}assertNotDisposed(){if(De(this,w,"f"))throw new Error("Webview is disposed")}}e.ExtHostWebview=v,L=new WeakMap,M=new WeakMap,E=new WeakMap,c=new WeakMap,g=new WeakMap,s=new WeakMap,n=new WeakMap,m=new WeakMap,w=new WeakMap,R=new WeakMap,h=new WeakMap,f=new WeakMap;function r(a){try{const p=(0,B.normalizeVersion)((0,B.parseVersion)(a.engines.vscode));return!!p&&p.majorBase>=1&&p.minorBase>=57}catch{return!1}}e.shouldSerializeBuffersForPostMessage=r;class T{constructor(p,d,S,k,A){this.initData=d,this.workspace=S,this._logService=k,this._deprecationService=A,this._webviews=new Map,this._webviewProxy=p.getProxy(C.MainContext.MainThreadWebviews)}$onMessage(p,d,S){const k=this.getWebview(p);if(k){const{message:A}=(0,y.deserializeWebviewMessage)(d,S.value);k._onMessageEmitter.fire(A)}}$onMissingCsp(p,d){this._logService.warn(`${d} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(p,d,S){const k=new v(p,this._webviewProxy,u(d),this.initData,this.workspace,S,this._deprecationService);return this._webviews.set(p,k),k._onDidDispose(()=>{this._webviews.delete(p)}),k}deleteWebview(p){this._webviews.delete(p)}getWebview(p){return this._webviews.get(p)}}e.ExtHostWebviews=T;function l(a){return{id:a.identifier,location:a.extensionLocation}}e.toExtensionData=l;function i(a,p,d){return{enableCommandUris:d.enableCommandUris,enableScripts:d.enableScripts,enableForms:d.enableForms,portMapping:d.portMapping,localResourceRoots:d.localResourceRoots||t(a,p)}}e.serializeWebviewOptions=i;function u(a){return{enableCommandUris:a.enableCommandUris,enableScripts:a.enableScripts,enableForms:a.enableForms,portMapping:a.portMapping,localResourceRoots:a.localResourceRoots?.map(p=>_.URI.from(p))}}e.reviveOptions=u;function t(a,p){return[...(p?.getWorkspaceFolders()||[]).map(d=>d.uri),a.extensionLocation]}}),define(Ee[207],be([1,0,20,93,6,9,24,2,8,52,58,4,7]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class g{constructor(r,T){this.document=r,this._storagePath=T,this._backupCounter=1,this._edits=new M.Cache("custom documents")}addEdit(r){return this._edits.add([r])}async undo(r,T){await this.getEdit(r).undo(),T||this.disposeBackup()}async redo(r,T){await this.getEdit(r).redo(),T||this.disposeBackup()}disposeEdits(r){for(const T of r)this._edits.delete(T)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const r=f(this.document.uri)+this._backupCounter++;return(0,y.joinPath)(this._storagePath,r)}updateBackup(r){this._backup?.delete(),this._backup=r}disposeBackup(){this._backup?.delete(),this._backup=void 0}getEdit(r){const T=this._edits.get(r,0);if(!T)throw new Error("No edit found");return T}}class s{constructor(){this._documents=new Map}get(r,T){return this._documents.get(this.key(r,T))}add(r,T,l){const i=this.key(r,T.uri);if(this._documents.has(i))throw new Error(`Document already exists for viewType:${r} resource:${T.uri}`);const u=new g(T,l);return this._documents.set(i,u),u}delete(r,T){const l=this.key(r,T.uri);this._documents.delete(l)}key(r,T){return`${r}@@@${T}`}}var n;(function(v){v[v.Text=0]="Text",v[v.Custom=1]="Custom"})(n||(n={}));class m{constructor(){this._providers=new Map}addTextProvider(r,T,l){return this.add(0,r,T,l)}addCustomProvider(r,T,l){return this.add(1,r,T,l)}get(r){return this._providers.get(r)}add(r,T,l,i){if(this._providers.has(T))throw new Error(`Provider for viewType:${T} already registered`);return this._providers.set(T,{type:r,extension:l,provider:i}),new c.Disposable(()=>this._providers.delete(T))}}class w{constructor(r,T,l,i,u){this._extHostDocuments=T,this._extensionStoragePaths=l,this._extHostWebview=i,this._extHostWebviewPanels=u,this._editorProviders=new m,this._documents=new s,this._proxy=r.getProxy(E.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(r,T,l,i){const u=new _.DisposableStore;return R(l)?(u.add(this._editorProviders.addTextProvider(T,r,l)),this._proxy.$registerTextEditorProvider((0,L.toExtensionData)(r),T,i.webviewOptions||{},{supportsMove:!!l.moveCustomTextEditor},(0,L.shouldSerializeBuffersForPostMessage)(r))):(u.add(this._editorProviders.addCustomProvider(T,r,l)),this.supportEditing(l)&&u.add(l.onDidChangeCustomDocument(t=>{const a=this.getCustomDocumentEntry(T,t.document.uri);if(h(t)){const p=a.addEdit(t);this._proxy.$onDidEdit(t.document.uri,T,p,t.label)}else this._proxy.$onContentChange(t.document.uri,T)})),this._proxy.$registerCustomEditorProvider((0,L.toExtensionData)(r),T,i.webviewOptions||{},!!i.supportsMultipleEditorsPerDocument,(0,L.shouldSerializeBuffersForPostMessage)(r))),c.Disposable.from(u,new c.Disposable(()=>{this._proxy.$unregisterEditorProvider(T)}))}async $createCustomDocument(r,T,l,i,u){const t=this._editorProviders.get(T);if(!t)throw new Error(`No provider found for '${T}'`);if(t.type!==1)throw new Error(`Invalid provide type for '${T}'`);const a=P.URI.revive(r),p=await t.provider.openCustomDocument(a,{backupId:l,untitledDocumentData:i?.buffer},u);let d;return this.supportEditing(t.provider)&&this._extensionStoragePaths&&(d=this._extensionStoragePaths.workspaceValue(t.extension)??this._extensionStoragePaths.globalValue(t.extension)),this._documents.add(T,p,d),{editable:this.supportEditing(t.provider)}}async $disposeCustomDocument(r,T){const l=this._editorProviders.get(T);if(!l)throw new Error(`No provider found for '${T}'`);if(l.type!==1)throw new Error(`Invalid provider type for '${T}'`);const i=P.URI.revive(r),{document:u}=this.getCustomDocumentEntry(T,i);this._documents.delete(T,u),u.dispose()}async $resolveWebviewEditor(r,T,l,i,u,t){const a=this._editorProviders.get(l);if(!a)throw new Error(`No provider found for '${l}'`);const p=C.ViewColumn.to(u),d=this._extHostWebview.createNewWebview(T,i.webviewOptions,a.extension),S=this._extHostWebviewPanels.createNewWebviewPanel(T,l,i.title,p,i.panelOptions,d),k=P.URI.revive(r);switch(a.type){case 1:{const{document:A}=this.getCustomDocumentEntry(l,k);return a.provider.resolveCustomEditor(A,S,t)}case 0:{const A=this._extHostDocuments.getDocument(k);return a.provider.resolveCustomTextEditor(A,S,t)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(r,T,l){this.getCustomDocumentEntry(T,r).disposeEdits(l)}async $onMoveCustomEditor(r,T,l){const i=this._editorProviders.get(l);if(!i)throw new Error(`No provider found for '${l}'`);if(!i.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${l}'`);const u=this._extHostWebviewPanels.getWebviewPanel(r);if(!u)throw new Error("No webview found");const t=P.URI.revive(T),a=this._extHostDocuments.getDocument(t);await i.provider.moveCustomTextEditor(a,u,o.CancellationToken.None)}async $undo(r,T,l,i){return this.getCustomDocumentEntry(T,r).undo(l,i)}async $redo(r,T,l,i){return this.getCustomDocumentEntry(T,r).redo(l,i)}async $revert(r,T,l){const i=this.getCustomDocumentEntry(T,r);await this.getCustomEditorProvider(T).revertCustomDocument(i.document,l),i.disposeBackup()}async $onSave(r,T,l){const i=this.getCustomDocumentEntry(T,r);await this.getCustomEditorProvider(T).saveCustomDocument(i.document,l),i.disposeBackup()}async $onSaveAs(r,T,l,i){const u=this.getCustomDocumentEntry(T,r);return this.getCustomEditorProvider(T).saveCustomDocumentAs(u.document,P.URI.revive(l),i)}async $backup(r,T,l){const i=this.getCustomDocumentEntry(T,r),t=await this.getCustomEditorProvider(T).backupCustomDocument(i.document,{destination:i.getNewBackupUri()},l);return i.updateBackup(t),t.id}getCustomDocumentEntry(r,T){const l=this._documents.get(r,P.URI.revive(T));if(!l)throw new Error("No custom document found");return l}getCustomEditorProvider(r){const l=this._editorProviders.get(r)?.provider;if(!l||!this.supportEditing(l))throw new Error("Custom document is not editable");return l}supportEditing(r){return!!r.onDidChangeCustomDocument}}e.ExtHostCustomEditors=w;function R(v){return typeof v.resolveCustomTextEditor=="function"}function h(v){return typeof v.undo=="function"&&typeof v.redo=="function"}function f(v){const r=v.scheme===B.Schemas.file||v.scheme===B.Schemas.untitled?v.fsPath:v.toString();return(0,I.hash)(r)+""}});var je=this&&this.__classPrivateFieldSet||function(Y,e,o,I,_){if(I==="m")throw new TypeError("Private method is not writable");if(I==="a"&&!_)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Y!==e||!_:!e.has(Y))throw new TypeError("Cannot write private member to an object whose class did not declare it");return I==="a"?_.call(Y,o):_?_.value=o:e.set(Y,o),o},De=this&&this.__classPrivateFieldGet||function(Y,e,o,I){if(o==="a"&&!I)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Y!==e||!I:!e.has(Y))throw new TypeError("Cannot read private member from an object whose class did not declare it");return o==="m"?I:o==="a"?I.call(Y):I?I.value:e.get(Y)};define(Ee[208],be([1,0,5,6,2,36,8,52,4,7]),function(Y,e,o,I,_,B,y,P,C,L){"use strict";var M,E,c,g,s,n,m,w,R,h,f,v,r;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class T extends I.Disposable{constructor(t,a,p,d,S,k,A){super();M.set(this,void 0),E.set(this,void 0),c.set(this,void 0),g.set(this,void 0),s.set(this,void 0),n.set(this,void 0),m.set(this,void 0),w.set(this,void 0),R.set(this,!0),h.set(this,!0),f.set(this,!1),v.set(this,this._register(new o.Emitter)),this.onDidDispose=De(this,v,"f").event,r.set(this,this._register(new o.Emitter)),this.onDidChangeViewState=De(this,r,"f").event,je(this,M,t,"f"),je(this,E,a,"f"),je(this,c,p,"f"),je(this,s,k,"f"),je(this,w,S,"f"),je(this,n,d,"f"),je(this,g,A,"f")}dispose(){De(this,f,"f")||(je(this,f,!0,"f"),De(this,v,"f").fire(),De(this,E,"f").$disposeWebview(De(this,M,"f")),De(this,g,"f").dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),De(this,g,"f")}get viewType(){return this.assertNotDisposed(),De(this,c,"f")}get title(){return this.assertNotDisposed(),De(this,n,"f")}set title(t){this.assertNotDisposed(),De(this,n,"f")!==t&&(je(this,n,t,"f"),De(this,E,"f").$setTitle(De(this,M,"f"),t))}get iconPath(){return this.assertNotDisposed(),De(this,m,"f")}set iconPath(t){this.assertNotDisposed(),De(this,m,"f")!==t&&(je(this,m,t,"f"),De(this,E,"f").$setIconPath(De(this,M,"f"),_.URI.isUri(t)?{light:t,dark:t}:t))}get options(){return De(this,s,"f")}get viewColumn(){if(this.assertNotDisposed(),!(typeof De(this,w,"f")=="number"&&De(this,w,"f")<0))return De(this,w,"f")}get active(){return this.assertNotDisposed(),De(this,h,"f")}get visible(){return this.assertNotDisposed(),De(this,R,"f")}_updateViewState(t){De(this,f,"f")||(this.active!==t.active||this.visible!==t.visible||this.viewColumn!==t.viewColumn)&&(je(this,h,t.active,"f"),je(this,R,t.visible,"f"),je(this,w,t.viewColumn,"f"),De(this,r,"f").fire({webviewPanel:this}))}reveal(t,a){this.assertNotDisposed(),De(this,E,"f").$reveal(De(this,M,"f"),{viewColumn:typeof t=="undefined"?void 0:y.ViewColumn.from(t),preserveFocus:!!a})}assertNotDisposed(){if(De(this,f,"f"))throw new Error("Webview is disposed")}}M=new WeakMap,E=new WeakMap,c=new WeakMap,g=new WeakMap,s=new WeakMap,n=new WeakMap,m=new WeakMap,w=new WeakMap,R=new WeakMap,h=new WeakMap,f=new WeakMap,v=new WeakMap,r=new WeakMap;class l{constructor(t,a,p){this.webviews=a,this.workspace=p,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=t.getProxy(C.MainContext.MainThreadWebviewPanels)}static newHandle(){return(0,B.generateUuid)()}createWebviewPanel(t,a,p,d,S={}){const k=typeof d=="object"?d.viewColumn:d,A={viewColumn:y.ViewColumn.from(k),preserveFocus:typeof d=="object"&&!!d.preserveFocus},W=(0,P.shouldSerializeBuffersForPostMessage)(t),b=l.newHandle();this._proxy.$createWebviewPanel((0,P.toExtensionData)(t),b,a,{title:p,panelOptions:i(S),webviewOptions:(0,P.serializeWebviewOptions)(t,this.workspace,S),serializeBuffersForPostMessage:W},A);const H=this.webviews.createNewWebview(b,S,t);return this.createNewWebviewPanel(b,a,p,k,S,H)}$onDidChangeWebviewPanelViewStates(t){const a=Object.keys(t);a.sort((p,d)=>{const S=t[p],k=t[d];return S.active?1:k.active?-1:+S.visible-+k.visible});for(const p of a){const d=this.getWebviewPanel(p);if(!d)continue;const S=t[p];d._updateViewState({active:S.active,visible:S.visible,viewColumn:y.ViewColumn.to(S.position)})}}async $onDidDisposeWebviewPanel(t){this.getWebviewPanel(t)?.dispose(),this._webviewPanels.delete(t),this.webviews.deleteWebview(t)}registerWebviewPanelSerializer(t,a,p){if(this._serializers.has(a))throw new Error(`Serializer for '${a}' already registered`);return this._serializers.set(a,{serializer:p,extension:t}),this._proxy.$registerSerializer(a,{serializeBuffersForPostMessage:(0,P.shouldSerializeBuffersForPostMessage)(t)}),new L.Disposable(()=>{this._serializers.delete(a),this._proxy.$unregisterSerializer(a)})}async $deserializeWebviewPanel(t,a,p,d){const S=this._serializers.get(a);if(!S)throw new Error(`No serializer found for '${a}'`);const{serializer:k,extension:A}=S,W=this.webviews.createNewWebview(t,p.webviewOptions,A),b=this.createNewWebviewPanel(t,a,p.title,d,p.panelOptions,W);await k.deserializeWebviewPanel(b,p.state)}createNewWebviewPanel(t,a,p,d,S,k){const A=new T(t,this._proxy,a,p,d,S,k);return this._webviewPanels.set(t,A),A}getWebviewPanel(t){return this._webviewPanels.get(t)}}e.ExtHostWebviewPanels=l;function i(u){return{enableFindWidget:u.enableFindWidget,retainContextWhenHidden:u.retainContextWhenHidden}}});var je=this&&this.__classPrivateFieldSet||function(Y,e,o,I,_){if(I==="m")throw new TypeError("Private method is not writable");if(I==="a"&&!_)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Y!==e||!_:!e.has(Y))throw new TypeError("Cannot write private member to an object whose class did not declare it");return I==="a"?_.call(Y,o):_?_.value=o:e.set(Y,o),o},De=this&&this.__classPrivateFieldGet||function(Y,e,o,I){if(o==="a"&&!I)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Y!==e||!I:!e.has(Y))throw new TypeError("Cannot read private member from an object whose class did not declare it");return o==="m"?I:o==="a"?I.call(Y):I?I.value:e.get(Y)};define(Ee[209],be([1,0,5,6,52,4,7]),function(Y,e,o,I,_,B,y){"use strict";var P,C,L,M,E,c,g,s,n,m;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class w extends I.Disposable{constructor(f,v,r,T,l,i){super();P.set(this,void 0),C.set(this,void 0),L.set(this,void 0),M.set(this,void 0),E.set(this,!1),c.set(this,void 0),g.set(this,void 0),s.set(this,void 0),n.set(this,this._register(new o.Emitter)),this.onDidChangeVisibility=De(this,n,"f").event,m.set(this,this._register(new o.Emitter)),this.onDidDispose=De(this,m,"f").event,je(this,L,r,"f"),je(this,g,T,"f"),je(this,P,f,"f"),je(this,C,v,"f"),je(this,M,l,"f"),je(this,c,i,"f")}dispose(){De(this,E,"f")||(je(this,E,!0,"f"),De(this,m,"f").fire(),De(this,M,"f").dispose(),super.dispose())}get title(){return this.assertNotDisposed(),De(this,g,"f")}set title(f){this.assertNotDisposed(),De(this,g,"f")!==f&&(je(this,g,f,"f"),De(this,C,"f").$setWebviewViewTitle(De(this,P,"f"),f))}get description(){return this.assertNotDisposed(),De(this,s,"f")}set description(f){this.assertNotDisposed(),De(this,s,"f")!==f&&(je(this,s,f,"f"),De(this,C,"f").$setWebviewViewDescription(De(this,P,"f"),f))}get visible(){return De(this,c,"f")}get webview(){return De(this,M,"f")}get viewType(){return De(this,L,"f")}_setVisible(f){f===De(this,c,"f")||De(this,E,"f")||(je(this,c,f,"f"),De(this,n,"f").fire())}show(f){this.assertNotDisposed(),De(this,C,"f").$show(De(this,P,"f"),!!f)}assertNotDisposed(){if(De(this,E,"f"))throw new Error("Webview is disposed")}}P=new WeakMap,C=new WeakMap,L=new WeakMap,M=new WeakMap,E=new WeakMap,c=new WeakMap,g=new WeakMap,s=new WeakMap,n=new WeakMap,m=new WeakMap;class R{constructor(f,v){this._extHostWebview=v,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=f.getProxy(B.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(f,v,r,T){if(this._viewProviders.has(v))throw new Error(`View provider for '${v}' already registered`);return this._viewProviders.set(v,{provider:r,extension:f}),this._proxy.$registerWebviewViewProvider((0,_.toExtensionData)(f),v,{retainContextWhenHidden:T?.retainContextWhenHidden,serializeBuffersForPostMessage:!1}),new y.Disposable(()=>{this._viewProviders.delete(v),this._proxy.$unregisterWebviewViewProvider(v)})}async $resolveWebviewView(f,v,r,T,l){const i=this._viewProviders.get(v);if(!i)throw new Error(`No view provider found for '${v}'`);const{provider:u,extension:t}=i,a=this._extHostWebview.createNewWebview(f,{},t),p=new w(f,this._proxy,v,r,a,!0);this._webviewViews.set(f,p),await u.resolveWebviewView(p,{state:T},l)}async $onDidChangeWebviewViewVisibility(f,v){this.getWebviewView(f)._setVisible(v)}async $disposeWebviewView(f){const v=this.getWebviewView(f);this._webviewViews.delete(f),v.dispose(),this._extHostWebview.deleteWebview(f)}getWebviewView(f){const v=this._webviewViews.get(f);if(!v)throw new Error("No webview found");return v}}e.ExtHostWebviewViews=R}),define(Ee[95],be([1,0,5,4,2,9,10,3,14]),function(Y,e,o,I,_,B,y,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let L=class ji{constructor(E){this._onDidChangeWindowState=new o.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=ji.InitialState,this._proxy=E.getProxy(I.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(c=>this.$onDidChangeWindowFocus(c))}get state(){return this._state}$onDidChangeWindowFocus(E){E!==this._state.focused&&(this._state={...this._state,focused:E},this._onDidChangeWindowState.fire(this._state))}openUri(E,c){let g;if(typeof E=="string"){g=E;try{E=_.URI.parse(E)}catch{return Promise.reject(`Invalid uri - '${E}'`)}}return(0,y.isFalsyOrWhitespace)(E.scheme)?Promise.reject("Invalid scheme - cannot be empty"):E.scheme===B.Schemas.command?Promise.reject(`Invalid scheme '${E.scheme}'`):this._proxy.$openUri(E,g,c)}async asExternalUri(E,c){if((0,y.isFalsyOrWhitespace)(E.scheme))return Promise.reject("Invalid scheme - cannot be empty");const g=await this._proxy.$asExternalUri(E,c);return _.URI.from(g)}};L.InitialState={focused:!0},L=Fe([Ne(0,C.IExtHostRpcService)],L),e.ExtHostWindow=L,e.IExtHostWindow=(0,P.createDecorator)("IExtHostWindow")}),define(Ee[210],be([1,0,13,21,20,15,5,6,108,176,38]),function(Y,e,o,I,_,B,y,P,C,L,M){"use strict";var E;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=e.parseJsonAndRestoreBufferRefs=e.stringifyJsonWithBufferRefs=void 0;function c(S,k){try{return JSON.stringify(S,k)}catch{return"null"}}const g="$$ref$$",s={[g]:-1};class n{constructor(k,A){this.jsonString=k,this.referencedBuffers=A}}function m(S,k=null,A=!1){const W=[];return{jsonString:(A?c:JSON.stringify)(S,(H,q)=>{if(typeof q=="undefined")return s;if(typeof q=="object"){if(q instanceof I.VSBuffer){const $=W.push(q)-1;return{[g]:$}}if(k)return k(H,q)}return q}),referencedBuffers:W}}e.stringifyJsonWithBufferRefs=m;function w(S,k,A){return JSON.parse(S,(W,b)=>{if(b){const H=b[g];if(typeof H=="number")return k[H];if(A&&b.$mid===1)return A.transformIncoming(b)}return b})}e.parseJsonAndRestoreBufferRefs=w;function R(S,k){return JSON.stringify(S,k)}function h(S){return S?(k,A)=>A&&A.$mid===1?S.transformOutgoing(A):A:null}var f;(function(S){S[S.LocalSide=0]="LocalSide",S[S.OtherSide=1]="OtherSide"})(f=e.RequestInitiator||(e.RequestInitiator={}));var v;(function(S){S[S.Responsive=0]="Responsive",S[S.Unresponsive=1]="Unresponsive"})(v=e.ResponsiveState||(e.ResponsiveState={}));const r=()=>{},T=Symbol.for("rpcProtocol"),l=Symbol.for("rpcProxy");class i extends P.Disposable{constructor(k,A=null,W=null){super();this[E]=!0,this._onDidChangeResponsiveState=this._register(new y.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=k,this._logger=A,this._uriTransformer=W,this._uriReplacer=h(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let b=0,H=M.ProxyIdentifier.count;b<H;b++)this._locals[b]=null,this._proxies[b]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new o.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(b=>this._receiveOneMessage(b))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(k=>{this._pendingRPCReplies[k].resolveErr(B.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(k){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+i.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(k){this._unresponsiveTime=Date.now()+i.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(k){this._responsiveState!==k&&(this._responsiveState=k,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(k){return this._uriTransformer?(0,C.transformIncomingURIs)(k,this._uriTransformer):k}getProxy(k){const{nid:A,sid:W}=k;return this._proxies[A]||(this._proxies[A]=this._createProxy(A,W)),this._proxies[A]}_createProxy(k,A){let W={get:(b,H)=>(typeof H=="string"&&!b[H]&&H.charCodeAt(0)===36&&(b[H]=(...q)=>this._remoteCall(k,H,q)),H===l?A:b[H])};return new Proxy(Object.create(null),W)}set(k,A){return this._locals[k.nid]=A,A}assertRegistered(k){for(let A=0,W=k.length;A<W;A++){const b=k[A];if(!this._locals[b.nid])throw new Error(`Missing proxy instance ${b.sid}`)}}_receiveOneMessage(k){if(this._isDisposed)return;const A=k.byteLength,W=u.read(k,0),b=W.readUInt8(),H=W.readUInt32();switch(b){case 1:case 2:{let{rpcId:q,method:$,args:j}=a.deserializeRequestJSONArgs(W);this._uriTransformer&&(j=(0,C.transformIncomingURIs)(j,this._uriTransformer)),this._receiveRequest(A,H,q,$,j,b===2);break}case 3:case 4:{let{rpcId:q,method:$,args:j}=a.deserializeRequestMixedArgs(W);this._uriTransformer&&(j=(0,C.transformIncomingURIs)(j,this._uriTransformer)),this._receiveRequest(A,H,q,$,j,b===4);break}case 5:{this._logger&&this._logger.logIncoming(A,H,0,"ack"),this._onDidReceiveAcknowledge(H);break}case 6:{this._receiveCancel(A,H);break}case 7:{this._receiveReply(A,H,void 0);break}case 9:{let q=a.deserializeReplyOKJSON(W);this._uriTransformer&&(q=(0,C.transformIncomingURIs)(q,this._uriTransformer)),this._receiveReply(A,H,q);break}case 10:{const q=a.deserializeReplyOKJSONWithBuffers(W,this._uriTransformer);this._receiveReply(A,H,q);break}case 8:{let q=a.deserializeReplyOKVSBuffer(W);this._receiveReply(A,H,q);break}case 11:{let q=a.deserializeReplyErrError(W);this._uriTransformer&&(q=(0,C.transformIncomingURIs)(q,this._uriTransformer)),this._receiveReplyErr(A,H,q);break}case 12:{this._receiveReplyErr(A,H,void 0);break}default:console.error("received unexpected message"),console.error(k)}}_receiveRequest(k,A,W,b,H,q){this._logger&&this._logger.logIncoming(k,A,1,`receiveRequest ${(0,M.getStringIdentifierForProxy)(W)}.${b}(`,H);const $=String(A);let j,J;if(q){const ie=new _.CancellationTokenSource;H.push(ie.token),j=this._invokeHandler(W,b,H),J=()=>ie.cancel()}else j=this._invokeHandler(W,b,H),J=r;this._cancelInvokedHandlers[$]=J;const z=a.serializeAcknowledged(A);this._logger&&this._logger.logOutgoing(z.byteLength,A,1,"ack"),this._protocol.send(z),j.then(ie=>{delete this._cancelInvokedHandlers[$];const ae=a.serializeReplyOK(A,ie,this._uriReplacer);this._logger&&this._logger.logOutgoing(ae.byteLength,A,1,"reply:",ie),this._protocol.send(ae)},ie=>{delete this._cancelInvokedHandlers[$];const ae=a.serializeReplyErr(A,ie);this._logger&&this._logger.logOutgoing(ae.byteLength,A,1,"replyErr:",ie),this._protocol.send(ae)})}_receiveCancel(k,A){this._logger&&this._logger.logIncoming(k,A,1,"receiveCancel");const W=String(A);this._cancelInvokedHandlers[W]&&this._cancelInvokedHandlers[W]()}_receiveReply(k,A,W){this._logger&&this._logger.logIncoming(k,A,0,"receiveReply:",W);const b=String(A);if(!this._pendingRPCReplies.hasOwnProperty(b))return;const H=this._pendingRPCReplies[b];delete this._pendingRPCReplies[b],H.resolveOk(W)}_receiveReplyErr(k,A,W){this._logger&&this._logger.logIncoming(k,A,0,"receiveReplyErr:",W);const b=String(A);if(!this._pendingRPCReplies.hasOwnProperty(b))return;const H=this._pendingRPCReplies[b];delete this._pendingRPCReplies[b];let q;W&&(W.$isError?(q=new Error,q.name=W.name,q.message=W.message,q.stack=W.stack):q=W),H.resolveErr(q)}_invokeHandler(k,A,W){try{return Promise.resolve(this._doInvokeHandler(k,A,W))}catch(b){return Promise.reject(b)}}_doInvokeHandler(k,A,W){const b=this._locals[k];if(!b)throw new Error("Unknown actor "+(0,M.getStringIdentifierForProxy)(k));let H=b[A];if(typeof H!="function")throw new Error("Unknown method "+A+" on actor "+(0,M.getStringIdentifierForProxy)(k));return H.apply(b,W)}_remoteCall(k,A,W){if(this._isDisposed)return Promise.reject(B.canceled());let b=null;if(W.length>0&&_.CancellationToken.isCancellationToken(W[W.length-1])&&(b=W.pop()),b&&b.isCancellationRequested)return Promise.reject(B.canceled());const H=a.serializeRequestArguments(W,this._uriReplacer),q=++this._lastMessageId,$=String(q),j=new L.LazyPromise;b&&b.onCancellationRequested(()=>{const z=a.serializeCancel(q);this._logger&&this._logger.logOutgoing(z.byteLength,q,0,"cancel"),this._protocol.send(a.serializeCancel(q))}),this._pendingRPCReplies[$]=j,this._onWillSendRequest(q);const J=a.serializeRequest(q,k,A,H,!!b);return this._logger&&this._logger.logOutgoing(J.byteLength,q,0,`request: ${(0,M.getStringIdentifierForProxy)(k)}.${A}(`,W),this._protocol.send(J),j}}e.RPCProtocol=i,E=T,i.UNRESPONSIVE_TIME=3*1e3;class u{constructor(k,A){this._buff=k,this._offset=A}static alloc(k,A,W){let b=new u(I.VSBuffer.alloc(W+1+4),0);return b.writeUInt8(k),b.writeUInt32(A),b}static read(k,A){return new u(k,A)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(k){this._buff.writeUInt8(k,this._offset),this._offset+=1}readUInt8(){const k=this._buff.readUInt8(this._offset);return this._offset+=1,k}writeUInt32(k){this._buff.writeUInt32BE(k,this._offset),this._offset+=4}readUInt32(){const k=this._buff.readUInt32BE(this._offset);return this._offset+=4,k}static sizeShortString(k){return 1+k.byteLength}writeShortString(k){this._buff.writeUInt8(k.byteLength,this._offset),this._offset+=1,this._buff.set(k,this._offset),this._offset+=k.byteLength}readShortString(){const k=this._buff.readUInt8(this._offset);this._offset+=1;const W=this._buff.slice(this._offset,this._offset+k).toString();return this._offset+=k,W}static sizeLongString(k){return 4+k.byteLength}writeLongString(k){this._buff.writeUInt32BE(k.byteLength,this._offset),this._offset+=4,this._buff.set(k,this._offset),this._offset+=k.byteLength}readLongString(){const k=this._buff.readUInt32BE(this._offset);this._offset+=4;const W=this._buff.slice(this._offset,this._offset+k).toString();return this._offset+=k,W}writeBuffer(k){this._buff.writeUInt32BE(k.byteLength,this._offset),this._offset+=4,this._buff.set(k,this._offset),this._offset+=k.byteLength}static sizeVSBuffer(k){return 4+k.byteLength}writeVSBuffer(k){this._buff.writeUInt32BE(k.byteLength,this._offset),this._offset+=4,this._buff.set(k,this._offset),this._offset+=k.byteLength}readVSBuffer(){const k=this._buff.readUInt32BE(this._offset);this._offset+=4;const A=this._buff.slice(this._offset,this._offset+k);return this._offset+=k,A}static sizeMixedArray(k){let A=0;A+=1;for(let W=0,b=k.length;W<b;W++){const H=k[W];switch(A+=1,H.type){case 1:A+=this.sizeLongString(H.value);break;case 2:A+=this.sizeVSBuffer(H.value);break;case 3:A+=this.sizeUInt32,A+=this.sizeLongString(H.value);for(let q=0;q<H.buffers.length;++q)A+=this.sizeVSBuffer(H.buffers[q]);break;case 4:break}}return A}writeMixedArray(k){this._buff.writeUInt8(k.length,this._offset),this._offset+=1;for(let A=0,W=k.length;A<W;A++){const b=k[A];switch(b.type){case 1:this.writeUInt8(1),this.writeLongString(b.value);break;case 2:this.writeUInt8(2),this.writeVSBuffer(b.value);break;case 3:this.writeUInt8(3),this.writeUInt32(b.buffers.length),this.writeLongString(b.value);for(let H=0;H<b.buffers.length;++H)this.writeBuffer(b.buffers[H]);break;case 4:this.writeUInt8(4);break}}}readMixedArray(){const k=this._buff.readUInt8(this._offset);this._offset+=1;let A=new Array(k);for(let W=0;W<k;W++)switch(this.readUInt8()){case 1:A[W]=this.readLongString();break;case 2:A[W]=this.readVSBuffer();break;case 3:{const H=this.readUInt32(),q=this.readLongString(),$=[];for(let j=0;j<H;++j)$.push(this.readVSBuffer());A[W]=new M.SerializableObjectWithBuffers(w(q,$,null));break}case 4:A[W]=void 0;break}return A}}u.sizeUInt32=4;var t;(function(S){S[S.Simple=0]="Simple",S[S.Mixed=1]="Mixed"})(t||(t={}));class a{static _useMixedArgSerialization(k){for(let A=0,W=k.length;A<W;A++)if(k[A]instanceof I.VSBuffer||k[A]instanceof M.SerializableObjectWithBuffers||typeof k[A]=="undefined")return!0;return!1}static serializeRequestArguments(k,A){if(this._useMixedArgSerialization(k)){const W=[];for(let b=0,H=k.length;b<H;b++){const q=k[b];if(q instanceof I.VSBuffer)W[b]={type:2,value:q};else if(typeof q=="undefined")W[b]={type:4};else if(q instanceof M.SerializableObjectWithBuffers){const{jsonString:$,referencedBuffers:j}=m(q.value,A);W[b]={type:3,value:I.VSBuffer.fromString($),buffers:j}}else W[b]={type:1,value:I.VSBuffer.fromString(R(q,A))}}return{type:1,args:W}}return{type:0,args:R(k,A)}}static serializeRequest(k,A,W,b,H){switch(b.type){case 0:return this._requestJSONArgs(k,A,W,b.args,H);case 1:return this._requestMixedArgs(k,A,W,b.args,H)}}static _requestJSONArgs(k,A,W,b,H){const q=I.VSBuffer.fromString(W),$=I.VSBuffer.fromString(b);let j=0;j+=u.sizeUInt8(),j+=u.sizeShortString(q),j+=u.sizeLongString($);let J=u.alloc(H?2:1,k,j);return J.writeUInt8(A),J.writeShortString(q),J.writeLongString($),J.buffer}static deserializeRequestJSONArgs(k){const A=k.readUInt8(),W=k.readShortString(),b=k.readLongString();return{rpcId:A,method:W,args:JSON.parse(b)}}static _requestMixedArgs(k,A,W,b,H){const q=I.VSBuffer.fromString(W);let $=0;$+=u.sizeUInt8(),$+=u.sizeShortString(q),$+=u.sizeMixedArray(b);let j=u.alloc(H?4:3,k,$);return j.writeUInt8(A),j.writeShortString(q),j.writeMixedArray(b),j.buffer}static deserializeRequestMixedArgs(k){const A=k.readUInt8(),W=k.readShortString(),b=k.readMixedArray(),H=new Array(b.length);for(let q=0,$=b.length;q<$;q++){const j=b[q];typeof j=="string"?H[q]=JSON.parse(j):H[q]=j}return{rpcId:A,method:W,args:H}}static serializeAcknowledged(k){return u.alloc(5,k,0).buffer}static serializeCancel(k){return u.alloc(6,k,0).buffer}static serializeReplyOK(k,A,W){if(typeof A=="undefined")return this._serializeReplyOKEmpty(k);if(A instanceof I.VSBuffer)return this._serializeReplyOKVSBuffer(k,A);if(A instanceof M.SerializableObjectWithBuffers){const{jsonString:b,referencedBuffers:H}=m(A.value,W,!0);return this._serializeReplyOKJSONWithBuffers(k,b,H)}else return this._serializeReplyOKJSON(k,c(A,W))}static _serializeReplyOKEmpty(k){return u.alloc(7,k,0).buffer}static _serializeReplyOKVSBuffer(k,A){let W=0;W+=u.sizeVSBuffer(A);let b=u.alloc(8,k,W);return b.writeVSBuffer(A),b.buffer}static deserializeReplyOKVSBuffer(k){return k.readVSBuffer()}static _serializeReplyOKJSON(k,A){const W=I.VSBuffer.fromString(A);let b=0;b+=u.sizeLongString(W);let H=u.alloc(9,k,b);return H.writeLongString(W),H.buffer}static _serializeReplyOKJSONWithBuffers(k,A,W){const b=I.VSBuffer.fromString(A);let H=0;H+=u.sizeUInt32,H+=u.sizeLongString(b);for(const $ of W)H+=u.sizeVSBuffer($);let q=u.alloc(10,k,H);q.writeUInt32(W.length),q.writeLongString(b);for(const $ of W)q.writeBuffer($);return q.buffer}static deserializeReplyOKJSON(k){const A=k.readLongString();return JSON.parse(A)}static deserializeReplyOKJSONWithBuffers(k,A){const W=k.readUInt32(),b=k.readLongString(),H=[];for(let q=0;q<W;++q)H.push(k.readVSBuffer());return new M.SerializableObjectWithBuffers(w(b,H,A))}static serializeReplyErr(k,A){return A?this._serializeReplyErrEror(k,A):this._serializeReplyErrEmpty(k)}static _serializeReplyErrEror(k,A){const W=I.VSBuffer.fromString(c(B.transformErrorForSerialization(A),null));let b=0;b+=u.sizeLongString(W);let H=u.alloc(11,k,b);return H.writeLongString(W),H.buffer}static deserializeReplyErrError(k){const A=k.readLongString();return JSON.parse(A)}static _serializeReplyErrEmpty(k){return u.alloc(12,k,0).buffer}}var p;(function(S){S[S.RequestJSONArgs=1]="RequestJSONArgs",S[S.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",S[S.RequestMixedArgs=3]="RequestMixedArgs",S[S.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",S[S.Acknowledged=5]="Acknowledged",S[S.Cancel=6]="Cancel",S[S.ReplyOKEmpty=7]="ReplyOKEmpty",S[S.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",S[S.ReplyOKJSON=9]="ReplyOKJSON",S[S.ReplyOKJSONWithBuffers=10]="ReplyOKJSONWithBuffers",S[S.ReplyErrError=11]="ReplyErrError",S[S.ReplyErrEmpty=12]="ReplyErrEmpty"})(p||(p={}));var d;(function(S){S[S.String=1]="String",S[S.VSBuffer=2]="VSBuffer",S[S.SerializedObjectWithBuffers=3]="SerializedObjectWithBuffers",S[S.Undefined=4]="Undefined"})(d||(d={}))}),define(Ee[211],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NestedWorker=void 0;const o=function(B){const y=P=>{self.removeEventListener("message",y);const C=P.data;Object.defineProperties(self,{postMessage:{value(L,M){C.postMessage(L,M)}},onmessage:{get(){return C.onmessage},set(L){C.onmessage=L}}}),C.addEventListener("message",L=>{self.dispatchEvent(new MessageEvent("message",{data:L.data}))}),C.start(),self.Worker=class{constructor(){throw new TypeError("Nested workers from within nested worker are NOT supported.")}},importScripts(B)};self.addEventListener("message",y)}.toString();class I extends EventTarget{constructor(B,y,P){super();this.onmessage=null,this.onmessageerror=null,this.onerror=null;const C=`((${o})('${y}'))`,L=new Blob([C],{type:"application/javascript"}),M=URL.createObjectURL(L),E=new MessageChannel,c=M,g={type:"_newWorker",id:c,port:E.port2,url:M,options:P};B(g,[E.port2]),this.postMessage=E.port1.postMessage.bind(E.port1),this.terminate=()=>{const s={type:"_terminateWorker",id:c};E.port1.postMessage(s),URL.revokeObjectURL(M),E.port1.close(),E.port2.close()},Object.defineProperties(this,{onmessage:{get(){return E.port1.onmessage},set(s){E.port1.onmessage=s}},onmessageerror:{get(){return E.port1.onmessageerror},set(s){E.port1.onmessageerror=s}}}),E.port1.addEventListener("messageerror",s=>{const n=new MessageEvent("messageerror",{data:s.data});this.dispatchEvent(n)}),E.port1.addEventListener("message",s=>{const n=new MessageEvent("message",{data:s.data});this.dispatchEvent(n)}),E.port1.start()}}e.NestedWorker=I}),define(Ee[212],be([1,0,3]),function(Y,e,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=(0,o.createDecorator)("remoteAgentService")}),define(Ee[213],be([1,0,35,9,17,23,24,2,3,148,47,172,212]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=(0,C.createDecorator)("pathService");let g=class qi{constructor(n,m,w,R){this.localUserHome=n,this.remoteAgentService=m,this.environmentService=w,this.contextService=R,this.resolveOS=(async()=>(await this.remoteAgentService.getEnvironment())?.os||B.OS)(),this.resolveUserHome=(async()=>{const h=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=h?.userHome||n})()}hasValidBasename(n,m,w){return typeof m=="string"||typeof m=="undefined"?this.resolveOS.then(R=>this.doHasValidBasename(n,R,m)):this.doHasValidBasename(n,m,w)}doHasValidBasename(n,m,w){return n.scheme===I.Schemas.file||n.scheme===I.Schemas.vscodeRemote?(0,o.isValidBasename)(w??(0,y.basename)(n),m===1):!0}get defaultUriScheme(){return qi.findDefaultUriScheme(this.environmentService,this.contextService)}static findDefaultUriScheme(n,m){if(n.remoteAuthority)return I.Schemas.vscodeRemote;const w=(0,L.getVirtualWorkspaceScheme)(m.getWorkspace());if(w)return w;const R=m.getWorkspace().folders[0];if(R)return R.uri.scheme;const h=m.getWorkspace().configuration;return h?h.scheme:I.Schemas.file}async userHome(n){return n?.preferLocal?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(n=>n===1?_.win32:_.posix)}async fileURI(n){let m="";if(await this.resolveOS===1&&(n=n.replace(/\\/g,"/")),n[0]==="/"&&n[1]==="/"){const R=n.indexOf("/",2);R===-1?(m=n.substring(2),n="/"):(m=n.substring(2,R),n=n.substring(R)||"/")}return P.URI.from({scheme:I.Schemas.file,authority:m,path:n,query:"",fragment:""})}};g=Fe([Ne(1,c.IRemoteAgentService),Ne(2,E.IWorkbenchEnvironmentService),Ne(3,M.IWorkspaceContextService)],g),e.AbstractPathService=g}),define(Ee[96],be([1,0]),function(Y,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchCompleteMessageType=e.Range=e.Position=void 0;class o{constructor(y,P){this.line=y,this.character=P}isBefore(y){return!1}isBeforeOrEqual(y){return!1}isAfter(y){return!1}isAfterOrEqual(y){return!1}isEqual(y){return!1}compareTo(y){return 0}translate(y,P){return new o(0,0)}with(y){return new o(0,0)}}e.Position=o;class I{constructor(y,P,C,L){this.isEmpty=!1,this.isSingleLine=!1,this.start=new o(y,P),this.end=new o(C,L)}contains(y){return!1}isEqual(y){return!1}intersection(y){}union(y){return new I(0,0,0,0)}with(y){return new I(0,0,0,0)}}e.Range=I;var _;(function(B){B[B.Information=1]="Information",B[B.Warning=2]="Warning"})(_=e.TextSearchCompleteMessageType||(e.TextSearchCompleteMessageType={}))}),define(Ee[41],be([1,0,16,29,26,35,10,3,17,15,96,13]),function(Y,e,o,I,_,B,y,P,C,L,M,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=e.TextSearchCompleteMessageType=void 0,Object.defineProperty(e,"TextSearchCompleteMessageType",{enumerable:!0,get:function(){return M.TextSearchCompleteMessageType}}),e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const c="\u27EA ",g=" characters skipped \u27EB",s=(c.length+g.length+5)*2;e.ISearchService=(0,P.createDecorator)("searchService");var n;(function(z){z[z.file=0]="file",z[z.text=1]="text"})(n=e.SearchProviderType||(e.SearchProviderType={}));var m;(function(z){z[z.File=1]="File",z[z.Text=2]="Text"})(m=e.QueryType||(e.QueryType={}));function w(z){return!!z.preview}e.resultIsMatch=w;function R(z){return!!z.resource}e.isFileMatch=R;function h(z){return!!z.message}e.isProgressMessage=h;var f;(function(z){z[z.Normal=0]="Normal",z[z.NewSearchStarted=1]="NewSearchStarted"})(f=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class v{constructor(ie){this.resource=ie,this.results=[]}}e.FileMatch=v;class r{constructor(ie,ae,te){this.ranges=ae;const ce=Array.isArray(ae)?ae:[ae];if(te&&te.matchLines===1&&T(ce)){ie=(0,y.getNLines)(ie,te.matchLines);let de="",Se=0,fe=0;const ne=Math.floor(te.charsPerLine/5),me=[];for(const ke of ce){const Ae=Math.max(ke.startColumn-ne,0),Be=ke.startColumn+te.charsPerLine;if(Ae>fe+ne+s){const Xe=c+(Ae-fe)+g;de+=Xe+ie.slice(Ae,Be),Se+=Ae-(fe+Xe.length)}else de+=ie.slice(fe,Be);me.push(new i(0,ke.startColumn-Se,ke.endColumn-Se)),fe=Be}this.preview={text:de,matches:Array.isArray(this.ranges)?me:me[0]}}else{const de=Array.isArray(ae)?ae[0].startLineNumber:ae.startLineNumber;this.preview={text:ie,matches:(0,o.mapArrayOrNot)(ae,Se=>new l(Se.startLineNumber-de,Se.startColumn,Se.endLineNumber-de,Se.endColumn))}}}}e.TextSearchMatch=r;function T(z){const ie=z[0].startLineNumber;for(const ae of z)if(ae.startLineNumber!==ie||ae.endLineNumber!==ie)return!1;return!0}class l{constructor(ie,ae,te,ce){this.startLineNumber=ie,this.startColumn=ae,this.endLineNumber=te,this.endColumn=ce}}e.SearchRange=l;class i extends l{constructor(ie,ae,te){super(ie,ae,ie,te)}}e.OneLineRange=i;var u;(function(z){z.Default="default",z.FileNames="fileNames",z.Type="type",z.Modified="modified",z.CountDescending="countDescending",z.CountAscending="countAscending"})(u=e.SearchSortOrder||(e.SearchSortOrder={}));function t(z,ie=!0){const ae=z&&z.files&&z.files.exclude,te=ie&&z&&z.search&&z.search.exclude;if(!ae&&!te)return;if(!ae||!te)return ae||te;let ce=Object.create(null);return ce=_.mixin(ce,_.deepClone(ae)),ce=_.mixin(ce,_.deepClone(te),!0),ce}e.getExcludes=t;function a(z,ie){return z.excludePattern&&I.match(z.excludePattern,ie)?!1:z.includePattern||z.usingSearchPaths?z.includePattern&&I.match(z.includePattern,ie)?!0:z.usingSearchPaths?!!z.folderQueries&&z.folderQueries.some(ae=>{const te=ae.folder.fsPath;if(B.isEqualOrParent(ie,te)){const ce=C.relative(te,ie);return!ae.includePattern||!!I.match(ae.includePattern,ce)}else return!1}):!1:!0}e.pathIncludedInQuery=a;var p;(function(z){z[z.unknownEncoding=1]="unknownEncoding",z[z.regexParseError=2]="regexParseError",z[z.globParseError=3]="globParseError",z[z.invalidLiteral=4]="invalidLiteral",z[z.rgProcessError=5]="rgProcessError",z[z.other=6]="other",z[z.canceled=7]="canceled"})(p=e.SearchErrorCode||(e.SearchErrorCode={}));class d extends Error{constructor(ie,ae){super(ie);this.code=ae}}e.SearchError=d;function S(z){const ie=z.message;if((0,L.isCancellationError)(z))return new d(ie,p.canceled);try{const ae=JSON.parse(ie);return new d(ae.message,ae.code)}catch{return new d(ie,p.other)}}e.deserializeSearchError=S;function k(z){const ie={message:z.message,code:z.code};return new Error(JSON.stringify(ie))}e.serializeSearchError=k;function A(z){return z.type==="error"?!0:z.type==="success"}e.isSerializedSearchComplete=A;function W(z){return z.type==="success"}e.isSerializedSearchSuccess=W;function b(z){return!!z.path}e.isSerializedFileMatch=b;function H(z,ie){const ae=z.searchPath?z.searchPath:z.relativePath;return(0,y.fuzzyContains)(ae,ie)}e.isFilePatternMatch=H;class q{constructor(ie){this.path=ie,this.results=[]}addMatch(ie){this.results.push(ie)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=q;function $(z,ie){const ae={...z||{},...ie||{}};return Object.keys(ae).filter(te=>{const ce=ae[te];return typeof ce=="boolean"&&ce})}e.resolvePatternsForProvider=$;class j{constructor(ie,ae){this._parsedIncludeExpression=null,this._excludeExpression={...ie.excludePattern||{},...ae.excludePattern||{}},this._parsedExcludeExpression=I.parse(this._excludeExpression);let te=ie.includePattern;ae.includePattern&&(te?te={...te,...ae.includePattern}:te=ae.includePattern),te&&(this._parsedIncludeExpression=I.parse(te))}matchesExcludesSync(ie,ae,te){return!!(this._parsedExcludeExpression&&this._parsedExcludeExpression(ie,ae,te))}includedInQuerySync(ie,ae,te){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression(ie,ae,te)||this._parsedIncludeExpression&&!this._parsedIncludeExpression(ie,ae,te))}includedInQuery(ie,ae,te){const ce=this._parsedExcludeExpression(ie,ae,te),de=()=>this._parsedIncludeExpression?!!this._parsedIncludeExpression(ie,ae,te):!0;return(0,E.isThenable)(ce)?ce.then(Se=>Se?!1:de()):de()}hasSiblingExcludeClauses(){return J(this._excludeExpression)}}e.QueryGlobTester=j;function J(z){for(const ie in z)if(typeof z[ie]!="boolean")return!0;return!1}}),define(Ee[31],be([1,0,16,13,20,5,22,9,102,24,10,11,2,128,3,12,140,47,30,27,14,8,7,41,4]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m,w,R,h,f,v,r,T,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function i(A,W,b){return new L.ExtUri(H=>p(H,b)).isEqual(A,W)}function u(A,W,b){return i(A.uri,W.uri,b)?0:(0,M.compare)(A.uri.toString(),W.uri.toString())}function t(A,W,b){return A.index!==W.index?A.index<W.index?-1:1:i(A.uri,W.uri,b)?(0,M.compare)(A.name,W.name):(0,M.compare)(A.uri.toString(),W.uri.toString())}function a(A,W,b,H){const q=A.slice(0).sort((j,J)=>b(j,J,H)),$=W.slice(0).sort((j,J)=>b(j,J,H));return(0,o.delta)(q,$,(j,J)=>b(j,J,H))}function p(A,W){const b=W.getCapabilities(A.scheme);return!(b&&b&1024)}class d extends w.Workspace{constructor(W,b,H,q,$,j,J){super(W,H.map(z=>new w.WorkspaceFolder(z)),q,$,J);this._name=b,this._isUntitled=j,this._workspaceFolders=[],this._structure=y.TernarySearchTree.forUris(J),H.forEach(z=>{this._workspaceFolders.push(z),this._structure.set(z.uri,z)})}static toExtHostWorkspace(W,b,H,q){if(!W)return{workspace:null,added:[],removed:[]};const{id:$,name:j,folders:J,configuration:z,transient:ie,isUntitled:ae}=W,te=[],ce=b;b?J.forEach((ne,me)=>{const ke=c.URI.revive(ne.uri),Ae=d._findFolder(H||b,ke,q);Ae?(Ae.name=ne.name,Ae.index=ne.index,te.push(Ae)):te.push({uri:ke,name:ne.name,index:me})}):te.push(...J.map(({uri:ne,name:me,index:ke})=>({uri:c.URI.revive(ne),name:me,index:ke}))),te.sort((ne,me)=>ne.index<me.index?-1:1);const de=new d($,j,te,!!ie,z?c.URI.revive(z):null,!!ae,ne=>p(ne,q)),{added:Se,removed:fe}=a(ce?ce.workspaceFolders:[],de.workspaceFolders,u,q);return{workspace:de,added:Se,removed:fe}}static _findFolder(W,b,H){for(let q=0;q<W.folders.length;q++){const $=W.workspaceFolders[q];if(i($.uri,b,H))return $}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(W,b){return b&&this._structure.get(W)&&(W=(0,L.dirname)(W)),this._structure.findSubstr(W)}resolveWorkspaceFolder(W){return this._structure.get(W)}}let S=class{constructor(W,b,H,q){this._onDidChangeWorkspace=new B.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidGrantWorkspaceTrust=new B.Emitter,this.onDidGrantWorkspaceTrust=this._onDidGrantWorkspaceTrust.event,this._activeSearchCallbacks=[],this._trusted=!1,this._logService=q,this._extHostFileSystemInfo=H,this._requestIdProvider=new C.Counter,this._barrier=new I.Barrier,this._proxy=W.getProxy(l.MainContext.MainThreadWorkspace),this._messageService=W.getProxy(l.MainContext.MainThreadMessageService);const $=b.workspace;this._confirmedWorkspace=$?new d($.id,$.name,[],!!$.transient,$.configuration?c.URI.revive($.configuration):null,!!$.isUntitled,j=>p(j,H)):void 0}$initializeWorkspace(W,b){this._trusted=b,this.$acceptWorkspaceData(W),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?c.URI.from({scheme:P.Schemas.untitled,path:(0,L.basename)((0,L.dirname)(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(W,b,H,...q){const $=[];if(Array.isArray(q)&&q.forEach(ae=>{c.URI.isUri(ae.uri)&&!$.some(te=>i(te.uri,ae.uri,this._extHostFileSystemInfo))&&$.push({uri:ae.uri,name:ae.name||(0,L.basenameOrAuthority)(ae.uri)})}),this._unconfirmedWorkspace||[b,H].some(ae=>typeof ae!="number"||ae<0)||H===0&&$.length===0)return!1;const j=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if(b+H>j.length)return!1;const J=j.slice(0);J.splice(b,H,...$.map(ae=>({uri:ae.uri,name:ae.name||(0,L.basenameOrAuthority)(ae.uri),index:void 0})));for(let ae=0;ae<J.length;ae++){const te=J[ae];if(J.some((ce,de)=>de!==ae&&i(te.uri,ce.uri,this._extHostFileSystemInfo)))return!1}J.forEach((ae,te)=>ae.index=te);const{added:z,removed:ie}=a(j,J,t,this._extHostFileSystemInfo);if(z.length===0&&ie.length===0)return!1;if(this._proxy){const ae=W.displayName||W.name;this._proxy.$updateWorkspaceFolders(ae,b,H,$).then(void 0,te=>{this._unconfirmedWorkspace=void 0;const ce={source:{identifier:W.identifier,label:W.displayName||W.name}};this._messageService.$showMessage(m.Severity.Error,(0,g.localize)(0,null,ae,te.toString()),ce,[])})}return this.trySetWorkspaceFolders(J),!0}getWorkspaceFolder(W,b){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(W,b)}async getWorkspaceFolder2(W,b){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(W,b)}async resolveWorkspaceFolder(W){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(W)}getPath(){if(!this._actualWorkspace)return;const{folders:W}=this._actualWorkspace;if(W.length!==0)return W[0].uri.fsPath}getRelativePath(W,b){let H,q="";if(typeof W=="string"?(H=c.URI.file(W),q=W):typeof W!="undefined"&&(H=W,q=W.fsPath),!H)return q;const $=this.getWorkspaceFolder(H,!0);if(!$)return q;typeof b=="undefined"&&this._actualWorkspace&&(b=this._actualWorkspace.folders.length>1);let j=(0,L.relativePath)($.uri,H);return b&&$.name&&(j=`${$.name}/${j}`),j}trySetWorkspaceFolders(W){this._actualWorkspace&&(this._unconfirmedWorkspace=d.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:W,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(W){const{workspace:b,added:H,removed:q}=d.toExtHostWorkspace(W,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=b||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:H,removed:q}))}findFiles(W,b,H,q,$=_.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${q.value}, entryPoint: findFiles`);let j;if(b===null?j=!1:b&&(typeof b=="string"?j=b:j=b.pattern),$&&$.isCancellationRequested)return Promise.resolve([]);const{includePattern:J,folder:z}=k(v.GlobPattern.from(W));return this._proxy.$startFileSearch((0,E.withUndefinedAsNull)(J),(0,E.withUndefinedAsNull)(z),(0,E.withUndefinedAsNull)(j),(0,E.withUndefinedAsNull)(H),$).then(ie=>Array.isArray(ie)?ie.map(ae=>c.URI.revive(ae)):[])}async findTextInFiles(W,b,H,q,$=_.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${q.value}, entryPoint: findTextInFiles`);const j=this._requestIdProvider.getNext(),J=typeof b.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:b.previewOptions,{includePattern:z,folder:ie}=k(v.GlobPattern.from(b.include)),ae=typeof b.exclude=="string"?b.exclude:b.exclude?b.exclude.pattern:void 0,te={ignoreSymlinks:typeof b.followSymlinks=="boolean"?!b.followSymlinks:void 0,disregardIgnoreFiles:typeof b.useIgnoreFiles=="boolean"?!b.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof b.useGlobalIgnoreFiles=="boolean"?!b.useGlobalIgnoreFiles:void 0,disregardParentIgnoreFiles:typeof b.useParentIgnoreFiles=="boolean"?!b.useParentIgnoreFiles:void 0,disregardExcludeSettings:typeof b.useDefaultExcludes=="boolean"?!b.useDefaultExcludes:!0,fileEncoding:b.encoding,maxResults:b.maxResults,previewOptions:J,afterContext:b.afterContext,beforeContext:b.beforeContext,includePattern:z,excludePattern:ae},ce=!1;if(this._activeSearchCallbacks[j]=de=>{if(ce)return;const Se=c.URI.revive(de.resource);de.results.forEach(fe=>{(0,T.resultIsMatch)(fe)?H({uri:Se,preview:{text:fe.preview.text,matches:(0,o.mapArrayOrNot)(fe.preview.matches,ne=>new r.Range(ne.startLineNumber,ne.startColumn,ne.endLineNumber,ne.endColumn))},ranges:(0,o.mapArrayOrNot)(fe.ranges,ne=>new r.Range(ne.startLineNumber,ne.startColumn,ne.endLineNumber,ne.endColumn))}):H({uri:Se,text:fe.text,lineNumber:fe.lineNumber})})},$.isCancellationRequested)return{};try{const de=await this._proxy.$startTextSearch(W,(0,E.withUndefinedAsNull)(ie),te,j,$);return delete this._activeSearchCallbacks[j],de||{}}catch(de){throw delete this._activeSearchCallbacks[j],de}}$handleTextSearchResult(W,b){this._activeSearchCallbacks[b]&&this._activeSearchCallbacks[b](W)}saveAll(W){return this._proxy.$saveAll(W)}resolveProxy(W){return this._proxy.$resolveProxy(W)}get trusted(){return this._trusted}requestWorkspaceTrust(W){return this._proxy.$requestWorkspaceTrust(W)}$onDidGrantWorkspaceTrust(){this._trusted||(this._trusted=!0,this._onDidGrantWorkspaceTrust.fire())}};S=Fe([Ne(0,f.IExtHostRpcService),Ne(1,h.IExtHostInitDataService),Ne(2,R.IExtHostFileSystemInfo),Ne(3,n.ILogService)],S),e.ExtHostWorkspace=S,e.IExtHostWorkspace=(0,s.createDecorator)("IExtHostWorkspace");function k(A){let W,b;return A&&(typeof A=="string"?W=A:(W=A.pattern,b=c.URI.revive(A.baseUri))),{includePattern:W,folder:b}}}),define(Ee[32],be([1,0,26,5,31,4,7,143,80,11,13,3,14,12,2]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function n(T,l){if(l){const i=l.split(".");let u=T;for(let t=0;u&&t<i.length;t++)u=u[i[t]];return u}}function m(T){return T instanceof s.URI}function w(T){return T&&T.uri instanceof s.URI&&T.languageId&&typeof T.languageId=="string"}function R(T){return T&&!T.uri&&T.languageId&&typeof T.languageId=="string"}function h(T){return T&&T.uri instanceof s.URI&&(!T.name||typeof T.name=="string")&&(!T.index||typeof T.index=="number")}function f(T){if(m(T))return{resource:T};if(w(T))return{resource:T.uri,overrideIdentifier:T.languageId};if(R(T))return{overrideIdentifier:T.languageId};if(h(T))return{resource:T.uri};if(T===null)return{resource:null}}let v=class{constructor(l,i,u){this._proxy=l.getProxy(B.MainContext.MainThreadConfiguration),this._extHostWorkspace=i,this._logService=u,this._barrier=new M.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(l=>this._actual)}$initializeConfiguration(l){this._actual=new r(this._proxy,this._extHostWorkspace,l,this._logService),this._barrier.open()}$acceptConfigurationChanged(l,i){this.getConfigProvider().then(u=>u.$acceptConfigurationChanged(l,i))}};v=Fe([Ne(0,c.IExtHostRpcService),Ne(1,_.IExtHostWorkspace),Ne(2,g.ILogService)],v),e.ExtHostConfiguration=v;class r{constructor(l,i,u,t){this._onDidChangeConfiguration=new I.Emitter,this._proxy=l,this._logService=t,this._extHostWorkspace=i,this._configuration=P.Configuration.parse(u),this._configurationScopes=this._toMap(u.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(l,i){const u={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=P.Configuration.parse(l),this._configurationScopes=this._toMap(l.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(i,u))}getConfiguration(l,i,u){const t=f(i)||{},a=this._toReadonlyValue(l?n(this._configuration.getValue(void 0,t,this._extHostWorkspace.workspace),l):this._configuration.getValue(void 0,t,this._extHostWorkspace.workspace));l&&this._validateConfigurationAccess(l,t,u?.identifier);function p(S){if(S==null)return null;if(typeof S=="boolean")return S?1:4;switch(S){case y.ConfigurationTarget.Global:return 1;case y.ConfigurationTarget.Workspace:return 4;case y.ConfigurationTarget.WorkspaceFolder:return 5}}const d={has(S){return typeof n(a,S)!="undefined"},get:(S,k)=>{this._validateConfigurationAccess(l?`${l}.${S}`:S,t,u?.identifier);let A=n(a,S);if(typeof A=="undefined")A=k;else{let W;const b=(H,q)=>{let $;const j=()=>{W=W||(0,o.deepClone)(a),$=$||n(W,q)};return(0,L.isObject)(H)?new Proxy(H,{get:(J,z)=>{if(typeof z=="string"&&z.toLowerCase()==="tojson")return j(),()=>$;if(W)return $=$||n(W,q),$[z];const ie=J[z];return typeof z=="string"?b(ie,`${q}.${z}`):ie},set:(J,z,ie)=>(j(),$&&($[z]=ie),!0),deleteProperty:(J,z)=>(j(),$&&delete $[z],!0),defineProperty:(J,z,ie)=>(j(),$&&Object.defineProperty($,z,ie),!0)}):H};A=b(A,S)}return A},update:(S,k,A,W)=>{S=l?`${l}.${S}`:S;const b=p(A);return k!==void 0?this._proxy.$updateConfigurationOption(b,S,k,t,W):this._proxy.$removeConfigurationOption(b,S,t,W)},inspect:S=>{S=l?`${l}.${S}`:S;const k=(0,o.deepClone)(this._configuration.inspect(S,t,this._extHostWorkspace.workspace));if(k)return{key:S,defaultValue:k.default?.value,globalValue:k.user?.value,workspaceValue:k.workspace?.value,workspaceFolderValue:k.workspaceFolder?.value,defaultLanguageValue:k.default?.override,globalLanguageValue:k.user?.override,workspaceLanguageValue:k.workspace?.override,workspaceFolderLanguageValue:k.workspaceFolder?.override,languageIds:k.overrideIdentifiers}}};return typeof a=="object"&&(0,o.mixin)(d,a,!1),Object.freeze(d)}_toReadonlyValue(l){const i=u=>(0,L.isObject)(u)?new Proxy(u,{get:(t,a)=>i(t[a]),set:(t,a,p)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(a)}' of object`)},deleteProperty:(t,a)=>{throw new Error(`TypeError: Cannot delete read only property '${String(a)}' of object`)},defineProperty:(t,a)=>{throw new Error(`TypeError: Cannot define property '${String(a)}' for a readonly object`)},setPrototypeOf:t=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):u;return i(l)}_validateConfigurationAccess(l,i,u){const t=C.OVERRIDE_PROPERTY_REGEX.test(l)?4:this._configurationScopes.get(l),a=u?`[${u.value}] `:"";if(t===4){typeof i?.resource=="undefined"&&this._logService.warn(`${a}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${l}', provide the URI of a resource or 'null' for any resource.`);return}if(t===3){i?.resource&&this._logService.warn(`${a}Accessing a window scoped configuration for a resource is not expected. To associate '${l}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(l,i){const u=new P.ConfigurationChangeEvent(l,i,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(t,a)=>u.affectsConfiguration(t,f(a))})}_toMap(l){return l.reduce((i,u)=>(i.set(u[0],u[1]),i),new Map)}}e.ExtHostConfigProvider=r,e.IExtHostConfiguration=(0,E.createDecorator)("IExtHostConfiguration")});var je=this&&this.__classPrivateFieldSet||function(Y,e,o,I,_){if(I==="m")throw new TypeError("Private method is not writable");if(I==="a"&&!_)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Y!==e||!_:!e.has(Y))throw new TypeError("Cannot write private member to an object whose class did not declare it");return I==="a"?_.call(Y,o):_?_.value=o:e.set(Y,o),o},De=this&&this.__classPrivateFieldGet||function(Y,e,o,I){if(o==="a"&&!I)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Y!==e||!I:!e.has(Y))throw new TypeError("Cannot read private member from an object whose class did not declare it");return o==="m"?I:o==="a"?I.call(Y):I?I.value:e.get(Y)};define(Ee[97],be([1,0,2,13,5,4,7,31,50,32,20,40,14,27,3,9,23,12,65,164,15]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m,w,R,h,f){"use strict";var v;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskGroupDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var r;(function(q){function $(J){if(J!=null)return J}q.from=$;function j(J){if(J!=null)return J}q.to=j})(r=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var T;(function(q){function $(J){if(J!=null)return J}q.from=$;function j(J){if(J!=null)return J}q.to=j})(T=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var l;(function(q){function $(J){if(J!=null)return J}q.from=$;function j(J){if(J!=null)return J}q.to=j})(l=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var i;(function(q){function $(z){if(z){const ie=z;return ie&&!!ie.process}else return!1}q.is=$;function j(z){if(z==null)return;const ie={process:z.process,args:z.args};return z.options&&(ie.options=l.from(z.options)),ie}q.from=j;function J(z){if(z!=null)return new y.ProcessExecution(z.process,z.args,z.options)}q.to=J})(i=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var u;(function(q){function $(J){if(J!=null)return J}q.from=$;function j(J){if(J!=null)return J}q.to=j})(u=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var t;(function(q){function $(z){if(z){const ie=z;return ie&&(!!ie.commandLine||!!ie.command)}else return!1}q.is=$;function j(z){if(z==null)return;const ie={};return z.commandLine!==void 0?ie.commandLine=z.commandLine:(ie.command=z.command,ie.args=z.args),z.options&&(ie.options=u.from(z.options)),ie}q.from=j;function J(z){if(!(z==null||z.command===void 0&&z.commandLine===void 0))return z.commandLine?new y.ShellExecution(z.commandLine,z.options):new y.ShellExecution(z.command,z.args?z.args:[],z.options)}q.to=J})(t=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var a;(function(q){function $(z){if(z){let ie=z;return ie&&ie.customExecution==="customExecution"}else return!1}q.is=$;function j(z){return{customExecution:"customExecution"}}q.from=j;function J(z,ie){return ie.get(z)}q.to=J})(a=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var p;(function(q){function $(j,J){let z;return j.scope!==void 0&&typeof j.scope!="number"?z=j.scope.uri:j.scope!==void 0&&typeof j.scope=="number"&&(j.scope===y.TaskScope.Workspace&&J&&J.workspaceFile?z=J.workspaceFile:z=h.USER_TASKS_GROUP_KEY),{id:j._id,workspaceFolder:z}}q.from=$})(p=e.TaskHandleDTO||(e.TaskHandleDTO={}));var d;(function(q){function $(j){if(j!=null)return{_id:j.id,isDefault:j.isDefault}}q.from=$})(d=e.TaskGroupDTO||(e.TaskGroupDTO={}));var S;(function(q){function $(z,ie){if(z==null)return[];const ae=[];for(let te of z){const ce=j(te,ie);ce&&ae.push(ce)}return ae}q.fromMany=$;function j(z,ie){if(z==null)return;let ae;z.execution instanceof y.ProcessExecution?ae=i.from(z.execution):z.execution instanceof y.ShellExecution?ae=t.from(z.execution):z.execution&&z.execution instanceof y.CustomExecution&&(ae=a.from(z.execution));const te=r.from(z.definition);let ce;return z.scope?typeof z.scope=="number"?ce=z.scope:ce=z.scope.uri:ce=y.TaskScope.Workspace,!te||!ce?void 0:{_id:z._id,definition:te,name:z.name,source:{extensionId:ie.identifier.value,label:z.source,scope:ce},execution:ae,isBackground:z.isBackground,group:d.from(z.group),presentationOptions:T.from(z.presentationOptions),problemMatchers:z.problemMatchers,hasDefinedMatchers:z.hasDefinedMatchers,runOptions:z.runOptions?z.runOptions:{reevaluateOnRerun:!0},detail:z.detail}}q.from=j;async function J(z,ie,ae){if(z==null)return;let te;i.is(z.execution)?te=i.to(z.execution):t.is(z.execution)?te=t.to(z.execution):a.is(z.execution)&&(te=a.to(z._id,ae));const ce=r.to(z.definition);let de;if(z.source&&(z.source.scope!==void 0?typeof z.source.scope=="number"?de=z.source.scope:de=await ie.resolveWorkspaceFolder(o.URI.revive(z.source.scope)):de=y.TaskScope.Workspace),!ce||!de)return;const Se=new y.Task(ce,de,z.name,z.source.label,te,z.problemMatchers);return z.isBackground!==void 0&&(Se.isBackground=z.isBackground),z.group!==void 0&&(Se.group=y.TaskGroup.from(z.group._id),Se.group&&z.group.isDefault&&(Se.group=new y.TaskGroup(Se.group.id,Se.group.label),z.group.isDefault&&(Se.group.isDefault=z.group.isDefault))),z.presentationOptions&&(Se.presentationOptions=T.to(z.presentationOptions)),z._id&&(Se._id=z._id),z.detail&&(Se.detail=z.detail),Se}q.to=J})(S=e.TaskDTO||(e.TaskDTO={}));var k;(function(q){function $(J){return J}q.from=$;function j(J){if(!!J)return Object.assign(Object.create(null),J)}q.to=j})(k=e.TaskFilterDTO||(e.TaskFilterDTO={}));class A{constructor($,j,J){this._id=j,this._task=J,v.set(this,void 0),je(this,v,$,"f")}get task(){return this._task}terminate(){De(this,v,"f").terminateTask(this)}fireDidStartProcess($){}fireDidEndProcess($){}}v=new WeakMap;var W;(function(q){function $(j){return{id:j._id,task:void 0}}q.from=$})(W=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let b=class{constructor($,j,J,z,ie,ae,te,ce){this._onDidExecuteTask=new _.Emitter,this._onDidTerminateTask=new _.Emitter,this._onDidTaskProcessStarted=new _.Emitter,this._onDidTaskProcessEnded=new _.Emitter,this._proxy=$.getProxy(B.MainContext.MainThreadTask),this._workspaceProvider=J,this._editorService=z,this._configurationService=ie,this._terminalService=ae,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=te,this._deprecationService=ce,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider($,j,J){if(!J)return new y.Disposable(()=>{});const z=this.nextHandle();return this._handlers.set(z,{type:j,provider:J,extension:$}),this._proxy.$registerTaskProvider(z,j),new y.Disposable(()=>{this._handlers.delete(z),this._proxy.$unregisterTaskProvider(z)})}registerTaskSystem($,j){this._proxy.$registerTaskSystem($,j)}fetchTasks($){return this._proxy.$fetchTasks(k.from($)).then(async j=>{const J=[];for(let z of j){const ie=await S.to(z,this._workspaceProvider,this._providedCustomExecutions2);ie&&J.push(ie)}return J})}get taskExecutions(){const $=[];return this._taskExecutions.forEach(j=>$.push(j)),$}terminateTask($){if(!($ instanceof A))throw new Error("No valid task execution provided");return this._proxy.$terminateTask($._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask($,j,J){const z=this._providedCustomExecutions2.get($.id);z&&(this._activeCustomExecutions2.set($.id,z),this._terminalService.attachPtyToTerminal(j,await z.callback(J))),this._lastStartedTask=$.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution($)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask($){const j=await this.getTaskExecution($);this._taskExecutionPromises.delete($.id),this._taskExecutions.delete($.id),this.customExecutionComplete($),this._onDidTerminateTask.fire({execution:j})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess($){const j=await this.getTaskExecution($.id);this._onDidTaskProcessStarted.fire({execution:j,processId:$.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess($){const j=await this.getTaskExecution($.id);this._onDidTaskProcessEnded.fire({execution:j,exitCode:$.exitCode})}$provideTasks($,j){const J=this._handlers.get($);if(!J)return Promise.reject(new Error("no handler found"));const z=[],ie=(0,I.asPromise)(()=>J.provider.provideTasks(M.CancellationToken.None)).then(ae=>this.provideTasksInternal(j,z,J,ae));return new Promise(ae=>{ie.then(te=>{Promise.all(z).then(()=>{ae(te)})})})}async $resolveTask($,j){const J=this._handlers.get($);if(!J)return Promise.reject(new Error("no handler found"));if(j.definition.type!==J.type)throw new Error(`Unexpected: Task of type [${j.definition.type}] cannot be resolved by provider of type [${J.type}].`);const z=await S.to(j,this._workspaceProvider,this._providedCustomExecutions2);if(!z)throw new Error("Unexpected: Task cannot be resolved.");const ie=await J.provider.resolveTask(z,M.CancellationToken.None);if(!ie)return;this.checkDeprecation(ie,J);const ae=S.from(ie,J.extension);if(!ae)throw new Error("Unexpected: Task cannot be resolved.");if(ie.definition!==z.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return a.is(ae.execution)&&await this.addCustomExecution(ae,ie,!0),await this.resolveTaskInternal(ae)}nextHandle(){return this._handleCounter++}async addCustomExecution($,j,J){const z=await this._proxy.$createTaskId($);!J&&!this._providedCustomExecutions2.has(z)&&(this._notProvidedCustomExecutions.add(z),this._activeCustomExecutions2.set(z,j.execution)),this._providedCustomExecutions2.set(z,j.execution)}async getTaskExecution($,j){if(typeof $=="string"){const ie=this._taskExecutionPromises.get($);if(!ie)throw new Error("Unexpected: The specified task is missing an execution");return ie}let J=this._taskExecutionPromises.get($.id);if(J)return J;const z=new Promise((ie,ae)=>{function te(ce,de,Se){Se?ie(new A(ce,de.id,Se)):ae("Unexpected: Task does not exist.")}j?te(this,$,j):S.to($.task,this._workspaceProvider,this._providedCustomExecutions2).then(ce=>te(this,$,ce))});return this._taskExecutionPromises.set($.id,z),z.then(ie=>(this._taskExecutions.set($.id,ie),ie),ie=>Promise.reject(ie))}checkDeprecation($,j){$._deprecated&&this._deprecationService.report("Task.constructor",j.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete($){this._activeCustomExecutions2.get($.id)&&this._activeCustomExecutions2.delete($.id),this._notProvidedCustomExecutions.has($.id)&&this._lastStartedTask!==$.id&&(this._providedCustomExecutions2.delete($.id),this._notProvidedCustomExecutions.delete($.id));let J=this._notProvidedCustomExecutions.values(),z=J.next();for(;!z.done;)!this._activeCustomExecutions2.has(z.value)&&this._lastStartedTask!==z.value&&(this._providedCustomExecutions2.delete(z.value),this._notProvidedCustomExecutions.delete(z.value)),z=J.next()}};b=Fe([Ne(0,c.IExtHostRpcService),Ne(1,g.IExtHostInitDataService),Ne(2,P.IExtHostWorkspace),Ne(3,C.IExtHostDocumentsAndEditors),Ne(4,L.IExtHostConfiguration),Ne(5,E.IExtHostTerminalService),Ne(6,w.ILogService),Ne(7,R.IExtHostApiDeprecationService)],b),e.ExtHostTaskBase=b;let H=class extends b{constructor($,j,J,z,ie,ae,te,ce){super($,j,J,z,ie,ae,te,ce);this.registerTaskSystem(n.Schemas.vscodeRemote,{scheme:n.Schemas.vscodeRemote,authority:"",platform:m.PlatformToString(0)})}async executeTask($,j){if(!j.execution)throw new Error("Tasks to execute must include an execution");const J=S.from(j,$);if(J===void 0)throw new Error("Task is not valid");if(a.is(J.execution))await this.addCustomExecution(J,j,!1);else throw new f.NotSupportedError;const z=await this.getTaskExecution(await this._proxy.$getTaskExecution(J),j);return this._proxy.$executeTask(J).catch(ie=>{throw new Error(ie)}),z}provideTasksInternal($,j,J,z){const ie=[];if(z)for(let ae of z){this.checkDeprecation(ae,J),(!ae.definition||!$[ae.definition.type])&&this._logService.warn(`The task [${ae.source}, ${ae.name}] uses an undefined task type. The task will be ignored in the future.`);const te=S.from(ae,J.extension);te&&a.is(te.execution)?(ie.push(te),j.push(this.addCustomExecution(te,ae,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:ie,extension:J.extension}}async resolveTaskInternal($){if(a.is($.execution))return $;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables($,j){return{process:void 0,variables:Object.create(null)}}async $jsonTasksSupported(){return!1}async $findExecutable($,j,J){}};H=Fe([Ne(0,c.IExtHostRpcService),Ne(1,g.IExtHostInitDataService),Ne(2,P.IExtHostWorkspace),Ne(3,C.IExtHostDocumentsAndEditors),Ne(4,L.IExtHostConfiguration),Ne(5,E.IExtHostTerminalService),Ne(6,w.ILogService),Ne(7,R.IExtHostApiDeprecationService)],H),e.WorkerExtHostTask=H,e.IExtHostTask=(0,s.createDecorator)("IExtHostTask")}),define(Ee[214],be([1,0,17,20,43,29,24,191,41]),function(Y,e,o,I,_,B,y,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class L{constructor(c,g,s){this.config=c,this.provider=g,this.sessionToken=s,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=c.filePattern,this.includePattern=c.includePattern&&B.parse(c.includePattern),this.maxResults=c.maxResults||void 0,this.exists=c.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=c.excludePattern&&B.parse(c.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(c=>c.cancel()),this.activeCancellationTokens=new Set}search(c){const g=this.config.folderQueries||[];return new Promise((s,n)=>{const m=w=>{this.resultCount++,c(w)};if(this.isCanceled)return s({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(w=>{const R=w.toString(),h=o.basename(R);this.globalExcludePattern&&this.globalExcludePattern(R,h)||this.matchFile(m,{base:w,basename:h})}),Promise.all(g.map(w=>this.searchInFolder(w,m))).then(w=>{s({limitHit:this.isLimitHit,stats:w[0]||void 0})},w=>{n(new Error((0,_.toErrorMessage)(w)))})})}async searchInFolder(c,g){const s=new I.CancellationTokenSource,n=this.getSearchOptionsForFolder(c),m=this.initDirectoryTree(),w=new C.QueryGlobTester(this.config,c),R=!w.hasSiblingExcludeClauses();let h;try{this.activeCancellationTokens.add(s),h=P.StopWatch.create();const f=await this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},n,s.token),v=h.elapsed(),r=P.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(f&&f.forEach(T=>{const l=o.posix.relative(c.folder.path,T.path);if(R){const i=o.basename(T.path);this.matchFile(g,{base:c.folder,relativePath:l,basename:i});return}this.addDirectoryEntries(m,c.folder,l,g)}),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(m,w,g),{providerTime:v,postProcessTime:r.elapsed()})}finally{s.dispose(),this.activeCancellationTokens.delete(s)}}getSearchOptionsForFolder(c){const g=(0,C.resolvePatternsForProvider)(this.config.includePattern,c.includePattern),s=(0,C.resolvePatternsForProvider)(this.config.excludePattern,c.excludePattern);return{folder:c.folder,excludes:s,includes:g,useIgnoreFiles:!c.disregardIgnoreFiles,useGlobalIgnoreFiles:!c.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!c.disregardParentIgnoreFiles,followSymlinks:!c.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const c={rootEntries:[],pathToEntries:Object.create(null)};return c.pathToEntries["."]=c.rootEntries,c}addDirectoryEntries({pathToEntries:c},g,s,n){if(s===this.filePattern){const w=o.basename(this.filePattern);this.matchFile(n,{base:g,relativePath:this.filePattern,basename:w})}function m(w){const R=o.basename(w),h=o.dirname(w);let f=c[h];f||(f=c[h]=[],m(h)),f.push({base:g,relativePath:w,basename:R})}m(s)}matchDirectoryTree({rootEntries:c,pathToEntries:g},s,n){const m=this,w=this.filePattern;function R(h){const f=B.hasSiblingFn(()=>h.map(v=>v.basename));for(let v=0,r=h.length;v<r;v++){const T=h[v],{relativePath:l,basename:i}=T;if(s.matchesExcludesSync(l,i,w!==i?f:void 0))continue;const u=g[l];if(u)R(u);else{if(l===w)continue;m.matchFile(n,T)}if(m.isLimitHit)break}}R(c)}matchFile(c,g){(!this.includePattern||g.relativePath&&this.includePattern(g.relativePath,g.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||c(g))}}class M{constructor(){this.sessions=new Map}fileSearch(c,g,s,n){const m=this.getSessionTokenSource(c.cacheKey),w=new L(c,g,m&&m.token);let R=0;const h=f=>{R+=f.length,s(f.map(v=>this.rawMatchToSearchItem(v)))};return this.doSearch(w,M.BATCH_SIZE,h,n).then(f=>({limitHit:f.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:R,detailStats:f.stats}}))}clearCache(c){const g=this.getSessionTokenSource(c);g&&g.cancel()}getSessionTokenSource(c){if(!!c)return this.sessions.has(c)||this.sessions.set(c,new I.CancellationTokenSource),this.sessions.get(c)}rawMatchToSearchItem(c){return c.relativePath?{resource:y.joinPath(c.base,c.relativePath)}:{resource:c.base}}doSearch(c,g,s,n){n.onCancellationRequested(()=>{c.cancel()});const m=R=>{R&&(w.push(R),g>0&&w.length>=g&&(s(w),w=[]))};let w=[];return c.search(m).then(R=>(w.length&&s(w),R),R=>(w.length&&s(w),Promise.reject(R)))}}e.FileSearchManager=M,M.BATCH_SIZE=512}),define(Ee[215],be([1,0,16,70,29,73,22,9,17,24,10,11,2,234,134,77,12,47,87,213,41]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m,w,R,h,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let v=class{constructor(d,S,k,A,W){this.configurationService=d,this.workspaceContextService=S,this.editorGroupsService=k,this.logService=A,this.pathService=W}text(d,S,k={}){d=this.getContentPattern(d,k);const A=this.configurationService.getValue(),W=S&&S.some(H=>!this.configurationService.getValue({resource:H}).search.useRipgrep);return{...this.commonQuery(S?.map(w.toWorkspaceFolder),k),type:2,contentPattern:d,previewOptions:k.previewOptions,maxFileSize:k.maxFileSize,usePCRE2:A.search.usePCRE2||W||!1,beforeContext:k.beforeContext,afterContext:k.afterContext,userDisabledExcludesAndIgnoreFiles:k.disregardExcludeSettings&&k.disregardIgnoreFiles}}getContentPattern(d,S){const k=this.configurationService.getValue();d.isRegExp&&(d.pattern=d.pattern.replace(/\r?\n/g,"\\n"));const A={...d,wordSeparators:k.editor.wordSeparators};return this.isCaseSensitive(d,S)&&(A.isCaseSensitive=!0),this.isMultiline(d)&&(A.isMultiline=!0),A}file(d,S={}){return{...this.commonQuery(d,S),type:1,filePattern:S.filePattern?S.filePattern.trim():S.filePattern,exists:S.exists,sortByScore:S.sortByScore,cacheKey:S.cacheKey}}handleIncludeExclude(d,S){return d?(d=Array.isArray(d)?d.map(u):u(d),S?this.parseSearchPaths(d):{pattern:T(...Array.isArray(d)?d:[d])}):{}}commonQuery(d=[],S={}){const k=this.handleIncludeExclude(S.includePattern,S.expandPatterns),A=this.handleIncludeExclude(S.excludePattern,S.expandPatterns),W=d.length>1,b=(k.searchPaths&&k.searchPaths.length?k.searchPaths.map($=>this.getFolderQueryForSearchPath($,S,A)):d.map($=>this.getFolderQueryForRoot($,S,A,W))).filter($=>!!$),H={_reason:S._reason,folderQueries:b,usingSearchPaths:!!(k.searchPaths&&k.searchPaths.length),extraFileResources:S.extraFileResources,excludePattern:A.pattern,includePattern:k.pattern,onlyOpenEditors:S.onlyOpenEditors,maxResults:S.maxResults};if(S.onlyOpenEditors){const $=o.coalesce(o.flatten(this.editorGroupsService.groups.map(z=>z.editors.map(ie=>ie.resource))));this.logService.trace("QueryBuilder#commonQuery - openEditor URIs",JSON.stringify($));const j=$.filter(z=>(0,f.pathIncludedInQuery)(H,z.fsPath)),J=this.commonQueryFromFileList(j);return this.logService.trace("QueryBuilder#commonQuery - openEditor Query",JSON.stringify(J)),{...H,...J}}const q=S.extraFileResources&&S.extraFileResources.filter($=>(0,f.pathIncludedInQuery)(H,$.fsPath));return H.extraFileResources=q&&q.length?q:void 0,H}commonQueryFromFileList(d){const S=[],k=new y.ResourceMap,A={};let W=!1;return d.forEach(b=>{if(b.scheme===P.Schemas.walkThrough)return;if((0,L.isAbsolutePath)(b)){const q=this.workspaceContextService.getWorkspaceFolder(b)?.uri??b.with({path:C.dirname(b.fsPath)});let $=k.get(q);$||(W=!0,$={folder:q,includePattern:{}},S.push($),k.set(q,$));const j=C.relative(q.fsPath,b.fsPath);(0,E.assertIsDefined)($.includePattern)[j.replace(/\\/g,"/")]=!0}else b.fsPath&&(W=!0,A[b.fsPath]=!0)}),{folderQueries:S,includePattern:A,usingSearchPaths:!0,excludePattern:W?void 0:{"**/*":!0}}}isCaseSensitive(d,S){if(S.isSmartCase){if(d.isRegExp){if(M.containsUppercaseCharacter(d.pattern,!0))return!0}else if(M.containsUppercaseCharacter(d.pattern))return!0}return!!d.isCaseSensitive}isMultiline(d){return d.isMultiline||d.isRegExp&&(0,g.isMultilineRegexSource)(d.pattern)||d.pattern.indexOf(`
`)>=0?!0:!!d.isMultiline}parseSearchPaths(d){const S=J=>C.isAbsolute(J)||/^\.\.?([\/\\]|$)/.test(J),A=(Array.isArray(d)?d:l(d)).map(J=>{const z=this.pathService.resolvedUserHome;return z?(0,B.untildify)(J,z.scheme===P.Schemas.file?z.fsPath:z.path):J}),W=I.groupBy(A,J=>S(J)?"searchPaths":"exprSegments"),b=(W.exprSegments||[]).map(J=>M.rtrim(J,"/")).map(J=>M.rtrim(J,"\\")).map(J=>(J[0]==="."&&(J="*"+J),i(J))),H={},q=this.expandSearchPathPatterns(W.searchPaths||[]);q&&q.length&&(H.searchPaths=q);const $=o.flatten(b),j=T(...$);return j&&(H.pattern=j),H}getExcludesForFolder(d,S){return S.disregardExcludeSettings?void 0:(0,f.getExcludes)(d,!S.disregardSearchExcludeSettings)}expandSearchPathPatterns(d){if(!d||!d.length)return[];const S=o.flatten(d.map(A=>{let{pathPortion:W,globPortion:b}=r(A);b&&(b=t(b));const H=this.expandOneSearchPath(W);return o.flatten(H.map(q=>this.resolveOneSearchPathPattern(q,b)))})),k=new Map;return S.forEach(A=>{const W=A.searchPath.toString(),b=k.get(W);b?A.pattern&&(b.pattern=b.pattern||{},b.pattern[A.pattern]=!0):k.set(W,{searchPath:A.searchPath,pattern:A.pattern?T(A.pattern):void 0})}),Array.from(k.values())}expandOneSearchPath(d){if(C.isAbsolute(d)){const S=this.workspaceContextService.getWorkspace().folders;return S[0]&&S[0].uri.scheme!==P.Schemas.file?[{searchPath:S[0].uri.with({path:d})}]:[{searchPath:c.URI.file(C.normalize(d))}]}if(this.workspaceContextService.getWorkbenchState()===2){const S=this.workspaceContextService.getWorkspace().folders[0].uri;if(d=u(d),d.startsWith("../")||d===".."){const A=C.posix.resolve(S.path,d);return[{searchPath:S.with({path:A})}]}const k=t(d);return[{searchPath:S,pattern:k}]}else{if(d==="./"||d===".\\")return[];{const S=d.replace(/^\.[\/\\]/,""),A=this.workspaceContextService.getWorkspace().folders.map(W=>{const b=S.match(new RegExp(`^${M.escapeRegExpCharacters(W.name)}(?:/(.*)|$)`));return b?{match:b,folder:W}:null}).filter(E.isDefined);if(A.length)return A.map(W=>{const b=W.match[1];return{searchPath:W.folder.uri,pattern:b&&t(b)}});{const W=d.match(/\.[\/\\](.+)[\/\\]?/),b=W?W[1]:d,H=s.localize(0,null,b);throw new Error(H)}}}}resolveOneSearchPathPattern(d,S){const k=d.pattern&&S?`${d.pattern}/${S}`:d.pattern||S,A=[{searchPath:d.searchPath,pattern:k}];return k&&!k.endsWith("**")&&A.push({searchPath:d.searchPath,pattern:k+"/**"}),A}getFolderQueryForSearchPath(d,S,k){const A=this.getFolderQueryForRoot((0,w.toWorkspaceFolder)(d.searchPath),S,k,!1);return A?{...A,includePattern:d.pattern}:null}getFolderQueryForRoot(d,S,k,A){let W;const b=c.URI.isUri(d)?d:d.uri;if(k.searchPaths){const J=k.searchPaths.filter(z=>(0,L.isEqual)(z.searchPath,b))[0];if(J&&!J.pattern)return null;J&&(W=J.pattern)}const H=this.configurationService.getValue({resource:b}),$={...this.getExcludesForFolder(H,S)||{},...W||{}},j=c.URI.isUri(d)?(0,L.basename)(d):d.name;return{folder:b,folderName:A?j:void 0,excludePattern:Object.keys($).length>0?$:void 0,fileEncoding:H.files&&H.files.encoding,disregardIgnoreFiles:typeof S.disregardIgnoreFiles=="boolean"?S.disregardIgnoreFiles:!H.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof S.disregardGlobalIgnoreFiles=="boolean"?S.disregardGlobalIgnoreFiles:!H.search.useGlobalIgnoreFiles,disregardParentIgnoreFiles:typeof S.disregardParentIgnoreFiles=="boolean"?S.disregardParentIgnoreFiles:!H.search.useParentIgnoreFiles,ignoreSymlinks:typeof S.ignoreSymlinks=="boolean"?S.ignoreSymlinks:!H.search.followSymlinks}}};v=Fe([Ne(0,n.IConfigurationService),Ne(1,w.IWorkspaceContextService),Ne(2,R.IEditorGroupsService),Ne(3,m.ILogService),Ne(4,h.IPathService)],v),e.QueryBuilder=v;function r(p){const d=p.match(/[\*\{\}\(\)\[\]\?]/);if(d){const S=d.index,k=p.substr(0,S).match(/[/|\\][^/\\]*$/);if(k){let A=p.substr(0,k.index);return A.match(/[/\\]/)||(A+="/"),{pathPortion:A,globPortion:p.substr((k.index||0)+1)}}}return{pathPortion:p}}function T(...p){return p.length?p.reduce((d,S)=>(d[S]=!0,d),Object.create(null)):void 0}function l(p){return _.splitGlobAware(p,",").map(d=>d.trim()).filter(d=>!!d.length)}function i(p){return[`**/${p}/**`,`**/${p}`].map(S=>S.replace(/\*\*\/\*\*/g,"**"))}function u(p){return p.replace(/\\/g,"/")}function t(p){return u(p).replace(/^\.\//,"").replace(/\/+$/g,"")}function a(p,d){p=o.distinct(p,A=>A.toString());const S=[],k=d.getWorkspace();return p&&p.forEach(A=>{let W;if(d.getWorkbenchState()===2)W=(0,L.relativePath)(k.folders[0].uri,A),W&&W!=="."&&(W="./"+W);else{const b=d.getWorkspaceFolder(A);if(b){const H=b.name;if(k.folders.filter($=>$.name===H).length===1){const $=(0,L.relativePath)(b.uri,A);$===""?W=`./${b.name}`:W=`./${b.name}/${$}`}else W=A.fsPath}}W&&S.push(W)}),S}e.resolveResourcesForSearchIncludes=a}),define(Ee[216],be([1,0,24,2,20,15,3,215,41,47]),function(Y,e,o,I,_,B,y,P,C,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const M=7e3;function E(n,m){const w=m.activationEvents;if(!w)return Promise.resolve(void 0);const R=[],h=[];for(const i of w)if(/^workspaceContains:/.test(i)){const u=i.substr("workspaceContains:".length);u.indexOf("*")>=0||u.indexOf("?")>=0||n.forceUsingSearch?h.push(u):R.push(u)}if(R.length===0&&h.length===0)return Promise.resolve(void 0);let f;const v=new Promise((i,u)=>{f=i}),r=i=>f({activationEvent:i}),T=Promise.all(R.map(i=>c(n,i,r))).then(()=>{}),l=g(n,m.identifier,h,r);return Promise.all([T,l]).then(()=>{f(void 0)}),v}e.checkActivateWorkspaceContainsExtension=E;async function c(n,m,w){for(const R of n.folders)if(await n.exists(o.joinPath(I.URI.revive(R),m))){w(`workspaceContains:${m}`);return}}async function g(n,m,w,R){if(w.length===0)return Promise.resolve(void 0);const h=new _.CancellationTokenSource,f=n.checkExists(n.folders,w,h.token),v=setTimeout(async()=>{h.cancel(),n.logService.info(`Not activating extension '${m.value}': Timed out while searching for 'workspaceContains' pattern ${w.join(",")}`)},M);let r=!1;try{r=await f}catch(T){B.isCancellationError(T)||B.onUnexpectedError(T)}h.dispose(),clearTimeout(v),r&&R(`workspaceContains:${w.join(",")}`)}function s(n,m,w,R){const h=n.get(y.IInstantiationService),f=n.get(C.ISearchService),r=h.createInstance(P.QueryBuilder).file(m.map(T=>(0,L.toWorkspaceFolder)(I.URI.revive(T))),{_reason:"checkExists",includePattern:w,exists:!0});return f.fileSearch(r,R).then(T=>!!T.limitHit,T=>B.isCancellationError(T)?!1:Promise.reject(T))}e.checkGlobFileExists=s});var je=this&&this.__classPrivateFieldSet||function(Y,e,o,I,_){if(I==="m")throw new TypeError("Private method is not writable");if(I==="a"&&!_)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Y!==e||!_:!e.has(Y))throw new TypeError("Cannot write private member to an object whose class did not declare it");return I==="a"?_.call(Y,o):_?_.value=o:e.set(Y,o),o},De=this&&this.__classPrivateFieldGet||function(Y,e,o,I){if(o==="a"&&!I)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Y!==e||!I:!e.has(Y))throw new TypeError("Cannot read private member from an object whose class did not declare it");return o==="m"?I:o==="a"?I.call(Y):I?I.value:e.get(Y)};define(Ee[33],be([1,0,123,17,69,24,13,6,22,2,12,4,32,174,67,31,28,173,15,25,21,149,7,81,3,27,68,14,56,59,40,5,216,64,151,9]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m,w,R,h,f,v,r,T,l,i,u,t,a,p,d,S,k,A,W,b){"use strict";var H,q,$;Object.defineProperty(e,"__esModule",{value:!0}),e.Extension=e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=(0,l.createDecorator)("IHostUtils");let j=class Ki extends P.Disposable{constructor(te,ce,de,Se,fe,ne,me,ke,Ae,Be){super();this._onDidChangeRemoteConnectionData=this._register(new S.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._hostUtils=ce,this._extHostContext=de,this._initData=me,this._extHostWorkspace=Se,this._extHostConfiguration=fe,this._logService=ne,this._extHostTunnelService=Ae,this._extHostTerminalService=Be,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(E.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(E.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(E.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new y.Barrier,this._readyToStartExtensionHost=new y.Barrier,this._readyToRunExtensions=new y.Barrier,this._eagerExtensionsActivated=new y.Barrier,this._registry=new w.ExtensionDescriptionRegistry(this._initData.extensions),this._storage=new s.ExtHostStorage(this._extHostContext),this._secretState=new A.ExtHostSecretState(this._extHostContext),this._storagePath=ke,this._instaService=te.createChild(new a.ServiceCollection([s.IExtHostStorage,this._storage],[A.IExtHostSecretState,this._secretState]));const Xe=new Set;this._initData.hostExtensions.forEach(ge=>Xe.add(h.ExtensionIdentifier.toKey(ge))),this._activator=this._register(new g.ExtensionsActivator(this._registry,this._initData.resolvedExtensions,this._initData.hostExtensions,{onExtensionActivationError:(ge,ue,N)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(ge,R.transformErrorForSerialization(ue),N)},actualActivateExtension:async(ge,ue)=>{if(Xe.has(h.ExtensionIdentifier.toKey(ge)))return await this._mainThreadExtensionsProxy.$activateExtension(ge,ue),new g.HostExtension;const N=this._registry.getExtensionDescription(ge);return this._activateExtension(N,ue)}},this._logService)),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),_.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(te){R.onUnexpectedError(te)}}async deactivateAll(){this._storagePath.onWillDeactivateAll();let te=[];try{te=this._registry.getAllExtensionDescriptions().map(fe=>fe.identifier).filter(fe=>this.isActivated(fe)).map(fe=>this._deactivate(fe))}catch{}await Promise.all(te)}isActivated(te){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(te):!1}_activateByEvent(te,ce){return this._activator.activateByEvent(te,ce)}_activateById(te,ce){return this._activator.activateById(te,ce)}activateByIdWithErrors(te,ce){return this._activateById(te,ce).then(()=>{const de=this._activator.getActivatedExtension(te);if(de.activationFailed)return Promise.reject(de.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(te=>this._registry)}getExtensionExports(te){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(te).exports:null}async _realPathExtensionUri(te){if(te.scheme!==b.Schemas.file)return te;const ce=await this._hostUtils.realpath(te.fsPath);return L.URI.file(ce)}async getExtensionPathIndex(){return this._extensionPathIndex||(this._extensionPathIndex=(async()=>{const te=C.TernarySearchTree.forUris(ce=>B.extUriBiasedIgnorePathCase.ignorePathCasing(ce));for(const ce of this._registry.getAllExtensionDescriptions())if(this._getEntryPoint(ce)){const de=await this._realPathExtensionUri(ce.extensionLocation);te.set(de,ce)}return te})()),this._extensionPathIndex}_deactivate(te){let ce=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(te))return ce;const de=this._activator.getActivatedExtension(te);if(!de)return ce;try{typeof de.module.deactivate=="function"&&(ce=Promise.resolve(de.module.deactivate()).then(void 0,Se=>(this._logService.error(Se),Promise.resolve(void 0))))}catch(Se){this._logService.error(`An error occurred when deactivating the extension '${te.value}':`),this._logService.error(Se)}try{(0,P.dispose)(de.subscriptions)}catch(Se){this._logService.error(`An error occurred when deactivating the subscriptions for extension '${te.value}':`),this._logService.error(Se)}return ce}async _activateExtension(te,ce){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(te.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(te.identifier),this._doActivateExtension(te,ce).then(de=>{const Se=de.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(te.identifier,Se.codeLoadingTime,Se.activateCallTime,Se.activateResolvedTime,ce),this._logExtensionActivationTimes(te,ce,"success",Se),de},de=>{throw this._logExtensionActivationTimes(te,ce,"failure"),de})}_logExtensionActivationTimes(te,ce,de,Se){const fe=J(te,ce);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",{...fe,...Se||{},outcome:de})}_doActivateExtension(te,ce){const de=J(te,ce);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",de);const Se=this._getEntryPoint(te);if(!Se)return Promise.resolve(new g.EmptyExtension(g.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${te.identifier.value}, startup: ${ce.startup}, activationEvent: '${ce.activationEvent}'${te.identifier.value!==ce.extensionId.value?`, root cause: ${ce.extensionId.value}`:""}`),this._logService.flush();const fe=new g.ExtensionActivationTimesBuilder(ce.startup);return Promise.all([this._loadCommonJSModule(te.identifier,(0,B.joinPath)(te.extensionLocation,Se),fe),this._loadExtensionContext(te)]).then(ne=>(_.mark(`code/extHost/willActivateExtension/${te.identifier.value}`),Ki._callActivate(this._logService,te.identifier,ne[0],ne[1],fe))).then(ne=>(_.mark(`code/extHost/didActivateExtension/${te.identifier.value}`),ne))}_loadExtensionContext(te){const ce=new v.ExtensionGlobalMemento(te,this._storage),de=new v.ExtensionMemento(te.identifier.value,!1,this._storage),Se=new W.ExtensionSecrets(te,this._secretState),fe=te.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?r.ExtensionMode.Test:r.ExtensionMode.Development:r.ExtensionMode.Production,ne=this._initData.remote.isRemote?r.ExtensionKind.Workspace:r.ExtensionKind.UI;return this._logService.trace(`ExtensionService#loadExtensionContext ${te.identifier.value}`),Promise.all([ce.whenReady,de.whenReady,this._storagePath.whenReady]).then(()=>{const me=this;let ke,Ae;const Be=(0,m.isProposedApiEnabled)(te,"ipc")?this._initData.messagePorts?.get(h.ExtensionIdentifier.toKey(te.identifier)):void 0;return Object.freeze({globalState:ce,workspaceState:de,secrets:Se,subscriptions:[],get extensionUri(){return te.extensionLocation},get extensionPath(){return te.extensionLocation.fsPath},asAbsolutePath(Xe){return I.join(te.extensionLocation.fsPath,Xe)},get storagePath(){return me._storagePath.workspaceValue(te)?.fsPath},get globalStoragePath(){return me._storagePath.globalValue(te).fsPath},get logPath(){return I.join(me._initData.logsLocation.fsPath,te.identifier.value)},get logUri(){return L.URI.joinPath(me._initData.logsLocation,te.identifier.value)},get storageUri(){return me._storagePath.workspaceValue(te)},get globalStorageUri(){return me._storagePath.globalValue(te)},get extensionMode(){return fe},get extension(){return ke===void 0&&(ke=new z(me,te.identifier,te,ne)),ke},get extensionRuntime(){return(0,m.checkProposedApiEnabled)(te,"extensionRuntime"),me.extensionRuntime},get environmentVariableCollection(){return me._extHostTerminalService.getEnvironmentVariableCollection(te)},get messagePassingProtocol(){if(!Ae){if(!Be)return;const Xe=S.Event.buffer(S.Event.fromDOMEventEmitter(Be,"message",ge=>ge.data));Be.start(),Ae={onDidReceiveMessage:Xe,postMessage:Be.postMessage.bind(Be)}}return Ae}})})}static _callActivate(te,ce,de,Se,fe){return de=de||{activate:void 0,deactivate:void 0},this._callActivateOptional(te,ce,de,Se,fe).then(ne=>new g.ActivatedExtension(!1,null,fe.build(),de,ne,Se.subscriptions))}static _callActivateOptional(te,ce,de,Se,fe){if(typeof de.activate=="function")try{fe.activateCallStart(),te.trace(`ExtensionService#_callActivateOptional ${ce.value}`);const ne=typeof global=="object"?global:self,me=de.activate.apply(ne,[Se]);return fe.activateCallStop(),fe.activateResolveStart(),Promise.resolve(me).then(ke=>(fe.activateResolveStop(),ke))}catch(ne){return Promise.reject(ne)}else return Promise.resolve(de)}_activateOneStartupFinished(te,ce){this._activateById(te.identifier,{startup:!1,extensionId:te.identifier,activationEvent:ce}).then(void 0,de=>{this._logService.error(de)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(_.getMarks());for(const te of this._registry.getAllExtensionDescriptions())if(te.activationEvents)for(const ce of te.activationEvents)ce==="onStartupFinished"&&this._activateOneStartupFinished(te,ce)}_handleEagerExtensions(){const te=this._activateByEvent("*",!0).then(void 0,fe=>{this._logService.error(fe)});this._register(this._extHostWorkspace.onDidChangeWorkspace(fe=>this._handleWorkspaceContainsEagerExtensions(fe.added)));const ce=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],de=this._handleWorkspaceContainsEagerExtensions(ce),Se=Promise.all([te,de]).then(()=>{});return Promise.race([Se,(0,y.timeout)(1e4)]).then(()=>{this._activateAllStartupFinished()}),Se}_handleWorkspaceContainsEagerExtensions(te){return te.length===0?Promise.resolve(void 0):Promise.all(this._registry.getAllExtensionDescriptions().map(ce=>this._handleWorkspaceContainsEagerExtension(te,ce))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(te,ce){if(this.isActivated(ce.identifier))return;const de=!this._initData.remote.isRemote&&!!this._initData.remote.authority,Se={logService:this._logService,folders:te.map(ne=>ne.uri),forceUsingSearch:de,exists:ne=>this._hostUtils.exists(ne.fsPath),checkExists:(ne,me,ke)=>this._mainThreadWorkspaceProxy.$checkExists(ne,me,ke)},fe=await(0,k.checkActivateWorkspaceContainsExtension)(Se,ce);if(!!fe)return this._activateById(ce.identifier,{startup:!0,extensionId:ce.identifier,activationEvent:fe.activationEvent}).then(void 0,ne=>this._logService.error(ne))}async $extensionTestsExecute(){await this._eagerExtensionsActivated.wait();try{return await this._doHandleExtensionTests()}catch(te){throw console.error(te),te}}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:te,extensionTestsLocationURI:ce}=this._initData.environment;if(!te||!ce)throw new Error(o.localize(0,null));const de=await this._loadCommonJSModule(null,ce,new g.ExtensionActivationTimesBuilder(!1));if(!de||typeof de.run!="function")throw new Error(o.localize(1,null,ce.toString()));return new Promise((Se,fe)=>{const ne=(Ae,Be)=>{Ae?fe(Ae):Se(typeof Be=="number"&&Be>0?1:0)},me=(0,B.originalFSPath)(ce),ke=de.run(me,ne);ke&&ke.then&&ke.then(()=>{Se(0)}).catch(Ae=>{fe(Ae instanceof Error&&Ae.stack?Ae.stack:String(Ae))})})}async $extensionTestsExit(te){this._logService.info(`Extension host terminating: test runner requested exit with code ${te}`),this._hostUtils.pid&&this._logService.info(`Extension host with pid ${this._hostUtils.pid} exiting with code ${te}`),this._logService.flush(),this._hostUtils.exit(te)}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>{this._eagerExtensionsActivated.open(),this._logService.info("Eager extensions activated")})}registerRemoteAuthorityResolver(te,ce){return this._resolvers[te]=ce,(0,P.toDisposable)(()=>{delete this._resolvers[te]})}async _activateAndGetResolver(te){const ce=te.indexOf("+");if(ce===-1)throw new Error("Not an authority that can be resolved!");const de=te.substr(0,ce);return await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${de}`,!1),{authorityPrefix:de,resolver:this._resolvers[de]}}async $resolveAuthority(te,ce){this._logService.info(`$resolveAuthority invoked for authority (${ie(te)})`);const{authorityPrefix:de,resolver:Se}=await this._activateAndGetResolver(te);if(!Se)return{type:"error",error:{code:T.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${de}.`,detail:void 0}};try{this._register(await this._extHostTunnelService.setTunnelFactory(Se)),_.mark(`code/extHost/willResolveAuthority/${de}`);const fe=await Se.resolve(te,{resolveAttempt:ce});_.mark(`code/extHost/didResolveAuthorityOK/${de}`);const ne={authority:te,host:fe.host,port:fe.port,connectionToken:fe.connectionToken},me={extensionHostEnv:fe.extensionHostEnv,isTrusted:fe.isTrusted,authenticationSession:fe.authenticationSessionForInitializingExtensions?{id:fe.authenticationSessionForInitializingExtensions.id,providerId:fe.authenticationSessionForInitializingExtensions.providerId}:void 0};return{type:"ok",value:{authority:ne,options:me,tunnelInformation:{environmentTunnels:fe.environmentTunnels,features:fe.tunnelFeatures}}}}catch(fe){if(_.mark(`code/extHost/didResolveAuthorityError/${de}`),fe instanceof r.RemoteAuthorityResolverError)return{type:"error",error:{code:fe._code,message:fe._message,detail:fe._detail}};throw fe}}async $getCanonicalURI(te,ce){this._logService.info(`$getCanonicalURI invoked for authority (${ie(te)})`);const{authorityPrefix:de,resolver:Se}=await this._activateAndGetResolver(te);if(!Se)throw new Error(`Cannot get canonical URI because no remote extension is installed to resolve ${de}`);const fe=L.URI.revive(ce);if(typeof Se.getCanonicalURI=="undefined")return fe;const ne=await(0,y.asPromise)(()=>Se.getCanonicalURI(fe));return ne||fe}$startExtensionHost(te){return this._registry.keepOnly(te),this._startExtensionHost()}$activateByEvent(te,ce){return ce===1?this._activateByEvent(te,!1):this._readyToRunExtensions.wait().then(de=>this._activateByEvent(te,!1))}async $activate(te,ce){return await this._readyToRunExtensions.wait(),this._registry.getExtensionDescription(te)?(await this._activateById(te,ce),!0):!1}async $deltaExtensions(te,ce){te.forEach(Se=>Se.extensionLocation=L.URI.revive(Se.extensionLocation));const de=await this.getExtensionPathIndex();return await Promise.all(ce.map(async Se=>{const fe=this._registry.getExtensionDescription(Se);fe&&de.delete(await this._realPathExtensionUri(fe.extensionLocation))})),await Promise.all(te.map(async Se=>{const fe=await this._realPathExtensionUri(Se.extensionLocation);de.set(fe,Se)})),this._registry.deltaExtensions(te,ce),Promise.resolve(void 0)}async $test_latency(te){return te}async $test_up(te){return te.byteLength}async $test_down(te){let ce=f.VSBuffer.alloc(te),de=Math.random()%256;for(let Se=0;Se<te;Se++)ce.writeUInt8(de,Se);return ce}async $updateRemoteConnectionData(te){this._remoteConnectionData=te,this._onDidChangeRemoteConnectionData.fire()}};j=Fe([Ne(0,l.IInstantiationService),Ne(1,e.IHostUtils),Ne(2,t.IExtHostRpcService),Ne(3,n.IExtHostWorkspace),Ne(4,c.IExtHostConfiguration),Ne(5,M.ILogService),Ne(6,i.IExtHostInitDataService),Ne(7,u.IExtensionStoragePaths),Ne(8,p.IExtHostTunnelService),Ne(9,d.IExtHostTerminalService)],j),e.AbstractExtHostExtensionService=j;function J(ae,te){return{id:ae.identifier.value,name:ae.name,extensionVersion:ae.version,publisherDisplayName:ae.publisher,activationEvents:ae.activationEvents?ae.activationEvents.join(","):null,isBuiltin:ae.isBuiltin,reason:te.activationEvent,reasonId:te.extensionId.value}}e.IExtHostExtensionService=(0,l.createDecorator)("IExtHostExtensionService");class z{constructor(te,ce,de,Se){H.set(this,void 0),q.set(this,void 0),$.set(this,void 0),je(this,H,te,"f"),je(this,q,ce,"f"),je(this,$,de.identifier,"f"),this.id=de.identifier.value,this.extensionUri=de.extensionLocation,this.extensionPath=I.normalize((0,B.originalFSPath)(de.extensionLocation)),this.packageJSON=de,this.extensionKind=Se}get isActive(){return De(this,H,"f").isActivated(De(this,$,"f"))}get exports(){if(this.packageJSON.api!=="none")return De(this,H,"f").getExtensionExports(De(this,$,"f"))}activate(){return De(this,H,"f").activateByIdWithErrors(De(this,$,"f"),{startup:!1,extensionId:De(this,q,"f"),activationEvent:"api"}).then(()=>this.exports)}}e.Extension=z,H=new WeakMap,q=new WeakMap,$=new WeakMap;function ie(ae){const te=ae.indexOf("+");return te===-1?ae:ae.substring(0,te)}}),define(Ee[98],be([1,0,17,2,5,13,4,7,158,31,33,50,166,32,160,14,3,11,86,66]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m,w,R,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostVariableResolverService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=(0,m.createDecorator)("IExtHostDebugService");let f=class{constructor(a,p,d,S,k,A){this._workspaceService=p,this._extensionService=d,this._editorsService=S,this._configurationService=k,this._editorTabs=A,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new _.Emitter,this._onDidTerminateDebugSession=new _.Emitter,this._onDidChangeActiveDebugSession=new _.Emitter,this._onDidReceiveDebugSessionCustomEvent=new _.Emitter,this._debugServiceProxy=a.getProxy(y.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new _.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new r(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(W=>{W.onDidChange(b=>{this.registerAllDebugTypes(W)}),this.registerAllDebugTypes(W)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(a,p){const d=a;if(typeof d.sourceReference=="number"&&d.sourceReference>0){let S=`debug:${encodeURIComponent(d.path||"")}`,k="?";return p&&(S+=`${k}session=${encodeURIComponent(p.id)}`,k="&"),S+=`${k}ref=${d.sourceReference}`,I.URI.parse(S)}else{if(d.path)return I.URI.file(d.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(a){const p=[];for(const d of a.getAllExtensionDescriptions())if(d.contributes){const S=d.contributes.debuggers;if(S&&S.length>0)for(const k of S)(0,s.isDebuggerMainContribution)(k)&&p.push(k.type)}this._debugServiceProxy.$registerDebugTypes(p)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const a=[];return this._breakpoints.forEach(p=>a.push(p)),a}addBreakpoints(a){this.startBreakpoints();const p=a.filter(k=>{const A=k.id;return this._breakpoints.has(A)?!1:(this._breakpoints.set(A,k),!0)});this.fireBreakpointChanges(p,[],[]);const d=[],S=new Map;for(const k of p)if(k instanceof P.SourceBreakpoint){let A=S.get(k.location.uri.toString());A||(A={type:"sourceMulti",uri:k.location.uri,lines:[]},S.set(k.location.uri.toString(),A),d.push(A)),A.lines.push({id:k.id,enabled:k.enabled,condition:k.condition,hitCondition:k.hitCondition,logMessage:k.logMessage,line:k.location.range.start.line,character:k.location.range.start.character})}else k instanceof P.FunctionBreakpoint&&d.push({type:"function",id:k.id,enabled:k.enabled,hitCondition:k.hitCondition,logMessage:k.logMessage,condition:k.condition,functionName:k.functionName});return this._debugServiceProxy.$registerBreakpoints(d)}removeBreakpoints(a){this.startBreakpoints();const p=a.filter(A=>this._breakpoints.delete(A.id));this.fireBreakpointChanges([],p,[]);const d=p.filter(A=>A instanceof P.SourceBreakpoint).map(A=>A.id),S=p.filter(A=>A instanceof P.FunctionBreakpoint).map(A=>A.id),k=p.filter(A=>A instanceof P.DataBreakpoint).map(A=>A.id);return this._debugServiceProxy.$unregisterBreakpoints(d,S,k)}startDebugging(a,p,d){return this._debugServiceProxy.$startDebugging(a?a.uri:void 0,p,{parentSessionID:d.parentSession?d.parentSession.id:void 0,lifecycleManagedByParent:d.lifecycleManagedByParent,repl:d.consoleMode===P.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:d.noDebug,compact:d.compact,debugUI:d.debugUI,suppressSaveBeforeStart:d.suppressSaveBeforeStart})}stopDebugging(a){return this._debugServiceProxy.$stopDebugging(a?a.id:void 0)}registerDebugConfigurationProvider(a,p,d){if(!p)return new P.Disposable(()=>{});const S=this._configProviderHandleCounter++;return this._configProviders.push({type:a,handle:S,provider:p}),this._debugServiceProxy.$registerDebugConfigurationProvider(a,d,!!p.provideDebugConfigurations,!!p.resolveDebugConfiguration,!!p.resolveDebugConfigurationWithSubstitutedVariables,S),new P.Disposable(()=>{this._configProviders=this._configProviders.filter(k=>k.provider!==p),this._debugServiceProxy.$unregisterDebugConfigurationProvider(S)})}registerDebugAdapterDescriptorFactory(a,p,d){if(!d)return new P.Disposable(()=>{});if(!this.definesDebugType(a,p))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${p}' debugger.`);if(this.getAdapterDescriptorFactoryByType(p))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const S=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:p,handle:S,factory:d}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(p,S),new P.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(k=>k.factory!==d),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(S)})}registerDebugAdapterTrackerFactory(a,p){if(!p)return new P.Disposable(()=>{});const d=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:a,handle:d,factory:p}),new P.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(S=>S.factory!==p)})}async $runInTerminal(a,p){return Promise.resolve(void 0)}async $substituteVariables(a,p){if(!this._variableResolver){const[k,A]=await Promise.all([this._workspaceService.getWorkspaceFolders2(),this._configurationService.getConfigProvider()]);this._variableResolver=this.createVariableResolver(k||[],this._editorsService,A)}let d;const S=await this.getFolder(a);return S&&(d={uri:S.uri,name:S.name,index:S.index,toResource:()=>{throw new Error("Not implemented")}}),this._variableResolver.resolveAnyAsync(d,p)}createDebugAdapter(a,p){if(a.type==="implementation")return new i(a.implementation)}createSignService(){}async $startDASession(a,p){const d=this,S=await this.getSession(p);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(S.type),S).then(k=>{if(!k)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${S.type}' (extension might have failed to activate)`);const A=this.convertToDto(k),W=this.createDebugAdapter(A,S);if(!W)throw new Error(`Couldn't create a debug adapter for type '${S.type}'.`);const b=W;return this._debugAdapters.set(a,b),this.getDebugAdapterTrackers(S).then(H=>(H&&this._debugAdaptersTrackers.set(a,H),b.onMessage(async q=>{if(q.type==="request"&&q.command==="handshake"){const $=q,j={type:"response",seq:0,command:$.command,request_seq:$.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const J=await this._signService.sign($.arguments.value);j.body={signature:J},b.sendResponse(j)}else throw new Error("no signer")}catch(J){j.success=!1,j.message=J.message,b.sendResponse(j)}}else H&&H.onDidSendMessage&&H.onDidSendMessage(q),q=(0,s.convertToVSCPaths)(q,!0),d._debugServiceProxy.$acceptDAMessage(a,q)}),b.onError(q=>{H&&H.onError&&H.onError(q),this._debugServiceProxy.$acceptDAError(a,q.name,q.message,q.stack)}),b.onExit(q=>{H&&H.onExit&&H.onExit((0,w.withNullAsUndefined)(q),void 0),this._debugServiceProxy.$acceptDAExit(a,(0,w.withNullAsUndefined)(q),void 0)}),H&&H.onWillStartSession&&H.onWillStartSession(),b.startSession()))})}$sendDAMessage(a,p){p=(0,s.convertToDAPaths)(p,!1);const d=this._debugAdaptersTrackers.get(a);d&&d.onWillReceiveMessage&&d.onWillReceiveMessage(p);const S=this._debugAdapters.get(a);S&&S.sendMessage(p)}$stopDASession(a){const p=this._debugAdaptersTrackers.get(a);this._debugAdaptersTrackers.delete(a),p&&p.onWillStopSession&&p.onWillStopSession();const d=this._debugAdapters.get(a);return this._debugAdapters.delete(a),d?d.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(a){const p=[],d=[],S=[];if(a.added)for(const k of a.added){const A=k.id;if(A&&!this._breakpoints.has(A)){let W;if(k.type==="function")W=new P.FunctionBreakpoint(k.functionName,k.enabled,k.condition,k.hitCondition,k.logMessage);else if(k.type==="data")W=new P.DataBreakpoint(k.label,k.dataId,k.canPersist,k.enabled,k.hitCondition,k.condition,k.logMessage);else{const b=I.URI.revive(k.uri);W=new P.SourceBreakpoint(new P.Location(b,new P.Position(k.line,k.character)),k.enabled,k.condition,k.hitCondition,k.logMessage)}W._id=A,this._breakpoints.set(A,W),p.push(W)}}if(a.removed)for(const k of a.removed){const A=this._breakpoints.get(k);A&&(this._breakpoints.delete(k),d.push(A))}if(a.changed){for(const k of a.changed)if(k.id){const A=this._breakpoints.get(k.id);if(A){if(A instanceof P.FunctionBreakpoint&&k.type==="function"){const W=A;W.enabled=k.enabled,W.condition=k.condition,W.hitCondition=k.hitCondition,W.logMessage=k.logMessage,W.functionName=k.functionName}else if(A instanceof P.SourceBreakpoint&&k.type==="source"){const W=A;W.enabled=k.enabled,W.condition=k.condition,W.hitCondition=k.hitCondition,W.logMessage=k.logMessage,W.location=new P.Location(I.URI.revive(k.uri),new P.Position(k.line,k.character))}S.push(A)}}}this.fireBreakpointChanges(p,d,S)}$provideDebugConfigurations(a,p,d){return(0,B.asPromise)(async()=>{const S=this.getConfigProviderByHandle(a);if(!S)throw new Error("no DebugConfigurationProvider found");if(!S.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const k=await this.getFolder(p);return S.provideDebugConfigurations(k,d)}).then(S=>{if(!S)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return S})}$resolveDebugConfiguration(a,p,d,S){return(0,B.asPromise)(async()=>{const k=this.getConfigProviderByHandle(a);if(!k)throw new Error("no DebugConfigurationProvider found");if(!k.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const A=await this.getFolder(p);return k.resolveDebugConfiguration(A,d,S)})}$resolveDebugConfigurationWithSubstitutedVariables(a,p,d,S){return(0,B.asPromise)(async()=>{const k=this.getConfigProviderByHandle(a);if(!k)throw new Error("no DebugConfigurationProvider found");if(!k.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const A=await this.getFolder(p);return k.resolveDebugConfigurationWithSubstitutedVariables(A,d,S)})}async $provideDebugAdapter(a,p){const d=this.getAdapterDescriptorFactoryByHandle(a);if(!d)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const S=await this.getSession(p);return this.getAdapterDescriptor(d,S).then(k=>{if(!k)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${S.type}'`);return this.convertToDto(k)})}async $acceptDebugSessionStarted(a){const p=await this.getSession(a);this._onDidStartDebugSession.fire(p)}async $acceptDebugSessionTerminated(a){const p=await this.getSession(a);p&&(this._onDidTerminateDebugSession.fire(p),this._debugSessions.delete(p.id))}async $acceptDebugSessionActiveChanged(a){this._activeDebugSession=a?await this.getSession(a):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(a,p){const d=await this.getSession(a);d&&d._acceptNameChanged(p)}async $acceptDebugSessionCustomEvent(a,p){const S={session:await this.getSession(a),event:p.event,body:p.body};this._onDidReceiveDebugSessionCustomEvent.fire(S)}convertToDto(a){if(a instanceof P.DebugAdapterExecutable)return{type:"executable",command:a.command,args:a.args,options:a.options};if(a instanceof P.DebugAdapterServer)return{type:"server",port:a.port,host:a.host};if(a instanceof P.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:a.path};if(a instanceof P.DebugAdapterInlineImplementation)return{type:"implementation",implementation:a.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(a){const p=this._adapterFactories.filter(d=>d.type===a);if(p.length>0)return p[0].factory}getAdapterDescriptorFactoryByHandle(a){const p=this._adapterFactories.filter(d=>d.handle===a);if(p.length>0)return p[0].factory}getConfigProviderByHandle(a){const p=this._configProviders.filter(d=>d.handle===a);if(p.length>0)return p[0].provider}definesDebugType(a,p){if(a.contributes){const d=a.contributes.debuggers;if(d&&d.length>0){for(const S of d)if(S.label&&S.type&&S.type===p)return!0}}return!1}getDebugAdapterTrackers(a){const d=a.configuration.type,S=this._trackerFactories.filter(k=>k.type===d||k.type==="*").map(k=>(0,B.asPromise)(()=>k.factory.createDebugAdapterTracker(a)).then(A=>A,A=>null));return Promise.race([Promise.all(S).then(k=>{const A=k.filter(W=>!!W);if(A.length>0)return new l(A)}),new Promise((k,A)=>{const W=setTimeout(()=>{clearTimeout(W),A(new Error("timeout"))},1e3)})]).catch(k=>{})}async getAdapterDescriptor(a,p){const d=p.configuration.debugServer;if(typeof d=="number")return Promise.resolve(new P.DebugAdapterServer(d));if(a){const k=await this._extensionService.getExtensionRegistry();return(0,B.asPromise)(()=>a.createDebugAdapterDescriptor(p,this.daExecutableFromPackage(p,k))).then(A=>{if(A)return A})}const S=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(p,S))}daExecutableFromPackage(a,p){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(a,p,d){(a.length>0||p.length>0||d.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:a,removed:p,changed:d}))}async getSession(a){if(a)if(typeof a=="string"){const p=this._debugSessions.get(a);if(p)return p}else{let p=this._debugSessions.get(a.id);if(!p){const d=await this.getFolder(a.folderUri),S=a.parent?this._debugSessions.get(a.parent):void 0;p=new v(this._debugServiceProxy,a.id,a.type,a.name,d,a.configuration,S),this._debugSessions.set(p.id,p),this._debugServiceProxy.$sessionCached(p.id)}return p}throw new Error("cannot find session")}getFolder(a){if(a){const p=I.URI.revive(a);return this._workspaceService.resolveWorkspaceFolder(p)}return Promise.resolve(void 0)}};f=Fe([Ne(0,n.IExtHostRpcService),Ne(1,L.IExtHostWorkspace),Ne(2,M.IExtHostExtensionService),Ne(3,E.IExtHostDocumentsAndEditors),Ne(4,g.IExtHostConfiguration),Ne(5,h.IExtHostEditorTabs)],f),e.ExtHostDebugServiceBase=f;class v{constructor(a,p,d,S,k,A,W){this._debugServiceProxy=a,this._id=p,this._type=d,this._name=S,this._workspaceFolder=k,this._configuration=A,this._parentSession=W}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(a){this._name=a,this._debugServiceProxy.$setDebugSessionName(this._id,a)}get parentSession(){return this._parentSession}_acceptNameChanged(a){this._name=a}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(a,p){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,a,p)}getDebugProtocolBreakpoint(a){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,a.id)}}e.ExtHostDebugSession=v;class r{constructor(a){this.value=Object.freeze({append(p){a.$appendDebugConsole(p)},appendLine(p){this.append(p+`
`)}})}}e.ExtHostDebugConsole=r;class T extends c.AbstractVariableResolverService{constructor(a,p,d,S,k,A){function W(){if(p){const b=p.activeEditor();if(b)return b.document.uri;const H=S.tabGroups.all.find(q=>q.isActive)?.activeTab;if(H!==void 0){const q=H.resource;return q&&(q.primary||q.secondary)?q.primary??q.secondary:H.resource}}}super({getFolderUri:b=>{const H=a.filter(q=>q.name===b);if(H&&H.length>0)return H[0].uri},getWorkspaceFolderCount:()=>a.length,getConfigurationValue:(b,H)=>d.getConfiguration(void 0,b).get(H),getAppRoot:()=>R.cwd(),getExecPath:()=>R.env.VSCODE_EXEC_PATH,getFilePath:()=>{const b=W();if(b)return o.normalize(b.fsPath)},getWorkspaceFolderPathForFile:()=>{if(k){const b=W();if(b){const H=k.getWorkspaceFolder(b);if(H)return o.normalize(H.uri.fsPath)}}},getSelectedText:()=>{if(p){const b=p.activeEditor();if(b&&!b.selection.isEmpty)return b.document.getText(b.selection)}},getLineNumber:()=>{if(p){const b=p.activeEditor();if(b)return String(b.selection.end.line+1)}}},void 0,A?Promise.resolve(A):void 0,Promise.resolve(R.env))}}e.ExtHostVariableResolverService=T;class l{constructor(a){this.trackers=a}onWillStartSession(){this.trackers.forEach(a=>a.onWillStartSession?a.onWillStartSession():void 0)}onWillReceiveMessage(a){this.trackers.forEach(p=>p.onWillReceiveMessage?p.onWillReceiveMessage(a):void 0)}onDidSendMessage(a){this.trackers.forEach(p=>p.onDidSendMessage?p.onDidSendMessage(a):void 0)}onWillStopSession(){this.trackers.forEach(a=>a.onWillStopSession?a.onWillStopSession():void 0)}onError(a){this.trackers.forEach(p=>p.onError?p.onError(a):void 0)}onExit(a,p){this.trackers.forEach(d=>d.onExit?d.onExit(a,p):void 0)}}class i extends C.AbstractDebugAdapter{constructor(a){super();this.implementation=a,a.onDidSendMessage(p=>{this.acceptMessage(p)})}startSession(){return Promise.resolve(void 0)}sendMessage(a){this.implementation.handleMessage(a)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let u=class extends f{constructor(a,p,d,S,k,A){super(a,p,d,S,k,A)}createVariableResolver(a,p,d){return new T(a,p,d,this._editorTabs)}};u=Fe([Ne(0,n.IExtHostRpcService),Ne(1,L.IExtHostWorkspace),Ne(2,M.IExtHostExtensionService),Ne(3,E.IExtHostDocumentsAndEditors),Ne(4,g.IExtHostConfiguration),Ne(5,h.IExtHostEditorTabs)],u),e.WorkerExtHostDebugService=u}),define(Ee[217],be([1,0,69,2,4,32,28,25,14,27,3,33,86,12,10]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let n=class{constructor(v,r,T,l,i,u,t){this._apiFactory=v,this._extensionRegistry=r,this._instaService=T,this._extHostConfiguration=l,this._extHostExtensionService=i,this._initData=u,this._logService=t,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),o.mark("code/extHost/willWaitForConfig");const v=await this._extHostConfiguration.getConfigProvider();o.mark("code/extHost/didWaitForConfig");const r=await this._extHostExtensionService.getExtensionPathIndex();this.register(new w(this._apiFactory,r,this._extensionRegistry,v,this._logService)),this.register(this._instaService.createInstance(R,r)),this.register(this._instaService.createInstance(m)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(h,r,this._initData.environment.appUriScheme))}register(v){if("nodeModuleName"in v)if(Array.isArray(v.nodeModuleName))for(let r of v.nodeModuleName)this._factories.set(r,v);else this._factories.set(v.nodeModuleName,v);typeof v.alternativeModuleName=="function"&&this._alternatives.push(r=>v.alternativeModuleName(r))}};n=Fe([Ne(2,M.IInstantiationService),Ne(3,B.IExtHostConfiguration),Ne(4,E.IExtHostExtensionService),Ne(5,L.IExtHostInitDataService),Ne(6,g.ILogService)],n),e.RequireInterceptor=n;let m=class Wi{constructor(v){if(v.environment.appRoot&&Wi.aliased.size){const r=(0,s.escapeRegExpCharacters)(this.forceForwardSlashes(v.environment.appRoot.fsPath)),T="[a-z0-9_.-]",l=`@${T}+\\/${T}+|${T}+`,i="node_modules|node_modules\\.asar(?:\\.unpacked)?";this.re=new RegExp(`^(${r}/${i}\\/)(${l})(.*)$`,"i")}}alternativeModuleName(v){if(!this.re)return;const r=this.re.exec(this.forceForwardSlashes(v));if(!r)return;const[,T,l,i]=r,u=Wi.aliased.get(l);if(u!==void 0)return console.warn(`${l} as been renamed to ${u}, please update your imports`),T+u+i}forceForwardSlashes(v){return v.replace(/\\/g,"/")}};m.aliased=new Map([["vscode-ripgrep","@vscode/ripgrep"],["vscode-windows-registry","@vscode/windows-registry"]]),m=Fe([Ne(0,L.IExtHostInitDataService)],m);class w{constructor(v,r,T,l,i){this._apiFactory=v,this._extensionPaths=r,this._extensionRegistry=T,this._configProvider=l,this._logService=i,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(v,r){const T=this._extensionPaths.findSubstr(r);if(T){let l=this._extApiImpl.get(P.ExtensionIdentifier.toKey(T.identifier));return l||(l=this._apiFactory(T,this._extensionRegistry,this._configProvider),this._extApiImpl.set(P.ExtensionIdentifier.toKey(T.identifier),l)),l}if(!this._defaultApiImpl){let l="";this._extensionPaths.forEach((i,u)=>l+=`	${u} -> ${i.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${r}. These are the extension path mappings: 
${l}`),this._defaultApiImpl=this._apiFactory(y.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let R=class{constructor(v,r,T){this._extensionPaths=v,this.nodeModuleName="keytar",this._mainThreadTelemetry=r.getProxy(_.MainContext.MainThreadTelemetry);const{environment:l}=T,i=r.getProxy(_.MainContext.MainThreadKeytar);if(l.appRoot){let u=l.appRoot.fsPath;c.platform==="win32"&&(u=u.replace(/\\/g,"/")),u[u.length-1]==="/"&&(u=u.substr(0,u.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${u}/node_modules.asar/keytar`),this.alternativeNames.add(`${u}/node_modules/keytar`)}this._impl={getPassword:(u,t)=>i.$getPassword(u,t),setPassword:(u,t,a)=>i.$setPassword(u,t,a),deletePassword:(u,t)=>i.$deletePassword(u,t),findPassword:u=>i.$findPassword(u),findCredentials(u){return i.$findCredentials(u)}}}load(v,r){const T=this._extensionPaths.findSubstr(r);return this._mainThreadTelemetry.$publicLog2("shimming.keytar",{extension:T?.identifier.value??"unknown_extension"}),this._impl}alternativeModuleName(v){const r=v.length;if(r<=7||!this.alternativeNames)return;const T=r-7;if((v.charAt(T)==="/"||v.charAt(T)==="\\")&&v.endsWith("keytar")&&(v=v.replace(/\\/g,"/"),this.alternativeNames.has(v)))return"keytar"}};R=Fe([Ne(1,C.IExtHostRpcService),Ne(2,L.IExtHostInitDataService)],R);let h=class{constructor(v,r,T){this._extensionPaths=v,this._appUriScheme=r,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=T.getProxy(_.MainContext.MainThreadTelemetry);const l=T.getProxy(_.MainContext.MainThreadWindow);this._impl=(i,u)=>{const t=I.URI.parse(i);return u?this.callOriginal(i,u):t.scheme==="http"||t.scheme==="https"?l.$openUri(t,i,{allowTunneling:!0}):t.scheme==="mailto"||t.scheme===this._appUriScheme?l.$openUri(t,i,{}):this.callOriginal(i,u)}}load(v,r,T){const l=this._extensionPaths.findSubstr(r);return l&&(this._extensionId=l.identifier.value,this.sendShimmingTelemetry()),this._original=T(v),this._impl}callOriginal(v,r){return this.sendNoForwardTelemetry(),this._original(v,r)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};h=Fe([Ne(2,C.IExtHostRpcService)],h)}),define(Ee[218],be([1,0,13,15,69,6,2,4,210,12,44,56,27,139,14,60,33,40]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class R{constructor(f,v,r,T,l){this._disposables=new B.DisposableStore,this._isTerminating=!1,this._hostUtils=r,this._rpcProtocol=new C.RPCProtocol(f,null,T),v=R._transform(v,this._rpcProtocol);const i=new E.ServiceCollection(...(0,M.getSingletonServiceDescriptors)());i.set(c.IExtHostInitDataService,{_serviceBrand:void 0,...v,messagePorts:l}),i.set(s.IExtHostRpcService,new s.ExtHostRpcService(this._rpcProtocol)),i.set(n.IURITransformerService,new n.URITransformerService(T)),i.set(m.IHostUtils,r);const u=new g.InstantiationService(i,!0);this._disposables.add(u.invokeFunction(d=>d.get(w.IExtHostTerminalService))),this._disposables.add(u.invokeFunction(d=>d.get(m.IExtHostExtensionService))),this._logService=u.invokeFunction(d=>d.get(L.ILogService)),_.mark("code/extHost/didCreateServices"),this._hostUtils.pid?this._logService.info(`Extension host with pid ${this._hostUtils.pid} started`):this._logService.info("Extension host started"),this._logService.trace("initData",v),this._extensionService=u.invokeFunction(d=>d.get(m.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const t=new WeakMap;this._extensionService.getExtensionPathIndex().then(d=>{Error.prepareStackTrace=(S,k)=>{let A="",W,b;for(const H of k)A+=`
	at ${H.toString()}`,b=H.getFileName(),!W&&b&&(W=d.findSubstr(y.URI.file(b)));return t.set(S,W),`${S.name||"Error"}: ${S.message||""}${A}`}});const a=this._rpcProtocol.getProxy(P.MainContext.MainThreadExtensionService),p=this._rpcProtocol.getProxy(P.MainContext.MainThreadErrors);I.setUnexpectedErrorHandler(d=>{const S=I.transformErrorForSerialization(d),k=t.get(d);k?a.$onExtensionRuntimeError(k.identifier,S):p.$onUnexpectedError(S)})}terminate(f){if(this._isTerminating)return;this._isTerminating=!0,this._logService.info(`extension host terminating: ${f}`),this._logService.flush(),this._disposables.dispose(),I.setUnexpectedErrorHandler(r=>{this._logService.error(r)}),this._rpcProtocol.dispose();const v=this._extensionService.deactivateAll();Promise.race([(0,o.timeout)(5e3),v]).finally(()=>{this._hostUtils.pid?this._logService.info(`Extension host with pid ${this._hostUtils.pid} exiting with code 0`):this._logService.info("Extension host exiting with code 0"),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(0)})}static _transform(f,v){f.extensions.forEach(T=>T.extensionLocation=y.URI.revive(v.transformIncomingURIs(T.extensionLocation))),f.environment.appRoot=y.URI.revive(v.transformIncomingURIs(f.environment.appRoot));const r=f.environment.extensionDevelopmentLocationURI;return r&&(f.environment.extensionDevelopmentLocationURI=r.map(T=>y.URI.revive(v.transformIncomingURIs(T)))),f.environment.extensionTestsLocationURI=y.URI.revive(v.transformIncomingURIs(f.environment.extensionTestsLocationURI)),f.environment.globalStorageHome=y.URI.revive(v.transformIncomingURIs(f.environment.globalStorageHome)),f.environment.workspaceStorageHome=y.URI.revive(v.transformIncomingURIs(f.environment.workspaceStorageHome)),f.logsLocation=y.URI.revive(v.transformIncomingURIs(f.logsLocation)),f.logFile=y.URI.revive(v.transformIncomingURIs(f.logFile)),f.workspace=v.transformIncomingURIs(f.workspace),f}}e.ExtensionHostMain=R}),define(Ee[219],be([1,0,16,13,20,43,29,9,17,24,11,2,41]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class g{constructor(f,v,r,T){this.query=f,this.provider=v,this.fileUtils=r,this.processType=T,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(f,v){const r=this.query.folderQueries||[],T=new _.CancellationTokenSource;return v.onCancellationRequested(()=>T.cancel()),new Promise((l,i)=>{this.collector=new n(f);let u=!1;const t=(a,p)=>{if(!u&&!this.isLimitHit){const d=this.resultSize(a);w(a)&&typeof this.query.maxResults=="number"&&this.resultCount+d>this.query.maxResults&&(this.isLimitHit=!0,u=!0,T.cancel(),a=this.trimResultToSize(a,this.query.maxResults-this.resultCount));const S=this.resultSize(a);this.resultCount+=S,(S>0||!w(a))&&this.collector.add(a,p)}};Promise.all(r.map((a,p)=>this.searchInFolder(a,d=>t(d,p),T.token))).then(a=>{T.dispose(),this.collector.flush();const p=a.some(d=>!!d&&!!d.limitHit);l({limitHit:this.isLimitHit||p,messages:(0,o.flatten)(a.map(d=>d?.message?(0,M.isArray)(d.message)?d.message:[d.message]:[])),stats:{type:this.processType}})},a=>{T.dispose();const p=(0,B.toErrorMessage)(a);i(new Error(p))})})}resultSize(f){return w(f)?Array.isArray(f.ranges)?f.ranges.length:1:0}trimResultToSize(f,v){const r=Array.isArray(f.ranges)?f.ranges:[f.ranges],T=Array.isArray(f.preview.matches)?f.preview.matches:[f.preview.matches];return{ranges:r.slice(0,v),preview:{matches:T.slice(0,v),text:f.preview.text},uri:f.uri}}async searchInFolder(f,v,r){const T=new c.QueryGlobTester(this.query,f),l=[],i={report:a=>{if(!this.validateProviderResult(a))return;const p=f.folder.scheme===P.Schemas.file?y.hasSiblingPromiseFn(()=>this.fileUtils.readdir(L.dirname(a.uri))):void 0,d=L.relativePath(f.folder,a.uri);if(d){const S=T.includedInQuery(d,C.basename(d),p);(0,I.isThenable)(S)?l.push(S.then(k=>{k&&v(a)})):S&&v(a)}}},u=this.getSearchOptionsForFolder(f),t=await this.provider.provideTextSearchResults(s(this.query.contentPattern),u,i,r);return l.length&&await Promise.all(l),t}validateProviderResult(f){if(w(f)){if(Array.isArray(f.ranges)){if(!Array.isArray(f.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(f.preview.matches.length!==f.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(f.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(f){const v=(0,c.resolvePatternsForProvider)(this.query.includePattern,f.includePattern),r=(0,c.resolvePatternsForProvider)(this.query.excludePattern,f.excludePattern),T={folder:E.URI.from(f.folder),excludes:r,includes:v,useIgnoreFiles:!f.disregardIgnoreFiles,useGlobalIgnoreFiles:!f.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!f.disregardParentIgnoreFiles,followSymlinks:!f.ignoreSymlinks,encoding:f.fileEncoding&&this.fileUtils.toCanonicalName(f.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return T.usePCRE2=this.query.usePCRE2,T}}e.TextSearchManager=g;function s(h){return{isCaseSensitive:h.isCaseSensitive||!1,isRegExp:h.isRegExp||!1,isWordMatch:h.isWordMatch||!1,isMultiline:h.isMultiline||!1,pattern:h.pattern}}class n{constructor(f){this._onResult=f,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new R(512,v=>this.sendItems(v))}add(f,v){this._currentFileMatch&&(this._currentFolderIdx!==v||!L.isEqual(this._currentUri,f.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=v,this._currentFileMatch={resource:f.uri,results:[]}),this._currentFileMatch.results.push(m(f))}pushToCollector(){const f=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,f)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(f){this._onResult(f)}}e.TextSearchResultsCollector=n;function m(h){return w(h)?{preview:{matches:(0,o.mapArrayOrNot)(h.preview.matches,f=>({startLineNumber:f.start.line,startColumn:f.start.character,endLineNumber:f.end.line,endColumn:f.end.character})),text:h.preview.text},ranges:(0,o.mapArrayOrNot)(h.ranges,f=>({startLineNumber:f.start.line,startColumn:f.start.character,endLineNumber:f.end.line,endColumn:f.end.character}))}:{text:h.text,lineNumber:h.lineNumber}}function w(h){return!!h.preview}e.extensionResultIsMatch=w;class R{constructor(f,v){this.maxBatchSize=f,this.cb=v,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(f,v){!f||this.addItemToBatch(f,v)}addItems(f,v){!f||this.addItemsToBatch(f,v)}addItemToBatch(f,v){this.batch.push(f),this.batchSize+=v,this.onUpdate()}addItemsToBatch(f,v){this.batch=this.batch.concat(f),this.batchSize+=v,this.onUpdate()}onUpdate(){this.totalNumberCompleted<R.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},R.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=R,R.TIMEOUT=4e3,R.START_BATCH_AFTER_COUNT=50}),define(Ee[99],be([1,0,6,4,3,214,14,60,12,2,219]),function(Y,e,o,I,_,B,y,P,C,L,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=(0,_.createDecorator)("IExtHostSearch");let E=class{constructor(n,m,w){this.extHostRpc=n,this._uriTransformer=m,this._logService=w,this._proxy=this.extHostRpc.getProxy(I.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new B.FileSearchManager}_transformScheme(n){return this._uriTransformer.transformOutgoingScheme(n)}registerTextSearchProvider(n,m){if(this._textSearchUsedSchemes.has(n))throw new Error(`a text search provider for the scheme '${n}' is already registered`);this._textSearchUsedSchemes.add(n);const w=this._handlePool++;return this._textSearchProvider.set(w,m),this._proxy.$registerTextSearchProvider(w,this._transformScheme(n)),(0,o.toDisposable)(()=>{this._textSearchUsedSchemes.delete(n),this._textSearchProvider.delete(w),this._proxy.$unregisterProvider(w)})}registerFileSearchProvider(n,m){if(this._fileSearchUsedSchemes.has(n))throw new Error(`a file search provider for the scheme '${n}' is already registered`);this._fileSearchUsedSchemes.add(n);const w=this._handlePool++;return this._fileSearchProvider.set(w,m),this._proxy.$registerFileSearchProvider(w,this._transformScheme(n)),(0,o.toDisposable)(()=>{this._fileSearchUsedSchemes.delete(n),this._fileSearchProvider.delete(w),this._proxy.$unregisterProvider(w)})}$provideFileSearchResults(n,m,w,R){const h=c(w),f=this._fileSearchProvider.get(n);if(f)return this._fileSearchManager.fileSearch(h,f,v=>{this._proxy.$handleFileMatch(n,m,v.map(r=>r.resource))},R);throw new Error("unknown provider: "+n)}$clearCache(n){return this._fileSearchManager.clearCache(n),Promise.resolve(void 0)}$provideTextSearchResults(n,m,w,R){const h=this._textSearchProvider.get(n);if(!h||!h.provideTextSearchResults)throw new Error(`Unknown provider ${n}`);const f=c(w);return this.createTextSearchManager(f,h).search(r=>this._proxy.$handleTextMatch(n,m,r),R)}$enableExtensionHostSearch(){}createTextSearchManager(n,m){return new M.TextSearchManager(n,m,{readdir:w=>Promise.resolve([]),toCanonicalName:w=>w},"textSearchProvider")}};E=Fe([Ne(0,y.IExtHostRpcService),Ne(1,P.IURITransformerService),Ne(2,C.ILogService)],E),e.ExtHostSearch=E;function c(s){return{...s,folderQueries:s.folderQueries&&s.folderQueries.map(g),extraFileResources:s.extraFileResources&&s.extraFileResources.map(n=>L.URI.revive(n))}}e.reviveQuery=c;function g(s){return{...s,folder:L.URI.revive(s.folder)}}}),define(Ee[220],be([1,0,44,94,31,92,32,39,50,40,97,98,99,67,59,65,95,51,30,64,83,66,193,12,175]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m,w,R,h,f,v,r,T,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,o.registerSingleton)(T.ILoggerService,r.ExtHostLoggerService),(0,o.registerSingleton)(T.ILogService,l.ExtHostLogService),(0,o.registerSingleton)(n.IExtHostApiDeprecationService,n.ExtHostApiDeprecationService),(0,o.registerSingleton)(P.IExtHostCommands,P.ExtHostCommands),(0,o.registerSingleton)(y.IExtHostConfiguration,y.ExtHostConfiguration),(0,o.registerSingleton)(w.IExtHostConsumerFileSystem,w.ExtHostConsumerFileSystem),(0,o.registerSingleton)(E.IExtHostDebugService,E.WorkerExtHostDebugService),(0,o.registerSingleton)(B.IExtHostDecorations,B.ExtHostDecorations),(0,o.registerSingleton)(C.IExtHostDocumentsAndEditors,C.ExtHostDocumentsAndEditors),(0,o.registerSingleton)(R.IExtHostFileSystemInfo,R.ExtHostFileSystemInfo),(0,o.registerSingleton)(I.IExtHostOutputService,I.ExtHostOutputService),(0,o.registerSingleton)(c.IExtHostSearch,c.ExtHostSearch),(0,o.registerSingleton)(g.IExtHostStorage,g.ExtHostStorage),(0,o.registerSingleton)(M.IExtHostTask,M.WorkerExtHostTask),(0,o.registerSingleton)(L.IExtHostTerminalService,L.WorkerExtHostTerminalService),(0,o.registerSingleton)(s.IExtHostTunnelService,s.ExtHostTunnelService),(0,o.registerSingleton)(m.IExtHostWindow,m.ExtHostWindow),(0,o.registerSingleton)(_.IExtHostWorkspace,_.ExtHostWorkspace),(0,o.registerSingleton)(h.IExtHostSecretState,h.ExtHostSecretState),(0,o.registerSingleton)(f.IExtHostTelemetry,f.ExtHostTelemetry),(0,o.registerSingleton)(v.IExtHostEditorTabs,v.ExtHostEditorTabs)}),define(Ee[221],be([1,0,44,3]),function(Y,e,o,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TreeViewsDragAndDropService=e.ITreeViewsDragAndDropService=void 0,e.ITreeViewsDragAndDropService=(0,I.createDecorator)("treeViewsDragAndDropService");class _{constructor(){this._dragOperations=new Map}removeDragOperationTransfer(y){if(y&&this._dragOperations.has(y)){const P=this._dragOperations.get(y);return this._dragOperations.delete(y),P}}addDragOperationTransfer(y,P){this._dragOperations.set(y,P)}}e.TreeViewsDragAndDropService=_,(0,o.registerSingleton)(e.ITreeViewsDragAndDropService,_)}),define(Ee[222],be([1,0,127,24,2,5,6,13,7,11,16,8,20,155,221]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function n(R,h){if((0,L.isString)(R))return{label:R};if(R&&typeof R=="object"&&typeof R.label=="string"){let f;return Array.isArray(R.highlights)&&(f=R.highlights.filter(v=>v.length===2&&typeof v[0]=="number"&&typeof v[1]=="number"),f=f.length?f:void 0),{label:R.label,highlights:f}}}class m{constructor(h,f,v){this._proxy=h,this.commands=f,this.logService=v,this.treeViews=new Map,this.treeDragAndDropService=new s.TreeViewsDragAndDropService;function r(T){return T&&T.$treeViewId&&T.$treeItemHandle}f.registerArgumentProcessor({processArgument:T=>r(T)?this.convertArgument(T):Array.isArray(T)&&T.length>0?T.map(l=>r(l)?this.convertArgument(l):l):T})}registerTreeDataProvider(h,f,v){const r=this.createTreeView(h,{treeDataProvider:f},v);return{dispose:()=>r.dispose()}}createTreeView(h,f,v){if(!f||!f.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const r=f.dragAndDropController?.dropMimeTypes??[],T=f.dragAndDropController?.dragMimeTypes??[],l=!!f.dragAndDropController?.handleDrag,i=!!f.dragAndDropController?.handleDrop,u=this._proxy.$registerTreeViewDataProvider(h,{showCollapseAll:!!f.showCollapseAll,canSelectMany:!!f.canSelectMany,dropMimeTypes:r,dragMimeTypes:T,hasHandleDrag:l,hasHandleDrop:i}),t=this.createExtHostTreeView(h,f,v);return{get onDidCollapseElement(){return t.onDidCollapseElement},get onDidExpandElement(){return t.onDidExpandElement},get selection(){return t.selectedElements},get onDidChangeSelection(){return t.onDidChangeSelection},get visible(){return t.visible},get onDidChangeVisibility(){return t.onDidChangeVisibility},get message(){return t.message},set message(a){t.message=a},get title(){return t.title},set title(a){t.title=a},get description(){return t.description},set description(a){t.description=a},reveal:(a,p)=>t.reveal(a,p),dispose:async()=>{await u,this.treeViews.delete(h),t.dispose()}}}$getChildren(h,f){const v=this.treeViews.get(h);return v?v.getChildren(f):Promise.reject(new Error((0,o.localize)(0,null,h)))}async $handleDrop(h,f,v,r,T,l,i){const u=this.treeViews.get(h);if(!u)return Promise.reject(new Error((0,o.localize)(1,null,h)));const t=g.TreeDataTransferConverter.toITreeDataTransfer(f);return l===h&&i&&await this.addAdditionalTransferItems(t,u,i,r,T),u.onDrop(t,v,r)}async addAdditionalTransferItems(h,f,v,r,T){const l=this.treeDragAndDropService.removeDragOperationTransfer(T);if(l)(await l)?.forEach((i,u)=>{i&&h.set(u,i)});else if(T&&f.handleDrag){const i=f.handleDrag(v,h,r);this.treeDragAndDropService.addDragOperationTransfer(T,i),await i}return h}async $handleDrag(h,f,v,r){const T=this.treeViews.get(h);if(!T)return Promise.reject(new Error((0,o.localize)(2,null,h)));const l=await this.addAdditionalTransferItems(new Map,T,f,r,v);if(!!l)return g.TreeDataTransferConverter.toTreeDataTransferDTO(l)}async $hasResolve(h){const f=this.treeViews.get(h);if(!f)throw new Error((0,o.localize)(3,null,h));return f.hasResolve}$resolve(h,f,v){const r=this.treeViews.get(h);if(!r)throw new Error((0,o.localize)(4,null,h));return r.resolveTreeItem(f,v)}$setExpanded(h,f,v){const r=this.treeViews.get(h);if(!r)throw new Error((0,o.localize)(5,null,h));r.setExpanded(f,v)}$setSelection(h,f){const v=this.treeViews.get(h);if(!v)throw new Error((0,o.localize)(6,null,h));v.setSelection(f)}$setVisible(h,f){const v=this.treeViews.get(h);if(!v)throw new Error((0,o.localize)(7,null,h));v.setVisible(f)}createExtHostTreeView(h,f,v){const r=new w(h,f,this._proxy,this.commands.converter,this.logService,v);return this.treeViews.set(h,r),r}convertArgument(h){const f=this.treeViews.get(h.$treeViewId);return f?f.getExtensionElement(h.$treeItemHandle):null}}e.ExtHostTreeViews=m;class w extends y.Disposable{constructor(h,f,v,r,T,l){super();if(this.viewId=h,this.proxy=v,this.commands=r,this.logService=T,this.extension=l,this.roots=void 0,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new B.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new B.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new B.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new B.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new B.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new c.CancellationTokenSource,l.contributes&&l.contributes.views)for(const t in l.contributes.views)for(const a of l.contributes.views[t])a.id===h&&(this._title=a.name);this.dataProvider=f.treeDataProvider,this.dndController=f.dragAndDropController,this.dataProvider.onDidChangeTreeData2?this._register(this.dataProvider.onDidChangeTreeData2(t=>this._onDidChangeData.fire({message:!1,element:t}))):this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(t=>this._onDidChangeData.fire({message:!1,element:t})));let i,u;this._register(B.Event.debounce(this._onDidChangeData.event,(t,a)=>(t||(t={message:!1,elements:[]}),a.element!==!1&&(i||(i=new Promise(p=>u=p),this.refreshPromise=this.refreshPromise.then(()=>i)),Array.isArray(a.element)?t.elements.push(...a.element):t.elements.push(a.element)),a.message&&(t.message=!0),t),200,!0)(({message:t,elements:a})=>{a.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const p=u;return i=null,this.refresh(a).then(()=>p())})),t&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(h=>this.getExtensionElement(h)).filter(h=>!(0,L.isUndefinedOrNull)(h))}async getChildren(h){const f=h?this.getExtensionElement(h):void 0;if(h&&!f)return this.logService.error(`No tree item with id '${h}' found.`),Promise.resolve([]);let v=this.getChildrenNodes(h);return v||(v=await this.fetchChildrenNodes(f)),v?v.map(r=>r.item):void 0}getExtensionElement(h){return this.elements.get(h)}reveal(h,f){f=f||{select:!0,focus:!1};const v=(0,L.isUndefinedOrNull)(f.select)?!0:f.select,r=(0,L.isUndefinedOrNull)(f.focus)?!1:f.focus,T=(0,L.isUndefinedOrNull)(f.expand)?!1:f.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):h?this.refreshPromise.then(()=>this.resolveUnknownParentChain(h)).then(l=>this.resolveTreeNode(h,l[l.length-1]).then(i=>this.proxy.$reveal(this.viewId,{item:i.item,parentChain:l.map(u=>u.item)},{select:v,focus:r,expand:T})),l=>this.logService.error(l)):this.proxy.$reveal(this.viewId,void 0,{select:v,focus:r,expand:T})}get message(){return this._message}set message(h){this._message=h,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(h){this._title=h,this.proxy.$setTitle(this.viewId,h,this._description)}get description(){return this._description}set description(h){this._description=h,this.proxy.$setTitle(this.viewId,this._title,h)}setExpanded(h,f){const v=this.getExtensionElement(h);v&&(f?this._onDidExpandElement.fire(Object.freeze({element:v})):this._onDidCollapseElement.fire(Object.freeze({element:v})))}setSelection(h){(0,M.equals)(this._selectedHandles,h)||(this._selectedHandles=h,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(h){h!==this._visible&&(this._visible=h,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}async handleDrag(h,f,v){const r=[];for(const T of h){const l=this.getExtensionElement(T);l&&r.push(l)}if(!(!this.dndController?.handleDrag||r.length===0))return await this.dndController.handleDrag(r,f,v),f}get hasHandleDrag(){return!!this.dndController?.handleDrag}async onDrop(h,f,v){const r=this.getExtensionElement(f);if(!(!r||!this.dndController?.handleDrop))return(0,P.asPromise)(()=>this.dndController?.handleDrop?this.dndController.handleDrop(r,h,v):void 0)}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(h,f){if(!this.dataProvider.resolveTreeItem)return;const v=this.elements.get(h);if(v){const r=this.nodes.get(v);if(r){const T=await this.dataProvider.resolveTreeItem(r.extensionItem,v,f)??r.extensionItem;return r.item.tooltip=this.getTooltip(T.tooltip),r.item.command=this.getCommand(r.disposableStore,T.command),r.item}}}resolveUnknownParentChain(h){return this.resolveParent(h).then(f=>f?this.resolveUnknownParentChain(f).then(v=>this.resolveTreeNode(f,v[v.length-1]).then(r=>(v.push(r),v))):Promise.resolve([]))}resolveParent(h){const f=this.nodes.get(h);return f?Promise.resolve(f.parent?this.elements.get(f.parent.item.handle):void 0):(0,P.asPromise)(()=>this.dataProvider.getParent(h))}resolveTreeNode(h,f){const v=this.nodes.get(h);return v?Promise.resolve(v):(0,P.asPromise)(()=>this.dataProvider.getTreeItem(h)).then(r=>this.createHandle(h,r,f,!0)).then(r=>this.getChildren(f?f.item.handle:void 0).then(()=>{const T=this.getExtensionElement(r);if(T){const l=this.nodes.get(T);if(l)return Promise.resolve(l)}throw new Error(`Cannot resolve tree item for element ${r}`)}))}getChildrenNodes(h){if(h){let f;if(typeof h=="string"){const v=this.getExtensionElement(h);f=v?this.nodes.get(v):void 0}else f=h;return f&&f.children||void 0}return this.roots}async fetchChildrenNodes(h){this.clearChildren(h);const f=new c.CancellationTokenSource(this._refreshCancellationSource.token);try{const v=h?this.nodes.get(h):void 0,r=await this.dataProvider.getChildren(h);if(f.token.isCancellationRequested)return;const T=await Promise.all((0,M.coalesce)(r||[]).map(async l=>{const i=await this.dataProvider.getTreeItem(l);return i&&!f.token.isCancellationRequested?this.createAndRegisterTreeNode(l,i,v):null}));return f.token.isCancellationRequested?void 0:(0,M.coalesce)(T)}finally{f.dispose()}}refresh(h){if(h.some(v=>!v))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new c.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const v=this.getHandlesToRefresh(h);if(v.length)return this.refreshHandles(v)}return Promise.resolve(void 0)}getHandlesToRefresh(h){const f=new Set,v=h.map(T=>this.nodes.get(T));for(const T of v)if(T&&!f.has(T.item.handle)){let l=T;for(;l&&l.parent&&v.findIndex(i=>l&&l.parent&&i&&i.item.handle===l.parent.item.handle)===-1;){const i=this.elements.get(l.parent.item.handle);l=i?this.nodes.get(i):void 0}l&&!l.parent&&f.add(T.item.handle)}const r=[];return f.forEach(T=>{const l=this.elements.get(T);if(l){const i=this.nodes.get(l);i&&(!i.parent||!f.has(i.parent.item.handle))&&r.push(T)}}),r}refreshHandles(h){const f={};return Promise.all(h.map(v=>this.refreshNode(v).then(r=>{r&&(f[v]=r.item)}))).then(()=>Object.keys(f).length?this.proxy.$refresh(this.viewId,f):void 0)}refreshNode(h){const f=this.getExtensionElement(h);if(f){const v=this.nodes.get(f);if(v)return this.clearChildren(f),(0,P.asPromise)(()=>this.dataProvider.getTreeItem(f)).then(r=>{if(r){const T=this.createTreeNode(f,r,v.parent);return this.updateNodeCache(f,T,v,v.parent),v.dispose(),T}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(h,f,v){const r=this.createTreeNode(h,f,v);if(f.id&&this.elements.has(r.item.handle))throw new Error((0,o.localize)(8,null,f.id));return this.addNodeToCache(h,r),this.addNodeToParentCache(r,v),r}getTooltip(h){return C.MarkdownString.isMarkdownString(h)?E.MarkdownString.from(h):h}getCommand(h,f){return f?this.commands.toInternal(f,h):void 0}createTreeNode(h,f,v){const r=new y.DisposableStore,T=this.createHandle(h,f,v),l=this.getLightIconPath(f);return{item:{handle:T,parentHandle:v?v.item.handle:void 0,label:n(f.label,this.extension),description:f.description,resourceUri:f.resourceUri,tooltip:this.getTooltip(f.tooltip),command:this.getCommand(r,f.command),contextValue:f.contextValue,icon:l,iconDark:this.getDarkIconPath(f)||l,themeIcon:this.getThemeIcon(f),collapsibleState:(0,L.isUndefinedOrNull)(f.collapsibleState)?C.TreeItemCollapsibleState.None:f.collapsibleState,accessibilityInformation:f.accessibilityInformation},extensionItem:f,parent:v,children:void 0,disposableStore:r,dispose(){r.dispose()}}}getThemeIcon(h){return h.iconPath instanceof C.ThemeIcon?h.iconPath:void 0}createHandle(h,{id:f,label:v,resourceUri:r},T,l){if(f)return`${w.ID_HANDLE_PREFIX}/${f}`;const i=n(v,this.extension),u=T?T.item.handle:w.LABEL_HANDLE_PREFIX;let t=i?i.label:r?(0,I.basename)(r):"";t=t.indexOf("/")!==-1?t.replace("/","//"):t;const a=this.nodes.has(h)?this.nodes.get(h).item.handle:void 0,p=this.getChildrenNodes(T)||[];let d,S=0;do{if(d=`${u}/${S}:${t}`,l||!this.elements.has(d)||a===d)break;S++}while(S<=p.length);return d}getLightIconPath(h){if(h.iconPath&&!(h.iconPath instanceof C.ThemeIcon))return typeof h.iconPath=="string"||_.URI.isUri(h.iconPath)?this.getIconPath(h.iconPath):this.getIconPath(h.iconPath.light)}getDarkIconPath(h){if(h.iconPath&&!(h.iconPath instanceof C.ThemeIcon)&&h.iconPath.dark)return this.getIconPath(h.iconPath.dark)}getIconPath(h){return _.URI.isUri(h)?h:_.URI.file(h)}addNodeToCache(h,f){this.elements.set(f.item.handle,h),this.nodes.set(h,f)}updateNodeCache(h,f,v,r){this.elements.delete(f.item.handle),this.nodes.delete(h),f.item.handle!==v.item.handle&&this.elements.delete(v.item.handle),this.addNodeToCache(h,f);const T=this.getChildrenNodes(r)||[],l=T.filter(i=>i.item.handle===v.item.handle)[0];l&&T.splice(T.indexOf(l),1,f)}addNodeToParentCache(h,f){f?(f.children||(f.children=[]),f.children.push(h)):(this.roots||(this.roots=[]),this.roots.push(h))}clearChildren(h){if(h){const f=this.nodes.get(h);if(f){if(f.children)for(const v of f.children){const r=this.elements.get(v.item.handle);r&&this.clear(r)}f.children=void 0}}else this.clearAll()}clear(h){const f=this.nodes.get(h);if(f){if(f.children)for(const v of f.children){const r=this.elements.get(v.item.handle);r&&this.clear(r)}this.nodes.delete(h),this.elements.delete(f.item.handle),f.dispose()}}clearAll(){this.roots=void 0,this.elements.clear(),this.nodes.forEach(h=>h.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}w.LABEL_HANDLE_PREFIX="0",w.ID_HANDLE_PREFIX="1"}),define(Ee[223],be([1,0,20,15,5,34,2,115,235,110,74,46,4,91,180,179,39,181,32,182,183,184,168,185,50,33,186,187,190,192,194,94,170,199,200,201,67,40,203,222,8,7,206,52,95,31,70,157,189,82,92,97,98,99,12,60,14,27,195,153,59,65,177,204,152,68,51,209,207,208,178,30,202,205,64,66,83,197,96,198,9,79,196,150,188,6,28,159]),function(Y,e,o,I,_,B,y,P,C,L,M,E,c,g,s,n,m,w,R,h,f,v,r,T,l,i,u,t,a,p,d,S,k,A,W,b,H,q,$,j,J,z,ie,ae,te,ce,de,Se,fe,ne,me,ke,Ae,Be,Xe,ge,ue,N,F,D,O,x,X,re,ve,Ie,Me,Le,ze,xe,Re,Qe,tt,Te,it,G,Q,le,Oe,He,Ge,Je,ft,It,St,kt,qe,vt){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function Nt(nt){const ut=nt.get(N.IExtHostInitDataService),At=nt.get(Qe.IExtHostFileSystemInfo),Tt=nt.get(Me.IExtHostConsumerFileSystem),wt=nt.get(i.IExtHostExtensionService),dt=nt.get(ce.IExtHostWorkspace),Rt=nt.get(Q.IExtHostTelemetry),Lt=nt.get(R.IExtHostConfiguration),Ft=nt.get(ge.IURITransformerService),Ue=nt.get(ue.IExtHostRpcService),he=nt.get(H.IExtHostStorage),pe=nt.get(Ie.IExtensionStoragePaths),se=nt.get(Xe.ILoggerService),K=nt.get(Xe.ILogService),_e=nt.get(O.IExtHostTunnelService),Ce=nt.get(x.IExtHostApiDeprecationService),$e=nt.get(te.IExtHostWindow),Ve=nt.get(it.IExtHostSecretState),lt=nt.get(G.IExtHostEditorTabs);Ue.set(c.ExtHostContext.ExtHostFileSystemInfo,At),Ue.set(c.ExtHostContext.ExtHostLogLevelServiceShape,se),Ue.set(c.ExtHostContext.ExtHostWorkspace,dt),Ue.set(c.ExtHostContext.ExtHostConfiguration,Lt),Ue.set(c.ExtHostContext.ExtHostExtensionService,wt),Ue.set(c.ExtHostContext.ExtHostStorage,he),Ue.set(c.ExtHostContext.ExtHostTunnelService,_e),Ue.set(c.ExtHostContext.ExtHostWindow,$e),Ue.set(c.ExtHostContext.ExtHostSecretState,Ve),Ue.set(c.ExtHostContext.ExtHostTelemetry,Rt),Ue.set(c.ExtHostContext.ExtHostEditorTabs,lt);const gt=Ue.set(c.ExtHostContext.ExtHostDecorations,nt.get(me.IExtHostDecorations)),Et=Ue.set(c.ExtHostContext.ExtHostDocumentsAndEditors,nt.get(l.IExtHostDocumentsAndEditors)),rt=Ue.set(c.ExtHostContext.ExtHostCommands,nt.get(m.IExtHostCommands)),at=Ue.set(c.ExtHostContext.ExtHostTerminalService,nt.get(q.IExtHostTerminalService)),ot=Ue.set(c.ExtHostContext.ExtHostDebugService,nt.get(Ae.IExtHostDebugService)),Mt=Ue.set(c.ExtHostContext.ExtHostSearch,nt.get(Be.IExtHostSearch)),mt=Ue.set(c.ExtHostContext.ExtHostTask,nt.get(ke.IExtHostTask)),Dt=Ue.set(c.ExtHostContext.ExtHostOutputService,nt.get(S.IExtHostOutputService)),Ut=Ue.set(c.ExtHostContext.ExtHostUrls,new ie.ExtHostUrls(Ue)),bt=Ue.set(c.ExtHostContext.ExtHostDocuments,new T.ExtHostDocuments(Ue,Et)),Bt=Ue.set(c.ExtHostContext.ExtHostDocumentContentProviders,new v.ExtHostDocumentContentProvider(Ue,Et,K)),Ht=Ue.set(c.ExtHostContext.ExtHostDocumentSaveParticipant,new r.ExtHostDocumentSaveParticipant(K,bt,Ue.getProxy(c.MainContext.MainThreadBulkEdits))),pt=Ue.set(c.ExtHostContext.ExtHostNotebook,new F.ExtHostNotebookController(Ue,rt,Et,bt,pe)),ei=Ue.set(c.ExtHostContext.ExtHostNotebookDocuments,new It.ExtHostNotebookDocuments(K,pt)),Xt=Ue.set(c.ExtHostContext.ExtHostNotebookEditors,new ft.ExtHostNotebookEditors(K,Ue,pt)),ti=Ue.set(c.ExtHostContext.ExtHostNotebookKernels,new le.ExtHostNotebookKernels(Ue,ut,pt,rt,K)),ai=Ue.set(c.ExtHostContext.ExtHostNotebookRenderers,new He.ExtHostNotebookRenderers(Ue,pt)),Ct=Ue.set(c.ExtHostContext.ExtHostEditors,new $.ExtHostEditors(Ue,Et)),ii=Ue.set(c.ExtHostContext.ExtHostTreeViews,new j.ExtHostTreeViews(Ue.getProxy(c.MainContext.MainThreadTreeViews),rt,K)),wi=Ue.set(c.ExtHostContext.ExtHostEditorInsets,new Se.ExtHostEditorInsets(Ue.getProxy(c.MainContext.MainThreadEditorInsets),Ct,ut)),qt=Ue.set(c.ExtHostContext.ExtHostDiagnostics,new h.ExtHostDiagnostics(Ue,K,At)),Kt=Ue.set(c.ExtHostContext.ExtHostLanguages,new p.ExtHostLanguages(Ue,bt,rt.converter,Ft)),st=Ue.set(c.ExtHostContext.ExtHostLanguageFeatures,new a.ExtHostLanguageFeatures(Ue,Ft,bt,rt,qt,K,Ce)),li=Ue.set(c.ExtHostContext.ExtHostFileSystem,new u.ExtHostFileSystem(Ue,st)),Wt=Ue.set(c.ExtHostContext.ExtHostFileSystemEventService,new t.ExtHostFileSystemEventService(Ue,K,Et)),zt=Ue.set(c.ExtHostContext.ExtHostQuickOpen,(0,A.createExtHostQuickOpen)(Ue,dt,rt)),ni=Ue.set(c.ExtHostContext.ExtHostSCM,new W.ExtHostSCM(Ue,rt,K)),_i=Ue.set(c.ExtHostContext.ExtHostComments,(0,w.createExtHostComments)(Ue,rt,bt)),fi=Ue.set(c.ExtHostContext.ExtHostProgress,new k.ExtHostProgress(Ue.getProxy(c.MainContext.MainThreadProgress))),Si=Ue.set(c.ExtHostContext.ExtHosLabelService,new fe.ExtHostLabelService(Ue)),mi=Ue.set(c.ExtHostContext.ExtHostTheming,new D.ExtHostTheming(Ue)),ri=Ue.set(c.ExtHostContext.ExtHostAuthentication,new X.ExtHostAuthentication(Ue)),yi=Ue.set(c.ExtHostContext.ExtHostTimeline,new re.ExtHostTimeline(Ue,rt)),Qt=Ue.set(c.ExtHostContext.ExtHostWebviews,new ae.ExtHostWebviews(Ue,{remote:ut.remote},dt,K,Ce)),Yt=Ue.set(c.ExtHostContext.ExtHostWebviewPanels,new xe.ExtHostWebviewPanels(Ue,Qt,dt)),Di=Ue.set(c.ExtHostContext.ExtHostCustomEditors,new ze.ExtHostCustomEditors(Ue,bt,pe,Qt,Yt)),Ci=Ue.set(c.ExtHostContext.ExtHostWebviewViews,new Le.ExtHostWebviewViews(Ue,Qt)),Jt=Ue.set(c.ExtHostContext.ExtHostTesting,new tt.ExtHostTesting(Ue,rt)),si=Ue.set(c.ExtHostContext.ExtHostUriOpeners,new Te.ExtHostUriOpeners(Ue));Ue.set(c.ExtHostContext.ExtHostInteractive,new St.ExtHostInteractive(Ue,pt,Et,rt));const Ii=(0,de.values)(c.ExtHostContext);Ue.assertRegistered(Ii);const ki=new Re.ExtHostBulkEdits(Ue,Et),Ti=new n.ExtHostClipboard(Ue),Zt=new d.ExtHostMessageService(Ue,K),gi=new f.ExtHostDialogs(Ue),Gt=new b.ExtHostStatusBar(Ue,rt.converter);return s.ExtHostApiCommands.register(rt),function(Pe,ci,Ot){const ct=function(){let Z=!Pe.isUnderDevelopment;function oe(){Z||(K.info(`Extension '${Pe.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),Z=!0)}return function ye(Ze){if(Array.isArray(Ze))Ze.forEach(ye);else if(typeof Ze=="string")oe();else{const ht=Ze;typeof ht.scheme=="undefined"&&oe(),typeof ht.exclusive=="boolean"&&(0,qe.checkProposedApiEnabled)(Pe,"documentFiltersExclusive"),typeof ht.notebookType=="string"&&(0,qe.checkProposedApiEnabled)(Pe,"notebookDocumentSelector")}return Ze}}(),Pi={getSession(Z,oe,ye){return ri.getSession(Pe,Z,oe,ye)},async hasSession(Z,oe){return(0,qe.checkProposedApiEnabled)(Pe,"authSession"),!!await ri.getSession(Pe,Z,oe,{silent:!0})},get onDidChangeSessions(){return ri.onDidChangeSessions},registerAuthenticationProvider(Z,oe,ye,Ze){return ri.registerAuthenticationProvider(Z,oe,ye,Ze)}},Ai={registerCommand(Z,oe,ye){return rt.registerCommand(!0,Z,oe,ye,void 0,Pe)},registerTextEditorCommand(Z,oe,ye){return rt.registerCommand(!0,Z,(...Ze)=>{const ht=Ct.getActiveTextEditor();if(!ht){K.warn("Cannot execute "+Z+" because there is no active text editor.");return}return ht.edit(yt=>{oe.apply(ye,[ht,yt,...Ze])}).then(yt=>{yt||K.warn("Edits from command "+Z+" were not applied.")},yt=>{K.warn("An error occurred while running command "+Z,yt)})},void 0,void 0,Pe)},registerDiffInformationCommand:(Z,oe,ye)=>((0,qe.checkProposedApiEnabled)(Pe,"diffCommand"),rt.registerCommand(!0,Z,async(...Ze)=>{const ht=Et.activeEditor(!0);if(!ht){K.warn("Cannot execute "+Z+" because there is no active text editor.");return}const yt=await Ct.getDiffInformation(ht.id);oe.apply(ye,[yt,...Ze])},void 0,void 0,Pe)),executeCommand(Z,...oe){return rt.executeCommand(Z,...oe)},getCommands(Z=!1){return rt.getCommands(Z)}},pi={get machineId(){return ut.telemetryInfo.machineId},get sessionId(){return ut.telemetryInfo.sessionId},get language(){return ut.environment.appLanguage},get appName(){return ut.environment.appName},get appRoot(){return ut.environment.appRoot?.fsPath??""},get appHost(){return ut.environment.appHost},get uriScheme(){return ut.environment.appUriScheme},get clipboard(){return Ti.value},get shell(){return at.getDefaultShell(!1)},get isTelemetryEnabled(){return Rt.getTelemetryConfiguration()},get onDidChangeTelemetryEnabled(){return Rt.onDidChangeTelemetryEnabled},get telemetryConfiguration(){return(0,qe.checkProposedApiEnabled)(Pe,"telemetry"),Rt.getTelemetryDetails()},get onDidChangeTelemetryConfiguration(){return(0,qe.checkProposedApiEnabled)(Pe,"telemetry"),Rt.onDidChangeTelemetryConfiguration},get isNewAppInstall(){const Z=Date.now()-new Date(ut.telemetryInfo.firstSessionDate).getTime();return isNaN(Z)?!1:Z<1e3*60*60*24},openExternal(Z,oe){return $e.openUri(Z,{allowTunneling:!!ut.remote.authority,allowContributedOpeners:oe?.allowContributedOpeners})},async asExternalUri(Z){if(Z.scheme===ut.environment.appUriScheme)return Ut.createAppUri(Z);try{return await $e.asExternalUri(Z,{allowTunneling:!!ut.remote.authority})}catch(oe){if((0,Je.matchesScheme)(Z,Ge.Schemas.http)||(0,Je.matchesScheme)(Z,Ge.Schemas.https))return Z;throw oe}},get remoteName(){return(0,ne.getRemoteName)(ut.remote.authority)},get remoteAuthority(){return(0,qe.checkProposedApiEnabled)(Pe,"resolvers"),ut.remote.authority},get uiKind(){return ut.uiKind}};ut.environment.extensionTestsLocationURI||Object.freeze(pi);const vi=ut.remote.isRemote?z.ExtensionKind.Workspace:z.ExtensionKind.UI,Ri={createTestController(Z,oe,ye){return Jt.createTestController(Z,oe,ye)},createTestObserver(){return(0,qe.checkProposedApiEnabled)(Pe,"testObserver"),Jt.createTestObserver()},runTests(Z){return(0,qe.checkProposedApiEnabled)(Pe,"testObserver"),Jt.runTests(Z)},get onDidChangeTestResults(){return(0,qe.checkProposedApiEnabled)(Pe,"testObserver"),Jt.onResultsChanged},get testResults(){return(0,qe.checkProposedApiEnabled)(Pe,"testObserver"),Jt.results}},Oi={getExtension(Z){const oe=ci.getExtensionDescription(Z);if(oe)return new i.Extension(wt,Pe.identifier,oe,vi)},get all(){return ci.getAllExtensionDescriptions().map(Z=>new i.Extension(wt,Pe.identifier,Z,vi))},get onDidChange(){return ci.onDidChange}},Fi={createDiagnosticCollection(Z){return qt.createDiagnosticCollection(Pe.identifier,Z)},get onDidChangeDiagnostics(){return qt.onDidChangeDiagnostics},getDiagnostics:Z=>qt.getDiagnostics(Z),getLanguages(){return Kt.getLanguages()},setTextDocumentLanguage(Z,oe){return Kt.changeLanguage(Z.uri,oe)},match(Z,oe){return(0,M.score)(J.LanguageSelector.from(Z),oe.uri,oe.languageId,!0,oe.notebook?.notebookType)},registerCodeActionsProvider(Z,oe,ye){return st.registerCodeActionProvider(Pe,ct(Z),oe,ye)},registerCodeLensProvider(Z,oe){return st.registerCodeLensProvider(Pe,ct(Z),oe)},registerDefinitionProvider(Z,oe){return st.registerDefinitionProvider(Pe,ct(Z),oe)},registerDeclarationProvider(Z,oe){return st.registerDeclarationProvider(Pe,ct(Z),oe)},registerImplementationProvider(Z,oe){return st.registerImplementationProvider(Pe,ct(Z),oe)},registerTypeDefinitionProvider(Z,oe){return st.registerTypeDefinitionProvider(Pe,ct(Z),oe)},registerHoverProvider(Z,oe){return st.registerHoverProvider(Pe,ct(Z),oe,Pe.identifier)},registerEvaluatableExpressionProvider(Z,oe){return st.registerEvaluatableExpressionProvider(Pe,ct(Z),oe,Pe.identifier)},registerInlineValuesProvider(Z,oe){return st.registerInlineValuesProvider(Pe,ct(Z),oe,Pe.identifier)},registerDocumentHighlightProvider(Z,oe){return st.registerDocumentHighlightProvider(Pe,ct(Z),oe)},registerLinkedEditingRangeProvider(Z,oe){return st.registerLinkedEditingRangeProvider(Pe,ct(Z),oe)},registerReferenceProvider(Z,oe){return st.registerReferenceProvider(Pe,ct(Z),oe)},registerRenameProvider(Z,oe){return st.registerRenameProvider(Pe,ct(Z),oe)},registerDocumentSymbolProvider(Z,oe,ye){return st.registerDocumentSymbolProvider(Pe,ct(Z),oe,ye)},registerWorkspaceSymbolProvider(Z){return st.registerWorkspaceSymbolProvider(Pe,Z)},registerDocumentFormattingEditProvider(Z,oe){return st.registerDocumentFormattingEditProvider(Pe,ct(Z),oe)},registerDocumentRangeFormattingEditProvider(Z,oe){return st.registerDocumentRangeFormattingEditProvider(Pe,ct(Z),oe)},registerOnTypeFormattingEditProvider(Z,oe,ye,...Ze){return st.registerOnTypeFormattingEditProvider(Pe,ct(Z),oe,[ye].concat(Ze))},registerDocumentSemanticTokensProvider(Z,oe,ye){return st.registerDocumentSemanticTokensProvider(Pe,ct(Z),oe,ye)},registerDocumentRangeSemanticTokensProvider(Z,oe,ye){return st.registerDocumentRangeSemanticTokensProvider(Pe,ct(Z),oe,ye)},registerSignatureHelpProvider(Z,oe,ye,...Ze){return typeof ye=="object"?st.registerSignatureHelpProvider(Pe,ct(Z),oe,ye):st.registerSignatureHelpProvider(Pe,ct(Z),oe,typeof ye=="undefined"?[]:[ye,...Ze])},registerCompletionItemProvider(Z,oe,...ye){return st.registerCompletionItemProvider(Pe,ct(Z),oe,ye)},registerInlineCompletionItemProvider(Z,oe){return(0,qe.checkProposedApiEnabled)(Pe,"inlineCompletions"),st.registerInlineCompletionsProvider(Pe,ct(Z),oe)},registerDocumentLinkProvider(Z,oe){return st.registerDocumentLinkProvider(Pe,ct(Z),oe)},registerColorProvider(Z,oe){return st.registerColorProvider(Pe,ct(Z),oe)},registerFoldingRangeProvider(Z,oe){return st.registerFoldingRangeProvider(Pe,ct(Z),oe)},registerSelectionRangeProvider(Z,oe){return st.registerSelectionRangeProvider(Pe,Z,oe)},registerCallHierarchyProvider(Z,oe){return st.registerCallHierarchyProvider(Pe,Z,oe)},registerTypeHierarchyProvider(Z,oe){return st.registerTypeHierarchyProvider(Pe,Z,oe)},setLanguageConfiguration:(Z,oe)=>st.setLanguageConfiguration(Pe,Z,oe),getTokenInformationAtPosition(Z,oe){return(0,qe.checkProposedApiEnabled)(Pe,"tokenInformation"),Kt.tokenAtPosition(Z,oe)},registerInlayHintsProvider(Z,oe){return st.registerInlayHintsProvider(Pe,Z,oe)},createLanguageStatusItem(Z,oe){return Kt.createLanguageStatusItem(Pe,Z,oe)}},ui={get activeTextEditor(){return Ct.getActiveTextEditor()},get visibleTextEditors(){return Ct.getVisibleTextEditors()},get activeTerminal(){return at.activeTerminal},get terminals(){return at.terminals},async showTextDocument(Z,oe,ye){const Ze=await(y.URI.isUri(Z)?Promise.resolve(Ei.openTextDocument(Z)):Promise.resolve(Z));return Ct.showTextDocument(Ze,oe,ye)},createTextEditorDecorationType(Z){return Ct.createTextEditorDecorationType(Pe,Z)},onDidChangeActiveTextEditor(Z,oe,ye){return Ct.onDidChangeActiveTextEditor(Z,oe,ye)},onDidChangeVisibleTextEditors(Z,oe,ye){return Ct.onDidChangeVisibleTextEditors(Z,oe,ye)},onDidChangeTextEditorSelection(Z,oe,ye){return Ct.onDidChangeTextEditorSelection(Z,oe,ye)},onDidChangeTextEditorOptions(Z,oe,ye){return Ct.onDidChangeTextEditorOptions(Z,oe,ye)},onDidChangeTextEditorVisibleRanges(Z,oe,ye){return Ct.onDidChangeTextEditorVisibleRanges(Z,oe,ye)},onDidChangeTextEditorViewColumn(Z,oe,ye){return Ct.onDidChangeTextEditorViewColumn(Z,oe,ye)},onDidCloseTerminal(Z,oe,ye){return at.onDidCloseTerminal(Z,oe,ye)},onDidOpenTerminal(Z,oe,ye){return at.onDidOpenTerminal(Z,oe,ye)},onDidChangeActiveTerminal(Z,oe,ye){return at.onDidChangeActiveTerminal(Z,oe,ye)},onDidChangeTerminalDimensions(Z,oe,ye){return(0,qe.checkProposedApiEnabled)(Pe,"terminalDimensions"),at.onDidChangeTerminalDimensions(Z,oe,ye)},onDidChangeTerminalState(Z,oe,ye){return at.onDidChangeTerminalState(Z,oe,ye)},onDidWriteTerminalData(Z,oe,ye){return(0,qe.checkProposedApiEnabled)(Pe,"terminalDataWriteEvent"),at.onDidWriteTerminalData(Z,oe,ye)},get state(){return $e.state},onDidChangeWindowState(Z,oe,ye){return $e.onDidChangeWindowState(Z,oe,ye)},showInformationMessage(Z,...oe){return Zt.showMessage(Pe,B.default.Info,Z,oe[0],oe.slice(1))},showWarningMessage(Z,...oe){return Zt.showMessage(Pe,B.default.Warning,Z,oe[0],oe.slice(1))},showErrorMessage(Z,...oe){return Zt.showMessage(Pe,B.default.Error,Z,oe[0],oe.slice(1))},showQuickPick(Z,oe,ye){return zt.showQuickPick(Z,oe,ye)},showWorkspaceFolderPick(Z){return zt.showWorkspaceFolderPick(Z)},showInputBox(Z,oe){return zt.showInput(Z,oe)},showOpenDialog(Z){return gi.showOpenDialog(Z)},showSaveDialog(Z){return gi.showSaveDialog(Z)},createStatusBarItem(Z,oe,ye){let Ze,ht,yt;return typeof Z=="string"?(Ze=Z,ht=oe,yt=ye):(ht=Z,yt=oe),Gt.createStatusBarEntry(Pe,Ze,ht,yt)},setStatusBarMessage(Z,oe){return Gt.setStatusBarMessage(Z,oe)},withScmProgress(Z){return Ce.report("window.withScmProgress",Pe,"Use 'withProgress' instead."),fi.withProgress(Pe,{location:z.ProgressLocation.SourceControl},(oe,ye)=>Z({report(Ze){}}))},withProgress(Z,oe){return fi.withProgress(Pe,Z,oe)},createOutputChannel(Z,oe){return oe&&(0,qe.checkProposedApiEnabled)(Pe,"outputChannelLanguage"),Dt.createOutputChannel(Z,oe,Pe)},createWebviewPanel(Z,oe,ye,Ze){return Yt.createWebviewPanel(Pe,Z,oe,ye,Ze)},createWebviewTextEditorInset(Z,oe,ye,Ze){return(0,qe.checkProposedApiEnabled)(Pe,"editorInsets"),wi.createWebviewEditorInset(Z,oe,ye,Ze,Pe)},createTerminal(Z,oe,ye){return typeof Z=="object"?"pty"in Z?at.createExtensionTerminal(Z):at.createTerminalFromOptions(Z):at.createTerminal(Z,oe,ye)},registerTerminalLinkProvider(Z){return at.registerLinkProvider(Z)},registerTerminalProfileProvider(Z,oe){return at.registerProfileProvider(Pe,Z,oe)},registerTreeDataProvider(Z,oe){return ii.registerTreeDataProvider(Z,oe,Pe)},createTreeView(Z,oe){return ii.createTreeView(Z,oe,Pe)},registerWebviewPanelSerializer:(Z,oe)=>Yt.registerWebviewPanelSerializer(Pe,Z,oe),registerCustomEditorProvider:(Z,oe,ye={})=>Di.registerCustomEditorProvider(Pe,Z,oe,ye),registerFileDecorationProvider(Z){return gt.registerFileDecorationProvider(Z,Pe.identifier)},registerUriHandler(Z){return Ut.registerUriHandler(Pe.identifier,Z)},createQuickPick(){return zt.createQuickPick(Pe)},createInputBox(){return zt.createInputBox(Pe.identifier)},get activeColorTheme(){return mi.activeColorTheme},onDidChangeActiveColorTheme(Z,oe,ye){return mi.onDidChangeActiveColorTheme(Z,oe,ye)},registerWebviewViewProvider(Z,oe,ye){return Ci.registerWebviewViewProvider(Pe,Z,oe,ye?.webviewOptions)},get activeNotebookEditor(){return(0,qe.checkProposedApiEnabled)(Pe,"notebookEditor"),pt.activeNotebookEditor},onDidChangeActiveNotebookEditor(Z,oe,ye){return(0,qe.checkProposedApiEnabled)(Pe,"notebookEditor"),pt.onDidChangeActiveNotebookEditor(Z,oe,ye)},get visibleNotebookEditors(){return(0,qe.checkProposedApiEnabled)(Pe,"notebookEditor"),pt.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return(0,qe.checkProposedApiEnabled)(Pe,"notebookEditor"),pt.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(Z,oe,ye){return(0,qe.checkProposedApiEnabled)(Pe,"notebookEditor"),Xt.onDidChangeNotebookEditorSelection(Z,oe,ye)},onDidChangeNotebookEditorVisibleRanges(Z,oe,ye){return(0,qe.checkProposedApiEnabled)(Pe,"notebookEditor"),Xt.onDidChangeNotebookEditorVisibleRanges(Z,oe,ye)},showNotebookDocument(Z,oe){return(0,qe.checkProposedApiEnabled)(Pe,"notebookEditor"),pt.showNotebookDocument(Z,oe)},registerExternalUriOpener(Z,oe,ye){return(0,qe.checkProposedApiEnabled)(Pe,"externalUriOpener"),si.registerExternalUriOpener(Pe.identifier,Z,oe,ye)},get tabGroups(){return(0,qe.checkProposedApiEnabled)(Pe,"tabs"),lt.tabGroups},getInlineCompletionItemController(Z){return(0,qe.checkProposedApiEnabled)(Pe,"inlineCompletions"),a.InlineCompletionController.get(Z)}},Ei={get rootPath(){return Ce.report("workspace.rootPath",Pe,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),dt.getPath()},set rootPath(Z){throw I.readonly()},getWorkspaceFolder(Z){return dt.getWorkspaceFolder(Z)},get workspaceFolders(){return dt.getWorkspaceFolders()},get name(){return dt.name},set name(Z){throw I.readonly()},get workspaceFile(){return dt.workspaceFile},set workspaceFile(Z){throw I.readonly()},updateWorkspaceFolders:(Z,oe,...ye)=>dt.updateWorkspaceFolders(Pe,Z,oe||0,...ye),onDidChangeWorkspaceFolders:function(Z,oe,ye){return dt.onDidChangeWorkspace(Z,oe,ye)},asRelativePath:(Z,oe)=>dt.getRelativePath(Z,oe),findFiles:(Z,oe,ye,Ze)=>dt.findFiles(Z,oe,ye,Pe.identifier,Ze),findTextInFiles:(Z,oe,ye,Ze)=>{(0,qe.checkProposedApiEnabled)(Pe,"findTextInFiles");let ht,yt;return typeof oe=="object"?(ht=oe,yt=ye):(ht={},yt=oe,Ze=ye),dt.findTextInFiles(Z,ht||{},yt,Pe.identifier,Ze)},saveAll:Z=>dt.saveAll(Z),applyEdit(Z){return ki.applyWorkspaceEdit(Z)},createFileSystemWatcher:(Z,oe,ye,Ze)=>Wt.createFileSystemWatcher(dt,Pe,Z,oe,ye,Ze),get textDocuments(){return bt.getAllDocumentData().map(Z=>Z.document)},set textDocuments(Z){throw I.readonly()},openTextDocument(Z){let oe;const ye=Z;if(typeof Z=="string")oe=Promise.resolve(y.URI.file(Z));else if(y.URI.isUri(Z))oe=Promise.resolve(Z);else if(!ye||typeof ye=="object")oe=bt.createDocumentData(ye);else throw new Error("illegal argument - uriOrFileNameOrOptions");return oe.then(Ze=>bt.ensureDocumentData(Ze).then(ht=>ht.document))},onDidOpenTextDocument:(Z,oe,ye)=>bt.onDidAddDocument(Z,oe,ye),onDidCloseTextDocument:(Z,oe,ye)=>bt.onDidRemoveDocument(Z,oe,ye),onDidChangeTextDocument:(Z,oe,ye)=>bt.onDidChangeDocument(Z,oe,ye),onDidSaveTextDocument:(Z,oe,ye)=>bt.onDidSaveDocument(Z,oe,ye),onWillSaveTextDocument:(Z,oe,ye)=>Ht.getOnWillSaveTextDocumentEvent(Pe)(Z,oe,ye),get notebookDocuments(){return pt.notebookDocuments.map(Z=>Z.apiNotebook)},async openNotebookDocument(Z,oe){let ye;if(y.URI.isUri(Z))ye=Z,await pt.openNotebookDocument(Z);else if(typeof Z=="string")ye=y.URI.revive(await pt.createNotebookDocument({viewType:Z,content:oe}));else throw new Error("Invalid arguments");return pt.getNotebookDocument(ye).apiNotebook},get onDidOpenNotebookDocument(){return pt.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return pt.onDidCloseNotebookDocument},registerNotebookSerializer(Z,oe,ye,Ze){return pt.registerNotebookSerializer(Pe,Z,oe,ye,(0,qe.isProposedApiEnabled)(Pe,"notebookLiveShare")?Ze:void 0)},registerNotebookContentProvider:(Z,oe,ye,Ze)=>((0,qe.checkProposedApiEnabled)(Pe,"notebookContentProvider"),pt.registerNotebookContentProvider(Pe,Z,oe,ye,(0,qe.isProposedApiEnabled)(Pe,"notebookLiveShare")?Ze:void 0)),onDidChangeConfiguration:(Z,oe,ye)=>Ot.onDidChangeConfiguration(Z,oe,ye),getConfiguration(Z,oe){return oe=arguments.length===1?void 0:oe,Ot.getConfiguration(Z,oe,Pe)},registerTextDocumentContentProvider(Z,oe){return Bt.registerTextDocumentContentProvider(Z,oe)},registerTaskProvider:(Z,oe)=>(Ce.report("window.registerTaskProvider",Pe,"Use the corresponding function on the 'tasks' namespace instead"),mt.registerTaskProvider(Pe,Z,oe)),registerFileSystemProvider(Z,oe,ye){return(0,kt.combinedDisposable)(li.registerFileSystemProvider(Pe,Z,oe,ye),Tt.addFileSystemProvider(Z,oe))},get fs(){return Tt.value},registerFileSearchProvider:(Z,oe)=>((0,qe.checkProposedApiEnabled)(Pe,"fileSearchProvider"),Mt.registerFileSearchProvider(Z,oe)),registerTextSearchProvider:(Z,oe)=>((0,qe.checkProposedApiEnabled)(Pe,"textSearchProvider"),Mt.registerTextSearchProvider(Z,oe)),registerRemoteAuthorityResolver:(Z,oe)=>((0,qe.checkProposedApiEnabled)(Pe,"resolvers"),wt.registerRemoteAuthorityResolver(Z,oe)),registerResourceLabelFormatter:Z=>((0,qe.checkProposedApiEnabled)(Pe,"resolvers"),Si.$registerResourceLabelFormatter(Z)),onDidCreateFiles:(Z,oe,ye)=>Wt.onDidCreateFile(Z,oe,ye),onDidDeleteFiles:(Z,oe,ye)=>Wt.onDidDeleteFile(Z,oe,ye),onDidRenameFiles:(Z,oe,ye)=>Wt.onDidRenameFile(Z,oe,ye),onWillCreateFiles:(Z,oe,ye)=>Wt.getOnWillCreateFileEvent(Pe)(Z,oe,ye),onWillDeleteFiles:(Z,oe,ye)=>Wt.getOnWillDeleteFileEvent(Pe)(Z,oe,ye),onWillRenameFiles:(Z,oe,ye)=>Wt.getOnWillRenameFileEvent(Pe)(Z,oe,ye),openTunnel:Z=>((0,qe.checkProposedApiEnabled)(Pe,"resolvers"),_e.openTunnel(Pe,Z).then(oe=>{if(!oe)throw new Error("cannot open tunnel");return oe})),get tunnels(){return(0,qe.checkProposedApiEnabled)(Pe,"resolvers"),_e.getTunnels()},onDidChangeTunnels:(Z,oe,ye)=>((0,qe.checkProposedApiEnabled)(Pe,"resolvers"),_e.onDidChangeTunnels(Z,oe,ye)),registerPortAttributesProvider:(Z,oe)=>((0,qe.checkProposedApiEnabled)(Pe,"portsAttributes"),_e.registerPortsAttributesProvider(Z,oe)),registerTimelineProvider:(Z,oe)=>((0,qe.checkProposedApiEnabled)(Pe,"timeline"),yi.registerTimelineProvider(Z,oe,Pe.identifier,rt.converter)),get isTrusted(){return dt.trusted},requestWorkspaceTrust:Z=>((0,qe.checkProposedApiEnabled)(Pe,"workspaceTrust"),dt.requestWorkspaceTrust(Z)),onDidGrantWorkspaceTrust:(Z,oe,ye)=>dt.onDidGrantWorkspaceTrust(Z,oe,ye)},Mi={get inputBox(){return Ce.report("scm.inputBox",Pe,"Use 'SourceControl.inputBox' instead"),ni.getLastInputBox(Pe)},createSourceControl(Z,oe,ye){return ni.createSourceControl(Pe,Z,oe,ye)}},Ni={createCommentController(Z,oe){return _i.createCommentController(Pe,Z,oe)}},Li={get activeDebugSession(){return ot.activeDebugSession},get activeDebugConsole(){return ot.activeDebugConsole},get breakpoints(){return ot.breakpoints},onDidStartDebugSession(Z,oe,ye){return ot.onDidStartDebugSession(Z,oe,ye)},onDidTerminateDebugSession(Z,oe,ye){return ot.onDidTerminateDebugSession(Z,oe,ye)},onDidChangeActiveDebugSession(Z,oe,ye){return ot.onDidChangeActiveDebugSession(Z,oe,ye)},onDidReceiveDebugSessionCustomEvent(Z,oe,ye){return ot.onDidReceiveDebugSessionCustomEvent(Z,oe,ye)},onDidChangeBreakpoints(Z,oe,ye){return ot.onDidChangeBreakpoints(Z,oe,ye)},registerDebugConfigurationProvider(Z,oe,ye){return ot.registerDebugConfigurationProvider(Z,oe,ye||vt.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(Z,oe){return ot.registerDebugAdapterDescriptorFactory(Pe,Z,oe)},registerDebugAdapterTrackerFactory(Z,oe){return ot.registerDebugAdapterTrackerFactory(Z,oe)},startDebugging(Z,oe,ye){return!ye||typeof ye=="object"&&"configuration"in ye?ot.startDebugging(Z,oe,{parentSession:ye}):ot.startDebugging(Z,oe,ye||{})},stopDebugging(Z){return ot.stopDebugging(Z)},addBreakpoints(Z){return ot.addBreakpoints(Z)},removeBreakpoints(Z){return ot.removeBreakpoints(Z)},asDebugSourceUri(Z,oe){return ot.asDebugSourceUri(Z,oe)}},Ui={registerTaskProvider:(Z,oe)=>mt.registerTaskProvider(Pe,Z,oe),fetchTasks:Z=>mt.fetchTasks(Z),executeTask:Z=>mt.executeTask(Pe,Z),get taskExecutions(){return mt.taskExecutions},onDidStartTask:(Z,oe,ye)=>mt.onDidStartTask(Z,oe,ye),onDidEndTask:(Z,oe,ye)=>mt.onDidEndTask(Z,oe,ye),onDidStartTaskProcess:(Z,oe,ye)=>mt.onDidStartTaskProcess(Z,oe,ye),onDidEndTaskProcess:(Z,oe,ye)=>mt.onDidEndTaskProcess(Z,oe,ye)},Bi={createNotebookController(Z,oe,ye,Ze,ht){return ti.createNotebookController(Pe,Z,oe,ye,Ze,(0,qe.isProposedApiEnabled)(Pe,"notebookMessaging")?ht:void 0)},registerNotebookCellStatusBarItemProvider:(Z,oe)=>pt.registerNotebookCellStatusBarItemProvider(Pe,Z,oe),get onDidSaveNotebookDocument(){return(0,qe.checkProposedApiEnabled)(Pe,"notebookEditor"),ei.onDidSaveNotebookDocument},createNotebookEditorDecorationType(Z){return(0,qe.checkProposedApiEnabled)(Pe,"notebookEditorDecorationType"),Xt.createNotebookEditorDecorationType(Z)},createRendererMessaging(Z){return ai.createRendererMessaging(Pe,Z)},onDidChangeNotebookDocumentMetadata(Z,oe,ye){return(0,qe.checkProposedApiEnabled)(Pe,"notebookEditor"),ei.onDidChangeNotebookDocumentMetadata(Z,oe,ye)},onDidChangeNotebookCells(Z,oe,ye){return(0,qe.checkProposedApiEnabled)(Pe,"notebookEditor"),pt.onDidChangeNotebookCells(Z,oe,ye)},onDidChangeNotebookCellExecutionState(Z,oe,ye){return(0,qe.checkProposedApiEnabled)(Pe,"notebookCellExecutionState"),ti.onDidChangeNotebookCellExecutionState(Z,oe,ye)},onDidChangeCellOutputs(Z,oe,ye){return(0,qe.checkProposedApiEnabled)(Pe,"notebookEditor"),pt.onDidChangeCellOutputs(Z,oe,ye)},onDidChangeCellMetadata(Z,oe,ye){return(0,qe.checkProposedApiEnabled)(Pe,"notebookEditor"),pt.onDidChangeCellMetadata(Z,oe,ye)},createConcatTextDocument(Z,oe){return(0,qe.checkProposedApiEnabled)(Pe,"notebookConcatTextDocument"),new ve.ExtHostNotebookConcatDocument(pt,bt,Z,oe)}};return{version:ut.version,authentication:Pi,commands:Ai,comments:Ni,debug:Li,env:pi,extensions:Oi,languages:Fi,notebooks:Bi,scm:Mi,tasks:Ui,tests:Ri,window:ui,workspace:Ei,Breakpoint:z.Breakpoint,CallHierarchyIncomingCall:z.CallHierarchyIncomingCall,CallHierarchyItem:z.CallHierarchyItem,CallHierarchyOutgoingCall:z.CallHierarchyOutgoingCall,CancellationError:I.CancellationError,CancellationTokenSource:o.CancellationTokenSource,CandidatePortSource:c.CandidatePortSource,CodeAction:z.CodeAction,CodeActionKind:z.CodeActionKind,CodeActionTriggerKind:z.CodeActionTriggerKind,CodeLens:z.CodeLens,Color:z.Color,ColorInformation:z.ColorInformation,ColorPresentation:z.ColorPresentation,ColorThemeKind:z.ColorThemeKind,CommentMode:z.CommentMode,CommentThreadCollapsibleState:z.CommentThreadCollapsibleState,CommentThreadState:z.CommentThreadState,CompletionItem:z.CompletionItem,CompletionItemKind:z.CompletionItemKind,CompletionItemTag:z.CompletionItemTag,CompletionList:z.CompletionList,CompletionTriggerKind:z.CompletionTriggerKind,ConfigurationTarget:z.ConfigurationTarget,CustomExecution:z.CustomExecution,DebugAdapterExecutable:z.DebugAdapterExecutable,DebugAdapterInlineImplementation:z.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:z.DebugAdapterNamedPipeServer,DebugAdapterServer:z.DebugAdapterServer,DebugConfigurationProviderTriggerKind:vt.DebugConfigurationProviderTriggerKind,DebugConsoleMode:z.DebugConsoleMode,DecorationRangeBehavior:z.DecorationRangeBehavior,Diagnostic:z.Diagnostic,DiagnosticRelatedInformation:z.DiagnosticRelatedInformation,DiagnosticSeverity:z.DiagnosticSeverity,DiagnosticTag:z.DiagnosticTag,Disposable:z.Disposable,DocumentHighlight:z.DocumentHighlight,DocumentHighlightKind:z.DocumentHighlightKind,DocumentLink:z.DocumentLink,DocumentSymbol:z.DocumentSymbol,EndOfLine:z.EndOfLine,EnvironmentVariableMutatorType:z.EnvironmentVariableMutatorType,EvaluatableExpression:z.EvaluatableExpression,InlineValueText:z.InlineValueText,InlineValueVariableLookup:z.InlineValueVariableLookup,InlineValueEvaluatableExpression:z.InlineValueEvaluatableExpression,InlineCompletionTriggerKind:z.InlineCompletionTriggerKind,EventEmitter:_.Emitter,ExtensionKind:z.ExtensionKind,ExtensionMode:z.ExtensionMode,ExternalUriOpenerPriority:z.ExternalUriOpenerPriority,FileChangeType:z.FileChangeType,FileDecoration:z.FileDecoration,FileSystemError:z.FileSystemError,FileType:E.FileType,FilePermission:E.FilePermission,FoldingRange:z.FoldingRange,FoldingRangeKind:z.FoldingRangeKind,FunctionBreakpoint:z.FunctionBreakpoint,InlineCompletionItem:z.InlineSuggestion,InlineCompletionList:z.InlineSuggestions,Hover:z.Hover,IndentAction:L.IndentAction,Location:z.Location,MarkdownString:z.MarkdownString,OverviewRulerLane:C.OverviewRulerLane,ParameterInformation:z.ParameterInformation,PortAutoForwardAction:z.PortAutoForwardAction,Position:z.Position,ProcessExecution:z.ProcessExecution,ProgressLocation:z.ProgressLocation,QuickInputButtons:z.QuickInputButtons,Range:z.Range,RelativePattern:z.RelativePattern,Selection:z.Selection,SelectionRange:z.SelectionRange,SemanticTokens:z.SemanticTokens,SemanticTokensBuilder:z.SemanticTokensBuilder,SemanticTokensEdit:z.SemanticTokensEdit,SemanticTokensEdits:z.SemanticTokensEdits,SemanticTokensLegend:z.SemanticTokensLegend,ShellExecution:z.ShellExecution,ShellQuoting:z.ShellQuoting,SignatureHelp:z.SignatureHelp,SignatureHelpTriggerKind:z.SignatureHelpTriggerKind,SignatureInformation:z.SignatureInformation,SnippetString:z.SnippetString,SourceBreakpoint:z.SourceBreakpoint,StandardTokenType:z.StandardTokenType,StatusBarAlignment:z.StatusBarAlignment,SymbolInformation:z.SymbolInformation,SymbolKind:z.SymbolKind,SymbolTag:z.SymbolTag,Task:z.Task,TaskGroup:z.TaskGroup,TaskPanelKind:z.TaskPanelKind,TaskRevealKind:z.TaskRevealKind,TaskScope:z.TaskScope,TerminalLink:z.TerminalLink,TerminalLocation:z.TerminalLocation,TerminalProfile:z.TerminalProfile,TextDocumentSaveReason:z.TextDocumentSaveReason,TextEdit:z.TextEdit,TextEditorCursorStyle:P.TextEditorCursorStyle,TextEditorLineNumbersStyle:z.TextEditorLineNumbersStyle,TextEditorRevealType:z.TextEditorRevealType,TextEditorSelectionChangeKind:z.TextEditorSelectionChangeKind,TextDocumentChangeReason:z.TextDocumentChangeReason,ThemeColor:z.ThemeColor,ThemeIcon:z.ThemeIcon,TreeItem:z.TreeItem,TreeItemCollapsibleState:z.TreeItemCollapsibleState,TypeHierarchyItem:z.TypeHierarchyItem,UIKind:g.UIKind,Uri:y.URI,ViewColumn:z.ViewColumn,WorkspaceEdit:z.WorkspaceEdit,InlayHint:z.InlayHint,InlayHintLabelPart:z.InlayHintLabelPart,InlayHintKind:z.InlayHintKind,RemoteAuthorityResolverError:z.RemoteAuthorityResolverError,ResolvedAuthority:z.ResolvedAuthority,SourceControlInputBoxValidationType:z.SourceControlInputBoxValidationType,ExtensionRuntime:z.ExtensionRuntime,TimelineItem:z.TimelineItem,NotebookRange:z.NotebookRange,NotebookCellKind:z.NotebookCellKind,NotebookCellExecutionState:z.NotebookCellExecutionState,NotebookCellData:z.NotebookCellData,NotebookData:z.NotebookData,NotebookRendererScript:z.NotebookRendererScript,NotebookCellStatusBarAlignment:z.NotebookCellStatusBarAlignment,NotebookEditorRevealType:z.NotebookEditorRevealType,NotebookCellOutput:z.NotebookCellOutput,NotebookCellOutputItem:z.NotebookCellOutputItem,NotebookCellStatusBarItem:z.NotebookCellStatusBarItem,NotebookControllerAffinity:z.NotebookControllerAffinity,PortAttributes:z.PortAttributes,LinkedEditingRanges:z.LinkedEditingRanges,TestResultState:z.TestResultState,TestRunRequest:z.TestRunRequest,TestMessage:z.TestMessage,TestTag:z.TestTag,TestRunProfileKind:z.TestRunProfileKind,TextSearchCompleteMessageType:Oe.TextSearchCompleteMessageType,TreeDataTransfer:z.TreeDataTransfer,TreeDataTransferItem:z.TreeDataTransferItem,CoveredCount:z.CoveredCount,FileCoverage:z.FileCoverage,StatementCoverage:z.StatementCoverage,BranchCoverage:z.BranchCoverage,FunctionCoverage:z.FunctionCoverage,WorkspaceTrustState:z.WorkspaceTrustState,LanguageStatusSeverity:z.LanguageStatusSeverity,QuickPickItemKind:z.QuickPickItemKind}}}e.createApiFactoryAndRegisterActors=Nt}),define(Ee[224],be([1,0,223,33,217,7,13,4,9]),function(Y,e,o,I,_,B,y,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;class L extends _.RequireInterceptor{_installInterceptor(){}getModule(s,n){for(let m of this._alternatives){let w=m(s);if(w){s=w;break}}if(this._factories.has(s))return this._factories.get(s).load(s,n,()=>{throw new Error("CANNOT LOAD MODULE from here.")})}}class M extends I.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=B.ExtensionRuntime.Webworker}async _beforeAlmostReadyToRunExtensions(){const s=this._extHostContext.getProxy(P.MainContext.MainThreadConsole);c(s,this._initData.environment.isExtensionDevelopmentDebug);const n=this._instaService.invokeFunction(o.createApiFactoryAndRegisterActors);this._fakeModules=this._instaService.createInstance(L,n,this._registry),await this._fakeModules.install(),performance.mark("code/extHost/didInitAPI"),await this._waitForDebuggerAttachment()}_getEntryPoint(s){return s.browser}async _loadCommonJSModule(s,n,m){n=n.with({path:E(n.path,".js")}),s&&performance.mark(`code/extHost/willFetchExtensionCode/${s.value}`);const w=await fetch(C.FileAccess.asBrowserUri(n).toString(!0));if(s&&performance.mark(`code/extHost/didFetchExtensionCode/${s.value}`),w.status!==200)throw new Error(w.statusText);const R=await w.text(),h=`${n.toString(!0)}#vscode-extension`,f=`${R}
//# sourceURL=${h}`;let v;try{v=new Function("module","exports","require",f)}catch(i){throw console.error(s?`Loading code for extension ${s.value} failed: ${i.message}`:`Loading code failed: ${i.message}`),console.error(`${n.toString(!0)}${typeof i.line=="number"?` line ${i.line}`:""}${typeof i.column=="number"?` column ${i.column}`:""}`),console.error(i),i}const r={},T={exports:r},l=i=>{const u=this._fakeModules.getModule(i,n);if(u===void 0)throw new Error(`Cannot load module '${i}'`);return u};try{return m.codeLoadingStart(),s&&performance.mark(`code/extHost/willLoadExtensionCode/${s.value}`),v(T,r,l),T.exports!==r?T.exports:r}finally{s&&performance.mark(`code/extHost/didLoadExtensionCode/${s.value}`),m.codeLoadingStop()}}async $setRemoteEnvironment(s){}async _waitForDebuggerAttachment(s=5e3){if(!this._initData.environment.isExtensionDevelopmentDebug)return;const n=Date.now()+s;for(;Date.now()<n&&!("__jsDebugIsReady"in globalThis);)await(0,y.timeout)(10)}}e.ExtHostExtensionService=M;function E(g,s){return g.endsWith(s)?g:g+s}function c(g,s){n("info","log"),n("log","log"),n("warn","warn"),n("error","error");function n(R,h){const f=console[R];console[R]=function(){g.$logExtensionHostMessage({type:"__$console",severity:h,arguments:w(arguments)}),s&&f.apply(console,arguments)}}const m=1e5;function w(R){const h=[],f=[];if(R.length)for(let v=0;v<R.length;v++){if(typeof R[v]=="undefined")R[v]="undefined";else if(R[v]instanceof Error){const r=R[v];r.stack?R[v]=r.stack:R[v]=r.toString()}f.push(R[v])}try{const v=JSON.stringify(f,function(r,T){if(T&&typeof T=="object"){if(h.indexOf(T)!==-1)return"[Circular]";h.push(T)}return T});return v.length>m?"Output omitted for a large object that exceeds the limits":v}catch(v){return`Output omitted for an object that cannot be inspected ('${v.toString()}')`}}}}),define(Ee[225],be([1,0,44,33,68,224]),function(Y,e,o,I,_,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,o.registerSingleton)(I.IExtHostExtensionService,B.ExtHostExtensionService),(0,o.registerSingleton)(_.IExtensionStoragePaths,_.ExtensionStoragePaths)}),define(Ee[236],be([1,0,21,5,91,218,211,17,69,9,2,220,225]),function(Y,e,o,I,_,B,y,P,C,L,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.create=void 0;const E=self.close.bind(self);self.close=()=>console.trace("'close' has been blocked");const c=postMessage.bind(self);self.postMessage=()=>console.trace("'postMessage' has been blocked");const g=fetch.bind(self);if(self.fetch=function(f,v){return f instanceof Request||/^file:/i.test(String(f))&&(f=L.FileAccess.asBrowserUri(M.URI.parse(String(f))).toString(!0)),g(f,v)},self.XMLHttpRequest=class extends XMLHttpRequest{open(f,v,r,T,l){return/^file:/i.test(v.toString())&&(v=L.FileAccess.asBrowserUri(M.URI.parse(v.toString())).toString(!0)),super.open(f,v,r??!0,T,l)}},self.importScripts=()=>{throw new Error("'importScripts' has been blocked")},self.addEventListener=()=>console.trace("'addEventListener' has been blocked"),self.AMDLoader=void 0,self.NLSLoaderPlugin=void 0,self.define=void 0,self.require=void 0,self.webkitRequestFileSystem=void 0,self.webkitRequestFileSystemSync=void 0,self.webkitResolveLocalFileSystemSyncURL=void 0,self.webkitResolveLocalFileSystemURL=void 0,self.Worker){const f=self.Worker;Worker=function(v,r){/^file:/i.test(v.toString())&&(v=L.FileAccess.asBrowserUri(M.URI.parse(v.toString())).toString(!0));const l=`(${function(a){function p(k){return typeof k=="string"||k instanceof URL?String(k).replace(/^file:\/\//i,"vscode-file://vscode-app"):k}const d=fetch.bind(self);self.fetch=function(k,A){return k instanceof Request?d(k,A):d(p(k),A)},self.XMLHttpRequest=class extends XMLHttpRequest{open(k,A,W,b,H){return super.open(k,p(A),W??!0,b,H)}};const S=importScripts.bind(self);self.importScripts=(...k)=>{S(...k.map(p))},S(a)}.toString()}('${v}'))`;r=r||{},r.name=r.name||P.basename(v.toString());const i=new Blob([l],{type:"application/javascript"}),u=URL.createObjectURL(i);return new f(u,r)}}else self.Worker=class extends y.NestedWorker{constructor(f,v){super(c,f,{name:P.basename(f.toString()),...v})}};const s=new class{constructor(){this.pid=void 0}exit(f){E()}async exists(f){return!0}async realpath(f){return f}};class n{constructor(){const v=new MessageChannel,r=new I.Emitter;let T=!1;c(v.port2,[v.port2]),v.port1.onmessage=l=>{const{data:i}=l;if(!(i instanceof ArrayBuffer)){console.warn("UNKNOWN data received",i);return}const u=o.VSBuffer.wrap(new Uint8Array(i,0,i.byteLength));if((0,_.isMessageOfType)(u,2)){T=!0,w("received terminate message from renderer");return}r.fire(u)},this.protocol={onMessage:r.event,send:l=>{if(!T){const i=l.buffer.buffer.slice(l.buffer.byteOffset,l.buffer.byteOffset+l.buffer.byteLength);v.port1.postMessage(i,[i])}}}}}function m(f){return new Promise(v=>{const r=f.onMessage(T=>{r.dispose();const l=JSON.parse(T.toString());f.send((0,_.createMessageOfType)(0)),v({protocol:f,initData:l})});f.send((0,_.createMessageOfType)(1))})}let w=f=>E();function R(f){return!!f&&typeof f=="object"&&f.type==="vscode.init"&&f.data instanceof Map}function h(){C.mark("code/extHost/willConnectToRenderer");const f=new n;return{onmessage(v){!R(v)||m(f.protocol).then(r=>{C.mark("code/extHost/didWaitForInitData");const T=new B.ExtensionHostMain(r.protocol,r.initData,s,null,v.data);w=l=>T.terminate(l)})}}}e.create=h})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/86200d542474b26aa28034e0fd5789c45c747d8b/core/vs/workbench/api/worker/extensionHostWorker.js.map
